
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2013, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static FuncCall *makeOverlaps(List *largs, List *rargs,
							  int location, core_yyscan_t yyscanner);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);



/* Line 189 of yacc.c  */
#line 250 "gram.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENT = 258,
     FCONST = 259,
     SCONST = 260,
     BCONST = 261,
     XCONST = 262,
     Op = 263,
     ICONST = 264,
     PARAM = 265,
     TYPECAST = 266,
     DOT_DOT = 267,
     COLON_EQUALS = 268,
     ABORT_P = 269,
     ABSOLUTE_P = 270,
     ACCESS = 271,
     ACTION = 272,
     ADD_P = 273,
     ADMIN = 274,
     AFTER = 275,
     AGGREGATE = 276,
     ALL = 277,
     ALSO = 278,
     ALTER = 279,
     ALWAYS = 280,
     ANALYSE = 281,
     ANALYZE = 282,
     AND = 283,
     ANY = 284,
     ARRAY = 285,
     AS = 286,
     ASC = 287,
     ASSERTION = 288,
     ASSIGNMENT = 289,
     ASYMMETRIC = 290,
     AT = 291,
     ATTRIBUTE = 292,
     AUTHORIZATION = 293,
     BACKWARD = 294,
     BEFORE = 295,
     BEGIN_P = 296,
     BETWEEN = 297,
     BIGINT = 298,
     BINARY = 299,
     BIT = 300,
     BOOLEAN_P = 301,
     BOTH = 302,
     BY = 303,
     CACHE = 304,
     CALLED = 305,
     CASCADE = 306,
     CASCADED = 307,
     CASE = 308,
     CAST = 309,
     CATALOG_P = 310,
     CHAIN = 311,
     CHAR_P = 312,
     CHARACTER = 313,
     CHARACTERISTICS = 314,
     CHECK = 315,
     CHECKPOINT = 316,
     CLASS = 317,
     CLOSE = 318,
     CLUSTER = 319,
     COALESCE = 320,
     COLLATE = 321,
     COLLATION = 322,
     COLUMN = 323,
     COMMENT = 324,
     COMMENTS = 325,
     COMMIT = 326,
     COMMITTED = 327,
     CONCURRENTLY = 328,
     CONFIGURATION = 329,
     CONNECTION = 330,
     CONSTRAINT = 331,
     CONSTRAINTS = 332,
     CONTENT_P = 333,
     CONTINUE_P = 334,
     CONVERSION_P = 335,
     COPY = 336,
     COST = 337,
     CREATE = 338,
     CROSS = 339,
     CSV = 340,
     CURRENT_P = 341,
     CURRENT_CATALOG = 342,
     CURRENT_DATE = 343,
     CURRENT_ROLE = 344,
     CURRENT_SCHEMA = 345,
     CURRENT_TIME = 346,
     CURRENT_TIMESTAMP = 347,
     CURRENT_USER = 348,
     CURSOR = 349,
     CYCLE = 350,
     DATA_P = 351,
     DATABASE = 352,
     DAY_P = 353,
     DEALLOCATE = 354,
     DEC = 355,
     DECIMAL_P = 356,
     DECLARE = 357,
     DEFAULT = 358,
     DEFAULTS = 359,
     DEFERRABLE = 360,
     DEFERRED = 361,
     DEFINER = 362,
     DELETE_P = 363,
     DELIMITER = 364,
     DELIMITERS = 365,
     DESC = 366,
     DICTIONARY = 367,
     DISABLE_P = 368,
     DISCARD = 369,
     DISTINCT = 370,
     DO = 371,
     DOCUMENT_P = 372,
     DOMAIN_P = 373,
     DOUBLE_P = 374,
     DROP = 375,
     EACH = 376,
     ELSE = 377,
     ENABLE_P = 378,
     ENCODING = 379,
     ENCRYPTED = 380,
     END_P = 381,
     ENUM_P = 382,
     ESCAPE = 383,
     EVENT = 384,
     EXCEPT = 385,
     EXCLUDE = 386,
     EXCLUDING = 387,
     EXCLUSIVE = 388,
     EXECUTE = 389,
     EXISTS = 390,
     EXPLAIN = 391,
     EXTENSION = 392,
     EXTERNAL = 393,
     EXTRACT = 394,
     FALSE_P = 395,
     FAMILY = 396,
     FETCH = 397,
     FIRST_P = 398,
     FLOAT_P = 399,
     FOLLOWING = 400,
     FOR = 401,
     FORCE = 402,
     FOREIGN = 403,
     FORWARD = 404,
     FREEZE = 405,
     FROM = 406,
     FULL = 407,
     FUNCTION = 408,
     FUNCTIONS = 409,
     GLOBAL = 410,
     GRANT = 411,
     GRANTED = 412,
     GREATEST = 413,
     GROUP_P = 414,
     HANDLER = 415,
     HAVING = 416,
     HEADER_P = 417,
     HOLD = 418,
     HOUR_P = 419,
     IDENTITY_P = 420,
     IF_P = 421,
     ILIKE = 422,
     IMMEDIATE = 423,
     IMMUTABLE = 424,
     IMPLICIT_P = 425,
     IN_P = 426,
     INCLUDING = 427,
     INCREMENT = 428,
     INDEX = 429,
     INDEXES = 430,
     INHERIT = 431,
     INHERITS = 432,
     INITIALLY = 433,
     INLINE_P = 434,
     INNER_P = 435,
     INOUT = 436,
     INPUT_P = 437,
     INSENSITIVE = 438,
     INSERT = 439,
     INSTEAD = 440,
     INT_P = 441,
     INTEGER = 442,
     INTERSECT = 443,
     INTERVAL = 444,
     INTO = 445,
     INVOKER = 446,
     IS = 447,
     ISNULL = 448,
     ISOLATION = 449,
     JOIN = 450,
     KEY = 451,
     LABEL = 452,
     LANGUAGE = 453,
     LARGE_P = 454,
     LAST_P = 455,
     LATERAL_P = 456,
     LC_COLLATE_P = 457,
     LC_CTYPE_P = 458,
     LEADING = 459,
     LEAKPROOF = 460,
     LEAST = 461,
     LEFT = 462,
     LEVEL = 463,
     LIKE = 464,
     LIMIT = 465,
     LISTEN = 466,
     LOAD = 467,
     LOCAL = 468,
     LOCALTIME = 469,
     LOCALTIMESTAMP = 470,
     LOCATION = 471,
     LOCK_P = 472,
     MAPPING = 473,
     MATCH = 474,
     MATERIALIZED = 475,
     MAXVALUE = 476,
     MINUTE_P = 477,
     MINVALUE = 478,
     MODE = 479,
     MONTH_P = 480,
     MOVE = 481,
     NAME_P = 482,
     NAMES = 483,
     NATIONAL = 484,
     NATURAL = 485,
     NCHAR = 486,
     NEXT = 487,
     NO = 488,
     NONE = 489,
     NOT = 490,
     NOTHING = 491,
     NOTIFY = 492,
     NOTNULL = 493,
     NOWAIT = 494,
     NULL_P = 495,
     NULLIF = 496,
     NULLS_P = 497,
     NUMERIC = 498,
     OBJECT_P = 499,
     OF = 500,
     OFF = 501,
     OFFSET = 502,
     OIDS = 503,
     ON = 504,
     ONLY = 505,
     OPERATOR = 506,
     OPTION = 507,
     OPTIONS = 508,
     OR = 509,
     ORDER = 510,
     OUT_P = 511,
     OUTER_P = 512,
     OVER = 513,
     OVERLAPS = 514,
     OVERLAY = 515,
     OWNED = 516,
     OWNER = 517,
     PARSER = 518,
     PARTIAL = 519,
     PARTITION = 520,
     PASSING = 521,
     PASSWORD = 522,
     PLACING = 523,
     PLANS = 524,
     POSITION = 525,
     PRECEDING = 526,
     PRECISION = 527,
     PRESERVE = 528,
     PREPARE = 529,
     PREPARED = 530,
     PRIMARY = 531,
     PRIOR = 532,
     PRIVILEGES = 533,
     PROCEDURAL = 534,
     PROCEDURE = 535,
     PROGRAM = 536,
     QUOTE = 537,
     RANGE = 538,
     READ = 539,
     REAL = 540,
     REASSIGN = 541,
     RECHECK = 542,
     RECURSIVE = 543,
     REF = 544,
     REFERENCES = 545,
     REFRESH = 546,
     REINDEX = 547,
     RELATIVE_P = 548,
     RELEASE = 549,
     RENAME = 550,
     REPEATABLE = 551,
     REPLACE = 552,
     REPLICA = 553,
     RESET = 554,
     RESTART = 555,
     RESTRICT = 556,
     RETURNING = 557,
     RETURNS = 558,
     REVOKE = 559,
     RIGHT = 560,
     ROLE = 561,
     ROLLBACK = 562,
     ROW = 563,
     ROWS = 564,
     RULE = 565,
     SAVEPOINT = 566,
     SCHEMA = 567,
     SCROLL = 568,
     SEARCH = 569,
     SECOND_P = 570,
     SECURITY = 571,
     SELECT = 572,
     SEQUENCE = 573,
     SEQUENCES = 574,
     SERIALIZABLE = 575,
     SERVER = 576,
     SESSION = 577,
     SESSION_USER = 578,
     SET = 579,
     SETOF = 580,
     SHARE = 581,
     SHOW = 582,
     SIMILAR = 583,
     SIMPLE = 584,
     SMALLINT = 585,
     SNAPSHOT = 586,
     SOME = 587,
     STABLE = 588,
     STANDALONE_P = 589,
     START = 590,
     STATEMENT = 591,
     STATISTICS = 592,
     STDIN = 593,
     STDOUT = 594,
     STORAGE = 595,
     STRICT_P = 596,
     STRIP_P = 597,
     SUBSTRING = 598,
     SYMMETRIC = 599,
     SYSID = 600,
     SYSTEM_P = 601,
     TABLE = 602,
     TABLES = 603,
     TABLESPACE = 604,
     TEMP = 605,
     TEMPLATE = 606,
     TEMPORARY = 607,
     TEXT_P = 608,
     THEN = 609,
     TIME = 610,
     TIMESTAMP = 611,
     TO = 612,
     TRAILING = 613,
     TRANSACTION = 614,
     TREAT = 615,
     TRIGGER = 616,
     TRIM = 617,
     TRUE_P = 618,
     TRUNCATE = 619,
     TRUSTED = 620,
     TYPE_P = 621,
     TYPES_P = 622,
     UNBOUNDED = 623,
     UNCOMMITTED = 624,
     UNENCRYPTED = 625,
     UNION = 626,
     UNIQUE = 627,
     UNKNOWN = 628,
     UNLISTEN = 629,
     UNLOGGED = 630,
     UNTIL = 631,
     UPDATE = 632,
     USER = 633,
     USING = 634,
     VACUUM = 635,
     VALID = 636,
     VALIDATE = 637,
     VALIDATOR = 638,
     VALUE_P = 639,
     VALUES = 640,
     VARCHAR = 641,
     VARIADIC = 642,
     VARYING = 643,
     VERBOSE = 644,
     VERSION_P = 645,
     VIEW = 646,
     VOLATILE = 647,
     WHEN = 648,
     WHERE = 649,
     WHITESPACE_P = 650,
     WINDOW = 651,
     WITH = 652,
     WITHOUT = 653,
     WORK = 654,
     WRAPPER = 655,
     WRITE = 656,
     XML_P = 657,
     XMLATTRIBUTES = 658,
     XMLCONCAT = 659,
     XMLELEMENT = 660,
     XMLEXISTS = 661,
     XMLFOREST = 662,
     XMLPARSE = 663,
     XMLPI = 664,
     XMLROOT = 665,
     XMLSERIALIZE = 666,
     YEAR_P = 667,
     YES_P = 668,
     ZONE = 669,
     NULLS_FIRST = 670,
     NULLS_LAST = 671,
     WITH_TIME = 672,
     POSTFIXOP = 673,
     UMINUS = 674
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 178 "gram.y"

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;



/* Line 214 of yacc.c  */
#line 744 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 769 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  715
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   74421

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  437
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  556
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2313
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4448

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   674

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   426,     2,     2,
     431,   432,   424,   422,   435,   423,   433,   425,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   436,   434,
     419,   418,   420,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   429,     2,   430,   427,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   421,   428
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   215,   217,   219,
     221,   223,   225,   227,   229,   231,   233,   235,   237,   239,
     240,   246,   248,   249,   252,   253,   256,   257,   260,   263,
     267,   271,   273,   277,   281,   284,   286,   288,   291,   294,
     297,   301,   305,   311,   317,   318,   322,   328,   334,   340,
     345,   349,   355,   359,   365,   371,   378,   380,   382,   386,
     392,   399,   404,   414,   422,   424,   425,   428,   429,   431,
     433,   435,   437,   439,   441,   444,   448,   452,   455,   461,
     463,   467,   471,   475,   479,   483,   487,   490,   493,   496,
     499,   503,   507,   511,   515,   517,   521,   523,   527,   529,
     531,   534,   537,   540,   542,   544,   546,   548,   550,   552,
     554,   558,   565,   567,   569,   571,   573,   575,   576,   578,
     580,   583,   587,   592,   596,   599,   602,   604,   607,   609,
     612,   616,   621,   625,   628,   633,   635,   637,   639,   641,
     643,   646,   649,   652,   655,   660,   667,   672,   679,   684,
     691,   696,   703,   709,   717,   719,   723,   726,   730,   735,
     742,   749,   756,   762,   768,   775,   782,   787,   796,   801,
     804,   808,   815,   820,   824,   828,   832,   836,   840,   845,
     850,   854,   858,   862,   866,   870,   874,   879,   884,   888,
     891,   895,   898,   901,   905,   909,   912,   915,   917,   921,
     924,   926,   928,   929,   932,   933,   936,   937,   941,   944,
     945,   947,   951,   955,   957,   963,   967,   972,   974,   978,
     983,   990,   995,  1004,  1007,  1010,  1022,  1030,  1032,  1034,
    1036,  1037,  1039,  1041,  1043,  1045,  1049,  1052,  1053,  1055,
    1057,  1059,  1063,  1067,  1069,  1071,  1075,  1079,  1083,  1087,
    1092,  1095,  1097,  1098,  1101,  1102,  1106,  1107,  1109,  1110,
    1112,  1116,  1119,  1121,  1123,  1125,  1129,  1130,  1132,  1136,
    1138,  1150,  1165,  1176,  1190,  1192,  1194,  1197,  1200,  1203,
    1206,  1208,  1209,  1211,  1212,  1216,  1217,  1219,  1223,  1225,
    1229,  1231,  1233,  1235,  1237,  1239,  1244,  1249,  1252,  1253,
    1257,  1259,  1261,  1264,  1267,  1269,  1273,  1278,  1284,  1287,
    1293,  1295,  1298,  1301,  1304,  1308,  1312,  1316,  1317,  1319,
    1321,  1323,  1325,  1327,  1329,  1333,  1335,  1341,  1349,  1353,
    1362,  1367,  1377,  1389,  1392,  1393,  1397,  1398,  1400,  1404,
    1406,  1409,  1412,  1415,  1416,  1418,  1422,  1426,  1433,  1438,
    1439,  1441,  1443,  1446,  1449,  1450,  1454,  1458,  1461,  1463,
    1465,  1468,  1471,  1476,  1477,  1480,  1483,  1486,  1487,  1491,
    1496,  1501,  1502,  1505,  1506,  1511,  1512,  1516,  1524,  1530,
    1533,  1537,  1538,  1547,  1552,  1554,  1555,  1561,  1567,  1572,
    1579,  1581,  1582,  1584,  1587,  1590,  1592,  1595,  1599,  1602,
    1605,  1608,  1611,  1615,  1619,  1621,  1625,  1627,  1628,  1630,
    1633,  1635,  1637,  1641,  1648,  1659,  1661,  1662,  1664,  1667,
    1670,  1671,  1674,  1677,  1679,  1680,  1686,  1694,  1696,  1697,
    1704,  1707,  1708,  1712,  1718,  1724,  1733,  1736,  1737,  1740,
    1743,  1746,  1752,  1755,  1756,  1759,  1767,  1778,  1785,  1792,
    1799,  1806,  1814,  1822,  1832,  1842,  1849,  1857,  1864,  1873,
    1882,  1891,  1900,  1907,  1914,  1922,  1930,  1939,  1946,  1953,
    1961,  1964,  1967,  1970,  1973,  1975,  1978,  1980,  1981,  1988,
    1997,  2005,  2012,  2017,  2018,  2020,  2024,  2029,  2031,  2035,
    2037,  2040,  2043,  2046,  2049,  2051,  2053,  2064,  2067,  2068,
    2071,  2074,  2076,  2077,  2082,  2089,  2095,  2100,  2105,  2116,
    2130,  2136,  2144,  2153,  2155,  2157,  2159,  2167,  2177,  2186,
    2202,  2223,  2225,  2227,  2230,  2232,  2236,  2238,  2240,  2242,
    2246,  2248,  2252,  2253,  2255,  2256,  2258,  2260,  2265,  2266,
    2268,  2272,  2273,  2275,  2277,  2279,  2281,  2284,  2285,  2286,
    2289,  2292,  2294,  2297,  2300,  2303,  2306,  2313,  2322,  2334,
    2348,  2350,  2354,  2360,  2362,  2366,  2372,  2374,  2377,  2380,
    2382,  2391,  2396,  2402,  2407,  2412,  2417,  2421,  2429,  2438,
    2445,  2452,  2459,  2466,  2473,  2478,  2484,  2488,  2490,  2494,
    2498,  2500,  2502,  2504,  2506,  2508,  2510,  2514,  2518,  2522,
    2524,  2528,  2532,  2534,  2535,  2537,  2541,  2549,  2559,  2569,
    2573,  2574,  2588,  2590,  2594,  2600,  2607,  2612,  2620,  2623,
    2625,  2626,  2629,  2630,  2633,  2638,  2639,  2641,  2642,  2649,
    2658,  2667,  2669,  2673,  2679,  2685,  2693,  2703,  2711,  2721,
    2727,  2734,  2741,  2746,  2752,  2760,  2762,  2764,  2766,  2769,
    2771,  2774,  2777,  2779,  2781,  2783,  2785,  2787,  2789,  2793,
    2797,  2801,  2805,  2807,  2811,  2813,  2816,  2819,  2823,  2829,
    2832,  2835,  2836,  2843,  2851,  2859,  2867,  2876,  2885,  2892,
    2901,  2911,  2921,  2929,  2940,  2948,  2950,  2952,  2954,  2956,
    2958,  2960,  2962,  2964,  2966,  2969,  2971,  2973,  2975,  2977,
    2979,  2982,  2984,  2988,  2991,  2995,  2999,  3003,  3007,  3009,
    3011,  3020,  3030,  3040,  3050,  3060,  3063,  3064,  3066,  3068,
    3071,  3074,  3076,  3078,  3080,  3082,  3084,  3086,  3088,  3090,
    3093,  3095,  3097,  3100,  3103,  3105,  3108,  3112,  3116,  3120,
    3124,  3129,  3134,  3138,  3142,  3146,  3151,  3156,  3160,  3165,
    3170,  3172,  3174,  3176,  3177,  3185,  3193,  3204,  3206,  3208,
    3211,  3216,  3222,  3224,  3228,  3231,  3234,  3237,  3240,  3242,
    3245,  3248,  3253,  3257,  3260,  3263,  3266,  3269,  3273,  3276,
    3279,  3282,  3288,  3294,  3300,  3302,  3306,  3308,  3311,  3315,
    3316,  3318,  3322,  3325,  3332,  3339,  3349,  3353,  3354,  3358,
    3359,  3365,  3368,  3369,  3373,  3377,  3381,  3389,  3397,  3408,
    3410,  3412,  3414,  3416,  3431,  3433,  3434,  3436,  3437,  3439,
    3440,  3443,  3444,  3446,  3450,  3456,  3462,  3470,  3473,  3474,
    3476,  3479,  3480,  3482,  3484,  3485,  3487,  3489,  3490,  3500,
    3513,  3521,  3524,  3525,  3529,  3532,  3534,  3538,  3542,  3545,
    3547,  3551,  3555,  3559,  3562,  3565,  3567,  3569,  3571,  3573,
    3576,  3578,  3580,  3582,  3584,  3589,  3595,  3597,  3601,  3605,
    3607,  3610,  3615,  3621,  3623,  3625,  3627,  3629,  3633,  3637,
    3640,  3643,  3645,  3648,  3651,  3654,  3656,  3659,  3662,  3664,
    3666,  3668,  3672,  3675,  3676,  3679,  3681,  3685,  3691,  3693,
    3696,  3698,  3699,  3705,  3713,  3719,  3727,  3733,  3741,  3745,
    3751,  3757,  3763,  3765,  3769,  3772,  3774,  3777,  3779,  3782,
    3794,  3805,  3816,  3819,  3822,  3823,  3833,  3836,  3837,  3842,
    3847,  3852,  3854,  3856,  3858,  3859,  3867,  3874,  3881,  3888,
    3895,  3904,  3913,  3920,  3927,  3935,  3945,  3955,  3962,  3969,
    3976,  3985,  3992,  4001,  4008,  4017,  4025,  4035,  4042,  4051,
    4059,  4069,  4078,  4089,  4099,  4111,  4120,  4130,  4142,  4151,
    4160,  4168,  4175,  4182,  4189,  4195,  4201,  4210,  4219,  4228,
    4237,  4244,  4254,  4256,  4257,  4260,  4261,  4269,  4276,  4283,
    4290,  4297,  4304,  4312,  4322,  4332,  4339,  4348,  4357,  4366,
    4375,  4384,  4391,  4400,  4407,  4416,  4424,  4434,  4442,  4452,
    4459,  4467,  4474,  4481,  4488,  4495,  4502,  4510,  4518,  4526,
    4536,  4546,  4553,  4560,  4567,  4576,  4585,  4594,  4601,  4609,
    4623,  4625,  4627,  4631,  4635,  4637,  4639,  4641,  4643,  4645,
    4647,  4649,  4650,  4652,  4654,  4656,  4658,  4660,  4662,  4663,
    4670,  4679,  4683,  4686,  4687,  4690,  4693,  4696,  4699,  4703,
    4707,  4710,  4713,  4716,  4719,  4723,  4726,  4732,  4737,  4741,
    4745,  4749,  4751,  4753,  4754,  4758,  4761,  4764,  4766,  4769,
    4771,  4775,  4778,  4780,  4781,  4791,  4803,  4815,  4829,  4833,
    4838,  4843,  4844,  4847,  4853,  4856,  4857,  4861,  4865,  4869,
    4873,  4877,  4881,  4885,  4889,  4893,  4897,  4901,  4905,  4909,
    4914,  4918,  4922,  4924,  4925,  4931,  4938,  4943,  4946,  4947,
    4952,  4956,  4962,  4969,  4974,  4981,  4988,  4994,  5002,  5012,
    5019,  5021,  5022,  5029,  5041,  5053,  5065,  5079,  5089,  5101,
    5112,  5117,  5120,  5126,  5129,  5130,  5135,  5141,  5147,  5152,
    5159,  5161,  5165,  5167,  5169,  5171,  5173,  5176,  5181,  5183,
    5185,  5187,  5188,  5190,  5191,  5193,  5194,  5198,  5199,  5202,
    5207,  5211,  5217,  5219,  5221,  5223,  5225,  5227,  5229,  5231,
    5233,  5235,  5237,  5241,  5244,  5246,  5248,  5250,  5252,  5254,
    5255,  5261,  5265,  5266,  5268,  5270,  5272,  5274,  5278,  5288,
    5292,  5293,  5296,  5300,  5303,  5307,  5314,  5316,  5321,  5324,
    5326,  5330,  5333,  5336,  5337,  5345,  5348,  5349,  5355,  5359,
    5360,  5363,  5366,  5369,  5373,  5375,  5379,  5381,  5384,  5386,
    5387,  5396,  5398,  5402,  5404,  5406,  5410,  5416,  5419,  5421,
    5425,  5433,  5435,  5436,  5440,  5443,  5446,  5449,  5450,  5453,
    5456,  5458,  5460,  5464,  5468,  5470,  5473,  5478,  5483,  5486,
    5490,  5496,  5502,  5504,  5506,  5516,  5518,  5521,  5526,  5531,
    5536,  5539,  5543,  5545,  5549,  5556,  5558,  5559,  5562,  5563,
    5567,  5571,  5576,  5581,  5586,  5591,  5595,  5598,  5600,  5602,
    5603,  5605,  5607,  5608,  5610,  5616,  5618,  5619,  5621,  5622,
    5626,  5628,  5632,  5637,  5641,  5644,  5647,  5649,  5651,  5653,
    5654,  5657,  5662,  5668,  5671,  5675,  5677,  5679,  5681,  5683,
    5687,  5688,  5690,  5692,  5694,  5696,  5698,  5702,  5703,  5706,
    5707,  5709,  5713,  5715,  5716,  5718,  5721,  5725,  5728,  5733,
    5736,  5740,  5743,  5744,  5747,  5751,  5754,  5755,  5757,  5761,
    5764,  5767,  5771,  5774,  5778,  5780,  5785,  5789,  5794,  5800,
    5805,  5811,  5816,  5822,  5825,  5830,  5832,  5834,  5835,  5837,
    5842,  5848,  5853,  5854,  5857,  5860,  5863,  5865,  5867,  5868,
    5873,  5876,  5878,  5881,  5884,  5889,  5891,  5895,  5897,  5900,
    5904,  5906,  5909,  5910,  5913,  5918,  5919,  5921,  5922,  5924,
    5928,  5932,  5935,  5939,  5945,  5952,  5955,  5959,  5963,  5968,
    5969,  5971,  5973,  5975,  5977,  5979,  5982,  5988,  5990,  5992,
    5994,  5996,  5999,  6003,  6007,  6008,  6010,  6012,  6014,  6016,
    6018,  6021,  6024,  6027,  6030,  6033,  6035,  6039,  6040,  6042,
    6044,  6046,  6048,  6054,  6057,  6059,  6061,  6063,  6065,  6071,
    6074,  6077,  6080,  6082,  6086,  6090,  6093,  6095,  6096,  6100,
    6101,  6107,  6110,  6116,  6119,  6121,  6124,  6128,  6129,  6131,
    6133,  6135,  6137,  6139,  6141,  6145,  6149,  6153,  6157,  6161,
    6165,  6169,  6170,  6172,  6177,  6179,  6183,  6187,  6193,  6196,
    6199,  6203,  6207,  6211,  6215,  6219,  6223,  6227,  6231,  6235,
    6239,  6242,  6245,  6249,  6253,  6256,  6260,  6266,  6271,  6278,
    6282,  6288,  6293,  6300,  6305,  6312,  6318,  6326,  6330,  6333,
    6338,  6341,  6345,  6349,  6354,  6358,  6363,  6367,  6372,  6378,
    6385,  6392,  6400,  6407,  6415,  6422,  6430,  6434,  6439,  6444,
    6451,  6454,  6458,  6463,  6465,  6469,  6472,  6475,  6479,  6483,
    6487,  6491,  6495,  6499,  6503,  6507,  6511,  6515,  6518,  6521,
    6527,  6534,  6541,  6549,  6553,  6558,  6560,  6562,  6565,  6570,
    6572,  6574,  6576,  6579,  6582,  6585,  6588,  6590,  6595,  6601,
    6608,  6617,  6624,  6632,  6640,  6646,  6652,  6654,  6656,  6661,
    6663,  6668,  6670,  6675,  6677,  6682,  6684,  6686,  6688,  6690,
    6692,  6694,  6701,  6706,  6711,  6716,  6721,  6728,  6734,  6740,
    6746,  6751,  6758,  6763,  6768,  6773,  6778,  6784,  6792,  6800,
    6810,  6816,  6821,  6828,  6834,  6842,  6850,  6858,  6861,  6865,
    6869,  6873,  6878,  6879,  6884,  6886,  6890,  6894,  6896,  6898,
    6900,  6903,  6906,  6907,  6910,  6915,  6920,  6927,  6930,  6931,
    6933,  6937,  6941,  6944,  6947,  6948,  6955,  6957,  6958,  6962,
    6963,  6966,  6969,  6970,  6972,  6977,  6980,  6983,  6986,  6989,
    6992,  6997,  7001,  7007,  7009,  7011,  7013,  7015,  7017,  7019,
    7021,  7023,  7025,  7027,  7029,  7031,  7033,  7035,  7037,  7042,
    7044,  7049,  7051,  7056,  7058,  7061,  7063,  7066,  7068,  7072,
    7074,  7078,  7080,  7084,  7086,  7090,  7094,  7098,  7101,  7103,
    7107,  7111,  7112,  7114,  7116,  7118,  7120,  7122,  7124,  7126,
    7128,  7133,  7137,  7140,  7144,  7145,  7149,  7153,  7156,  7159,
    7161,  7162,  7165,  7168,  7172,  7175,  7177,  7179,  7183,  7189,
    7191,  7194,  7199,  7202,  7203,  7205,  7206,  7208,  7211,  7214,
    7217,  7221,  7227,  7229,  7232,  7233,  7236,  7238,  7239,  7241,
    7243,  7245,  7249,  7253,  7255,  7259,  7263,  7266,  7268,  7270,
    7272,  7276,  7278,  7281,  7283,  7287,  7289,  7291,  7293,  7295,
    7297,  7299,  7301,  7304,  7306,  7308,  7310,  7312,  7314,  7317,
    7323,  7326,  7330,  7337,  7339,  7341,  7343,  7345,  7347,  7349,
    7351,  7354,  7357,  7359,  7361,  7363,  7365,  7367,  7369,  7371,
    7373,  7375,  7377,  7379,  7381,  7383,  7385,  7387,  7389,  7391,
    7393,  7395,  7397,  7399,  7401,  7403,  7405,  7407,  7409,  7411,
    7413,  7415,  7417,  7419,  7421,  7423,  7425,  7427,  7429,  7431,
    7433,  7435,  7437,  7439,  7441,  7443,  7445,  7447,  7449,  7451,
    7453,  7455,  7457,  7459,  7461,  7463,  7465,  7467,  7469,  7471,
    7473,  7475,  7477,  7479,  7481,  7483,  7485,  7487,  7489,  7491,
    7493,  7495,  7497,  7499,  7501,  7503,  7505,  7507,  7509,  7511,
    7513,  7515,  7517,  7519,  7521,  7523,  7525,  7527,  7529,  7531,
    7533,  7535,  7537,  7539,  7541,  7543,  7545,  7547,  7549,  7551,
    7553,  7555,  7557,  7559,  7561,  7563,  7565,  7567,  7569,  7571,
    7573,  7575,  7577,  7579,  7581,  7583,  7585,  7587,  7589,  7591,
    7593,  7595,  7597,  7599,  7601,  7603,  7605,  7607,  7609,  7611,
    7613,  7615,  7617,  7619,  7621,  7623,  7625,  7627,  7629,  7631,
    7633,  7635,  7637,  7639,  7641,  7643,  7645,  7647,  7649,  7651,
    7653,  7655,  7657,  7659,  7661,  7663,  7665,  7667,  7669,  7671,
    7673,  7675,  7677,  7679,  7681,  7683,  7685,  7687,  7689,  7691,
    7693,  7695,  7697,  7699,  7701,  7703,  7705,  7707,  7709,  7711,
    7713,  7715,  7717,  7719,  7721,  7723,  7725,  7727,  7729,  7731,
    7733,  7735,  7737,  7739,  7741,  7743,  7745,  7747,  7749,  7751,
    7753,  7755,  7757,  7759,  7761,  7763,  7765,  7767,  7769,  7771,
    7773,  7775,  7777,  7779,  7781,  7783,  7785,  7787,  7789,  7791,
    7793,  7795,  7797,  7799,  7801,  7803,  7805,  7807,  7809,  7811,
    7813,  7815,  7817,  7819,  7821,  7823,  7825,  7827,  7829,  7831,
    7833,  7835,  7837,  7839,  7841,  7843,  7845,  7847,  7849,  7851,
    7853,  7855,  7857,  7859,  7861,  7863,  7865,  7867,  7869,  7871,
    7873,  7875,  7877,  7879,  7881,  7883,  7885,  7887,  7889,  7891,
    7893,  7895,  7897,  7899,  7901,  7903,  7905,  7907,  7909,  7911,
    7913,  7915,  7917,  7919,  7921,  7923,  7925,  7927,  7929,  7931,
    7933,  7935,  7937,  7939,  7941,  7943,  7945,  7947,  7949,  7951,
    7953,  7955,  7957,  7959,  7961,  7963,  7965,  7967,  7969,  7971,
    7973,  7975,  7977,  7979,  7981,  7983,  7985,  7987,  7989,  7991,
    7993,  7995,  7997,  7999,  8001,  8003,  8005,  8007,  8009,  8011,
    8013,  8015,  8017,  8019,  8021,  8023,  8025,  8027,  8029,  8031,
    8033,  8035,  8037,  8039,  8041,  8043,  8045,  8047,  8049,  8051,
    8053,  8055,  8057,  8059,  8061,  8063,  8065,  8067,  8069,  8071,
    8073,  8075,  8077,  8079,  8081,  8083,  8085,  8087,  8089,  8091,
    8093,  8095,  8097,  8099,  8101,  8103,  8105,  8107,  8109,  8111,
    8113,  8115,  8117,  8119,  8121,  8123,  8125,  8127,  8129,  8131,
    8133,  8135,  8137,  8139,  8141,  8143,  8145,  8147,  8149,  8151,
    8153,  8155,  8157,  8159,  8161,  8163,  8165,  8167,  8169,  8171,
    8173,  8175,  8177,  8179
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     438,     0,    -1,   439,    -1,   439,   434,   440,    -1,   440,
      -1,   628,    -1,   775,    -1,   776,    -1,   693,    -1,   781,
      -1,   643,    -1,   580,    -1,   583,    -1,   589,    -1,   603,
      -1,   605,    -1,   728,    -1,   456,    -1,   749,    -1,   750,
      -1,   559,    -1,   483,    -1,   494,    -1,   450,    -1,   448,
      -1,   784,    -1,   783,    -1,   609,    -1,   452,    -1,   451,
      -1,   791,    -1,   481,    -1,   497,    -1,   786,    -1,   667,
      -1,   478,    -1,   498,    -1,   551,    -1,   630,    -1,   739,
      -1,   785,    -1,   780,    -1,   577,    -1,   584,    -1,   598,
      -1,   604,    -1,   709,    -1,   455,    -1,   554,    -1,   645,
      -1,   652,    -1,   653,    -1,   566,    -1,   459,    -1,   558,
      -1,   514,    -1,   574,    -1,   610,    -1,   624,    -1,   441,
      -1,   447,    -1,   606,    -1,   771,    -1,   808,    -1,   827,
      -1,   632,    -1,   814,    -1,   482,    -1,   736,    -1,   631,
      -1,   741,    -1,   588,    -1,   602,    -1,   458,    -1,   656,
      -1,   657,    -1,   658,    -1,   572,    -1,   758,    -1,   660,
      -1,   576,    -1,   623,    -1,   453,    -1,   454,    -1,   608,
      -1,   779,    -1,   806,    -1,   797,    -1,   674,    -1,   678,
      -1,   689,    -1,   698,    -1,   809,    -1,   761,    -1,   557,
      -1,   770,    -1,   816,    -1,   759,    -1,   803,    -1,   659,
      -1,   743,    -1,   732,    -1,   731,    -1,   733,    -1,   746,
      -1,   679,    -1,   690,    -1,   751,    -1,   670,    -1,   831,
      -1,   763,    -1,   665,    -1,   762,    -1,   820,    -1,   788,
      -1,   474,    -1,   463,    -1,   477,    -1,   768,    -1,    -1,
      83,   306,   984,   442,   443,    -1,   397,    -1,    -1,   443,
     446,    -1,    -1,   444,   445,    -1,    -1,   267,   983,    -1,
     267,   240,    -1,   125,   267,   983,    -1,   370,   267,   983,
      -1,   176,    -1,    75,   210,   985,    -1,   381,   376,   983,
      -1,   378,   973,    -1,     3,    -1,   445,    -1,   345,   982,
      -1,    19,   973,    -1,   306,   973,    -1,   171,   306,   973,
      -1,   171,   159,   973,    -1,    83,   378,   984,   442,   443,
      -1,    24,   306,   984,   442,   444,    -1,    -1,   171,    97,
     975,    -1,    24,   306,   984,   449,   475,    -1,    24,   306,
      22,   449,   475,    -1,    24,   378,   984,   442,   444,    -1,
      24,   378,   984,   475,    -1,   120,   306,   973,    -1,   120,
     306,   166,   135,   973,    -1,   120,   378,   973,    -1,   120,
     378,   166,   135,   973,    -1,    83,   159,   984,   442,   443,
      -1,    24,   159,   984,   457,   378,   973,    -1,    18,    -1,
     120,    -1,   120,   159,   973,    -1,   120,   159,   166,   135,
     973,    -1,    83,   312,   460,    38,   984,   461,    -1,    83,
     312,   986,   461,    -1,    83,   312,   166,   235,   135,   460,
      38,   984,   461,    -1,    83,   312,   166,   235,   135,   986,
     461,    -1,   986,    -1,    -1,   461,   462,    -1,    -1,   514,
      -1,   698,    -1,   558,    -1,   610,    -1,   678,    -1,   768,
      -1,   324,   464,    -1,   324,   213,   464,    -1,   324,   322,
     464,    -1,   359,   766,    -1,   322,    59,    31,   359,   766,
      -1,   465,    -1,   466,   357,   467,    -1,   466,   418,   467,
      -1,   466,   357,   103,    -1,   466,   418,   103,    -1,   466,
     151,    86,    -1,   355,   414,   471,    -1,    55,   983,    -1,
     312,   983,    -1,   228,   472,    -1,   306,   473,    -1,   322,
      38,   473,    -1,   322,    38,   103,    -1,   402,   252,   920,
      -1,   359,   331,   983,    -1,   986,    -1,   466,   433,   986,
      -1,   468,    -1,   467,   435,   468,    -1,   470,    -1,   564,
      -1,   284,   369,    -1,   284,    72,    -1,   296,   284,    -1,
     320,    -1,   363,    -1,   140,    -1,   249,    -1,   473,    -1,
     983,    -1,     3,    -1,   907,   983,   909,    -1,   907,   431,
     982,   432,   983,   909,    -1,   564,    -1,   103,    -1,   213,
      -1,   983,    -1,   103,    -1,    -1,   986,    -1,   983,    -1,
     299,   466,    -1,   299,   355,   414,    -1,   299,   359,   194,
     208,    -1,   299,   322,    38,    -1,   299,    22,    -1,   324,
     464,    -1,   474,    -1,   324,   465,    -1,   474,    -1,   327,
     466,    -1,   327,   355,   414,    -1,   327,   359,   194,   208,
      -1,   327,   322,    38,    -1,   327,    22,    -1,   324,    77,
     479,   480,    -1,    22,    -1,   971,    -1,   106,    -1,   168,
      -1,    61,    -1,   114,    22,    -1,   114,   350,    -1,   114,
     352,    -1,   114,   269,    -1,    24,   347,   878,   484,    -1,
      24,   347,   166,   135,   878,   484,    -1,    24,   174,   972,
     484,    -1,    24,   174,   166,   135,   972,   484,    -1,    24,
     318,   972,   484,    -1,    24,   318,   166,   135,   972,   484,
      -1,    24,   391,   972,   484,    -1,    24,   391,   166,   135,
     972,   484,    -1,    24,   220,   391,   972,   484,    -1,    24,
     220,   391,   166,   135,   972,   484,    -1,   485,    -1,   484,
     435,   485,    -1,    18,   522,    -1,    18,    68,   522,    -1,
      24,   747,   986,   486,    -1,    24,   747,   986,   120,   235,
     240,    -1,    24,   747,   986,   324,   235,   240,    -1,    24,
     747,   986,   324,   337,   985,    -1,    24,   747,   986,   324,
     490,    -1,    24,   747,   986,   299,   490,    -1,    24,   747,
     986,   324,   340,   986,    -1,   120,   747,   166,   135,   986,
     487,    -1,   120,   747,   986,   487,    -1,    24,   747,   986,
     748,   366,   887,   488,   489,    -1,    24,   747,   986,   592,
      -1,    18,   531,    -1,   382,    76,   974,    -1,   120,    76,
     166,   135,   974,   487,    -1,   120,    76,   974,   487,    -1,
     324,   397,   248,    -1,   324,   398,   248,    -1,    64,   249,
     974,    -1,   324,   398,    64,    -1,   123,   361,   974,    -1,
     123,    25,   361,   974,    -1,   123,   298,   361,   974,    -1,
     123,   361,    22,    -1,   123,   361,   378,    -1,   113,   361,
     974,    -1,   113,   361,    22,    -1,   113,   361,   378,    -1,
     123,   310,   974,    -1,   123,    25,   310,   974,    -1,   123,
     298,   310,   974,    -1,   113,   310,   974,    -1,   176,   972,
      -1,   233,   176,   972,    -1,   245,   663,    -1,   235,   245,
      -1,   262,   357,   984,    -1,   324,   349,   974,    -1,   324,
     490,    -1,   299,   490,    -1,   592,    -1,   324,   103,   911,
      -1,   120,   103,    -1,    51,    -1,   301,    -1,    -1,    66,
     663,    -1,    -1,   379,   911,    -1,    -1,   431,   492,   432,
      -1,   397,   490,    -1,    -1,   493,    -1,   492,   435,   493,
      -1,   988,   418,   636,    -1,   988,    -1,   988,   433,   988,
     418,   636,    -1,   988,   433,   988,    -1,    24,   366,   663,
     495,    -1,   496,    -1,   495,   435,   496,    -1,    18,    37,
     886,   487,    -1,   120,    37,   166,   135,   986,   487,    -1,
     120,    37,   986,   487,    -1,    24,    37,   986,   748,   366,
     887,   488,   487,    -1,    63,   828,    -1,    63,    22,    -1,
      81,   505,   972,   534,   506,   499,   500,   501,   507,   442,
     502,    -1,    81,   832,   357,   500,   501,   442,   502,    -1,
     151,    -1,   357,    -1,   281,    -1,    -1,   983,    -1,   338,
      -1,   339,    -1,   503,    -1,   431,   509,   432,    -1,   503,
     504,    -1,    -1,    44,    -1,   248,    -1,   150,    -1,   109,
     782,   983,    -1,   240,   782,   983,    -1,    85,    -1,   162,
      -1,   282,   782,   983,    -1,   128,   782,   983,    -1,   147,
     282,   535,    -1,   147,   282,   424,    -1,   147,   235,   240,
     535,    -1,   124,   983,    -1,    44,    -1,    -1,   397,   248,
      -1,    -1,   508,   110,   983,    -1,    -1,   379,    -1,    -1,
     510,    -1,   509,   435,   510,    -1,   988,   511,    -1,   470,
      -1,   564,    -1,   424,    -1,   431,   512,   432,    -1,    -1,
     513,    -1,   512,   435,   513,    -1,   470,    -1,    83,   515,
     347,   972,   431,   516,   432,   545,   546,   547,   548,    -1,
      83,   515,   347,   166,   235,   135,   972,   431,   516,   432,
     545,   546,   547,   548,    -1,    83,   515,   347,   972,   245,
     663,   517,   546,   547,   548,    -1,    83,   515,   347,   166,
     235,   135,   972,   245,   663,   517,   546,   547,   548,    -1,
     352,    -1,   350,    -1,   213,   352,    -1,   213,   350,    -1,
     155,   352,    -1,   155,   350,    -1,   375,    -1,    -1,   518,
      -1,    -1,   431,   519,   432,    -1,    -1,   520,    -1,   518,
     435,   520,    -1,   521,    -1,   519,   435,   521,    -1,   522,
      -1,   528,    -1,   531,    -1,   523,    -1,   531,    -1,   986,
     887,   590,   524,    -1,   986,   397,   253,   524,    -1,   524,
     525,    -1,    -1,    76,   974,   526,    -1,   526,    -1,   527,
      -1,    66,   663,    -1,   235,   240,    -1,   240,    -1,   372,
     725,   549,    -1,   276,   196,   725,   549,    -1,    60,   431,
     911,   432,   533,    -1,   103,   912,    -1,   290,   972,   534,
     537,   541,    -1,   105,    -1,   235,   105,    -1,   178,   106,
      -1,   178,   168,    -1,   209,   972,   529,    -1,   529,   172,
     530,    -1,   529,   132,   530,    -1,    -1,   104,    -1,    77,
      -1,   175,    -1,   340,    -1,    70,    -1,    22,    -1,    76,
     974,   532,    -1,   532,    -1,    60,   431,   911,   432,   621,
      -1,   372,   431,   535,   432,   725,   549,   621,    -1,   372,
     550,   621,    -1,   276,   196,   431,   535,   432,   725,   549,
     621,    -1,   276,   196,   550,   621,    -1,   131,   702,   431,
     538,   432,   725,   549,   540,   621,    -1,   148,   196,   431,
     535,   432,   290,   972,   534,   537,   541,   621,    -1,   233,
     176,    -1,    -1,   431,   535,   432,    -1,    -1,   536,    -1,
     535,   435,   536,    -1,   986,    -1,   219,   152,    -1,   219,
     264,    -1,   219,   329,    -1,    -1,   539,    -1,   538,   435,
     539,    -1,   704,   397,   735,    -1,   704,   397,   251,   431,
     735,   432,    -1,   394,   431,   911,   432,    -1,    -1,   542,
      -1,   543,    -1,   542,   543,    -1,   543,   542,    -1,    -1,
     249,   377,   544,    -1,   249,   108,   544,    -1,   233,    17,
      -1,   301,    -1,    51,    -1,   324,   240,    -1,   324,   103,
      -1,   177,   431,   971,   432,    -1,    -1,   397,   490,    -1,
     397,   248,    -1,   398,   248,    -1,    -1,   249,    71,   120,
      -1,   249,    71,   108,   309,    -1,   249,    71,   273,   309,
      -1,    -1,   349,   974,    -1,    -1,   379,   174,   349,   974,
      -1,    -1,   379,   174,   978,    -1,    83,   515,   347,   552,
      31,   831,   553,    -1,   972,   534,   546,   547,   548,    -1,
     397,    96,    -1,   397,   233,    96,    -1,    -1,    83,   556,
     220,   391,   555,    31,   831,   553,    -1,   972,   534,   491,
     548,    -1,   375,    -1,    -1,   291,   220,   391,   972,   553,
      -1,    83,   515,   318,   972,   560,    -1,    24,   318,   972,
     561,    -1,    24,   318,   166,   135,   972,   561,    -1,   561,
      -1,    -1,   562,    -1,   561,   562,    -1,    49,   564,    -1,
      95,    -1,   233,    95,    -1,   173,   563,   564,    -1,   221,
     564,    -1,   223,   564,    -1,   233,   221,    -1,   233,   223,
      -1,   261,    48,   663,    -1,   335,   442,   564,    -1,   300,
      -1,   300,   442,   564,    -1,    48,    -1,    -1,     4,    -1,
     423,     4,    -1,   985,    -1,   564,    -1,   565,   435,   564,
      -1,    83,   710,   567,   573,   198,   473,    -1,    83,   710,
     567,   573,   198,   473,   160,   568,   569,   571,    -1,   365,
      -1,    -1,   974,    -1,   974,   664,    -1,   179,   568,    -1,
      -1,   383,   568,    -1,   233,   383,    -1,   570,    -1,    -1,
     120,   573,   198,   473,   487,    -1,   120,   573,   198,   166,
     135,   473,   487,    -1,   279,    -1,    -1,    83,   349,   974,
     575,   216,   983,    -1,   262,   974,    -1,    -1,   120,   349,
     974,    -1,   120,   349,   166,   135,   974,    -1,    83,   137,
     974,   442,   578,    -1,    83,   137,   166,   235,   135,   974,
     442,   578,    -1,   578,   579,    -1,    -1,   312,   974,    -1,
     390,   473,    -1,   151,   473,    -1,    24,   137,   974,   377,
     581,    -1,   581,   582,    -1,    -1,   357,   473,    -1,    24,
     137,   974,   457,    21,   980,   637,    -1,    24,   137,   974,
     457,    54,   431,   887,    31,   887,   432,    -1,    24,   137,
     974,   457,    67,   663,    -1,    24,   137,   974,   457,    80,
     663,    -1,    24,   137,   974,   457,   118,   663,    -1,    24,
     137,   974,   457,   153,   688,    -1,    24,   137,   974,   457,
     573,   198,   974,    -1,    24,   137,   974,   457,   251,   735,
     734,    -1,    24,   137,   974,   457,   251,    62,   663,   379,
     976,    -1,    24,   137,   974,   457,   251,   141,   663,   379,
     976,    -1,    24,   137,   974,   457,   312,   974,    -1,    24,
     137,   974,   457,   129,   361,   974,    -1,    24,   137,   974,
     457,   347,   663,    -1,    24,   137,   974,   457,   353,   314,
     263,   663,    -1,    24,   137,   974,   457,   353,   314,   112,
     663,    -1,    24,   137,   974,   457,   353,   314,   351,   663,
      -1,    24,   137,   974,   457,   353,   314,    74,   663,    -1,
      24,   137,   974,   457,   318,   663,    -1,    24,   137,   974,
     457,   391,   663,    -1,    24,   137,   974,   457,   220,   391,
     663,    -1,    24,   137,   974,   457,   148,   347,   663,    -1,
      24,   137,   974,   457,   148,    96,   400,   974,    -1,    24,
     137,   974,   457,   321,   974,    -1,    24,   137,   974,   457,
     366,   663,    -1,    83,   148,    96,   400,   974,   587,   590,
      -1,   160,   568,    -1,   233,   160,    -1,   383,   568,    -1,
     233,   383,    -1,   585,    -1,   586,   585,    -1,   586,    -1,
      -1,   120,   148,    96,   400,   974,   487,    -1,   120,   148,
      96,   400,   166,   135,   974,   487,    -1,    24,   148,    96,
     400,   974,   587,   592,    -1,    24,   148,    96,   400,   974,
     586,    -1,   253,   431,   591,   432,    -1,    -1,   595,    -1,
     591,   435,   595,    -1,   253,   431,   593,   432,    -1,   594,
      -1,   593,   435,   594,    -1,   595,    -1,   324,   595,    -1,
      18,   595,    -1,   120,   596,    -1,   596,   597,    -1,   988,
      -1,   983,    -1,    83,   321,   974,   599,   601,   148,    96,
     400,   974,   590,    -1,   366,   983,    -1,    -1,   390,   983,
      -1,   390,   240,    -1,   600,    -1,    -1,   120,   321,   974,
     487,    -1,   120,   321,   166,   135,   974,   487,    -1,    24,
     321,   974,   600,   592,    -1,    24,   321,   974,   600,    -1,
      24,   321,   974,   592,    -1,    83,   148,   347,   972,   431,
     516,   432,   321,   974,   590,    -1,    83,   148,   347,   166,
     235,   135,   972,   431,   516,   432,   321,   974,   590,    -1,
      24,   148,   347,   878,   484,    -1,    24,   148,   347,   166,
     135,   878,   484,    -1,    83,   378,   218,   146,   607,   321,
     974,   590,    -1,    93,    -1,   378,    -1,   984,    -1,   120,
     378,   218,   146,   607,   321,   974,    -1,   120,   378,   218,
     166,   135,   146,   607,   321,   974,    -1,    24,   378,   218,
     146,   607,   321,   974,   592,    -1,    83,   361,   974,   611,
     612,   249,   972,   614,   617,   134,   280,   980,   431,   618,
     432,    -1,    83,    76,   361,   974,    20,   612,   249,   972,
     620,   621,   146,   121,   308,   617,   134,   280,   980,   431,
     618,   432,    -1,    40,    -1,    20,    -1,   185,   245,    -1,
     613,    -1,   612,   254,   613,    -1,   184,    -1,   108,    -1,
     377,    -1,   377,   245,   535,    -1,   364,    -1,   146,   615,
     616,    -1,    -1,   121,    -1,    -1,   308,    -1,   336,    -1,
     393,   431,   911,   432,    -1,    -1,   619,    -1,   618,   435,
     619,    -1,    -1,   982,    -1,     4,    -1,   983,    -1,   988,
      -1,   151,   972,    -1,    -1,    -1,   621,   622,    -1,   235,
     105,    -1,   105,    -1,   178,   168,    -1,   178,   106,    -1,
     235,   381,    -1,   233,   176,    -1,   120,   361,   974,   249,
     663,   487,    -1,   120,   361,   166,   135,   974,   249,   663,
     487,    -1,    83,   129,   361,   974,   249,   988,   134,   280,
     980,   431,   432,    -1,    83,   129,   361,   974,   249,   988,
     393,   625,   134,   280,   980,   431,   432,    -1,   626,    -1,
     625,    28,   626,    -1,   986,   171,   431,   627,   432,    -1,
       5,    -1,   627,   435,     5,    -1,    24,   129,   361,   974,
     629,    -1,   123,    -1,   123,   298,    -1,   123,    25,    -1,
     113,    -1,    83,    33,   974,    60,   431,   911,   432,   621,
      -1,   120,    33,   974,   487,    -1,    83,    21,   980,   637,
     633,    -1,    83,    21,   980,   638,    -1,    83,   251,   735,
     633,    -1,    83,   366,   663,   633,    -1,    83,   366,   663,
      -1,    83,   366,   663,    31,   431,   884,   432,    -1,    83,
     366,   663,    31,   127,   431,   641,   432,    -1,    83,   366,
     663,    31,   283,   633,    -1,    83,   353,   314,   263,   663,
     633,    -1,    83,   353,   314,   112,   663,   633,    -1,    83,
     353,   314,   351,   663,   633,    -1,    83,   353,   314,    74,
     663,   633,    -1,    83,    67,   663,   633,    -1,    83,    67,
     663,   151,   663,    -1,   431,   634,   432,    -1,   635,    -1,
     634,   435,   635,    -1,   988,   418,   636,    -1,   988,    -1,
     719,    -1,   992,    -1,   938,    -1,   564,    -1,   983,    -1,
     431,   943,   432,    -1,   431,   424,   432,    -1,   431,   639,
     432,    -1,   640,    -1,   639,   435,   640,    -1,     3,   418,
     636,    -1,   642,    -1,    -1,   983,    -1,   642,   435,   983,
      -1,    24,   366,   663,    18,   384,   644,   983,    -1,    24,
     366,   663,    18,   384,   644,   983,    40,   983,    -1,    24,
     366,   663,    18,   384,   644,   983,    20,   983,    -1,   166,
     235,   135,    -1,    -1,    83,   251,    62,   663,   648,   146,
     366,   887,   379,   976,   649,    31,   646,    -1,   647,    -1,
     646,   435,   647,    -1,   251,   982,   735,   650,   651,    -1,
     251,   982,   735,   734,   650,   651,    -1,   153,   982,   980,
     711,    -1,   153,   982,   431,   943,   432,   980,   711,    -1,
     340,   887,    -1,   103,    -1,    -1,   141,   663,    -1,    -1,
     146,   314,    -1,   146,   255,    48,   663,    -1,    -1,   287,
      -1,    -1,    83,   251,   141,   663,   379,   976,    -1,    24,
     251,   141,   663,   379,   976,    18,   646,    -1,    24,   251,
     141,   663,   379,   976,   120,   654,    -1,   655,    -1,   654,
     435,   655,    -1,   251,   982,   431,   943,   432,    -1,   153,
     982,   431,   943,   432,    -1,   120,   251,    62,   663,   379,
     976,   487,    -1,   120,   251,    62,   166,   135,   663,   379,
     976,   487,    -1,   120,   251,   141,   663,   379,   976,   487,
      -1,   120,   251,   141,   166,   135,   663,   379,   976,   487,
      -1,   120,   261,    48,   973,   487,    -1,   286,   261,    48,
     973,   357,   974,    -1,   120,   661,   166,   135,   662,   487,
      -1,   120,   661,   662,   487,    -1,   120,   174,    73,   662,
     487,    -1,   120,   174,    73,   166,   135,   662,   487,    -1,
     347,    -1,   318,    -1,   391,    -1,   220,   391,    -1,   174,
      -1,   148,   347,    -1,   129,   361,    -1,   366,    -1,   118,
      -1,    67,    -1,    80,    -1,   312,    -1,   137,    -1,   353,
     314,   263,    -1,   353,   314,   112,    -1,   353,   314,   351,
      -1,   353,   314,    74,    -1,   663,    -1,   662,   435,   663,
      -1,   986,    -1,   986,   664,    -1,   433,   977,    -1,   664,
     433,   977,    -1,   364,   842,   879,   666,   487,    -1,    79,
     165,    -1,   300,   165,    -1,    -1,    69,   249,   668,   663,
     192,   669,    -1,    69,   249,    21,   980,   637,   192,   669,
      -1,    69,   249,   153,   980,   711,   192,   669,    -1,    69,
     249,   251,   735,   734,   192,   669,    -1,    69,   249,    76,
     974,   249,   663,   192,   669,    -1,    69,   249,   310,   974,
     249,   663,   192,   669,    -1,    69,   249,   310,   974,   192,
     669,    -1,    69,   249,   361,   974,   249,   663,   192,   669,
      -1,    69,   249,   251,    62,   663,   379,   976,   192,   669,
      -1,    69,   249,   251,   141,   663,   379,   976,   192,   669,
      -1,    69,   249,   199,   244,   564,   192,   669,    -1,    69,
     249,    54,   431,   887,    31,   887,   432,   192,   669,    -1,
      69,   249,   573,   198,   663,   192,   669,    -1,    68,    -1,
      97,    -1,   312,    -1,   174,    -1,   318,    -1,   347,    -1,
     118,    -1,   366,    -1,   391,    -1,   220,   391,    -1,    67,
      -1,    80,    -1,   349,    -1,   137,    -1,   306,    -1,   148,
     347,    -1,   321,    -1,   148,    96,   400,    -1,   129,   361,
      -1,   353,   314,    74,    -1,   353,   314,   112,    -1,   353,
     314,   263,    -1,   353,   314,   351,    -1,   983,    -1,   240,
      -1,   316,   197,   671,   249,   672,   663,   192,   673,    -1,
     316,   197,   671,   249,    21,   980,   637,   192,   673,    -1,
     316,   197,   671,   249,   153,   980,   711,   192,   673,    -1,
     316,   197,   671,   249,   199,   244,   564,   192,   673,    -1,
     316,   197,   671,   249,   573,   198,   663,   192,   673,    -1,
     146,   473,    -1,    -1,    68,    -1,    97,    -1,   129,   361,
      -1,   148,   347,    -1,   312,    -1,   318,    -1,   347,    -1,
     118,    -1,   306,    -1,   349,    -1,   366,    -1,   391,    -1,
     220,   391,    -1,   983,    -1,   240,    -1,   142,   675,    -1,
     226,   675,    -1,   828,    -1,   676,   828,    -1,   232,   677,
     828,    -1,   277,   677,   828,    -1,   143,   677,   828,    -1,
     200,   677,   828,    -1,    15,   985,   677,   828,    -1,   293,
     985,   677,   828,    -1,   985,   677,   828,    -1,    22,   677,
     828,    -1,   149,   677,   828,    -1,   149,   985,   677,   828,
      -1,   149,    22,   677,   828,    -1,    39,   677,   828,    -1,
      39,   985,   677,   828,    -1,    39,    22,   677,   828,    -1,
     151,    -1,   171,    -1,   676,    -1,    -1,   156,   680,   249,
     683,   357,   684,   686,    -1,   304,   680,   249,   683,   151,
     684,   487,    -1,   304,   156,   252,   146,   680,   249,   683,
     151,   684,   487,    -1,   681,    -1,    22,    -1,    22,   278,
      -1,    22,   431,   535,   432,    -1,    22,   278,   431,   535,
     432,    -1,   682,    -1,   681,   435,   682,    -1,   317,   534,
      -1,   290,   534,    -1,    83,   534,    -1,   986,   534,    -1,
     971,    -1,   347,   971,    -1,   318,   971,    -1,   148,    96,
     400,   973,    -1,   148,   321,   973,    -1,   153,   687,    -1,
      97,   973,    -1,   118,   662,    -1,   198,   973,    -1,   199,
     244,   565,    -1,   312,   973,    -1,   349,   973,    -1,   366,
     662,    -1,    22,   348,   171,   312,   973,    -1,    22,   319,
     171,   312,   973,    -1,    22,   154,   171,   312,   973,    -1,
     685,    -1,   684,   435,   685,    -1,   984,    -1,   159,   984,
      -1,   397,   156,   252,    -1,    -1,   688,    -1,   687,   435,
     688,    -1,   980,   711,    -1,   156,   681,   357,   973,   691,
     692,    -1,   304,   681,   151,   973,   692,   487,    -1,   304,
      19,   252,   146,   681,   151,   973,   692,   487,    -1,   397,
      19,   252,    -1,    -1,   157,    48,   984,    -1,    -1,    24,
     103,   278,   694,   696,    -1,   694,   695,    -1,    -1,   171,
     312,   973,    -1,   146,   306,   973,    -1,   146,   378,   973,
      -1,   156,   680,   249,   697,   357,   684,   686,    -1,   304,
     680,   249,   697,   151,   684,   487,    -1,   304,   156,   252,
     146,   680,   249,   697,   151,   684,   487,    -1,   348,    -1,
     154,    -1,   319,    -1,   367,    -1,    83,   699,   174,   700,
     701,   249,   972,   702,   431,   703,   432,   491,   548,   882,
      -1,   372,    -1,    -1,    73,    -1,    -1,   978,    -1,    -1,
     379,   976,    -1,    -1,   704,    -1,   703,   435,   704,    -1,
     986,   705,   706,   707,   708,    -1,   914,   705,   706,   707,
     708,    -1,   431,   911,   432,   705,   706,   707,   708,    -1,
      66,   663,    -1,    -1,   663,    -1,   379,   663,    -1,    -1,
      32,    -1,   111,    -1,    -1,   415,    -1,   416,    -1,    -1,
      83,   710,   153,   980,   713,   303,   718,   721,   725,    -1,
      83,   710,   153,   980,   713,   303,   347,   431,   727,   432,
     721,   725,    -1,    83,   710,   153,   980,   713,   721,   725,
      -1,   254,   297,    -1,    -1,   431,   712,   432,    -1,   431,
     432,    -1,   715,    -1,   712,   435,   715,    -1,   431,   714,
     432,    -1,   431,   432,    -1,   720,    -1,   714,   435,   720,
      -1,   716,   717,   719,    -1,   717,   716,   719,    -1,   717,
     719,    -1,   716,   719,    -1,   719,    -1,   171,    -1,   256,
      -1,   181,    -1,   171,   256,    -1,   387,    -1,   987,    -1,
     719,    -1,   887,    -1,   987,   664,   426,   366,    -1,   325,
     987,   664,   426,   366,    -1,   715,    -1,   715,   103,   911,
      -1,   715,   418,   911,    -1,   723,    -1,   721,   723,    -1,
      50,   249,   240,   182,    -1,   303,   240,   249,   240,   182,
      -1,   341,    -1,   169,    -1,   333,    -1,   392,    -1,   138,
     316,   107,    -1,   138,   316,   191,    -1,   316,   107,    -1,
     316,   191,    -1,   205,    -1,   235,   205,    -1,    82,   564,
      -1,   309,   564,    -1,   476,    -1,    31,   724,    -1,   198,
     473,    -1,   396,    -1,   722,    -1,   983,    -1,   983,   435,
     983,    -1,   397,   633,    -1,    -1,   717,   719,    -1,   726,
      -1,   727,   435,   726,    -1,    24,   153,   688,   729,   730,
      -1,   722,    -1,   729,   722,    -1,   301,    -1,    -1,   120,
     153,   980,   711,   487,    -1,   120,   153,   166,   135,   980,
     711,   487,    -1,   120,    21,   980,   637,   487,    -1,   120,
      21,   166,   135,   980,   637,   487,    -1,   120,   251,   735,
     734,   487,    -1,   120,   251,   166,   135,   735,   734,   487,
      -1,   431,   887,   432,    -1,   431,   887,   435,   887,   432,
      -1,   431,   234,   435,   887,   432,    -1,   431,   887,   435,
     234,   432,    -1,   935,    -1,   986,   433,   735,    -1,   116,
     737,    -1,   738,    -1,   737,   738,    -1,   983,    -1,   198,
     473,    -1,    83,    54,   431,   887,    31,   887,   432,   397,
     153,   688,   740,    -1,    83,    54,   431,   887,    31,   887,
     432,   398,   153,   740,    -1,    83,    54,   431,   887,    31,
     887,   432,   397,   181,   740,    -1,    31,   170,    -1,    31,
      34,    -1,    -1,   120,    54,   742,   431,   887,    31,   887,
     432,   487,    -1,   166,   135,    -1,    -1,   292,   744,   972,
     745,    -1,   292,   346,   974,   745,    -1,   292,    97,   974,
     745,    -1,   174,    -1,   347,    -1,   147,    -1,    -1,    24,
      21,   980,   637,   295,   357,   974,    -1,    24,    67,   663,
     295,   357,   974,    -1,    24,    80,   663,   295,   357,   974,
      -1,    24,    97,   975,   295,   357,   975,    -1,    24,   118,
     663,   295,   357,   974,    -1,    24,   118,   663,   295,    76,
     974,   357,   974,    -1,    24,   148,    96,   400,   974,   295,
     357,   974,    -1,    24,   153,   688,   295,   357,   974,    -1,
      24,   159,   984,   295,   357,   984,    -1,    24,   573,   198,
     974,   295,   357,   974,    -1,    24,   251,    62,   663,   379,
     976,   295,   357,   974,    -1,    24,   251,   141,   663,   379,
     976,   295,   357,   974,    -1,    24,   312,   974,   295,   357,
     974,    -1,    24,   321,   974,   295,   357,   974,    -1,    24,
     347,   878,   295,   357,   974,    -1,    24,   347,   166,   135,
     878,   295,   357,   974,    -1,    24,   318,   972,   295,   357,
     974,    -1,    24,   318,   166,   135,   972,   295,   357,   974,
      -1,    24,   391,   972,   295,   357,   974,    -1,    24,   391,
     166,   135,   972,   295,   357,   974,    -1,    24,   220,   391,
     972,   295,   357,   974,    -1,    24,   220,   391,   166,   135,
     972,   295,   357,   974,    -1,    24,   174,   972,   295,   357,
     974,    -1,    24,   174,   166,   135,   972,   295,   357,   974,
      -1,    24,   148,   347,   878,   295,   357,   974,    -1,    24,
     148,   347,   166,   135,   878,   295,   357,   974,    -1,    24,
     347,   878,   295,   747,   974,   357,   974,    -1,    24,   347,
     166,   135,   878,   295,   747,   974,   357,   974,    -1,    24,
     220,   391,   972,   295,   747,   974,   357,   974,    -1,    24,
     220,   391,   166,   135,   972,   295,   747,   974,   357,   974,
      -1,    24,   347,   878,   295,    76,   974,   357,   974,    -1,
      24,   148,   347,   878,   295,   747,   974,   357,   974,    -1,
      24,   148,   347,   166,   135,   878,   295,   747,   974,   357,
     974,    -1,    24,   310,   974,   249,   972,   295,   357,   974,
      -1,    24,   361,   974,   249,   972,   295,   357,   974,    -1,
      24,   129,   361,   974,   295,   357,   974,    -1,    24,   306,
     984,   295,   357,   984,    -1,    24,   378,   984,   295,   357,
     984,    -1,    24,   349,   974,   295,   357,   974,    -1,    24,
     349,   974,   324,   490,    -1,    24,   349,   974,   299,   490,
      -1,    24,   353,   314,   263,   663,   295,   357,   974,    -1,
      24,   353,   314,   112,   663,   295,   357,   974,    -1,    24,
     353,   314,   351,   663,   295,   357,   974,    -1,    24,   353,
     314,    74,   663,   295,   357,   974,    -1,    24,   366,   663,
     295,   357,   974,    -1,    24,   366,   663,   295,    37,   974,
     357,   974,   487,    -1,    68,    -1,    -1,   324,    96,    -1,
      -1,    24,    21,   980,   637,   324,   312,   974,    -1,    24,
      67,   663,   324,   312,   974,    -1,    24,    80,   663,   324,
     312,   974,    -1,    24,   118,   663,   324,   312,   974,    -1,
      24,   137,   663,   324,   312,   974,    -1,    24,   153,   688,
     324,   312,   974,    -1,    24,   251,   735,   734,   324,   312,
     974,    -1,    24,   251,    62,   663,   379,   976,   324,   312,
     974,    -1,    24,   251,   141,   663,   379,   976,   324,   312,
     974,    -1,    24,   347,   878,   324,   312,   974,    -1,    24,
     347,   166,   135,   878,   324,   312,   974,    -1,    24,   353,
     314,   263,   663,   324,   312,   974,    -1,    24,   353,   314,
     112,   663,   324,   312,   974,    -1,    24,   353,   314,   351,
     663,   324,   312,   974,    -1,    24,   353,   314,    74,   663,
     324,   312,   974,    -1,    24,   318,   972,   324,   312,   974,
      -1,    24,   318,   166,   135,   972,   324,   312,   974,    -1,
      24,   391,   972,   324,   312,   974,    -1,    24,   391,   166,
     135,   972,   324,   312,   974,    -1,    24,   220,   391,   972,
     324,   312,   974,    -1,    24,   220,   391,   166,   135,   972,
     324,   312,   974,    -1,    24,   148,   347,   878,   324,   312,
     974,    -1,    24,   148,   347,   166,   135,   878,   324,   312,
     974,    -1,    24,   366,   663,   324,   312,   974,    -1,    24,
      21,   980,   637,   262,   357,   984,    -1,    24,    67,   663,
     262,   357,   984,    -1,    24,    80,   663,   262,   357,   984,
      -1,    24,    97,   975,   262,   357,   984,    -1,    24,   118,
     663,   262,   357,   984,    -1,    24,   153,   688,   262,   357,
     984,    -1,    24,   573,   198,   974,   262,   357,   984,    -1,
      24,   199,   244,   564,   262,   357,   984,    -1,    24,   251,
     735,   734,   262,   357,   984,    -1,    24,   251,    62,   663,
     379,   976,   262,   357,   984,    -1,    24,   251,   141,   663,
     379,   976,   262,   357,   984,    -1,    24,   312,   974,   262,
     357,   984,    -1,    24,   366,   663,   262,   357,   984,    -1,
      24,   349,   974,   262,   357,   984,    -1,    24,   353,   314,
     112,   663,   262,   357,   984,    -1,    24,   353,   314,    74,
     663,   262,   357,   984,    -1,    24,   148,    96,   400,   974,
     262,   357,   984,    -1,    24,   321,   974,   262,   357,   984,
      -1,    24,   129,   361,   974,   262,   357,   984,    -1,    83,
     710,   310,   974,    31,   249,   756,   357,   972,   882,   116,
     757,   752,    -1,   236,    -1,   754,    -1,   431,   753,   432,
      -1,   753,   434,   755,    -1,   755,    -1,   831,    -1,   809,
      -1,   820,    -1,   814,    -1,   759,    -1,   754,    -1,    -1,
     317,    -1,   377,    -1,   108,    -1,   184,    -1,   185,    -1,
      23,    -1,    -1,   120,   310,   974,   249,   663,   487,    -1,
     120,   310,   166,   135,   974,   249,   663,   487,    -1,   237,
     986,   760,    -1,   435,   983,    -1,    -1,   211,   986,    -1,
     374,   986,    -1,   374,   424,    -1,    14,   764,    -1,    41,
     764,   767,    -1,   335,   359,   767,    -1,    71,   764,    -1,
     126,   764,    -1,   307,   764,    -1,   311,   986,    -1,   294,
     311,   986,    -1,   294,   986,    -1,   307,   764,   357,   311,
     986,    -1,   307,   764,   357,   986,    -1,   274,   359,   983,
      -1,    71,   275,   983,    -1,   307,   275,   983,    -1,   399,
      -1,   359,    -1,    -1,   194,   208,   469,    -1,   284,   250,
      -1,   284,   401,    -1,   105,    -1,   235,   105,    -1,   765,
      -1,   766,   435,   765,    -1,   766,   765,    -1,   766,    -1,
      -1,    83,   515,   391,   972,   534,   491,    31,   831,   769,
      -1,    83,   254,   297,   515,   391,   972,   534,   491,    31,
     831,   769,    -1,    83,   515,   288,   391,   972,   431,   535,
     432,   491,    31,   831,    -1,    83,   254,   297,   515,   288,
     391,   972,   431,   535,   432,   491,    31,   831,    -1,   397,
      60,   252,    -1,   397,    52,    60,   252,    -1,   397,   213,
      60,   252,    -1,    -1,   212,   979,    -1,    83,    97,   975,
     442,   772,    -1,   772,   773,    -1,    -1,   349,   774,   974,
      -1,   349,   774,   103,    -1,   216,   774,   983,    -1,   216,
     774,   103,    -1,   351,   774,   974,    -1,   351,   774,   103,
      -1,   124,   774,   983,    -1,   124,   774,   982,    -1,   124,
     774,   103,    -1,   202,   774,   983,    -1,   202,   774,   103,
      -1,   203,   774,   983,    -1,   203,   774,   103,    -1,    75,
     210,   774,   985,    -1,   262,   774,   974,    -1,   262,   774,
     103,    -1,   418,    -1,    -1,    24,    97,   975,   442,   777,
      -1,    24,    97,   975,   324,   349,   974,    -1,    24,    97,
     975,   475,    -1,   777,   778,    -1,    -1,    75,   210,   774,
     985,    -1,   120,    97,   975,    -1,   120,    97,   166,   135,
     975,    -1,    83,   118,   663,   782,   887,   524,    -1,    24,
     118,   663,   486,    -1,    24,   118,   663,   120,   235,   240,
      -1,    24,   118,   663,   324,   235,   240,    -1,    24,   118,
     663,    18,   531,    -1,    24,   118,   663,   120,    76,   974,
     487,    -1,    24,   118,   663,   120,    76,   166,   135,   974,
     487,    -1,    24,   118,   663,   382,    76,   974,    -1,    31,
      -1,    -1,    24,   353,   314,   112,   663,   633,    -1,    24,
     353,   314,    74,   663,    18,   218,   146,   973,   397,   662,
      -1,    24,   353,   314,    74,   663,    24,   218,   146,   973,
     397,   662,    -1,    24,   353,   314,    74,   663,    24,   218,
     297,   663,   397,   663,    -1,    24,   353,   314,    74,   663,
      24,   218,   146,   973,   297,   663,   397,   663,    -1,    24,
     353,   314,    74,   663,   120,   218,   146,   973,    -1,    24,
     353,   314,    74,   663,   120,   218,   166,   135,   146,   973,
      -1,    83,   648,    80,   663,   146,   983,   357,   983,   151,
     663,    -1,    64,   793,   972,   787,    -1,    64,   793,    -1,
      64,   793,   978,   249,   972,    -1,   379,   978,    -1,    -1,
     380,   794,   795,   793,    -1,   380,   794,   795,   793,   972,
      -1,   380,   794,   795,   793,   791,    -1,   380,   431,   789,
     432,    -1,   380,   431,   789,   432,   972,   796,    -1,   790,
      -1,   789,   435,   790,    -1,   792,    -1,   389,    -1,   150,
      -1,   152,    -1,   792,   793,    -1,   792,   793,   972,   796,
      -1,    27,    -1,    26,    -1,   389,    -1,    -1,   152,    -1,
      -1,   150,    -1,    -1,   431,   973,   432,    -1,    -1,   136,
     798,    -1,   136,   792,   793,   798,    -1,   136,   389,   798,
      -1,   136,   431,   799,   432,   798,    -1,   831,    -1,   809,
      -1,   820,    -1,   814,    -1,   827,    -1,   551,    -1,   554,
      -1,   557,    -1,   806,    -1,   800,    -1,   799,   435,   800,
      -1,   801,   802,    -1,   986,    -1,   792,    -1,   389,    -1,
     470,    -1,   564,    -1,    -1,   274,   974,   804,    31,   805,
      -1,   431,   943,   432,    -1,    -1,   831,    -1,   809,    -1,
     820,    -1,   814,    -1,   134,   974,   807,    -1,    83,   515,
     347,   552,    31,   134,   974,   807,   553,    -1,   431,   940,
     432,    -1,    -1,    99,   974,    -1,    99,   274,   974,    -1,
      99,    22,    -1,    99,   274,    22,    -1,   839,   184,   190,
     972,   810,   813,    -1,   831,    -1,   431,   811,   432,   831,
      -1,   103,   385,    -1,   812,    -1,   811,   435,   812,    -1,
     986,   964,    -1,   302,   969,    -1,    -1,   839,   108,   151,
     880,   815,   883,   813,    -1,   379,   869,    -1,    -1,   217,
     842,   879,   817,   819,    -1,   171,   818,   224,    -1,    -1,
      16,   326,    -1,   308,   326,    -1,   308,   133,    -1,   326,
     377,   133,    -1,   326,    -1,   326,   308,   133,    -1,   133,
      -1,    16,   133,    -1,   239,    -1,    -1,   839,   377,   880,
     324,   821,   868,   883,   813,    -1,   822,    -1,   821,   435,
     822,    -1,   823,    -1,   824,    -1,   825,   418,   966,    -1,
     431,   826,   432,   418,   968,    -1,   986,   964,    -1,   825,
      -1,   826,   435,   825,    -1,   102,   828,   829,    94,   830,
     146,   831,    -1,   974,    -1,    -1,   829,   233,   313,    -1,
     829,   313,    -1,   829,    44,    -1,   829,   183,    -1,    -1,
     397,   163,    -1,   398,   163,    -1,   833,    -1,   832,    -1,
     431,   833,   432,    -1,   431,   832,   432,    -1,   835,    -1,
     834,   846,    -1,   834,   845,   861,   850,    -1,   834,   845,
     849,   862,    -1,   836,   834,    -1,   836,   834,   846,    -1,
     836,   834,   845,   861,   850,    -1,   836,   834,   845,   849,
     862,    -1,   835,    -1,   832,    -1,   317,   844,   969,   840,
     868,   882,   859,   860,   923,    -1,   867,    -1,   347,   878,
      -1,   834,   371,   843,   834,    -1,   834,   188,   843,   834,
      -1,   834,   130,   843,   834,    -1,   397,   837,    -1,   397,
     288,   837,    -1,   838,    -1,   837,   435,   838,    -1,   974,
     796,    31,   431,   805,   432,    -1,   836,    -1,    -1,   190,
     841,    -1,    -1,   352,   842,   972,    -1,   350,   842,   972,
      -1,   213,   352,   842,   972,    -1,   213,   350,   842,   972,
      -1,   155,   352,   842,   972,    -1,   155,   350,   842,   972,
      -1,   375,   842,   972,    -1,   347,   972,    -1,   972,    -1,
     347,    -1,    -1,    22,    -1,   115,    -1,    -1,   115,    -1,
     115,   249,   431,   940,   432,    -1,    22,    -1,    -1,   846,
      -1,    -1,   255,    48,   847,    -1,   848,    -1,   847,   435,
     848,    -1,   911,   379,   938,   708,    -1,   911,   707,   708,
      -1,   851,   852,    -1,   852,   851,    -1,   851,    -1,   852,
      -1,   849,    -1,    -1,   210,   853,    -1,   210,   853,   435,
     854,    -1,   142,   858,   855,   857,   250,    -1,   247,   854,
      -1,   247,   856,   857,    -1,   911,    -1,    22,    -1,   911,
      -1,   985,    -1,   431,   911,   432,    -1,    -1,   913,    -1,
     308,    -1,   309,    -1,   143,    -1,   232,    -1,   159,    48,
     940,    -1,    -1,   161,   911,    -1,    -1,   863,    -1,   146,
     284,   250,    -1,   861,    -1,    -1,   864,    -1,   863,   864,
      -1,   865,   866,   819,    -1,   146,   377,    -1,   146,   233,
     196,   377,    -1,   146,   326,    -1,   146,   196,   326,    -1,
     245,   971,    -1,    -1,   385,   968,    -1,   867,   435,   968,
      -1,   151,   869,    -1,    -1,   870,    -1,   869,   435,   870,
      -1,   878,   873,    -1,   881,   874,    -1,   201,   881,   874,
      -1,   832,   873,    -1,   201,   832,   873,    -1,   871,    -1,
     431,   871,   432,   872,    -1,   431,   871,   432,    -1,   870,
      84,   195,   870,    -1,   870,   875,   195,   870,   877,    -1,
     870,   195,   870,   877,    -1,   870,   230,   875,   195,   870,
      -1,   870,   230,   195,   870,    -1,    31,   986,   431,   973,
     432,    -1,    31,   986,    -1,   986,   431,   973,   432,    -1,
     986,    -1,   872,    -1,    -1,   872,    -1,    31,   431,   885,
     432,    -1,    31,   986,   431,   885,   432,    -1,   986,   431,
     885,   432,    -1,    -1,   152,   876,    -1,   207,   876,    -1,
     305,   876,    -1,   180,    -1,   257,    -1,    -1,   379,   431,
     973,   432,    -1,   249,   911,    -1,   972,    -1,   972,   424,
      -1,   250,   972,    -1,   250,   431,   972,   432,    -1,   878,
      -1,   879,   435,   878,    -1,   878,    -1,   878,   986,    -1,
     878,    31,   986,    -1,   914,    -1,   394,   911,    -1,    -1,
     394,   911,    -1,   394,    86,   245,   828,    -1,    -1,   885,
      -1,    -1,   886,    -1,   885,   435,   886,    -1,   986,   887,
     488,    -1,   889,   888,    -1,   325,   889,   888,    -1,   889,
      30,   429,   982,   430,    -1,   325,   889,    30,   429,   982,
     430,    -1,   889,    30,    -1,   325,   889,    30,    -1,   888,
     429,   430,    -1,   888,   429,   982,   430,    -1,    -1,   891,
      -1,   893,    -1,   895,    -1,   899,    -1,   906,    -1,   907,
     909,    -1,   907,   431,   982,   432,   909,    -1,   893,    -1,
     896,    -1,   900,    -1,   906,    -1,   987,   892,    -1,   987,
     664,   892,    -1,   431,   940,   432,    -1,    -1,   186,    -1,
     187,    -1,   330,    -1,    43,    -1,   285,    -1,   144,   894,
      -1,   119,   272,    -1,   101,   892,    -1,   100,   892,    -1,
     243,   892,    -1,    46,    -1,   431,   982,   432,    -1,    -1,
     897,    -1,   898,    -1,   897,    -1,   898,    -1,    45,   904,
     431,   940,   432,    -1,    45,   904,    -1,   901,    -1,   902,
      -1,   901,    -1,   902,    -1,   903,   431,   982,   432,   905,
      -1,   903,   905,    -1,    58,   904,    -1,    57,   904,    -1,
     386,    -1,   229,    58,   904,    -1,   229,    57,   904,    -1,
     231,   904,    -1,   388,    -1,    -1,    58,   324,   986,    -1,
      -1,   356,   431,   982,   432,   908,    -1,   356,   908,    -1,
     355,   431,   982,   432,   908,    -1,   355,   908,    -1,   189,
      -1,   417,   414,    -1,   398,   355,   414,    -1,    -1,   412,
      -1,   225,    -1,    98,    -1,   164,    -1,   222,    -1,   910,
      -1,   412,   357,   225,    -1,    98,   357,   164,    -1,    98,
     357,   222,    -1,    98,   357,   910,    -1,   164,   357,   222,
      -1,   164,   357,   910,    -1,   222,   357,   910,    -1,    -1,
     315,    -1,   315,   431,   982,   432,    -1,   913,    -1,   911,
      11,   887,    -1,   911,    66,   663,    -1,   911,    36,   355,
     414,   911,    -1,   422,   911,    -1,   423,   911,    -1,   911,
     422,   911,    -1,   911,   423,   911,    -1,   911,   424,   911,
      -1,   911,   425,   911,    -1,   911,   426,   911,    -1,   911,
     427,   911,    -1,   911,   419,   911,    -1,   911,   420,   911,
      -1,   911,   418,   911,    -1,   911,   937,   911,    -1,   937,
     911,    -1,   911,   937,    -1,   911,    28,   911,    -1,   911,
     254,   911,    -1,   235,   911,    -1,   911,   209,   911,    -1,
     911,   209,   911,   128,   911,    -1,   911,   235,   209,   911,
      -1,   911,   235,   209,   911,   128,   911,    -1,   911,   167,
     911,    -1,   911,   167,   911,   128,   911,    -1,   911,   235,
     167,   911,    -1,   911,   235,   167,   911,   128,   911,    -1,
     911,   328,   357,   911,    -1,   911,   328,   357,   911,   128,
     911,    -1,   911,   235,   328,   357,   911,    -1,   911,   235,
     328,   357,   911,   128,   911,    -1,   911,   192,   240,    -1,
     911,   193,    -1,   911,   192,   235,   240,    -1,   911,   238,
      -1,   933,   259,   933,    -1,   911,   192,   363,    -1,   911,
     192,   235,   363,    -1,   911,   192,   140,    -1,   911,   192,
     235,   140,    -1,   911,   192,   373,    -1,   911,   192,   235,
     373,    -1,   911,   192,   115,   151,   911,    -1,   911,   192,
     235,   115,   151,   911,    -1,   911,   192,   245,   431,   943,
     432,    -1,   911,   192,   235,   245,   431,   943,   432,    -1,
     911,    42,   965,   912,    28,   912,    -1,   911,   235,    42,
     965,   912,    28,   912,    -1,   911,    42,   344,   912,    28,
     912,    -1,   911,   235,    42,   344,   912,    28,   912,    -1,
     911,   171,   955,    -1,   911,   235,   171,   955,    -1,   911,
     939,   934,   832,    -1,   911,   939,   934,   431,   911,   432,
      -1,   372,   832,    -1,   911,   192,   117,    -1,   911,   192,
     235,   117,    -1,   913,    -1,   912,    11,   887,    -1,   422,
     912,    -1,   423,   912,    -1,   912,   422,   912,    -1,   912,
     423,   912,    -1,   912,   424,   912,    -1,   912,   425,   912,
      -1,   912,   426,   912,    -1,   912,   427,   912,    -1,   912,
     419,   912,    -1,   912,   420,   912,    -1,   912,   418,   912,
      -1,   912,   937,   912,    -1,   937,   912,    -1,   912,   937,
      -1,   912,   192,   115,   151,   912,    -1,   912,   192,   235,
     115,   151,   912,    -1,   912,   192,   245,   431,   943,   432,
      -1,   912,   192,   235,   245,   431,   943,   432,    -1,   912,
     192,   117,    -1,   912,   192,   235,   117,    -1,   961,    -1,
     981,    -1,    10,   964,    -1,   431,   911,   432,   964,    -1,
     956,    -1,   914,    -1,   832,    -1,   832,   963,    -1,   135,
     832,    -1,    30,   832,    -1,    30,   944,    -1,   933,    -1,
     980,   431,   432,   926,    -1,   980,   431,   941,   432,   926,
      -1,   980,   431,   387,   942,   432,   926,    -1,   980,   431,
     941,   435,   387,   942,   432,   926,    -1,   980,   431,   941,
     846,   432,   926,    -1,   980,   431,    22,   941,   845,   432,
     926,    -1,   980,   431,   115,   941,   845,   432,   926,    -1,
     980,   431,   424,   432,   926,    -1,    67,   146,   431,   911,
     432,    -1,    88,    -1,    91,    -1,    91,   431,   982,   432,
      -1,    92,    -1,    92,   431,   982,   432,    -1,   214,    -1,
     214,   431,   982,   432,    -1,   215,    -1,   215,   431,   982,
     432,    -1,    89,    -1,    93,    -1,   323,    -1,   378,    -1,
      87,    -1,    90,    -1,    54,   431,   911,    31,   887,   432,
      -1,   139,   431,   946,   432,    -1,   260,   431,   948,   432,
      -1,   270,   431,   950,   432,    -1,   343,   431,   951,   432,
      -1,   360,   431,   911,    31,   887,   432,    -1,   362,   431,
      47,   954,   432,    -1,   362,   431,   204,   954,   432,    -1,
     362,   431,   358,   954,   432,    -1,   362,   431,   954,   432,
      -1,   241,   431,   911,   435,   911,   432,    -1,    65,   431,
     940,   432,    -1,   158,   431,   940,   432,    -1,   206,   431,
     940,   432,    -1,   404,   431,   940,   432,    -1,   405,   431,
     227,   988,   432,    -1,   405,   431,   227,   988,   435,   917,
     432,    -1,   405,   431,   227,   988,   435,   940,   432,    -1,
     405,   431,   227,   988,   435,   917,   435,   940,   432,    -1,
     406,   431,   913,   922,   432,    -1,   407,   431,   918,   432,
      -1,   408,   431,   920,   911,   921,   432,    -1,   409,   431,
     227,   988,   432,    -1,   409,   431,   227,   988,   435,   911,
     432,    -1,   410,   431,   911,   435,   915,   916,   432,    -1,
     411,   431,   920,   911,    31,   889,   432,    -1,   390,   911,
      -1,   390,   233,   384,    -1,   435,   334,   413,    -1,   435,
     334,   233,    -1,   435,   334,   233,   384,    -1,    -1,   403,
     431,   918,   432,    -1,   919,    -1,   918,   435,   919,    -1,
     911,    31,   988,    -1,   911,    -1,   117,    -1,    78,    -1,
     273,   395,    -1,   342,   395,    -1,    -1,   266,   913,    -1,
     266,   913,    48,   289,    -1,   266,    48,   289,   913,    -1,
     266,    48,   289,   913,    48,   289,    -1,   396,   924,    -1,
      -1,   925,    -1,   924,   435,   925,    -1,   986,    31,   927,
      -1,   258,   927,    -1,   258,   986,    -1,    -1,   431,   928,
     929,   845,   930,   432,    -1,   986,    -1,    -1,   265,    48,
     940,    -1,    -1,   283,   931,    -1,   309,   931,    -1,    -1,
     932,    -1,    42,   932,    28,   932,    -1,   368,   271,    -1,
     368,   145,    -1,    86,   308,    -1,   911,   271,    -1,   911,
     145,    -1,   308,   431,   940,   432,    -1,   308,   431,   432,
      -1,   431,   940,   435,   911,   432,    -1,    29,    -1,   332,
      -1,    22,    -1,     8,    -1,   936,    -1,   422,    -1,   423,
      -1,   424,    -1,   425,    -1,   426,    -1,   427,    -1,   419,
      -1,   420,    -1,   418,    -1,     8,    -1,   251,   431,   735,
     432,    -1,   935,    -1,   251,   431,   735,   432,    -1,   935,
      -1,   251,   431,   735,   432,    -1,   209,    -1,   235,   209,
      -1,   167,    -1,   235,   167,    -1,   911,    -1,   940,   435,
     911,    -1,   942,    -1,   941,   435,   942,    -1,   911,    -1,
     717,    13,   911,    -1,   887,    -1,   943,   435,   887,    -1,
     429,   940,   430,    -1,   429,   945,   430,    -1,   429,   430,
      -1,   944,    -1,   945,   435,   944,    -1,   947,   151,   911,
      -1,    -1,     3,    -1,   412,    -1,   225,    -1,    98,    -1,
     164,    -1,   222,    -1,   315,    -1,   983,    -1,   911,   949,
     952,   953,    -1,   911,   949,   952,    -1,   268,   911,    -1,
     912,   171,   912,    -1,    -1,   911,   952,   953,    -1,   911,
     953,   952,    -1,   911,   952,    -1,   911,   953,    -1,   940,
      -1,    -1,   151,   911,    -1,   146,   911,    -1,   911,   151,
     940,    -1,   151,   940,    -1,   940,    -1,   832,    -1,   431,
     940,   432,    -1,    53,   960,   957,   959,   126,    -1,   958,
      -1,   957,   958,    -1,   393,   911,   354,   911,    -1,   122,
     911,    -1,    -1,   911,    -1,    -1,   986,    -1,   986,   963,
      -1,   433,   977,    -1,   433,   424,    -1,   429,   911,   430,
      -1,   429,   911,   436,   911,   430,    -1,   962,    -1,   963,
     962,    -1,    -1,   964,   962,    -1,    35,    -1,    -1,   911,
      -1,   103,    -1,   966,    -1,   967,   435,   966,    -1,   431,
     967,   432,    -1,   970,    -1,   969,   435,   970,    -1,   911,
      31,   988,    -1,   911,     3,    -1,   911,    -1,   424,    -1,
     972,    -1,   971,   435,   972,    -1,   986,    -1,   986,   963,
      -1,   974,    -1,   973,   435,   974,    -1,   986,    -1,   986,
      -1,   986,    -1,   988,    -1,   986,    -1,   983,    -1,   987,
      -1,   986,   963,    -1,   982,    -1,     4,    -1,   983,    -1,
       6,    -1,     7,    -1,   980,   983,    -1,   980,   431,   941,
     432,   983,    -1,   890,   983,    -1,   907,   983,   909,    -1,
     907,   431,   982,   432,   983,   909,    -1,   363,    -1,   140,
      -1,   240,    -1,     9,    -1,     5,    -1,   986,    -1,   982,
      -1,   422,   982,    -1,   423,   982,    -1,     3,    -1,   989,
      -1,   990,    -1,     3,    -1,   989,    -1,   991,    -1,     3,
      -1,   989,    -1,   990,    -1,   991,    -1,   992,    -1,    14,
      -1,    15,    -1,    16,    -1,    17,    -1,    18,    -1,    19,
      -1,    20,    -1,    21,    -1,    23,    -1,    24,    -1,    25,
      -1,    33,    -1,    34,    -1,    36,    -1,    37,    -1,    39,
      -1,    40,    -1,    41,    -1,    48,    -1,    49,    -1,    50,
      -1,    51,    -1,    52,    -1,    55,    -1,    56,    -1,    59,
      -1,    61,    -1,    62,    -1,    63,    -1,    64,    -1,    69,
      -1,    70,    -1,    71,    -1,    72,    -1,    74,    -1,    75,
      -1,    77,    -1,    78,    -1,    79,    -1,    80,    -1,    81,
      -1,    82,    -1,    85,    -1,    86,    -1,    94,    -1,    95,
      -1,    96,    -1,    97,    -1,    98,    -1,    99,    -1,   102,
      -1,   104,    -1,   106,    -1,   107,    -1,   108,    -1,   109,
      -1,   110,    -1,   112,    -1,   113,    -1,   114,    -1,   117,
      -1,   118,    -1,   119,    -1,   120,    -1,   121,    -1,   123,
      -1,   124,    -1,   125,    -1,   127,    -1,   128,    -1,   129,
      -1,   131,    -1,   132,    -1,   133,    -1,   134,    -1,   136,
      -1,   137,    -1,   138,    -1,   141,    -1,   143,    -1,   145,
      -1,   147,    -1,   149,    -1,   153,    -1,   154,    -1,   155,
      -1,   157,    -1,   160,    -1,   162,    -1,   163,    -1,   164,
      -1,   165,    -1,   166,    -1,   168,    -1,   169,    -1,   170,
      -1,   172,    -1,   173,    -1,   174,    -1,   175,    -1,   176,
      -1,   177,    -1,   179,    -1,   182,    -1,   183,    -1,   184,
      -1,   185,    -1,   191,    -1,   194,    -1,   196,    -1,   197,
      -1,   198,    -1,   199,    -1,   200,    -1,   202,    -1,   203,
      -1,   205,    -1,   208,    -1,   211,    -1,   212,    -1,   213,
      -1,   216,    -1,   217,    -1,   218,    -1,   219,    -1,   220,
      -1,   221,    -1,   222,    -1,   223,    -1,   224,    -1,   225,
      -1,   226,    -1,   227,    -1,   228,    -1,   232,    -1,   233,
      -1,   236,    -1,   237,    -1,   239,    -1,   242,    -1,   244,
      -1,   245,    -1,   246,    -1,   248,    -1,   251,    -1,   252,
      -1,   253,    -1,   261,    -1,   262,    -1,   263,    -1,   264,
      -1,   265,    -1,   266,    -1,   267,    -1,   269,    -1,   271,
      -1,   274,    -1,   275,    -1,   273,    -1,   277,    -1,   278,
      -1,   279,    -1,   280,    -1,   281,    -1,   282,    -1,   283,
      -1,   284,    -1,   286,    -1,   287,    -1,   288,    -1,   289,
      -1,   291,    -1,   292,    -1,   293,    -1,   294,    -1,   295,
      -1,   296,    -1,   297,    -1,   298,    -1,   299,    -1,   300,
      -1,   301,    -1,   303,    -1,   304,    -1,   306,    -1,   307,
      -1,   309,    -1,   310,    -1,   311,    -1,   312,    -1,   313,
      -1,   314,    -1,   315,    -1,   316,    -1,   318,    -1,   319,
      -1,   320,    -1,   321,    -1,   322,    -1,   324,    -1,   326,
      -1,   327,    -1,   329,    -1,   331,    -1,   333,    -1,   334,
      -1,   335,    -1,   336,    -1,   337,    -1,   338,    -1,   339,
      -1,   340,    -1,   341,    -1,   342,    -1,   345,    -1,   346,
      -1,   348,    -1,   349,    -1,   350,    -1,   351,    -1,   352,
      -1,   353,    -1,   359,    -1,   361,    -1,   364,    -1,   365,
      -1,   366,    -1,   367,    -1,   368,    -1,   369,    -1,   370,
      -1,   373,    -1,   374,    -1,   375,    -1,   376,    -1,   377,
      -1,   380,    -1,   381,    -1,   382,    -1,   383,    -1,   384,
      -1,   388,    -1,   390,    -1,   391,    -1,   392,    -1,   395,
      -1,   398,    -1,   399,    -1,   400,    -1,   401,    -1,   402,
      -1,   412,    -1,   413,    -1,   414,    -1,    42,    -1,    43,
      -1,    45,    -1,    46,    -1,    57,    -1,    58,    -1,    65,
      -1,   100,    -1,   101,    -1,   135,    -1,   139,    -1,   144,
      -1,   158,    -1,   181,    -1,   186,    -1,   187,    -1,   189,
      -1,   206,    -1,   229,    -1,   231,    -1,   234,    -1,   241,
      -1,   243,    -1,   256,    -1,   260,    -1,   270,    -1,   272,
      -1,   285,    -1,   308,    -1,   325,    -1,   330,    -1,   343,
      -1,   355,    -1,   356,    -1,   360,    -1,   362,    -1,   385,
      -1,   386,    -1,   403,    -1,   404,    -1,   405,    -1,   406,
      -1,   407,    -1,   408,    -1,   409,    -1,   410,    -1,   411,
      -1,    38,    -1,    44,    -1,    67,    -1,    73,    -1,    84,
      -1,    90,    -1,   150,    -1,   152,    -1,   167,    -1,   180,
      -1,   192,    -1,   193,    -1,   195,    -1,   207,    -1,   209,
      -1,   230,    -1,   238,    -1,   257,    -1,   258,    -1,   259,
      -1,   305,    -1,   328,    -1,   389,    -1,    22,    -1,    26,
      -1,    27,    -1,    28,    -1,    29,    -1,    30,    -1,    31,
      -1,    32,    -1,    35,    -1,    47,    -1,    53,    -1,    54,
      -1,    60,    -1,    66,    -1,    68,    -1,    76,    -1,    83,
      -1,    87,    -1,    88,    -1,    89,    -1,    91,    -1,    92,
      -1,    93,    -1,   103,    -1,   105,    -1,   111,    -1,   115,
      -1,   116,    -1,   122,    -1,   126,    -1,   130,    -1,   140,
      -1,   142,    -1,   146,    -1,   148,    -1,   151,    -1,   156,
      -1,   159,    -1,   161,    -1,   171,    -1,   178,    -1,   188,
      -1,   190,    -1,   201,    -1,   204,    -1,   210,    -1,   214,
      -1,   215,    -1,   235,    -1,   240,    -1,   247,    -1,   249,
      -1,   250,    -1,   254,    -1,   255,    -1,   268,    -1,   276,
      -1,   290,    -1,   302,    -1,   317,    -1,   323,    -1,   332,
      -1,   344,    -1,   347,    -1,   354,    -1,   357,    -1,   358,
      -1,   363,    -1,   371,    -1,   372,    -1,   378,    -1,   379,
      -1,   387,    -1,   393,    -1,   394,    -1,   396,    -1,   397,
      -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   679,   679,   686,   693,   703,   704,   705,   706,   707,
     708,   709,   710,   711,   712,   713,   714,   715,   716,   717,
     718,   719,   720,   721,   722,   723,   724,   725,   726,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   746,   747,
     748,   749,   750,   751,   752,   753,   754,   755,   756,   757,
     758,   759,   760,   761,   762,   763,   764,   765,   766,   767,
     768,   769,   770,   771,   772,   773,   774,   775,   776,   777,
     778,   779,   780,   781,   782,   783,   784,   785,   786,   787,
     788,   789,   790,   791,   792,   793,   794,   795,   796,   797,
     798,   799,   800,   801,   802,   803,   804,   805,   806,   807,
     808,   809,   810,   811,   812,   813,   814,   815,   816,   818,
     828,   839,   840,   849,   850,   854,   855,   859,   864,   868,
     873,   878,   882,   886,   891,   895,   949,   951,   955,   959,
     963,   967,   981,   999,  1010,  1011,  1015,  1023,  1041,  1053,
    1074,  1081,  1100,  1107,  1124,  1142,  1153,  1154,  1166,  1173,
    1190,  1203,  1213,  1231,  1249,  1250,  1254,  1261,  1269,  1270,
    1271,  1272,  1273,  1274,  1288,  1294,  1300,  1309,  1317,  1325,
    1329,  1337,  1345,  1352,  1359,  1367,  1378,  1386,  1394,  1405,
    1413,  1421,  1428,  1437,  1447,  1448,  1455,  1456,  1459,  1461,
    1465,  1466,  1467,  1468,  1472,  1473,  1474,  1480,  1492,  1496,
    1500,  1515,  1538,  1539,  1540,  1544,  1545,  1546,  1550,  1551,
    1555,  1562,  1569,  1576,  1583,  1593,  1594,  1599,  1600,  1605,
    1611,  1617,  1623,  1629,  1639,  1649,  1650,  1654,  1655,  1663,
    1678,  1684,  1690,  1696,  1714,  1723,  1732,  1741,  1750,  1759,
    1768,  1777,  1786,  1795,  1807,  1808,  1813,  1821,  1829,  1838,
    1846,  1854,  1863,  1872,  1881,  1890,  1900,  1913,  1927,  1936,
    1944,  1952,  1962,  1972,  1979,  1986,  1994,  2002,  2010,  2018,
    2026,  2033,  2040,  2048,  2055,  2062,  2070,  2078,  2086,  2094,
    2102,  2110,  2120,  2127,  2135,  2143,  2151,  2158,  2168,  2169,
    2173,  2174,  2175,  2179,  2187,  2191,  2192,  2196,  2199,  2200,
    2204,  2205,  2210,  2214,  2218,  2223,  2238,  2251,  2252,  2257,
    2266,  2276,  2286,  2311,  2317,  2347,  2376,  2398,  2399,  2403,
    2404,  2413,  2414,  2415,  2418,  2419,  2424,  2425,  2429,  2433,
    2437,  2441,  2445,  2449,  2453,  2457,  2461,  2465,  2469,  2473,
    2477,  2486,  2490,  2494,  2498,  2502,  2506,  2510,  2511,  2516,
    2520,  2527,  2534,  2535,  2536,  2537,  2538,  2542,  2546,  2554,
    2565,  2580,  2596,  2612,  2641,  2642,  2643,  2644,  2645,  2652,
    2659,  2660,  2664,  2665,  2669,  2670,  2674,  2678,  2685,  2689,
    2696,  2697,  2698,  2702,  2703,  2706,  2726,  2746,  2747,  2751,
    2759,  2760,  2761,  2792,  2799,  2806,  2817,  2828,  2838,  2847,
    2880,  2887,  2894,  2901,  2912,  2922,  2923,  2924,  2928,  2929,
    2930,  2931,  2932,  2933,  2942,  2950,  2954,  2967,  2982,  2996,
    3011,  3025,  3043,  3064,  3065,  3069,  3070,  3074,  3075,  3078,
    3084,  3088,  3096,  3101,  3107,  3108,  3112,  3117,  3124,  3125,
    3135,  3137,  3139,  3141,  3144,  3147,  3150,  3154,  3155,  3156,
    3157,  3158,  3161,  3162,  3167,  3168,  3169,  3170,  3173,  3174,
    3175,  3176,  3179,  3180,  3183,  3184,  3187,  3202,  3217,  3231,
    3232,  3233,  3245,  3260,  3273,  3274,  3286,  3305,  3317,  3325,
    3336,  3337,  3340,  3341,  3344,  3348,  3352,  3356,  3360,  3364,
    3368,  3372,  3376,  3380,  3384,  3388,  3394,  3395,  3399,  3400,
    3405,  3408,  3409,  3421,  3433,  3448,  3449,  3457,  3458,  3462,
    3463,  3467,  3468,  3472,  3473,  3477,  3488,  3501,  3502,  3512,
    3522,  3523,  3536,  3543,  3560,  3568,  3579,  3582,  3586,  3590,
    3594,  3606,  3616,  3619,  3623,  3636,  3646,  3656,  3665,  3674,
    3683,  3693,  3702,  3712,  3722,  3732,  3741,  3750,  3759,  3768,
    3777,  3786,  3795,  3804,  3813,  3822,  3831,  3840,  3849,  3867,
    3878,  3879,  3880,  3881,  3885,  3886,  3890,  3891,  3901,  3912,
    3932,  3940,  3952,  3953,  3957,  3961,  3969,  3973,  3977,  3984,
    3988,  3993,  3998,  4005,  4012,  4017,  4027,  4041,  4042,  4047,
    4048,  4052,  4053,  4063,  4074,  4094,  4103,  4111,  4128,  4143,
    4168,  4177,  4195,  4207,  4208,  4209,  4219,  4227,  4244,  4263,
    4283,  4308,  4309,  4310,  4314,  4316,  4338,  4340,  4342,  4344,
    4346,  4351,  4356,  4366,  4367,  4371,  4372,  4376,  4377,  4381,
    4382,  4383,  4387,  4393,  4394,  4395,  4399,  4400,  4405,  4406,
    4433,  4434,  4435,  4436,  4437,  4438,  4443,  4454,  4477,  4487,
    4501,  4503,  4508,  4513,  4515,  4520,  4530,  4531,  4532,  4533,
    4545,  4565,  4588,  4598,  4609,  4619,  4629,  4640,  4649,  4656,
    4663,  4672,  4681,  4690,  4699,  4708,  4719,  4722,  4723,  4726,
    4730,  4737,  4738,  4739,  4740,  4741,  4744,  4745,  4748,  4751,
    4752,  4760,  4767,  4768,  4771,  4773,  4784,  4794,  4804,  4816,
    4817,  4833,  4848,  4849,  4853,  4863,  4874,  4883,  4893,  4902,
    4903,  4906,  4907,  4910,  4911,  4912,  4915,  4929,  4934,  4944,
    4953,  4965,  4966,  4970,  4978,  4990,  5001,  5015,  5026,  5049,
    5059,  5077,  5088,  5099,  5110,  5124,  5125,  5126,  5127,  5128,
    5129,  5130,  5131,  5132,  5133,  5134,  5135,  5136,  5137,  5138,
    5139,  5140,  5144,  5145,  5148,  5149,  5152,  5154,  5167,  5178,
    5179,  5180,  5212,  5221,  5230,  5239,  5248,  5257,  5266,  5276,
    5285,  5294,  5303,  5312,  5321,  5333,  5334,  5335,  5336,  5337,
    5338,  5339,  5340,  5341,  5342,  5343,  5344,  5345,  5346,  5347,
    5348,  5349,  5350,  5351,  5352,  5353,  5354,  5355,  5359,  5360,
    5374,  5385,  5396,  5407,  5418,  5431,  5432,  5436,  5437,  5438,
    5439,  5440,  5441,  5442,  5443,  5444,  5445,  5446,  5447,  5448,
    5451,  5452,  5462,  5468,  5476,  5484,  5492,  5500,  5508,  5516,
    5524,  5532,  5540,  5548,  5556,  5564,  5572,  5580,  5588,  5596,
    5606,  5607,  5610,  5611,  5621,  5637,  5651,  5677,  5679,  5681,
    5683,  5690,  5699,  5700,  5703,  5710,  5717,  5724,  5738,  5746,
    5754,  5762,  5770,  5778,  5786,  5794,  5802,  5810,  5818,  5826,
    5834,  5842,  5850,  5858,  5870,  5871,  5874,  5884,  5898,  5899,
    5903,  5904,  5909,  5925,  5938,  5948,  5960,  5961,  5964,  5965,
    5975,  5985,  5986,  5990,  5994,  5998,  6009,  6022,  6036,  6053,
    6054,  6055,  6056,  6068,  6095,  6096,  6100,  6101,  6105,  6106,
    6110,  6111,  6114,  6115,  6123,  6134,  6145,  6158,  6159,  6162,
    6163,  6164,  6167,  6168,  6169,  6172,  6173,  6174,  6190,  6202,
    6215,  6230,  6231,  6234,  6235,  6239,  6240,  6248,  6249,  6253,
    6254,  6269,  6278,  6287,  6296,  6305,  6317,  6318,  6319,  6320,
    6321,  6327,  6331,  6346,  6347,  6353,  6363,  6367,  6372,  6382,
    6383,  6390,  6394,  6398,  6402,  6406,  6410,  6414,  6418,  6422,
    6426,  6430,  6434,  6438,  6442,  6446,  6454,  6458,  6462,  6466,
    6472,  6473,  6480,  6481,  6484,  6496,  6500,  6515,  6526,  6527,
    6532,  6533,  6548,  6559,  6573,  6584,  6598,  6609,  6623,  6631,
    6633,  6635,  6640,  6642,  6655,  6664,  6665,  6669,  6673,  6685,
    6696,  6707,  6720,  6721,  6722,  6726,  6739,  6740,  6754,  6762,
    6772,  6785,  6786,  6789,  6790,  6800,  6810,  6819,  6828,  6837,
    6846,  6856,  6865,  6875,  6884,  6893,  6903,  6913,  6922,  6931,
    6941,  6951,  6961,  6971,  6981,  6991,  7001,  7011,  7021,  7031,
    7041,  7051,  7062,  7073,  7084,  7095,  7105,  7116,  7127,  7137,
    7147,  7155,  7164,  7173,  7182,  7191,  7200,  7209,  7218,  7227,
    7236,  7245,  7259,  7260,  7263,  7264,  7274,  7284,  7293,  7302,
    7311,  7320,  7330,  7340,  7350,  7360,  7369,  7378,  7387,  7396,
    7405,  7414,  7423,  7432,  7441,  7450,  7459,  7468,  7477,  7486,
    7503,  7512,  7520,  7528,  7536,  7544,  7553,  7561,  7569,  7578,
    7587,  7596,  7604,  7612,  7620,  7628,  7636,  7644,  7652,  7669,
    7686,  7687,  7688,  7693,  7699,  7708,  7709,  7710,  7711,  7712,
    7716,  7717,  7720,  7721,  7722,  7723,  7727,  7728,  7729,  7734,
    7745,  7767,  7777,  7778,  7781,  7790,  7796,  7815,  7822,  7829,
    7836,  7843,  7850,  7857,  7865,  7873,  7881,  7889,  7897,  7904,
    7911,  7920,  7921,  7922,  7926,  7929,  7932,  7935,  7938,  7945,
    7947,  7949,  7954,  7956,  7968,  7980,  7992,  8004,  8019,  8025,
    8031,  8037,  8047,  8063,  8073,  8074,  8078,  8082,  8086,  8090,
    8094,  8098,  8102,  8106,  8110,  8114,  8118,  8122,  8126,  8130,
    8134,  8138,  8148,  8149,  8160,  8167,  8178,  8189,  8190,  8194,
    8208,  8215,  8232,  8245,  8254,  8262,  8270,  8279,  8290,  8301,
    8311,  8312,  8323,  8333,  8343,  8353,  8363,  8373,  8381,  8402,
    8425,  8433,  8442,  8453,  8454,  8466,  8480,  8494,  8506,  8518,
    8535,  8536,  8540,  8541,  8542,  8543,  8547,  8559,  8574,  8575,
    8579,  8580,  8583,  8584,  8587,  8588,  8592,  8593,  8606,  8613,
    8623,  8630,  8640,  8641,  8642,  8643,  8644,  8645,  8646,  8647,
    8648,  8652,  8656,  8663,  8670,  8671,  8672,  8676,  8677,  8678,
    8688,  8698,  8699,  8703,  8704,  8705,  8706,  8716,  8723,  8741,
    8742,  8752,  8758,  8764,  8770,  8786,  8796,  8802,  8808,  8817,
    8819,  8824,  8835,  8836,  8847,  8861,  8862,  8873,  8884,  8885,
    8888,  8889,  8890,  8891,  8892,  8893,  8894,  8895,  8898,  8899,
    8910,  8928,  8929,  8933,  8934,  8938,  8946,  8974,  8985,  8986,
    8996,  9007,  9010,  9011,  9012,  9013,  9014,  9017,  9018,  9019,
    9067,  9068,  9072,  9073,  9088,  9089,  9096,  9104,  9112,  9120,
    9128,  9136,  9147,  9148,  9175,  9190,  9191,  9210,  9214,  9218,
    9233,  9240,  9250,  9251,  9254,  9266,  9267,  9271,  9283,  9291,
    9296,  9301,  9306,  9311,  9319,  9327,  9332,  9337,  9344,  9345,
    9348,  9349,  9350,  9357,  9358,  9359,  9360,  9364,  9365,  9369,
    9373,  9374,  9377,  9386,  9399,  9400,  9401,  9402,  9406,  9407,
    9411,  9413,  9423,  9428,  9431,  9436,  9437,  9445,  9455,  9456,
    9457,  9465,  9469,  9470,  9473,  9474,  9479,  9480,  9484,  9485,
    9489,  9490,  9494,  9495,  9499,  9500,  9504,  9515,  9516,  9517,
    9518,  9522,  9523,  9528,  9534,  9552,  9553,  9557,  9558,  9564,
    9569,  9578,  9587,  9622,  9647,  9651,  9677,  9681,  9693,  9706,
    9720,  9731,  9746,  9752,  9757,  9763,  9770,  9771,  9779,  9783,
    9787,  9793,  9800,  9805,  9806,  9807,  9808,  9812,  9813,  9825,
    9826,  9831,  9838,  9845,  9852,  9863,  9864,  9877,  9881,  9888,
    9898,  9903,  9904,  9909,  9910,  9918,  9923,  9924,  9928,  9932,
    9938,  9967,  9972,  9979,  9984,  9990,  9995, 10004, 10006, 10009,
   10013, 10014, 10015, 10016, 10017, 10018, 10023, 10053, 10054, 10055,
   10056, 10067, 10073, 10081, 10082, 10088, 10093, 10098, 10103, 10108,
   10113, 10118, 10123, 10129, 10135, 10141, 10148, 10170, 10179, 10183,
   10191, 10195, 10203, 10215, 10236, 10240, 10246, 10250, 10263, 10282,
   10305, 10307, 10309, 10311, 10313, 10315, 10320, 10321, 10325, 10326,
   10333, 10342, 10350, 10359, 10370, 10378, 10379, 10380, 10384, 10386,
   10388, 10390, 10392, 10394, 10396, 10401, 10406, 10412, 10420, 10425,
   10432, 10439, 10443, 10447, 10477, 10478, 10480, 10488, 10510, 10512,
   10514, 10516, 10518, 10520, 10522, 10524, 10526, 10528, 10530, 10533,
   10535, 10537, 10540, 10542, 10544, 10547, 10549, 10562, 10564, 10577,
   10579, 10592, 10594, 10608, 10621, 10634, 10647, 10670, 10677, 10684,
   10691, 10698, 10702, 10709, 10716, 10723, 10730, 10737, 10744, 10748,
   10756, 10760, 10770, 10777, 10784, 10797, 10810, 10829, 10850, 10860,
   10867, 10883, 10888, 10906, 10908, 10910, 10912, 10914, 10916, 10918,
   10920, 10922, 10924, 10926, 10928, 10930, 10932, 10934, 10936, 10938,
   10942, 10947, 10951, 10955, 10960, 10977, 10978, 10979, 10994, 11006,
   11008, 11010, 11020, 11043, 11053, 11063, 11071, 11090, 11103, 11116,
   11129, 11142, 11155, 11172, 11185, 11208, 11221, 11242, 11252, 11265,
   11282, 11295, 11305, 11318, 11328, 11341, 11354, 11367, 11380, 11393,
   11406, 11419, 11421, 11434, 11452, 11466, 11482, 11504, 11520, 11533,
   11546, 11559, 11563, 11570, 11578, 11586, 11590, 11594, 11598, 11602,
   11606, 11621, 11625, 11634, 11638, 11642, 11647, 11661, 11663, 11667,
   11669, 11671, 11674, 11677, 11680, 11681, 11684, 11692, 11702, 11703,
   11706, 11707, 11708, 11713, 11717, 11721, 11725, 11736, 11737, 11741,
   11742, 11747, 11755, 11757, 11771, 11774, 11801, 11802, 11805, 11806,
   11817, 11835, 11842, 11851, 11868, 11913, 11921, 11929, 11937, 11945,
   11966, 11967, 11968, 11971, 11972, 11973, 11976, 11977, 11980, 11981,
   11982, 11983, 11984, 11985, 11986, 11987, 11988, 11991, 11993, 11998,
   12000, 12005, 12007, 12009, 12011, 12013, 12015, 12027, 12031, 12038,
   12042, 12048, 12052, 12063, 12064, 12067, 12071, 12075, 12081, 12082,
   12087, 12091, 12098, 12099, 12100, 12101, 12102, 12103, 12104, 12105,
   12115, 12119, 12126, 12133, 12134, 12150, 12154, 12159, 12163, 12178,
   12183, 12187, 12190, 12193, 12194, 12195, 12198, 12205, 12215, 12229,
   12230, 12234, 12245, 12246, 12249, 12250, 12253, 12257, 12264, 12268,
   12272, 12279, 12289, 12290, 12294, 12295, 12298, 12299, 12310, 12311,
   12320, 12321, 12329, 12340, 12341, 12344, 12360, 12368, 12376, 12398,
   12399, 12410, 12414, 12441, 12443, 12448, 12451, 12454, 12456, 12458,
   12460, 12470, 12472, 12483, 12487, 12491, 12495, 12499, 12508, 12515,
   12540, 12544, 12550, 12567, 12571, 12575, 12581, 12582, 12583, 12585,
   12586, 12587, 12603, 12604, 12605, 12610, 12611, 12612, 12618, 12619,
   12620, 12621, 12622, 12642, 12643, 12644, 12645, 12646, 12647, 12648,
   12649, 12650, 12651, 12652, 12653, 12654, 12655, 12656, 12657, 12658,
   12659, 12660, 12661, 12662, 12663, 12664, 12665, 12666, 12667, 12668,
   12669, 12670, 12671, 12672, 12673, 12674, 12675, 12676, 12677, 12678,
   12679, 12680, 12681, 12682, 12683, 12684, 12685, 12686, 12687, 12688,
   12689, 12690, 12691, 12692, 12693, 12694, 12695, 12696, 12697, 12698,
   12699, 12700, 12701, 12702, 12703, 12704, 12705, 12706, 12707, 12708,
   12709, 12710, 12711, 12712, 12713, 12714, 12715, 12716, 12717, 12718,
   12719, 12720, 12721, 12722, 12723, 12724, 12725, 12726, 12727, 12728,
   12729, 12730, 12731, 12732, 12733, 12734, 12735, 12736, 12737, 12738,
   12739, 12740, 12741, 12742, 12743, 12744, 12745, 12746, 12747, 12748,
   12749, 12750, 12751, 12752, 12753, 12754, 12755, 12756, 12757, 12758,
   12759, 12760, 12761, 12762, 12763, 12764, 12765, 12766, 12767, 12768,
   12769, 12770, 12771, 12772, 12773, 12774, 12775, 12776, 12777, 12778,
   12779, 12780, 12781, 12782, 12783, 12784, 12785, 12786, 12787, 12788,
   12789, 12790, 12791, 12792, 12793, 12794, 12795, 12796, 12797, 12798,
   12799, 12800, 12801, 12802, 12803, 12804, 12805, 12806, 12807, 12808,
   12809, 12810, 12811, 12812, 12813, 12814, 12815, 12816, 12817, 12818,
   12819, 12820, 12821, 12822, 12823, 12824, 12825, 12826, 12827, 12828,
   12829, 12830, 12831, 12832, 12833, 12834, 12835, 12836, 12837, 12838,
   12839, 12840, 12841, 12842, 12843, 12844, 12845, 12846, 12847, 12848,
   12849, 12850, 12851, 12852, 12853, 12854, 12855, 12856, 12857, 12858,
   12859, 12860, 12861, 12862, 12863, 12864, 12865, 12866, 12867, 12868,
   12869, 12870, 12871, 12872, 12873, 12874, 12875, 12876, 12877, 12878,
   12879, 12880, 12881, 12882, 12883, 12884, 12885, 12886, 12887, 12888,
   12889, 12890, 12891, 12892, 12893, 12894, 12895, 12909, 12910, 12911,
   12912, 12913, 12914, 12915, 12916, 12917, 12918, 12919, 12920, 12921,
   12922, 12923, 12924, 12925, 12926, 12927, 12928, 12929, 12930, 12931,
   12932, 12933, 12934, 12935, 12936, 12937, 12938, 12939, 12940, 12941,
   12942, 12943, 12944, 12945, 12946, 12947, 12948, 12949, 12950, 12951,
   12952, 12953, 12954, 12955, 12969, 12970, 12971, 12972, 12973, 12974,
   12975, 12976, 12977, 12978, 12979, 12980, 12981, 12982, 12983, 12984,
   12985, 12986, 12987, 12988, 12989, 12990, 12991, 13001, 13002, 13003,
   13004, 13005, 13006, 13007, 13008, 13009, 13010, 13011, 13012, 13013,
   13014, 13015, 13016, 13017, 13018, 13019, 13020, 13021, 13022, 13023,
   13024, 13025, 13026, 13027, 13028, 13029, 13030, 13031, 13032, 13033,
   13034, 13035, 13036, 13037, 13038, 13039, 13040, 13041, 13042, 13043,
   13044, 13045, 13046, 13047, 13048, 13049, 13050, 13051, 13052, 13053,
   13054, 13055, 13056, 13057, 13058, 13059, 13060, 13061, 13062, 13063,
   13064, 13065, 13066, 13067, 13068, 13069, 13070, 13071, 13072, 13073,
   13074, 13075, 13076, 13077
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P",
  "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING",
  "PLANS", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROGRAM", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETOF",
  "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE",
  "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "ColId_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "opt_program", "copy_file_name", "copy_options", "copy_opt_list",
  "copy_opt_item", "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "SignedIconst", "ColId",
  "type_function_name", "ColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,    61,    60,
      62,   673,    43,    45,    42,    47,    37,    94,   674,    91,
      93,    40,    41,    46,    59,    44,    58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   437,   438,   439,   439,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     441,   442,   442,   443,   443,   444,   444,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   446,   446,   446,   446,
     446,   446,   447,   448,   449,   449,   450,   450,   451,   452,
     453,   453,   454,   454,   455,   456,   457,   457,   458,   458,
     459,   459,   459,   459,   460,   460,   461,   461,   462,   462,
     462,   462,   462,   462,   463,   463,   463,   464,   464,   464,
     465,   465,   465,   465,   465,   465,   465,   465,   465,   465,
     465,   465,   465,   465,   466,   466,   467,   467,   468,   468,
     469,   469,   469,   469,   470,   470,   470,   470,   471,   471,
     471,   471,   471,   471,   471,   472,   472,   472,   473,   473,
     474,   474,   474,   474,   474,   475,   475,   476,   476,   477,
     477,   477,   477,   477,   478,   479,   479,   480,   480,   481,
     482,   482,   482,   482,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   484,   484,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   486,   486,
     487,   487,   487,   488,   488,   489,   489,   490,   491,   491,
     492,   492,   493,   493,   493,   493,   494,   495,   495,   496,
     496,   496,   496,   497,   497,   498,   498,   499,   499,   500,
     500,   501,   501,   501,   502,   502,   503,   503,   504,   504,
     504,   504,   504,   504,   504,   504,   504,   504,   504,   504,
     504,   505,   505,   506,   506,   507,   507,   508,   508,   509,
     509,   510,   511,   511,   511,   511,   511,   512,   512,   513,
     514,   514,   514,   514,   515,   515,   515,   515,   515,   515,
     515,   515,   516,   516,   517,   517,   518,   518,   519,   519,
     520,   520,   520,   521,   521,   522,   523,   524,   524,   525,
     525,   525,   525,   526,   526,   526,   526,   526,   526,   526,
     527,   527,   527,   527,   528,   529,   529,   529,   530,   530,
     530,   530,   530,   530,   531,   531,   532,   532,   532,   532,
     532,   532,   532,   533,   533,   534,   534,   535,   535,   536,
     537,   537,   537,   537,   538,   538,   539,   539,   540,   540,
     541,   541,   541,   541,   541,   542,   543,   544,   544,   544,
     544,   544,   545,   545,   546,   546,   546,   546,   547,   547,
     547,   547,   548,   548,   549,   549,   550,   551,   552,   553,
     553,   553,   554,   555,   556,   556,   557,   558,   559,   559,
     560,   560,   561,   561,   562,   562,   562,   562,   562,   562,
     562,   562,   562,   562,   562,   562,   563,   563,   564,   564,
     564,   565,   565,   566,   566,   567,   567,   568,   568,   569,
     569,   570,   570,   571,   571,   572,   572,   573,   573,   574,
     575,   575,   576,   576,   577,   577,   578,   578,   579,   579,
     579,   580,   581,   581,   582,   583,   583,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   583,   583,   584,
     585,   585,   585,   585,   586,   586,   587,   587,   588,   588,
     589,   589,   590,   590,   591,   591,   592,   593,   593,   594,
     594,   594,   594,   595,   596,   597,   598,   599,   599,   600,
     600,   601,   601,   602,   602,   603,   603,   603,   604,   604,
     605,   605,   606,   607,   607,   607,   608,   608,   609,   610,
     610,   611,   611,   611,   612,   612,   613,   613,   613,   613,
     613,   614,   614,   615,   615,   616,   616,   617,   617,   618,
     618,   618,   619,   619,   619,   619,   620,   620,   621,   621,
     622,   622,   622,   622,   622,   622,   623,   623,   624,   624,
     625,   625,   626,   627,   627,   628,   629,   629,   629,   629,
     630,   631,   632,   632,   632,   632,   632,   632,   632,   632,
     632,   632,   632,   632,   632,   632,   633,   634,   634,   635,
     635,   636,   636,   636,   636,   636,   637,   637,   638,   639,
     639,   640,   641,   641,   642,   642,   643,   643,   643,   644,
     644,   645,   646,   646,   647,   647,   647,   647,   647,   648,
     648,   649,   649,   650,   650,   650,   651,   651,   652,   653,
     653,   654,   654,   655,   655,   656,   656,   657,   657,   658,
     659,   660,   660,   660,   660,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   661,   661,   661,   661,   661,   661,
     661,   661,   662,   662,   663,   663,   664,   664,   665,   666,
     666,   666,   667,   667,   667,   667,   667,   667,   667,   667,
     667,   667,   667,   667,   667,   668,   668,   668,   668,   668,
     668,   668,   668,   668,   668,   668,   668,   668,   668,   668,
     668,   668,   668,   668,   668,   668,   668,   668,   669,   669,
     670,   670,   670,   670,   670,   671,   671,   672,   672,   672,
     672,   672,   672,   672,   672,   672,   672,   672,   672,   672,
     673,   673,   674,   674,   675,   675,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     676,   676,   677,   677,   678,   679,   679,   680,   680,   680,
     680,   680,   681,   681,   682,   682,   682,   682,   683,   683,
     683,   683,   683,   683,   683,   683,   683,   683,   683,   683,
     683,   683,   683,   683,   684,   684,   685,   685,   686,   686,
     687,   687,   688,   689,   690,   690,   691,   691,   692,   692,
     693,   694,   694,   695,   695,   695,   696,   696,   696,   697,
     697,   697,   697,   698,   699,   699,   700,   700,   701,   701,
     702,   702,   703,   703,   704,   704,   704,   705,   705,   706,
     706,   706,   707,   707,   707,   708,   708,   708,   709,   709,
     709,   710,   710,   711,   711,   712,   712,   713,   713,   714,
     714,   715,   715,   715,   715,   715,   716,   716,   716,   716,
     716,   717,   718,   719,   719,   719,   720,   720,   720,   721,
     721,   722,   722,   722,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   723,   723,   723,   723,
     724,   724,   725,   725,   726,   727,   727,   728,   729,   729,
     730,   730,   731,   731,   732,   732,   733,   733,   734,   734,
     734,   734,   735,   735,   736,   737,   737,   738,   738,   739,
     739,   739,   740,   740,   740,   741,   742,   742,   743,   743,
     743,   744,   744,   745,   745,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   747,   747,   748,   748,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   751,
     752,   752,   752,   753,   753,   754,   754,   754,   754,   754,
     755,   755,   756,   756,   756,   756,   757,   757,   757,   758,
     758,   759,   760,   760,   761,   762,   762,   763,   763,   763,
     763,   763,   763,   763,   763,   763,   763,   763,   763,   763,
     763,   764,   764,   764,   765,   765,   765,   765,   765,   766,
     766,   766,   767,   767,   768,   768,   768,   768,   769,   769,
     769,   769,   770,   771,   772,   772,   773,   773,   773,   773,
     773,   773,   773,   773,   773,   773,   773,   773,   773,   773,
     773,   773,   774,   774,   775,   775,   776,   777,   777,   778,
     779,   779,   780,   781,   781,   781,   781,   781,   781,   781,
     782,   782,   783,   784,   784,   784,   784,   784,   784,   785,
     786,   786,   786,   787,   787,   788,   788,   788,   788,   788,
     789,   789,   790,   790,   790,   790,   791,   791,   792,   792,
     793,   793,   794,   794,   795,   795,   796,   796,   797,   797,
     797,   797,   798,   798,   798,   798,   798,   798,   798,   798,
     798,   799,   799,   800,   801,   801,   801,   802,   802,   802,
     803,   804,   804,   805,   805,   805,   805,   806,   806,   807,
     807,   808,   808,   808,   808,   809,   810,   810,   810,   811,
     811,   812,   813,   813,   814,   815,   815,   816,   817,   817,
     818,   818,   818,   818,   818,   818,   818,   818,   819,   819,
     820,   821,   821,   822,   822,   823,   824,   825,   826,   826,
     827,   828,   829,   829,   829,   829,   829,   830,   830,   830,
     831,   831,   832,   832,   833,   833,   833,   833,   833,   833,
     833,   833,   834,   834,   835,   835,   835,   835,   835,   835,
     836,   836,   837,   837,   838,   839,   839,   840,   840,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   842,   842,
     843,   843,   843,   844,   844,   844,   844,   845,   845,   846,
     847,   847,   848,   848,   849,   849,   849,   849,   850,   850,
     851,   851,   851,   852,   852,   853,   853,   854,   855,   855,
     855,   856,   857,   857,   858,   858,   859,   859,   860,   860,
     861,   861,   862,   862,   863,   863,   864,   865,   865,   865,
     865,   866,   866,   867,   867,   868,   868,   869,   869,   870,
     870,   870,   870,   870,   870,   870,   871,   871,   871,   871,
     871,   871,   872,   872,   872,   872,   873,   873,   874,   874,
     874,   874,   874,   875,   875,   875,   875,   876,   876,   877,
     877,   878,   878,   878,   878,   879,   879,   880,   880,   880,
     881,   882,   882,   883,   883,   883,   884,   884,   885,   885,
     886,   887,   887,   887,   887,   887,   887,   888,   888,   888,
     889,   889,   889,   889,   889,   889,   889,   890,   890,   890,
     890,   891,   891,   892,   892,   893,   893,   893,   893,   893,
     893,   893,   893,   893,   893,   893,   894,   894,   895,   895,
     896,   896,   897,   898,   899,   899,   900,   900,   901,   902,
     903,   903,   903,   903,   903,   903,   904,   904,   905,   905,
     906,   906,   906,   906,   907,   908,   908,   908,   909,   909,
     909,   909,   909,   909,   909,   909,   909,   909,   909,   909,
     909,   909,   910,   910,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   913,   913,   913,   913,   913,
     913,   913,   913,   913,   913,   913,   913,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   915,   915,   916,
     916,   916,   916,   917,   918,   918,   919,   919,   920,   920,
     921,   921,   921,   922,   922,   922,   922,   923,   923,   924,
     924,   925,   926,   926,   926,   927,   928,   928,   929,   929,
     930,   930,   930,   931,   931,   932,   932,   932,   932,   932,
     933,   933,   933,   934,   934,   934,   935,   935,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   937,   937,   938,
     938,   939,   939,   939,   939,   939,   939,   940,   940,   941,
     941,   942,   942,   943,   943,   944,   944,   944,   945,   945,
     946,   946,   947,   947,   947,   947,   947,   947,   947,   947,
     948,   948,   949,   950,   950,   951,   951,   951,   951,   951,
     951,   952,   953,   954,   954,   954,   955,   955,   956,   957,
     957,   958,   959,   959,   960,   960,   961,   961,   962,   962,
     962,   962,   963,   963,   964,   964,   965,   965,   966,   966,
     967,   967,   968,   969,   969,   970,   970,   970,   970,   971,
     971,   972,   972,   973,   973,   974,   975,   976,   977,   978,
     979,   980,   980,   981,   981,   981,   981,   981,   981,   981,
     981,   981,   981,   981,   981,   981,   982,   983,   984,   985,
     985,   985,   986,   986,   986,   987,   987,   987,   988,   988,
     988,   988,   988,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       5,     1,     0,     2,     0,     2,     0,     2,     2,     3,
       3,     1,     3,     3,     2,     1,     1,     2,     2,     2,
       3,     3,     5,     5,     0,     3,     5,     5,     5,     4,
       3,     5,     3,     5,     5,     6,     1,     1,     3,     5,
       6,     4,     9,     7,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     6,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     3,     4,     3,     2,     2,     1,     2,     1,     2,
       3,     4,     3,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     4,     6,     4,     6,     4,     6,
       4,     6,     5,     7,     1,     3,     2,     3,     4,     6,
       6,     6,     5,     5,     6,     6,     4,     8,     4,     2,
       3,     6,     4,     3,     3,     3,     3,     3,     4,     4,
       3,     3,     3,     3,     3,     3,     4,     4,     3,     2,
       3,     2,     2,     3,     3,     2,     2,     1,     3,     2,
       1,     1,     0,     2,     0,     2,     0,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     4,     1,     3,     4,
       6,     4,     8,     2,     2,    11,     7,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       1,     3,     3,     1,     1,     3,     3,     3,     3,     4,
       2,     1,     0,     2,     0,     3,     0,     1,     0,     1,
       3,     2,     1,     1,     1,     3,     0,     1,     3,     1,
      11,    14,    10,    13,     1,     1,     2,     2,     2,     2,
       1,     0,     1,     0,     3,     0,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     4,     4,     2,     0,     3,
       1,     1,     2,     2,     1,     3,     4,     5,     2,     5,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     3,     1,     5,     7,     3,     8,
       4,     9,    11,     2,     0,     3,     0,     1,     3,     1,
       2,     2,     2,     0,     1,     3,     3,     6,     4,     0,
       1,     1,     2,     2,     0,     3,     3,     2,     1,     1,
       2,     2,     4,     0,     2,     2,     2,     0,     3,     4,
       4,     0,     2,     0,     4,     0,     3,     7,     5,     2,
       3,     0,     8,     4,     1,     0,     5,     5,     4,     6,
       1,     0,     1,     2,     2,     1,     2,     3,     2,     2,
       2,     2,     3,     3,     1,     3,     1,     0,     1,     2,
       1,     1,     3,     6,    10,     1,     0,     1,     2,     2,
       0,     2,     2,     1,     0,     5,     7,     1,     0,     6,
       2,     0,     3,     5,     5,     8,     2,     0,     2,     2,
       2,     5,     2,     0,     2,     7,    10,     6,     6,     6,
       6,     7,     7,     9,     9,     6,     7,     6,     8,     8,
       8,     8,     6,     6,     7,     7,     8,     6,     6,     7,
       2,     2,     2,     2,     1,     2,     1,     0,     6,     8,
       7,     6,     4,     0,     1,     3,     4,     1,     3,     1,
       2,     2,     2,     2,     1,     1,    10,     2,     0,     2,
       2,     1,     0,     4,     6,     5,     4,     4,    10,    13,
       5,     7,     8,     1,     1,     1,     7,     9,     8,    15,
      20,     1,     1,     2,     1,     3,     1,     1,     1,     3,
       1,     3,     0,     1,     0,     1,     1,     4,     0,     1,
       3,     0,     1,     1,     1,     1,     2,     0,     0,     2,
       2,     1,     2,     2,     2,     2,     6,     8,    11,    13,
       1,     3,     5,     1,     3,     5,     1,     2,     2,     1,
       8,     4,     5,     4,     4,     4,     3,     7,     8,     6,
       6,     6,     6,     6,     4,     5,     3,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     1,
       3,     3,     1,     0,     1,     3,     7,     9,     9,     3,
       0,    13,     1,     3,     5,     6,     4,     7,     2,     1,
       0,     2,     0,     2,     4,     0,     1,     0,     6,     8,
       8,     1,     3,     5,     5,     7,     9,     7,     9,     5,
       6,     6,     4,     5,     7,     1,     1,     1,     2,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     1,     3,     1,     2,     2,     3,     5,     2,
       2,     0,     6,     7,     7,     7,     8,     8,     6,     8,
       9,     9,     7,    10,     7,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       2,     1,     3,     2,     3,     3,     3,     3,     1,     1,
       8,     9,     9,     9,     9,     2,     0,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     2,     2,     1,     2,     3,     3,     3,     3,
       4,     4,     3,     3,     3,     4,     4,     3,     4,     4,
       1,     1,     1,     0,     7,     7,    10,     1,     1,     2,
       4,     5,     1,     3,     2,     2,     2,     2,     1,     2,
       2,     4,     3,     2,     2,     2,     2,     3,     2,     2,
       2,     5,     5,     5,     1,     3,     1,     2,     3,     0,
       1,     3,     2,     6,     6,     9,     3,     0,     3,     0,
       5,     2,     0,     3,     3,     3,     7,     7,    10,     1,
       1,     1,     1,    14,     1,     0,     1,     0,     1,     0,
       2,     0,     1,     3,     5,     5,     7,     2,     0,     1,
       2,     0,     1,     1,     0,     1,     1,     0,     9,    12,
       7,     2,     0,     3,     2,     1,     3,     3,     2,     1,
       3,     3,     3,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     4,     5,     1,     3,     3,     1,
       2,     4,     5,     1,     1,     1,     1,     3,     3,     2,
       2,     1,     2,     2,     2,     1,     2,     2,     1,     1,
       1,     3,     2,     0,     2,     1,     3,     5,     1,     2,
       1,     0,     5,     7,     5,     7,     5,     7,     3,     5,
       5,     5,     1,     3,     2,     1,     2,     1,     2,    11,
      10,    10,     2,     2,     0,     9,     2,     0,     4,     4,
       4,     1,     1,     1,     0,     7,     6,     6,     6,     6,
       8,     8,     6,     6,     7,     9,     9,     6,     6,     6,
       8,     6,     8,     6,     8,     7,     9,     6,     8,     7,
       9,     8,    10,     9,    11,     8,     9,    11,     8,     8,
       7,     6,     6,     6,     5,     5,     8,     8,     8,     8,
       6,     9,     1,     0,     2,     0,     7,     6,     6,     6,
       6,     6,     7,     9,     9,     6,     8,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     6,     6,     6,     6,     6,     7,     7,     7,     9,
       9,     6,     6,     6,     8,     8,     8,     6,     7,    13,
       1,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     0,     6,
       8,     3,     2,     0,     2,     2,     2,     2,     3,     3,
       2,     2,     2,     2,     3,     2,     5,     4,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     2,     1,
       3,     2,     1,     0,     9,    11,    11,    13,     3,     4,
       4,     0,     2,     5,     2,     0,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     4,
       3,     3,     1,     0,     5,     6,     4,     2,     0,     4,
       3,     5,     6,     4,     6,     6,     5,     7,     9,     6,
       1,     0,     6,    11,    11,    11,    13,     9,    11,    10,
       4,     2,     5,     2,     0,     4,     5,     5,     4,     6,
       1,     3,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     0,     1,     0,     1,     0,     3,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     2,     1,     1,     1,     1,     1,     0,
       5,     3,     0,     1,     1,     1,     1,     3,     9,     3,
       0,     2,     3,     2,     3,     6,     1,     4,     2,     1,
       3,     2,     2,     0,     7,     2,     0,     5,     3,     0,
       2,     2,     2,     3,     1,     3,     1,     2,     1,     0,
       8,     1,     3,     1,     1,     3,     5,     2,     1,     3,
       7,     1,     0,     3,     2,     2,     2,     0,     2,     2,
       1,     1,     3,     3,     1,     2,     4,     4,     2,     3,
       5,     5,     1,     1,     9,     1,     2,     4,     4,     4,
       2,     3,     1,     3,     6,     1,     0,     2,     0,     3,
       3,     4,     4,     4,     4,     3,     2,     1,     1,     0,
       1,     1,     0,     1,     5,     1,     0,     1,     0,     3,
       1,     3,     4,     3,     2,     2,     1,     1,     1,     0,
       2,     4,     5,     2,     3,     1,     1,     1,     1,     3,
       0,     1,     1,     1,     1,     1,     3,     0,     2,     0,
       1,     3,     1,     0,     1,     2,     3,     2,     4,     2,
       3,     2,     0,     2,     3,     2,     0,     1,     3,     2,
       2,     3,     2,     3,     1,     4,     3,     4,     5,     4,
       5,     4,     5,     2,     4,     1,     1,     0,     1,     4,
       5,     4,     0,     2,     2,     2,     1,     1,     0,     4,
       2,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       1,     2,     0,     2,     4,     0,     1,     0,     1,     3,
       3,     2,     3,     5,     6,     2,     3,     3,     4,     0,
       1,     1,     1,     1,     1,     2,     5,     1,     1,     1,
       1,     2,     3,     3,     0,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     1,     3,     0,     1,     1,
       1,     1,     5,     2,     1,     1,     1,     1,     5,     2,
       2,     2,     1,     3,     3,     2,     1,     0,     3,     0,
       5,     2,     5,     2,     1,     2,     3,     0,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     3,     3,
       3,     0,     1,     4,     1,     3,     3,     5,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     3,     3,     2,     3,     5,     4,     6,     3,
       5,     4,     6,     4,     6,     5,     7,     3,     2,     4,
       2,     3,     3,     4,     3,     4,     3,     4,     5,     6,
       6,     7,     6,     7,     6,     7,     3,     4,     4,     6,
       2,     3,     4,     1,     3,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     5,
       6,     6,     7,     3,     4,     1,     1,     2,     4,     1,
       1,     1,     2,     2,     2,     2,     1,     4,     5,     6,
       8,     6,     7,     7,     5,     5,     1,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     1,     1,     1,     1,
       1,     6,     4,     4,     4,     4,     6,     5,     5,     5,
       4,     6,     4,     4,     4,     4,     5,     7,     7,     9,
       5,     4,     6,     5,     7,     7,     7,     2,     3,     3,
       3,     4,     0,     4,     1,     3,     3,     1,     1,     1,
       2,     2,     0,     2,     4,     4,     6,     2,     0,     1,
       3,     3,     2,     2,     0,     6,     1,     0,     3,     0,
       2,     2,     0,     1,     4,     2,     2,     2,     2,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     1,     3,     3,     3,     2,     1,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     3,     2,     3,     0,     3,     3,     2,     2,     1,
       0,     2,     2,     3,     2,     1,     1,     3,     5,     1,
       2,     4,     2,     0,     1,     0,     1,     2,     2,     2,
       3,     5,     1,     2,     0,     2,     1,     0,     1,     1,
       1,     3,     3,     1,     3,     3,     2,     1,     1,     1,
       3,     1,     2,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     5,
       2,     3,     6,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1376,  1173,   528,  1259,  1258,  1173,   239,     0,  1261,     0,
    1173,   352,   942,     0,     0,     0,     0,   528,  1173,     0,
    1376,     0,     0,     0,     0,  1389,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1173,     0,     0,  1396,     0,
       0,     0,     0,  1389,     0,  1263,     0,     0,     0,     0,
       2,     4,    59,    60,    24,    23,    29,    28,    82,    83,
      47,    17,    73,    53,   116,   115,   117,    35,    31,    67,
      21,    22,    32,    36,    55,    37,    48,    94,    54,    20,
      52,    77,    56,    80,    42,    11,    12,    43,    71,    13,
      44,    72,    14,    45,    15,    61,    84,    27,    57,    81,
      58,     5,    38,    69,    65,    10,    49,    50,    51,    74,
      75,    76,    99,    79,   111,    34,   108,    88,    89,   105,
      90,   106,     8,    91,    46,    16,   102,   101,   103,    68,
      39,    70,   100,   104,    18,    19,   107,    78,    97,    93,
     112,   110,   118,    95,    62,     6,     7,    85,    41,     9,
      26,    25,    40,    33,   114,    30,  1261,    87,    98,    86,
      63,    92,    66,    96,   113,    64,   109,  1363,  1350,  1398,
    1362,  1375,     0,  1365,  1172,  1171,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   527,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1183,  1902,  1913,  1914,
    1915,  1916,  1917,  1918,  1919,  1920,   324,  1921,  1922,  1923,
    1924,  1925,  1926,  1927,  1928,  1929,  1930,  2167,  2168,  2169,
    2170,  1931,  1932,  1933,  1934,  1935,  1936,  1937,  2171,  2172,
    1938,  1939,  1940,  1941,  1942,  2173,  1943,  1944,  1945,  1946,
    1947,  1948,  1949,  1950,  1951,  1952,  1953,  1954,  1955,  1956,
    1957,  1958,  1959,  1960,  1961,  1962,  2174,  2175,  1963,  1964,
    1965,  1966,  1967,  1968,  1969,  1970,  1971,  1972,  1973,  1974,
    1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,  1983,  1984,
    1985,  1986,  1987,  2176,  1988,  1989,  1990,  2177,  1991,  1992,
    2178,  1993,  1994,  1995,  1996,  1997,  1998,  1999,  2179,  2000,
    2001,  2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,
    2011,  2012,  2013,  2014,  2015,  2180,  2016,  2017,  2018,  2019,
    2181,  2182,  2183,  2020,  2021,  2022,  2023,  2024,  2025,  2026,
    2027,  2028,  2029,  2184,  2030,  2031,  2032,  2033,  2034,  2035,
    2036,  2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,  2045,
    2046,  2185,  2186,  2047,  2048,  2187,  2049,  2050,  2051,  2188,
    2052,  2189,  2053,  2054,  2055,  2056,  2057,  2058,  2059,  2190,
    2191,  2060,  2061,  2062,  2063,  2064,  2065,  2066,  2067,  2192,
    2068,  2193,  2071,  2069,  2070,  2072,  2073,  2074,  2075,  2076,
    2077,  2078,  2079,  2194,  2080,  2081,  2082,  2083,  2084,  2085,
    2086,  2087,  2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,
    2096,  2097,  2098,  2195,  2099,  2100,  2101,  2102,  2103,  2104,
    2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,  2196,  2113,
    2114,  2115,  2197,  2116,  2117,  2118,  2119,  2120,  2121,  2122,
    2123,  2124,  2125,  2126,  2198,  2127,  2128,  2129,  2130,  2131,
    2132,  2133,  2134,  2199,  2200,  2135,  2201,  2136,  2202,  2137,
    2138,  2139,  2140,  2141,  2142,  2143,  2144,  2145,  2146,  2147,
    2148,  2149,  2150,  2151,  2152,  2153,  2203,  2204,  2154,  2155,
    2156,  2157,  2158,  2159,  2160,  2161,  2162,  2163,  2205,  2206,
    2207,  2208,  2209,  2210,  2211,  2212,  2213,  2164,  2165,  2166,
     323,  1341,  1875,  1903,  1904,  1260,  1241,   528,     0,  1160,
     351,     0,     0,     0,     0,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     165,     0,     0,   375,   374,     0,     0,     0,   914,   380,
       0,     0,     0,     0,     0,   516,  1303,  2069,  1301,  1342,
     240,   243,   241,   242,  1897,     0,  1014,  1015,  1017,     0,
       0,  1027,   754,   755,     0,   753,     0,   757,     0,     0,
       0,   749,     0,     0,     0,     0,     0,   756,   746,     0,
     745,     0,     0,     0,   752,     0,   747,     0,     0,  1161,
    1300,   381,  1376,     0,  1277,  1278,  1279,  1261,  1268,  1280,
    1273,  1275,  1274,  1276,  1272,  1896,  1914,   853,   853,   853,
     853,   850,   851,   853,   853,   853,  2086,     0,     0,   832,
       0,   834,  1899,   853,   858,   436,   436,   436,     0,   857,
     862,   436,  1154,  1192,  1880,  1388,     0,   833,  1153,  2135,
    1292,     0,     0,     0,  1031,     0,  1032,     0,  2101,  1165,
     224,  2111,  2199,  2135,   220,   194,  1918,     0,     0,   857,
       0,  1162,  1163,   816,  1395,  1393,     0,  1936,  1949,  2033,
     217,  2097,  2102,  2111,  2199,  2135,  2163,   174,   179,     0,
     233,  2111,  2199,  2135,   229,  1183,     0,  1366,  1481,  1871,
       0,  1156,  1155,  1262,     0,  1265,     0,  1443,  2082,  1370,
    1372,  1267,  1363,     0,     0,     1,  1376,  1256,  1392,  1392,
       0,  1392,     0,  1355,  1363,  1358,  1362,     0,     0,     0,
       0,  1902,  2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,
    2232,  2233,  2234,  2235,  2236,     0,     0,  1881,  1903,  1907,
       0,   764,     0,   122,  1876,   902,     0,     0,     0,     0,
    1875,     0,     0,     0,     0,     0,  1898,  2005,     0,     0,
       0,  1776,  1940,  1991,  1786,  1784,  1785,  1778,  1779,  1780,
    1781,  1782,  1783,     0,  1012,  1777,     0,   144,   122,     0,
       0,  2005,     0,     0,  2005,     0,     0,     0,     0,     0,
    2036,   122,  2005,     0,     0,  1177,     0,     0,     0,  1179,
    1182,  1158,  1244,     0,  1871,     0,     0,   795,   785,     0,
     796,   786,   791,     0,   798,     0,     0,   788,     0,     0,
       0,   799,     0,   787,   789,   801,   790,   797,     0,     0,
     792,   793,     0,     0,  1169,   436,   330,     0,     0,     0,
       0,     0,   122,  1231,     0,  2005,   122,     0,     0,   379,
     378,   122,   377,   376,  1940,  1991,     0,   941,   122,  2005,
       0,   167,   598,   531,     0,     0,   676,  2036,   122,     0,
       0,     0,     0,     0,     0,   917,     0,     0,   515,   528,
    1304,  1302,     0,  1018,   219,   218,  1016,  2005,     0,   302,
       0,     0,  2005,  1220,   751,     0,   750,  2005,     0,  2005,
     158,  1873,     0,   748,  1940,  1991,  2005,     0,     0,  2005,
     150,  2005,     0,  2005,   302,  2005,   532,     0,  2005,     0,
    2005,  2036,   152,     0,  2005,   302,   762,     0,  1297,     0,
    1270,  2203,  1286,  1285,     0,  1281,  1289,  1284,  1376,   853,
     852,     0,   853,     0,   853,     0,   853,     0,   853,     0,
       0,     0,   853,  1900,  1901,   835,     0,   859,     0,     0,
     866,   865,   864,     0,     0,     0,   867,  1485,  1319,     0,
    1151,  1168,     0,     0,     0,     0,  1034,  1034,  1034,  1164,
     223,   221,     0,     0,     0,     0,     0,     0,  1170,     0,
       0,     0,     0,  1884,  1886,  1887,  1787,  1854,     0,  2168,
    2169,  2170,  1845,     0,  2171,  2172,  2173,  2216,  1699,  1686,
    1695,  1700,  1687,  1689,  1696,  2174,  2175,  1975,  2176,  2177,
    1894,  2178,  2179,  2181,  2182,  2183,  2184,  1691,  1693,  2185,
    2186,     0,  1895,  2188,  2189,  2057,  2191,  2192,  2194,  2195,
    1697,  2197,  2198,  2199,  2200,  2201,  2202,  1893,     0,  1698,
    2204,  2206,  2207,  2208,  2209,  2210,  2211,  2212,  2213,     0,
       0,  1868,     0,  1671,     0,  1517,  1518,  1540,  1541,  1519,
    1546,  1547,  1559,  1520,     0,  1867,  1584,  1670,  1676,     0,
    1669,  1665,  1378,  1863,     0,  1666,  1883,  1885,  1846,   186,
     235,     0,   236,  1869,  2111,   175,   216,   188,   215,   189,
     187,     0,  1938,   176,     0,     0,   177,     0,     0,     0,
       0,   232,   230,     0,  1159,     0,  1483,  1482,     0,     0,
    1852,  1872,   771,  1254,  1255,  1253,     0,  1250,  1252,  1264,
    1261,  1859,  1858,  1860,     0,  1371,     0,     0,     0,  1353,
    1352,     3,  1267,  1390,  1391,     0,     0,     0,     0,     0,
       0,     0,     0,  1433,  1406,  1407,  1409,  1430,  1434,  1442,
       0,  1359,     0,     0,  1487,     0,  1444,     0,     0,  1882,
       0,     0,     0,     0,   765,     0,     0,     0,     0,     0,
       0,   121,  1218,   226,  1216,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,   156,   157,   543,   528,     0,
    2005,     0,     0,     0,     0,   974,   981,     0,     0,     0,
       0,     0,     0,     0,   975,   973,   976,   228,   985,   998,
    1001,     0,   892,     0,     0,     0,     0,  1083,     0,     0,
    1083,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   246,   254,   297,   508,     0,     0,   510,  2005,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   126,
       0,     0,     0,     0,     0,     0,   495,   507,     0,     0,
       0,     0,     0,   504,     0,   122,   248,   488,   492,     0,
       0,     0,   607,   606,     0,  1083,     0,   244,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   316,   317,     0,     0,     0,   126,   149,
       0,     0,     0,   250,     0,     0,  1178,  1175,  1176,     0,
    1181,     0,  1240,     0,     0,     0,     0,   803,     0,   800,
       0,     0,   794,  1940,  1991,     0,     0,     0,     0,     0,
       0,   354,   329,     0,     0,     0,   673,     0,  1905,  1528,
    1557,  1535,  1557,  1557,  1524,  1524,  1537,  1525,  1526,  1564,
       0,  1557,  1524,  1529,     0,  1527,  1567,  1567,  1552,     0,
    1509,  1510,  1511,  1512,  1538,  1539,  1513,  1544,  1545,  1514,
    1581,  1524,  1906,     0,     0,   684,     0,  1195,  1230,     0,
       0,     0,   537,     0,  2005,     0,   124,   720,     0,   674,
     380,     0,   124,     0,     0,   161,     0,   602,     0,     0,
       0,     0,     0,     0,   622,   621,     0,     0,     0,   675,
       0,   124,     0,   491,  2005,     0,   436,   436,     0,     0,
     916,   919,     0,     0,     0,  1345,  1347,  1346,     0,  1344,
       0,   302,   300,   301,   671,  1026,     0,     0,     0,     0,
     302,     0,     0,  2005,   302,  2005,     0,  2005,     0,     0,
     302,   302,     0,     0,     0,     0,   603,     0,   761,   759,
     758,   760,     0,     0,     0,     0,     0,  2005,   302,     0,
       0,   742,  1797,     0,     0,  1376,     0,   205,   206,   204,
    1287,   207,  1288,  1283,  1269,     0,   843,     0,   847,     0,
     838,     0,   844,     0,   839,   836,   837,     0,   842,     0,
       0,   437,   439,     0,     0,  1960,  1974,     0,  1996,  2024,
    2025,  2102,  2107,     0,  2130,  2139,     0,   868,   897,   863,
       0,     0,  1329,  1152,  1803,     0,  1376,     0,   481,  1033,
    1030,  1029,  1028,   222,   195,     0,     0,     0,   899,  2101,
    1167,   815,   528,     0,  1667,     0,  1674,  1675,  1556,  1543,
    1844,     0,     0,  1551,  1550,     0,     0,     0,     0,     0,
    1533,  1532,  1531,  1673,  1811,     0,  1530,     0,     0,     0,
       0,  1557,  1557,  1555,  1604,     0,  1534,     0,     0,  1824,
       0,  1830,     0,     0,     0,  1563,     0,  1561,     0,     0,
    1640,     0,     0,     0,     0,     0,     0,     0,     0,  1588,
    1589,  1671,  1797,     0,  1672,  1890,     0,     0,  1549,     0,
    1581,  1866,  1787,     0,     0,     0,     0,  1857,     0,  1795,
       0,     0,  1618,  1793,     0,  1620,     0,     0,     0,  1786,
    1784,  1785,  1778,  1779,  1780,  1781,  1782,  1783,  1791,  1601,
       0,     0,  1600,     0,     0,  1446,     0,  1888,  1847,   237,
     238,   234,     0,     0,   191,   190,     0,   209,   213,   214,
     185,   212,     0,   208,   193,  1739,  1738,   192,   184,   182,
     180,   196,   198,   199,   183,   181,   231,     0,     0,  1908,
    2237,  2238,  2239,  2240,  2241,  2242,  2243,  2244,  2245,  2246,
    2247,  2248,  2249,  2250,  2251,  2252,  2253,  2254,  2255,  2256,
    2257,  2258,  2259,  2260,  2261,  2262,  2263,  2264,  2265,  2266,
    2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,
    2277,  2278,  2279,  2280,  2281,  2282,  2283,  2284,  2285,  2286,
    2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,
    2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,
    2307,  2308,  2309,  2310,  2311,  2312,  2313,  1849,  1848,  1878,
    1909,  1910,  1911,  1912,  1853,     0,     0,   302,  1248,     0,
    1245,  1862,     0,  1373,     0,     0,  1257,  1369,  1368,  1399,
    1400,   934,  1367,  1424,  1425,  1420,     0,     0,     0,  1439,
    1437,  1416,  1410,  1415,  1413,     0,  1417,  1584,  1432,  1357,
    1404,  1405,  1408,  1356,     0,  1435,     0,  1329,  1433,  1409,
    1316,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   766,     0,     0,     0,     0,     0,     0,
    2130,   225,  1214,     0,     0,     0,     0,   901,   900,     0,
       0,   921,     0,     0,     0,  1226,   425,     0,   299,     0,
       0,     0,     0,     0,     0,     0,     0,   669,   666,     0,
       0,   665,     0,   541,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   577,     0,  1083,     0,   610,     0,   983,     0,
     982,     0,     0,     0,   984,   979,   980,  2102,  2111,  2135,
     227,  1000,     0,   999,   997,   956,   958,   957,     0,   960,
     944,     0,   945,     0,     0,   955,   963,   961,     0,     0,
       0,     0,  1984,   256,   269,     0,  1082,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   289,     0,   292,
     291,     0,     0,     0,     0,   296,     0,     0,     0,   295,
       0,     0,   509,     0,     0,  1083,     0,   252,     0,     0,
       0,     0,     0,     0,  1013,     0,   147,     0,   143,   146,
       0,     0,     0,     0,   494,   506,     0,   498,   499,   496,
     500,   501,     0,     0,     0,     0,     0,     0,   493,     0,
       0,   600,   599,   605,     0,     0,     0,     0,     0,     0,
       0,  1075,  1074,     0,     0,     0,     0,     0,     0,   710,
       0,     0,     0,     0,     0,     0,     0,   613,   614,     0,
     615,     0,   148,     0,     0,     0,     0,     0,     0,     0,
     203,  1174,  1180,  1243,  1879,  1242,     0,     0,     0,   802,
       0,     0,     0,     0,     0,     0,     0,   804,   805,   806,
     807,     0,     0,     0,     0,     0,   332,   333,   122,   331,
    1905,     0,   699,   672,     0,  1509,     0,  1505,  1501,  1570,
    1571,  1572,  1569,  1582,  1568,     0,  1515,  1573,  1524,  1521,
     685,     0,   687,   690,     0,  1193,   398,     0,     0,   534,
     577,     0,   383,   154,     0,     0,     0,     0,   120,   165,
     167,   381,     0,   166,   168,   170,   171,   172,   169,   173,
     597,   601,     0,   530,     0,     0,     0,     0,     0,   623,
     627,   626,   630,   628,     0,   624,     0,     0,  1497,     0,
     142,     0,   487,   490,     0,     0,     0,   383,   467,   309,
       0,   436,     0,     0,   918,     0,     0,     0,     0,     0,
       0,     0,  1343,     0,  1004,     0,  1221,  2005,   302,     0,
    1002,   159,  1874,     0,   743,     0,     0,     0,     0,     0,
    1006,   739,   151,     0,   302,   302,   533,     0,   302,   153,
       0,     0,     0,   525,   302,   763,  1299,     0,   436,  1271,
    1282,   840,   849,   848,   846,   845,   841,     0,   860,     0,
     435,     0,     0,     0,   874,   875,     0,     0,   873,   890,
     876,     0,   878,   870,   869,   879,   880,     0,     0,   899,
       0,  1326,     0,  1324,     0,  1486,  1328,  1317,  1291,     0,
    1290,  1294,  1296,  1295,  1293,     0,     0,   486,     0,     0,
     857,     0,     0,   302,  1166,     0,   817,   818,   824,     0,
       0,     0,     0,     0,   825,   821,   822,   823,   826,   827,
     828,     0,     0,     0,  1855,  1807,     0,  1808,     0,     0,
       0,  1843,  1839,     0,     0,     0,     0,     0,     0,  1812,
    1815,  1816,  1817,  1814,  1818,  1813,     0,     0,  1819,     0,
       0,     0,     0,     0,  1554,  1553,     0,     0,     0,     0,
       0,     0,     0,  1643,  1676,     0,     0,  1771,     0,  1797,
    1829,     0,     0,  1565,     0,     0,     0,     0,     0,     0,
       0,  1797,  1835,     0,     0,     0,     0,  1737,     0,  1734,
       0,     0,     0,     0,  1854,     0,     0,     0,     0,  1891,
    1585,  1602,  1865,     0,  1856,     0,     0,  1586,  1609,     0,
    1836,  1636,     0,  1641,  1624,     0,  1617,     0,  1622,  1626,
    1605,  1857,  1796,     0,  1794,     0,     0,  1603,     0,  1598,
    1596,  1597,  1590,  1591,  1592,  1593,  1594,  1595,  1599,  1775,
    1773,  1774,     0,     0,     0,  1621,  1998,  2033,     0,  1389,
    1389,  1389,  1377,  1387,  1864,     0,  1492,     0,     0,     0,
       0,  1754,     0,  1801,     0,  1799,  1881,  1870,     0,     0,
    1581,     0,  1484,  1850,     0,   769,   770,   768,  1267,  1251,
    1247,  1246,  1861,  1266,  1376,     0,   932,   933,     0,   937,
       0,     0,  1418,  1440,     0,  1431,     0,  1422,  1423,  1414,
    1441,  1436,  1361,  1360,     0,  1495,     0,     0,  1313,  1306,
    1489,     0,  1446,  1331,  1333,  1334,     0,  1854,   697,   696,
       0,     0,     0,  1111,  1036,  1087,   767,  1112,  1037,  1088,
    1113,  1038,  1215,     0,  1217,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   648,
    2005,   302,  1224,  1114,     0,  1039,   298,  1225,  1089,  1229,
     668,   667,     0,     0,  1090,     0,   542,     0,     0,   547,
     548,   549,     0,     0,     0,   550,     0,  1940,  1991,     0,
     555,   562,   567,   557,     0,   568,   563,     0,     0,     0,
       0,     0,     0,   574,   581,     0,     0,     0,     0,     0,
       0,   977,   978,  1115,  1042,     0,  1091,   959,  1524,   943,
       0,     0,   954,     0,   953,  1524,  1524,  1043,   155,     0,
     247,   257,   583,  1085,   275,   288,   283,   284,   282,  2005,
     302,  2005,   302,     0,     0,     0,     0,   285,   280,   281,
     277,   290,  1917,  1976,  2112,     0,   587,   589,     0,   594,
     293,  1057,     0,   310,   313,   294,   273,   276,   274,   270,
     255,     0,     0,     0,     0,     0,     0,  1877,     0,     0,
    1008,     0,     0,     0,   145,  1071,   135,     0,     0,   131,
       0,     0,     0,     0,   125,     0,  1121,  1047,     0,     0,
     249,   489,   497,   502,  1051,   505,  1101,   503,  1127,  1048,
    1083,     0,   245,     0,  1049,     0,  1095,  1123,  1073,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1232,     0,
       0,     0,     0,     0,   302,     0,     0,     0,  1085,  2005,
     302,  1122,     0,  1080,  1109,     0,   318,     0,  1072,     0,
       0,   251,  1053,  1103,     0,     0,   201,   200,   202,     0,
       0,     0,     0,     0,     0,     0,     0,   809,   778,   808,
       0,     0,     0,   772,   353,   327,   328,   330,   337,     0,
     698,     0,     0,  1506,  1502,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1522,   686,     0,     0,     0,     0,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1194,  1222,     0,
     122,     0,     0,     0,   536,   576,   583,     0,     0,     0,
     382,   386,   390,   391,   392,     0,     0,     0,     0,   136,
     123,     0,   728,     0,   436,     0,   167,   160,     0,     0,
       0,   529,   683,   681,   680,   682,     0,     0,     0,   703,
     679,     0,  1496,  1498,     0,     0,     0,     0,   481,   385,
       0,   439,     0,     0,   471,     0,     0,     0,   309,     0,
       0,   948,     0,   966,   949,     0,     0,     0,   988,   993,
     989,   969,     0,   513,  1348,  1349,     0,   302,     0,     0,
     578,   302,   302,     0,   302,     0,   302,   302,     0,  1149,
     604,     0,   656,     0,     0,   302,   741,  1798,   861,   438,
       0,     0,     0,     0,   872,     0,   511,   877,     0,   889,
     884,   886,     0,   893,  1327,  1320,  1322,  1321,     0,     0,
    1318,  1804,   740,   479,     0,     0,     0,   302,     0,   894,
       0,   819,   820,     0,     0,   829,     0,     0,  1394,  1805,
    1806,     0,     0,     0,     0,  1840,     0,     0,  1712,     0,
    1688,  1690,  1523,  1702,     0,  1536,  1713,  1714,  1692,  1694,
       0,  1788,     0,     0,  1703,  1645,  1646,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1658,  1657,  1704,  1770,     0,     0,  1827,  1828,  1705,  1566,
    1567,  1567,     0,     0,  1834,     0,     0,     0,  1710,  1715,
       0,     0,     0,     0,  1721,     0,  1742,     0,     0,     0,
    1668,  1798,  1558,  1559,     0,     0,     0,     0,     0,     0,
       0,     0,  1642,  1625,  1619,     0,  1623,  1627,     0,     0,
       0,     0,  1611,  1637,  1607,     0,     0,  1613,     0,  1638,
    1389,  1389,  1389,  1389,  1386,     0,     0,     0,     0,     0,
    1467,  1445,  1447,  1454,  1467,  1472,  1490,     0,  1871,     0,
    1427,  1398,  1398,     0,  1754,     0,  1677,     0,  1754,     0,
       0,   178,     0,   210,   197,     0,  1249,     0,  1401,     0,
    1789,   937,   935,   936,  1403,     0,     0,  1438,  1411,  1315,
       0,  1313,  1308,     0,  1309,  1854,     0,  1305,  1338,     0,
       0,  1495,     0,  1337,  1110,  1035,  1086,  1213,   904,   905,
       0,   903,     0,     0,     0,   424,   920,     0,     0,     0,
     648,     0,     0,   428,     0,  1227,     0,  1128,  1070,   544,
     545,     0,   556,     0,   565,   564,     0,     0,   552,     0,
       0,     0,     0,   551,   570,   517,   571,   573,     0,     0,
     572,   575,   580,  1083,     0,   611,  1059,     0,  1107,   971,
       0,  1524,   946,   951,   952,     0,     0,     0,   398,     0,
       0,     0,   258,   268,     0,     0,   272,     0,   266,   286,
     278,   287,   279,   591,   592,   590,   586,     0,   593,   595,
     307,     0,     0,     0,  1117,  1083,     0,   253,  1055,     0,
    1105,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1118,  1092,     0,     0,   128,   127,     0,   134,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   319,   304,     0,   706,     0,     0,     0,
     321,     0,     0,     0,     0,  1116,  1044,   773,     0,     0,
     774,   782,     0,     0,   775,     0,     0,   784,     0,     0,
     326,   334,  2057,  1778,  1779,   694,   701,   691,   693,   695,
     692,     0,   700,   648,     0,     0,     0,  1507,     0,  1575,
    1576,  1577,  1578,  1579,  1580,     0,  1574,  1581,   688,   689,
       0,  1213,  1212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   410,     0,     0,   404,     0,     0,
     993,   397,   400,   401,     0,     0,   537,   540,   538,   539,
     569,     0,   417,     0,     0,   138,     0,     0,   139,   137,
       0,     0,   309,     0,   163,   381,     0,     0,   629,   632,
     625,     0,   702,   704,   677,     0,   583,     0,     0,  1300,
     477,     0,   467,   463,   465,   464,   466,     0,   473,   308,
       0,   481,   473,     0,   921,   947,     0,     0,     0,   986,
     990,   987,     0,     0,   962,     0,   970,   940,  1144,  1145,
    1142,  1143,     0,     0,  1340,  1005,     0,   302,  1003,   744,
       0,   735,     0,   737,  1007,   302,   302,   616,     0,   526,
       0,     0,     0,   871,   891,     0,   887,     0,     0,   854,
     896,  1325,  1323,   480,   899,     0,   855,   898,     0,     0,
       0,     0,     0,  1809,  1542,     0,  1842,  1838,     0,  1685,
    1810,     0,  1822,  1821,  1644,  1823,     0,  1663,     0,     0,
    1655,  1653,  1654,  1647,  1648,  1649,  1650,  1651,  1652,  1656,
    1832,  1831,  1825,  1826,  1562,  1560,     0,  1707,  1708,  1709,
    1833,  1716,     0,  1931,  1743,  1720,  1736,  1735,     0,     0,
       0,  1723,     0,     0,  1732,     0,  1772,  1548,  1581,  1587,
       0,     0,  1610,  1837,  1628,     0,     0,     0,  1606,     0,
       0,     0,     0,  1615,  1788,     0,     0,     0,     0,     0,
       0,  1380,  1379,  1385,  1467,  1472,  1363,     0,  1454,     0,
    1466,  1452,  1465,     0,     0,  1478,  1476,     0,  1478,     0,
    1478,     0,  1449,     0,  1468,  1450,  1465,     0,  1872,  1491,
       0,  1429,     0,     0,  1397,     0,  1754,  1684,  1757,  1752,
    1753,  1802,  1678,  1889,     0,  1800,  1754,     0,  1851,  1374,
       0,  1402,  1419,  1412,  1956,  1493,  1314,     0,     0,  1311,
    1312,     0,     0,  1332,  1313,  1335,     0,   910,   911,   909,
     912,     0,     0,     0,   648,     0,     0,   444,     0,   928,
     928,     0,     0,   430,   476,   993,   651,     0,     0,     0,
     649,   302,  1040,     0,   566,     0,     0,   561,   559,   558,
     560,   518,  1126,  1041,     0,     0,     0,     0,   972,     0,
     964,  1058,     0,   395,     0,   263,  1084,     0,     0,     0,
     262,     0,   302,   302,   588,   311,   312,   315,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   729,   712,
       0,     0,   730,   731,     0,     0,     0,  1010,  1011,  1009,
     132,   129,   130,   133,  1068,  1052,  1102,  1050,     0,  1096,
    1065,  1061,     0,     0,     0,     0,     0,  1125,  1079,  1100,
    1124,  1077,  1098,  1076,  1097,  1078,  1099,  1069,     0,  1500,
     709,     0,     0,     0,   302,   302,   618,  1054,  1104,     0,
     776,     0,     0,   777,   779,   356,     0,   359,   366,   338,
     343,  1231,     0,  1231,     0,   340,   344,  1231,   339,  1231,
     336,   670,     0,     0,     0,  1503,  1508,  1583,  1516,   647,
       0,  1204,  1203,  1202,  1206,  1205,  1208,  1207,  1199,  1198,
    1211,  1210,  1197,  1196,  1201,  1200,     0,   402,     0,   408,
     412,   413,   411,   403,   993,   436,   475,     0,     0,   660,
       0,   535,   383,   414,     0,   387,   141,   140,     0,     0,
       0,   167,     0,     0,   634,   638,   678,     0,  1499,   612,
     309,     0,   383,   481,     0,   388,   393,   394,     0,   471,
       0,   467,     0,     0,   478,  1191,   482,   483,     0,     0,
     950,   967,   968,     0,     0,   993,   992,     0,   520,   302,
     579,   302,   302,  1150,   657,     0,   883,   882,   881,   512,
       0,   885,   302,     0,     0,     0,     0,     0,   831,   810,
     830,  1841,  1701,  1711,  1820,     0,     0,  1664,     0,     0,
    1706,  2205,     0,     0,     0,     0,  1740,  1741,  1722,     0,
    2048,  1727,     0,     0,     0,  1892,  1634,  1632,  1629,     0,
    1630,     0,     0,  1612,  1608,     0,  1614,  1639,  1384,  1383,
    1382,  1381,  1453,  1451,  1456,  1463,     0,  1448,     0,  1477,
    1473,     0,  1474,     0,     0,  1475,     0,     0,  1463,     0,
       0,     0,     0,  1748,  1754,  1754,  1679,  1759,  1756,     0,
    1681,  1581,     0,     0,  1307,  1310,     0,  1339,  1330,  1219,
       0,     0,     0,   426,     0,   993,     0,     0,     0,   931,
     931,     0,   993,   475,   653,   652,   655,   650,   654,  1228,
       0,   553,   554,  1060,     0,  1108,  1066,   965,     0,   584,
     259,   260,   261,   264,   304,   271,   265,     0,  1056,     0,
    1106,  1063,  1119,  1045,  1093,     0,     0,   718,     0,     0,
       0,     0,  1120,  1046,  1094,     0,     0,     0,     0,  1237,
       0,   303,   708,   707,   304,   320,  1081,     0,   780,   781,
     357,   122,     0,   335,     0,   364,     0,   362,   361,   363,
       0,   350,     0,     0,     0,     0,     0,  1504,     0,  1024,
    1024,     0,   648,  1209,     0,     0,   399,   475,   443,     0,
     405,     0,     0,     0,     0,     0,     0,     0,   583,     0,
       0,     0,   162,   383,   583,   633,     0,     0,     0,   705,
       0,   385,     0,  1298,   384,     0,     0,   473,     0,   471,
       0,   468,     0,   472,     0,  1184,     0,     0,   991,     0,
     995,     0,   961,   938,  1492,     0,   524,  1025,   736,   738,
     617,   888,   895,   302,   811,   812,   813,   814,  1659,     0,
       0,     0,     0,  1717,     0,  1718,  1745,  1744,  1724,  1728,
       0,  1725,  1726,  1631,  1635,  1633,  1616,  1455,     0,     0,
    1457,     0,     0,  1459,  1461,     0,     0,     0,     0,     0,
    1875,  1754,  1426,  1428,     0,  1364,  1682,  1683,     0,  1398,
    1754,   211,  1790,  1494,  1336,   889,     0,   302,   928,   475,
     445,  2057,   446,   927,     0,   929,   934,   934,     0,   475,
     648,   546,     0,   582,     0,   306,   314,     0,     0,     0,
     725,   713,     0,     0,   732,  1062,     0,     0,     0,     0,
       0,   302,   783,   337,     0,   360,   369,     0,   367,   341,
     346,     0,   348,   347,   342,   345,  1024,     0,  1021,  1020,
     646,     0,   434,   406,     0,   454,     0,     0,   661,     0,
       0,     0,   423,   422,   419,   418,   420,   421,   416,   415,
     608,   722,   309,  1191,   596,   635,   636,   631,     0,     0,
       0,   467,   463,   389,   398,   372,     0,   473,   469,   470,
       0,     0,     0,  1239,     0,   922,   994,     0,     0,     0,
     519,     0,     0,   523,   514,   856,  1660,     0,  1661,     0,
       0,     0,  1730,  1729,     0,  1464,  1480,     0,  1460,  1458,
    1469,     0,  1471,  1747,  1749,     0,     0,  1762,  1680,   906,
       0,   907,   931,   449,     0,   930,   937,   937,   436,   648,
     427,  1067,   585,     0,   267,  1064,     0,   716,     0,   727,
     725,     0,     0,  1233,     0,  1234,  1235,  1238,   322,   325,
     355,   365,     0,   349,  1019,  1023,  1022,     0,     0,   407,
     440,   441,   442,     0,   409,   450,   451,     0,   658,     0,
     663,     0,     0,     0,     0,     0,  1185,     0,     0,  1186,
     471,   467,   396,   462,   370,     0,  1188,     0,   309,     0,
     993,   996,  1148,   522,   521,  1662,  1733,  1719,  1746,  1731,
    1462,     0,  1470,     0,     0,  1758,     0,     0,     0,     0,
     934,     0,   648,     0,   925,   924,   443,   429,   305,     0,
       0,   723,   726,   714,   727,   734,   733,     0,   368,     0,
     433,     0,     0,     0,   452,     0,   453,   474,     0,   662,
       0,   583,   721,     0,     0,   637,     0,   473,   471,  1189,
    1190,   473,   923,   939,  1147,  1146,  1376,  1479,  1750,  1751,
    2167,  1956,  2141,     0,  1760,  1763,  1761,  1755,   302,   937,
       0,   431,   447,   454,     0,     0,   715,  1236,   638,   459,
       0,   458,     0,   456,   455,   659,   664,   609,   711,  1187,
     641,   373,   473,  1492,  1130,  1376,  1129,  1131,  1139,  1136,
    1138,  1137,  1135,     0,  1767,  1766,  1765,  1769,  1768,   908,
     926,     0,   648,   717,   724,     0,   457,   461,   460,   643,
       0,   639,   642,   644,   645,   371,   913,     0,  1140,  1134,
    1363,  1350,     0,   448,   432,     0,   619,     0,  1132,  1376,
    1764,     0,   640,  1133,     0,   641,     0,   620
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    49,    50,    51,    52,  1202,  2123,  1998,  2789,  2790,
      53,    54,  1277,    55,    56,    57,    58,    59,    60,    61,
    1218,    62,    63,   880,  1425,  2133,    64,  1861,   688,   689,
    1700,  1701,  2061,  1702,  1690,  1117,  1511,  1237,  1204,  1238,
      66,    67,  1111,  1681,    68,    69,    70,  1262,  1263,  1212,
    1464,  3659,  4234,  1979,  2826,  2622,  2623,    71,  1323,  1324,
      72,    73,  2737,  1363,  2088,  3240,  3241,  3690,   521,  2085,
    3951,  3952,  3676,  3677,  3958,  4127,  4128,  2134,  1421,  2820,
    3332,  2780,  3754,  2781,  3755,  2782,  3756,  2768,  3291,  3292,
    3293,  2783,  3733,  4158,  2784,  1876,  4259,  2168,  1533,  1531,
    4145,  3556,  3557,  4312,  4264,  4265,  4266,  4383,  3761,  2824,
    3338,  3764,  3980,  2519,   604,  1445,  2267,   605,  2170,   552,
     606,  2135,    79,  2162,  1297,  1298,  2006,  3245,  2877,    80,
     899,  3114,  4026,  4193,  4194,    81,   205,    82,  1429,    83,
      84,  2119,  2774,    85,  1893,  2536,    86,    87,  2563,  2564,
    2565,    88,    89,  3138,  3908,  1264,  2615,  2616,  2617,  2618,
    3158,    90,  1427,  1303,  2142,    91,    92,    93,    94,    95,
    2049,    96,    97,  2136,  1437,  2154,  2155,  3745,  3996,  4167,
    3998,  4420,  4421,  3972,  3093,  3570,    99,   100,  3728,  3729,
    4271,   101,  1891,   102,   103,   104,  1405,  2111,  2112,  3246,
    1188,  1366,  2091,  2092,  3321,  3322,   105,  2697,   106,  3618,
    3619,   553,  4274,  4239,  4323,   107,   108,  3622,  3623,   109,
     110,   111,   112,   113,   598,   945,   946,  1194,   114,  1797,
     115,   853,  2728,   116,  1011,  2292,  3799,   117,   629,   960,
     961,  2137,   119,   638,  2270,   640,  1546,  2879,  2880,  3389,
    2238,   773,   120,   121,  2249,  2273,   122,  1205,  1867,  1868,
    3551,  2138,   554,  1451,  2173,  2514,  4184,  3558,  3889,  4096,
    2459,  3054,   124,   555,  1242,  1941,  2176,  2832,  2833,  1943,
    2432,  3353,  1945,  2834,  2839,  2840,  2841,  3349,  3357,  4020,
    4021,   125,  1240,  1934,   126,   127,   128,  1274,   793,   129,
     566,   567,   130,  4138,   131,   911,   132,   657,  1560,   133,
    1957,  3144,   134,   135,   136,  4396,  4427,  4428,  4429,  3362,
    4356,   137,  4398,   990,   139,   140,   141,   176,   819,   820,
     821,  2139,  4015,   143,   144,  2115,  2767,  3273,   145,   146,
    1862,  2504,   147,   148,   149,  1409,   150,   151,   152,   153,
    1342,   154,  1146,  1147,   155,   156,   516,   705,  1150,  1158,
     157,   608,   954,   955,   956,  1513,   158,   993,  2260,   609,
     948,   160,   610,  2478,  3063,  3064,  3067,   611,  2475,   163,
    1552,  2254,  2257,   612,  2482,  2483,  2484,  2485,  2486,  3069,
     613,   631,   902,  2181,   614,  1083,   168,   169,   170,   714,
     709,   710,   172,  1675,  2422,   646,  1165,   676,   722,  3514,
    1809,  1810,  1832,  1833,  1174,  1175,  1822,  1824,  2461,  1825,
    2469,  1815,  3511,  3863,  1828,  1829,  1177,  1178,  1179,  1837,
     173,  2426,  3021,  3022,  3023,  3490,  3491,  3505,  3501,  3850,
    4063,  3024,   988,  1185,  3025,  3030,  3061,  2811,  2812,  2813,
    1946,  2098,  1390,  1084,  1391,  2109,  1085,  1596,  1393,  1086,
    1087,  1088,  1396,  1089,  1090,  1091,  1092,  1579,  1638,  1093,
    1094,  1615,  2106,  2107,  1502,  2332,  1096,  1097,  3454,  3823,
    3812,  2358,  2359,  1697,  3450,  2972,  4075,  4213,  4214,  3522,
    3519,  3867,  4079,  4308,  4364,  4365,  1098,  2412,  1668,   795,
    1099,  3248,  1670,  2352,  2434,  2435,  1846,  1577,  2298,  2316,
    2317,  2329,  2933,  2336,  2341,  2956,  2957,  2353,  2381,  1100,
    2301,  2302,  2916,  1581,  1101,  1140,  1141,  1574,  2376,  1153,
    1154,   707,  1102,  1103,  1547,   698,  4059,   921,   763,  2636,
    1788,   823,   643,  1104,  1105,  1106,  1107,  2881,  1268,   512,
     757,  2619,   513,   514,   759,  1793
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3837
static const int yypact[] =
{
    4683,    -6,  9048, -3837, -3837,    -6, -3837, 46480,   381,   538,
      41,   133, 11411, 46892, 55132,   685,   738, 12495,    -6, 55132,
    1029, 37416, 42360, 55132,   365,   476, 37416, 55132, 55544,   596,
     674,   732, 55956, 47304, 41124,  1056, 55132,   733,   320, 56368,
   47716,   698, 48128,   476, 34552,    72,   892, 56780,  1553,  1354,
     943, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837,   381, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837,   191, -3837,   136,
     211,   872,   287,   999, -3837, -3837, -3837, 39064, 55132, 55132,
   55132,  1258, 55132,  1217, 55132,   652, 39064, 55132, 57192,  1368,
    1326, 31176, -3837, 48540, 55132, 55132, 57604, 55132, 48952, 55132,
    1406, 55132, 55132, 58016, 58428,  1571,  1617, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, 55132, 11384,   365, -3837,
   -3837, 55132,  1389, 39064, 55132,  1350, 55132,  1447, 55132, -3837,
   55132,  1467, 58840,   659,  1151, 55132,  1535, 31601,  1543, 55132,
   59252, 55132, 55132, -3837, -3837,  1540, 55132, 55132, -3837,  1640,
   59664,  1426,  1647,  1812,  1725,   686, -3837, 49364, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, 49776,   738, -3837, -3837, 39476,
   55132,  1776, -3837, -3837, 60076, -3837,  1545, -3837,   678, 39888,
   60488,  1879,  1572, 32026,  1924, 60900, 61312, -3837, -3837, 61724,
   -3837, 62136,  1654, 62548, -3837, 62960, -3837,  1789, 63372, -3837,
    1585,  1042,  1305, 28243, -3837, -3837, -3837,   381, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837,   327,  1340,   275,   172,
     305, -3837, -3837,   190,   197,   206,   327,  1970,  1970, -3837,
   55132, -3837, -3837,  1340,    12,  1600,  1600,  1600,  1834,  1104,
   -3837,  1600, -3837, -3837, -3837, -3837, 48128, -3837,  1603,   365,
    1675,  1964,  1722, 55132, -3837, 55132, -3837, 55132, 55132, -3837,
   -3837,  2081,  1713,  1941,  1707, -3837,  1893,  1933,  1942,    61,
     365,  1839, -3837,  2086, -3837,  1957, 18481,   365, 50188, 63784,
     218, 49776,   365, 50600,  1841,  1202,  1989, -3837, -3837,   353,
   -3837,  2222,  1851,  2093,  1707,  1617, 29079, -3837,  1856,  1503,
   48128, -3837, -3837, -3837,   181,  2125, 18910, -3837, 55132,  1861,
   -3837,  1871,  1872,  1884,   872, -3837,  4683, 55132,  1288,  1288,
    2281,  1288,  1679,  1752, -3837,  1844, -3837,  2186,  2153, 48128,
     892,   188, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837,  1919,  1503, -3837,   235, -3837,
    1629,  1927,  1634,  1394, -3837, -3837,   759, 55132,  2046,   169,
     -15,  1974, 51012,  4312,  1955,   254, -3837,  2265,  3232,   283,
   64196, -3837, 55132, 55132, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837,  1997, -3837, -3837,  1976,  2259,  1477,  2190,
     622,  2311,  8694,  1253,  2325,  3698,  1672,   781,  2213,   765,
    2318,  1661,  2333,  4503, 55132, -3837,  2267,  2382,   603, -3837,
     266, -3837,  2124,  2258,   510, 39064,  2083, -3837, -3837, 55132,
   -3837, -3837, -3837,  2157, -3837,   694, 39064, -3837,  2276,  2139,
   32451, -3837, 55132, -3837, -3837, -3837, -3837, -3837,  2218, 55132,
   -3837, -3837,  2336, 55132, -3837,  1600,  2266,  2118,  2490, 72804,
      74, 55132,  2155,  2523, 55132,  2321,  2155,  2158, 64608, -3837,
   -3837,  2155, -3837, -3837, 55132, 55132,  2126,  1753,  2155,  2326,
    2522,  2524,  2198,  2303,   946,  1182,   161,  2420,  2155,  2179,
   55132, 65020, 55132,  2182, 55132,  2510, 39064, 55132, -3837,  2307,
   -3837, -3837,  1129, -3837, -3837, -3837, -3837,  2454,  1919,   279,
    2458,  2164,  2463, -3837, -3837,  2200, -3837,  2468,  1955,  2469,
    2171, -3837, 65432, -3837, 65844, 66256,  2472,  1997, 55132,  2485,
    2171,  2486,  2373,  2489,   279,  2491, -3837,  1172,  2494,  2381,
    2500,  1577,  2171, 51424,  2501,   137, -3837, 20626, -3837,  2295,
   -3837,   892, -3837, -3837,   807, -3837, 37004, -3837,  1305,  1340,
   -3837, 55132,  1340, 55132,  1340, 55132,  1340, 55132,  1340, 55132,
   55132, 55132,  1340, -3837, -3837, -3837, 55132,  2214, 55132, 55132,
   -3837, -3837, -3837, 43184, 55132, 43596, -3837, -3837,   290,   365,
   -3837, -3837, 72804,  2613, 55132, 55132,  2499,  2499,  2499, -3837,
   -3837, -3837,  2440, 55132,  2505,  2506, 43184, 55132, -3837, 66668,
   49776,  2405,  2224, -3837, -3837, -3837, -3837, -3837,  1233,  2652,
     273,  2653, 20626,  2225,   264,   264,  2228,  2516, -3837, -3837,
   -3837,   246,  2235,  2238, -3837,   242,   242,  2399,  2252,  2253,
   -3837,   247,  2254,  2681,  2683,   253,  2260,  2261,  2262,  1695,
     264, 20626, -3837,  2263,   242,  2264,  2268,  2279,  2684,  2280,
   -3837,  2685,  2284,   195,   335,  2286,  2287, -3837,  2252, -3837,
     222,  2288,  2289,  2290,  2293,  2294,  2296,  2297,  2299, 20626,
   20626, -3837, 17623,  1503,   365, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837,   131, -3837,   262,  4507, -3837, -3837,  2467, 20626,
   -3837, -3837,   276, -3837,   268, -3837, -3837, -3837,  1503, -3837,
   -3837,  1212,  2298, -3837,  1594, -3837, -3837, -3837, -3837, -3837,
   -3837, 44420,  2700, -3837,   910,   365,   266,   284,  2648, 36180,
   36592, -3837, -3837,  2527, -3837, 55132, -3837, -3837, 20626, 34140,
   -3837,  1503,   307, -3837, -3837, -3837,  1242, -3837, -3837, -3837,
     381, -3837, 10976, -3837,  1548,  1861, 55132, 55132,  2705, -3837,
   -3837, -3837,  1871, -3837, -3837,   872,   872, 20626,   872,   176,
    1280, 19339, 20626,  2591,  2502,   184,   920,  2600, -3837,  2503,
    1679,  1752, 48128, 55132, 67080,  2426, -3837, 35376,  1719,  1503,
    2394,  2396,  2442, 38240,  2322,  2400,  2401,  2444,  2402,  2403,
   67492, -3837, -3837, -3837, -3837,  1117,   804,  1362,  2407,   160,
     703,  2686, -3837,  1227,  2457, -3837, -3837, -3837,  5407, 55132,
    2631,  6100,  2521,   283,  2460, -3837, -3837,  2566,  2416,  2423,
    2537,   283,   232, 67904, -3837, -3837, -3837, -3837, -3837, -3837,
    1581, 16392, -3837,  2425,  2406, 55132, 40300,  2710,  2534,   691,
    1511,   171, 55132,  2610,  2542, 55132,  2357,  2432,  2434,  2363,
    1433,  2719,  2361, -3837, -3837, -3837,   379,  2536, -3837,  2665,
    6728,  2424,  2428, 71590,  1238, 32876,  2707,  1169,  2445, -3837,
    1169, 55132,  2448,  2451, 55132,   283, -3837,  2761,   283,   283,
    1387,  2763,  2462,   350,  1733,  2155,  2361,  1576, -3837,  2465,
    2466,   735, -3837,  2559, 48128,   239,  1831,  2361,  2474,  2475,
    2363,  2363, 55132, 55132, 55132, 55132, 55132,   157,  2777,  2783,
    2477,   168,  2512,  2409, -3837, 44832,  2478, 63784, -3837, -3837,
   55132,  2479,  1859,  2361,   900,    76, -3837, -3837, -3837,  1617,
   -3837, 55132, -3837, 55132,  1919, 72804,  2580, -3837,  2437, -3837,
    1955,   283, -3837, 55132, 55132,  1997,   995,  1278,  2593, 55132,
    2656,  2446, -3837,   205, 35778,  2126, -3837,  2431, -3837, -3837,
    2471, -3837,  2471,  2471,  2433,  2433,  2435, -3837, -3837, -3837,
    1695,  2471,  2433, -3837, 73606, -3837,  1294,  1357, -3837,  2825,
    2833, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
     870,  1631, -3837, 55132, 38240, -3837,  2845, -3837, -3837, 72804,
    2620,  2735, -3837, 55132,  2641,  2470, -3837,  2794,  2507, -3837,
   -3837,    25, -3837,  2764, 55132,   251,   365,  2513, 55132,  2688,
   55132, 55132, 55132, 55132, -3837, -3837,  2655,   676,    92, -3837,
   44832, -3837, 55132,  1576,  2667,  2874,    23,  1600, 55132,  2765,
   -3837, 55132,  2476,  2878,  2712, -3837,  1475, -3837,  2599, -3837,
   39064,   279, -3837, -3837, -3837, -3837, 72804, 55132, 68316, 39064,
     279, 55132, 55132,  2778,   137,  2779,  2543,  2780,  2544, 32876,
     279,   147, 55132, 55132, 55132, 55132, -3837, 55132, -3837, -3837,
   -3837, -3837, 55132, 55132, 55132, 44832,  2781,  2786,   279, 55132,
   55132, -3837, 10976,  1604, 55132,  1305, 44008, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, 55132, -3837, 55132, -3837, 55132,
   -3837, 55132, -3837, 55132, -3837, -3837, -3837, 55132, -3837, 55132,
    1621, -3837, -3837,  1658,   109, 55132, 55132,   166, 39064, 55132,
    2680, 55132, 55132, 55132, 55132, 55132,  2568,  2298,  1053, -3837,
     838, 48128,  2687, -3837, -3837,  1688,  1553,  1107,  2530, -3837,
   -3837, -3837, -3837, -3837, -3837, 43596, 42360,  2782,    75, 55132,
   -3837, -3837,  3715, 20626,  1503, 18052, -3837, -3837, -3837,  2498,
   10976,  2538, 20626, -3837, -3837, 20626,  2504,  1970,  1970, 20626,
   -3837, -3837, -3837, -3837,   844,  1970, -3837, 20626, 20626,  1970,
    1970,  2471,  2471, -3837,  6338, 20626, -3837, 32876, 20626, 23200,
   15552, 20626,  2575,  2525,  1970, -3837,  1970, -3837, 20626, 17194,
   -3837, 20626,  2709, 24052, 20626,   284,  2711, 20626,   284,  2926,
    2926,  2651,  3796,  2508,  1503, -3837,  2616,  1970, -3837,  1970,
     875, -3837,   192, 72804, 20626, 38240,  2586,   174, 55132, 20626,
    2511,  1358, -3837, 20626,   736, -3837,  2514, 20626,  2587, 20626,
   20626, 20626, 20626, 20626, 20626, 20626, 20626, 20626, -3837, 24888,
     208,   619,  1213, 51836, 18481,  2798, 15122, -3837,   250, -3837,
   -3837, -3837, 55132,  2700, -3837, -3837,  2592, -3837, -3837, -3837,
   -3837, -3837,   271, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
    2515, -3837, -3837, -3837, -3837,  2515, -3837,  2520,  3373, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837,  2788,  2789,   279, 55132,   181,
   45244, -3837, 18910, -3837,  1689,  2529, -3837,  2767, -3837,  2528,
   -3837,  8348,  2767, -3837, -3837,   167,  2630,  2762,  2714, -3837,
   -3837, -3837,  2531, 10976, -3837,  1622, 10976,  1738, -3837, -3837,
   -3837, -3837, -3837, -3837,  1281, -3837, 55132,  2687,  2591,   920,
    2583,   100, 55132, -3837, 29497,  2533,  1704,  2615,  2618,  2658,
   55132, 55132, 55132, -3837, 38240, 55132, 55132, 55132, 55132, 55132,
   55132, -3837,  2892,  1142, 42360,  2661, 41536, -3837, -3837,  2545,
   55132,  2598,  2784,  2785,   755, -3837, -3837, 68728, -3837,  2738,
   55132, 55132, 55132, 20626,  2742, 55132, 55132, -3837,   204,  2627,
    2628, -3837, 55132,  2629, 39064,  2556, 55132, 55132, 55132,  2632,
     700, 39064,  2605, 33301, 55132, 55132, 55132, 55132,  2675, 55132,
   55132,  2792,  1538, 48128,   202,  1915,  2361,  2751, -3837,   963,
   -3837, 55132, 55132,  2748, -3837, -3837, -3837, 49776,  2960,  2668,
   -3837, -3837, 69140, -3837, -3837,  2745, -3837, -3837, 73606, -3837,
   -3837,  1740, -3837, 73205, 69552, -3837, -3837,   491, 55132, 55132,
    7139, 55132,   847, -3837, -3837, 72804, -3837, 55132, 55132, 55132,
   45656, 69953, 70365,   778,   975, 55132, 46068, -3837, 55132, -3837,
   -3837, 38652, 55132, 55132, 38240, -3837, 55132,  2754,   215, -3837,
   55132,  2408, -3837,  2649, 55132,   209,  1983,  2361, 55132, 55132,
    2570,  1742,  2654,  2697, -3837, 55132, -3837, 55132,  1334, -3837,
    2715, 55132, 55132,  9580, -3837, -3837,   283, -3837, -3837, -3837,
   -3837, -3837, 55132, 55132,   283, 55132,   283,   852, -3837, 55132,
   55132, -3837, -3837, -3837,  8096, 55132, 55132, 55132, 55132, 55132,
   55132, -3837, -3837,   916,  1230,  1184,  1413,  2720, 55132,  2848,
   55132, 70777, 55132, 55132, 55132, 55132,  1098, -3837, -3837,  2695,
   -3837, 55132,  1334,  8941, 55132, 55132,  2660,  2663,   185,  2737,
   -3837, -3837, -3837, -3837, -3837, -3837,  2832,  2996, 55132, -3837,
    2837,  2838,  2657,  2659,  2839,   823, 55132, -3837, -3837, -3837,
   -3837, 55132,  2841,   823,  2795,   648, -3837, -3837,  2155, -3837,
    2626,  1744, -3837, -3837, 20626,  3004, 72804,  2617,  2619,  2690,
    2692,  2693, -3837,  2614,  2694,  1970, -3837, -3837,  1644, -3837,
   -3837,  1749, -3837,  2634,   676,  1478, -3837, 38240, 55132,   760,
     791,  2918, 40712,  1682,  2908, 55132,  2664, 55132,  1682, 55132,
   -3837,  1665, 42360, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837,  2909, -3837,   365,  2126,  2126,  2126,  2126, -3837,
   -3837, -3837, -3837,  2811,  1250, -3837,  2635,  2126, 55132,  2739,
    1682,  2636, -3837,  1576,  2924,  1093, 55132, 40712,  1698,  2671,
    3034,  1600,   365,  2820, -3837, 16793,  2790,  2821, 49776,  2910,
    2911,  2925, -3837,  1919, -3837,  3041, -3837,  2940,   279,  1955,
   -3837,  2171, -3837, 55132, -3837, 55132, 55132, 55132, 55132,  1997,
   -3837, -3837,  2171,  2828,   279,   279, -3837,  2829,   279,  2171,
    2760,  2936, 49776, -3837,   137, -3837, -3837, 20626,  1600, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837,  1751, -3837, 55132,
   -3837,  2914,  2919,  2923,  2171,  2662,  2696, 55132,  2669, -3837,
    2171,   283,  2171,  2298,  2298,  2171,  2662, 52248,  3079,  2943,
     643, -3837,   669,    43,  2879, -3837, -3837, -3837, -3837, 72804,
   -3837, -3837, -3837, -3837, -3837, 55132,   812, -3837,    93,  2853,
    2670, 52248,  3060,   279, -3837, 39064, -3837, -3837, -3837,  2749,
    2766, 39064,  2865,  2726, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837,  2913, 55132,  1755, -3837, -3837,  1300, -3837,  1312, 20626,
   20626,   119, -3837,  9681,  1757, 20626,  2689,  2698,  1766, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837,  2701,  2961, -3837,  2702,
    1772,  1781,  2703,  2704, -3837, -3837,  3912,  2706,  9884,  2708,
   23200, 23200,  2192, -3837, -3837, 23200,  2716, -3837,  1785,  8337,
    2718,  2717,  2713, -3837,  2722,  2723, 10032, 19768, 20626, 19768,
   19768, 10514,  2718,  2728,  1786, 38240,  2852, 10362,  1787, -3837,
   20626, 38240,  4447, 20626, -3837, 20626, 55132,  2729,  2730, -3837,
   -3837,  6338, -3837,  2725, -3837, 23200, 23200, -3837,  3231, 17623,
   -3837, -3837,  2971, -3837, -3837,  1662, -3837,  2734, -3837, -3837,
    5987,   182, 20626,  2511, 20626,  2768, 32876,  5390, 20626,  3084,
    4131,  4131,   464,   464,   314,   314,   314,  1516,  1213, -3837,
   -3837, -3837,  2736,  2280, 20626, -3837,  1729,  1735, 55132,  2142,
    2231,  2421, -3837, -3837, -3837, 26153,  2743, 20626, 20626, 20626,
    2741,  2866,  3115, 10976,   661, -3837,  3119, -3837,  1617,  1970,
     875, 37004, -3837, -3837, 20626, -3837, -3837, -3837,  1871, -3837,
   -3837, -3837, -3837, -3837,  1553, 20626, -3837, -3837,   810,  1940,
   20626,  1622, -3837, -3837,  2769, -3837, 20626, -3837, -3837, -3837,
    2298, -3837, -3837, -3837, 26153,  2747,  2757, 28661,  2842, -3837,
   -3837, 55132,   103, -3837, -3837, -3837,  2733, -3837, -3837, -3837,
   55132, 55132, 55132, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837,  2933, -3837, 55132, 55132,  2898, 55132,  2916,
    2917, 20626,   770, 55132,  2740,  2746,  1041,  2995, 55132, -3837,
    3035,   279, -3837, -3837,  2817, -3837, 10976, -3837, -3837, -3837,
   -3837, -3837, 55132, 55132, -3837, 49776, -3837,  1919, 72804, -3837,
   -3837, -3837, 55132,  2776, 55132, -3837, 55132, 55132, 55132,  1997,
   -3837, -3837, -3837, -3837,  1283, -3837, -3837, 55132, 55132,   615,
    2824,  2826, 55132, -3837,   750,  2559,  9049, 55132, 55132, 55132,
    3002, -3837, -3837, -3837, -3837,  2948, -3837, -3837,  1631, -3837,
   69552, 73205, -3837, 73205, -3837,  1631,  1372, -3837,  2171,  2835,
    2361, -3837,  2941,  1188, -3837, -3837, -3837, -3837, -3837,  3054,
     279,  3061,   279, 55132, 55132, 55132, 55132, -3837, -3837, -3837,
   -3837, -3837, 38240, 38240, 38240,  1807, -3837, -3837,   365, -3837,
   -3837, -3837,  1808, -3837,   -52, -3837, -3837, -3837, -3837, -3837,
   -3837, 55132,  9317, 55132, 55132, 55132,  1727, -3837,  1063, 72804,
   -3837, 71991, 55132, 55132, -3837, -3837, -3837,  2985,  2930, -3837,
     827,  2931, 55132,  2823, -3837,  2843, -3837, -3837,  2844,  1998,
    2361,  1576, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
     240,  2054,  2361,  2847, -3837,  2849, -3837, -3837, -3837,  2984,
    2987,  2989,  2851,  2854,  2897,  2856,  2857,  2904, -3837,  2860,
    2912,  2864,  2915,  2873,   279, 72804,  2988,   365,  2907,  3087,
     279, -3837,  2875, -3837, -3837,  3197, -3837, 55132, -3837,  2880,
    2104,  2361, -3837, -3837, 55132, 55132, -3837, -3837, -3837,   823,
   72804,  3043,   823,   823, 55132, 55132,   823, -3837, -3837, -3837,
    3044,  3046,   823, -3837, -3837, -3837, -3837,  2266,  2809, 30751,
   -3837,  3238,  5017,  2814,  2619,  2812,  1970,   219,   124,    90,
    2932,  1970,  3020,  2816, -3837, -3837, 38240, 30751,  1531,  3036,
    2831,  2831,  2831,  2831,  2831,  2831,  2831, -3837,  1995,   298,
    2155, 49776, 55132, 49776, -3837,   791,  2941, 55132, 55132,  2822,
    2818, -3837, -3837, -3837, -3837, 55132,   144, 55132,  1970, -3837,
   -3837,  2886, -3837, 55132,  1600,  3219,  2524,   251,  2962,  1518,
    3162, -3837, -3837, -3837, -3837, -3837, 55132, 55132,   676,   365,
   -3837,  2830,  2834, -3837, 55132, 55132, 55132, 55132,  2530,  2850,
    2836, 72804,    33,  3012,  3021,  2363,  3230,  1553,  2671,  2921,
   55132, -3837,  1838,   101, -3837,   365, 49776, 71189, -3837,  1813,
   -3837, -3837,   134,  3114, -3837, -3837,  1553,   279, 72804, 55132,
   -3837,   279,   137,  2896,   279,  2900,   279,   279, 55132, -3837,
   -3837, 55132, -3837, 55132, 44832,   279, -3837, 10976, -3837, -3837,
    2968,  2972,  2973, 55132,  2171, 39064, -3837,  2855, 55132,  1195,
   -3837, -3837,  3031, -3837, -3837, -3837, -3837, -3837,  3153,  3154,
   -3837, -3837, -3837, -3837,  3192, 55132, 43184,   148, 55132, -3837,
    1919, -3837, -3837,  1955,   283, -3837, 55132,  3097, -3837, -3837,
   -3837,  2862,  1862, 10907, 20626, -3837,  3166, 72804, -3837,  5095,
   -3837, -3837, -3837, -3837, 20626, -3837, -3837, -3837, -3837, -3837,
   20626, -3837, 20626,  3143, -3837,  3284,  3284, 72804, 23200,  1471,
    2264, 23200, 23200, 23200, 23200, 23200, 23200, 23200, 23200, 23200,
   25317,   387, -3837, -3837, 20626, 20626,  3152,  3143, -3837, -3837,
     739,   739, 72804,  2867,  2718,  2868,  2870, 20626, -3837, -3837,
    1876, 24470,  2872, 38240, -3837, 20626,  8660,  1883,  2920, 10940,
    1503,  5212, -3837,  3247,   365, 20626,  1583,  1827, 20626,  1891,
   20626,  3155, -3837, -3837, -3837,  2876, -3837, -3837, 72804, 20626,
   23200, 23200,  6867, -3837,  6914, 20626,  2877,  7315, 17623, -3837,
     476,   476,   476,   476, -3837, 55132, 55132, 55132, 26571, 25735,
   52660,  2881,  1877, -3837, 52660, 53072, -3837,  2882,  1503, 20626,
    3149,    45,    45,  2883,  2866, 29915, -3837, 20626,   478, 20197,
    2885,   266,  2888, -3837, -3837,  8204, -3837,  2891, -3837,  2887,
   -3837,  1940, -3837, -3837, -3837,  5520,  3062, -3837, -3837,  2881,
   21055,  2842, -3837,  1892, -3837, -3837, 18481, -3837, -3837,  1899,
   29497,  2747, 18910,  1503, -3837, -3837, -3837,  2831,  2171,  2171,
     933,  2171,  3168,   933,  5783, -3837, -3837, 26989, 55132, 55132,
   -3837, 55132,  1901,  1561, 55132, -3837, 55132, -3837, -3837, -3837,
   -3837,  3293, -3837, 55132, -3837, -3837,  2946,  2949, -3837, 55132,
   55132, 55132, 55132, -3837, -3837,  1927, -3837, -3837, 55132, 55132,
   -3837, -3837, -3837,   346,  2236,  2361, -3837,  2970, -3837, -3837,
    3147,  1487, -3837, -3837, -3837,  2965, 55132,  2901, -3837,   722,
    2363,   130, -3837, -3837,  2980, 55132, -3837, 55132, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, 38652, -3837, -3837,
   -3837, 38240, 30751, 38240, -3837,   351,  2241,  2361, -3837,  2977,
   -3837,  2979,  2981,  3027,   751,   179,  2997,  2999,  3048,  2929,
    2934,  2937, -3837, -3837,   327,   365, -3837, -3837,   365,  2171,
     365, 55132, 55132, 55132, 55132, 55132, 55132, 55132, 55132,  3207,
     165,  1582, 55132, 55132, 55132, 55132, 55132, 55132, 55132, 55132,
   55132, 55132, 55132, -3837,  3296,  3228,  1718,  3268,  3005, 55132,
   -3837, 55132,  2559, 55132, 55132, -3837, -3837, -3837,  2938,   823,
   -3837, -3837,  3173,  3181, -3837,   823,   823, -3837,   205, 38240,
   -3837,  2721,  2887,  1970,   379, -3837, -3837, -3837, -3837, -3837,
   -3837,  2626, -3837, -3837,  1970,  1894,  2944, -3837,  2945, -3837,
   -3837, -3837, -3837, -3837, -3837,  2947, -3837,   875, -3837, -3837,
   55132,  2831, -3837,  1393,   783,  1187,  1201, 53484, 53896, 54308,
    2951, 55132, 55132, 23200, -3837,  1285,   193, -3837,  3182, 55132,
    2983, -3837, -3837, -3837,  3103, 55132, -3837, -3837, -3837, -3837,
   -3837,  2954, -3837,  3056, 40712,  2171, 55132, 55132,  2171, -3837,
   72804,  2955,  2671, 55132,   251,  1106, 65020,  2990,  2953,  3243,
   -3837,  2963,  2958, -3837, -3837, 55132,  2941,  1903,    37,  1585,
   -3837, 41948,  1698,  3217, -3837, -3837, -3837,  3326,  3051, -3837,
    1553,  2530,  3051,   365,  2598, -3837, 69552, 20626, 20626, -3837,
    2975, -3837,  2986,  5658, -3837,  2126, -3837, -3837, -3837, -3837,
   -3837, -3837,  3057, 55132, -3837, -3837,  2993,   279, -3837, -3837,
   55132, -3837, 55132, -3837, -3837,   279,   279, -3837,  3082, -3837,
   55132, 55132, 55132,  2171, -3837,   283, -3837,  3260, 52248, -3837,
   -3837, -3837, -3837, -3837,    75,  3267, -3837, -3837,  3227,  3229,
    3234,  3235,   845, -3837, -3837, 20626, 10976, -3837,  3000, -3837,
   10976,  5843, 10976,  3152, -3837,  2455,  3269, -3837,  1329,  2991,
    2455,   566,   566,   338,   338,   285,   285,   285,  3284,   387,
   10976, 10976, -3837, -3837, -3837, -3837,  3001, -3837, -3837, -3837,
    2718, -3837, 21484,  3139,  3381, -3837, -3837, -3837,  3039,  3040,
    3006, -3837, 20626, 21913,  3007, 73606, -3837, -3837,   875,  1524,
   23200, 23200,  2317, -3837,   473, 20626, 72804,  1909,  2317,  2255,
    2278, 20626, 20626,  8669,   221, 20626,  6131, 55132, 55132, 55132,
   55132, -3837, -3837, -3837, 52660, 53072, 15973,  1877,  3009, 55132,
   -3837, -3837,  3013, 26153,  3236,  3179, -3837, 26153,  3179,  1314,
    3179,  3242, -3837, 30333, -3837, -3837,  3014, 15122,  1526, 10976,
    3395,  3285, 20626,  3015, -3837,  3016,  2866, -3837, 72392, -3837,
   -3837, 10976, -3837, -3837, 20626, -3837,  2866,   365, -3837, -3837,
   32876, -3837, -3837, -3837,  3204, 10976, -3837,  1553, 55132,  1503,
    3017,  3032, 55132, -3837,  2842, -3837,   327, -3837, -3837, -3837,
   -3837,  3094, 42360,  3302, -3837, 20626,  1913, -3837,  3058,  3388,
     324,  1922,  1930,  1561, -3837,  2983, -3837,  1445,  3280,   111,
   -3837,   279, -3837, 72804, -3837, 55132, 55132, -3837, -3837, -3837,
   -3837,  2322, -3837, -3837, 55132, 55132, 55132, 55132, -3837,  3092,
   -3837, -3837, 38240,  1995,  3220, -3837, -3837,  3221,   327, 55132,
   -3837, 72804,   279,   279, -3837, -3837, -3837,  3045, 55132, 55132,
   55132, 55132, 55132, 55132, 55132,  1970,  1970, 72804,  3024, -3837,
    1970,  1970,  3029, -3837, 55132, 55132, 55132, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,  3105, -3837,
   -3837, -3837, 55132, 55132, 55132, 55132,  3331, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, 55132, -3837,
   -3837,   365,   365, 72804,   279,   279, -3837, -3837, -3837,  3278,
   -3837,   823,   823, -3837, -3837,   135,  1936, -3837, 27825, -3837,
   -3837,  2523,   365,  2523,   794, -3837, -3837,  2523, -3837,  2523,
   -3837,  1561,  3042,  1423,  3318, -3837, -3837, -3837, -3837,  3322,
     327, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, 20626, -3837,   196,  2455,
   -3837, -3837, -3837, -3837,  2983,  1600,  3095, 39064,   300, -3837,
    3304,   760, 40712,   231, 55132, -3837,  2171,  2171,  3099, 55132,
    3445, -3837,   597, 55132,  3358,  3088, -3837,   365, -3837, -3837,
    2671, 55132, 40712,  2530,  1937, -3837, -3837, -3837,  3083,  3021,
    3052,  1698,  1083, 55132, -3837,  3090, -3837, -3837,  3333,  3059,
   -3837, 10976, 10976,   365, 74007,  1813, -3837, 55132,  3309,   279,
   -3837,   279,   279, -3837, -3837, 55132,  2171,  2171,  2171, -3837,
    3237, -3837,   279, 52248,   845,   845,   845,   845, -3837, -3837,
   -3837, 10976, -3837, -3837, -3837, 23200,  3340, -3837,  3064, 72804,
   -3837,  3065,  1943,  1953, 24052,  3203, -3837, -3837, -3837,  6410,
    3116, 10976,  3165,  3069,  3073, -3837,   540,   540,   473,  1959,
   -3837, 23200, 23200,  2317,  2317, 20626,  2317, -3837, -3837, -3837,
   -3837, -3837, -3837, -3837, 52660,  3081, 55132,  1877, 26153, -3837,
   -3837,  1267, -3837, 26153,  3319, -3837, 26153, 55132,  3085, 55132,
     693, 20626, 20626,  3117,  2866,  2866, -3837,  3250, -3837,  3086,
   -3837,   875,  3091, 55132, -3837, -3837,   892, -3837, -3837, -3837,
   52248,  3271, 52248,  1561,  6848,  2983, 26989, 33726, 55132, 54720,
   54720,  3239,  2983,  3095, -3837, -3837, -3837, -3837, -3837, -3837,
    3093, -3837, -3837, -3837,  3167, -3837, -3837, -3837,  1966, -3837,
   -3837, -3837, -3837, -3837,  3296, -3837, -3837, 30751, -3837,  3169,
   -3837, -3837, -3837, -3837, -3837, 27407, 32876, -3837,   751,  3104,
    3108,   179, -3837, -3837, -3837, 55132,  1262,   746,  3131,  2171,
    3384, -3837, -3837, -3837,  3296, -3837, -3837,   823, -3837, -3837,
   -3837,  2155,  3424, -3837, 38240, -3837, 42772, -3837, -3837, -3837,
     365, -3837,   365,  3303, 34964,   365,   365, -3837, 39064,  3505,
    3505, 55132, -3837, -3837,  7391,  3305, -3837,  3095,  3323,  3372,
   -3837,  3118, 55132,  3270,  3120,  3121,  1068,  1068,  2941, 55132,
    1967,  1553,   251, 40712,  2941, -3837,  1269,  3123,  3413, -3837,
    3517,  2850,  3125, -3837, -3837, 41948,  3299,  3051, 55132,  3021,
    3246, -3837,  3249, -3837,  1282, -3837, 55132, 26989, -3837, 73205,
   -3837,  1972, -3837, -3837,  2743, 55132,    69, -3837, -3837, -3837,
   -3837, -3837, -3837,   148, -3837, -3837, -3837, -3837,  1006, 23200,
   72804,  1973, 20626, -3837, 20626, -3837,  3513, -3837, -3837, -3837,
     564, -3837, -3837, -3837,   540,   540,  2317, -3837, 55132,  1978,
   -3837, 20626,  3132, -3837, -3837, 26153,  1267,  1985, 55132,  1992,
   72804,  2866,  2718, 10976, 55132, -3837, -3837, -3837,  3514,  3312,
    2866, -3837, -3837, -3837, -3837,  1195,   933,   148,  3388,  3095,
   -3837,  3133, -3837, -3837, 55132, -3837,   288,   288, 55132,  3095,
   -3837, -3837, 55132, -3837, 38240,  3190, -3837, 55132, 72804,  1955,
      67, -3837, 72804, 72804, -3837, -3837, 55132, 55132, 55132, 55132,
   55132,   279, -3837,  2809,   365, -3837, -3837,  2001, -3837, -3837,
   -3837, 55132, -3837,  2953, -3837, -3837,  3505,   272, -3837, -3837,
   -3837,  1646,  3337, -3837,   668,  3324,  3222,  3140, -3837, 39064,
    3570,  3255, -3837, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837,  3436,  2671,  3090, -3837, -3837, -3837, -3837, 20626,  3298,
    1553,  1698,  3217, -3837, -3837, -3837,  2003,  3051, -3837, -3837,
    3519,  3328,  3521, -3837,  2041, -3837, -3837,  5658, 74007,  3467,
   -3837,  3201, 55132, -3837, -3837, -3837,  1006,  2047, -3837,  2048,
    2049,  3297,  3205, -3837,  2060, -3837, 10976, 55132, -3837, -3837,
   -3837,  2062, -3837,  3150, -3837,  3556, 20626,  1377, -3837, -3837,
    3437, -3837, 54720,  3196, 32876, -3837,  1940,  1940,  1600, -3837,
    1561, -3837, -3837, 20626, -3837, -3837,  2076, -3837,    97,  3307,
    3446,  2080,  2087,  2662,  3194,  2662, -3837,  2171, -3837, -3837,
   -3837, -3837, 42772,  2953, -3837, -3837, -3837,  3474,  3421, -3837,
   -3837, -3837, -3837,   138, -3837,  3350,  3351, 55132, -3837,  3170,
   -3837,  2092, 55132, 55132,  3571,  3572, -3837,  7873, 39064, -3837,
    3021,  1698,  1995, -3837, -3837,  3352, -3837,  3353,  2671, 26989,
    1813, -3837,   260, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837,  2108, -3837, 55132,  3175,  2718, 22342, 22342,  3177, 52248,
     288,  3176, -3837,  3180, -3837, -3837,  3323,  1561, 10976, 39064,
    3565, -3837, -3837, -3837,  3307, -3837, -3837, 55132, -3837,  3308,
   -3837,   164,   164,  3507, -3837,  3240, -3837, -3837,  3191, -3837,
    3620,  2941, -3837,   751,  1553, -3837,  3198,  3051,  3021, -3837,
   -3837,  3051, -3837, -3837, -3837, -3837,  1920, -3837, -3837, -3837,
   23629,  3320,   658,  8964, -3837, -3837, -3837, -3837,   148,  1940,
   20626,  1561, -3837,  3324,  1955, 55132, -3837, -3837,  3088, -3837,
    3613, -3837,   904, -3837, -3837, -3837, -3837, -3837,  3024, -3837,
   37828, -3837,  3051,  2743, -3837,  1763, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837,  3603, -3837, -3837, -3837, -3837, -3837, -3837,
   -3837,  8025, -3837, -3837, -3837,  3498, -3837, -3837, -3837, -3837,
    2109, -3837, -3837, -3837, -3837, -3837, -3837,  1670, -3837, -3837,
    1721,  1884, 22771, -3837,  1561,  3354, -3837, 37828, -3837,  1763,
   -3837, 39064, -3837, -3837,  3202, 37828,  2110, -3837
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3837, -3837, -3837,  2922, -3837,  -766,   371,  2309, -1660, -3837,
   -3837, -3837,  2861, -3837, -3837, -3837, -3837, -3837, -3837, -3837,
    2871, -3837, -3837,  1506, -2065, -3837, -3837,   121, -1076,  1655,
    2509,  1204, -3837,  -933, -3837, -3837,  -537,   120,  -647, -3837,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837,  -654,  1666,  1049,
    -260, -3559, -3837, -1171, -2739, -3837,   489, -3837, -3837,  1614,
   -3837, -3837, -3837,   926,   426,  -458, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837,  -288, -3837, -3837,  -585,   129,    27, -2053,
    -332, -3837, -3837,   366,  -334, -1118, -3837, -3034, -3837,   -45,
   -3837, -3837, -3837,  -313, -1172,  1163, -3837,  -606,  -938,  1448,
    -640, -3837,  -208, -3837,  -694,  -586,  -583,  -649,  -488, -3216,
   -3594, -3167, -2688,  1171,   143, -3837, -2704,   145, -3837, -3837,
     146,   149, -3837, -3837, -1277, -1207, -3837,  -671, -3837, -3837,
   -3837, -2496, -3837, -3837, -3837, -3837,    54, -3837, -3837, -3837,
   -3837,   389, -3837, -3837, -3837, -3837, -3837, -3837, -1689,  1568,
    1570, -3837, -3837, -2650, -3837,  -761, -3837,   534, -2533,  1079,
   -3837, -3837, -3837,  2269, -3837, -3837, -3837, -3837, -3837, -3837,
   -1362, -3837, -3837,   150, -3837,  1579,   889, -3837, -3837, -3837,
    -680,  -746,  -735, -3837, -2949, -3837, -3837, -3837, -3837,  -278,
   -3837, -3837, -3837, -3837, -3837, -3837,  -818, -3837,   949, -2646,
    -811, -3837, -3837,   966, -3837, -3837, -3837, -3837, -3837,  -635,
    -219,  2300, -3837,  -529,  -614, -3837, -3837, -3837,  -218, -3837,
   -3837, -3837, -3837, -3837, -3837,  -898,   -48, -1325, -3837, -3837,
   -3837, -3837, -1888, -3837, -3837, -3837, -1727, -3837,  3686,  1830,
     741,   152, -3837,   -19,    53,  2753,  -959, -2212,   326,  -370,
   -3837, -1497, -3837, -3837, -3837, -2146, -3837, -3837, -3837, -3837,
   -2973,   153, -3837, -3837, -3837,   374, -3837, -3783, -3399, -3688,
   -3836, -2957, -3837, -3837,  -906, -3837, -3837, -3837, -1156,  1777,
   -1205, -3837, -1887,   377, -3246,  -605, -2759, -3837, -3155,  -468,
   -3837, -3837, -3837, -3837, -3837, -3837, -3837,  -900,  -530, -3837,
   -3837,  3158, -3837, -3699, -3837, -3837, -3837, -3837,  1425, -3837,
   -1190,  1027, -3837, -3837, -3837, -3837, -3837,  -630,  -707, -3837,
   -3837, -3837,   155, -3837, -3837, -3837, -3837,  1905,  -782,  -623,
    3038,   156,  -436, -3837, -3837, -3837, -3837, -2583, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -3305, -3837, -3837, -3837, -3837,
   -3837, -3837, -3837,  1935,  1939,    89,   -29, -3837, -3837, -1067,
   -3837,  -479, -3837,  2237, -3837, -3837, -3837, -3837,  1291,   158,
     417, -3837,     3, -3837, -3837,   216, -2894,     4, -3837, -3837,
   -3837, -3837,  1912,     5, -3837,   683, -3837, -3837, -2360, -3837,
     162,    11, -3837, -3837,     1,     0,   -40,   -39,    47,     2,
    3047,  2601, -3837, -3837, -3837,    29,  1442, -3837,  -712,  -160,
   -3837,  1301,  -548,  1926,  2594,  2596, -3837,  1295, -3837, -3837,
    1306, -3837, -3837, -3837,  -538,  1928, -3837,  2595, -3837, -3837,
   -3837,  1289,  1302, -2834,   756, -2900, -2855,   294,   281, -1274,
    -285,    22,  3089,  2606,   764, -3793,   719, -3837, -2898, -1936,
    -472,  1699, -1329, -3837, -3837,  -953,  7096, -3837, -3837, -3837,
    9903, 10185, -3837, -3837, 10613, 10829, -3837,  -786,   819, 11041,
    6559, -1014, -1589,  -755,  8990, -1840,   -54, -2239, -3837, -3837,
   -3837,  -237,   831,   790, -3837, -3837, -3837, -3837,  -495, -2347,
    -494, -3837, -3837, -3837,  -493, -2947, -1182, -3837,  -158, -3837,
    9488,  1355, -3837,  -829, -2290, -2316,  -949, -1484, -3837, -3837,
   -3837, -3837, -3837, -3837, -3837, -1358, -2786,  -326,  1422, -3837,
   -3837,  1515, -3837, -3837, -3837, -1097,  -719, -2222,  1428, -1704,
   -3837,  -704,   754,  2143,  -661,   141,  -294,  8994,  -455, -1903,
   -1030, -1278, -3837,  -167, -3837,    28,   -10,  -126,    -5,  3708,
    5041, -1087,  6524, -1069, -1046, -2640
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2220
static const yytype_int16 yytable[] =
{
     167,   166,   171,   161,   162,   164,   568,   876,   713,   723,
     755,   522,  1470,  1180,   644,   668,   633,  1112,   510,   774,
     167,   633,   171,  1510,  1474,   559,  1186,  1480,   903,   980,
     981,   982,  1279,   794,  1875,   986,  1944,  1189,  1340,   551,
    1530,  2239,  1302,  1555,  1794,  1328,  1365,  1567,   712,   632,
    1617,  2369,  1789,   927,   632,  2095,  2582,  2584,  1419,  2897,
    1962,   775,  1126,  2063,   697,  2797,  3120,   798,  1439,  2779,
    1791,   597,   700,   862,  1954,   639,  2108,   811,  2159,  3153,
    3356,  3155,  1590,  1591,  3036,  1942,  2638,   669,  1975,  3342,
    2018,  2297,  1794,  1792,  3531,  1806,  1407,  1461,  2452,  3250,
    1412,  1606,  2694,  2883,  3593,  1416,  1789,  3775,  1267,   607,
    3553,  3269,  1422,  3033,  3330,  2027,  3759,  3250,  1503,   913,
      65,  3068,  1441,   950,  1791,  3504,  3300,   717,  1953,    74,
     760,   762,   725,  2210,   766,  3726,   768,  3031,  3032,  2031,
    2032,  3563,  2980,    75,  1119,    76,    77,  1792,  1296,    78,
      98,  1307,   118,   123,   809,   138,   142,  1930,   159,  1333,
     687,  3890,   165,  1853,  1329,  4007,  2163,  3536,  1239,  3502,
    3432,   724, -1992,  2174,  1173,  3767,   615,   520,  3274,  3275,
    3276,  3277,  3278,  3279,  1176,  3487,  3026,  1215,  1462,  1636,
   -2026, -1351,  1438, -1905,  2038,  2733,  1963, -2047,  1462,  1462,
   -1567, -1905,  4097,  2476,  3347,  2043, -2072,     3,     4,  2374,
     564, -1354,  1007,  4238, -1776,  4379,  3897,  2374,   726,  2156,
     805, -1776,  2792,   564,   703,  1403,  3596, -1552,   615,  2530,
    2409,  4189,  2272,  1883,  4185,  3026,  1881,  2410,  1583,  1584,
   -1906,  2914,  3358, -1792,  2895,  -358,  4331, -1524, -1906,  1361,
   -1792, -2219, -1537,  1633,  2425, -1882,  3280,  2716, -1564, -2219,
    4226,  4227,  2236,  2231,  1603,  3073,   718,   564,  2166, -1557,
    1956,  4139,  1215,   564, -1351, -1928,   564,  1956, -1557,  2627,
   -1552,  3334,  3751,  4354,   615,  1512,   920,  1265,  3259,  1216,
     977,   930,   615,  2854, -1354,  2856,  2937,   962,  3722,  3283,
     720,   942,  4191,  3306,  3691, -1995,  4255,  1956,  1956,  -764,
    1355,  3643,  3262,  2126,   615,  2025,   518,  2113,  3359,  1813,
    2456,  1116, -1557,   621,   719,  1643,  1169,   966,  3982,   778,
    1462,  1143,  3620,  1144,  2131,  1791,   615,   802,  2654,  1925,
   -1567,   621,   674,   622,  1340,   813,  3260, -1351,   621,  2937,
    1646,  2888,  4320,   174,  -122,  4105,   857,   621,  1792,  -122,
    2058,   622,  1695,  3986,  1634,  3597,  3162, -1354,   622, -2046,
     564,   815,  2059,  1617,  1216,  2157,  3960,   622,  3962,   794,
    1648,  3163,  3965,  1982,  3966,  4121,  1795,  1389,   615,  1678,
    3888,   720,  2654,   175,  1171,   727,  2060,  4380,  2937,  2457,
     174,  1696,   908,  3987,  2545,  2103,  1498,  2132,  1814,   871,
    3893,  4321,   918,   878,  1956,  4177,  2127,    38,  1193,  1956,
    2889,  1590,  1591,  1926,   888,   794,   621,  2334,  2232,  1606,
    3621,  3975,  3294,  3723,  3983,   675,  3287,  4254,  1463,  2103,
     175,  2334,  4256,   978,  2070,  4355,   622,    42,  1463,  1463,
    3307,  3360,  4192,  1691,  2167,  2074,   621,  2233,  1703,  1703,
     816,  1550,  3644,  2628,  1974,  4381,  1673,  3598,  3752,  1964,
    3599,   728,  3288,  1571,  4369,  1643,   622,  2294,   860,  1514,
    3512,  1965,   863,   564,  1643,    46,  3289,  2237,  4382,  2415,
    2935,  2936,  3898, -1351,  3546,  2951,   985,    47,  1273,   886,
    1646,   817,  2531,   704,  1128,  1404,  4352,   721,   854,  1646,
    1472,  3361,  2300, -1354,  3950,  4332,  3606,  1882,  2375,  3348,
    1554, -1524,  3250,  2158, -1776,  2044,  3000,  2014,   985,  2016,
    1648,  2477,  1966,  2066,  4310,  2986,  2987,  1794,  3070,  1648,
    2411,  2039,  2023,  2086,  2087,  4009,  1217,  2093,  1016,  1243,
     818,  2937,  1918, -1792,  2717,   904,   568,  2062,  2372,  2567,
    1924,  1974,  1637,   713,    48,  1181,  2633,  1916,  3290,  3977,
    1145,   852,  1500,  3740,  1016, -2046,  1791,  2937,   958,  2939,
    1463,  1794,  1472,  3388,  1685,  3504,  1583,  1584, -1351,   627,
     628,  2227,  1404,  1612, -1524,  1603,  2026,  3194,  2460,  1792,
    4426,  2214,   167,   712,   171,  3883, -1992,  1796, -1354,  2095,
    3086,   959,  1613,   964,  2004,   968,  1987,  2007,  2008, -1905,
    4023,   972,  2586, -1351, -2026, -1351,  1614,  3804,   949,  3842,
    1996, -2047,  1838,  1999,  1481,  1933, -2046,  3766,  2235,   991,
   -2072,   975,  1839, -1354,   632, -1354,   632,  2246,   632,  3257,
    3878, -2046,  1578, -1552,   632,   973,   974,   822,  1344,  3847,
    1008,  1578,   855,  3851,   729, -2220, -1906,  1109,   987,  1350,
    1118,   904,  1120,  1589,  1486,   725,  3749, -2219,  1595,  1138,
    2071, -1882,   794,  1139, -1564,  1501,  4347,  3517,  3700,  4222,
    1548,  3295,   953,  1639,  3133, -1557,  3134,   627,   628,  1676,
    1557,  1339,  2439,  3584, -1557,   627,  1266,   560,  3608, -1928,
    1129,  1674,  2949,  1568,   724,  1554,   167,   166,   171,   161,
     162,   164,   987,  3525,  2568,  1551,  2661,   627,   628,  1452,
    4089,  3314,  2939,  1612,  1271,  1272,  3035,  4099,  2581, -1995,
     564,  1667,  1551,   564,  2293,  1994,  2296,  1201,   771,   627,
     628,  1184,  1613,  1138,  4392,   867,  2304,  1139,  2939, -1879,
    2308,   726,  2946,  2947,  2948,  2949,  1616,  1789,  2320,  2321,
     515,  1130,  -122,  -122,   915,  3116,  2884,  1206,  2391,  3026,
    3026,  2338,  2340,  1317,  2150,  1791,  1003,   517,   564,  1318,
    1348,  2940,  2354,  1148,  1221,  2634,  2543,  4202,   998,  2735,
    1115,  1991,  2886,  4405,  1123,  1360,  1883,   632,  1792,  2944,
    2945,  2946,  2947,  2948,  2949,  2324,  2325,  2940,   781,  1113,
    4260,  3232,  3233,   645,  2496,  1878,  1417,  1418,   564,   653,
    1869,  3227,   564,  2591,  3230,  3231,    65,  1136,  3234,   896,
    4175,  2169,  2166,  3539,  3237,    74,  1449,  2309,  3559,   564,
     564,  3043,  3247,  1337,  2250,  1312,  1930,   651,  1162,    75,
    2151,    76,    77,  1804,  1869,    78,    98,  3778,   118,   123,
    3247,   138,   142,  2067,   159,  3121,  1476,  1478,   165,  1207,
    1870,  2243,  2244,  1203,  1282,  1319,  3704,  2624,  1664,  1665,
    1666,  1667,  1554,  1313,   652,  1662,  1663,  1664,  1665,  1666,
    1667,  1871,  1791,  2392,  3615,  1791,   654,  2393,  2893, -1524,
    2558,  2771,  1634,  1687,  1265,   564,   720,  1283,  1872,   615,
   -1524,  1270,  1589, -1524,  1193,  1792, -1524,  2413,  1792,  4406,
     673,  1203,  4261,   904,  2679,  1871,   565,  2116,  1884,  1138,
    2680,  4290,  2310,  1139,  4057,  2394,   904,  2009,   720,  2199,
    3354,  2558,  1872,  1454,   561,  4280,  2018,  3594,   167,  4067,
     171,  4069,  2944,  2945,  2946,  2947,  2948,  2949,  2099,  2885,
    1944,  2251,  1516,  2099,  1518,  2021,  1520,  4203,  1522,  1553,
    1524,  1525,  1526,  2559,   632, -2220, -2220,  1528,  2944,  2945,
    2946,  2947,  2948,  2949,  2185,  2887,   897,  4262,  3117,   772,
     904,  1959,  3616,  -576,  1338,  2736,   868,  4417,  2311,  1415,
    4284,  4000,  2186,  1688,  4060,  1885,  3356,  2937,  1576,  4064,
    1430,  1208,  4066,  4141,  2559,   916,  2219,  1320,  3993,  3963,
    2769,  1443,  1446,  1447,  2100,   562,  2681,   563,  1593,  2100,
    2152,  1349,   713,  4117,  1314,  2894,  1873,  2544,  1791,  4003,
    2414,   898,  1960,  2153,  1209,     3,     4,   695,  1431,  3909,
    1321,  3049,  1169,  2727,  2395,  4348,  2312,  3186,  1620,  2313,
    2571,  1792,  2772,  2010,  1635,  2011,  3964,  2327,   655,   656,
    1873,  3174,  1631,  1210,  1640,  3798,  3121,  3547,  2603,  1322,
    4152,  3617,  2101,  3038,  1677,  2102,  3039,  2101,  3415,  1379,
    2102,  3420,  3421,  3422,  3423,  3424,  3425,  3426,  3427,  3428,
    3429,   904,   601,  4220,  1693,  1694,  2705,   794,  1827,   904,
     904,  1800,  1318,  1689,  1113,  4071,  1807,  1808,  3039,  1812,
    1171,    14,  1315,  2562,  2517,  4353,  1558,  1612,  4153,  2604,
    4282,  1211,  1874,  4118,  4418,  4154,  2252,  1113,  2334,  2334,
    2773,  4230,   632,  2334,  2572,  2754,  1613,   632,   632,  2314,
    3469,  3470,  2056,    19,  2253,   724,   724,  1172,   724,  3866,
    4211,  2370,  4155,  1455,  2562,  2470,  1874,  2191,  2682,  3870,
    4391,  1472,  3877,  3175,  4393,  2103,  2518,  2075,  2202,    38,
    2103,  4010,   564,  2334,  2334,  2057,  3525,   534, -2220,  2050,
    2209,  2184,  1434,  4011,  1184,  4100,   564,  1970,  3869,  1432,
    2190,  2683,   726,   726,  2194,   726,  2688,  3860,  1319,    42,
    2200,  2201,  1435,  1456,  1643,  4425,  2513,  2817,   784,   785,
     786,  4208,   787,   788,   789,   790,   791,   792,  2213,  1505,
    2684,  2234,  1506,  4156,  2076,  2240,  1488,  2242,  3792,  1646,
    2245,   632,  3548,  3131,  3026,   536,  2315,    46,  3026,   632,
    2586,   534,  -485,  1863,  2033,  2034,  2035,  2036,  2970,  4314,
    4315,  4106,  1911,  1864,  2977,  3247,  1707,  3250,  -921,  1648,
    4317,  3549,  2104,  2851,  1489,  2605,  1791,  2104,  1865,  4143,
    3706,  2022,  1791,  2183,   974,  2852,  2590,  1433,  2130,  2857,
    3550,  2105,  2189,    48,  3708,  2072,  2073,   815,  3139,  1792,
    1163,  2082,  1457,   632,  2050,  1792,   632,   632,  1679,   536,
      30,   794,  2738,   706,  1841,  3176,  2024,  2802,  2803,  2804,
    2805,   670,   627,  1266,  4180,  2662,  2606,  2646,  4160,  2810,
    1887,  3670,  4181,  2665,  4164,  2667,    38,  3673,  3674,  2660,
    1888,  3494,  2077,  2089,   715,  2110,  4012,  3109,  3177,   963,
     965,   967,  1458,  4371,   969,   970,   971,  1436,  3545,  2050,
    2672,   774,  2847,  2549,   976,  1944,    42,   716,  3384,   632,
    1680,  3046,  2145,  2146,  2147,  2148,  1950,  3178,   601,  3748,
    2078,  3720,   543,  1967,   544,  3110,   816,  1203,   564,  2711,
    1203,  4223,   615,  1164,  2501,  1651,  1652,    14,  4157,  2647,
      38,  4229,  4410,  4403,    46,   174,  2140,   549,   602,  3495,
    2517,  1866,  2000,  4275,  3132,  2003,    47,  3403,  2944,  2945,
    2946,  2947,  2948,  2949,   730,  1490,  2204,   817,  1877,    19,
      42,  1256,  1459,  3719,  3806,  2208,  3807,  3496,  2505,   794,
    2248,  1655,  2215,  3721,  2018,   175,   543,  2037,   544,  2648,
     603,   984,  3497,  4434,  2265,  1878,  3495,  3781,    33,  3782,
    2912,  2053,  3089,  2382,  3498,  2383,  1816,  1816,    46,  2689,
    3195,  1420,  2009,  2592,  2065,  4440,   818,  3140,  1472,  1889,
      47,   621,  2685,  1327,  3496,  4182,  3701,  3499,  2384,  2807,
    1992,   869,  3378,   870,  2808,   167,  1256,   171,  2690,  3853,
    2649,   622,  3141,  1817,  1817,  1299,  4061,  4076,  4077,  2964,
    2506,  3498,  1890,  1491,    48,  2686,  2221,  1643,  2222,  4190,
    2223,  3356,  2224,  1125,  2225,  1643,   765,  2447,  2226,   985,
    2644,  2079,  1472,  1791,  1791,  1791,  3111,  2269,  1300,  4351,
    2989,  3894,  1646,  2759,  2687,  2333,   167,  2264,   171,  2261,
    2262,  2263,  1993,  1968,  1818,  2828,  1792,  1792,  1792,  2356,
    2876,  4232,  3500,  2255,  3808,  3413,  3968,  4165,   767,  1956,
    3092,  4033,  1648,  2161,  2318,  1633,  3416,  1961,  3417,  2171,
    1648,  1016,  3387,  2385,  2937,   953,    30,  1879,  2386,  3433,
    2377,  2650,  2760,  2387,  3969,  4166,  1819,  1819,  2010,  3026,
    2011,  3460,   779,  3895,  3026,  2306,  2307,  3026,  2268,  3500,
    3826,  3827,    38,  2319,  2745,  1285,  2291,  2322,  2323,  2080,
    3388,  1222,  1121,  2754,  3112,  1662,  1663,  1664,  1665,  1666,
    1667,  2843,  2344,  1301,  2345,  2218,  4062,  3559,  1276,  3108,
    2380,  3335,    42,  1683,  3339,  2588,  1198,  1820,  1820,  4116,
    4306,  1404,  1575,  1223,    48,  2367,  3566,  2368,  4085,  2113,
    4087,  1286,  3901,  3902,  1798,  2865,  3992,  1799,  3698,  3985,
    2761,  2762,  2440,  1113,  1113,  2646,  4307,  1791,   664,  1199,
      46,  4387,  1612,    33,  2763,   694,  4294,  1472,  2558,  4002,
    1515,  2785,    47,  1517,  2651,  1519,  3418,  1521,  2691,  1523,
    1792,  1613,  2652,  1527,   889,  2653,  3419,   780,  1200,  1224,
     807,  2388,   815,  1495,  2493,  1614,  3100,  2537,  3645,  2497,
    2909,  2389,  2500,  4218,   774,  2217,    48,  2692,  3661,  3567,
    2764,   527,  2910,  1496,   890,   794,   856,  2911,  3646,  1287,
    1225,  3566,  1601,  1602,  2523,  1612,  2334,  2647,  3662,  2334,
    2334,  2334,  2334,  2334,  2334,  2334,  2334,  2334,  2334,   814,
    1703,  2559,  1278,   891,  1613,  2939,  -144,  2991,  3559,  2992,
    3270,   859,  1976,  3948,  3949,  2808,  1226,  2891,  1616,  2334,
    3581,  1201,  4257,  2128,  3568,  2573,  3569,  1288,  3135,  1289,
    2560,  -144,  2993,  1589,  3122,  1854,   889,  2648,   861,  2017,
    2462,   816,  2160,  3564,  2423,  3041,  1227,   892,  2334,  2334,
     534,  1169,  2587,  2437,  3567,  1170,  3026,  2765,   864,  2766,
    1977,  1978,  3143,  2561,  2940,  1016,   890,  1291,  2937,  -915,
     877,   167,  2479,   632,  2835,  2507,  2620,  2510,  2539,  2540,
    2541,   630,   817,  2786,   884,  3461,   630,  2551,  2649,  2553,
    -484,  2555,  2556,  1222,  1974,  3316,  3006,   893,  3318,  3825,
      38,  2645,  2179,  2180,  1201,  2656,  1293,  3327,   536,  3568,
      33,  3569,  1931,  2294,  1230,   872,  3446,   873,  1148,  1171,
    1231,  1190,   894,  2668, -1397,  1223,  1195,  1232, -1397,   895,
      42,   818,  2994,  2677,  1791,  1932,   914,  2995,   534,   892,
     206,  1295,  3125,  3589,  1234,   519,  2701,  1120,  1589,  2798,
    1854,  2562,  1235,   599,  1191,  2708,  1172,  1792,  2850,  1196,
    2467,  2468,  1138,  3585,  1308,  2566,  1139,  3395,    46,  2448,
     671,  2451,   910,  2874,  2859,  2860,  3434,  3435,  2862,  2650,
      47,  1224,   922,  1192,  2866,  1138,  1326, -1882,  1197,  1139,
      33,  3494, -1397,   923,  2663,  4038,   536,  1309,   937,  3595,
    3600,  1310,   928,  1236,   718,  3609,  2294,  1113,  3167,   615,
    1801,  1847,  1225,  1802,    48,  1327, -1398,   943,  2787,  3171,
   -1398,  4054,  4055,  3261,  3263,  3264,  1311,  3399,  3099, -1397,
      27,  2941,  2942,  2943,  3296,  2944,  2945,  2946,  2947,  2948,
    2949,  2836,   994,  2899,  1848,   543,   947,   544,  1226,  2939,
    2721,  2963,  3172,  2965,  2966,  2996,   546,  2788,  2730,  3495,
    3247,   979,   719,  2731,   632,  2997,  2216,   548,   989,  2217,
    1420,  -381,   632,  1849,   632,  2015, -1421, -1421,  1227,  3467,
    3559,  3173,  2651,  2228, -1398,  3280,  2229,  3496,  1201,  4122,
    2652,  3281,  1589,  2653,  1193,  2729,  3101,  4034,  4035,  4036,
    4037,  3282,  3497,  2729,  2624,  1589,  3607,  1854,  2940,  3010,
      38,  3011,  1976,   983,  3498,  3012,  4161,  3013,  1791,  3398,
    2230, -1398,  1791,  2229,  1791,  2822,  2823,  4368,  3283,   720,
    3284,  2334,  4438,   543,  4439,   544,   992,  3499,  2900,  2611,
      42,  1792,    33,   995,  2903,  1792,  1230,  1792,  2819,  1000,
    2258,  2453,  1231,  2259,  1472,  2632,  3824,  1001,  1420,  1232,
    1977,  1978,  4186,  2753,  2801,  1002,  2489,  1932,  3440,  2259,
    1003,  1944, -2131,  2028,  -381,  1004,  1234,  2853,    46,  2855,
    3561,  3562,  3678,  1159,  1235, -1351,  4394,    27,  2799,  3757,
      47,  1166,  2829,  1168,  1974,   167,  2818,  3179,   904,  3181,
    1791,  2055,  2579,  3285,  2640,  2580,  2740,  2641,  2754,  2741,
    1976,  2755,  3500,  2868,  2756,  1005,  2229,  2908,  3312,  2918,
    2217,  1006,  2217,  1792,    48, -1141,  1009, -1141,  2922,  4196,
    1016,  2217,   904,  2937,  2926,  1236,  1012,  2217,  1976,  2838,
    3355,  3078,  3079,  2927,  3081,   721,  2217,  2953,  2969,  2974,
    2217,  2217,  2975,  3214,  3852, -2131,  3855,  2569,  1977,  1978,
    3286, -2133,  1010,  3400,  3297,  3287,  3299,    38,   794,  3156,
    3160,  1127,  3157,  3161,  2907,  2941,  2942,  2943,  3228,  2944,
    2945,  2946,  2947,  2948,  2949,  1124,  1977,  1978,  3027,  1340,
    1131,  3095,  1974,  1016,  1976,  1132,  2937,    42,  2794,   632,
    3345,  3288, -2131,  3346,  3040,  1149,  2333,  2333,  2334,  2334,
    1137,  2333,  4081,  3831, -2131,  3289,  1016,  1133, -2131,  2937,
    1974,  3693,  3694, -2131,  3404,  2635,  1156,  2217, -2131,  3351,
    3050, -2131,  1157, -2131,  1159,    46,  3832,  3027,  3441,  3508,
    3193,  3442,  1977,  1978, -2133,  3451,  1160,    47,  3452,  3513,
    3515,  2333,  2333,  3463,  3537,  1642,  2217,  3538,  1643,  1167,
   -2131,  3541,  1976,  3565,  3542,  3750,  2229,  1182,  2229,   713,
    3146,  3830,  3148,  1183,  2259,  3885,  1974,  1976,  3886,  2592,
    1187,  4395, -2131,  1646,  3891,  3052,  3053,  2229,  3189,  1647,
    1193, -2133,  3892,  2938,  3074,  2229,  3196,  3290,  3953,  4004,
    1214,  3954,  4005, -2133,  1219,  4043,  3366, -2133,  4044,  1631,
    1977,  1978, -2133,  1648,  2939,  4045,  1241, -2133,  2217, -2131,
   -2133,  4053, -2133,  2380,  2259,  1977,  1978, -2131,  4103,  4162,
    1245,  4104,  2229,  1976,  4187,  4198,  3097,  4188,  2259,  1275,
    4205,  1794,  3009,  1472,  1974,  2360,  3224,  4210,  2363, -2133,
    3325, -2146,  1561,  1562,  4212,  3020,  1246,  3325,  1273,  1974,
    1276,   904,  1247,  4251,  3213,  4283,  4252,   713,  1682,  1281,
    3220, -2133,  2294,  2940, -2131,  3408,  1284,  2939,  3015,  3016,
    3017,  1977,  1978,  1976,   167,  2264,   171,  2261,  2262,  2263,
    1304,  3666,  1316,  1016,  1325,  3414,  2937,  3042,  1330,   632,
    2939,  4136,  1248,  4288,  3020,  1335,  4289,   712, -2133,  4295,
    4296,  4297,  2259,  2975,  2217,  1974, -2133,  1336,  1650,   645,
    3436,  3305,  4300,  3308,  4302,  1472,  3104,  3325,  3105,  3106,
    3107,  1977,  1978,  1341, -2146,  3164,  2940,  1343,  4319,  1651,
    1652,  2259,  4325, -2131,  1345,  2259,  3182,  3829,  1347,  4326,
    1351,  1249,  2259,  1791,  4339,   904,  1554,  4340,  1250,  2940,
    1352,  1251,  1357, -2133,  1359,  1974, -2131,  3776, -2131, -2131,
    4357,  4436,  4447,  1472,  4437,  4437,  1792,  1362,  3586,  1364,
    1367, -2146,  1201,  3610,  1408,  1655,  1411,  1404,  1413,  3014,
    1424,  1423,  -164, -2146,  1426,  1428,  1440, -2146,  1656,  4019,
    1442, -2131, -2146,  1448, -2131, -2131, -2131, -2146,   645,  3383,
   -2146,  3050, -2146,  1450,  1252,  1976,   192,  3365,  3225,  1460,
    1976,  3368,  3369,  1465,  3371,  1466,  3373,  3374,  1467,  3050,
    1468,  3394, -2133,  1469,  1471,  3379,  1472,  1479,  3159, -2146,
    2941,  2942,  2943,  3813,  2944,  2945,  2946,  2947,  2948,  2949,
    1482,  1483,  1484,  2334,  1485, -2133,  1487, -2133, -2133,  1492,
    1493, -2146,  2334,  1977,  1978,  1494,  1499,  3396,  1977,  1978,
    3187,  1253,  1504,  1254,  1556,  1529,  1559,  2939,  1563,  2334,
    2334,  1565,  1566,  1255,  1572,  1573,  1582, -1528, -1535,  1585,
   -2133,  1256,  1586, -2133, -2133, -2133,  1587,  1974, -2146,  1588,
    1257,  1592,  1974,  2941,  2942,  2943, -2146,  2944,  2945,  2946,
    2947,  2948,  2949,    48,  1594,  1597, -1525,  3216, -1526, -1529,
   -1527,  1598,  1599,  1600,  1605,  1607,  2941,  2942,  2943,  1608,
    2944,  2945,  2946,  2947,  2948,  2949,  2940,  1259,   774,  2729,
    1609,  1610,  2729,  2729,  3789,  1611,  2729,  1618,  1619,  1621,
    1622,  1623,  2729, -2146,  1624,  1625,  1671,  1626,  1627,  3249,
    1628,  1686,  1260,  1682,  1698,  1706,  1805,  1170,  2050,  1662,
    1663,  1664,  1665,  1666,  1667,  3957,  1834,  3249,  1836,  1172,
    1844,  1850,  3386,  1851,  1852,  1854,  1857,  1855,  1856,  1858,
    1859,   904,  1886,   904,  1880,  3679,  1913,   632,   645,  1892,
    1917,  1920,  3397,  1921,  3256,  3258,  1919,  1923,  1956,  3265,
    1922, -1363,  1948,  1958,  1949,   632,  1968,  1969,  1971,  1972,
    1261,  1973, -2146, -1363,  1974,  1980,  1981, -1363,  1983,  3323,
    1984,  3990,  1997,  1988,  1995,  2001,  3680,  1989,  2002,  2005,
    3375,  2012,  1256,  3376,  2040, -2146,  3309, -2146, -2146,  2013,
    2041,  2835,  2019,  2020,  2045,  3350,   904,   167,  3341,  2068,
    3681,  2029,  2030,  3757,  2042,  2051,  2054,  2069,  3738, -1363,
    1222,  1189,  2081,  2084,  2046,  3682,   167,  3364,  2083,  3683,
   -2146,  3027,  3027, -2146, -2146, -2146,  2096,  2334,  3401,  1578,
    4041, -1363,  2094,  2097,  1589,  2114,  1595,  3678,  3684,  2117,
    2118,  3685,  1223,  2941,  2942,  2943,  2121,  2944,  2945,  2946,
    2947,  2948,  2949,  3686,  2333,  1791,  2125,  2333,  2333,  2333,
    2333,  2333,  2333,  2333,  2333,  2333,  2333,   529, -1363,  2129,
    2149,  2122,  2164,  1301,  2144,  2165, -1363,  2175,  1792,  2177,
    2178,  2172,  2182,  2193,  2195,  2197,  2211,  3444,  3301,  3302,
    3027,  2212,  2196,  2198,  2241,  2247,  2256,  2266,  1224,  2299,
    2342,  2300,   632,  2271,  3311,  2305,  2355,  1643,  2361,  2343,
    2366,  2373,  2379,  2365,  2398,  2396,  2333,  2333,  3319,  2425,
    2441,  2438,  2442,  2445,  2446,   719,  2463,  3328,  2464,  1225,
    2454,  3687,  2474,  2455,  2465,  2488,  2466,  2503,   713,  3688,
    2492,  3344,  2490,  2508,  3458,  2491,  2511,  2513,  2522,   713,
    2515,  2516,  2527,  4019,  2532,  2533,  2535,  2538,  2836,  2554,
    2557,  2570,  3582,  2542,  1554,  1226,  2546,  2575,  1121,  1125,
    3872,  2577,  2626,  3689,  3050,  2639,  2631,  3959,  1631,  2643,
    2655,  2642,  3736,  3737,  2696,  2693,  2707,  2714,  3484,  3486,
    2715,  2718, -1363,  4126,  2719,  1227,  4133,  2720,  3523,  2722,
    2723,  2726,  4072,  2732,  2743,  1791,  2724,  1113,  2725,  3477,
    3478,  3479,  3480,  2734,  2739,  2751,  2746,  2748,  2747,  2749,
    2750,  2752,  2757,  2777,  2791,  2793,  2806,  2800,  1792,  2816,
    2814,  3577,  3578,  3579,  3580,  2827,  2809,  2815,  2825,  2830,
    2842,  2846,  2848,  2844,  2845,  2849,  3647,  2858,  2861,  3650,
    1138,  2863,  2864,  1159,  1139,  2870,  3786,  3787,  3788,    33,
    2871,  4197,  1642,  2837,  2872,  1643,  2873,  1500,  2882,  1231,
    2272,  3900,  2896,  2890,  2875,   985,  1232,  3780,  2898,  2904,
    2901,  2906,  2924,  2902,  1932,  3783,  3784,  2905,  2971,  3978,
    1646,  2920,  2990,  1234,  3035,  3005,  1647,  2959,  3037,  3914,
    2921,  1235,  -961,  2923,  2925,  2928,  2929,  3029,  2931,  2985,
    2934,  3060,  3062,  3077,  3066,  3927,  3057,  3080,  2952,  2958,
    1648,  3072,  3249,  2217,  2960,  2961,  3481,  3482,  3483,  4236,
    2968,  2983,  2984,  4241,  4242,  2998,  3083,  3008,  3082,  3091,
    3094,  3087,  4084,  3034,  3096,  3631,  3103,  3088,  3632,  3630,
    3633,  3118,  1236,  3119,  3129,  4123,  2838,  3741,  3130,  3145,
     632,  3944,  3136,  4253,  3137,  3184,  3147,  3185,  3188,  3190,
    3191,  3192,  3199,  4237,  3197,  3200,  3198,  3201,  3202,  3204,
    4240,  3203,   632,  3205,  3206,  4200,  3207,  3208,  4243,  2729,
    4245,  3210,  3219,  3215,  3209,  2729,  2729,  3211,  2089,  2333,
    3212,  3217,  3221,  3717,  2038,  3229,  3235,  3223,  3236,  1642,
    3239,  3251,  1643,  3254,  3255,  3266,  3271,  2103,  3267,  3272,
    1246,  1649,  3310,  3304,  3303,  1650,  1247,  3313,  3317,  3315,
    3336,  3340,  3324,  3703,  3705,  3707,  3709,  1646,  3333,  3325,
    3337,   973,   974,  1647,  3363,  3370,  1651,  1652,  3343,  3372,
    3380,  3331,  3692,  3390,  3381,  3382,  3391,  3392,  3393,  3402,
    3385,  1575,  3407,  1653,  2955,  2937,  1248,  1648,  2954,  3437,
    3438,  3702,  3439,  4424,  3445,  1636,  3465,  3466,  3510,  3474,
    3453,  3899,  3533,  3507,  3552,  3516,  3493,  3526,  3530,  4126,
    3527,  1791,  1655,  3529,  3573,  3575,  3027,  3587,  3576,  3588,
    3027,  3590,  3592,  3768,  3611,  1656,  3612,  1554,  3613,  3614,
     167,  3765,  3915,  3916,  1792,  1249,  3601,  4176,  3936,  3937,
    4424,  3939,  1250,  3642,  3624,  1251,  3625,  4092,  4424,  2988,
    3626,  3627,  3658,  3660,  3596,  3671,  3628,  4217,  1791,  3629,
    3669,  3663,   794,  3672,  3695,  3696,  1791,  3734,  3724,  3697,
    3355,  1642,  3716,  3727,  1643,  3732,  3739,  4305,  2229,  3744,
    3743,  1792,  3800,  3747,  3760,  3746,  4110,  3762, -2220,  1792,
    3763,  1644,  1650,  3785,  3945,  3946,  2333,  2333,  1252,  1646,
    3773,  3699,  1658,   632,  3777,  1647,  3790,  3774,  3793,  3794,
    3805,  3795,  3809,  1651,  1652,  3779,  3796,  3797,  3814,  3815,
    3725,  3848,  3802,  3810,  3816,  3817,  3849,  3856,  3818,  1648,
   -2220,  3844,  3822,  3861,  3846,  3859,  3862,  3864,  3865,  3873,
    3876,  3880,  1674,  3882,  3888,  3887,  3896,  3742,  3907,  3928,
    3910,  3911,  3935,  3917,  3931,  1253,  3940,  1254,  4413,  1655,
    3947,  3970,  3967,  3971,  3979,  3984,  3991,  1255,  3989,  3995,
    4006,  3997,  1656,  4008,  4016,  1256,  3922,  4014,  4025,  4031,
    4017,  4039,  4047,  3020,  1257,  4040,  4042,  3020,  3932,  4050,
    4049,  4051,  1659,  1660,  1661,  4052,  1662,  1663,  1664,  1665,
    1666,  1667,  4058,  4074,  4065,  4078,  4068,  3871,  4080,  4027,
    4086,  4028,  4029,  4082,  4102,  4101,  4107,  1258,  4119,  4098,
    4120,  1259,  4032,  3881,  4124,  4112,  4137,   167,  3874,  4113,
    1649,  3879,  4144,  4131,  1650,  3723,  4146,  4169,  4170,  4147,
    4149,  4150,  4174,  4151,  4168,  4178,  1260,  4172,  4179, -2220,
    3981,  4201,  4216,  4207,  4224,  1651,  1652,   720,  1554,  4233,
    4258,  4267,  4268,  4263,   632,  4270,  4272,  4273,  4278,  4285,
    4286,  4287,  1653,  4292,  4293,  4303,  4298,  4304,  4309,  4299,
    4311,  4327,  4238,  3912,  4322,  4329,  3938,  4330,  3214,  4333,
    4335,  4338,  4343,  4344,  4349,  4350,  3518,  4370,  1654,  4367,
    3941,  1655,  4372,  4375,  1261,  4331,  4378,  4332,  3838,  3839,
    3840,  3841,  4316,  4385,  1656,  4386,   632,  1657,  4404,  4390,
    4416,  4432,  4435,  4445,  4441,  2795,  1554,  2052,  1161,  1705,
    1554,  1554,  3142,  3925,  3926,  3044,  1244,  2630,  3929,  3930,
    3605,  3942,  3943,  1662,  1663,  1664,  1665,  1666,  1667,  1280,
    2706,  2729,  2729,  3238,  3675,  4249,  4125,  4328,   904,  4171,
    3735,  4173,  3961,  3976,  4159,  3085,  4373,  2869,  4090,  4412,
    4336,  3027,  4334,  4384,  4281,  3731,  3027,  3090,  2775,  3027,
    2776,  3604,  3154,  2758,  4313,  3973,  2141,  3320,  4415,  4446,
    3040,  1658,  4442,  4001,  4148,  3268,   632,  3252,  4388,  4111,
    4376,  4324,   647,  4114,  3791,  4219,  1246,  2124,  3769,  3027,
    4291,  2583,  1247,  3770,   906,  3218,  4397,  4276,   632,   794,
     641,   642,  4443,  1134,  2449,   648,  2275,  3999,  1549,  2450,
     659,   665,   641,  2220,   672,  3047,  3753,   665,   665,  2471,
     699,  2333,   702,  3543,  3875,  1155,  3048,  1803,  4109,  3050,
    4046,  3058,  1248,  4018,  4204,  2473,  2472,  3056,   794,  1831,
    1830,  3071,  1835,  4195,  4204,  3488,  3059,  2333,  2333,  3843,
    3854,  4209,  3485,  2276,  3800,  3800,  3800,  3800,  1840,  1142,
    3544,  1659,  1660,  1661,  2744,  1662,  1663,  1664,  1665,  1666,
    1667,   774,  3457,  2443,  1642,  4199,  3447,  1643,  4358,  2444,
    4359,  1249,  2277,  3051,  4366,  3003,  2915,  2424,  1250,  3001,
    3540,  1251,     0,     0,  1644,     0,  4247,  4221,     0,     0,
       0,     0,  1646,  2278,     0,     0,     0,     0,  1647,     0,
    4093,  4095,  4095,     0,  2279,     0,     0,     0,  3020,     0,
    3027,     0,     0,  3020,     0,     0,  3020,     0,     0,     0,
       0,  4248,  1648,  2280,     0,     0,     0,     0,  2281,     0,
       0,     0,     0,     0,  1252,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4083,   756,   761,   761,   764,     0,
     761,     0,   770,     0,   756,   776,   699,     0,  3027,   796,
       0,   776,     0,     0,   699,     0,   699,  3249,     0,     0,
     761,   776,   699,  4301,  2282,     0,     0,     0,  4024,     0,
    1642,     0,     0,  1643,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,  1254,     0,  2283,     0,  2729,     0,     0,
    1644,     0,     0,  1255,     0,   632,   904,     0,  1646,     0,
    4129,  1256,  4130,     0,  1647,  4134,  4135,     0,     0,     0,
    1257,     0,     0,  1649,     0,     0,     0,  1650,  4183,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1648,     0,
       0,     0,  4269,     0,     0,  2333,     0,     0,  1651,  1652,
       0,   167,  4163,  1305,   192,     0,     0,  1259,     0,     0,
       0,     0,     0,     0,     0,  1653,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2284,  1306,     0,     0,     0,     0,  2285,     0,     0,
       0,  1654,     0,  2286,  1655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4225,  1656,     0,     0,
    1657,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2287,     0,  2288,  3020,   794,     0,     0,  4244,
       0,  4246,     0,     0,     0,     0,     0,     0,     0,  1649,
    1261,  2289,     0,  1650,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1651,  1652,  2290,     0,  4409,     0,
       0,  4346,  4140,     0,  4250,     0,     0,     0,     0,     0,
       0,  1653,  3027,     0,  1658,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1642,
       0,     0,  1643,     0,     0,     0,     0,  1654,     0,  1113,
    1655,     0,  4374,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1656,     0,     0,  1657,  1646,     0,     0,
     167,  4279,     0,  1647,  4095,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1648,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1659,  1660,  1661,     0,  1662,  1663,
    1664,  1665,  1666,  1667,   824,  4342,     0,     0,  2364,   699,
       0,   756,     0,     0,   761,     0,   764,     0,   761,  4228,
    1658,     0,   904,   776,     0,   796,     0,   776,   881,     0,
       0,     0,     0,     0,     0,   761,     0,     0,   776,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   905,  4444,     0,     0,   756,     0,  4377,
       0,     0,   764,     0,     0,     0,     0,   756,     0,     0,
       0,   796,     0,     0,     0,     0,     0,     0,  1649,     0,
       0,     0,  1650,     0,     0,     0,   761,     0,     0,     0,
       0,   957,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1651,  1652,     0,     0,  4414,     0,     0,
    1659,  1660,  1661,     0,  1662,  1663,  1664,  1665,  1666,  1667,
    1653,     0,     0,     0,   167,  4389,     0,  2930,     0,     0,
       0,     0,     0,     0,   699,  4431,   167,  4402,   171,  4399,
    4400,  4401,  1222,     0,     0,   699,   999,     0,     0,  1655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4423,     0,  1656,     0,  1108,     0,   699,   665,     0,   905,
       0,   665,     0,     0,  1223,  4430,  4402,   171,  4399,  4400,
    4401,     0,     0,     0,   699,     0,     0,     0,   699,     0,
       0,     0,     0,     0,  1108,     0,     0,     0,  4422,     0,
       0,     0,     0,     0,     0,   699,     0,  4423,     0,     0,
       0,     0,     0,     0,     0,  4423,     0,   699,     0,   167,
    4402,   171,  4399,  4400,  4401,     0,     0,     0,     0,     0,
    1224,     0,     0,     0,     0,  1642,     0,     0,  1643,  1658,
       0,     0,     0,     0,     0,  4422,     0,     0,     0,     0,
       0,     0,     0,  4422,     0,  1644,     0,     0,     0,     0,
     699,  1225,     0,  1646,     0,     0,     0,     0,   699,  1647,
     761,   761,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1641,     0,     0,  1648,     0,  1642,     0,  1226,  1643,     0,
       0,  1246,     0,     0,     0,     0,     0,  1247,     0,     0,
       0,     0,     0,   756,     0,  1644,     0,     0,  1645,     0,
       0,     0,     0,  1646,   756,     0,     0,  1227,   796,  1647,
   -2220, -2220,     0,  1662,  1663,  1664,  1665,  1666,  1667,     0,
       0,   761,     0,     0,     0,     0,     0,  1248,     0,     0,
       0,     0,     0,  1648,  1228,     0,   699,     0,     0,     0,
       0,     0,   761,   761,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   699,   699,
     699,     0,   761,     0,   756,     0,     0,  1229,     0,     0,
       0,    33,     0,     0,  1649,  1230,  1249,     0,  1650,     0,
       0,  1231,     0,  1250,     0,     0,  1251,     0,  1232,     0,
     761,     0,   761,   761,     0,     0,  1233,     0,     0,  1651,
    1652,     0,     0,     0,     0,  1234,     0,     0,     0,     0,
       0,   905,     0,  1235,     0,  1108,  1653,     0,     0,     0,
       0,     0,     0,     0,   905,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1649,     0,     0,     0,  1650,  1252,
       0,     0,  1654,  -119,     0,  1655,  1532,  1532,     0,     0,
       0,   699,     0,   641,     0,     0,     0,     1,  1656,  1651,
    1652,  1657,     0,   699,  1236,     0,     0,     2,     0,     3,
       4,  1564,     0,     0,   699,     0,  1653,  1570,   905,     0,
       0,     0,     0,     0,     5,     0,     0,     0,     0,     0,
    1108,     0,     0,     0,     0,     0,  1253,     0,  1254,     0,
       0,     0,  1654,     0,     6,  1655,     7,     8,  1255,     0,
       0,     0,     9,     0,    10,     0,  1256,     0,  1656,  1108,
       0,  1657,     0,     0,    11,  1257,    12,     0,     0,     0,
       0,     0,     0,     0,     0,  1658,     0,     0,     0,     0,
       0,     0,    13,     0,     0,    14,     0,  1108,  1108,     0,
    1108,     0,     0,     0,     0,     0,     0,    15,  1331,    16,
       0,     0,  1259,    17,     0,     0,     0,  1108,     0,    18,
       0,     0,     0,     0,     0,     0,     0,    19,     0,    20,
       0,     0,     0,     0,     0,    21,     0,  1332,     0,   905,
       0,     0,     0,     0,     0,  1658,     0,   905,   905,    22,
       0,     0,     0,   699,     0,     0,  1108,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1659,  1660,  1661,     0,  1662,
    1663,  1664,  1665,  1666,  1667,  1108,     0,     0,     0,  1108,
    1108,     0,  2978,     0,     0,  1261,     0,     0,     0,     0,
     699,   699,  1843,     0,    23,    24,     0,     0,     0,     0,
      25,     0,     0,     0,     0,     0,     0,     0,   665,    26,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      27,     0,     0,     0,     0,  1659,  1660,  1661,     0,  1662,
    1663,  1664,  1665,  1666,  1667,     0,     0,     0,     0,     0,
       0,   665,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   699,  1955,     0,     0,    28,     0,     0,
     699,     0,     0,   761,     0,     0,     0,     0,     0,    29,
       0,     0,     0,     0,    30,    31,     0,    32,     0,     0,
       0,     0,    33,   796,     0,     0,     0,    34,     0,   699,
      35,     0,   699,     0,    36,     0,     0,     0,     0,    37,
      38,     0,     0,     0,     0,     0,     0,    39,     0,     0,
      40,     0,   699,     0,     0,     0,     0,     0,    41,     0,
     761,   761,   761,   761,   699,  1642,     0,     0,  1643,     0,
      42,     0,     0,   776,     0,   665,     0,     0,   699,     0,
       0,     0,     0,     0,     0,  1644,     0,    43,     0,  2064,
       0,   699,     0,  1646,     0,     0,     0,    44,     0,  1647,
       0,   761,   761,    45,     0,     0,     0,   761,    46,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,  1648,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1642,     0,     0,  1643,     0,     0,     0,
       0,   761,     0,     0,    48,     0,     0,  -119,     0,     0,
       0,     0,     0,  1644,     0,     0,     0,     0,     0,     0,
       0,  1646,   776,     0,     0,     0,     0,  1647,   761,   761,
     761,   761,     0,     0,     0,     0,     0,     0,   776,     0,
     699,     0,     0,     0,     0,     0,   699,     0,     0,  2064,
       0,  1648,     0,     0,     0,     0,     0,     0,   756,     0,
       0,     0,     0,     0,     0,   764,     0,   756,     0,     0,
       0,     0,     0,     0,  1649,     0,     0,   796,  1650,     0,
       0,     0,   761,     0,     0,     0,     0,     0,     0,     0,
       0,   761,     0,   776,     0,     0,     0,   761,   761,  1651,
    1652,     0,   699,     0,   957,     0,     0,     0,     0,     0,
    1642,     0,     0,  1643,     0,     0,  1653,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1532,     0,     0,
    1644,     0,     0,     0,   761,     0,   756,     0,  1646,     0,
     699,   699,  1654,   761,  1647,  1655,     0,     0,     0,   699,
       0,     0,  1649,     0,     0,     0,  1650,     0,  1656,     0,
       0,  1657,     0,   641,   641,     0,     0,  2274,  1648,     0,
       0,  1108,     0,  1108,     0,     0,     0,  1651,  1652,     0,
    1108,     0,     0,  1108,     0,     0,     0,  1108,     0,     0,
       0,     0,     0,     0,  1653,  1108,  1108,     0,     0,     0,
       0,     0,     0,  1108,     0,   796,  1108,  1108,  1108,  1108,
       0,     0,     0,     0,     0,     0,  1108,  1108,     0,  1108,
    1654,  1108,  1108,  1655,     0,  1108,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1658,  1656,     0,     0,  1657,
       0,     0,  1108,     0,     0,     0,   761,  1108,     0,     0,
       0,  1108,     0,     0,     0,  1108,     0,  1108,  1108,  1108,
    1108,  1108,  1108,  1108,  1108,  1108,     0,  1108,     0,  1649,
       0,   699,  1108,  1650,  1108,     0,     0,     0,     0,     0,
     699,     0,     0,     0,     0,     0,     0,     0,  1642,     0,
       0,  1643,     0,     0,  1651,  1652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1644,     0,
       0,  1653,     0,  1658,     0,     0,  1646,     0,  1894,     0,
       0,     0,  1647,     0,     0,  1659,  1660,  1661,     0,  1662,
    1663,  1664,  1665,  1666,  1667,     0,     0,  1654,     0,  3253,
    1655,     0,     0,     0,     0,     0,  1648,     0,     0,     0,
       0,  1895,     0,  1656,     0,     0,  1657,     0,     0,     0,
       0,     0,     0,     0,  1896,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1897,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   699,     0,   699,     0,
    1108,     0,     0,  1659,  1660,  1661,     0,  1662,  1663,  1664,
    1665,  1666,  1667,     0,     0,  1898,     0,  3409,  1642,     0,
       0,  1643,     0,     0,     0,     0,  1899,     0,     0,     0,
    1658,     0,     0,     0,   699,     0,     0,     0,  1644,     0,
    2480,     0,  2487,     0,     0,  1900,  1646,  1649,   776,     0,
    1901,  1650,  1647,   776,     0,     0,   776,   764,     0,     0,
       0,     0,   641,     0,   641,     0,     0,     0,     0,     0,
       0,     0,  1651,  1652,     0,     0,  1648,     0,   776,     0,
       0,  1108,     0,     0,     0,     0,     0,     0,     0,  1653,
       0,     0,   756,     0,   761,   761,   761,     0,     0,   756,
       0,   796,     0,   761,     0,   761,     0,   761,   761,     0,
       0,   699,     0,     0,     0,  1654,     0,  1902,  1655,   776,
    1659,  1660,  1661,     0,  1662,  1663,  1664,  1665,  1666,  1667,
     665,  1656,     0,     0,  3456,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   776,     0,  1903,  1955,
       0,     0,     0,     0,     0,  2593,     0,     0,     0,     0,
    2602,     0,     0,     0,     0,     0,   699,     0,     0,     0,
     776,     0,     0,     0,     0,     0,   192,  1649,     0,  2835,
       0,  1650,   699,     0,     0,     0,  2637,  2637,     0,     0,
       0,     0,     0,   764,     0,   776,     0,     0,  1222,   776,
       0,     0,  1651,  1652,     0,     0,     0,     0,  1658,  1904,
     761,     0,     0,     0,     0,  1905,     0,   776,  1906,  1653,
       0,     0,     0,     0,     0,     0,     0,   776,     0,     0,
    1223,     0,     0,     0,     0,     0,  2695,     0,  2698,  2700,
     776,     0,     0,     0,  1907,  1654,     0,     0,  1655,   776,
    1908,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1656,     0,  1909,  1657,     0,   761,     0,     0,     0,
       0,     0,     0,     0,   761,     0,     0,     0,     0,   761,
       0,  1642,     0,     0,  1643,     0,  1224,     0,  1910,     0,
       0,     0,  1108,     0,     0,     0,     0,     0,  1659,  1660,
    1661,  1644,  1662,  1663,  1664,  1665,  1666,  1667,     0,  1646,
       0,     0,     0,     0,     0,  1647,     0,  1225,     0,     0,
    1955,     0,     0,  2637,     0,   699,     0,  2796,     0,     0,
     641,     0,     0,     0,     0,     0,     0,     0,  1658,  1648,
       0,  1642,     0,     0,  1643,     0,  2836,     0,     0,     0,
       0,     0,     0,  1226,     0,     0,  2695,     0,     0,     0,
       0,  1644,     0,     0,   761,  2821,     0,     0,     0,  1646,
       0,     0,     0,     0,     0,  1647,   905,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
    1401,   761,     0,   761,  2637,   761,  2637,     0,     0,  1648,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     905,     0,     0,     0,     0,  1108,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1532,  1659,  1660,
    1661,     0,  1662,  1663,  1664,  1665,  1666,  1667,     0,     0,
    1649,     0,  3532,     0,  1650,   776,     0,    33,     0,     0,
       0,  1230,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,  1232,  1651,  1652,     0,     0,   776,
       0,     0,  1932,   756,     0,     0,     0,     0,     0,   756,
       0,  1234,  1653,     0,     0,  1642,     0,     0,  1643,  1235,
     761,     0,     0,     0,     0,     0,     0,  1108,  1108,     0,
    1649,     0,     0,  1108,  1650,     0,     0,     0,  1654,     0,
       0,  1655,     0,  1646,     0,     0,     0,     0,     0,  1647,
       0,     0,     0,  1401,  1656,  1651,  1652,  1657,  1108,  1108,
       0,     0,     0,  1108,     0,     0,     0,     0,     0,     0,
    1236,     0,  1653,  1648,  2838,  1108,  1108,  1108,  1108,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1108,     0,
       0,  1108,     0,  1108,  2982,     0,     0,     0,  1654,     0,
       0,  1655,     0,  1108,  1108,     0,     0,  1108,     0,     0,
       0,     0,     0,     0,  1656,     0,     0,  1657,     0,     0,
    1108,     0,  1108,     0,   796,     0,  1108,     0,     0,     0,
       0,  1658,     0,     0,     0,  2999,     0,     0,  1246,     0,
       0,     0,  1108,     0,  1247,     0,   699,     0,     0,     0,
       0,     0,     0,  3028,     0,  1108,  1108,  1108,     0,  1642,
       0,     0,  1643,     0,     0,     0,     0,     0,     0,   905,
       0,     0,  1108,     0, -2220,     0,     0,     0,  1650,  1644,
       0,     0,     0,  1108,  1248,     0,     0,  1646,  1108,     0,
       0,  1658,     0,  1647,  1108,     0,     0,     0,     0,  1651,
    1652,     0,  3028,     0,     0,  3065,     0,     0,     0,  2487,
       0,     0,     0,     0,     0,     0, -2220,  1648,   776,     0,
       0,  1659,  1660,  1661,     0,  1662,  1663,  1664,  1665,  1666,
    1667,     0,     0,  1249,     0,  3554,     0,     0,     0,  1108,
    1250,  2637,     0,  1251,     0,  1655,  1532,     0,  1401,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1656,     0,
     776,     0,     0,   905,     0,     0,     0,     0,     0,     0,
       0,     0,   761,     0,   761,   761,   761,     0,     0,     0,
       0,  1659,  1660,  1661,     0,  1662,  1663,  1664,  1665,  1666,
    1667,     0,     0,     0,     0,  3803,  1252,     0,     0,     0,
       0,     0,  1947,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1649,     0,
       0,     0,  1650,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1401, -2220,     0,     0,     0,     0,
       0,     0,     0,  1651,  1652,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,  1254,     0,     0,     0,   776,
    1653,     0,     0,     0,     0,  1255,  1642,     0,     0,  1643,
     776,     0,     0,  1256,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,  1654,     0,     0,  1655,
       0,     0,     0,     0,  1646,     0,     0,     0,     0,     0,
    1647,     0,  1656,     0,     0,  1657,  1401,     0,     0,     0,
       0,     0,     0,     0,     0,  1914,     0,     0,     0,  1259,
       0,     0,     0,     0,  1648,  1401,     0,     0,     0,  1662,
    1663,  1664,  1665,  1666,  1667,     0,     0,     0,  1642,     0,
       0,  1643,   776,     0,  1915,  1401,     0,     0,     0,     0,
       0,     0,  2637,  2637,     0,     0,     0,     0,  1644,     0,
       0,     0,     0,     0,     0,     0,  1646,     0,     0,     0,
    1401,     0,  1647,     0,     0,     0,     0,     0,     0,  1658,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1648,     0,     0,   905,
       0,   905,  1261,     0,     0,   699,   699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,     0,  1649,     0,  1401,     0,  1650,
       0,     0,     0,     0,  1532,   699,     0,     0,     0,     0,
       0,     0,     0,  1532,   699,     0,     0,     0,     0,     0,
    1651,  1652,     0,     0,     0,     0,     0,     0,   699,     0,
       0,     0,     0,     0,   905,     0,     0,  1653,     0,  1659,
    1660,  1661,     0,  1662,  1663,  1664,  1665,  1666,  1667,     0,
       0,     0,     0,  3837,     0,     0,   761,     0,     0,   761,
       0,     0,   776,  1654,     0,     0,  1655,  1649,     0,     0,
       0,  1650,     0,   756,     0,     0,   776,     0,     0,  1656,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1651,  1652,   699,     0,   776,     0,     0,     0,
       0,     0,     0,     0,   761,     0,     0,     0,     0,  1653,
       0,     0,  1108,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1108,     0,     0,     0,     0,     0,  1108,     0,
    1108,     0,     0,     0,     0,  1654,  1108,     0,  1655,  1108,
    1108,  1108,  1108,  1108,  1108,  1108,  1108,  1108,  1108,     0,
       0,  1656,  1108,  1108,  1657,     0,  1658,     0,     0,     0,
       0,     0,     0,     0,     0,  1108,     0,     0,     0,  1108,
       0,     0,     0,  1108,  1401,     0,     0,     0,     0,     0,
       0,     0,     0,  1108,     0,     0,  1108,     0,  1108,     0,
       0,   758,     0,     0,     0,     0,     0,  1108,  1108,  1108,
     758,     0,     0,  1108,     0,     0,  1108,  2436,     0,     0,
       0,     0,     0,   699,   699,   699,   756,  3028,  3492,     0,
       0,     0,  3492,  3506,     0,     0,     0,  1108,  1658,     0,
       0,     0,     0,  3520,     0,  1108,  1246,  1108,     0,     0,
       0,     0,  1247,     0,     0,     0,  1659,  1660,  1661,     0,
    1662,  1663,  1664,  1665,  1666,  1667,     0,     0,  1108,     0,
       0,     0,     0,     0,  1108,     0,     0,     0,  2487,     0,
    1108,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1248,     0,     0,  3560,  1532,  1532,     0,  2064,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   761,   761,   761,
     761,     0,     0,     0,     0,     0,   776,     0,  1659,  1660,
    1661,     0,  1662,  1663,  1664,  1665,  1666,  1667,     0,     0,
       0,  1249,  4048,     0,     0,     0,     0,     0,  1250,     0,
       0,  1251,     0,     0,     0,  3603,  1642,     0,     0,  1643,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1642,  1644,     0,  1643,     0,
       0,     0,     0,     0,  1646,     0,     0,     0,     0,     0,
    1647,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1646,  1252,     0,     0,     0,     0,  1647,
     776,     0,     0,   776,  1648,     0,     0,     0,     0,     0,
       0,     0,  1642,     0,     0,  1643,     0,  3664,     0,     0,
       0,     0,     0,  1648,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1646,     0,     0,     0,     0,     0,  1647,     0,     0,     0,
       0,  1253,     0,  1254,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1255,     0,     0,     0,     0,   699,  2578,
    1648,  1256,     0,     0,  1947,  2585,     0,     0,     0,   761,
    1257,  1108,     0,     0,     0,  3471,  1401,   699,     0,     0,
       0,     0,     0,  3730,     0,     0,     0,     0,     0,     0,
       0,     0,  1955,     0,     0,  1649,     0,     0,     0,  1650,
       0,   776,     0,  1985,   699,     0,     0,  1259,     0,     0,
       0,     0,     0,  2695, -2220,     0,     0,     0,  1650,  3758,
    1651,  1652,  3472,     0,     0,     0,     0,   758,     0,     0,
       0,     0,  1986,     0,     0,  1108,  1108,  1653,     0,  1651,
    1652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2220,     0,  2637,     0,
    2637, -2220,     0,  1654,     0,  1650,  1655,     0,     0,     0,
       0,     0,     0,   758,     0,     0,   776,     0,     0,  1656,
       0,     0,  1657,   758,     0,  1655,  1651,  1652,     0,     0,
    1261,     0,     0,  1108,     0,     0,     0,     0,  1656,     0,
       0,     0,     0, -2220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1401,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1108,     0,  1655,     0,     0,     0,     0,  1246,     0,     0,
    1108,  1108,     0,  1247,     0,  1656,     0,     0,  1108,  1108,
       0,     0,     0,  1108,     0,     0,  1658,     0,     0,  1108,
    1108,     0,     0,  1108,     0,   699,   699,   699,   699,     0,
       0,     0,  3492,  3506,  3492, -2220,     0,  3845,     0,     0,
     758,  3028,     0,  1248,     0,  3028,     0,     0,     0,     0,
       0,  3858,     0,     0,     0,  1108,  1947,     0,     0,     0,
    1108,     0,     0,     0,     0,     0,  3868,     0,     0,     0,
     758,     0,  1108,     0,     0,     0,     0,     0,   796,     0,
       0,     0, -2220,     0,     0,     0,  3065,     0,     0,     0,
    2487,     0,  1249,     0,     0,     0,     0,     0,     0,  1250,
     641,     0,  1251,  1108,     0,     0,  1659,  1660,  1661,     0,
    1662,  1663,  1664,  1665,  1666,  1667,     0,     0,     0,     0,
    4088,     0,     0,  2637,  2637,     0,     0,     0,     0,  1662,
    1663,  1664,  1665,  1666,  1667,     0,     0,     0,     0,     0,
    1401,     0,     0,     0,     0,     0,     0,  3913,     0,     0,
       0,     0,     0,     0,     0,  1252,     0,     0,     0,     0,
     776,     0,     0,  1642,     0,     0,  1643,     0,     0,     0,
       0,     0,   776,     0,     0,     0,  1662,  1663,  1664,  1665,
    1666,  1667,     0,     0,     0,     0,     0,     0,     0,   758,
       0,  1646,   761,     0,     0,     0,     0,  1647,     0,     0,
     758,     0,     0,     0,     0,     0,   761,     0,     0,     0,
       0,     0,  1253,     0,  1254,     0,     0,     0,     0,     0,
       0,  1648,     0,  1402,  1255,     0,   905,     0,     0,     0,
       0,     0,  1256,     0,     0,     0,     0,     0,     0,  1642,
       0,  1257,  1643,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1400,  1644,
     758,     0,     0,     0,  1108,     0,     0,  1646,     0,     0,
       0,     0,     0,  1647,  2589,   756,     0,     0,  1259,     0,
    1955,     0,     0,  3475,     0,     0,     0,  1532,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1648,     0,   761,
    1955,     0,     0,  1260,     0,     0,     0,     0,  2436,  2436,
    2436,   758,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2220,     0,     0,   699,  1650,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   776,     0,     0,     0,     0,     0,  1651,  1652,     0,
       0,     0,     0,  1108,     0,     0,  1402,     0,     0,     0,
       0,  1261,  1108,     0, -2220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1108,
    1108,     0,     0,  1108,     0,     0,   758,     0,     0,     0,
       0,  1400,  3492,  1655,     0,     0,  3028,     0,  1649,     0,
       0,  3028,  1650,     0,  3028,  2695,  1656,  4070,     0,  1108,
    1108,     0,     0,     0,     0,   758,     0,     0,     0,  1401,
       0,     0,     0,  1651,  1652,     0,     0,     0,   776,     0,
     776,     0,     0,     0,  3560,   796,   761,   761,   761,     0,
    1653,     0,     0,   758,   758,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1947,  2585,   758,  2585,     0,  1654,     0,     0,  1655,
       0,     0,     0,   756,   796,     0,     0,     0,     0,     0,
       0,     0,  1656, -2220,     0,  1657,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   758,  1790,   905,     0,     0,     0,     0,     0,
       0,     0,  1532,     0,     0,     0,   756,     0,     0,   699,
    1401,     0,  1401,  1692,     0,     0,     0,     0,     0,     0,
    3730,   758,     0,     0,     0,   758,   758,  2637,     0,     0,
       0,  1955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1402,     0,  3758,     0,     0,   699,  1790,     0,  1658,
       0,     0,     0,     0,   761,  3560,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1401,  1662,  1663,  1664,
    1665,  1666,  1667,     0,     0,     0,  1400,  1108,     0,     0,
    1108,     0,  1108,     0,     0,     0,     0,     0,     0,     0,
       0,  1401,     0,     0,     0,  1402,     0,     0,     0,  1108,
       0,     0,     0,  3028,     0,     0,  4070,     0,     0,     0,
    2585,     0,  4215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1402,  2585,     0,
    1400,     0,   761,     0,     0,     0,   699,     0,     0,  1659,
    1660,  1661,     0,  1662,  1663,  1664,  1665,  1666,  1667,     0,
       0,     0,     0,  4142,   761,   761,   761,   761,     0,     0,
       0,     0,  1400,     0,     0,     0,     0,     0,     0,  1532,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   756,     0,     0,
       0,     0,  1401,     0,     0,     0,     0,     0,     0,  1402,
       0,     0,     0,     0,     0,     0,  1108,     0,  2585,     0,
       0,  1642,     0,     0,  1643,     0,     0,     0,  1402,  1401,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1644,     0,     0,  1400,     0,     0,     0,  1402,  1646,
       0,     0,     0,     0,     0,  1647,     0,     0,     0,     0,
       0,     0,     0,  1400,  1108,     0,     0,     0,  1790,     0,
     761,     0,   796,  1402,     0,     0,     0,     0,     0,  1648,
       0,  1108,     0,  1400,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1392,     0,     0,  1401,     0,
     905,     0,     0,     0,     0,     0,     0,     0,  1400,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1401,     0,
       0,   761,     0,     0,   758,     0,   756,     0,     0,     0,
    1402,     0,     0,   758,     0,     0,     0,  3560,     0,     0,
       0,     0,     0,  1401,     0,     0,     0,     0,     0,     0,
       0,  4215,     0,     0,  1108,  1108,     0,   776,     0,     0,
       0,     0,     0,     0,     0,  1400,     0,   756,     0,     0,
       0,     0,     0,  1642,     0,   761,  1643,     0,     0,  1401,
    1649,     0,     0,     0,  1650,     0,     0,     0,     0,     0,
       0,     0,     0,  1644,     0,     0,     0,     0,     0,     0,
       0,  1646,   758,     0,     0,  1651,  1652,  1647,  1108,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1108,     0,
    2436,     0,  1653,   761,     0,     0,     0,     0,  1392,     0,
       0,  1648,     0,     0,     0,     0,     0,   758,     0,   758,
       0,     0,     0,     0,     0,     0,   758,     0,  1654,   758,
       0,  1655,     0,   758,  1246,     0,     0,     0,     0,     0,
    1247,   758,   758,     0,  1656,     0,     0,  1657,     0,   758,
       0,     0,   758,   758,   758,   758,     0,     0,     0,     0,
    1108,     0,   758,   758,     0,   758,     0,   758,   758,   756,
       0,   758,     0,     0,     0,     0,     0,     0,     0,     0,
    1248,     0,     0,     0,     0,     0,     0,  1402,   758,  1790,
       0,     0,     0,   758,     0,     0,     0,   758,     0,     0,
       0,   758,     0,   758,   758,   758,   758,   758,   758,   758,
     758,   758,  1649,   758,     0,     0,  1650,     0,   758,     0,
     758,  1658,  1400,  2585,     0,     0,     0,     0,     0,  1249,
       0,     0,  1642,     0,     0,  1643,  1250,  1651,  1652,  1251,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1644,     0,  1653,     0,     0,     0,     0,     0,
    1646,     0,     0,     0,     0,     0,  1647,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1654,     0,     0,  1655,     0,     0,     0,     0,     0,     0,
    1648,     0,  1252,     0,     0,     0,  1656,     0,     0,  1657,
       0,     0,     0,  1392,     0,     0,     0,     0,     0,     0,
       0,  1659,  1660,  1661,     0,  1662,  1663,  1664,  1665,  1666,
    1667,     0,     0,     0,     0,  4345,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   758,     0,     0,  1253,
       0,  1254,     0,     0,     0,     0,     0,  1392,     0,     0,
       0,  1255,     0,     0,     0,  1642,     0,     0,  1643,  1256,
       0,  1401,     0,  1658,     0,     0,  1642,     0,  1257,  1643,
       0,     0,     0,     0,     0,  1644,     0,     0,     0,  1392,
       0,  1649,     0,  1646,     0,  1650,  1644,     0,  1790,  1647,
    2456,     0,     0,     0,  1646,     0,     0,  1947,     0,     0,
    1647,  2670,     0,     0,     0,  1259,  1651,  1652,     0,     0,
       0,     0,     0,  1648,     0,     0,     0,   758,     0,     0,
       0,     0,     0,  1653,  1648,     0,     0,     0,   758,     0,
    2671,     0,     0,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1654,
       0,  1392,  1655,  1659,  1660,  1661,     0,  1662,  1663,  1664,
    1665,  1666,  1667,     0,     0,  1656,     0,  4433,  1657,  2457,
    1392,     0,  1402,     0,     0,     0,     0,  1402,  1402,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1261,  1402,
    1392,     0,     0,  2954,     0,     0,     0,     0,  2955,     0,
       0,     0,     0,     0,     0,  1790,  1401,  1400,  1790,     0,
       0,     0,  1400,  1400,  1649,  1392,     0,  1401,  1650,     0,
       0,     0,     0,     0,  1400,  1649,     0,     0,     0,  1650,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1651,
    1652,     0,  1658,     0,     0,     0,     0,     0,     0,     0,
    1651,  1652,     0,     0,     0,     0,  1653,     0,  2436,     0,
       0,     0,     0,  2436,     0,     0,     0,  1653,     0,     0,
       0,     0,  1392,     0,     0,  2436,     0,     0,     0,     0,
       0,     0,  1654,     0,     0,  1655,     0,     0,     0,     0,
       0,     0,     0,  1654,     0,     0,  1655,     0,  1656,     0,
       0,  1657,     0,     0,     0,     0,     0,     0,     0,  1656,
       0,     0,  1657,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1401,     0,     0,     0,   758,     0,
    1402,     0,  1659,  1660,  1661,     0,  1662,  1663,  1664,  1665,
    1666,  1667,     0,     0,  3528,     0,     0,     0,     0,     0,
       0,  1790,  1401,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1400,     0,     0,  1401,     0,
       0,     0,     0,     0,     0,  1658,     0,     0,  1642,     0,
       0,  1643,     0,     0,     0,     0,  1658,  1642,     0,     0,
    1643,     0,     0,     0,     0,     0,     0,     0,  1644,     0,
       0,     0,     0,     0,     0,     0,  1646,     0,     0,  1402,
       0,     0,  1647,     0,  1401,  1646,     0,     0,     0,     0,
       0,  1647,  1246,     0,     0,     0,     0,     0,  1247,     0,
       0,     0,     0,     0,     0,     0,  1648,  2458,     0,     0,
       0,     0,     0,     0,  1400,  1648,     0,     0,     0,  1392,
       0,   758,     0,  1285,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1659,  1660,  1661,  1248,  1662,
    1663,  1664,  1665,  1666,  1667,     0,  1659,  1660,  1661,     0,
    1662,  1663,  1664,  1665,  1666,  1667,     0,     0,     0,     0,
       0,     0,     0,  1402,     0,     0,     0,     0,     0,  1286,
       0,     0,     0,     0,     0,     0,     0,  3835,     0,   758,
       0,     0,     0,     0,     0,   758,     0,  1249,     0,     0,
       0,     0,     0,     0,  1250,  4022,     0,  1251,  1400,     0,
       0,     0,     0,   758,   758,     0,     0,  1649,     0,   758,
       0,  1650,     0,     0,     0,     0, -2220,     0,     0,     0,
    1650,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1401,     0,  1651,  1652,   758,   758,     0,     0,     0,   758,
       0,  1651,  1652,     0,     0,     0,     0,  1287,     0,  1653,
    1252,   758,   758,   758,   758,     0,     0,     0, -2220,  1790,
       0,     0,     0,     0,   758,  1790,     0,   758,     0,   758,
       0,     0,     0,     0,     0,  1654,     0,     0,  1655,   758,
     758,     0,     0,   758,     0,     0,     0,  1655,     0,     0,
       0,  1656,     0,     0,  1657,  1288,   758,  1289,   758,     0,
    1656,     0,   758,     0,     0,     0,     0,  1290,     0,  1254,
       0,     0,     0,  3448,     0,     0,     0,     0,   758,  1255,
       0,     0,     0,     0,     0,     0,     0,  1256,     0,   758,
       0,   758,   758,   758,     0,  1291,  1257,     0,  2585,  1246,
       0,     0,     0,     0,     0,  1247,     0,     0,   758,     0,
       0,     0,  1642,     0,     0,  1643,     0,     0,     0,   758,
       0,     0,     0,     0,   758,     0,     0,     0,  1658,  1292,
     758,     0,  1644,  1259,  1293,     0,     0, -2220,   758,     0,
    1646,   511,  3449,     0,     0,  1248,  1647,   558,   511,     0,
       0,     0,     0,   600,     0,   511,     0,     0,  1294,     0,
     511,     0,   650,     0,     0,     0,     0,     0,     0,  1295,
    1648,     0,     0,     0,  1392,   758,     0,     0,     0,  1392,
    1392,   711,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1392,     0,     0,  1249,     0,     0,     0,     0,     0,
    2585,  1250,  1402,     0,  1251,     0,     0,  1246,     0,   177,
       0,     0,     0,  1247,     0,     0,  1261,     0,  1659,  1660,
    1661,  1401,  1662,  1663,  1664,  1665,  1666,  1667,     0,     0,
       0,  1662,  1663,  1664,  1665,  1666,  1667,  1400,     0,     0,
       0,     0,     0,     0,  1402,  1402,     0,  1402,     0,  4407,
       0,  1401,     0,  1248,     0,   178,     0,  1252,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   179,     0,
       0,  1649,     0,     0,     0,  1650,  1790,  1790,  1790,  1400,
    1400,     0,  1400,     0,     0,   180,     0,     0,     0,  1401,
       0,   181,     0,  1401,  1401,     0,  1651,  1652,     0,     0,
       0,     0,  1249,  1402,     0,  1402,   182,     0,     0,  1250,
       0,     0,  1251,  1653,  1253,     0,  1254,   183,   769,     0,
       0,     0,     0,     0,     0,   184,  1255,     0,   799,   800,
       0,   803,  1392,   806,  1256,   808,   185,     0,  1400,  1654,
    1400,   186,  1655,  1257,     0,     0,     0,   187,     0,     0,
       0,     0,     0,     0,     0,  1656,     0,     0,  1657,  1402,
       0,     0,   188,     0,     0,  1252,     0,     0,     0,  4022,
       0,     0,     0,     0,     0,  4408,  2709,     0,     0,     0,
    1259,     0,     0,     0,  1402,     0,     0,   189,     0,     0,
       0,     0,     0,     0,  1400,     0,     0,     0,     0,     0,
       0,     0,     0,  1402,     0,  2710,     0,     0,   190,     0,
       0,  1392,     0,     0,     0,     0,     0,     0,     0,  1400,
    1790,  1402,  1253,     0,  1254,     0,     0,     0,     0,     0,
       0,     0,  1658,     0,  1255,     0,     0,     0,  1400,   191,
       0,     0,  1256,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,  1400,     0,     0,     0,
       0,     0,     0,  1261,     0,     0,     0,   192,     0,     0,
       0,     0,     0,     0,     0,  1246,     0,     0,     0,     0,
       0,  1247,     0,     0,  3123,  1402,     0,     0,  1259,     0,
       0,     0,     0,     0,   193,  1392,     0,     0,   194,     0,
     195,  1402,     0,     0,     0,     0,   196,     0,     0,   197,
       0,     0,  1402,  3124,     0,     0,     0,     0,     0,     0,
    1400,  1248,  1659,  1660,  1661,     0,  1662,  1663,  1664,  1665,
    1666,  1667,     0,     0,     0,   198,  1400,   199,     0,   758,
       0,   200,     0,     0,     0,     0,     0,  1400,     0,   201,
       0,     0,     0,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   203,     0,     0,     0,
    1249,  1261,     0,     0,     0,     0,     0,  1250,   758,   204,
    1251,  1402,     0,     0,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,   758,     0,   758,     0,     0,     0,
       0,  1402,   758,     0,     0,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,     0,  1400,     0,   758,   758,
       0,     0,     0,     0,     0,     0,  1402,     0,     0,     0,
       0,   758,     0,  1252,     0,   758,  1400,  1790,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   758,
       0,     0,   758,     0,   758,     0,     0,     0,   858,     0,
       0,  1400,  1402,   758,   758,   758,   866,     0,     0,   758,
       0,     0,   758,     0,     0,   882,   883,     0,     0,     0,
     885,     0,   758,   758,     0,     0,     0,     0,     0,     0,
    1253,   901,  1254,   758,     0,     0,     0,  1400,     0,     0,
       0,   758,  1255,   758,   909,     0,     0,     0,     0,     0,
    1256,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
     932,     0,     0,   934,   758,   936,     0,   939,     0,     0,
     758,     0,     0,     0,     0,     0,   758,     0,  1246,     0,
       0,     0,     0,     0,  1247,     0,     0,     0,     0,     0,
       0,   758,  3165,     0,     0,     0,  1259,     0,     0,     0,
       0,     0,     0,     0,   511,     0,     0,     0,     0,  1285,
       0,     0,     0,     0,  1392,     0,     0,     0,     0,     0,
       0,  3166,     0,     0,  1248,     0,     0,   996,     0,   997,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1095,     0,     0,     0,
       0,     0,     0,     0,     0,  1286,  1392,  1392,     0,  1392,
       0,  1790,     0,     0,     0,  1790,  1402,  1790,     0,  1642,
       0,     0,  1643,  1249,     0,     0,  1152,     0,     0,  1261,
    1250,     0,   711,  1251,     0,     0,     0,     0,     0,  1644,
       0,     0,  2917,     0,     0,     0,     0,  1646,     0,     0,
       0,  1400,     0,  1647,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1392,     0,  1392,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1648,     0,     0,
       0,     0,     0,  1287,     0,     0,  1252,     0,     0,     0,
       0,  1213,     0,  1790,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1392,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1288,     0,  1289,     0,     0,     0,   758,  1334,     0,
       0,     0,     0,  1290,     0,  1254,  1392,     0,     0,     0,
       0,     0,     0,  1346,     0,  1255,     0,     0,     0,     0,
       0,     0,     0,  1256,  1402,  1392,  1356,     0,     0,     0,
       0,  1291,  1257,  1358,     0,     0,     0,     0,  1649,     0,
       0,     0,  1650,  1392,     0,  1406,     0,     0,  1410,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1400,
    1402,   758,   758,  1651,  1652,  2658,     0,     0,     0,  1259,
    1293,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1653,  1453,  1642,     0,     0,  1643,     0,     0,     0,     0,
       0,     0,     0,     0,  2659,  1400,     0,     0,     0,     0,
       0,     0,  1644,     0,     0,  1295,  1654,  1392,     0,  1655,
    1646,     0,     0,     0,     0,     0,  1647,     0,     0,   758,
       0,     0,  1656,  1392,     0,  1657,     0,     0,     0,     0,
       0,     0,     0,     0,  1392,     0,     0,     0,     0,     0,
    1648,     0,     0,     0,     0,   511,     0,   511,     0,   511,
       0,   511,  1261,   511,   511,   511,   758,     0,     0,     0,
     511,     0,     0,     0,     0,     0,   758,   758,     0,  1402,
       0,     0,     0,     0,   758,   758,     0,     0,     0,   758,
    1402,     0,     0,     0,     0,   758,   758,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1658,
       0,     0,  1580,  1392,  1400,     0,     0,   758,     0,     0,
       0,   758,     0,     0,     0,  1400,     0,     0,     0,     0,
       0,   758,     0,  1392,     0,     0,   758,     0,     0,     0,
    1642,  1604,     0,  1643,     0,     0,     0,     0,   758,     0,
       0,  1649,     0,     0,     0,  1650,     0,     0,  1392,     0,
    1644,     0,     0,  2962,     0,     0,     0,     0,  1646,  1629,
    1630,     0,  1632,     0,  1647,     0,  1651,  1652,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1672,
       0,     0,     0,  1653,  1392,     0,     0,  1402,  1648,  1659,
    1660,  1661,     0,  1662,  1663,  1664,  1665,  1666,  1667,     0,
       0,     0,     0,     0,     0,     0,  1790,     0,     0,  1654,
       0,     0,  1655,     0,     0,  1402,     0,     0,  1708,     0,
       0,     0,  1400,     0,     0,  1656,     0,     0,  1657,     0,
       0,  1402,     0,     0,     0,     0,     0,     0,     0,     0,
     711,     0,  2932,     0,     0,     0,     0,  1811,     0,     0,
    1400,  1823,  1826,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1400,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1402,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1649,
       0,     0,     0,  1650,     0,     0,     0,     0,     0,     0,
       0,     0,  1658,  1912,     0,     0,     0,     0,     0,     0,
       0,     0,  1400,     0,  1651,  1652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     758,  1653,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   758,     0,     0,     0,     0,     0,     0,  1392,     0,
       0,     0,     0,     0,     0,     0,     0,  1654,     0,     0,
    1655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1656,     0,     0,  1657,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1402,     0,
       0,     0,  1659,  1660,  1661,     0,  1662,  1663,  1664,  1665,
    1666,  1667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   758,
       0,     0,     0,  1402,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   758,   758,     0,     0,   758,
    1658,     0,     0,     0,     0,     0,     0,     0,  1400,     0,
    1642,     0,   758,  1643,     0,     0,     0,   758,     0,     0,
     758,     0,     0,     0,     0,   758,   758,     0,     0,     0,
    1644,     0,     0,  2973,     0,     0,     0,     0,  1646,     0,
       0,     0,     0,     0,  1647,     0,  1392,  2120,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2143,     0,     0,     0,     0,     0,  1648,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1402,  1392,     0,     0,     0,     0,     0,     0,   758,
    1659,  1660,  1661,     0,  1662,  1663,  1664,  1665,  1666,  1667,
       0,     0,  2188,     0,     0,     0,  2192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1400,  2203,  1790,  2205,
       0,  2206,     0,     0,     0,     0,  2207,     0,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   511,
       0,   511,     0,   511,     0,   511,     0,   511,     0,     0,
       0,   511,  1642,     0,     0,  1643,     0,     0,     0,  1649,
       0,     0,     0,  1650,     0,     0,     0,     0,     0,     0,
       0,   758,  1644,  1402,     0,     0,     0,     0,     0,     0,
    1646,  1392,     0,     0,  1651,  1652,  1647,     0,     0,     0,
       0,     0,  1392,   758,  1402,     0,   758,     0,   758,     0,
       0,  1653,  2303,     0,     0,     0,     0,     0,  1400,     0,
    1648,     0,     0,  1669,     0,   758,     0,     0,     0,   758,
       0,     0,     0,     0,  1402,  2326,     0,  1654,  2328,  1400,
    1655,  2339,     0,     0,     0,     0,     0,     0,  2346,  2351,
       0,     0,     0,  1656,  2357,     0,  1657,  2362,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1790,  1400,
       0,     0,  1402,     0,  2371,     0,  1402,  1402,     0,  2378,
    1669,     0,     0,  2390,     0,     0,     0,  2397,     0,  2399,
    2400,  2401,  2402,  2403,  2404,  2405,  2406,  2407,     0,  2408,
       0,     0,     0,     0,  1095,  2967,  2433,  1400,     0,  1392,
       0,  1400,  1400,   758,     0,     0,     0,     0,     0,     0,
       0,  1649,     0,     0,     0,  1650,     0,     0,     0,     0,
    1658,     0,   758,     0,     0,     0,     0,  1392,     0,     0,
       0,     0,     0,     0,     0,     0,  1651,  1652,     0,     0,
       0,     0,  1402,  1392,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1653,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,  1654,
       0,     0,  1655,     0,     0,     0,     0,   758,     0,  1392,
       0,     0,  1394,     0,     0,  1656,     0,     0,  1657,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1659,  1660,  1661,     0,  1662,  1663,  1664,  1665,  1666,  1667,
       0,     0,  1152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     758,   758,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1658,   758,     0,  2494,  2495,     0,     0,     0,
    2498,  2499,     0,     0,  2502,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2512,     0,     0,     0,     0,     0,
       0,  2521,     0,  2526,     0,  2524,  2525,     0,     0,  2528,
    2529,     0,     0,     0,   758,     0,  2534,     0,     0,     0,
       0,     0,     0,     0,   758,  1394,     0,     0,  2550,     0,
    2552,     0,     0,     0,     0,  1392,     0,     0,     0,     0,
       0,     0,     0,     0,  1790,  1642,  2574,     0,  1643,     0,
       0,  2576,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1659,  1660,  1661,  1644,  1662,  1663,  1664,  1665,
    1666,  1667,     0,  1646,     0,     0,     0,     0,  1642,  1647,
       0,  1643,  2594,  2595,  2598,  2600,   758,     0,     0,  2607,
    2610,  1790,     0,     0,     0,   758,     0,  2621,  1644,  1790,
    2625,  3455,     0,  1648,  2629,     0,  1646,     0,     0,     0,
       0,     0,  1647,     0,  1642,     0,     0,  1643,     0,     0,
    1669,     0,     0,     0,     0,     0,  2657,     0,     0,     0,
       0,     0,     0,     0,  1644,     0,  1648,  2664,     0,  2666,
       0,     0,  1646,  1392,  2669,     0,     0,     0,  1647,  2673,
    2674,  2675,  2676,     0,  2678,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2702,  2703,  2704,
       0,     0,  1648,     0,  1395,     0,     0,     0,  2712,  2713,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1669,     0,
       0,     0,     0,     0,  1649,     0,     0,     0,  1650,     0,
       0,     0,     0,     0,  2742,     0,     0,     0,     0,     0,
    1394,     0,  1669,     0,     0,     0,     0,  2335,     0,  1651,
    1652,     0,     0,     0,     0,     0,     0,  1649,     0,     0,
       0,  1650,  2770,     0,     0,  1392,  1653,  1669,  1669,     0,
    1669,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1651,  1652,     0,     0,  1392,     0,     0,     0,
       0,     0,  1654,  1649,  1394,  1655,     0,  1650,     0,  1653,
       0,     0,     0,     0,     0,     0,     0,     0,  1656,     0,
    1669,  1657,     0,     0,     0,     0,  1392,     0,  1651,  1652,
       0,     0,     0,     0,     0,  1654,  1394,  1395,  1655,     0,
       0,     0,     0,     0,     0,  1653,     0,     0,     0,     0,
       0,  1656,     0,     0,  1657,     0,  1669,     0,     0,     0,
       0,     0,     0,     0,  1392,     0,     0,  2867,  1392,  1392,
       0,  1654,     0,     0,  1655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1656,     0,     0,
    1657,     0,     0,     0,     0,  1658,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1394,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2892,
       0,  3405,     0,     0,     0,     0,     0,  1394,  1658,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1394,     0,     0,
    2913,     0,     0,     0,     0,  2919,     0,     0,     0,  1669,
       0,     0,     0,     0,  1658,     0,     0,     0,     0,     0,
       0,  1669,  1394,     0,  1669,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1659,  1660,  1661,     0,  1662,
    1663,  1664,  1665,  1666,  1667,     0,     0,  2351,     0,  2351,
    2351,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2976,     0,     0,  2979,     0,  2981,     0,     0,  1659,  1660,
    1661,     0,  1662,  1663,  1664,  1665,  1666,  1667,     0,  1394,
       0,     0,  1395,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3002,     0,  3004,     0,     0,     0,  3007,     0,
       0,     0,     0,     0,  1659,  1660,  1661,     0,  1662,  1663,
    1664,  1665,  1666,  1667,     0,   825,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2433,  2433,  2433,
       0,     0,     0,     0,     0,     0,  1395,     0,     0,     0,
       0,     0,   523,     0,  3045,     0,     0,     0,   826,     0,
       0,     0,     0,     0,   524,  1811,     0,     0,     0,     0,
    3055,   827,   828,     0,     0,     0,  1826,     0,  1395,     0,
     829,     0,     0,     0,   830,   525,     0,     0,     0,     0,
       0,     0,  1397,     0,     0,     0,     0,     0,   526,     0,
       0,   831,     0,     0,     0,  3075,  3076,   527,     0,     0,
       0,  -720,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3084,   832,     0,     0,     0,     0,     0,   528,     0,
       0,     0,     0,   833,   529,     0,     0,     0,     0,     0,
       0,   834,     0,     0,     0,     0,     0,  3098,     0,   530,
    1395,     0,   835,     0,     0,     0,  3102,   836,     0,     0,
     531,     0,     0,     0,     0,     0,  1394,     0,   532,  1395,
       0,  3113,  3115,     0,     0,     0,  3115,     0,   837,   533,
       0,  3126,  3127,  3128,     0,     0,   534,     0,     0,  1395,
     535,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   838,     0,  -915,     0,     0,     0,     0,
       0,     0,     0,     0,  1395,     0,     0,  3149,  3150,  3151,
    3152,     0,     0,     0,   839,  1397,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   536,     0,     0,  3168,  3169,  3170,
       0,  -485,     0,     0,     0,   840,     0,  3183,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1395,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   537,   192,     0,   538,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1398,     0,
     841,     0,     0,     0,   842,     0,   843,     0,     0,  -381,
       0,  3222,   844,     0,     0,   845,     0,     0,     0,  3226,
       0,     0,     0,     0,     0,     0,     0,   539,     0,     0,
       0,     0,     0,   540,     0,     0,     0,     0,     0,  -381,
       0,   846,   541,   847,     0,     0,     0,   848,     0,     0,
       0,     0,     0,     0,     0,   849,     0,     0,     0,     0,
     850,     0,     0,     0,     0,     0,     0,     0,  -381,     0,
     542,   543,     0,   544,   545,     0,  3298,     0,     0,     0,
       0,     0,   546,     0,     0,   851,     0,   547,     0,     0,
       0,     0,     0,   548,     0,     0,   549,     0,     0,   550,
       0,  1669,     0,     0,     0,     0,     0,     0,     0,     0,
    1397,     0,  -381,     0,     0,     0,     0,     0,  3326,     0,
       0,  3329,     0,     0,  1669,     0,  1669,     0,  2335,  2335,
    2950,  1398,     0,  2335,     0,     0,     0,  1669,  1395,     0,
       0,     0,     0,     0,  1669,     0,     0,     0,     0,  1669,
       0,  1394,     0,  3367,     0,  1669,  1394,  1394,     0,     0,
    1669,     0,     0,     0,  1397,     0,     0,  3377,  1394,  1669,
       0,     0,     0,  2335,  2335,     0,  1669,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1669,     0,
       0,     0,     0,     0,     0,  1669,  1397,  1669,  1669,  1669,
    1669,  1669,  1669,  1669,  1669,  1669,  1669,     0,     0,     0,
    1399,     0,     0,     0,  3406,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3410,     0,     0,     0,     0,     0,
    3411,  1669,  3412,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3430,  3431,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1397,     0,
       0,     0,     0,     0,     0,  2357,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3459,     0,  1397,  3462,     0,
    3464,     0,     0,     0,     0,     0,     0,     0,     0,  3468,
       0,     0,     0,     0,     0,  3473,     0,  1397,  3476,  1394,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1669,     0,  1398,     0,     0,  3509,
       0,     0,  1397,     0,     0,     0,     0,  3521,     0,  2433,
       0,     0,     0,  1399,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3535,     0,     0,     0,     0,     0,  1095,     0,     0,     0,
       0,     0,  1152,     0,     0,     0,     0,     0,     0,     0,
    1398,     0,     0,     0,     0,     0,     0,     0,  1394,  1397,
       0,     0,     0,     0,     0,     0,     0,     0,  3571,     0,
    3572,     0,     0,     0,     0,     0,     0,  3574,     0,     0,
       0,     0,  1398,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3583,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1395,     0,     0,     0,     0,  1395,  1395,
    3591,     0,     0,     0,     0,     0,     0,     0,     0,  3602,
    1395,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1394,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1398,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3634,  3635,  3636,  3637,  3638,
    3639,  3640,  3641,  1398,     0,     0,     0,  3648,  3649,     0,
    3651,  3652,  3653,  3654,  3655,  3656,  3657,     0,     0,     0,
       0,     0,     0,  1398,     0,  3665,     0,  3667,  3668,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1399,     0,
    1669,     0,     0,     0,     0,     0,     0,     0,  1398,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1397,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3711,  3713,  3715,     0,     0,  3718,     0,     0,     0,
       0,  1395,  1399,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1398,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1399,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3771,  3772,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1669,     0,  3115,     0,     0,
    1395,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1399,     0,     0,     0,
       0,     0,     0,     0,     0,  3801,     0,     0,     0,     0,
       0,  1669,     0,     0,     0,  1399,     0,  1669,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2950,  2950,  1399,  2335,     0,     0,  2335,
    2335,  2335,  2335,  2335,  2335,  2335,  2335,  2335,  2335,  2950,
       0,  1394,  3819,  3821,  1395,     0,     0,     0,     0,     0,
    1399,     0,     0,     0,     0,  3828,     0,     0,     0,     0,
       0,  3833,  3834,     0,  1669,  3836,     0,  1669,     0,  1669,
       0,     0,  1398,     0,  2950,  2950,     0,     0,     0,     0,
       0,     0,     0,  1394,  1394,     0,  1394,     0,  2335,  2335,
    1669,     0,  1669,     0,     0,  1669,     0,  2433,     0,     0,
       0,     0,  2433,     0,     0,     0,     0,  1399,     0,     0,
       0,     0,     0,     0,  2433,     0,   569,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   570,     0,
       0,     0,     0,  1669,     0,     0,     0,     0,     0,     0,
       0,     0,  1394,  1669,  1394,  3884,     0,     0,     0,   571,
       0,  1397,     0,     0,     0,     0,  1397,  1397,     0,     0,
       0,     0,   572,     0,     0,     0,     0,     0,  1397,     0,
       0,     0,  1669,     0,     0,   573,     0,     0,  3903,  3904,
    3905,  3906,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   574,     0,     0,     0,     0,     0,  1394,     0,
       0,     0,  3918,  3919,  3920,  3921,     0,  3923,  3924,     0,
       0,     0,     0,   575,     0,     0,     0,     0,     0,  3933,
    3934,     0,     0,  1394,   576,     0,     0,     0,     0,     0,
       0,     0,   577,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1394,   578,     0,     0,     0,     0,   579,     0,
       0,     0,     0,     0,   580,     0,     0,     0,     0,     0,
    1394,     0,     0,     0,     0,     0,     0,     0,     0,   581,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1399,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3974,     0,     0,  1397,
       0,     0,     0,     0,     0,   582,     0,     0,     0,     0,
       0,     0,     0,  1395,  1394,     0,     0,     0,  3988,     0,
       0,     0,     0,     0,     0,     0,     0,  3994,     0,     0,
    1394,     0,     0,     0,     0,     0,   583,     0,     0,     0,
       0,  1394,     0,     0,     0,     0,   584,  4013,     0,     0,
       0,     0,     0,     0,     0,  1395,  1395,  1398,  1395,     0,
       0,  2335,  1398,  1398,   192,     0,     0,     0,     0,  4030,
       0,     0,     0,     0,  1398,     0,     0,     0,  1397,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   585,     0,     0,     0,   586,     0,   587,     0,     0,
       0,     0,     0,   588,     0,     0,   589,     0,     0,     0,
    1394,     0,     0,     0,  1395,  4056,  1395,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1394,     0,   590,     0,   591,     0,     0,     0,   592,     0,
       0,     0,  4073,     0,     0,     0,   593,     0,     0,     0,
       0,   594,     0,     0,     0,  1394,     0,   511,     0,     0,
       0,     0,  1397,   595,     0,     0,     0,     0,     0,     0,
    1395,     0,     0,     0,     0,     0,   596,     0,     0,     0,
       0,     0,     0,     0,  1669,     0,     0,     0,  1669,  1669,
    1669,  1394,     0,  2950,     0,  1395,     0,     0,  2950,  2950,
    2950,  2950,  2950,  2950,  2950,  2950,  2950,  2950,  1669,  1669,
       0,     0,     0,     0,  1395,  1398,     0,     0,     0,  4115,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1395,     0,     0,     0,     0,  1669,  2335,  2335,
    1669,     0,  1669,     0,     0,     0,  1669,  2950,  2950,     0,
       0,  1669,     0,     0,  1669,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1399,
       0,     0,     0,     0,  1399,  1399,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1399,  1669,     0,     0,
       0,     0,     0,     0,  1398,     0,  1395,     0,     0,  1669,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3115,
       0,     0,  1395,  1669,     0,     0,     0,     0,     0,     0,
       0,     0,  2357,  1395,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4206,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1394,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1398,     0,
       0,     0,     0,     0,     0,     0,  4231,     0,     0,     0,
       0,  4235,  1395,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1395,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1399,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1395,     0,     0,
       0,  1397,     0,     0,     0,     0,     0,     0,  4277,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1395,     0,     0,  3115,     0,     0,     0,
       0,     0,     0,  1397,  1397,     0,  1397,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2950,     0,     0,
       0,     0,     0,  1394,     0,     0,  1399,     0,     0,     0,
       0,     0,     0,  4318,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1394,
       0,     0,  1397,     0,  1397,     0,     0,     0,     0,  1669,
    1669,  4337,     0,     0,     0,     0,  4341,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1669,
       0,     0,     0,  2335,     0,     0,  4363,  4363,     0,     0,
    1399,     0,     0,     0,     0,     0,     0,  1669,  1397,  1669,
       0,     0,     0,     0,  2950,  2950,  1669,     0,     0,  2335,
    2335,  1669,  1669,     0,  1669,     0,     0,     0,     0,     0,
       0,     0,     0,  1397,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1395,     0,     0,
    4363,     0,  1397,     0,     0,     0,     0,     0,  1394,     0,
    4411,     0,     0,     0,     0,     0,     0,  1398,     0,  1394,
    1397,     0,  1669,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1398,
    1398,     0,  1398,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4363,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1397,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1397,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1397,  1669,     0,     0,     0,     0,     0,  1398,     0,
    1398,     0,     0,     0,     0,     0,  1394,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1395,     0,     0,     0,     0,
       0,     0,     0,     0,  1394,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1394,     0,     0,     0,  1398,     0,  2950,  2335,     0,     0,
    1397,  1395,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2950,  2950,  1669,     0,     0,     0,     0,  1398,
    1397,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1669,     0,     0,     0,     0,  1394,     0,  1398,     0,
       0,     0,     0,     0,     0,  1397,     0,     0,     0,  1399,
       0,     0,     0,     0,     0,     0,  1398,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1397,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1399,  1399,     0,  1399,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1395,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1398,  1395,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1398,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1398,     0,     0,
    1399,     0,  1399,     0,  2950,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1669,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1394,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1399,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1398,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1395,     0,
       0,  1399,     0,     0,     0,  1669,  1398,     0,     0,     0,
       0,     0,     0,     0,     0,  1397,     0,     0,     0,     0,
    1399,     0,     0,     0,     0,     0,  1395,     0,     0,     0,
       0,  1398,     0,     0,     0,     0,     0,     0,  1399,     0,
       0,     0,  1395,     0,     0,     0,  1669,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1394,     0,     0,     0,     0,     0,     0,  1398,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1395,     0,
       0,  1669,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1399,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1399,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1399,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1669,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1394,  1397,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1394,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1399,  1397,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1394,     0,     0,     0,     0,  1399,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1398,     0,     0,  1395,     0,     0,     0,     0,     0,
       0,     0,     0,  1399,     0,     0,     0,     0,     0,     0,
       0,  1394,     0,     0,     0,  1394,  1394,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1399,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1397,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1397,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1395,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1398,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1398,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1397,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1399,  1395,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1397,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1395,     0,     0,     0,     0,
    1397,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1395,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1397,     0,     0,     0,
       0,     0,     0,     0,  1398,     0,     0,     0,     0,     0,
       0,     0,     0,  1395,     0,  1398,     0,  1395,  1395,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1399,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1399,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1398,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1397,     0,     0,     0,     0,     0,     0,     0,
    1398,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1398,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1398,     0,     0,     0,  1399,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1399,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1397,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1399,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1397,     0,     0,     0,     0,     0,  1398,     0,
       0,     0,  1399,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1397,     0,     0,     0,     0,  1399,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1397,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1399,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1397,     0,     0,     0,  1397,  1397,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1398,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1398,     0,
    1399,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1398,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1398,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1398,     0,     0,
       0,  1398,  1398,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1399,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1399,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1399,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1399,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   731,  1013,   564,  1014,  1015,
    1016,   615,  1017,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,  2427,   217,   218,   219,     0,  1399,
       0,     0,  1018,  1399,  1399,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,  1019,   733,  1020,  1021,     0,
     231,   232,   233,   234,   235,  1022,  1023,   236,   237,  1024,
    1025,   240,     0,   241,   242,   243,   244,  1026,     0,  1027,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,  1028,
    1029,  1030,  1031,  1032,  1033,  1034,   260,   261,   262,   263,
     264,   265,  1035,  1036,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,  2428,     0,   278,
     279,  1037,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1038,   294,   295,
     296,  1039,  1040,   298,     0,   299,  1041,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1042,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1043,  1044,
       0,  1045,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1046,   745,
     344,   746,     0,   345,   346,   347,  1047,  1048,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1049,   747,  1050,   363,   364,   365,  1051,   366,   367,
     748,   368,  1052,  1053,   370,  1054,   372,   373,   374,     0,
     375,     0,     0,  1055,   377,   378,     0,     0,   379,   749,
     750,   751,  1056,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1057,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1058,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1059,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1060,   437,   438,   439,   440,
     753,   441,  1061,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1062,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1063,  1064,     0,
       0,   465,  1065,   467,  1066,  1067,   469,   470,   471,   472,
     473,   474,   475,     0,  1068,   476,   477,   478,   479,   480,
    1069,     0,   481,   482,   483,   484,   485,   486,  1070,  2429,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1071,  1072,  1073,  1074,
    1075,  1076,  1077,  1078,   507,   508,   509,     0,     0,     0,
       0,     0,     0,     0,  1079,  1080,  2430,     0,     0,     0,
       0,     0,     0,  1082,  2431,   731,  1013,   564,  1014,  1015,
    1016,   615,  1017,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,  1018,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,  1019,   733,  1020,  1021,     0,
     231,   232,   233,   234,   235,  1022,  1023,   236,   237,  1024,
    1025,   240,     0,   241,   242,   243,   244,  1026,     0,  1027,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,  1028,
    1029,  1030,  1031,  1032,  1033,  1034,   260,   261,   262,   263,
     264,   265,  1035,  1036,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1037,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1038,   294,   295,
     296,  1039,  1040,   298,     0,   299,  1041,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1042,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1043,  1044,
       0,  1045,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1046,   745,
     344,   746,     0,   345,   346,   347,  1047,  1048,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1049,   747,  1050,   363,   364,   365,  1051,   366,   367,
     748,   368,  1052,  1053,   370,  1054,   372,   373,   374,     0,
     375,     0,     0,  1055,   377,   378,     0,     0,   379,   749,
     750,   751,  1056,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1057,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1058,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1059,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1060,   437,   438,   439,   440,
     753,   441,  1061,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1062,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1063,  1064,     0,
       0,   465,  1065,   467,  1066,  1067,   469,   470,   471,   472,
     473,   474,   475,     0,  1068,   476,   477,   478,   479,   480,
    1069,     0,   481,   482,   483,   484,   485,   486,  1070,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1071,  1072,  1073,  1074,
    1075,  1076,  1077,  1078,   507,   508,   509,     0,     0,     0,
       0,     0,     0,     0,  1079,  1080,   207,     0,     0,     0,
       0,     0,     0,  1082,  2337,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,  3489,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0, -1467,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0, -1467,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324, -1467,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334, -1467,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
   -1467,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361, -1467,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420, -1467,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,  1368,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1159,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,     0,  1369,   733,  1370,  1371,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,  1372,
    1373,   240,     0,   241,   242,   243,   244,     0,     0,   734,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,     0,
       0,     0,   737,     0,     0,     0,   260,   261,   262,   263,
     264,   265,  1374,  1375,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1037,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,     0,   294,   295,
     296,     0,     0,   298,     0,   299,  1376,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
       0,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,  1935,   318,   319,   320,   321,   322,   323,
       0,   324,   741,  1936,   326,   327,   328,   329,  1377,  1378,
       0,  1379,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,     0,   745,
     344,   746,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1380,   747,  1381,   363,   364,     0,     0,   366,   367,
     748,   368,     0,     0,   370,  1382,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,  1937,   749,
     750,   751,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   390,     0,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1383,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
       0,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,  1938,   439,   440,
     753,   441,  1385,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,     0,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1386,  1387,     0,
       0,   465,     0,   467,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,     0,  1388,  1939,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,     0,  1368,     0,     0,     0,
       0,     0,     0,     0,   507,   508,   509,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,  1940,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,     0,  1369,   733,  1370,  1371,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
    1372,  1373,   240,     0,   241,   242,   243,   244,     0,     0,
     734,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
       0,     0,     0,   737,     0,     0,     0,   260,   261,   262,
     263,   264,   265,  1374,  1375,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1037,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,     0,   294,
     295,   296,     0,     0,   298,     0,   299,  1376,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,     0,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,  1935,   318,   319,   320,   321,   322,
     323,     0,   324,   741,  1936,   326,   327,   328,   329,  1377,
    1378,     0,  1379,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,     0,
     745,   344,   746,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1380,   747,  1381,   363,   364,     0,     0,   366,
     367,   748,   368,     0,     0,   370,  1382,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,  1937,
     749,   750,   751,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   390,     0,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1383,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,  1938,   439,
     440,   753,   441,  1385,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,     0,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1386,  1387,
       0,     0,   465,     0,   467,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,     0,  1388,
    1939,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,     0,   731,  1013,   564,
    1014,  1015,  1016,   615,  1017,   507,   508,   509,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,  1018,  2831,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,  1019,   733,  1020,
    1021,  2347,   231,   232,   233,   234,   235,  1022,  1023,   236,
     237,  1024,  1025,   240,     0,   241,   242,   243,   244,  1026,
       0,  1027,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,  1028,  1029,  1030,  1031,  1032,  1033,  1034,   260,   261,
     262,   263,   264,   265,  1035,  1036,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1037,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,  1038,
     294,   295,   296,  1039,  1040,   298,     0,   299,  1041,   301,
       0,   302,     0,   303,   738,  2348,   739,   304,   305,   306,
       0,   307,  1042,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
    1043,  1044,     0,  1045,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,  2349,   342,
    1046,   745,   344,   746,     0,   345,   346,   347,  1047,  1048,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1049,   747,  1050,   363,   364,   365,  1051,
     366,   367,   748,   368,  1052,  1053,   370,  1054,   372,   373,
     374,     0,   375,     0,     0,  1055,   377,   378,     0,     0,
     379,   749,   750,   751,  1056,   381,   382,   383,   384,   385,
     386,   387,     0,   388,  1057,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1058,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,  1059,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,  1060,   437,   438,
     439,   440,   753,   441,  1061,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,  1062,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,  1063,
    1064,     0,  2350,   465,  1065,   467,  1066,  1067,   469,   470,
     471,   472,   473,   474,   475,     0,  1068,   476,   477,   478,
     479,   480,  1069,     0,   481,   482,   483,   484,   485,   486,
    1070,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,  1071,  1072,
    1073,  1074,  1075,  1076,  1077,  1078,   507,   508,   509,     0,
       0,     0,     0,     0,     0,     0,  1079,  1080,     0,     0,
       0,     0,     0,     0,     0,  1082,   731,  1013,   564,  1014,
    1015,  1016,   615,  1017,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,  1018,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,  1019,   733,  1020,  1021,
       0,   231,   232,   233,   234,   235,  1022,  1023,   236,   237,
    1024,  1025,   240,     0,   241,   242,   243,   244,  1026,     0,
    1027,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
    1028,  1029,  1030,  1031,  1032,  1033,  1034,   260,   261,   262,
     263,   264,   265,  1035,  1036,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1037,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,  1038,   294,
     295,   296,  1039,  1040,   298,     0,   299,  1041,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1042,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,  1043,
    1044,     0,  1045,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,  1046,
     745,   344,   746,     0,   345,   346,   347,  1047,  1048,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1049,   747,  1050,   363,   364,   365,  1051,   366,
     367,   748,   368,  1052,  1053,   370,  1054,   372,   373,   374,
       0,   375,     0,     0,  1055,   377,   378,     0,     0,   379,
     749,   750,   751,  1056,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1057,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1058,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,  1059,   424,   425,   426,   427,   428,   429,   430,   431,
      38,   432,   433,   434,   435,   436,  1060,   437,   438,   439,
     440,   753,   441,  1061,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1062,     0,   455,   456,
      42,   457,   458,   459,   460,   461,   462,     0,  1063,  1064,
       0,     0,   465,  1065,   467,  1066,  1067,   469,   470,   471,
     472,   473,   474,   475,     0,  1068,   476,   477,   478,   479,
     480,  1069,     0,   481,   482,   483,   484,   485,   951,  1070,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
      47,   493,   494,   495,   496,   497,   498,  1071,  1072,  1073,
    1074,  1075,  1076,  1077,  1078,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,  1079,  1080,     0,     0,     0,
       0,     0,     0,     0,  1082,   731,  1013,   564,  1014,  1015,
    1016,   615,  1017,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,  1018,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,  1019,   733,  1020,  1021,     0,
     231,   232,   233,   234,   235,  1022,  1023,   236,   237,  1024,
    1025,   240,     0,   241,   242,   243,   244,  1026,     0,  1027,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,  1028,
    1029,  1030,  1031,  1032,  1033,  1034,   260,   261,   262,   263,
     264,   265,  1035,  1036,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1037,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1038,   294,   295,
     296,  1039,  1040,   298,     0,   299,  1041,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1042,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1043,  1044,
       0,  1045,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1046,   745,
     344,   746,     0,   345,   346,   347,  1047,  1048,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1049,   747,  1050,   363,   364,   365,  1051,   366,   367,
     748,   368,  1052,  1053,   370,  1054,   372,   373,   374,     0,
     375,     0,     0,  1055,   377,   378,     0,     0,   379,   749,
     750,   751,  1056,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1057,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1058,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1059,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1060,   437,   438,   439,   440,
     753,   441,  1061,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1062,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1063,  1064,     0,
       0,   465,  1065,   467,  1066,  1067,   469,   470,   471,   472,
     473,   474,   475,     0,  1068,   476,   477,   478,   479,   480,
    1069,     0,   481,   482,   483,   484,   485,   486,  1070,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1071,  1072,  1073,  1074,
    1075,  1076,  1077,  1078,   507,   508,   509,     0,     0,     0,
       0,     0,     0,     0,  1079,  1080,     0,     0,     0,     0,
       0,  1575,  2295,  1082,   731,  1013,   564,  1014,  1015,  1016,
     615,  1017,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,  1018,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,  1019,   733,  1020,  1021,     0,   231,
     232,   233,   234,   235,  1022,  1023,   236,   237,  1024,  1025,
     240,     0,   241,   242,   243,   244,  1026,     0,  1027,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,  1028,  1029,
    1030,  1031,  1032,  1033,  1034,   260,   261,   262,   263,   264,
     265,  1035,  1036,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
    1037,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,  1038,   294,   295,   296,
    1039,  1040,   298,     0,   299,  1041,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,  1042,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,  1043,  1044,     0,
    1045,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,  1046,   745,   344,
     746,     0,   345,   346,   347,  1047,  1048,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1049,   747,  1050,   363,   364,   365,  1051,   366,   367,   748,
     368,  1052,  1053,   370,  1054,   372,   373,   374,     0,   375,
       0,     0,  1055,   377,   378,     0,     0,   379,   749,   750,
     751,  1056,   381,   382,   383,   384,   385,   386,   387,     0,
     388,  1057,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,  1058,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,  1059,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,  1060,   437,   438,   439,   440,   753,
     441,  1061,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,  1062,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,  1063,  1064,     0,     0,
     465,  1065,   467,  1066,  1067,   469,   470,   471,   472,   473,
     474,   475,     0,  1068,   476,   477,   478,   479,   480,  1069,
       0,   481,   482,   483,   484,   485,   486,  1070,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,  1071,  1072,  1073,  1074,  1075,
    1076,  1077,  1078,   507,   508,   509,     0,     0,     0,     0,
       0,     0,     0,  1079,  1080,  1081,     0,     0,     0,     0,
       0,     0,  1082,   731,  1013,   564,  1014,  1015,  1016,   615,
    1017,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
    1018,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,  1019,   733,  1020,  1021,     0,   231,   232,
     233,   234,   235,  1022,  1023,   236,   237,  1024,  1025,   240,
       0,   241,   242,   243,   244,  1026,     0,  1027,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,  1028,  1029,  1030,
    1031,  1032,  1033,  1034,   260,   261,   262,   263,   264,   265,
    1035,  1036,   268,  1151,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1037,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,  1038,   294,   295,   296,  1039,
    1040,   298,     0,   299,  1041,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,  1042,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,  1043,  1044,     0,  1045,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,  1046,   745,   344,   746,
       0,   345,   346,   347,  1047,  1048,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1049,
     747,  1050,   363,   364,   365,  1051,   366,   367,   748,   368,
    1052,  1053,   370,  1054,   372,   373,   374,     0,   375,     0,
       0,  1055,   377,   378,     0,     0,   379,   749,   750,   751,
    1056,   381,   382,   383,   384,   385,   386,   387,     0,   388,
    1057,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1058,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,  1059,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,  1060,   437,   438,   439,   440,   753,   441,
    1061,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,  1062,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1063,  1064,     0,     0,   465,
    1065,   467,  1066,  1067,   469,   470,   471,   472,   473,   474,
     475,     0,  1068,   476,   477,   478,   479,   480,  1069,     0,
     481,   482,   483,   484,   485,   486,  1070,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,  1071,  1072,  1073,  1074,  1075,  1076,
    1077,  1078,   507,   508,   509,     0,     0,     0,     0,     0,
       0,     0,  1079,  1080,     0,     0,     0,     0,     0,     0,
       0,  1082,   731,  1013,   564,  1014,  1015,  1016,   615,  1017,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,  1821,   217,   218,   219,     0,     0,     0,     0,  1018,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,   227,  1019,   733,  1020,  1021,     0,   231,   232,   233,
     234,   235,  1022,  1023,   236,   237,  1024,  1025,   240,     0,
     241,   242,   243,   244,  1026,     0,  1027,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,  1028,  1029,  1030,  1031,
    1032,  1033,  1034,   260,   261,   262,   263,   264,   265,  1035,
    1036,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,  1037,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,  1038,   294,   295,   296,  1039,  1040,
     298,     0,   299,  1041,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,  1042,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,  1043,  1044,     0,  1045,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,  1046,   745,   344,   746,     0,
     345,   346,   347,  1047,  1048,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,  1049,   747,
    1050,   363,   364,   365,  1051,   366,   367,   748,   368,  1052,
    1053,   370,  1054,   372,   373,   374,     0,   375,     0,     0,
    1055,   377,   378,     0,     0,   379,   749,   750,   751,  1056,
     381,   382,   383,   384,   385,   386,   387,     0,   388,  1057,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,  1058,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,  1059,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,  1060,   437,   438,   439,   440,   753,   441,  1061,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,  1062,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,  1063,  1064,     0,     0,   465,  1065,
     467,  1066,  1067,   469,   470,   471,   472,   473,   474,   475,
       0,  1068,   476,   477,   478,   479,   480,  1069,     0,   481,
     482,   483,   484,   485,   486,  1070,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,  1071,  1072,  1073,  1074,  1075,  1076,  1077,
    1078,   507,   508,   509,     0,     0,     0,     0,     0,     0,
       0,  1079,  1080,     0,     0,     0,     0,     0,     0,     0,
    1082,   731,  1013,   564,  1014,  1015,  1016,   615,  1017,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,  1018,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,  1019,   733,  1020,  1021,     0,   231,   232,   233,   234,
     235,  1022,  1023,   236,   237,  1024,  1025,   240,     0,   241,
     242,   243,   244,  1026,     0,  1027,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,  1028,  1029,  1030,  1031,  1032,
    1033,  1034,   260,   261,   262,   263,   264,   265,  1035,  1036,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,  1037,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,  1038,   294,   295,   296,  1039,  1040,   298,
       0,   299,  1041,   301,     0,   302,     0,   303,   738,  2348,
     739,   304,   305,   306,     0,   307,  1042,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,  1043,  1044,     0,  1045,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,  1046,   745,   344,   746,     0,   345,
     346,   347,  1047,  1048,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,  1049,   747,  1050,
     363,   364,   365,  1051,   366,   367,   748,   368,  1052,  1053,
     370,  1054,   372,   373,   374,     0,   375,     0,     0,  1055,
     377,   378,     0,     0,   379,   749,   750,   751,  1056,   381,
     382,   383,   384,   385,   386,   387,     0,   388,  1057,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,  1058,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,  1059,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,  1060,   437,   438,   439,   440,   753,   441,  1061,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,  1062,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,  1063,  1064,     0,     0,   465,  1065,   467,
    1066,  1067,   469,   470,   471,   472,   473,   474,   475,     0,
    1068,   476,   477,   478,   479,   480,  1069,     0,   481,   482,
     483,   484,   485,   486,  1070,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,
     507,   508,   509,     0,     0,     0,     0,     0,     0,     0,
    1079,  1080,     0,     0,     0,     0,     0,     0,     0,  1082,
     731,  1013,   564,  1014,  1015,  1016,   615,  1017,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,  1018,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,   227,
    1019,   733,  1020,  1021,     0,   231,   232,   233,   234,   235,
    1022,  1023,   236,   237,  1024,  1025,   240,     0,   241,   242,
     243,   244,  1026,     0,  1027,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,  1028,  1029,  1030,  1031,  1032,  1033,
    1034,   260,   261,   262,   263,   264,   265,  1035,  1036,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,  1037,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,  1038,   294,   295,   296,  1039,  1040,   298,     0,
     299,  1041,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,  1042,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,  1043,  1044,     0,  1045,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,  1046,   745,   344,   746,     0,   345,   346,
     347,  1047,  1048,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,  1049,   747,  1050,   363,
     364,   365,  1051,   366,   367,   748,   368,  1052,  1053,   370,
    1054,   372,   373,   374,     0,   375,     0,     0,  1055,   377,
     378,     0,     0,   379,   749,   750,   751,  1056,   381,   382,
     383,   384,   385,   386,   387,     0,   388,  1057,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,  1058,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,  1059,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
    1060,   437,   438,   439,   440,   753,   441,  1061,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
    1062,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,  1063,  1064,     0,     0,   465,  1065,   467,  1066,
    1067,   469,   470,   471,   472,   473,   474,   475,     0,  1068,
     476,   477,   478,   479,   480,  1069,     0,   481,   482,   483,
     484,   485,   486,  1070,  3524,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,   507,
     508,   509,     0,     0,     0,     0,     0,     0,     0,  1079,
    1080,     0,     0,     0,     0,     0,     0,     0,  1082,   731,
    1013,   564,  1014,  1015,  1016,   615,  1017,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,  1018,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,  1019,
     733,  1020,  1021,     0,   231,   232,   233,   234,   235,  1022,
    1023,   236,   237,  1024,  1025,   240,     0,   241,   242,   243,
     244,  1026,     0,  1027,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,  1028,  1029,  1030,  1031,  1032,  1033,  1034,
     260,   261,   262,   263,   264,   265,  1035,  1036,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,  1037,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,  1038,   294,   295,   296,  1039,  1040,   298,     0,   299,
    1041,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,  1042,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,  1043,  1044,     0,  1045,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,  1046,   745,   344,   746,     0,   345,   346,   347,
    1047,  1048,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,  1049,   747,  1050,   363,   364,
     365,  1051,   366,   367,   748,   368,  1052,  1053,   370,  1054,
     372,   373,   374,     0,   375,     0,     0,  1055,   377,   378,
       0,     0,   379,   749,   750,   751,  1056,   381,   382,   383,
     384,   385,   386,   387,     0,   388,  1057,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,  1058,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,  1059,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,  1060,
     437,   438,   439,   440,   753,   441,  1061,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,  1062,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,  1063,  1064,     0,     0,   465,  1065,   467,  1066,  1067,
     469,   470,   471,   472,   473,   474,   475,     0,  1068,   476,
     477,   478,   479,   480,  1069,     0,   481,   482,   483,   484,
     485,   486,  1070,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
    1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,   507,   508,
     509,     0,     0,     0,     0,     0,     0,     0,  1079,  1080,
       0,     0,     0,     0,     0,     0,     0,  1082,   731,  1013,
     564,  1014,  1015,  1016,   615,  1017,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,  1018,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,  1019,   733,
    1020,  1021,     0,   231,   232,   233,   234,   235,  1022,  1023,
     236,   237,  1024,  1025,   240,     0,   241,   242,   243,   244,
    1026,     0,  1027,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,  3534,  1028,  1029,  1030,  1031,  1032,  1033,  1034,   260,
     261,   262,   263,   264,   265,  1035,  1036,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,  1037,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
    1038,   294,   295,   296,  1039,  1040,   298,     0,   299,  1041,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,  1042,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,  1043,  1044,     0,  1045,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,  1046,   745,   344,   746,     0,   345,   346,   347,  1047,
    1048,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,  1049,   747,  1050,   363,   364,   365,
    1051,   366,   367,   748,   368,  1052,  1053,   370,  1054,   372,
     373,   374,     0,   375,     0,     0,  1055,   377,   378,     0,
       0,   379,   749,   750,   751,  1056,   381,   382,   383,   384,
     385,   386,   387,     0,   388,  1057,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
    1058,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,  1059,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,  1060,   437,
     438,   439,   440,   753,   441,  1061,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,  1062,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
    1063,  1064,     0,     0,   465,  1065,   467,  1066,  1067,   469,
     470,   471,   472,   473,   474,   475,     0,  1068,   476,   477,
     478,   479,   480,  1069,     0,   481,   482,   483,   484,   485,
     486,  1070,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,  1071,
    1072,  1073,  1074,  1075,  1076,  1077,  1078,   507,   508,   509,
       0,     0,     0,     0,     0,     0,     0,  1079,  1080,     0,
       0,     0,     0,     0,     0,     0,  1082,   731,  1013,   564,
    1014,  1015,  1016,   615,  1017,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,  1018,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,  1019,   733,  1020,
    1021,     0,   231,   232,   233,   234,   235,  1022,  1023,   236,
     237,  1024,  1025,   240,     0,   241,   242,   243,   244,  1026,
       0,  1027,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,  1028,  1029,  1030,  1031,  1032,  1033,  1034,   260,   261,
     262,   263,   264,   265,  1035,  1036,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1037,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,  1038,
     294,   295,   296,  1039,  1040,   298,     0,   299,  1041,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,  1042,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
    1043,  1044,     0,  1045,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
    1046,   745,   344,   746,     0,   345,   346,   347,  1047,  1048,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1049,   747,  1050,   363,   364,   365,  1051,
     366,   367,   748,   368,  1052,  1053,   370,  1054,   372,   373,
     374,     0,   375,     0,     0,  1055,   377,   378,     0,     0,
     379,   749,   750,   751,  1056,   381,   382,   383,   384,   385,
     386,   387,     0,   388,  1057,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1058,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,  1059,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,  1060,   437,   438,
     439,   440,   753,   441,  1061,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,  1062,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,  1063,
    1064,     0,     0,   465,  1065,   467,  1066,  1067,   469,   470,
     471,   472,   473,   474,   475,     0,  1068,   476,   477,   478,
     479,   480,  1069,     0,   481,   482,   483,   484,   485,   486,
    1070,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,  3811,  1071,  1072,
    1073,  1074,  1075,  1076,  1077,  1078,   507,   508,   509,     0,
       0,     0,     0,     0,     0,     0,  1079,  1080,     0,     0,
       0,     0,     0,     0,     0,  1082,   731,  1013,   564,  1014,
    1015,  1016,   615,  1017,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,  1018,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,  1019,   733,  1020,  1021,
       0,   231,   232,   233,   234,   235,  1022,  1023,   236,   237,
    1024,  1025,   240,     0,   241,   242,   243,   244,  1026,     0,
    1027,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
    1028,  1029,  1030,  1031,  1032,  1033,  1034,   260,   261,   262,
     263,   264,   265,  1035,  1036,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1037,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,  1038,   294,
     295,   296,  1039,  1040,   298,     0,   299,  1041,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1042,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,  1043,
    1044,     0,  1045,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,  1046,
     745,   344,   746,     0,   345,   346,   347,  1047,  1048,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1049,   747,  1050,   363,  3820,   365,  1051,   366,
     367,   748,   368,  1052,  1053,   370,  1054,   372,   373,   374,
       0,   375,     0,     0,  1055,   377,   378,     0,     0,   379,
     749,   750,   751,  1056,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1057,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1058,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,  1059,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,  1060,   437,   438,   439,
     440,   753,   441,  1061,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1062,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1063,  1064,
       0,     0,   465,  1065,   467,  1066,  1067,   469,   470,   471,
     472,   473,   474,   475,     0,  1068,   476,   477,   478,   479,
     480,  1069,     0,   481,   482,   483,   484,   485,   486,  1070,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,  1071,  1072,  1073,
    1074,  1075,  1076,  1077,  1078,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,  1079,  1080,     0,     0,     0,
       0,     0,     0,     0,  1082,   731,  1013,   564,  1014,  1015,
    1016,   615,  1017,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,  1018,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,  4360,  1019,   733,  1020,  1021,     0,
     231,   232,   233,   234,   235,  1022,  1023,   236,   237,  1024,
    1025,   240,     0,   241,   242,   243,   244,  1026,     0,  1027,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,  4361,  1028,
    1029,  1030,  1031,  1032,  1033,  1034,   260,   261,   262,   263,
     264,   265,  1035,  1036,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1037,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1038,   294,   295,
     296,  1039,  1040,   298,     0,   299,  1041,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1042,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1043,  1044,
       0,  1045,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1046,   745,
     344,   746,     0,   345,   346,   347,  1047,  1048,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1049,   747,  1050,   363,   364,   365,  1051,   366,   367,
     748,   368,  1052,  1053,   370,  1054,   372,   373,   374,     0,
     375,     0,     0,  1055,   377,   378,     0,     0,   379,   749,
     750,   751,  1056,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1057,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1058,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1059,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1060,   437,   438,   439,   440,
     753,   441,  1061,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1062,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1063,  1064,     0,
       0,   465,  1065,   467,  1066,  1067,   469,   470,   471,   472,
    4362,   474,   475,     0,  1068,   476,   477,   478,   479,   480,
    1069,     0,   481,   482,   483,   484,   485,   486,  1070,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1071,  1072,  1073,  1074,
    1075,  1076,  1077,  1078,   507,   508,   509,     0,     0,     0,
       0,     0,     0,     0,  1079,  1080,     0,     0,     0,     0,
       0,     0,     0,  1082,   731,  1013,   564,  1014,  1015,  1016,
     615,  1017,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,  1018,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,  1019,   733,  1020,  1021,     0,   231,
     232,   233,   234,   235,  1022,  1023,   236,   237,  1024,  1025,
     240,     0,   241,   242,   243,   244,  1026,     0,  1027,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,  4361,  1028,  1029,
    1030,  1031,  1032,  1033,  1034,   260,   261,   262,   263,   264,
     265,  1035,  1036,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
    1037,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,  1038,   294,   295,   296,
    1039,  1040,   298,     0,   299,  1041,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,  1042,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,  1043,  1044,     0,
    1045,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,  1046,   745,   344,
     746,     0,   345,   346,   347,  1047,  1048,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1049,   747,  1050,   363,   364,   365,  1051,   366,   367,   748,
     368,  1052,  1053,   370,  1054,   372,   373,   374,     0,   375,
       0,     0,  1055,   377,   378,     0,     0,   379,   749,   750,
     751,  1056,   381,   382,   383,   384,   385,   386,   387,     0,
     388,  1057,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,  1058,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,  1059,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,  1060,   437,   438,   439,   440,   753,
     441,  1061,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,  1062,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,  1063,  1064,     0,     0,
     465,  1065,   467,  1066,  1067,   469,   470,   471,   472,  4362,
     474,   475,     0,  1068,   476,   477,   478,   479,   480,  1069,
       0,   481,   482,   483,   484,   485,   486,  1070,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,  1071,  1072,  1073,  1074,  1075,
    1076,  1077,  1078,   507,   508,   509,     0,     0,     0,     0,
       0,     0,     0,  1079,  1080,     0,     0,     0,     0,     0,
       0,     0,  1082,   731,  1013,   564,  1014,  1015,  1016,   615,
    1017,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
    1018,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,  1019,   733,  1020,  1021,     0,   231,   232,
     233,   234,   235,  1022,  1023,   236,   237,  1024,  1025,   240,
       0,   241,   242,   243,   244,  1026,     0,  1027,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,  1028,  1029,  1030,
    1031,  1032,  1033,  1034,   260,   261,   262,   263,   264,   265,
    1035,  1036,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1037,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,  1038,   294,   295,   296,  1039,
    1040,   298,     0,   299,  1041,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,  1042,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,  1043,  1044,     0,  1045,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,  1046,   745,   344,   746,
       0,   345,   346,   347,  1047,  1048,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1049,
     747,  1050,   363,   364,   365,     0,   366,   367,   748,   368,
    1052,  1053,   370,  1054,   372,   373,   374,     0,   375,     0,
       0,  1055,   377,   378,     0,     0,   379,   749,   750,   751,
    1056,   381,   382,   383,   384,   385,   386,   387,     0,   388,
    1057,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1058,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,  1059,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,  1060,   437,   438,   439,   440,   753,   441,
    1061,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,  1062,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1063,  1064,     0,     0,   465,
    1065,   467,  1066,  1067,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,  1069,     0,
     481,   482,   483,   484,   485,   486,  1070,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,  1071,  1072,  1073,  1074,  1075,  1076,
    1077,  1078,   507,   508,   509,     0,     0,     0,     0,     0,
       0,     0,  2330,  2331,     0,     0,     0,     0,     0,     0,
       0,  1082,   731,  1013,   564,  1014,  1015,  1016,   615,  1017,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,  1018,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226, -2220,  1019,   733,  1020,  1021,     0,   231,   232,   233,
     234,   235,  1022,  1023,   236,   237,  1024,  1025,   240,     0,
     241,   242,   243,   244,  1026,     0,  1027,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,  4361,  1028,  1029,  1030,  1031,
    1032,  1033,  1034,   260,   261,   262,   263,   264,   265,  1035,
    1036,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,  1037,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,  1038,   294,   295,   296,  1039,  1040,
     298,     0,   299,  1041,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,  1042,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,  1043,  1044,     0,  1045,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,  1046,   745,   344,     0,     0,
     345,   346,   347,  1047,  1048,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,  1049,   747,
    1050,   363,   364,   365,     0,   366,   367,   748,   368,  1052,
    1053,   370,  1054,   372,   373,   374,     0,   375,     0,     0,
    1055,   377,   378,     0,     0,   379,   749,   750,   751,  1056,
     381,   382,   383,   384,   385,   386,   387,     0,   388,  1057,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,  1058,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,  1059,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,  1060,   437,   438,   439,   440,     0,   441,  1061,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,  1062,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,  1063,  1064,     0,     0,   465,  1065,
     467,  1066,  1067,   469,   470,   471,   472,  4362,   474,   475,
       0,  1068,   476,   477,   478,   479,   480,  1069,     0,   481,
     482,   483,   484,   485,   486,  1070,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,  1071,  1072,  1073,  1074,  1075,  1076,  1077,
    1078,   507,   508,   509,     0,     0,     0,     0,     0,     0,
       0,  1079,  1080,     0,     0,   731,  1013,   564,  1014,  1015,
    1082,   615,  1017,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,  1018,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,  1019,   733,  1020,  1021,     0,
     231,   232,   233,   234,   235,  1022,  1023,   236,   237,  1024,
    1025,   240,     0,   241,   242,   243,   244,  1026,     0,  1027,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,  1028,
    1029,  1030,  1031,  1032,  1033,  1034,   260,   261,   262,   263,
     264,   265,  1035,  1036,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1037,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1038,   294,   295,
     296,  1039,  1040,   298,     0,   299,  1041,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1042,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1043,  1044,
       0,  1045,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1046,   745,
     344,   746,     0,   345,   346,   347,  1047,  1048,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1049,   747,  1050,   363,   364,   365,     0,   366,   367,
     748,   368,  1052,  1053,   370,  1054,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,   749,
     750,   751,  1056,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1057,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1058,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1059,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1060,   437,   438,   439,   440,
     753,   441,  1061,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1062,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1063,  1064,     0,
       0,   465,  1065,   467,  1066,  1067,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
    1069,     0,   481,   482,   483,   484,   485,   486,  1070,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1071,  1072,  1073,  1074,
    1075,  1076,  1077,  1078,   507,   508,   509,     0,     0,     0,
       0,     0,     0,   731,  1013,   564,  1014,  1015,     0,   615,
    1017,     0,     0,  1082,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
    1018,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,  1019,   733,  1020,  1021,     0,  3443,   232,
     233,   234,   235,  1022,  1023,   236,   237,  1024,  1025,   240,
       0,   241,   242,   243,   244,  1026,     0,  1027,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,  1028,  1029,  1030,
    1031,  1032,  1033,  1034,   260,   261,   262,   263,   264,   265,
    1035,  1036,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1037,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,  1038,   294,   295,   296,  1039,
    1040,   298,     0,   299,  1041,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,  1042,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,  1043,  1044,     0,  1045,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,  1046,   745,   344,   746,
       0,   345,   346,   347,  1047,  1048,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1049,
     747,  1050,   363,   364,   365,     0,   366,   367,   748,   368,
    1052,  1053,   370,  1054,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,   749,   750,   751,
    1056,   381,   382,   383,   384,   385,   386,   387,     0,   388,
    1057,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1058,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,  1059,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,  1060,   437,   438,   439,   440,   753,   441,
    1061,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,  1062,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1063,  1064,     0,     0,   465,
    1065,   467,  1066,  1067,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,  1069,     0,
     481,   482,   483,   484,   485,   486,  1070,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,  1071,  1072,  1073,  1074,  1075,  1076,
    1077,  1078,   507,   508,   509,     0,     0,     0,     0,     0,
       0,   731,  1013,   564,  1014,  1015,  1016,   615,  1017,     0,
       0,  1082,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,  1018,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
       0,  1019,   733,  1020,  1021,     0,   231,   232,   233,   234,
     235,  1022,  1023,   236,   237,  1024,  1025,   240,     0,   241,
     242,   243,   244,  1026,     0,  1027,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,  1028,  1029,  1030,  1031,  1032,
    1033,  1034,   260,   261,   262,   263,   264,   265,  1035,  1036,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,  1037,   281,   282,
       0,   283,   284,   285,     0,   286,     0,   288,     0,   289,
     290,   291,   292,  1038,   294,   295,   296,  1039,  1040,   298,
       0,   299,  1041,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,  1042,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,  1043,  1044,     0,  1045,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,  1046,   745,   344,     0,     0,   345,
     346,   347,  1047,  1048,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,  1049,   747,  1050,
     363,   364,   365,     0,   366,   367,   748,   368,  1052,  1053,
     370,  1054,   372,   373,   374,     0,   375,     0,     0,  1055,
     377,   378,     0,     0,   379,   749,   750,   751,  1056,   381,
     382,   383,   384,   385,   386,   387,     0,   388,  1057,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,  1058,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,  1059,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,  1060,   437,   438,   439,   440,     0,   441,  1061,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,  1062,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,  1063,  1064,     0,     0,   465,  1065,   467,
    1066,  1067,   469,   470,   471,   472,   473,   474,   475,     0,
    1068,   476,   477,   478,   479,   480,  1069,     0,   481,   482,
     483,   484,   485,   486,  1070,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,
     507,   508,   509,     0,     0,     0,     0,     0,     0,     0,
    1079,  1080,     0,     0,     0,     0,     0,     0,     0,  1082,
     731,  1013,   564,  1014,  1015,  1016,   615,  1017,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,  1018,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,     0,
    1019,   733,  1020,  1021,     0,   231,   232,   233,   234,   235,
    1022,  1023,   236,   237,  1024,  1025,   240,     0,   241,   242,
     243,   244,  1026,     0,  1027,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,  1028,  1029,  1030,  1031,  1032,  1033,
    1034,   260,   261,   262,   263,   264,   265,  1035,  1036,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,  1037,   281,   282,     0,
     283,   284,   285,     0,   286,     0,   288,     0,   289,   290,
     291,   292,  1038,   294,   295,   296,  1039,  1040,   298,     0,
     299,  1041,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,  1042,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,  1043,  1044,     0,  1045,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,  1046,   745,   344,     0,     0,   345,   346,
     347,  1047,  1048,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,  1049,   747,  1050,   363,
     364,   365,     0,   366,   367,   748,   368,  1052,  1053,   370,
    1054,   372,   373,   374,     0,   375,     0,     0,  1055,   377,
     378,     0,     0,   379,   749,   750,   751,  1056,   381,   382,
     383,   384,   385,   386,   387,     0,   388,  1057,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,  1058,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,  1059,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
    1060,   437,   438,   439,   440,     0,   441,  1061,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
    1062,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,  1063,  1064,     0,     0,   465,  1065,   467,  1066,
    1067,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,  1069,     0,   481,   482,   483,
     484,   485,   486,  1070,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,   507,
     508,   509,     0,     0,     0,     0,     0,     0,   731,  2330,
    2331,     0,     0,     0,     0,     0,     0,     0,  1082,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,   228,   733,
     229,   230,     0,   231,   232,   233,   234,   235,     0,  1023,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
    1026,     0,  1027,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,  1028,  1029,  1030,  1031,  1032,  1033,  1034,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,  1039,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,  1042,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,  3018,   340,   341,     0,
     342,  1046,   745,   344,   746,     0,   345,   346,   347,  1047,
    1048,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   747,   362,   363,   364,   365,
       0,   366,   367,   748,   368,     0,  1053,   370,   371,   372,
     373,   374,     0,   375,     0,   696,   376,   377,   378,     0,
       0,   379,   749,   750,   751,  1056,   381,   382,   383,   384,
     385,   386,   387,     0,   388,  1057,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,    38,   432,   433,   434,   435,   436,  1060,   437,
     438,   439,   440,   753,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,  1062,     0,
     455,   456,    42,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,  1065,   467,  1066,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,  1069,     0,   481,   482,   483,   484,   485,
     951,   487,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,    47,   493,   494,   495,   496,   497,   498,  1071,
    1072,  1073,  1074,  1075,  1076,  1077,  1078,   507,   508,   509,
       0,     0,     0,     0,     0,     0,   731,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3019,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,   228,   733,   229,   230,
       0,   231,   232,   233,   234,   235,     0,  1023,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,  1026,     0,
    1027,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
    1028,  1029,  1030,  1031,  1032,  1033,  1034,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,  1039,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1042,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,  3018,   340,   341,     0,   342,  1046,
     745,   344,   746,     0,   345,   346,   347,  1047,  1048,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   747,   362,   363,   364,   365,     0,   366,
     367,   748,   368,     0,  1053,   370,   371,   372,   373,   374,
       0,   375,     0,   696,   376,   377,   378,     0,     0,   379,
     749,   750,   751,  1056,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1057,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,  1060,   437,   438,   439,
     440,   753,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1062,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,  1065,   467,  1066,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,  1069,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,  1071,  1072,  1073,
    1074,  1075,  1076,  1077,  1078,   507,   508,   509,     0,     0,
       0,     0,     0,     0,   731,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3019,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,   228,   733,   229,   230,     0,   231,
     232,   233,   234,   235,     0,  1023,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,  1026,     0,  1027,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,  1028,  1029,
    1030,  1031,  1032,  1033,  1034,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
    1039,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,  1042,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,  1046,   745,   344,
     746,     0,   345,   346,   347,  1047,  1048,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   747,   362,   363,   364,   365,     0,   366,   367,   748,
     368,     0,  1053,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,   749,   750,
     751,  1056,   381,   382,   383,   384,   385,   386,   387,     0,
     388,  1057,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,  1060,   437,   438,   439,   440,   753,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,  1062,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,  1065,   467,  1066,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,  1069,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,  1071,  1072,  1073,  1074,  1075,
    1076,  1077,  1078,   507,   508,   509,     0,     0,     0,     0,
       0,     0,   731,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,   227,   228,   733,   229,   230,     0,   231,   232,   233,
     234,   235,     0,  1023,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,  1026,     0,  1027,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,  1028,  1029,  1030,  1031,
    1032,  1033,  1034,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,  1039,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,  1042,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,  1046,   745,   344,   746,     0,
     345,   346,   347,  1047,  1048,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   747,
     362,   363,   364,   365,     0,   366,   367,   748,   368,     0,
    1053,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,   749,   750,   751,  1056,
     381,   382,   383,   384,   385,   386,   387,     0,   388,  1057,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,  1060,   437,   438,   439,   440,   753,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,  1062,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,  1065,
     467,  1066,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,  1069,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,  1071,  1072,  1073,  1074,  1075,  1076,  1077,
    1078,   507,   508,   509,     0,     0,     0,     0,     0,     0,
     731,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3555,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,   227,
     228,   733,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   734,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,     0,     0,     0,   737,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,   745,   344,   746,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   747,   362,   363,
     364,   365,     0,   366,   367,   748,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,   749,   750,   751,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,   753,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     0,     0,     0,     0,     0,     0,   207,  1265,
     564,     0,     0,     0,   615,     0,     0,     0,  4108,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,  1507,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,  1508,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,  1509,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       0,     0,     0,     0,     0,     0,   207,   627,  1266,  3955,
       0,     0,     0,     0,     0,     0,  3956,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     3,
       4,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
      38,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
      42,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   951,   487,
       0,   488,   952,   489,   490,   491,     0,     0,   492,     0,
      47,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     0,     0,
       0,     0,     0,     0,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    48,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,    38,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,    42,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   951,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,    47,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     0,     0,     0,     0,
       0,     0,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     0,     0,     0,     0,     0,     0,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1135,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     0,     0,     0,     0,     0,     0,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2481,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       0,     0,     0,     0,     0,     0,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3518,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     0,     0,
       0,     0,     0,     0,  1368,  1265,   564,     0,     0,   781,
     615,     0,     0,     0,  3857,   208,   209,   210,   211,   212,
     213,   214,   215,  1710,   217,   218,   219,  1711,  1712,  1713,
    1714,  1715,  1716,  1717,   220,   221,  1718,   222,   223,   732,
     224,   225,   226,     0,  1369,   733,  1370,  1371,  1719,   231,
     232,   233,   234,   235,  1720,  1721,   236,   237,  1372,  1373,
     240,  1722,   241,   242,   243,   244,     0,  1723,   734,  1724,
     246,   247,   248,   249,   735,   250,   251,  1725,   252,   253,
     254,   255,   256,   257,  1726,   736,   258,   259,  1727,  1728,
    1729,   737,  1730,  1731,  1732,   260,   261,   262,   263,   264,
     265,  1374,  1375,   268,  1733,   269,  1734,   270,   271,   272,
     273,   274,  1735,   275,   276,   277,  1736,  1737,   278,   279,
    1037,   281,   282,  1738,   283,   284,   285,  1739,   286,   287,
     288,  1740,   289,   290,   291,   292,     0,   294,   295,   296,
       0,  1741,   298,  1742,   299,  1376,   301,  1743,   302,  1744,
     303,   738,  1745,   739,   304,   305,   306,  1746,   307,     0,
    1747,   309,  1748,   310,   311,   312,   313,   314,   740,   315,
     316,   317,  1749,   318,   319,   320,   321,   322,   323,  1750,
     324,   741,     0,   326,   327,   328,   329,  1377,  1378,  1751,
    1379,  1752,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,  1753,   340,   341,  1754,   342,     0,   745,   344,
     746,  1755,   345,   346,   347,  1756,  1757,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1380,   747,  1381,   363,   364,     0,  1758,   366,   367,   748,
     368,  1759,     0,   370,  1382,   372,   373,   374,  1760,   375,
    1761,  1762,  3242,   377,   378,  1763,  1764,     0,   749,   750,
     751,     0,   381,   382,   383,   384,   385,   386,   387,  1765,
     388,     0,   390,     0,   392,   393,   394,  1766,   395,   396,
     397,   398,   399,   400,   401,   402,  1383,   404,   405,   406,
     407,  1767,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,  1768,   419,   420,   752,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,  1769,   432,
     433,   434,   435,   436,  1770,   437,  1938,   439,   440,   753,
     441,  1385,   443,  1771,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,     0,  1772,   455,   456,  1773,   457,
     458,   459,   460,   461,   462,  1774,  1386,  1387,  1775,  1776,
     465,     0,   467,     0,  1777,   469,   470,   471,   472,   473,
     474,   475,  1778,  1779,   476,   477,   478,   479,   480,  1780,
    1781,   481,   482,   483,   484,   485,     0,  1388,  1782,   488,
     754,   489,   490,   491,  1783,  1784,   492,  1785,  1786,   493,
     494,   495,   496,   497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   507,   508,   509,     0,     0,     0,   784,
     785,   786,     0,  3243,  3244,   789,   790,   791,   792,   207,
       0,     0,     0,     0,   781,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   782,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   783,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     0,     0,     0,   784,   785,   786,     0,   787,   788,
     789,   790,   791,   792,   207,     0,     0,     0,     0,   781,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   874,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   875,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     0,     0,     0,   784,
     785,   786,     0,   787,   788,   789,   790,   791,   792,   207,
       0,     0,     0,     0,   781,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   924,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   925,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   926,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     0,     0,     0,   784,   785,   786,     0,   787,   788,
     789,   790,   791,   792,   207,     0,     0,     0,     0,   781,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,  1353,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,  1354,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     0,     0,     0,   784,
     785,   786,     0,   787,   788,   789,   790,   791,   792,   207,
       0,     0,     0,     0,   781,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     0,     0,     0,   784,   785,   786,     0,   787,   788,
     789,   790,   791,   792,   207,     0,     0,     0,     0,   781,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,  2547,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,  2548,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     0,     0,     0,   784,
     785,   786,     0,   787,   788,   789,   790,   791,   792,   207,
       0,     0,     0,     0,   781,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,  4091,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     0,     0,  1709,   784,   785,   786,     0,   787,   788,
     789,   790,   791,   792,   208,   209,   210,   211,   212,   213,
     214,   215,  1710,   217,   218,   219,  1711,  1712,  1713,  1714,
    1715,  1716,  1717,   220,   221,  1718,   222,   223,   732,   224,
     225,   226,   227,   228,   733,   229,   230,  1719,   231,   232,
     233,   234,   235,  1720,  1721,   236,   237,   238,   239,   240,
    1722,   241,   242,   243,   244,   245,  1723,   734,  1724,   246,
     247,   248,   249,   735,   250,   251,  1725,   252,   253,   254,
     255,   256,   257,  1726,   736,   258,   259,  1727,  1728,  1729,
     737,  1730,  1731,  1732,   260,   261,   262,   263,   264,   265,
     266,   267,   268,  1733,   269,  1734,   270,   271,   272,   273,
     274,  1735,   275,   276,   277,  1736,  1737,   278,   279,   280,
     281,   282,  1738,   283,   284,   285,  1739,   286,   287,   288,
    1740,   289,   290,   291,   292,   293,   294,   295,   296,   297,
    1741,   298,  1742,   299,   300,   301,  1743,   302,  1744,   303,
     738,  1745,   739,   304,   305,   306,  1746,   307,   308,  1747,
     309,  1748,   310,   311,   312,   313,   314,   740,   315,   316,
     317,  1749,   318,   319,   320,   321,   322,   323,  1750,   324,
     741,   325,   326,   327,   328,   329,   330,   331,  1751,   332,
    1752,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,  1753,   340,   341,  1754,   342,   343,   745,   344,   746,
    1755,   345,   346,   347,  1756,  1757,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     747,   362,   363,   364,   365,  1758,   366,   367,   748,   368,
    1759,   369,   370,   371,   372,   373,   374,  1760,   375,  1761,
    1762,   376,   377,   378,  1763,  1764,   379,   749,   750,   751,
     380,   381,   382,   383,   384,   385,   386,   387,  1765,   388,
     389,   390,   391,   392,   393,   394,  1766,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
    1767,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,  1768,   419,   420,   752,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,  1769,   432,   433,
     434,   435,   436,  1770,   437,   438,   439,   440,   753,   441,
     442,   443,  1771,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  1772,   455,   456,  1773,   457,   458,
     459,   460,   461,   462,  1774,   463,   464,  1775,  1776,   465,
     466,   467,   468,  1777,   469,   470,   471,   472,   473,   474,
     475,  1778,  1779,   476,   477,   478,   479,   480,  1780,  1781,
     481,   482,   483,   484,   485,   486,   487,  1782,   488,   754,
     489,   490,   491,  1783,  1784,   492,  1785,  1786,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,  1787,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,   701,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,  1368,
       0,     0,     0,     0,     0,     0,     0,     0,  4132,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,     0,  1369,
     733,  1370,  1371,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,  1372,  1373,   240,     0,   241,   242,   243,
     244,     0,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,  1374,  1375,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,  1037,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,     0,   294,   295,   296,     0,     0,   298,     0,   299,
    1376,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,     0,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,     0,   326,   327,
     328,   329,  1377,  1378,     0,  1379,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,     0,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,  1380,   747,  1381,   363,   364,
       0,     0,   366,   367,   748,   368,     0,     0,   370,  1382,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,     0,   749,   750,   751,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   390,     0,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,  1383,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,     0,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,  1384,   439,   440,   753,   441,  1385,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,     0,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,  1386,  1387,     0,     0,   465,     0,   467,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,     0,  1388,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,     0,
       0,  2090,     0,     0,     0,     0,     0,     0,   507,   508,
     509,     0,   208,   209,   210,   211,   212,   213,   214,   215,
    1845,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
       0,  1369,   733,  1370,  1371,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,  1372,  1373,   240,     0,   241,
     242,   243,   244,     0,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,     0,   260,   261,   262,   263,   264,   265,  1374,  1375,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,  1037,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,     0,   294,   295,   296,     0,     0,   298,
       0,   299,  1376,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,     0,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,     0,
     326,   327,   328,   329,  1377,  1378,     0,  1379,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,     0,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,  1380,   747,  1381,
     363,   364,     0,     0,   366,   367,   748,   368,     0,     0,
     370,  1382,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,     0,   749,   750,   751,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   390,
       0,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,  1383,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,     0,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,  1384,   439,   440,   753,   441,  1385,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,     0,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,  1386,  1387,     0,     0,   465,     0,   467,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,     0,  1388,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,     0,     0,   207,  1265,   564,     0,     0,     0,   615,
     507,   508,   509,     0,   208,   209,   210,   211,   212,   213,
     214,   215,  1845,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,  1699,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
    1507,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,  1508,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,  1509,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,  1265,   564,     0,     0,
       0,   615,   627,  1266,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,  1704,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,  1507,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,  1508,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,  1509,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,  1265,   564,
       0,     0,     0,   615,   627,  1266,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,  1507,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,  1508,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,  1509,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,   615,   627,  1266,     0,     0,
     208,   616,   210,   211,   212,   213,   214,   215,   617,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   618,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   619,
     300,   301,     0,   302,     0,   620,     0,   621,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,   622,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   623,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   624,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   625,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   626,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,  1709,  4419,   564,     0,     0,     0,   615,   627,   628,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
    1710,   217,   218,   219,  1711,  1712,  1713,  1714,  1715,  1716,
    1717,   220,   221,  1718,   222,   223,   732,   224,   225,   226,
     227,   228,   733,   229,   230,  1719,   231,   232,   233,   234,
     235,  1720,  1721,   236,   237,   238,   239,   240,  1722,   241,
     242,   243,   244,   245,  1723,   734,  1724,   246,   247,   248,
     249,   735,   250,   251,  1725,   252,   253,   254,   255,   256,
     257,  1726,   736,   258,   259,  1727,  1728,  1729,   737,  1730,
    1731,  1732,   260,   261,   262,   263,   264,   265,   266,   267,
     268,  1733,   269,  1734,   270,   271,   272,   273,   274,  1735,
     275,   276,   277,  1736,  1737,   278,   279,   280,   281,   282,
    1738,   283,   284,   285,  1739,   286,   287,   288,  1740,   289,
     290,   291,   292,   293,   294,   295,   296,   297,  1741,   298,
    1742,   299,   300,   301,  1743,   302,  1744,   303,   738,  1745,
     739,   304,   305,   306,  1746,   307,   308,  1747,   309,  1748,
     310,   311,   312,   313,   314,   740,   315,   316,   317,  1749,
     318,   319,   320,   321,   322,   323,  1750,   324,   741,   325,
     326,   327,   328,   329,   330,   331,  1751,   332,  1752,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,  1753,
     340,   341,  1754,   342,   343,   745,   344,   746,  1755,   345,
     346,   347,  1756,  1757,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   747,   362,
     363,   364,   365,  1758,   366,   367,   748,   368,  1759,   369,
     370,   371,   372,   373,   374,  1760,   375,  1761,  1762,   376,
     377,   378,  1763,  1764,   379,   749,   750,   751,   380,   381,
     382,   383,   384,   385,   386,   387,  1765,   388,   389,   390,
     391,   392,   393,   394,  1766,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,  1767,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
    1768,   419,   420,   752,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,  1769,   432,   433,   434,   435,
     436,  1770,   437,   438,   439,   440,   753,   441,   442,   443,
    1771,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,  1772,   455,   456,  1773,   457,   458,   459,   460,
     461,   462,  1774,   463,   464,  1775,  1776,   465,   466,   467,
     468,  1777,   469,   470,   471,   472,   473,   474,   475,  1778,
    1779,   476,   477,   478,   479,   480,  1780,  1781,   481,   482,
     483,   484,   485,   486,   487,  1782,   488,   754,   489,   490,
     491,  1783,  1784,   492,  1785,  1786,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,  1709,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,  1710,   217,   218,   219,  1711,  1712,  1713,  1714,
    1715,  1716,  1717,   220,   221,  1718,   222,   223,   732,   224,
     225,   226,   227,   228,   733,   229,   230,  1719,   231,   232,
     233,   234,   235,  1720,  1721,   236,   237,   238,   239,   240,
    1722,   241,   242,   243,   244,   245,  1723,   734,  1724,   246,
     247,   248,   249,   735,   250,   251,  1725,   252,   253,   254,
     255,   256,   257,  1726,   736,   258,   259,  1727,  1728,  1729,
     737,  1730,  1731,  1732,   260,   261,   262,   263,   264,   265,
     266,   267,   268,  1733,   269,  1734,   270,   271,   272,   273,
     274,  1735,   275,   276,   277,  1736,  1737,   278,   279,   280,
     281,   282,  1738,   283,   284,   285,  1739,   286,   287,   288,
    1740,   289,   290,   291,   292,   293,   294,   295,   296,   297,
    1741,   298,  1742,   299,   300,   301,  1743,   302,  1744,   303,
     738,  1745,   739,   304,   305,   306,  1746,   307,   308,  1747,
     309,  1748,   310,   311,   312,   313,   314,   740,   315,   316,
     317,  1749,   318,   319,   320,   321,   322,   323,  1750,   324,
     741,   325,   326,   327,   328,   329,   330,   331,  1751,   332,
    1752,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,  1753,   340,   341,  1754,   342,   343,   745,   344,   746,
    1755,   345,   346,   347,  1756,  1757,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     747,   362,   363,   364,   365,  1758,   366,   367,   748,   368,
    1759,   369,   370,   371,   372,   373,   374,  1760,   375,  1761,
    1762,   376,   377,   378,  1763,  1764,   379,   749,   750,   751,
     380,   381,   382,   383,   384,   385,   386,   387,  1765,   388,
     389,   390,   391,   392,   393,   394,  1766,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
    1767,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,  1768,   419,   420,   752,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,  1769,   432,   433,
     434,   435,   436,  1770,   437,   438,   439,   440,   753,   441,
     442,   443,  1771,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  1772,   455,   456,  1773,   457,   458,
     459,   460,   461,   462,  1774,   463,   464,  1775,  1776,   465,
     466,   467,   468,  1777,   469,   470,   471,   472,   473,   474,
     475,  1778,  1779,   476,   477,   478,   479,   480,  1780,  1781,
     481,   482,   483,   484,   485,   486,   487,  1782,   488,   754,
     489,   490,   491,  1783,  1784,   492,  1785,  1786,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,  1709,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
    2612,   213,   214,   215,  1710,   217,   218,   219,  1711,  1712,
    1713,  1714,  1715,  1716,  1717,   220,   221,  1718,   222,   223,
     732,   224,   225,   226,   227,   228,   733,   229,   230,  1719,
     231,   232,   233,   234,   235,  1720,  1721,   236,   237,   238,
     239,   240,  1722,   241,   242,   243,   244,   245,  1723,   734,
    1724,   246,   247,   248,   249,   735,   250,   251,  1725,   252,
     253,   254,   255,   256,   257,  1726,   736,   258,   259,  1727,
    1728,  1729,   737,  1730,  1731,  1732,   260,   261,   262,   263,
     264,   265,   266,   267,   268,  1733,   269,  1734,   270,   271,
     272,   273,   274,  1735,   275,   276,   277,  1736,  1737,   278,
     279,   280,  2613,   282,  1738,   283,   284,   285,  1739,   286,
     287,   288,  1740,   289,   290,   291,   292,   293,   294,   295,
     296,   297,  1741,   298,  1742,   299,   300,   301,  1743,   302,
    1744,   303,   738,  1745,   739,   304,   305,   306,  1746,   307,
     308,  1747,   309,  1748,   310,   311,   312,   313,   314,   740,
     315,   316,   317,  1749,   318,   319,   320,   321,   322,   323,
    1750,   324,   741,   325,   326,   327,   328,   329,   330,   331,
    1751,   332,  1752,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,  1753,   340,   341,  1754,   342,   343,   745,
     344,   746,  1755,   345,   346,   347,  1756,  1757,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   747,   362,   363,   364,   365,  1758,   366,   367,
     748,   368,  1759,   369,   370,   371,   372,   373,   374,  1760,
     375,  1761,  1762,   376,   377,   378,  1763,  1764,   379,   749,
     750,   751,   380,   381,   382,   383,   384,   385,   386,   387,
    1765,   388,   389,   390,   391,   392,   393,   394,  1766,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,  1767,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,  1768,   419,   420,   752,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,  1769,
     432,   433,   434,   435,   436,  1770,  2614,   438,   439,   440,
     753,   441,   442,   443,  1771,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,  1772,   455,   456,  1773,
     457,   458,   459,   460,   461,   462,  1774,   463,   464,  1775,
    1776,   465,   466,   467,   468,  1777,   469,   470,   471,   472,
     473,   474,   475,  1778,  1779,   476,   477,   478,   479,   480,
    1780,  1781,   481,   482,   483,   484,   485,   486,   487,  1782,
     488,   754,   489,   490,   491,  1783,  1784,   492,  1785,  1786,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   731,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,     0,
     366,   367,   748,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,   749,   750,   751,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,   753,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   731,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,   228,
     733,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   907,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   747,   362,   363,   364,
     365,     0,   366,   367,   748,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,   749,   750,   751,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,   753,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   731,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,   228,   733,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   917,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   747,   362,
     363,   364,   365,     0,   366,   367,   748,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,   749,   750,   751,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,   753,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
    1869,   241,   242,   243,   244,   245,     0,     0,  1951,   246,
     247,   248,   249,     0,   250,   251,  1870,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,  1952,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,  1872,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,  1873,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,  1874,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,  1869,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,  1870,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,  1952,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
    1872,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,  2778,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,  1873,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,  1874,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   666,   214,   215,   634,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,   635,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
     667,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   636,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   637,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,   634,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,   635,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,  2509,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   636,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   637,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,  1869,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,  1870,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,  1952,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,  1872,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,  1873,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
    1874,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,   634,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,   635,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     636,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   637,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,   564,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,  1507,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,  1508,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,  1509,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,  1534,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,  1535,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,  1536,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,  1537,   303,     0,     0,     0,  1538,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,  1539,  1540,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,  1541,   428,   429,   430,
     431,     0,  1542,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,  1543,   457,  1544,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
    1545,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,   635,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   636,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   637,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     3,     4,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   952,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,   564,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,  1684,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,  2047,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
    2048,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       3,     4,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,  2596,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,  2597,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
    2608,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,  2609,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,   556,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   557,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,   660,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   661,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   662,
     464,     0,     0,   663,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,   690,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   691,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   692,   464,     0,     0,   693,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,   696,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,   797,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   804,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,   696,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,   900,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,   564,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
    1110,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,  1121,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   677,   237,   238,   239,  1122,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   680,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   681,   422,   423,   424,
     425,   426,   682,   428,   429,   430,   431,     0,   432,   433,
     434,   435,  1114,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   684,   464,     0,     0,   685,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   686,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,  1220,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,   696,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,   564,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
    1497,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,  2416,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,  2417,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,  2418,   457,   458,  2419,   460,  2420,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,  2421,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,  2878,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,  3489,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,  3503,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,  3710,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,  3712,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,  3714,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,  4094,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   649,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   658,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   677,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   678,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   679,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   680,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   681,   422,   423,   424,   425,   426,
     682,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     683,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   684,   464,     0,     0,   685,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     686,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   708,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   777,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     801,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   810,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   812,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   865,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   879,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   887,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   912,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   919,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   929,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   931,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     933,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   935,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   938,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   940,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   941,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   944,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   677,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   680,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     681,   422,   423,   424,   425,   426,   682,   428,   429,   430,
     431,     0,   432,   433,   434,   435,  1114,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   684,
     464,     0,     0,   685,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   686,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,  1269,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,  1414,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,  1444,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,  1473,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
    1475,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,  1477,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,  1569,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,  1842,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,     0,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   677,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     680,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   681,   422,
     423,   424,   425,   426,   682,   428,   429,   430,   431,     0,
     432,   433,   434,   435,  1114,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,  1860,   459,   460,   461,   462,     0,   684,   464,     0,
       0,   685,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   686,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   677,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   680,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     681,   422,   423,   424,   425,   426,  1927,   428,   429,   430,
     431,     0,   432,   433,   434,   435,  1928,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   684,
     464,     0,     0,  1929,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   686,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,  2187,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,  2520,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   677,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   680,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   681,   422,   423,   424,
     425,   426,   682,   428,   429,   430,   431,     0,   432,   433,
     434,   435,  1928,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   684,   464,     0,     0,  1929,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   686,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,  1368,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,     0,  1369,   733,  1370,  1371,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,  1372,
    1373,   240,     0,   241,   242,   243,   244,     0,     0,   734,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,     0,
       0,     0,   737,     0,     0,     0,   260,   261,   262,   263,
     264,   265,  1374,  1375,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1037,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,     0,   294,   295,
     296,     0,     0,   298,     0,   299,  1376,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
       0,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,  1935,   318,   319,   320,   321,   322,   323,
       0,   324,   741,  1936,   326,   327,   328,   329,  1377,  1378,
       0,  1379,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,     0,   745,
     344,   746,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1380,   747,  1381,   363,   364,     0,     0,   366,   367,
     748,   368,     0,     0,   370,  1382,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,  1937,   749,
     750,   751,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   390,     0,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1383,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
       0,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,  1938,   439,   440,
     753,   441,  1385,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,     0,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1386,  1387,     0,
       0,   465,     0,   467,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,     0,  1388,  1939,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,     0,   207,     0,     0,     0,
       0,     0,     0,     0,   507,   508,   509,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,  2599,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,  2601,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,  2699,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,  1368,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,     0,  1369,   733,  1370,  1371,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,  1372,  1373,   240,     0,
     241,   242,   243,   244,     0,     0,   734,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,     0,     0,     0,   737,
       0,     0,     0,   260,   261,   262,   263,   264,   265,  1374,
    1375,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,  1037,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,     0,   294,   295,   296,     0,     0,
     298,     0,   299,  1376,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,     0,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
       0,   326,   327,   328,   329,  1377,  1378,     0,  1379,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,     0,   745,   344,   746,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,  1380,   747,
    1381,   363,   364,     0,     0,   366,   367,   748,   368,  1923,
       0,   370,  1382,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,     0,   749,   750,   751,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     390,     0,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,  1383,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,  1938,   439,   440,   753,   441,  1385,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,     0,     0,   455,   456,  3352,   457,   458,   459,
     460,   461,   462,     0,  1386,  1387,     0,     0,   465,     0,
     467,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,     0,  1388,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,     0,  1368,     0,     0,     0,     0,     0,     0,
       0,   507,   508,   509,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,     0,  1369,   733,  1370,  1371,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,  1372,  1373,   240,
       0,   241,   242,   243,   244,     0,     0,   734,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,     0,     0,     0,
     737,     0,     0,     0,   260,   261,   262,   263,   264,   265,
    1374,  1375,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1037,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,     0,   294,   295,   296,     0,
       0,   298,     0,   299,  1376,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,     0,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,     0,   326,   327,   328,   329,  1377,  1378,     0,  1379,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,     0,   745,   344,   746,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1380,
     747,  1381,   363,   364,  1990,     0,   366,   367,   748,   368,
       0,     0,   370,  1382,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,     0,   749,   750,   751,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   390,     0,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1383,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,     0,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,  1384,   439,   440,   753,   441,
    1385,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,     0,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1386,  1387,     0,     0,   465,
       0,   467,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,     0,  1388,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,     0,  1368,     0,     0,     0,     0,     0,
       0,     0,   507,   508,   509,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,     0,  1369,   733,  1370,  1371,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,  1372,  1373,
     240,     0,   241,   242,   243,   244,     0,     0,   734,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,     0,     0,
       0,   737,     0,     0,     0,   260,   261,   262,   263,   264,
     265,  1374,  1375,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
    1037,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,     0,   294,   295,   296,
       0,     0,   298,     0,   299,  1376,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,     0,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,     0,   326,   327,   328,   329,  1377,  1378,     0,
    1379,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,     0,   745,   344,
     746,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1380,   747,  1381,   363,   364,  3180,     0,   366,   367,   748,
     368,     0,     0,   370,  1382,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,     0,   749,   750,
     751,     0,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   390,     0,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,  1383,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,  1384,   439,   440,   753,
     441,  1385,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,     0,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,  1386,  1387,     0,     0,
     465,     0,   467,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,     0,  1388,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,     0,   207,     0,     0,     0,     0,
       0,     0,     0,   507,   508,   509,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,     0,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,     0,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,     0,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,  1368,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,     0,  1369,   733,  1370,
    1371,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,  1372,  1373,   240,     0,   241,   242,   243,   244,     0,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,  1374,  1375,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1037,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,     0,
     294,   295,   296,     0,     0,   298,     0,   299,  1376,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,     0,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,     0,   326,   327,   328,   329,
    1377,  1378,     0,  1379,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
       0,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1380,   747,  1381,   363,   364,     0,     0,
     366,   367,   748,   368,     0,     0,   370,  1382,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
       0,   749,   750,   751,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   390,     0,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1383,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,     0,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,  1384,
     439,   440,   753,   441,  1385,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,     0,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,  1386,
    1387,     0,     0,   465,     0,   467,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,     0,
    1388,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,     0,  1368,     0,
       0,     0,     0,     0,     0,     0,   507,   508,   509,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,     0,  1369,   733,
    1370,  1371,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,  1372,  1373,   240,     0,   241,   242,   243,   244,
       0,     0,   734,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,     0,     0,     0,   737,     0,     0,     0,   260,
     261,   262,   263,   264,   265,  1374,  1375,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,  1037,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
       0,   294,   295,   296,     0,     0,   298,     0,   299,  1376,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,     0,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,     0,   326,   327,   328,
     329,  1377,  1378,     0,  1379,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,     0,   745,   344,   746,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,  1380,   747,  1381,   363,   364,     0,
       0,   366,   367,   748,   368,     0,     0,   370,  1382,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,     0,   749,   750,   751,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   390,     0,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
    1383,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
    1938,   439,   440,   753,   441,  1385,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,     0,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
    1386,  1387,     0,     0,   465,     0,   467,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
       0,  1388,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,     0,  1368,
       0,     0,     0,     0,     0,     0,     0,   507,   508,   509,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,     0,  1369,
     733,  1370,  1371,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,  1372,  1373,   240,     0,   241,   242,   243,
     244,     0,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,  1374,  1375,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,  1037,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,     0,   294,   295,   296,     0,     0,   298,     0,   299,
    1376,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,     0,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,     0,   326,   327,
     328,   329,  1377,  1378,     0,  1379,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,     0,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,  1380,   747,  1381,   363,   364,
       0,     0,   366,   367,   748,   368,     0,     0,   370,  1382,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,     0,   749,   750,   751,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   390,     0,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,  1383,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,     0,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,     0,   439,   440,   753,   441,  1385,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,     0,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,  1386,  1387,     0,     0,   465,     0,   467,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,     0,  1388,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,     0,
    1368,     0,     0,     0,     0,     0,     0,     0,   507,   508,
     509,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,     0,
       0,   733,     0,     0,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,     0,     0,   240,     0,   241,   242,
     243,   244,     0,     0,   734,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,     0,     0,     0,   737,     0,     0,
       0,   260,   261,   262,   263,   264,   265,     0,     0,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,     0,   294,   295,   296,     0,     0,   298,     0,
     299,     0,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,     0,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,     0,   326,
     327,   328,   329,     0,     0,     0,     0,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,     0,   745,   344,   746,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,     0,   747,     0,   363,
     364,     0,     0,   366,   367,   748,   368,     0,     0,   370,
       0,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,     0,   749,   750,   751,     0,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   390,     0,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,     0,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,     0,   439,   440,   753,   441,     0,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
       0,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,     0,     0,     0,     0,   465,     0,   467,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,     0,     0,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   507,
     508,   509
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    16,   537,    48,   169,
     177,    11,   918,   725,    24,    34,    21,   678,     7,   186,
      20,    26,    20,   956,   922,    14,   730,   927,   565,   635,
     636,   637,   798,   191,  1206,   641,  1241,   756,   820,    12,
     978,  1538,   803,   992,  1141,   811,   857,  1006,    48,    21,
    1064,  1640,  1139,   583,    26,  1384,  1943,  1944,   876,  2271,
    1250,   187,   685,  1341,    42,  2130,  2562,   193,   886,  2122,
    1139,    17,    43,   528,  1246,    22,  1401,   203,  1440,  2612,
    2839,  2614,  1035,  1036,  2431,  1241,  1989,    34,  1259,  2828,
    1297,  1575,  1189,  1139,  3051,  1162,   862,   908,  1802,  2739,
     866,  1054,  2038,  2249,  3138,   871,  1193,  3353,   779,    20,
    3083,  2757,   878,  2429,  2818,  1305,  3332,  2757,   947,   574,
       0,  2481,   888,   602,  1193,  3025,  2776,   156,  1246,     0,
     178,   179,   171,  1495,   182,  3290,   184,  2427,  2428,  1310,
    1311,  3090,  2364,     0,   681,     0,     0,  1193,   802,     0,
       0,   805,     0,     0,   202,     0,     0,  1233,     0,   813,
      39,  3560,     0,  1193,   811,  3759,  1443,  3061,   773,  3024,
    2956,   171,     0,  1451,   722,  3342,     9,    44,  2761,  2762,
    2763,  2764,  2765,  2766,   722,  3019,  2425,    18,    51,    58,
       0,     0,    31,     5,    37,  2083,    25,     0,    51,    51,
       5,    13,  3890,   103,   103,    37,     0,    26,    27,    35,
       5,     0,   151,   146,    22,    51,   105,    35,   171,   127,
     198,    29,  2125,     5,   152,   151,    96,     5,     9,    25,
      22,  4024,   157,   103,  4017,  2474,    76,    29,  1024,  1025,
       5,   122,   108,    22,   151,   110,   108,     5,    13,   855,
      29,     5,     5,  1082,   151,     5,    60,    72,     5,    13,
    4096,  4097,    96,   154,  1050,  2487,   130,     5,   245,     5,
      68,  3970,    18,     5,    83,     0,     5,    68,     5,    64,
      58,   248,   245,    23,     9,   956,   580,     4,   164,   120,
     278,   585,     9,  2196,    83,  2198,    11,    22,   105,   103,
     255,   595,   233,   159,  3253,     0,    34,    68,    68,   324,
     840,   146,   222,   288,     9,    76,   275,  1404,   184,   143,
      32,   103,    58,   151,   188,    11,   142,    22,    28,   188,
      51,   150,   153,   152,    83,  1404,     9,   196,  1998,   107,
       5,   151,    22,   171,  1126,   204,   222,   156,   151,    11,
      36,   308,   255,   359,     4,  3914,   523,   151,  1404,     9,
     284,   171,    78,   132,  1083,   235,   418,   156,   171,   151,
       5,   105,   296,  1387,   120,   283,  3681,   171,  3683,   537,
      66,   433,  3687,     4,  3689,  3944,    79,   859,     9,  1108,
      66,   255,  2052,   399,   210,   108,   320,   233,    11,   111,
     359,   117,   569,   172,  1901,   315,   943,   156,   232,   535,
    3565,   314,   579,   539,    68,  4009,   391,   317,   433,    68,
     377,  1374,  1375,   191,   550,   583,   151,  1609,   319,  1382,
     251,   235,   134,   240,   134,   115,   240,  4136,   301,   315,
     399,  1623,   170,   431,  1350,   185,   171,   347,   301,   301,
     306,   317,   383,  1124,   431,  1355,   151,   348,  1129,  1130,
     194,   171,   297,   248,   431,   301,   190,   337,   431,   298,
     340,   184,   276,  1010,  4310,    11,   171,  1574,   526,   958,
     435,   310,   530,     5,    11,   385,   290,   321,   324,  1671,
    2330,  2331,   381,   302,  3077,  2335,   435,   397,   431,   547,
      36,   235,   298,   431,   151,   431,  4289,   371,   518,    36,
     435,   377,   393,   302,   379,   377,  3162,   357,   344,   418,
     992,    30,  3162,   431,   332,   357,   344,  1293,   435,  1295,
      66,   431,   361,  1344,  4222,  2375,  2376,  1634,   435,    66,
     332,   384,  1303,   338,   339,  3761,   377,  1365,     8,   295,
     284,    11,  1223,   332,   369,   565,   566,  1339,  1645,   357,
    1231,   431,   431,   603,   431,   725,   357,  1221,   372,  3724,
     389,   517,   435,  3312,     8,   357,  1645,    11,   607,   192,
     301,  1678,   435,   435,  1121,  3485,  1372,  1373,   397,   422,
     423,  1529,   431,   398,   103,  1381,   357,   357,   431,  1645,
    4393,  1499,   602,   603,   602,  3554,   434,   300,   397,  1938,
    2513,   616,   417,   618,  1285,   620,  1270,  1288,  1289,   431,
    3775,   626,  1947,   432,   434,   434,   431,  3413,   601,  3484,
    1277,   434,  1180,  1280,   928,  1240,   418,  3341,  1536,   649,
     434,   630,  1180,   432,   616,   434,   618,  1545,   620,   430,
    3544,   433,   388,   431,   626,   627,   628,   516,   825,  3493,
     670,   388,   521,  3497,   377,   192,   431,   677,   646,   836,
     680,   681,   682,   431,   934,   714,  3326,   431,   431,   429,
    1351,   431,   840,   433,   431,   945,  4280,  3034,  3271,  4088,
     984,   393,   603,   431,  2581,   431,  2583,   422,   423,   431,
     994,   435,   431,   357,   431,   422,   423,    22,   357,   434,
     357,   435,   427,  1007,   714,  1187,   716,   716,   716,   716,
     716,   716,   700,  3039,  1914,   435,  2003,   422,   423,   896,
    3885,  2796,   192,   398,   782,   783,   258,  3892,  1943,   434,
       5,   427,   435,     5,  1573,  1275,  1575,   397,    96,   422,
     423,   729,   417,   429,  4348,    96,  1585,   433,   192,   249,
    1589,   714,   424,   425,   426,   427,   431,  1854,  1597,  1598,
     389,   418,   422,   423,    96,   160,   133,    18,    42,  3018,
    3019,  1610,  1611,    18,   108,  1854,   433,   249,     5,    24,
      96,   251,  1621,   704,   772,  1985,    96,   233,   657,   151,
     679,  1273,   133,   145,   683,   853,   103,   779,  1854,   422,
     423,   424,   425,   426,   427,  1601,  1602,   251,     8,   678,
     152,  2724,  2725,   347,  1854,   103,   874,   875,     5,    97,
      60,  2719,     5,  1951,  2722,  2723,   716,   696,  2726,   153,
    4007,  1447,   245,  3065,  2732,   716,   894,     3,  3087,     5,
       5,  2440,  2739,   250,    16,    74,  1932,   261,   717,   716,
     184,   716,   716,  1157,    60,   716,   716,  3363,   716,   716,
    2757,   716,   716,  1345,   716,  2564,   924,   925,   716,   120,
      76,  1542,  1543,   763,   262,   120,   103,  1974,   424,   425,
     426,   427,  1364,   112,   220,   422,   423,   424,   425,   426,
     427,   131,  1971,   167,   153,  1974,   174,   171,    96,   418,
     160,   151,  1631,     3,     4,     5,   255,   295,   148,     9,
     429,   780,   431,   432,   433,  1971,   435,   308,  1974,   271,
     197,   811,   264,   943,    18,   131,   198,  1409,   235,   429,
      24,  4187,    98,   433,  3844,   209,   956,    95,   255,  1479,
    2837,   160,   148,   899,   269,  4171,  2163,   235,   958,  3857,
     958,  3859,   422,   423,   424,   425,   426,   427,    98,   326,
    2175,   133,   961,    98,   963,   240,   965,   413,   967,   989,
     969,   970,   971,   233,   956,   419,   420,   976,   422,   423,
     424,   425,   426,   427,  1466,   326,   310,   329,   383,   347,
    1010,   310,   251,   253,   401,   357,   347,   103,   164,   868,
    4177,  3750,  1467,   103,  3848,   312,  3775,    11,  1018,  3853,
      74,   262,  3856,  3972,   233,   347,  1505,   262,   431,   235,
    2117,   890,   891,   892,   164,   350,   120,   352,  1038,   164,
     364,   347,  1082,   297,   263,   233,   276,   347,  2117,  3753,
     431,   365,   361,   377,   295,    26,    27,   359,   112,  3592,
     295,   251,   142,   240,   328,  4281,   222,   240,  1068,   225,
     107,  2117,   312,   221,  1084,   223,   282,  1607,   346,   347,
     276,    18,  1082,   324,  1094,   240,  2775,   154,   310,   324,
      22,   340,   222,   432,  1104,   225,   435,   222,  2938,   189,
     225,  2941,  2942,  2943,  2944,  2945,  2946,  2947,  2948,  2949,
    2950,  1121,    83,  4086,  1124,  1125,    18,  1275,  1172,  1129,
    1130,  1150,    24,   213,   983,   432,  1165,  1166,   435,  1168,
     210,   102,   351,   383,   379,  4290,   995,   398,    70,   361,
    4174,   382,   372,   397,   240,    77,   308,  1006,  2330,  2331,
     390,  4100,  1124,  2335,   191,  2108,   417,  1129,  1130,   315,
    3000,  3001,   262,   134,   326,  1165,  1166,   247,  1168,  3516,
    4068,  1643,   104,    44,   383,  1836,   372,  1471,   262,  3526,
    4347,   435,  3542,   120,  4351,   315,   431,   192,  1482,   317,
     315,   108,     5,  2375,  2376,   295,  3512,   155,   192,  1325,
    1494,  1461,    20,   120,  1182,  3893,     5,  1255,  3524,   263,
    1470,   295,  1165,  1166,  1474,  1168,  2034,  3507,   120,   347,
    1480,  1481,    40,    94,    11,  4392,   379,   134,   418,   419,
     420,  4065,   422,   423,   424,   425,   426,   427,  1498,   432,
     324,  1535,   435,   175,   249,  1539,    74,  1541,  3394,    36,
    1544,  1223,   319,  2578,  3493,   213,   412,   385,  3497,  1231,
    2585,   155,   220,   146,  1312,  1313,  1314,  1315,  2355,  4226,
    4227,  3917,  1218,   156,  2361,  3162,  1135,  3917,   431,    66,
    4229,   348,   412,  2189,   112,   310,  2355,   412,   171,  3977,
     103,  1301,  2361,  1460,  1266,  2193,  1950,   351,  1424,  2199,
     367,   431,  1469,   431,   103,  1353,  1354,   105,   120,  2355,
      22,  1359,   183,  1285,  1440,  2361,  1288,  1289,   106,   213,
     291,  1479,  2088,   431,  1183,   262,  1304,  2145,  2146,  2147,
    2148,   275,   422,   423,    52,  2006,   361,     3,  3988,  2157,
     113,  3229,    60,  2014,  3994,  2016,   317,  3235,  3236,  2003,
     123,    84,    74,  1363,     0,  1403,   273,    74,   295,   618,
     619,   620,   233,  4312,   623,   624,   625,   185,  3072,  1495,
    2024,  1538,  2183,  1903,   633,  2580,   347,   434,  2875,  1351,
     168,  2448,  1430,  1431,  1432,  1433,  1245,   324,    83,  3325,
     112,   106,   350,  1252,   352,   112,   194,  1277,     5,  2053,
    1280,  4089,     9,   115,  1859,   192,   193,   102,   340,    75,
     317,  4099,  4369,  4360,   385,   359,  1426,   375,   389,   152,
     379,   304,  1281,  4162,  2580,  1284,   397,  2911,   422,   423,
     424,   425,   426,   427,   435,   263,  1484,   235,    76,   134,
     347,   253,   313,  3283,   115,  1493,   117,   180,   306,  1607,
     397,   238,  1500,   168,  2661,   399,   350,  1316,   352,   125,
     431,   357,   195,  4412,   357,   103,   152,  3370,   299,  3372,
    2299,  1330,   431,   115,   207,   117,   196,   196,   385,   295,
    2670,   375,    95,  1955,  1343,  4432,   284,   299,   435,   262,
     397,   151,   262,   324,   180,   213,   103,   230,   140,   249,
     262,   350,  2864,   352,   254,  1505,   253,  1505,   324,   195,
     176,   171,   324,   233,   233,   262,   249,  3864,  3865,  2348,
     378,   207,   295,   351,   431,   295,  1515,    11,  1517,  4025,
    1519,  4290,  1521,   331,  1523,    11,   278,  1797,  1527,   435,
    1995,   263,   435,  2612,  2613,  2614,   263,  1566,   295,  4288,
    2379,   106,    36,    75,   324,  1609,  1556,  1556,  1556,  1556,
    1556,  1556,   324,   176,   284,  2171,  2612,  2613,  2614,  1623,
    2241,  4104,   305,  1551,   245,  2933,   153,   308,   361,    68,
    2518,  3793,    66,  1442,  1594,  2414,   115,    76,   117,  1448,
      66,     8,   397,   235,    11,  1506,   291,   235,   240,  2957,
    1648,   267,   124,   245,   181,   336,   326,   326,   221,  3848,
     223,    28,   244,   168,  3853,  1587,  1588,  3856,  1565,   305,
    3460,  3461,   317,  1595,  2096,    49,  1572,  1599,  1600,   351,
     435,    50,    38,  2586,   351,   422,   423,   424,   425,   426,
     427,  2178,  1614,   390,  1616,  1504,   379,  3886,   171,  2549,
    1650,  2822,   347,    59,  2825,  1949,   262,   377,   377,   397,
     283,   431,   429,    82,   431,  1637,   105,  1639,  3880,  2756,
    3882,    95,  3575,  3576,   432,  2212,  3741,   435,  3267,  3732,
     202,   203,  1692,  1542,  1543,     3,   309,  2756,    33,   295,
     385,  4341,   398,   299,   216,    40,  4192,   435,   160,  3752,
     959,    19,   397,   962,   370,   964,   235,   966,   295,   968,
    2756,   417,   378,   972,   288,   381,   245,   391,   324,   138,
     314,   363,   105,   146,  1850,   431,  2537,  1894,   146,  1855,
     430,   373,  1858,  4080,  1901,   435,   431,   324,    20,   178,
     262,    76,   430,   166,   318,  1903,   357,   435,   166,   173,
     169,   105,    57,    58,  1880,   398,  2938,    75,    40,  2941,
    2942,  2943,  2944,  2945,  2946,  2947,  2948,  2949,  2950,   198,
    2441,   233,   295,   347,   417,   192,   299,   115,  4017,   117,
     249,   431,   349,  3671,  3672,   254,   205,  2259,   431,  2971,
    3115,   397,   146,  1422,   233,  1921,   235,   221,   426,   223,
     262,   324,   140,   431,  2565,   433,   288,   125,   361,   233,
    1815,   194,  1441,  3091,  1673,  2438,   235,   391,  3000,  3001,
     155,   142,  1948,  1682,   178,   146,  4065,   349,   361,   351,
     397,   398,  2593,   295,   251,     8,   318,   261,    11,   174,
     297,  1841,  1841,  1815,    31,  1864,  1972,  1866,  1896,  1897,
    1898,    21,   235,   171,   314,    28,    26,  1905,   176,  1907,
     220,  1909,  1910,    50,   431,   347,  2396,   220,  2806,  3458,
     317,  1997,   397,   398,   397,  2001,   300,  2815,   213,   233,
     299,   235,   301,  2980,   303,   350,  2973,   352,  1799,   210,
     309,   262,    80,  2019,   142,    82,   262,   316,   146,   174,
     347,   284,   240,  2029,  2973,   324,   361,   245,   155,   391,
       5,   335,  2566,   426,   333,    10,  2042,  1927,   431,   254,
     433,   383,   341,    18,   295,  2051,   247,  2973,  2188,   295,
     308,   309,   429,  3123,   262,  1913,   433,  2896,   385,  1798,
      35,  1800,   166,  2237,  2204,  2205,  2960,  2961,  2208,   267,
     397,   138,    73,   324,  2214,   429,   295,   431,   324,   433,
     299,    84,   210,   391,  2012,  3805,   213,   295,   314,  3140,
    3141,   299,    48,   392,   130,  3165,  3073,  1836,  2632,     9,
     432,   262,   169,   435,   431,   324,   142,   198,   306,   262,
     146,  3831,  3832,  2748,  2749,  2750,   324,  2903,  2535,   247,
     237,   418,   419,   420,  2770,   422,   423,   424,   425,   426,
     427,   198,    48,  2273,   295,   350,   431,   352,   205,   192,
    2068,  2347,   295,  2349,  2350,   363,   361,   345,  2076,   152,
    3917,   431,   188,  2081,  2006,   373,   432,   372,   435,   435,
     375,   288,  2014,   324,  2016,   312,   308,   309,   235,  2998,
    4289,   324,   370,   432,   210,    60,   435,   180,   397,  3947,
     378,    66,   431,   381,   433,  2075,  2538,  3794,  3795,  3796,
    3797,    76,   195,  2083,  3161,   431,  3163,   433,   251,   350,
     317,   352,   349,   249,   207,   350,  3989,   352,  3157,  2900,
     432,   247,  3161,   435,  3163,   397,   398,  4309,   103,   255,
     105,  3283,   432,   350,   434,   352,   431,   230,  2275,  1968,
     347,  3157,   299,   391,  2281,  3161,   303,  3163,  2166,    38,
     432,   432,   309,   435,   435,  1984,  3455,   414,   375,   316,
     397,   398,  4019,  2105,  2144,   194,   432,   324,  2967,   435,
     433,  3346,     0,   312,   391,   252,   333,  2195,   385,  2197,
    3088,  3089,  3239,   432,   341,   434,   236,   237,  2131,  3331,
     397,   719,  2172,   721,   431,  2165,  2165,  2639,  2178,  2641,
    3239,   312,   432,   178,   432,   435,   432,   435,  3131,   435,
     349,   432,   305,   432,   435,   252,   435,   432,  2794,   432,
     435,   249,   435,  3239,   431,   432,   357,   434,   432,  4039,
       8,   435,  2212,    11,   432,   392,   249,   435,   349,   396,
     397,  2505,  2506,   432,  2508,   371,   435,   432,   432,   432,
     435,   435,   435,  2695,  3498,    83,  3500,   312,   397,   398,
     235,     0,   146,  2904,  2771,   240,  2773,   317,  2396,   432,
     432,   252,   435,   435,  2292,   418,   419,   420,  2720,   422,
     423,   424,   425,   426,   427,   414,   397,   398,  2425,  3041,
      38,  2521,   431,     8,   349,   414,    11,   347,  2127,  2241,
     432,   276,   130,   435,  2434,   150,  2330,  2331,  3460,  3461,
     424,  2335,  3871,    28,   142,   290,     8,   194,   146,    11,
     431,   397,   398,   151,   432,   312,   435,   435,   156,  2836,
    2458,   159,   431,   161,   432,   385,    28,  2474,   432,  3028,
     312,   435,   397,   398,    83,   432,   432,   397,   435,  3031,
    3032,  2375,  2376,   432,   432,     8,   435,   435,    11,    48,
     188,   432,   349,   432,   435,   432,   435,   151,   435,  2379,
    2600,   432,  2602,   190,   435,   432,   431,   349,   435,  2821,
     431,   431,   210,    36,   432,   415,   416,   435,  2652,    42,
     433,   130,   432,   171,  2490,   435,   312,   372,   432,   432,
     324,   435,   435,   142,   400,   432,  2848,   146,   435,  2379,
     397,   398,   151,    66,   192,   432,   431,   156,   435,   247,
     159,   432,   161,  2393,   435,   397,   398,   255,   432,   432,
     135,   435,   435,   349,   432,   432,  2532,   435,   435,   433,
     432,  3508,  2412,   435,   431,  1625,   312,   432,  1628,   188,
     435,     0,   997,   998,   432,  2425,    18,   435,   431,   431,
     171,  2441,    24,   432,  2694,   432,   435,  2477,   435,   249,
    2700,   210,  3539,   251,   302,  2917,   135,   192,  2419,  2420,
    2421,   397,   398,   349,  2454,  2454,  2454,  2454,  2454,  2454,
     135,  3222,   249,     8,   146,  2937,    11,  2439,   135,  2441,
     192,  3968,    64,   432,  2474,   208,   435,  2477,   247,   432,
     432,   432,   435,   435,   435,   431,   255,   105,   171,   347,
    2962,  2785,   432,  2787,   432,   435,  2544,   435,  2546,  2547,
    2548,   397,   398,   379,    83,  2631,   251,   249,   432,   192,
     193,   435,   432,   371,   431,   435,  2642,  3466,   361,   432,
     244,   113,   435,  3592,   432,  2535,  2998,   435,   120,   251,
     391,   123,   314,   302,   198,   431,   394,  3355,   396,   397,
     432,   432,   432,   435,   435,   435,  3592,   281,   312,   431,
      60,   130,   397,   312,    31,   238,   235,   431,   400,  2418,
      38,   235,    38,   142,   366,   262,   146,   146,   251,  3774,
     391,   429,   151,   391,   432,   433,   434,   156,   347,  2873,
     159,  2739,   161,    73,   176,   349,   279,  2847,  2714,   135,
     349,  2851,  2852,   135,  2854,   431,  2856,  2857,   135,  2757,
     400,  2895,   371,   135,   135,  2865,   435,   135,  2618,   188,
     418,   419,   420,  3442,   422,   423,   424,   425,   426,   427,
     135,   135,   249,  3805,   135,   394,   135,   396,   397,   135,
     249,   210,  3814,   397,   398,   135,   135,  2897,   397,   398,
    2650,   233,   347,   235,    31,   431,   147,   192,   208,  3831,
    3832,   146,   146,   245,   249,   431,   431,     5,     5,   431,
     429,   253,   146,   432,   433,   434,   431,   431,   247,   431,
     262,   272,   431,   418,   419,   420,   255,   422,   423,   424,
     425,   426,   427,   431,   431,   431,     5,  2697,     5,     5,
       5,   431,   431,   431,   431,   431,   418,   419,   420,   431,
     422,   423,   424,   425,   426,   427,   251,   299,  2875,  2719,
     431,   431,  2722,  2723,  3385,   431,  2726,   431,   431,   431,
     431,   431,  2732,   302,   431,   431,   259,   431,   431,  2739,
     431,    31,   324,   435,    86,   208,    31,   146,  2864,   422,
     423,   424,   425,   426,   427,  3678,   146,  2757,   245,   247,
     324,   357,  2878,   357,   312,   433,   312,   357,   357,   357,
     357,  2771,    76,  2773,   357,    44,   135,  2739,   347,   312,
     249,   205,  2898,   357,  2746,  2747,   316,   240,    68,  2751,
     357,   130,   357,   249,   378,  2757,   176,   245,   431,   357,
     382,   357,   371,   142,   431,    76,   435,   146,   262,  2809,
     135,  3739,   357,   379,    97,   357,    85,   379,   357,    48,
    2858,    48,   253,  2861,    37,   394,  2788,   396,   397,   357,
      37,    31,   357,   357,   312,  2835,  2836,  2827,  2827,   249,
     109,   357,   357,  4005,   357,   357,   357,   400,  3310,   188,
      50,  3560,   249,   397,   435,   124,  2846,  2846,   192,   128,
     429,  3018,  3019,   432,   433,   434,    31,  4039,  2906,   388,
    3809,   210,   431,    30,   431,    20,   431,  3954,   147,   249,
     135,   150,    82,   418,   419,   420,   235,   422,   423,   424,
     425,   426,   427,   162,  2938,  3954,   379,  2941,  2942,  2943,
    2944,  2945,  2946,  2947,  2948,  2949,  2950,   103,   247,   135,
     245,   431,   235,   390,   216,    31,   255,   431,  3954,    31,
     198,   146,   313,   135,   135,   135,   135,  2971,  2777,  2778,
    3087,   135,   379,   379,   244,   357,   239,   397,   138,   431,
     355,   393,  2904,   151,  2793,   431,   227,    11,   227,   414,
     324,   355,   431,   435,   357,   431,  3000,  3001,  2807,   151,
     435,   359,   432,   165,   165,   188,   326,  2816,   196,   169,
     431,   240,   379,   435,   250,   432,   435,    75,  3008,   248,
     312,  2830,   357,   312,  2984,   357,   431,   379,   240,  3019,
     196,   196,   240,  4188,   357,   357,   357,   431,   198,   314,
     198,   240,  3118,   361,  3466,   205,   391,   249,    38,   331,
    3530,   256,   248,   282,  3162,   435,   357,  3678,  3008,   312,
     295,   357,  3306,  3307,   166,   295,   321,   357,  3018,  3019,
     357,   284,   371,  3956,   192,   235,  3964,    31,  3038,   192,
     192,   192,  3861,   192,    30,  4104,   379,  2896,   379,  3010,
    3011,  3012,  3013,   248,   418,   431,   429,   357,   429,   357,
     357,   357,   418,   135,   146,   391,   245,   148,  4104,   135,
     321,  3109,  3110,  3111,  3112,    31,   431,   431,   397,   249,
     249,   146,    31,   163,   163,   135,  3202,   249,   249,  3205,
     429,   321,   146,   432,   433,   171,  3380,  3381,  3382,   299,
     171,  4040,     8,   303,   171,    11,   400,   435,    19,   309,
     157,  3573,   249,   224,   435,   435,   316,  3367,    48,   244,
     361,   198,   151,   347,   324,  3375,  3376,   391,   266,  3725,
      36,   432,   151,   333,   258,   357,    42,   414,    13,  3601,
     432,   341,    13,   432,   432,   432,   432,   394,   432,   414,
     432,   394,   385,   210,   302,  3617,   377,   249,   432,   432,
      66,   418,  3162,   435,   432,   432,  3015,  3016,  3017,  4108,
     432,   432,   432,  4112,  4113,   431,   249,   431,   252,   174,
     135,   431,  3876,   432,   357,  3185,   400,   431,  3188,  3184,
    3190,   357,   392,   357,   182,  3951,   396,  3313,   240,   135,
    3162,  3663,   357,  4131,   253,   210,   135,   267,   267,   376,
     357,   357,   218,  4109,   357,   218,   357,   218,   357,   312,
    4110,   357,  3184,   357,   357,  4044,   312,   357,  4116,  3229,
    4118,   357,   135,   235,   312,  3235,  3236,   312,  3238,  3283,
     357,   324,   357,  3281,    37,   192,   192,   357,   192,     8,
     431,     3,    11,   429,   432,   225,   210,   315,   432,   418,
      18,   167,   366,   435,   432,   171,    24,    38,    96,   297,
     248,    31,   432,  3273,  3274,  3275,  3276,    36,   432,   435,
     249,  3243,  3244,    42,   160,   379,   192,   193,   357,   379,
     312,   431,  3254,   252,   312,   312,   133,   133,    96,   192,
     435,   429,   126,   209,   151,    11,    64,    66,   146,   432,
     432,  3273,   432,  4390,   432,    58,   151,   431,   159,   432,
     390,  3571,   250,   431,   146,   432,   435,   432,   431,  4252,
     432,  4390,   238,   432,    31,   379,  3493,   357,   379,   182,
    3497,   366,   431,  3343,   357,   251,   357,  3809,   357,   312,
    3340,  3340,  3602,  3603,  4390,   113,   366,  4008,  3642,  3643,
    4437,  3645,   120,   146,   357,   123,   357,  3887,  4445,   128,
     312,   432,    66,   135,    96,   192,   432,  4079,  4437,   432,
     432,   366,  3530,   192,   430,   430,  4445,   321,   196,   432,
     397,     8,   431,   280,    11,   431,   431,  4216,   435,   146,
     400,  4437,  3402,   435,   177,   432,  3926,    71,   167,  4445,
     349,    28,   171,   321,  3664,  3665,  3460,  3461,   176,    36,
     435,  3270,   328,  3385,   357,    42,   156,   431,   151,   192,
     151,   192,   431,   192,   193,   432,   192,   192,   289,    48,
    3289,   195,   432,   432,   395,   395,   257,   195,   432,    66,
     209,   432,   435,    48,   431,   431,   161,   432,   432,   245,
     418,   357,   435,   151,    66,   397,   176,  3316,   366,   435,
     240,   240,   357,   418,   435,   233,   135,   235,  4374,   238,
     192,   153,   430,   151,   379,   171,    31,   245,   379,   121,
     397,   393,   251,   431,   151,   253,  3612,   397,   179,   252,
     431,   151,   289,  3493,   262,   431,   431,  3497,  3624,   334,
     384,   432,   418,   419,   420,   432,   422,   423,   424,   425,
     426,   427,   431,   396,   195,   265,   431,  3527,   432,  3779,
     249,  3781,  3782,   432,   357,   432,   357,   295,   397,   290,
     146,   299,  3792,  3552,   110,   431,    31,  3537,  3537,   431,
     167,  3546,   219,   240,   171,   240,   174,   134,    31,   431,
     280,   431,   253,   432,   431,   309,   324,   432,   309,   328,
    3727,    48,    48,   431,   431,   192,   193,   255,  4040,   379,
     233,   349,   432,   249,  3546,     5,   321,   141,   280,    60,
     252,    60,   209,   116,   383,   435,   289,    31,   151,   384,
     394,   397,   146,  3598,   287,   121,  3644,   176,  4070,   249,
     249,   431,    31,    31,   252,   252,   431,   431,   235,   432,
    3658,   238,   432,    48,   382,   108,   308,   377,  3477,  3478,
    3479,  3480,  4228,   432,   251,     5,  3598,   254,   308,   431,
      17,    28,   134,   431,   280,  2129,  4108,  1328,   716,  1130,
    4112,  4113,  2593,  3615,  3616,  2441,   775,  1981,  3620,  3621,
    3161,  3661,  3662,   422,   423,   424,   425,   426,   427,   798,
    2046,  3671,  3672,  2737,  3238,  4123,  3954,  4252,  3678,  4001,
    3304,  4005,  3682,  3718,  3987,  2512,  4316,  2229,  3886,  4373,
    4266,  3848,  4265,  4332,  4172,  3296,  3853,  2516,  2120,  3856,
    2120,  3157,  2613,  2114,  4224,  3700,  1427,  2808,  4378,  4445,
    3860,   328,  4437,  3751,  3982,  2756,  3678,  2741,  4343,  3928,
    4324,  4240,    26,  3931,  3388,  4085,    18,  1417,  3344,  3886,
    4188,  1944,    24,  3346,   566,  2698,  4356,  4163,  3700,  3887,
      22,    23,  4439,   695,  1799,    27,    21,  3747,   985,  1800,
      32,    33,    34,  1506,    36,  2454,  3329,    39,    40,  1837,
      42,  3805,    44,  3070,  3538,   708,  2455,  1156,  3925,  3917,
    3814,  2466,    64,  3773,  4058,  1839,  1838,  2461,  3926,  1175,
    1174,  2482,  1177,  4033,  4068,  3019,  2474,  3831,  3832,  3485,
    3499,  4066,  3018,    68,  3794,  3795,  3796,  3797,  1182,   700,
    3071,   418,   419,   420,  2095,   422,   423,   424,   425,   426,
     427,  3968,  2983,   430,     8,  4042,  2975,    11,  4303,   436,
    4304,   113,    97,  2458,  4307,  2393,  2301,  1674,   120,  2391,
    3066,   123,    -1,    -1,    28,    -1,  4120,  4087,    -1,    -1,
      -1,    -1,    36,   118,    -1,    -1,    -1,    -1,    42,    -1,
    3888,  3889,  3890,    -1,   129,    -1,    -1,    -1,  3848,    -1,
    4017,    -1,    -1,  3853,    -1,    -1,  3856,    -1,    -1,    -1,
      -1,  4121,    66,   148,    -1,    -1,    -1,    -1,   153,    -1,
      -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3873,   177,   178,   179,   180,    -1,
     182,    -1,   184,    -1,   186,   187,   188,    -1,  4065,   191,
      -1,   193,    -1,    -1,   196,    -1,   198,  3917,    -1,    -1,
     202,   203,   204,  4207,   199,    -1,    -1,    -1,  3777,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   233,    -1,   235,    -1,   220,    -1,  3947,    -1,    -1,
      28,    -1,    -1,   245,    -1,  3917,  3956,    -1,    36,    -1,
    3960,   253,  3962,    -1,    42,  3965,  3966,    -1,    -1,    -1,
     262,    -1,    -1,   167,    -1,    -1,    -1,   171,  4016,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,
      -1,    -1,  4149,    -1,    -1,  4039,    -1,    -1,   192,   193,
      -1,  3991,  3991,   295,   279,    -1,    -1,   299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   306,   324,    -1,    -1,    -1,    -1,   312,    -1,    -1,
      -1,   235,    -1,   318,   238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4094,   251,    -1,    -1,
     254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   347,    -1,   349,  4065,  4224,    -1,    -1,  4117,
      -1,  4119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
     382,   366,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   192,   193,   391,    -1,  4368,    -1,
      -1,  4278,  3971,    -1,  4124,    -1,    -1,    -1,    -1,    -1,
      -1,   209,  4289,    -1,   328,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    -1,   235,    -1,  4008,
     238,    -1,  4319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,   254,    36,    -1,    -1,
    4170,  4170,    -1,    42,  4222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,   516,  4273,    -1,    -1,   432,   521,
      -1,   523,    -1,    -1,   526,    -1,   528,    -1,   530,  4098,
     328,    -1,  4252,   535,    -1,   537,    -1,   539,   540,    -1,
      -1,    -1,    -1,    -1,    -1,   547,    -1,    -1,   550,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   565,  4441,    -1,    -1,   569,    -1,  4327,
      -1,    -1,   574,    -1,    -1,    -1,    -1,   579,    -1,    -1,
      -1,   583,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,    -1,    -1,    -1,   598,    -1,    -1,    -1,
      -1,   603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   192,   193,    -1,    -1,  4375,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     209,    -1,    -1,    -1,  4344,  4344,    -1,   435,    -1,    -1,
      -1,    -1,    -1,    -1,   646,  4395,  4356,  4356,  4356,  4356,
    4356,  4356,    50,    -1,    -1,   657,   658,    -1,    -1,   238,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4390,    -1,   251,    -1,   676,    -1,   678,   679,    -1,   681,
      -1,   683,    -1,    -1,    82,  4395,  4395,  4395,  4395,  4395,
    4395,    -1,    -1,    -1,   696,    -1,    -1,    -1,   700,    -1,
      -1,    -1,    -1,    -1,   706,    -1,    -1,    -1,  4390,    -1,
      -1,    -1,    -1,    -1,    -1,   717,    -1,  4437,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4445,    -1,   729,    -1,  4439,
    4439,  4439,  4439,  4439,  4439,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,   328,
      -1,    -1,    -1,    -1,    -1,  4437,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4445,    -1,    28,    -1,    -1,    -1,    -1,
     772,   169,    -1,    36,    -1,    -1,    -1,    -1,   780,    42,
     782,   783,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    66,    -1,     8,    -1,   205,    11,    -1,
      -1,    18,    -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,
      -1,    -1,    -1,   825,    -1,    28,    -1,    -1,    31,    -1,
      -1,    -1,    -1,    36,   836,    -1,    -1,   235,   840,    42,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,    -1,
      -1,   853,    -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,
      -1,    -1,    -1,    66,   262,    -1,   868,    -1,    -1,    -1,
      -1,    -1,   874,   875,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   890,   891,
     892,    -1,   894,    -1,   896,    -1,    -1,   295,    -1,    -1,
      -1,   299,    -1,    -1,   167,   303,   113,    -1,   171,    -1,
      -1,   309,    -1,   120,    -1,    -1,   123,    -1,   316,    -1,
     922,    -1,   924,   925,    -1,    -1,   324,    -1,    -1,   192,
     193,    -1,    -1,    -1,    -1,   333,    -1,    -1,    -1,    -1,
      -1,   943,    -1,   341,    -1,   947,   209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   956,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   176,
      -1,    -1,   235,     0,    -1,   238,   978,   979,    -1,    -1,
      -1,   983,    -1,   985,    -1,    -1,    -1,    14,   251,   192,
     193,   254,    -1,   995,   392,    -1,    -1,    24,    -1,    26,
      27,  1003,    -1,    -1,  1006,    -1,   209,  1009,  1010,    -1,
      -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,
    1022,    -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,
      -1,    -1,   235,    -1,    61,   238,    63,    64,   245,    -1,
      -1,    -1,    69,    -1,    71,    -1,   253,    -1,   251,  1051,
      -1,   254,    -1,    -1,    81,   262,    83,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    99,    -1,    -1,   102,    -1,  1079,  1080,    -1,
    1082,    -1,    -1,    -1,    -1,    -1,    -1,   114,   295,   116,
      -1,    -1,   299,   120,    -1,    -1,    -1,  1099,    -1,   126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,   136,
      -1,    -1,    -1,    -1,    -1,   142,    -1,   324,    -1,  1121,
      -1,    -1,    -1,    -1,    -1,   328,    -1,  1129,  1130,   156,
      -1,    -1,    -1,  1135,    -1,    -1,  1138,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,  1167,    -1,    -1,    -1,  1171,
    1172,    -1,   435,    -1,    -1,   382,    -1,    -1,    -1,    -1,
    1182,  1183,  1184,    -1,   211,   212,    -1,    -1,    -1,    -1,
     217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1200,   226,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     237,    -1,    -1,    -1,    -1,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,    -1,    -1,    -1,    -1,    -1,
      -1,  1233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1245,  1246,    -1,    -1,   274,    -1,    -1,
    1252,    -1,    -1,  1255,    -1,    -1,    -1,    -1,    -1,   286,
      -1,    -1,    -1,    -1,   291,   292,    -1,   294,    -1,    -1,
      -1,    -1,   299,  1275,    -1,    -1,    -1,   304,    -1,  1281,
     307,    -1,  1284,    -1,   311,    -1,    -1,    -1,    -1,   316,
     317,    -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,
     327,    -1,  1304,    -1,    -1,    -1,    -1,    -1,   335,    -1,
    1312,  1313,  1314,  1315,  1316,     8,    -1,    -1,    11,    -1,
     347,    -1,    -1,  1325,    -1,  1327,    -1,    -1,  1330,    -1,
      -1,    -1,    -1,    -1,    -1,    28,    -1,   364,    -1,  1341,
      -1,  1343,    -1,    36,    -1,    -1,    -1,   374,    -1,    42,
      -1,  1353,  1354,   380,    -1,    -1,    -1,  1359,   385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     397,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,  1403,    -1,    -1,   431,    -1,    -1,   434,    -1,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    36,  1424,    -1,    -1,    -1,    -1,    42,  1430,  1431,
    1432,  1433,    -1,    -1,    -1,    -1,    -1,    -1,  1440,    -1,
    1442,    -1,    -1,    -1,    -1,    -1,  1448,    -1,    -1,  1451,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,  1460,    -1,
      -1,    -1,    -1,    -1,    -1,  1467,    -1,  1469,    -1,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,  1479,   171,    -1,
      -1,    -1,  1484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1493,    -1,  1495,    -1,    -1,    -1,  1499,  1500,   192,
     193,    -1,  1504,    -1,  1506,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,   209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1529,    -1,    -1,
      28,    -1,    -1,    -1,  1536,    -1,  1538,    -1,    36,    -1,
    1542,  1543,   235,  1545,    42,   238,    -1,    -1,    -1,  1551,
      -1,    -1,   167,    -1,    -1,    -1,   171,    -1,   251,    -1,
      -1,   254,    -1,  1565,  1566,    -1,    -1,  1569,    66,    -1,
      -1,  1573,    -1,  1575,    -1,    -1,    -1,   192,   193,    -1,
    1582,    -1,    -1,  1585,    -1,    -1,    -1,  1589,    -1,    -1,
      -1,    -1,    -1,    -1,   209,  1597,  1598,    -1,    -1,    -1,
      -1,    -1,    -1,  1605,    -1,  1607,  1608,  1609,  1610,  1611,
      -1,    -1,    -1,    -1,    -1,    -1,  1618,  1619,    -1,  1621,
     235,  1623,  1624,   238,    -1,  1627,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   328,   251,    -1,    -1,   254,
      -1,    -1,  1644,    -1,    -1,    -1,  1648,  1649,    -1,    -1,
      -1,  1653,    -1,    -1,    -1,  1657,    -1,  1659,  1660,  1661,
    1662,  1663,  1664,  1665,  1666,  1667,    -1,  1669,    -1,   167,
      -1,  1673,  1674,   171,  1676,    -1,    -1,    -1,    -1,    -1,
    1682,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,   192,   193,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,
      -1,   209,    -1,   328,    -1,    -1,    36,    -1,    21,    -1,
      -1,    -1,    42,    -1,    -1,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,    -1,    -1,   235,    -1,   432,
     238,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,
      -1,    54,    -1,   251,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1798,    -1,  1800,    -1,
    1802,    -1,    -1,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,    -1,    -1,   118,    -1,   432,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,   129,    -1,    -1,    -1,
     328,    -1,    -1,    -1,  1836,    -1,    -1,    -1,    28,    -1,
    1842,    -1,  1844,    -1,    -1,   148,    36,   167,  1850,    -1,
     153,   171,    42,  1855,    -1,    -1,  1858,  1859,    -1,    -1,
      -1,    -1,  1864,    -1,  1866,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   192,   193,    -1,    -1,    66,    -1,  1880,    -1,
      -1,  1883,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,
      -1,    -1,  1894,    -1,  1896,  1897,  1898,    -1,    -1,  1901,
      -1,  1903,    -1,  1905,    -1,  1907,    -1,  1909,  1910,    -1,
      -1,  1913,    -1,    -1,    -1,   235,    -1,   220,   238,  1921,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
    1932,   251,    -1,    -1,   432,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1948,    -1,   251,  1951,
      -1,    -1,    -1,    -1,    -1,  1957,    -1,    -1,    -1,    -1,
    1962,    -1,    -1,    -1,    -1,    -1,  1968,    -1,    -1,    -1,
    1972,    -1,    -1,    -1,    -1,    -1,   279,   167,    -1,    31,
      -1,   171,  1984,    -1,    -1,    -1,  1988,  1989,    -1,    -1,
      -1,    -1,    -1,  1995,    -1,  1997,    -1,    -1,    50,  2001,
      -1,    -1,   192,   193,    -1,    -1,    -1,    -1,   328,   312,
    2012,    -1,    -1,    -1,    -1,   318,    -1,  2019,   321,   209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2029,    -1,    -1,
      82,    -1,    -1,    -1,    -1,    -1,  2038,    -1,  2040,  2041,
    2042,    -1,    -1,    -1,   347,   235,    -1,    -1,   238,  2051,
     353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,   366,   254,    -1,  2068,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2076,    -1,    -1,    -1,    -1,  2081,
      -1,     8,    -1,    -1,    11,    -1,   138,    -1,   391,    -1,
      -1,    -1,  2094,    -1,    -1,    -1,    -1,    -1,   418,   419,
     420,    28,   422,   423,   424,   425,   426,   427,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,   169,    -1,    -1,
    2122,    -1,    -1,  2125,    -1,  2127,    -1,  2129,    -1,    -1,
    2132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,    66,
      -1,     8,    -1,    -1,    11,    -1,   198,    -1,    -1,    -1,
      -1,    -1,    -1,   205,    -1,    -1,  2158,    -1,    -1,    -1,
      -1,    28,    -1,    -1,  2166,  2167,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,  2178,    -1,    -1,    -1,
      -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
     859,  2193,    -1,  2195,  2196,  2197,  2198,    -1,    -1,    66,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2212,    -1,    -1,    -1,    -1,  2217,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,    -1,    -1,
     167,    -1,   432,    -1,   171,  2247,    -1,   299,    -1,    -1,
      -1,   303,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,
      -1,    -1,    -1,    -1,   316,   192,   193,    -1,    -1,  2271,
      -1,    -1,   324,  2275,    -1,    -1,    -1,    -1,    -1,  2281,
      -1,   333,   209,    -1,    -1,     8,    -1,    -1,    11,   341,
    2292,    -1,    -1,    -1,    -1,    -1,    -1,  2299,  2300,    -1,
     167,    -1,    -1,  2305,   171,    -1,    -1,    -1,   235,    -1,
      -1,   238,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,
      -1,    -1,    -1,   992,   251,   192,   193,   254,  2330,  2331,
      -1,    -1,    -1,  2335,    -1,    -1,    -1,    -1,    -1,    -1,
     392,    -1,   209,    66,   396,  2347,  2348,  2349,  2350,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2360,    -1,
      -1,  2363,    -1,  2365,  2366,    -1,    -1,    -1,   235,    -1,
      -1,   238,    -1,  2375,  2376,    -1,    -1,  2379,    -1,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,   254,    -1,    -1,
    2392,    -1,  2394,    -1,  2396,    -1,  2398,    -1,    -1,    -1,
      -1,   328,    -1,    -1,    -1,   128,    -1,    -1,    18,    -1,
      -1,    -1,  2414,    -1,    24,    -1,  2418,    -1,    -1,    -1,
      -1,    -1,    -1,  2425,    -1,  2427,  2428,  2429,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,  2441,
      -1,    -1,  2444,    -1,   167,    -1,    -1,    -1,   171,    28,
      -1,    -1,    -1,  2455,    64,    -1,    -1,    36,  2460,    -1,
      -1,   328,    -1,    42,  2466,    -1,    -1,    -1,    -1,   192,
     193,    -1,  2474,    -1,    -1,  2477,    -1,    -1,    -1,  2481,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    66,  2490,    -1,
      -1,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,    -1,    -1,   113,    -1,   432,    -1,    -1,    -1,  2511,
     120,  2513,    -1,   123,    -1,   238,  2518,    -1,  1187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,
    2532,    -1,    -1,  2535,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2544,    -1,  2546,  2547,  2548,    -1,    -1,    -1,
      -1,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,    -1,    -1,    -1,    -1,   432,   176,    -1,    -1,    -1,
      -1,    -1,  1241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1273,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   192,   193,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,  2631,
     209,    -1,    -1,    -1,    -1,   245,     8,    -1,    -1,    11,
    2642,    -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   262,    -1,    -1,    -1,   235,    -1,    -1,   238,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      42,    -1,   251,    -1,    -1,   254,  1345,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,   299,
      -1,    -1,    -1,    -1,    66,  1364,    -1,    -1,    -1,   422,
     423,   424,   425,   426,   427,    -1,    -1,    -1,     8,    -1,
      -1,    11,  2714,    -1,   324,  1384,    -1,    -1,    -1,    -1,
      -1,    -1,  2724,  2725,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
    1409,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,   328,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,  2771,
      -1,  2773,   382,    -1,    -1,  2777,  2778,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2793,    -1,    -1,    -1,   167,    -1,  1466,    -1,   171,
      -1,    -1,    -1,    -1,  2806,  2807,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2815,  2816,    -1,    -1,    -1,    -1,    -1,
     192,   193,    -1,    -1,    -1,    -1,    -1,    -1,  2830,    -1,
      -1,    -1,    -1,    -1,  2836,    -1,    -1,   209,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,    -1,
      -1,    -1,    -1,   432,    -1,    -1,  2858,    -1,    -1,  2861,
      -1,    -1,  2864,   235,    -1,    -1,   238,   167,    -1,    -1,
      -1,   171,    -1,  2875,    -1,    -1,  2878,    -1,    -1,   251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   192,   193,  2896,    -1,  2898,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2906,    -1,    -1,    -1,    -1,   209,
      -1,    -1,  2914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2924,    -1,    -1,    -1,    -1,    -1,  2930,    -1,
    2932,    -1,    -1,    -1,    -1,   235,  2938,    -1,   238,  2941,
    2942,  2943,  2944,  2945,  2946,  2947,  2948,  2949,  2950,    -1,
      -1,   251,  2954,  2955,   254,    -1,   328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2967,    -1,    -1,    -1,  2971,
      -1,    -1,    -1,  2975,  1643,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2985,    -1,    -1,  2988,    -1,  2990,    -1,
      -1,   177,    -1,    -1,    -1,    -1,    -1,  2999,  3000,  3001,
     186,    -1,    -1,  3005,    -1,    -1,  3008,  1676,    -1,    -1,
      -1,    -1,    -1,  3015,  3016,  3017,  3018,  3019,  3020,    -1,
      -1,    -1,  3024,  3025,    -1,    -1,    -1,  3029,   328,    -1,
      -1,    -1,    -1,  3035,    -1,  3037,    18,  3039,    -1,    -1,
      -1,    -1,    24,    -1,    -1,    -1,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,    -1,    -1,  3060,    -1,
      -1,    -1,    -1,    -1,  3066,    -1,    -1,    -1,  3070,    -1,
    3072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    -1,  3087,  3088,  3089,    -1,  3091,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3109,  3110,  3111,
    3112,    -1,    -1,    -1,    -1,    -1,  3118,    -1,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,    -1,    -1,
      -1,   113,   432,    -1,    -1,    -1,    -1,    -1,   120,    -1,
      -1,   123,    -1,    -1,    -1,  3147,     8,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    28,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    36,   176,    -1,    -1,    -1,    -1,    42,
    3202,    -1,    -1,  3205,    66,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,  3219,    -1,    -1,
      -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,   233,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,  3270,  1938,
      66,   253,    -1,    -1,  1943,  1944,    -1,    -1,    -1,  3281,
     262,  3283,    -1,    -1,    -1,   128,  1955,  3289,    -1,    -1,
      -1,    -1,    -1,  3295,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3304,    -1,    -1,   167,    -1,    -1,    -1,   171,
      -1,  3313,    -1,   295,  3316,    -1,    -1,   299,    -1,    -1,
      -1,    -1,    -1,  3325,   167,    -1,    -1,    -1,   171,  3331,
     192,   193,   128,    -1,    -1,    -1,    -1,   523,    -1,    -1,
      -1,    -1,   324,    -1,    -1,  3347,  3348,   209,    -1,   192,
     193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,  3370,    -1,
    3372,   167,    -1,   235,    -1,   171,   238,    -1,    -1,    -1,
      -1,    -1,    -1,   569,    -1,    -1,  3388,    -1,    -1,   251,
      -1,    -1,   254,   579,    -1,   238,   192,   193,    -1,    -1,
     382,    -1,    -1,  3405,    -1,    -1,    -1,    -1,   251,    -1,
      -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2096,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3442,    -1,   238,    -1,    -1,    -1,    -1,    18,    -1,    -1,
    3452,  3453,    -1,    24,    -1,   251,    -1,    -1,  3460,  3461,
      -1,    -1,    -1,  3465,    -1,    -1,   328,    -1,    -1,  3471,
    3472,    -1,    -1,  3475,    -1,  3477,  3478,  3479,  3480,    -1,
      -1,    -1,  3484,  3485,  3486,   328,    -1,  3489,    -1,    -1,
     676,  3493,    -1,    64,    -1,  3497,    -1,    -1,    -1,    -1,
      -1,  3503,    -1,    -1,    -1,  3507,  2175,    -1,    -1,    -1,
    3512,    -1,    -1,    -1,    -1,    -1,  3518,    -1,    -1,    -1,
     706,    -1,  3524,    -1,    -1,    -1,    -1,    -1,  3530,    -1,
      -1,    -1,   328,    -1,    -1,    -1,  3538,    -1,    -1,    -1,
    3542,    -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,   120,
    3552,    -1,   123,  3555,    -1,    -1,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,    -1,    -1,    -1,    -1,
     432,    -1,    -1,  3575,  3576,    -1,    -1,    -1,    -1,   422,
     423,   424,   425,   426,   427,    -1,    -1,    -1,    -1,    -1,
    2259,    -1,    -1,    -1,    -1,    -1,    -1,  3599,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,
    3612,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,  3624,    -1,    -1,    -1,   422,   423,   424,   425,
     426,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   825,
      -1,    36,  3644,    -1,    -1,    -1,    -1,    42,    -1,    -1,
     836,    -1,    -1,    -1,    -1,    -1,  3658,    -1,    -1,    -1,
      -1,    -1,   233,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    66,    -1,   859,   245,    -1,  3678,    -1,    -1,    -1,
      -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,   262,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   859,    28,
     896,    -1,    -1,    -1,  3716,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,   295,  3727,    -1,    -1,   299,    -1,
    3732,    -1,    -1,   128,    -1,    -1,    -1,  3739,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,  3751,
    3752,    -1,    -1,   324,    -1,    -1,    -1,    -1,  2427,  2428,
    2429,   947,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,  3777,   171,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3793,    -1,    -1,    -1,    -1,    -1,   192,   193,    -1,
      -1,    -1,    -1,  3805,    -1,    -1,   992,    -1,    -1,    -1,
      -1,   382,  3814,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3831,
    3832,    -1,    -1,  3835,    -1,    -1,  1022,    -1,    -1,    -1,
      -1,   992,  3844,   238,    -1,    -1,  3848,    -1,   167,    -1,
      -1,  3853,   171,    -1,  3856,  3857,   251,  3859,    -1,  3861,
    3862,    -1,    -1,    -1,    -1,  1051,    -1,    -1,    -1,  2538,
      -1,    -1,    -1,   192,   193,    -1,    -1,    -1,  3880,    -1,
    3882,    -1,    -1,    -1,  3886,  3887,  3888,  3889,  3890,    -1,
     209,    -1,    -1,  1079,  1080,    -1,  1082,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2580,  2581,  1099,  2583,    -1,   235,    -1,    -1,   238,
      -1,    -1,    -1,  3925,  3926,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,   328,    -1,   254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1138,  1139,  3956,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3964,    -1,    -1,    -1,  3968,    -1,    -1,  3971,
    2639,    -1,  2641,  1124,    -1,    -1,    -1,    -1,    -1,    -1,
    3982,  1167,    -1,    -1,    -1,  1171,  1172,  3989,    -1,    -1,
      -1,  3993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1187,    -1,  4005,    -1,    -1,  4008,  1193,    -1,   328,
      -1,    -1,    -1,    -1,  4016,  4017,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2695,   422,   423,   424,
     425,   426,   427,    -1,    -1,    -1,  1187,  4039,    -1,    -1,
    4042,    -1,  4044,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2720,    -1,    -1,    -1,  1241,    -1,    -1,    -1,  4061,
      -1,    -1,    -1,  4065,    -1,    -1,  4068,    -1,    -1,    -1,
    2739,    -1,  4074,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1273,  2757,    -1,
    1241,    -1,  4094,    -1,    -1,    -1,  4098,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,    -1,
      -1,    -1,    -1,   432,  4116,  4117,  4118,  4119,    -1,    -1,
      -1,    -1,  1273,    -1,    -1,    -1,    -1,    -1,    -1,  4131,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4149,    -1,    -1,
      -1,    -1,  2821,    -1,    -1,    -1,    -1,    -1,    -1,  1345,
      -1,    -1,    -1,    -1,    -1,    -1,  4168,    -1,  2837,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,  1364,  2848,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,  1345,    -1,    -1,    -1,  1384,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1364,  4216,    -1,    -1,    -1,  1404,    -1,
    4222,    -1,  4224,  1409,    -1,    -1,    -1,    -1,    -1,    66,
      -1,  4233,    -1,  1384,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   859,    -1,    -1,  2917,    -1,
    4252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2937,    -1,
      -1,  4273,    -1,    -1,  1460,    -1,  4278,    -1,    -1,    -1,
    1466,    -1,    -1,  1469,    -1,    -1,    -1,  4289,    -1,    -1,
      -1,    -1,    -1,  2962,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4303,    -1,    -1,  4306,  4307,    -1,  4309,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1466,    -1,  4319,    -1,    -1,
      -1,    -1,    -1,     8,    -1,  4327,    11,    -1,    -1,  2998,
     167,    -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    36,  1538,    -1,    -1,   192,   193,    42,  4360,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4370,    -1,
    3039,    -1,   209,  4375,    -1,    -1,    -1,    -1,   992,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,  1573,    -1,  1575,
      -1,    -1,    -1,    -1,    -1,    -1,  1582,    -1,   235,  1585,
      -1,   238,    -1,  1589,    18,    -1,    -1,    -1,    -1,    -1,
      24,  1597,  1598,    -1,   251,    -1,    -1,   254,    -1,  1605,
      -1,    -1,  1608,  1609,  1610,  1611,    -1,    -1,    -1,    -1,
    4432,    -1,  1618,  1619,    -1,  1621,    -1,  1623,  1624,  4441,
      -1,  1627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    -1,    -1,    -1,    -1,    -1,  1643,  1644,  1645,
      -1,    -1,    -1,  1649,    -1,    -1,    -1,  1653,    -1,    -1,
      -1,  1657,    -1,  1659,  1660,  1661,  1662,  1663,  1664,  1665,
    1666,  1667,   167,  1669,    -1,    -1,   171,    -1,  1674,    -1,
    1676,   328,  1643,  3162,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,     8,    -1,    -1,    11,   120,   192,   193,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     235,    -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,   176,    -1,    -1,    -1,   251,    -1,    -1,   254,
      -1,    -1,    -1,  1187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,    -1,    -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1802,    -1,    -1,   233,
      -1,   235,    -1,    -1,    -1,    -1,    -1,  1241,    -1,    -1,
      -1,   245,    -1,    -1,    -1,     8,    -1,    -1,    11,   253,
      -1,  3310,    -1,   328,    -1,    -1,     8,    -1,   262,    11,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,  1273,
      -1,   167,    -1,    36,    -1,   171,    28,    -1,  1854,    42,
      32,    -1,    -1,    -1,    36,    -1,    -1,  3346,    -1,    -1,
      42,   295,    -1,    -1,    -1,   299,   192,   193,    -1,    -1,
      -1,    -1,    -1,    66,    -1,    -1,    -1,  1883,    -1,    -1,
      -1,    -1,    -1,   209,    66,    -1,    -1,    -1,  1894,    -1,
     324,    -1,    -1,    -1,    -1,  1901,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,
      -1,  1345,   238,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,    -1,    -1,   251,    -1,   432,   254,   111,
    1364,    -1,  1938,    -1,    -1,    -1,    -1,  1943,  1944,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,  1955,
    1384,    -1,    -1,   146,    -1,    -1,    -1,    -1,   151,    -1,
      -1,    -1,    -1,    -1,    -1,  1971,  3455,  1938,  1974,    -1,
      -1,    -1,  1943,  1944,   167,  1409,    -1,  3466,   171,    -1,
      -1,    -1,    -1,    -1,  1955,   167,    -1,    -1,    -1,   171,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   192,
     193,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     192,   193,    -1,    -1,    -1,    -1,   209,    -1,  3507,    -1,
      -1,    -1,    -1,  3512,    -1,    -1,    -1,   209,    -1,    -1,
      -1,    -1,  1466,    -1,    -1,  3524,    -1,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,   238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   235,    -1,    -1,   238,    -1,   251,    -1,
      -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,
      -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3573,    -1,    -1,    -1,  2094,    -1,
    2096,    -1,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,    -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,
      -1,  2117,  3601,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2096,    -1,    -1,  3617,    -1,
      -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,   328,     8,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,  2175,
      -1,    -1,    42,    -1,  3663,    36,    -1,    -1,    -1,    -1,
      -1,    42,    18,    -1,    -1,    -1,    -1,    -1,    24,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,   379,    -1,    -1,
      -1,    -1,    -1,    -1,  2175,    66,    -1,    -1,    -1,  1643,
      -1,  2217,    -1,    49,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   418,   419,   420,    64,   422,
     423,   424,   425,   426,   427,    -1,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2259,    -1,    -1,    -1,    -1,    -1,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,    -1,  2275,
      -1,    -1,    -1,    -1,    -1,  2281,    -1,   113,    -1,    -1,
      -1,    -1,    -1,    -1,   120,  3774,    -1,   123,  2259,    -1,
      -1,    -1,    -1,  2299,  2300,    -1,    -1,   167,    -1,  2305,
      -1,   171,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3809,    -1,   192,   193,  2330,  2331,    -1,    -1,    -1,  2335,
      -1,   192,   193,    -1,    -1,    -1,    -1,   173,    -1,   209,
     176,  2347,  2348,  2349,  2350,    -1,    -1,    -1,   209,  2355,
      -1,    -1,    -1,    -1,  2360,  2361,    -1,  2363,    -1,  2365,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,   238,  2375,
    2376,    -1,    -1,  2379,    -1,    -1,    -1,   238,    -1,    -1,
      -1,   251,    -1,    -1,   254,   221,  2392,   223,  2394,    -1,
     251,    -1,  2398,    -1,    -1,    -1,    -1,   233,    -1,   235,
      -1,    -1,    -1,   273,    -1,    -1,    -1,    -1,  2414,   245,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,  2425,
      -1,  2427,  2428,  2429,    -1,   261,   262,    -1,  3917,    18,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,  2444,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,  2455,
      -1,    -1,    -1,    -1,  2460,    -1,    -1,    -1,   328,   295,
    2466,    -1,    28,   299,   300,    -1,    -1,   328,  2474,    -1,
      36,     7,   342,    -1,    -1,    64,    42,    13,    14,    -1,
      -1,    -1,    -1,    19,    -1,    21,    -1,    -1,   324,    -1,
      26,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,   335,
      66,    -1,    -1,    -1,  1938,  2511,    -1,    -1,    -1,  1943,
    1944,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1955,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
    4019,   120,  2538,    -1,   123,    -1,    -1,    18,    -1,    21,
      -1,    -1,    -1,    24,    -1,    -1,   382,    -1,   418,   419,
     420,  4040,   422,   423,   424,   425,   426,   427,    -1,    -1,
      -1,   422,   423,   424,   425,   426,   427,  2538,    -1,    -1,
      -1,    -1,    -1,    -1,  2580,  2581,    -1,  2583,    -1,   145,
      -1,  4070,    -1,    64,    -1,    67,    -1,   176,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,
      -1,   167,    -1,    -1,    -1,   171,  2612,  2613,  2614,  2580,
    2581,    -1,  2583,    -1,    -1,    97,    -1,    -1,    -1,  4108,
      -1,   103,    -1,  4112,  4113,    -1,   192,   193,    -1,    -1,
      -1,    -1,   113,  2639,    -1,  2641,   118,    -1,    -1,   120,
      -1,    -1,   123,   209,   233,    -1,   235,   129,   184,    -1,
      -1,    -1,    -1,    -1,    -1,   137,   245,    -1,   194,   195,
      -1,   197,  2096,   199,   253,   201,   148,    -1,  2639,   235,
    2641,   153,   238,   262,    -1,    -1,    -1,   159,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,   254,  2695,
      -1,    -1,   174,    -1,    -1,   176,    -1,    -1,    -1,  4188,
      -1,    -1,    -1,    -1,    -1,   271,   295,    -1,    -1,    -1,
     299,    -1,    -1,    -1,  2720,    -1,    -1,   199,    -1,    -1,
      -1,    -1,    -1,    -1,  2695,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2739,    -1,   324,    -1,    -1,   220,    -1,
      -1,  2175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2720,
    2756,  2757,   233,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   328,    -1,   245,    -1,    -1,    -1,  2739,   251,
      -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   262,    -1,    -1,    -1,    -1,  2757,    -1,    -1,    -1,
      -1,    -1,    -1,   382,    -1,    -1,    -1,   279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    -1,    -1,    -1,    -1,
      -1,    24,    -1,    -1,   295,  2821,    -1,    -1,   299,    -1,
      -1,    -1,    -1,    -1,   306,  2259,    -1,    -1,   310,    -1,
     312,  2837,    -1,    -1,    -1,    -1,   318,    -1,    -1,   321,
      -1,    -1,  2848,   324,    -1,    -1,    -1,    -1,    -1,    -1,
    2821,    64,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,    -1,    -1,    -1,   347,  2837,   349,    -1,  2875,
      -1,   353,    -1,    -1,    -1,    -1,    -1,  2848,    -1,   361,
      -1,    -1,    -1,    -1,   366,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   378,    -1,    -1,    -1,
     113,   382,    -1,    -1,    -1,    -1,    -1,   120,  2914,   391,
     123,  2917,    -1,    -1,    -1,    -1,    -1,    -1,  2924,    -1,
      -1,    -1,    -1,    -1,  2930,    -1,  2932,    -1,    -1,    -1,
      -1,  2937,  2938,    -1,    -1,  2941,  2942,  2943,  2944,  2945,
    2946,  2947,  2948,  2949,  2950,    -1,  2917,    -1,  2954,  2955,
      -1,    -1,    -1,    -1,    -1,    -1,  2962,    -1,    -1,    -1,
      -1,  2967,    -1,   176,    -1,  2971,  2937,  2973,    -1,  2975,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2985,
      -1,    -1,  2988,    -1,  2990,    -1,    -1,    -1,   524,    -1,
      -1,  2962,  2998,  2999,  3000,  3001,   532,    -1,    -1,  3005,
      -1,    -1,  3008,    -1,    -1,   541,   542,    -1,    -1,    -1,
     546,    -1,  3018,  3019,    -1,    -1,    -1,    -1,    -1,    -1,
     233,   557,   235,  3029,    -1,    -1,    -1,  2998,    -1,    -1,
      -1,  3037,   245,  3039,   570,    -1,    -1,    -1,    -1,    -1,
     253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,
     586,    -1,    -1,   589,  3060,   591,    -1,   593,    -1,    -1,
    3066,    -1,    -1,    -1,    -1,    -1,  3072,    -1,    18,    -1,
      -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,
      -1,  3087,   295,    -1,    -1,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   630,    -1,    -1,    -1,    -1,    49,
      -1,    -1,    -1,    -1,  2538,    -1,    -1,    -1,    -1,    -1,
      -1,   324,    -1,    -1,    64,    -1,    -1,   653,    -1,   655,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   676,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    95,  2580,  2581,    -1,  2583,
      -1,  3157,    -1,    -1,    -1,  3161,  3162,  3163,    -1,     8,
      -1,    -1,    11,   113,    -1,    -1,   706,    -1,    -1,   382,
     120,    -1,   708,   123,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,  3162,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2639,    -1,  2641,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,   173,    -1,    -1,   176,    -1,    -1,    -1,
      -1,   767,    -1,  3239,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2695,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,   223,    -1,    -1,    -1,  3283,   814,    -1,
      -1,    -1,    -1,   233,    -1,   235,  2720,    -1,    -1,    -1,
      -1,    -1,    -1,   829,    -1,   245,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   253,  3310,  2739,   842,    -1,    -1,    -1,
      -1,   261,   262,   849,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,  2757,    -1,   861,    -1,    -1,   864,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3310,
    3346,  3347,  3348,   192,   193,   295,    -1,    -1,    -1,   299,
     300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,   897,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   324,  3346,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,   335,   235,  2821,    -1,   238,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,  3405,
      -1,    -1,   251,  2837,    -1,   254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2848,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    -1,   961,    -1,   963,    -1,   965,
      -1,   967,   382,   969,   970,   971,  3442,    -1,    -1,    -1,
     976,    -1,    -1,    -1,    -1,    -1,  3452,  3453,    -1,  3455,
      -1,    -1,    -1,    -1,  3460,  3461,    -1,    -1,    -1,  3465,
    3466,    -1,    -1,    -1,    -1,  3471,  3472,    -1,    -1,  3475,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,
      -1,    -1,  1022,  2917,  3455,    -1,    -1,  3493,    -1,    -1,
      -1,  3497,    -1,    -1,    -1,  3466,    -1,    -1,    -1,    -1,
      -1,  3507,    -1,  2937,    -1,    -1,  3512,    -1,    -1,    -1,
       8,  1051,    -1,    11,    -1,    -1,    -1,    -1,  3524,    -1,
      -1,   167,    -1,    -1,    -1,   171,    -1,    -1,  2962,    -1,
      28,    -1,    -1,    31,    -1,    -1,    -1,    -1,    36,  1079,
    1080,    -1,  1082,    -1,    42,    -1,   192,   193,    -1,  3555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1099,
      -1,    -1,    -1,   209,  2998,    -1,    -1,  3573,    66,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3592,    -1,    -1,   235,
      -1,    -1,   238,    -1,    -1,  3601,    -1,    -1,  1138,    -1,
      -1,    -1,  3573,    -1,    -1,   251,    -1,    -1,   254,    -1,
      -1,  3617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1156,    -1,   268,    -1,    -1,    -1,    -1,  1167,    -1,    -1,
    3601,  1171,  1172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3617,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3663,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   328,  1219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3663,    -1,   192,   193,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3716,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3727,    -1,    -1,    -1,    -1,    -1,    -1,  3162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,
     238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3774,    -1,
      -1,    -1,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3805,
      -1,    -1,    -1,  3809,    -1,    -1,    -1,    -1,  3814,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3831,  3832,    -1,    -1,  3835,
     328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3809,    -1,
       8,    -1,  3848,    11,    -1,    -1,    -1,  3853,    -1,    -1,
    3856,    -1,    -1,    -1,    -1,  3861,  3862,    -1,    -1,    -1,
      28,    -1,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    42,    -1,  3310,  1413,    -1,    -1,
    3886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1428,    -1,    -1,    -1,    -1,    -1,    66,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3917,  3346,    -1,    -1,    -1,    -1,    -1,    -1,  3925,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
      -1,    -1,  1468,    -1,    -1,    -1,  1472,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3917,  1483,  3954,  1485,
      -1,  1487,    -1,    -1,    -1,    -1,  1492,    -1,    -1,    -1,
      -1,    -1,  3968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1515,
      -1,  1517,    -1,  1519,    -1,  1521,    -1,  1523,    -1,    -1,
      -1,  1527,     8,    -1,    -1,    11,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4017,    28,  4019,    -1,    -1,    -1,    -1,    -1,    -1,
      36,  3455,    -1,    -1,   192,   193,    42,    -1,    -1,    -1,
      -1,    -1,  3466,  4039,  4040,    -1,  4042,    -1,  4044,    -1,
      -1,   209,  1582,    -1,    -1,    -1,    -1,    -1,  4019,    -1,
      66,    -1,    -1,  1095,    -1,  4061,    -1,    -1,    -1,  4065,
      -1,    -1,    -1,    -1,  4070,  1605,    -1,   235,  1608,  4040,
     238,  1611,    -1,    -1,    -1,    -1,    -1,    -1,  1618,  1619,
      -1,    -1,    -1,   251,  1624,    -1,   254,  1627,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4104,  4070,
      -1,    -1,  4108,    -1,  1644,    -1,  4112,  4113,    -1,  1649,
    1152,    -1,    -1,  1653,    -1,    -1,    -1,  1657,    -1,  1659,
    1660,  1661,  1662,  1663,  1664,  1665,  1666,  1667,    -1,  1669,
      -1,    -1,    -1,    -1,  1674,   151,  1676,  4108,    -1,  3573,
      -1,  4112,  4113,  4149,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,
     328,    -1,  4168,    -1,    -1,    -1,    -1,  3601,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   192,   193,    -1,    -1,
      -1,    -1,  4188,  3617,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,
      -1,    -1,   238,    -1,    -1,    -1,    -1,  4233,    -1,  3663,
      -1,    -1,   859,    -1,    -1,   251,    -1,    -1,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
      -1,    -1,  1802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4289,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4306,  4307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   328,  4319,    -1,  1851,  1852,    -1,    -1,    -1,
    1856,  1857,    -1,    -1,  1860,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1870,    -1,    -1,    -1,    -1,    -1,
      -1,  1877,    -1,  1883,    -1,  1881,  1882,    -1,    -1,  1885,
    1886,    -1,    -1,    -1,  4360,    -1,  1892,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4370,   992,    -1,    -1,  1904,    -1,
    1906,    -1,    -1,    -1,    -1,  3809,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4390,     8,  1922,    -1,    11,    -1,
      -1,  1927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   418,   419,   420,    28,   422,   423,   424,   425,
     426,   427,    -1,    36,    -1,    -1,    -1,    -1,     8,    42,
      -1,    11,  1958,  1959,  1960,  1961,  4432,    -1,    -1,  1965,
    1966,  4437,    -1,    -1,    -1,  4441,    -1,  1973,    28,  4445,
    1976,    31,    -1,    66,  1980,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,     8,    -1,    -1,    11,    -1,    -1,
    1502,    -1,    -1,    -1,    -1,    -1,  2002,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    66,  2013,    -1,  2015,
      -1,    -1,    36,  3917,  2020,    -1,    -1,    -1,    42,  2025,
    2026,  2027,  2028,    -1,  2030,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2043,  2044,  2045,
      -1,    -1,    66,    -1,   859,    -1,    -1,    -1,  2054,  2055,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1580,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,    -1,
      -1,    -1,    -1,    -1,  2094,    -1,    -1,    -1,    -1,    -1,
    1187,    -1,  1604,    -1,    -1,    -1,    -1,  1609,    -1,   192,
     193,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,  2118,    -1,    -1,  4019,   209,  1629,  1630,    -1,
    1632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   192,   193,    -1,    -1,  4040,    -1,    -1,    -1,
      -1,    -1,   235,   167,  1241,   238,    -1,   171,    -1,   209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,
    1672,   254,    -1,    -1,    -1,    -1,  4070,    -1,   192,   193,
      -1,    -1,    -1,    -1,    -1,   235,  1273,   992,   238,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,   254,    -1,  1708,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4108,    -1,    -1,  2217,  4112,  4113,
      -1,   235,    -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,
     254,    -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1345,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2265,
      -1,   354,    -1,    -1,    -1,    -1,    -1,  1364,   328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1384,    -1,    -1,
    2300,    -1,    -1,    -1,    -1,  2305,    -1,    -1,    -1,  1811,
      -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,
      -1,  1823,  1409,    -1,  1826,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,    -1,    -1,  2347,    -1,  2349,
    2350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2360,    -1,    -1,  2363,    -1,  2365,    -1,    -1,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,    -1,  1466,
      -1,    -1,  1187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2392,    -1,  2394,    -1,    -1,    -1,  2398,    -1,
      -1,    -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,    -1,    21,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2427,  2428,  2429,
      -1,    -1,    -1,    -1,    -1,    -1,  1241,    -1,    -1,    -1,
      -1,    -1,    21,    -1,  2444,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    33,  2455,    -1,    -1,    -1,    -1,
    2460,    67,    68,    -1,    -1,    -1,  2466,    -1,  1273,    -1,
      76,    -1,    -1,    -1,    80,    54,    -1,    -1,    -1,    -1,
      -1,    -1,   859,    -1,    -1,    -1,    -1,    -1,    67,    -1,
      -1,    97,    -1,    -1,    -1,  2491,  2492,    76,    -1,    -1,
      -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2511,   118,    -1,    -1,    -1,    -1,    -1,    97,    -1,
      -1,    -1,    -1,   129,   103,    -1,    -1,    -1,    -1,    -1,
      -1,   137,    -1,    -1,    -1,    -1,    -1,  2533,    -1,   118,
    1345,    -1,   148,    -1,    -1,    -1,  2542,   153,    -1,    -1,
     129,    -1,    -1,    -1,    -1,    -1,  1643,    -1,   137,  1364,
      -1,  2557,  2558,    -1,    -1,    -1,  2562,    -1,   174,   148,
      -1,  2567,  2568,  2569,    -1,    -1,   155,    -1,    -1,  1384,
     159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   199,    -1,   174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1409,    -1,    -1,  2603,  2604,  2605,
    2606,    -1,    -1,    -1,   220,   992,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   213,    -1,    -1,  2633,  2634,  2635,
      -1,   220,    -1,    -1,    -1,   251,    -1,  2643,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,   279,    -1,   254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   859,    -1,
     306,    -1,    -1,    -1,   310,    -1,   312,    -1,    -1,   288,
      -1,  2707,   318,    -1,    -1,   321,    -1,    -1,    -1,  2715,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,    -1,    -1,
      -1,    -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,   318,
      -1,   347,   321,   349,    -1,    -1,    -1,   353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   361,    -1,    -1,    -1,    -1,
     366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,
     349,   350,    -1,   352,   353,    -1,  2772,    -1,    -1,    -1,
      -1,    -1,   361,    -1,    -1,   391,    -1,   366,    -1,    -1,
      -1,    -1,    -1,   372,    -1,    -1,   375,    -1,    -1,   378,
      -1,  2303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1187,    -1,   391,    -1,    -1,    -1,    -1,    -1,  2814,    -1,
      -1,  2817,    -1,    -1,  2326,    -1,  2328,    -1,  2330,  2331,
    2332,   992,    -1,  2335,    -1,    -1,    -1,  2339,  1643,    -1,
      -1,    -1,    -1,    -1,  2346,    -1,    -1,    -1,    -1,  2351,
      -1,  1938,    -1,  2849,    -1,  2357,  1943,  1944,    -1,    -1,
    2362,    -1,    -1,    -1,  1241,    -1,    -1,  2863,  1955,  2371,
      -1,    -1,    -1,  2375,  2376,    -1,  2378,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2390,    -1,
      -1,    -1,    -1,    -1,    -1,  2397,  1273,  2399,  2400,  2401,
    2402,  2403,  2404,  2405,  2406,  2407,  2408,    -1,    -1,    -1,
     859,    -1,    -1,    -1,  2914,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2924,    -1,    -1,    -1,    -1,    -1,
    2930,  2433,  2932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2954,  2955,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1345,    -1,
      -1,    -1,    -1,    -1,    -1,  2975,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2985,    -1,  1364,  2988,    -1,
    2990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2999,
      -1,    -1,    -1,    -1,    -1,  3005,    -1,  1384,  3008,  2096,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2526,    -1,  1187,    -1,    -1,  3029,
      -1,    -1,  1409,    -1,    -1,    -1,    -1,  3037,    -1,  3039,
      -1,    -1,    -1,   992,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3060,    -1,    -1,    -1,    -1,    -1,  3066,    -1,    -1,    -1,
      -1,    -1,  3072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2175,  1466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,    -1,
    3096,    -1,    -1,    -1,    -1,    -1,    -1,  3103,    -1,    -1,
      -1,    -1,  1273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3119,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1938,    -1,    -1,    -1,    -1,  1943,  1944,
    3136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3145,
    1955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1345,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3191,  3192,  3193,  3194,  3195,
    3196,  3197,  3198,  1364,    -1,    -1,    -1,  3203,  3204,    -1,
    3206,  3207,  3208,  3209,  3210,  3211,  3212,    -1,    -1,    -1,
      -1,    -1,    -1,  1384,    -1,  3221,    -1,  3223,  3224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1187,    -1,
    2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1643,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3277,  3278,  3279,    -1,    -1,  3282,    -1,    -1,    -1,
      -1,  2096,  1241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1273,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3347,  3348,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2867,    -1,  3363,    -1,    -1,
    2175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1345,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3405,    -1,    -1,    -1,    -1,
      -1,  2913,    -1,    -1,    -1,  1364,    -1,  2919,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2935,  2936,  1384,  2938,    -1,    -1,  2941,
    2942,  2943,  2944,  2945,  2946,  2947,  2948,  2949,  2950,  2951,
      -1,  2538,  3452,  3453,  2259,    -1,    -1,    -1,    -1,    -1,
    1409,    -1,    -1,    -1,    -1,  3465,    -1,    -1,    -1,    -1,
      -1,  3471,  3472,    -1,  2976,  3475,    -1,  2979,    -1,  2981,
      -1,    -1,  1643,    -1,  2986,  2987,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2580,  2581,    -1,  2583,    -1,  3000,  3001,
    3002,    -1,  3004,    -1,    -1,  3007,    -1,  3507,    -1,    -1,
      -1,    -1,  3512,    -1,    -1,    -1,    -1,  1466,    -1,    -1,
      -1,    -1,    -1,    -1,  3524,    -1,    21,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    -1,
      -1,    -1,    -1,  3045,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2639,  3055,  2641,  3555,    -1,    -1,    -1,    54,
      -1,  1938,    -1,    -1,    -1,    -1,  1943,  1944,    -1,    -1,
      -1,    -1,    67,    -1,    -1,    -1,    -1,    -1,  1955,    -1,
      -1,    -1,  3084,    -1,    -1,    80,    -1,    -1,  3584,  3585,
    3586,  3587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,  2695,    -1,
      -1,    -1,  3608,  3609,  3610,  3611,    -1,  3613,  3614,    -1,
      -1,    -1,    -1,   118,    -1,    -1,    -1,    -1,    -1,  3625,
    3626,    -1,    -1,  2720,   129,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2739,   148,    -1,    -1,    -1,    -1,   153,    -1,
      -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,    -1,    -1,
    2757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1643,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3716,    -1,    -1,  2096,
      -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2538,  2821,    -1,    -1,    -1,  3734,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3743,    -1,    -1,
    2837,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,  2848,    -1,    -1,    -1,    -1,   261,  3763,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2580,  2581,  1938,  2583,    -1,
      -1,  3283,  1943,  1944,   279,    -1,    -1,    -1,    -1,  3785,
      -1,    -1,    -1,    -1,  1955,    -1,    -1,    -1,  2175,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   306,    -1,    -1,    -1,   310,    -1,   312,    -1,    -1,
      -1,    -1,    -1,   318,    -1,    -1,   321,    -1,    -1,    -1,
    2917,    -1,    -1,    -1,  2639,  3835,  2641,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2937,    -1,   347,    -1,   349,    -1,    -1,    -1,   353,    -1,
      -1,    -1,  3862,    -1,    -1,    -1,   361,    -1,    -1,    -1,
      -1,   366,    -1,    -1,    -1,  2962,    -1,  3873,    -1,    -1,
      -1,    -1,  2259,   378,    -1,    -1,    -1,    -1,    -1,    -1,
    2695,    -1,    -1,    -1,    -1,    -1,   391,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3406,    -1,    -1,    -1,  3410,  3411,
    3412,  2998,    -1,  3415,    -1,  2720,    -1,    -1,  3420,  3421,
    3422,  3423,  3424,  3425,  3426,  3427,  3428,  3429,  3430,  3431,
      -1,    -1,    -1,    -1,  2739,  2096,    -1,    -1,    -1,  3935,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2757,    -1,    -1,    -1,    -1,  3459,  3460,  3461,
    3462,    -1,  3464,    -1,    -1,    -1,  3468,  3469,  3470,    -1,
      -1,  3473,    -1,    -1,  3476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1938,
      -1,    -1,    -1,    -1,  1943,  1944,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1955,  3509,    -1,    -1,
      -1,    -1,    -1,    -1,  2175,    -1,  2821,    -1,    -1,  3521,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4025,
      -1,    -1,  2837,  3535,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4042,  2848,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4061,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2259,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4102,    -1,    -1,    -1,
      -1,  4107,  2917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2096,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2962,    -1,    -1,
      -1,  2538,    -1,    -1,    -1,    -1,    -1,    -1,  4168,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2998,    -1,    -1,  4192,    -1,    -1,    -1,
      -1,    -1,    -1,  2580,  2581,    -1,  2583,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3719,    -1,    -1,
      -1,    -1,    -1,  3310,    -1,    -1,  2175,    -1,    -1,    -1,
      -1,    -1,    -1,  4233,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3346,
      -1,    -1,  2639,    -1,  2641,    -1,    -1,    -1,    -1,  3771,
    3772,  4267,    -1,    -1,    -1,    -1,  4272,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3801,
      -1,    -1,    -1,  3805,    -1,    -1,  4306,  4307,    -1,    -1,
    2259,    -1,    -1,    -1,    -1,    -1,    -1,  3819,  2695,  3821,
      -1,    -1,    -1,    -1,  3826,  3827,  3828,    -1,    -1,  3831,
    3832,  3833,  3834,    -1,  3836,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2720,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3162,    -1,    -1,
    4360,    -1,  2739,    -1,    -1,    -1,    -1,    -1,  3455,    -1,
    4370,    -1,    -1,    -1,    -1,    -1,    -1,  2538,    -1,  3466,
    2757,    -1,  3884,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2580,
    2581,    -1,  2583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2821,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2848,  3974,    -1,    -1,    -1,    -1,    -1,  2639,    -1,
    2641,    -1,    -1,    -1,    -1,    -1,  3573,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3310,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3601,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3617,    -1,    -1,    -1,  2695,    -1,  4038,  4039,    -1,    -1,
    2917,  3346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4054,  4055,  4056,    -1,    -1,    -1,    -1,  2720,
    2937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4073,    -1,    -1,    -1,    -1,  3663,    -1,  2739,    -1,
      -1,    -1,    -1,    -1,    -1,  2962,    -1,    -1,    -1,  2538,
      -1,    -1,    -1,    -1,    -1,    -1,  2757,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2998,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2580,  2581,    -1,  2583,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2821,  3466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2837,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2848,    -1,    -1,
    2639,    -1,  2641,    -1,  4196,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4206,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2695,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2917,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3573,    -1,
      -1,  2720,    -1,    -1,    -1,  4277,  2937,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3162,    -1,    -1,    -1,    -1,
    2739,    -1,    -1,    -1,    -1,    -1,  3601,    -1,    -1,    -1,
      -1,  2962,    -1,    -1,    -1,    -1,    -1,    -1,  2757,    -1,
      -1,    -1,  3617,    -1,    -1,    -1,  4318,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3917,    -1,    -1,    -1,    -1,    -1,    -1,  2998,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3663,    -1,
      -1,  4363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2837,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2848,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4411,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4019,  3310,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4040,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2917,  3346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4070,    -1,    -1,    -1,    -1,  2937,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3162,    -1,    -1,  3809,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2962,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4108,    -1,    -1,    -1,  4112,  4113,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2998,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3455,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3310,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3573,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3162,  4019,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3601,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4040,    -1,    -1,    -1,    -1,
    3617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4070,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3663,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3455,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4108,    -1,  3466,    -1,  4112,  4113,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3573,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3601,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3617,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3663,    -1,    -1,    -1,  3455,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3573,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4019,    -1,    -1,    -1,    -1,    -1,  3809,    -1,
      -1,    -1,  3601,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4040,    -1,    -1,    -1,    -1,  3617,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4070,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3663,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4108,    -1,    -1,    -1,  4112,  4113,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3917,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4019,    -1,
    3809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4040,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4070,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4108,    -1,    -1,
      -1,  4112,  4113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3917,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4040,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,  4108,
      -1,    -1,    30,  4112,  4113,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,   115,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,   423,   424,    -1,    -1,    -1,
      -1,    -1,    -1,   431,   432,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,   423,     3,    -1,    -1,    -1,
      -1,    -1,    -1,   431,   432,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   432,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
      -1,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,    -1,   207,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,    -1,    -1,   236,   237,
     238,   239,    -1,    -1,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,    -1,   361,    -1,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   412,   413,   414,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,   432,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,    -1,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,    -1,    -1,   236,
     237,   238,   239,    -1,    -1,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,    -1,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,   412,   413,   414,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,   432,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,    -1,
      -1,   429,   430,   431,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   422,   423,   424,    -1,    -1,    -1,    -1,
      -1,    -1,   431,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   431,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     431,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,
     423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   431,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   422,   423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   431,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   431,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,   207,   208,    -1,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   422,   423,    -1,    -1,     3,     4,     5,     6,     7,
     431,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,     3,     4,     5,     6,     7,    -1,     9,
      10,    -1,    -1,   431,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,   431,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,    -1,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,    -1,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,    -1,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,   207,   208,    -1,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,     3,   422,
     423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,   250,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,   250,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   431,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     431,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,    -1,    -1,    -1,     9,    -1,    -1,    -1,   431,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,     3,   422,   423,   424,
      -1,    -1,    -1,    -1,    -1,    -1,   431,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    26,
      27,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   431,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     431,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,    -1,    -1,     8,
       9,    -1,    -1,    -1,   431,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   412,   413,   414,    -1,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,     3,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   424,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   424,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   424,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,    -1,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
      -1,    -1,   236,   237,   238,   239,    -1,    -1,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,    -1,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,    -1,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,
     414,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
     424,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    -1,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,    -1,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,    -1,    -1,   236,   237,   238,   239,    -1,    -1,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,    -1,   361,
      -1,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,    -1,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,     9,
     412,   413,   414,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,   424,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,     4,     5,    -1,    -1,
      -1,     9,   422,   423,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,     4,     5,
      -1,    -1,    -1,     9,   422,   423,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,     9,   422,   423,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,   151,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,     4,     5,    -1,    -1,    -1,     9,   422,   423,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    -1,    68,    69,
      70,    71,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,   148,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
     148,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,   148,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,   148,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,   250,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,   250,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,   250,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,    -1,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
      -1,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,    -1,   207,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,    -1,    -1,   236,   237,
     238,   239,    -1,    -1,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,    -1,   361,    -1,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   412,   413,   414,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,    -1,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,    -1,    -1,   236,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,    -1,
     361,    -1,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,    -1,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   412,   413,   414,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,    -1,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
      -1,    -1,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
      -1,   361,    -1,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,    -1,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   412,   413,   414,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,    -1,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,    -1,    -1,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,    -1,   361,    -1,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,    -1,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   412,   413,   414,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,    -1,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,    -1,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,    -1,    -1,
     236,   237,   238,   239,    -1,    -1,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,    -1,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,    -1,   361,    -1,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,    -1,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,    -1,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,    -1,
      -1,   236,   237,   238,   239,    -1,    -1,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,    -1,   361,    -1,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
      -1,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,    -1,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
      -1,    -1,   236,   237,   238,   239,    -1,    -1,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,    -1,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,    -1,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,
     414,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      -1,    44,    -1,    -1,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    -1,    -1,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,    -1,    -1,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,
     143,    -1,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,    -1,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,   185,    -1,    -1,    -1,    -1,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,    -1,   236,   237,   238,   239,    -1,    -1,   242,
      -1,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,    -1,    -1,    -1,    -1,   359,    -1,   361,    -1,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,    -1,    -1,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,
     413,   414
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   134,
     136,   142,   156,   211,   212,   217,   226,   237,   274,   286,
     291,   292,   294,   299,   304,   307,   311,   316,   317,   324,
     327,   335,   347,   364,   374,   380,   385,   397,   431,   438,
     439,   440,   441,   447,   448,   450,   451,   452,   453,   454,
     455,   456,   458,   459,   463,   474,   477,   478,   481,   482,
     483,   494,   497,   498,   514,   551,   554,   557,   558,   559,
     566,   572,   574,   576,   577,   580,   583,   584,   588,   589,
     598,   602,   603,   604,   605,   606,   608,   609,   610,   623,
     624,   628,   630,   631,   632,   643,   645,   652,   653,   656,
     657,   658,   659,   660,   665,   667,   670,   674,   678,   679,
     689,   690,   693,   698,   709,   728,   731,   732,   733,   736,
     739,   741,   743,   746,   749,   750,   751,   758,   759,   761,
     762,   763,   768,   770,   771,   775,   776,   779,   780,   781,
     783,   784,   785,   786,   788,   791,   792,   797,   803,   806,
     808,   809,   814,   816,   820,   827,   831,   832,   833,   834,
     835,   836,   839,   867,   359,   399,   764,    21,    67,    80,
      97,   103,   118,   129,   137,   148,   153,   159,   174,   199,
     220,   251,   279,   306,   310,   312,   318,   321,   347,   349,
     353,   361,   366,   378,   391,   573,   764,     3,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      33,    34,    36,    37,    39,    40,    41,    42,    43,    45,
      46,    48,    49,    50,    51,    52,    55,    56,    57,    58,
      59,    61,    62,    63,    64,    65,    69,    70,    71,    72,
      74,    75,    77,    78,    79,    80,    81,    82,    85,    86,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   104,
     106,   107,   108,   109,   110,   112,   113,   114,   117,   118,
     119,   120,   121,   123,   124,   125,   127,   128,   129,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   141,   143,
     144,   145,   147,   149,   153,   154,   155,   157,   158,   160,
     162,   163,   164,   165,   166,   168,   169,   170,   172,   173,
     174,   175,   176,   177,   179,   181,   182,   183,   184,   185,
     186,   187,   189,   191,   194,   196,   197,   198,   199,   200,
     202,   203,   205,   206,   208,   211,   212,   213,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   231,   232,   233,   234,   236,   237,   239,   241,
     242,   243,   244,   245,   246,   248,   251,   252,   253,   256,
     260,   261,   262,   263,   264,   265,   266,   267,   269,   270,
     271,   272,   273,   274,   275,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   303,
     304,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   318,   319,   320,   321,   322,   324,   325,   326,
     327,   329,   330,   331,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   345,   346,   348,   349,   350,
     351,   352,   353,   355,   356,   359,   360,   361,   362,   364,
     365,   366,   367,   368,   369,   370,   373,   374,   375,   376,
     377,   380,   381,   382,   383,   384,   385,   386,   388,   390,
     391,   392,   395,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     828,   974,   986,   989,   990,   389,   793,   249,   275,   764,
      44,   505,   832,    21,    33,    54,    67,    76,    97,   103,
     118,   129,   137,   148,   155,   159,   213,   251,   254,   306,
     312,   321,   349,   350,   352,   353,   361,   366,   372,   375,
     378,   515,   556,   648,   699,   710,    22,   274,   974,   828,
      22,   269,   350,   352,     5,   198,   737,   738,   983,    21,
      33,    54,    67,    80,    97,   118,   129,   137,   148,   153,
     159,   174,   220,   251,   261,   306,   310,   312,   318,   321,
     347,   349,   353,   361,   366,   378,   391,   573,   661,   764,
     974,    83,   389,   431,   551,   554,   557,   792,   798,   806,
     809,   814,   820,   827,   831,     9,    15,    22,    39,   143,
     149,   151,   171,   200,   232,   277,   293,   422,   423,   675,
     676,   828,   982,   985,    22,    83,   290,   317,   680,   681,
     682,   986,   986,   979,   983,   347,   842,   675,   986,   359,
     974,   261,   220,    97,   174,   346,   347,   744,   311,   986,
      22,   322,   355,   359,   466,   986,    19,   156,   680,   681,
     275,   764,   986,   197,    22,   115,   844,    55,    77,   213,
     228,   306,   312,   322,   355,   359,   402,   464,   465,   466,
      22,   322,   355,   359,   466,   359,   250,   878,   972,   986,
     842,   424,   986,   152,   431,   794,   431,   968,   288,   837,
     838,   974,   832,   833,   836,     0,   434,   793,   130,   188,
     255,   371,   845,   846,   832,   834,   835,   108,   184,   377,
     435,     3,    38,    44,    67,    73,    84,    90,   150,   152,
     167,   180,   192,   193,   195,   207,   209,   230,   238,   257,
     258,   259,   305,   328,   389,   980,   986,   987,   989,   991,
     663,   986,   663,   975,   986,   278,   663,   361,   663,   974,
     986,    96,   347,   688,   980,   984,   986,   166,   972,   244,
     391,     8,    62,   141,   418,   419,   420,   422,   423,   424,
     425,   426,   427,   735,   935,   936,   986,    22,   984,   974,
     974,   166,   972,   974,   166,   878,   974,   314,   974,   663,
     218,   984,   166,   972,   198,   105,   194,   235,   284,   765,
     766,   767,   972,   978,   986,    21,    54,    67,    68,    76,
      80,    97,   118,   129,   137,   148,   153,   174,   199,   220,
     251,   306,   310,   312,   318,   321,   347,   349,   353,   361,
     366,   391,   573,   668,   983,   972,   357,   980,   974,   431,
     663,   361,   975,   663,   361,   166,   974,    96,   347,   350,
     352,   984,   350,   352,    62,   141,   735,   297,   984,   166,
     460,   986,   974,   974,   314,   974,   663,   218,   984,   288,
     318,   347,   391,   220,    80,   174,   153,   310,   365,   567,
      22,   974,   829,   473,   983,   986,   738,   166,   980,   974,
     166,   742,   166,   975,   361,    96,   347,   166,   980,   166,
     973,   974,    73,   391,    62,   141,   166,   735,    48,   166,
     973,   166,   974,   166,   974,   166,   974,   314,   166,   974,
     166,   218,   973,   198,   166,   662,   663,   431,   807,   515,
     798,   385,   389,   792,   799,   800,   801,   986,   793,   985,
     676,   677,    22,   677,   985,   677,    22,   677,   985,   677,
     677,   677,   985,   982,   982,   828,   677,   278,   431,   431,
     534,   534,   534,   249,   357,   435,   534,   878,   879,   435,
     760,   983,   431,   804,    48,   391,   974,   974,   972,   986,
      38,   414,   194,   433,   252,   252,   249,   151,   983,   357,
     146,   671,   249,     4,     6,     7,     8,    10,    30,    43,
      45,    46,    53,    54,    57,    58,    65,    67,    87,    88,
      89,    90,    91,    92,    93,   100,   101,   119,   135,   139,
     140,   144,   158,   186,   187,   189,   206,   214,   215,   229,
     231,   235,   240,   241,   243,   251,   260,   270,   285,   308,
     323,   330,   343,   355,   356,   360,   362,   363,   372,   378,
     386,   404,   405,   406,   407,   408,   409,   410,   411,   422,
     423,   424,   431,   832,   890,   893,   896,   897,   898,   900,
     901,   902,   903,   906,   907,   911,   913,   914,   933,   937,
     956,   961,   969,   970,   980,   981,   982,   983,   986,   983,
      22,   479,   971,   972,   322,   464,   103,   472,   983,   473,
     983,    38,    59,   464,   414,   331,   766,   252,   151,   357,
     418,    38,   414,   194,   767,   431,   972,   424,   429,   433,
     962,   963,   879,   150,   152,   389,   789,   790,   792,   150,
     795,   103,   911,   966,   967,   837,   435,   431,   796,   432,
     432,   440,   972,    22,   115,   843,   843,    48,   843,   142,
     146,   210,   247,   849,   851,   852,   861,   863,   864,   865,
     845,   846,   151,   190,   878,   880,   968,   431,   637,   963,
     262,   295,   324,   433,   664,   262,   295,   324,   262,   295,
     324,   397,   442,   474,   475,   694,    18,   120,   262,   295,
     324,   382,   486,   974,   324,    18,   120,   377,   457,   400,
     166,   878,    50,    82,   138,   169,   205,   235,   262,   295,
     303,   309,   316,   324,   333,   341,   392,   474,   476,   722,
     729,   431,   711,   295,   457,   135,    18,    24,    64,   113,
     120,   123,   176,   233,   235,   245,   253,   262,   295,   299,
     324,   382,   484,   485,   592,     4,   423,   564,   985,   166,
     972,   663,   663,   431,   734,   433,   171,   449,   295,   442,
     449,   249,   262,   295,   135,    49,    95,   173,   221,   223,
     233,   261,   295,   300,   324,   335,   484,   561,   562,   262,
     295,   390,   592,   600,   135,   295,   324,   484,   262,   295,
     299,   324,    74,   112,   263,   351,   249,    18,    24,   120,
     262,   295,   324,   495,   496,   146,   295,   324,   442,   475,
     135,   295,   324,   484,   974,   208,   105,   250,   401,   435,
     765,   379,   787,   249,   980,   431,   974,   361,    96,   347,
     980,   244,   391,    62,   141,   735,   974,   314,   974,   198,
     663,   534,   281,   500,   431,   637,   638,    60,     3,    43,
      45,    46,    57,    58,   100,   101,   144,   186,   187,   189,
     229,   231,   243,   285,   325,   330,   355,   356,   386,   887,
     889,   891,   893,   895,   897,   898,   899,   901,   902,   906,
     907,   987,   989,   151,   431,   633,   974,   442,    31,   782,
     974,   235,   442,   400,   166,   972,   442,   663,   663,   633,
     375,   515,   442,   235,    38,   461,   366,   599,   262,   575,
      74,   112,   263,   351,    20,    40,   185,   611,    31,   633,
     146,   442,   391,   972,   166,   552,   972,   972,   391,   663,
      73,   700,   980,   974,   573,    44,    94,   183,   233,   313,
     135,   637,    51,   301,   487,   135,   431,   135,   400,   135,
     711,   135,   435,   166,   662,   166,   663,   166,   663,   135,
     734,   973,   135,   135,   249,   135,   487,   135,    74,   112,
     263,   351,   135,   249,   135,   146,   166,   166,   473,   135,
     435,   487,   911,   940,   347,   432,   435,   140,   249,   363,
     470,   473,   564,   802,   798,   677,   828,   677,   828,   677,
     828,   677,   828,   677,   828,   828,   828,   677,   828,   431,
     535,   536,   986,   535,    22,    97,   118,   148,   153,   198,
     199,   312,   318,   347,   349,   366,   683,   971,   973,   682,
     171,   435,   817,   983,   887,   943,    31,   973,   972,   147,
     745,   745,   745,   208,   986,   146,   146,   683,   973,   311,
     986,   473,   249,   431,   964,   429,   832,   944,   388,   904,
     911,   960,   431,   904,   904,   431,   146,   431,   431,   431,
     892,   892,   272,   832,   431,   431,   894,   431,   431,   431,
     431,    57,    58,   904,   911,   431,   892,   431,   431,   431,
     431,   431,   398,   417,   431,   908,   431,   908,   431,   431,
     832,   431,   431,   431,   431,   431,   431,   431,   431,   911,
     911,   832,   911,   940,   963,   983,    58,   431,   905,   431,
     983,     3,     8,    11,    28,    31,    36,    42,    66,   167,
     171,   192,   193,   209,   235,   238,   251,   254,   328,   418,
     419,   420,   422,   423,   424,   425,   426,   427,   935,   937,
     939,   259,   911,   190,   435,   840,   431,   983,   963,   106,
     168,   480,   435,    59,   103,   473,    31,     3,   103,   213,
     471,   564,   907,   983,   983,    78,   117,   920,    86,   103,
     467,   468,   470,   564,   103,   467,   208,   972,   911,     3,
      22,    26,    27,    28,    29,    30,    31,    32,    35,    47,
      53,    54,    60,    66,    68,    76,    83,    87,    88,    89,
      91,    92,    93,   103,   105,   111,   115,   116,   122,   126,
     130,   140,   142,   146,   148,   151,   156,   159,   161,   171,
     178,   188,   190,   201,   204,   210,   214,   215,   235,   240,
     247,   249,   250,   254,   255,   268,   276,   290,   302,   317,
     323,   332,   344,   347,   354,   357,   358,   363,   371,   372,
     378,   379,   387,   393,   394,   396,   397,   424,   977,   988,
     989,   990,   991,   992,   962,    79,   300,   666,   432,   435,
     793,   432,   435,   838,   973,    31,   796,   834,   834,   847,
     848,   911,   834,   143,   232,   858,   196,   233,   284,   326,
     377,    22,   853,   911,   854,   856,   911,   913,   861,   862,
     852,   851,   849,   850,   146,   864,   245,   866,   849,   861,
     880,   972,    31,   986,   324,   424,   943,   262,   295,   324,
     357,   357,   312,   977,   433,   357,   357,   312,   357,   357,
     349,   464,   777,   146,   156,   171,   304,   695,   696,    60,
      76,   131,   148,   276,   372,   531,   532,    76,   103,   235,
     357,    76,   357,   103,   235,   312,    76,   113,   123,   262,
     295,   629,   312,   581,    21,    54,    67,    80,   118,   129,
     148,   153,   220,   251,   312,   318,   321,   347,   353,   366,
     391,   573,   974,   135,   295,   324,   484,   249,   564,   316,
     205,   357,   357,   240,   564,   107,   191,   312,   322,   359,
     465,   301,   324,   722,   730,   171,   181,   256,   325,   387,
     432,   712,   715,   716,   717,   719,   887,   987,   357,   378,
     972,    68,   131,   522,   531,   986,    68,   747,   249,   310,
     361,    76,   747,    25,   298,   310,   361,   972,   176,   245,
     663,   431,   357,   357,   431,   490,   349,   397,   398,   490,
      76,   435,     4,   262,   135,   295,   324,   484,   379,   379,
     234,   887,   262,   324,   735,    97,   475,   357,   444,   475,
     972,   357,   357,   972,   564,    48,   563,   564,   564,    95,
     221,   223,    48,   357,   442,   312,   442,   233,   562,   357,
     357,   240,   983,   592,   878,    76,   357,   747,   312,   357,
     357,   490,   490,   663,   663,   663,   663,   972,    37,   384,
      37,    37,   357,    37,   357,   312,   435,    93,   378,   607,
     984,   357,   444,   972,   357,   312,   262,   295,   284,   296,
     320,   469,   765,   978,   986,   972,   637,   887,   249,   400,
     711,   564,   663,   663,   734,   192,   249,    74,   112,   263,
     351,   249,   663,   192,   397,   506,   338,   339,   501,   983,
       3,   639,   640,   633,   431,   889,    31,    30,   888,    98,
     164,   222,   225,   315,   412,   431,   909,   910,   664,   892,
     663,   634,   635,   988,    20,   772,   887,   249,   135,   578,
     974,   235,   431,   443,   648,   379,   288,   391,   443,   135,
     984,    83,   156,   462,   514,   558,   610,   678,   698,   768,
     983,   600,   601,   974,   216,   663,   663,   663,   663,   245,
     108,   184,   364,   377,   612,   613,   127,   283,   431,   607,
     443,   972,   560,   561,   235,    31,   245,   431,   534,   534,
     555,   972,   146,   701,   978,   431,   713,    31,   198,   397,
     398,   830,   313,   980,   487,   887,   975,   166,   974,   980,
     487,   973,   974,   135,   487,   135,   379,   135,   379,   735,
     487,   487,   973,   974,   663,   974,   974,   974,   663,   973,
     607,   135,   135,   487,   662,   663,   432,   435,   972,   798,
     800,   828,   828,   828,   828,   828,   828,   535,   432,   435,
     432,   154,   319,   348,   973,   662,    96,   321,   687,   688,
     973,   244,   973,   971,   971,   973,   662,   357,   397,   691,
      16,   133,   308,   326,   818,   878,   239,   819,   432,   435,
     805,   809,   814,   820,   831,   357,   397,   553,   681,   680,
     681,   151,   157,   692,   986,    21,    68,    97,   118,   129,
     148,   153,   199,   220,   306,   312,   318,   347,   349,   366,
     391,   573,   672,   940,   962,   430,   940,   944,   945,   431,
     393,   957,   958,   911,   940,   431,   982,   982,   940,     3,
      98,   164,   222,   225,   315,   412,   946,   947,   983,   982,
     940,   940,   982,   982,   904,   904,   911,   735,   911,   948,
     422,   423,   912,   913,   933,   937,   950,   432,   940,   911,
     940,   951,   355,   414,   982,   982,   911,    47,   151,   204,
     358,   911,   940,   954,   940,   227,   913,   911,   918,   919,
     920,   227,   911,   920,   432,   435,   324,   982,   982,   909,
     887,   911,   988,   355,    35,   344,   965,   663,   911,   431,
     832,   955,   115,   117,   140,   235,   240,   245,   363,   373,
     911,    42,   167,   171,   209,   328,   431,   911,   357,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,    22,
      29,   332,   934,   308,   431,   933,   155,   213,   347,   350,
     352,   375,   841,   972,   970,   151,   868,    22,   115,   387,
     424,   432,   717,   911,   941,   942,   987,   972,   359,   431,
     983,   435,   432,   430,   436,   165,   165,   487,   972,   790,
     791,   972,   966,   432,   431,   435,    32,   111,   379,   707,
     431,   855,   985,   326,   196,   250,   435,   308,   309,   857,
     971,   819,   862,   850,   379,   815,   103,   431,   810,   831,
     986,   431,   821,   822,   823,   824,   825,   986,   432,   432,
     357,   357,   312,   984,   974,   974,   977,   984,   974,   974,
     984,   975,   974,    75,   778,   306,   378,   680,   312,   156,
     680,   431,   974,   379,   702,   196,   196,   379,   431,   550,
     166,   974,   240,   984,   974,   974,   911,   240,   974,   974,
      25,   298,   357,   357,   974,   357,   582,   980,   431,   663,
     663,   663,   361,    96,   347,   688,   391,    62,   141,   735,
     974,   663,   974,   663,   314,   663,   663,   198,   160,   233,
     262,   295,   383,   585,   586,   587,   878,   357,   747,   312,
     240,   107,   191,   984,   974,   249,   974,   256,   987,   432,
     435,   717,   719,   716,   719,   987,   664,   984,   973,   295,
     484,   522,   887,   986,   974,   974,    22,   378,   974,   166,
     974,   166,   986,   310,   361,   310,   361,   974,    22,   378,
     974,   972,    18,   120,   324,   593,   594,   595,   596,   988,
     984,   974,   492,   493,   988,   974,   248,    64,   248,   974,
     485,   357,   972,   357,   747,   312,   976,   986,   976,   435,
     432,   435,   357,   312,   975,   984,     3,    75,   125,   176,
     267,   370,   378,   381,   445,   295,   984,   974,   295,   324,
     484,   561,   564,   663,   974,   564,   974,   564,   984,   974,
     295,   324,   484,   974,   974,   974,   974,   984,   974,    18,
      24,   120,   262,   295,   324,   262,   295,   324,   633,   295,
     324,   295,   324,   295,   886,   986,   166,   644,   986,   166,
     986,   984,   974,   974,   974,    18,   496,   321,   984,   295,
     324,   484,   974,   974,   357,   357,    72,   369,   284,   192,
      31,   663,   192,   192,   379,   379,   192,   240,   669,   983,
     663,   663,   192,   669,   248,   151,   357,   499,   442,   418,
     432,   435,   911,    30,   888,   887,   429,   429,   357,   357,
     357,   431,   357,   982,   892,   432,   435,   418,   612,    75,
     124,   202,   203,   216,   262,   349,   351,   773,   524,   988,
     974,   151,   312,   390,   579,   586,   587,   135,   209,   516,
     518,   520,   522,   528,   531,    19,   171,   306,   345,   445,
     446,   146,   976,   391,   972,   460,   986,   461,   254,   515,
     148,   983,   633,   633,   633,   633,   245,   249,   254,   431,
     633,   884,   885,   886,   321,   431,   135,   134,   831,   663,
     516,   986,   397,   398,   546,   397,   491,    31,   534,   983,
     249,   432,   714,   715,   720,    31,   198,   303,   396,   721,
     722,   723,   249,   473,   163,   163,   146,   637,    31,   135,
     487,   711,   662,   663,   976,   663,   976,   734,   249,   487,
     487,   249,   487,   321,   146,   473,   487,   911,   432,   536,
     171,   171,   171,   400,   973,   435,   564,   565,   159,   684,
     685,   984,    19,   692,   133,   326,   133,   326,   308,   377,
     224,   887,   974,    96,   233,   151,   249,   684,    48,   487,
     980,   361,   347,   980,   244,   391,   198,   663,   432,   430,
     430,   435,   940,   911,   122,   958,   959,    31,   432,   911,
     432,   432,   432,   432,   151,   432,   432,   432,   432,   432,
     435,   432,   268,   949,   432,   912,   912,    11,   171,   192,
     251,   418,   419,   420,   422,   423,   424,   425,   426,   427,
     937,   912,   432,   432,   146,   151,   952,   953,   432,   414,
     432,   432,    31,   954,   940,   954,   954,   151,   432,   432,
     988,   266,   922,    31,   432,   435,   911,   988,   435,   911,
     964,   911,   986,   432,   432,   414,   912,   912,   128,   940,
     151,   115,   117,   140,   240,   245,   363,   373,   431,   128,
     344,   965,   911,   955,   911,   357,   735,   911,   431,   832,
     350,   352,   350,   352,   972,   842,   842,   842,   201,   431,
     832,   869,   870,   871,   878,   881,   914,   980,   986,   394,
     882,   941,   941,   942,   432,   258,   926,    13,   432,   435,
     846,   766,   982,   909,   468,   911,   796,   805,   848,   251,
     935,   938,   415,   416,   708,   911,   857,   377,   854,   869,
     394,   883,   385,   811,   812,   986,   302,   813,   825,   826,
     435,   868,   418,   964,   984,   974,   974,   210,   973,   973,
     249,   973,   252,   249,   911,   532,   976,   431,   431,   431,
     550,   174,   535,   621,   135,   487,   357,   984,   974,   473,
     637,   887,   974,   400,   663,   663,   663,   663,   734,    74,
     112,   263,   351,   974,   568,   974,   160,   383,   357,   357,
     568,   585,   592,   295,   324,   484,   974,   974,   974,   182,
     240,   664,   715,   719,   719,   426,   357,   253,   590,   120,
     299,   324,   486,   592,   748,   135,   487,   135,   487,   974,
     974,   974,   974,   595,   596,   595,   432,   435,   597,   983,
     432,   435,   418,   433,   984,   295,   324,   484,   974,   974,
     974,   262,   295,   324,    18,   120,   262,   295,   324,   887,
     234,   887,   984,   974,   210,   267,   240,   983,   267,   973,
     376,   357,   357,   312,   357,   747,   312,   357,   357,   218,
     218,   218,   357,   357,   312,   357,   357,   312,   357,   312,
     357,   312,   357,   487,   887,   235,   983,   324,   748,   135,
     487,   357,   974,   357,   312,   984,   974,   669,   887,   192,
     669,   669,   976,   976,   669,   192,   192,   669,   500,   431,
     502,   503,   251,   422,   423,   564,   636,   719,   938,   983,
     992,     3,   640,   432,   429,   432,   982,   430,   982,   164,
     222,   910,   222,   910,   910,   982,   225,   432,   635,   636,
     249,   210,   418,   774,   774,   774,   774,   774,   774,   774,
      60,    66,    76,   103,   105,   178,   235,   240,   276,   290,
     372,   525,   526,   527,   134,   393,   442,   473,   974,   473,
     590,   972,   972,   432,   435,   973,   159,   306,   973,   982,
     366,   972,   534,    38,   461,   297,   347,    96,   535,   972,
     613,   641,   642,   983,   432,   435,   974,   535,   972,   974,
     553,   431,   517,   432,   248,   490,   248,   249,   547,   490,
      31,   831,   491,   357,   972,   432,   435,   103,   418,   724,
     983,   473,   347,   718,   719,   397,   723,   725,   108,   184,
     317,   377,   756,   160,   831,   487,   887,   974,   487,   487,
     379,   487,   379,   487,   487,   663,   663,   974,   607,   487,
     312,   312,   312,   973,   688,   435,   984,   397,   435,   686,
     252,   133,   133,    96,   973,   683,   487,   984,   637,   711,
     564,   663,   192,   944,   432,   354,   911,   126,   887,   432,
     911,   911,   911,   952,   887,   912,   115,   117,   235,   245,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     911,   911,   953,   952,   908,   908,   887,   432,   432,   432,
     940,   432,   435,    48,   913,   432,   988,   919,   273,   342,
     921,   432,   435,   390,   915,    31,   432,   905,   983,   911,
      28,    28,   911,   432,   911,   151,   431,   943,   911,   912,
     912,   128,   128,   911,   432,   128,   911,   842,   842,   842,
     842,   972,   972,   972,   832,   881,   832,   870,   871,    31,
     872,   873,   986,   435,    84,   152,   180,   195,   207,   230,
     305,   875,   873,    31,   872,   874,   986,   431,   963,   911,
     159,   859,   435,   845,   846,   845,   432,   926,   431,   927,
     986,   911,   926,   983,   387,   942,   432,   432,   430,   432,
     431,   708,   432,   250,    86,   911,   813,   432,   435,   964,
     969,   432,   435,   822,   883,   966,   774,   154,   319,   348,
     367,   697,   146,   697,   432,   431,   538,   539,   704,   914,
     986,   535,   535,   621,   978,   432,   105,   178,   233,   235,
     622,   974,   974,    31,   974,   379,   379,   663,   663,   663,
     663,   664,   984,   974,   357,   747,   312,   357,   182,   426,
     366,   974,   431,   524,   235,   490,    96,   235,   337,   340,
     490,   366,   974,   986,   594,   493,   636,   988,   357,   747,
     312,   357,   357,   357,   312,   153,   251,   340,   646,   647,
     153,   251,   654,   655,   357,   357,   312,   432,   432,   432,
     985,   983,   983,   983,   974,   974,   974,   974,   974,   974,
     974,   974,   146,   146,   297,   146,   166,   984,   974,   974,
     984,   974,   974,   974,   974,   974,   974,   974,    66,   488,
     135,    20,    40,   366,   986,   974,   592,   974,   974,   432,
     669,   192,   192,   669,   669,   501,   509,   510,   988,    44,
      85,   109,   124,   128,   147,   150,   162,   240,   248,   282,
     504,   621,   982,   397,   398,   430,   430,   432,   909,   972,
     774,   103,   982,   983,   103,   983,   103,   983,   103,   983,
     103,   974,   103,   974,   103,   974,   431,   663,   974,   912,
     106,   168,   105,   240,   196,   972,   725,   280,   625,   626,
     986,   578,   431,   529,   321,   520,   973,   973,   887,   431,
     491,   984,   972,   400,   146,   614,   432,   435,   886,   590,
     432,   245,   431,   807,   519,   521,   523,   531,   986,   546,
     177,   545,    71,   349,   548,   831,   553,   548,   983,   702,
     720,   911,   911,   435,   431,   721,   633,   357,   568,   432,
     487,   976,   976,   487,   487,   321,   973,   973,   973,   564,
     156,   685,   692,   151,   192,   192,   192,   192,   240,   673,
     983,   911,   432,   432,   953,   151,   115,   117,   245,   431,
     432,   403,   917,   940,   289,    48,   395,   395,   432,   911,
     233,   911,   435,   916,   889,   909,   912,   912,   911,   943,
     432,    28,    28,   911,   911,   128,   911,   432,   972,   972,
     972,   972,   873,   874,   432,   986,   431,   870,   195,   257,
     876,   870,   876,   195,   875,   876,   195,   431,   986,   431,
     941,    48,   161,   860,   432,   432,   926,   928,   986,   942,
     926,   983,   735,   245,   831,   812,   418,   825,   813,   985,
     357,   680,   151,   621,   911,   432,   435,   397,    66,   705,
     705,   432,   432,   725,   106,   168,   176,   105,   381,   487,
     887,   976,   976,   974,   974,   974,   974,   366,   591,   595,
     240,   240,   985,   986,   887,   487,   487,   418,   974,   974,
     974,   974,   984,   974,   974,   982,   982,   887,   435,   982,
     982,   435,   984,   974,   974,   357,   973,   973,   663,   973,
     135,   663,   983,   983,   887,   487,   487,   192,   669,   669,
     379,   507,   508,   432,   435,   424,   431,   470,   511,   564,
     782,   983,   782,   235,   282,   782,   782,   430,   153,   181,
     153,   151,   620,   985,   911,   235,   526,   725,   534,   379,
     549,   980,    28,   134,   171,   516,   132,   172,   974,   379,
     535,    31,   461,   431,   974,   121,   615,   393,   617,   983,
     491,   663,   516,   553,   432,   435,   397,   547,   431,   546,
     108,   120,   273,   974,   397,   769,   151,   431,   983,   717,
     726,   727,   987,   725,   972,   179,   569,   487,   487,   487,
     974,   252,   487,   684,   673,   673,   673,   673,   912,   151,
     431,   943,   431,   432,   435,   432,   913,   289,   432,   384,
     334,   432,   432,   432,   912,   912,   911,   872,   431,   973,
     870,   249,   379,   877,   870,   195,   870,   885,   431,   885,
     986,   432,   940,   911,   396,   923,   926,   926,   265,   929,
     432,   909,   432,   828,   968,   684,   249,   684,   432,   725,
     539,   251,   735,   663,   379,   663,   706,   706,   290,   725,
     549,   432,   357,   432,   435,   488,   636,   357,   431,   980,
     735,   647,   431,   431,   655,   974,   397,   297,   397,   397,
     146,   488,   669,   442,   110,   510,   470,   512,   513,   983,
     983,   240,   424,   535,   983,   983,   688,    31,   740,   740,
     972,   621,   432,   549,   219,   537,   174,   431,   626,   280,
     431,   432,    22,    70,    77,   104,   175,   340,   530,   530,
     590,   976,   432,   831,   590,   308,   336,   616,   431,   134,
      31,   517,   432,   521,   253,   548,   971,   547,   309,   309,
      52,    60,   213,   663,   703,   704,   719,   432,   435,   882,
     568,   233,   383,   570,   571,   487,   912,   943,   432,   918,
     940,    48,   233,   413,   973,   432,   911,   431,   870,   877,
     432,   885,   432,   924,   925,   986,    48,   845,   926,   686,
     697,   487,   705,   549,   431,   663,   707,   707,   972,   549,
     621,   974,   595,   379,   489,   974,   943,   711,   146,   650,
     734,   943,   943,   662,   663,   662,   663,   973,   487,   502,
     983,   432,   435,   535,   740,    34,   170,   146,   233,   533,
     152,   264,   329,   249,   541,   542,   543,   349,   432,   980,
       5,   627,   321,   141,   649,   491,   769,   911,   280,   831,
     546,   545,   524,   432,   548,    60,   252,    60,   432,   435,
     721,   726,   116,   383,   568,   432,   432,   432,   289,   384,
     432,   973,   432,   435,    31,   940,   283,   309,   930,   151,
     706,   394,   540,   735,   708,   708,   534,   621,   911,   432,
     255,   314,   287,   651,   650,   432,   432,   397,   513,   121,
     176,   108,   377,   249,   543,   249,   542,   974,   431,   432,
     435,   974,   663,    31,    31,   432,   980,   547,   546,   252,
     252,   491,   704,   725,    23,   185,   757,   432,   925,   927,
      42,    86,   368,   911,   931,   932,   931,   432,   684,   707,
     431,   621,   432,   537,   980,    48,   651,   663,   308,    51,
     233,   301,   324,   544,   544,   432,     5,   590,   646,   831,
     431,   548,   547,   548,   236,   431,   752,   754,   759,   809,
     814,   820,   831,   932,   308,   145,   271,   145,   271,   487,
     708,   911,   541,   711,   663,   617,    17,   103,   240,     4,
     618,   619,   982,   983,   988,   548,   882,   753,   754,   755,
     832,   833,    28,   432,   621,   134,   432,   435,   432,   434,
     932,   280,   619,   755,   980,   431,   618,   432
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, &yylloc, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval, &yylloc, yyscanner)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (yyscanner);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, yyscanner)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    core_yyscan_t yyscanner;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, yyscanner); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, yyscanner)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (core_yyscan_t yyscanner);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */





/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (core_yyscan_t yyscanner)
#else
int
yyparse (yyscanner)
    core_yyscan_t yyscanner;
#endif
#endif
{
/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1455 of yacc.c  */
#line 680 "gram.y"
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[(1) - (1)].list);
			;}
    break;

  case 3:

/* Line 1455 of yacc.c  */
#line 687 "gram.y"
    {
					if ((yyvsp[(3) - (3)].node) != NULL)
						(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
					else
						(yyval.list) = (yyvsp[(1) - (3)].list);
				;}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 694 "gram.y"
    {
					if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
					else
						(yyval.list) = NIL;
				;}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 818 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 829 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 839 "gram.y"
    {;}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 840 "gram.y"
    {;}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 849 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 850 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 854 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 855 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 860 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 865 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				;}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 869 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 874 "gram.y"
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 879 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				;}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 883 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				;}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 887 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 892 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 896 "gram.y"
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[(1) - (1)].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[(1) - (1)].str)),
									 parser_errposition((yylsp[(1) - (1)]))));
				;}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 949 "gram.y"
    { (yyval.defelt) = (yyvsp[(1) - (1)].defelt); ;}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 952 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)));
				;}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 956 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 960 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 964 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 968 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 982 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 1000 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 1010 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 1011 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 1016 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1024 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1042 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1054 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->database = NULL;
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1075 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1082 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1101 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1108 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1125 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1143 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1153 "gram.y"
    { (yyval.ival) = +1; ;}
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1154 "gram.y"
    { (yyval.ival) = -1; ;}
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1167 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1174 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 1191 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(3) - (6)].str) != NULL)
						n->schemaname = (yyvsp[(3) - (6)].str);
					else
						n->schemaname = (yyvsp[(5) - (6)].str);
					n->authid = (yyvsp[(5) - (6)].str);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 161:

/* Line 1455 of yacc.c  */
#line 1204 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 162:

/* Line 1455 of yacc.c  */
#line 1214 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(6) - (9)].str) != NULL)
						n->schemaname = (yyvsp[(6) - (9)].str);
					else
						n->schemaname = (yyvsp[(8) - (9)].str);
					n->authid = (yyvsp[(8) - (9)].str);
					if ((yyvsp[(9) - (9)].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[(9) - (9)]))));
					n->schemaElts = (yyvsp[(9) - (9)].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 163:

/* Line 1455 of yacc.c  */
#line 1232 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(6) - (7)].str);
					n->authid = NULL;
					if ((yyvsp[(7) - (7)].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[(7) - (7)]))));
					n->schemaElts = (yyvsp[(7) - (7)].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 164:

/* Line 1455 of yacc.c  */
#line 1249 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 165:

/* Line 1455 of yacc.c  */
#line 1250 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 166:

/* Line 1455 of yacc.c  */
#line 1255 "gram.y"
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[(2) - (2)]);
					(yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 167:

/* Line 1455 of yacc.c  */
#line 1261 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 174:

/* Line 1455 of yacc.c  */
#line 1289 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 175:

/* Line 1455 of yacc.c  */
#line 1295 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 1301 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 1310 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 1318 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 1330 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 1338 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 1346 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 1353 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 1360 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 1368 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				;}
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 1379 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				;}
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 1387 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 1395 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				;}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 1406 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 1414 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 191:

/* Line 1455 of yacc.c  */
#line 1422 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				;}
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 1429 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 1438 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 1447 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 1449 "gram.y"
    {
					(yyval.str) = palloc(strlen((yyvsp[(1) - (3)].str)) + strlen((yyvsp[(3) - (3)].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str));
				;}
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 1455 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 1456 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 198:

/* Line 1455 of yacc.c  */
#line 1460 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); ;}
    break;

  case 199:

/* Line 1455 of yacc.c  */
#line 1462 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); ;}
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 1465 "gram.y"
    { (yyval.str) = "read uncommitted"; ;}
    break;

  case 201:

/* Line 1455 of yacc.c  */
#line 1466 "gram.y"
    { (yyval.str) = "read committed"; ;}
    break;

  case 202:

/* Line 1455 of yacc.c  */
#line 1467 "gram.y"
    { (yyval.str) = "repeatable read"; ;}
    break;

  case 203:

/* Line 1455 of yacc.c  */
#line 1468 "gram.y"
    { (yyval.str) = "serializable"; ;}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 1472 "gram.y"
    { (yyval.str) = "true"; ;}
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 1473 "gram.y"
    { (yyval.str) = "false"; ;}
    break;

  case 206:

/* Line 1455 of yacc.c  */
#line 1474 "gram.y"
    { (yyval.str) = "on"; ;}
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 1480 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 1493 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 1497 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 1501 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				;}
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 1516 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(6) - (6)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(6) - (6)]))));
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				;}
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 1538 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); ;}
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 1539 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 1540 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 1544 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 1545 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 1546 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 1550 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 1551 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 1556 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 1563 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 1570 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 1577 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 1584 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 1593 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); ;}
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 1594 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); ;}
    break;

  case 227:

/* Line 1455 of yacc.c  */
#line 1599 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); ;}
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 1600 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); ;}
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 1606 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 230:

/* Line 1455 of yacc.c  */
#line 1612 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 1618 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 1624 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 1630 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 234:

/* Line 1455 of yacc.c  */
#line 1640 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 235:

/* Line 1455 of yacc.c  */
#line 1649 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 1650 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 1654 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 1655 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 1664 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 1679 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 241:

/* Line 1455 of yacc.c  */
#line 1685 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 1691 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 1697 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 244:

/* Line 1455 of yacc.c  */
#line 1715 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 1724 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 1733 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 1742 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 1751 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 1760 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 1769 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 1778 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 1787 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 1796 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(6) - (7)].range);
					n->cmds = (yyvsp[(7) - (7)].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 1807 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 1808 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 1814 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 1822 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 1830 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 1839 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 1847 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 1855 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 1864 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 1873 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 1882 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 1891 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 1901 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 1914 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = (yyvsp[(8) - (8)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 1928 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (Node *) (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 1937 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 1945 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 1953 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 1963 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 1973 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 1980 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 1987 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 1995 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 2003 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 278:

/* Line 1455 of yacc.c  */
#line 2011 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 279:

/* Line 1455 of yacc.c  */
#line 2019 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 2027 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 2034 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 282:

/* Line 1455 of yacc.c  */
#line 2041 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 283:

/* Line 1455 of yacc.c  */
#line 2049 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 2056 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 285:

/* Line 1455 of yacc.c  */
#line 2063 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 2071 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 287:

/* Line 1455 of yacc.c  */
#line 2079 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 2087 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 289:

/* Line 1455 of yacc.c  */
#line 2095 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 2103 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 2111 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[(2) - (2)].list));
					def->location = (yylsp[(2) - (2)]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 292:

/* Line 1455 of yacc.c  */
#line 2121 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 2128 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 294:

/* Line 1455 of yacc.c  */
#line 2136 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 295:

/* Line 1455 of yacc.c  */
#line 2144 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 296:

/* Line 1455 of yacc.c  */
#line 2152 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 297:

/* Line 1455 of yacc.c  */
#line 2159 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[(1) - (1)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2168 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); ;}
    break;

  case 299:

/* Line 1455 of yacc.c  */
#line 2169 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2173 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; ;}
    break;

  case 301:

/* Line 1455 of yacc.c  */
#line 2174 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; ;}
    break;

  case 302:

/* Line 1455 of yacc.c  */
#line 2175 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ ;}
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2180 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2187 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2191 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2192 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2196 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2199 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2200 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 310:

/* Line 1455 of yacc.c  */
#line 2204 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2205 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2211 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				;}
    break;

  case 313:

/* Line 1455 of yacc.c  */
#line 2215 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				;}
    break;

  case 314:

/* Line 1455 of yacc.c  */
#line 2219 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC);
				;}
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2224 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC);
				;}
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2239 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (4)].list), (yylsp[(3) - (4)]), yyscanner);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2251 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2252 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2258 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (4)].node);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2267 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2277 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2287 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2312 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2318 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2349 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (11)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (11)].list);
					n->is_from = (yyvsp[(6) - (11)].boolean);
					n->is_program = (yyvsp[(7) - (11)].boolean);
					n->filename = (yyvsp[(8) - (11)].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[(8) - (11)]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (11)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (11)].defelt));
					if ((yyvsp[(5) - (11)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (11)].defelt));
					if ((yyvsp[(9) - (11)].defelt))
						n->options = lappend(n->options, (yyvsp[(9) - (11)].defelt));
					if ((yyvsp[(11) - (11)].list))
						n->options = list_concat(n->options, (yyvsp[(11) - (11)].list));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2377 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(2) - (7)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[(4) - (7)].boolean);
					n->filename = (yyvsp[(5) - (7)].str);
					n->options = (yyvsp[(7) - (7)].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[(5) - (7)]))));

					(yyval.node) = (Node *)n;
				;}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2398 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2399 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2403 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2404 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2413 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2414 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2415 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2418 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2419 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2424 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 337:

/* Line 1455 of yacc.c  */
#line 2425 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2430 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				;}
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2434 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				;}
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2438 "gram.y"
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				;}
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2442 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2446 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 343:

/* Line 1455 of yacc.c  */
#line 2450 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				;}
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2454 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				;}
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2458 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2462 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2466 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2470 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				;}
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2474 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[(4) - (4)].list));
				;}
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2478 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2487 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				;}
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2490 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2495 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				;}
    break;

  case 354:

/* Line 1455 of yacc.c  */
#line 2498 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 2503 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 2506 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 2510 "gram.y"
    {;}
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 2511 "gram.y"
    {;}
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 2517 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 2521 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 2528 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 2534 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 2535 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); ;}
    break;

  case 364:

/* Line 1455 of yacc.c  */
#line 2536 "gram.y"
    { (yyval.node) = (Node *) makeNode(A_Star); ;}
    break;

  case 365:

/* Line 1455 of yacc.c  */
#line 2537 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (3)].list); ;}
    break;

  case 366:

/* Line 1455 of yacc.c  */
#line 2538 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 367:

/* Line 1455 of yacc.c  */
#line 2543 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 2547 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 2554 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 2567 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (11)].range)->relpersistence = (yyvsp[(2) - (11)].ival);
					n->relation = (yyvsp[(4) - (11)].range);
					n->tableElts = (yyvsp[(6) - (11)].list);
					n->inhRelations = (yyvsp[(8) - (11)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (11)].list);
					n->oncommit = (yyvsp[(10) - (11)].oncommit);
					n->tablespacename = (yyvsp[(11) - (11)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 2583 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (14)].range)->relpersistence = (yyvsp[(2) - (14)].ival);
					n->relation = (yyvsp[(7) - (14)].range);
					n->tableElts = (yyvsp[(9) - (14)].list);
					n->inhRelations = (yyvsp[(11) - (14)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(12) - (14)].list);
					n->oncommit = (yyvsp[(13) - (14)].oncommit);
					n->tablespacename = (yyvsp[(14) - (14)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 2598 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (10)].range)->relpersistence = (yyvsp[(2) - (10)].ival);
					n->relation = (yyvsp[(4) - (10)].range);
					n->tableElts = (yyvsp[(7) - (10)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(6) - (10)].list));
					n->ofTypename->location = (yylsp[(6) - (10)]);
					n->constraints = NIL;
					n->options = (yyvsp[(8) - (10)].list);
					n->oncommit = (yyvsp[(9) - (10)].oncommit);
					n->tablespacename = (yyvsp[(10) - (10)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 2614 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (13)].range)->relpersistence = (yyvsp[(2) - (13)].ival);
					n->relation = (yyvsp[(7) - (13)].range);
					n->tableElts = (yyvsp[(10) - (13)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(9) - (13)].list));
					n->ofTypename->location = (yylsp[(9) - (13)]);
					n->constraints = NIL;
					n->options = (yyvsp[(11) - (13)].list);
					n->oncommit = (yyvsp[(12) - (13)].oncommit);
					n->tablespacename = (yyvsp[(13) - (13)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 2641 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 2642 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 376:

/* Line 1455 of yacc.c  */
#line 2643 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 377:

/* Line 1455 of yacc.c  */
#line 2644 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 378:

/* Line 1455 of yacc.c  */
#line 2646 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				;}
    break;

  case 379:

/* Line 1455 of yacc.c  */
#line 2653 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				;}
    break;

  case 380:

/* Line 1455 of yacc.c  */
#line 2659 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; ;}
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 2660 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; ;}
    break;

  case 382:

/* Line 1455 of yacc.c  */
#line 2664 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 383:

/* Line 1455 of yacc.c  */
#line 2665 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 2669 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 2670 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 2675 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 2679 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 2686 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 2690 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 2696 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 2697 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 2698 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 2702 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 2703 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 2707 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = (yyvsp[(2) - (4)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[(3) - (4)].list);
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 2727 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 2746 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 2747 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 2752 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 2759 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 2760 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 2762 "gram.y"
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 2793 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 2800 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 2807 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 2818 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 2829 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->is_no_inherit = (yyvsp[(5) - (5)].boolean);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 2839 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[(1) - (2)]);
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 2848 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (5)]);
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 2881 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 2888 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 2895 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 2902 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 2913 "gram.y"
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 2922 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); ;}
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 2923 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) & ~(yyvsp[(3) - (3)].ival); ;}
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 2924 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 2928 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; ;}
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 2929 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; ;}
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 2930 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; ;}
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 2931 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; ;}
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 2932 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; ;}
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 2933 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; ;}
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 2943 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 2950 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 2955 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[(5) - (5)].ival), (yylsp[(5) - (5)]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 2969 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (7)]);
					n->keys = (yyvsp[(3) - (7)].list);
					n->options = (yyvsp[(5) - (7)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(6) - (7)].str);
					processCASbits((yyvsp[(7) - (7)].ival), (yylsp[(7) - (7)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 2983 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(2) - (3)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(3) - (3)].ival), (yylsp[(3) - (3)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 2998 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (8)]);
					n->keys = (yyvsp[(4) - (8)].list);
					n->options = (yyvsp[(6) - (8)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(7) - (8)].str);
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 3012 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(3) - (4)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 3028 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[(1) - (9)]);
					n->access_method	= (yyvsp[(2) - (9)].str);
					n->exclusions		= (yyvsp[(4) - (9)].list);
					n->options			= (yyvsp[(6) - (9)].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[(7) - (9)].str);
					n->where_clause		= (yyvsp[(8) - (9)].node);
					processCASbits((yyvsp[(9) - (9)].ival), (yylsp[(9) - (9)]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 3045 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (11)]);
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					processCASbits((yyvsp[(11) - (11)].ival), (yylsp[(11) - (11)]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 3064 "gram.y"
    {  (yyval.boolean) = TRUE; ;}
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 3065 "gram.y"
    {  (yyval.boolean) = FALSE; ;}
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 3069 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 3070 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 3074 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 3075 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 3079 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				;}
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 3085 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			;}
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 3089 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			;}
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 3097 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			;}
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 3101 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			;}
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 3107 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); ;}
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 3109 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 3113 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (3)].ielem), (yyvsp[(3) - (3)].list));
			;}
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 3118 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (6)].ielem), (yyvsp[(5) - (6)].list));
			;}
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 3124 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); ;}
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 3125 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 3136 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); ;}
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 3138 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); ;}
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 3140 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); ;}
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 3142 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); ;}
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 3144 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); ;}
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 3147 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); ;}
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 3150 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); ;}
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 3154 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; ;}
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 3155 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; ;}
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 3156 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; ;}
    break;

  case 460:

/* Line 1455 of yacc.c  */
#line 3157 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; ;}
    break;

  case 461:

/* Line 1455 of yacc.c  */
#line 3158 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; ;}
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 3161 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 3162 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 3167 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 3168 "gram.y"
    { (yyval.list) = list_make1(defWithOids(true)); ;}
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 3169 "gram.y"
    { (yyval.list) = list_make1(defWithOids(false)); ;}
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 3170 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 3173 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; ;}
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 3174 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; ;}
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 3175 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; ;}
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 3176 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; ;}
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 3179 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 3180 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 3183 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 3184 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 3187 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 3203 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[(6) - (7)].node);
					ctas->into = (yyvsp[(4) - (7)].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (7)].into)->rel->relpersistence = (yyvsp[(2) - (7)].ival);
					(yyvsp[(4) - (7)].into)->skipData = !((yyvsp[(7) - (7)].boolean));
					(yyval.node) = (Node *) ctas;
				;}
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 3218 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (5)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (5)].list);
					(yyval.into)->options = (yyvsp[(3) - (5)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (5)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (5)].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				;}
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 3231 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 3232 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 3233 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 3246 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[(7) - (8)].node);
					ctas->into = (yyvsp[(5) - (8)].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(5) - (8)].into)->rel->relpersistence = (yyvsp[(2) - (8)].ival);
					(yyvsp[(5) - (8)].into)->skipData = !((yyvsp[(8) - (8)].boolean));
					(yyval.node) = (Node *) ctas;
				;}
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 3261 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (4)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (4)].list);
					(yyval.into)->options = (yyvsp[(3) - (4)].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[(4) - (4)].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				;}
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 3273 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; ;}
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 3274 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; ;}
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 3287 "gram.y"
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->skipData = !((yyvsp[(5) - (5)].boolean));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 3306 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->relpersistence = (yyvsp[(2) - (5)].ival);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 3318 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 3326 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(5) - (6)].range);
					n->options = (yyvsp[(6) - (6)].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3336 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3337 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3340 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3341 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3345 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3349 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				;}
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3353 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				;}
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3357 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3361 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3365 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3369 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				;}
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3373 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				;}
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3377 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3381 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3385 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				;}
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3389 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3394 "gram.y"
    {;}
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3395 "gram.y"
    {;}
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3399 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); ;}
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3401 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				;}
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3405 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); ;}
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3408 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); ;}
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3409 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); ;}
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3422 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (6)].boolean);
				n->plname = (yyvsp[(6) - (6)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			;}
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3435 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (10)].boolean);
				n->plname = (yyvsp[(6) - (10)].str);
				n->plhandler = (yyvsp[(8) - (10)].list);
				n->plinline = (yyvsp[(9) - (10)].list);
				n->plvalidator = (yyvsp[(10) - (10)].list);
				n->pltrusted = (yyvsp[(3) - (10)].boolean);
				(yyval.node) = (Node *)n;
			;}
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3448 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3449 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3457 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3458 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); ;}
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3462 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3463 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3467 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3468 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3472 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3473 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3478 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[(4) - (5)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3489 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3501 "gram.y"
    {;}
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3502 "gram.y"
    {;}
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3513 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (6)].str);
					n->owner = (yyvsp[(4) - (6)].str);
					n->location = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3522 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3523 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3537 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3544 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3561 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->if_not_exists = false;
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3569 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(6) - (8)].str);
					n->if_not_exists = true;
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3580 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3582 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3587 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3591 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 3595 "gram.y"
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 541:

/* Line 1455 of yacc.c  */
#line 3607 "gram.y"
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 3617 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 3619 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 544:

/* Line 1455 of yacc.c  */
#line 3624 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 3637 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 3647 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (10)].str);
					n->action = (yyvsp[(4) - (10)].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(7) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(9) - (10)].typnam));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 3657 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 548:

/* Line 1455 of yacc.c  */
#line 3666 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 3675 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 3684 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (6)].funwithargs)->funcname;
					n->objargs = (yyvsp[(6) - (6)].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 3694 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[(7) - (7)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 3703 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 553:

/* Line 1455 of yacc.c  */
#line 3713 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 3723 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 3733 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 3742 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[(7) - (7)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 3751 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 3760 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 3769 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 3778 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 3787 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 3796 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 3805 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 3814 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 565:

/* Line 1455 of yacc.c  */
#line 3823 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 3832 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[(8) - (8)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 567:

/* Line 1455 of yacc.c  */
#line 3841 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 568:

/* Line 1455 of yacc.c  */
#line 3850 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 569:

/* Line 1455 of yacc.c  */
#line 3868 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 570:

/* Line 1455 of yacc.c  */
#line 3878 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[(2) - (2)].list)); ;}
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 3879 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", NULL); ;}
    break;

  case 572:

/* Line 1455 of yacc.c  */
#line 3880 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[(2) - (2)].list)); ;}
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 3881 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", NULL); ;}
    break;

  case 574:

/* Line 1455 of yacc.c  */
#line 3885 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 3886 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 3890 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 3891 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 3902 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[(5) - (6)].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 579:

/* Line 1455 of yacc.c  */
#line 3913 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[(7) - (8)].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 580:

/* Line 1455 of yacc.c  */
#line 3933 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 3941 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->func_options = (yyvsp[(6) - (6)].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 3952 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 3953 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 3958 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 3962 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 3969 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 3974 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 3978 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 3985 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				;}
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 3989 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				;}
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 3994 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				;}
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 3999 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP);
				;}
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 4006 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 4012 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 4017 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 4029 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 4041 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 4042 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 4047 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 4048 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 4052 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 4053 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 4064 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[(3) - (4)].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 4075 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[(5) - (6)].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 4095 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 606:

/* Line 1455 of yacc.c  */
#line 4104 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 607:

/* Line 1455 of yacc.c  */
#line 4112 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 608:

/* Line 1455 of yacc.c  */
#line 4131 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(4) - (10)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(4) - (10)].range);
					n->base.tableElts = (yyvsp[(6) - (10)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 4146 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(7) - (13)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(7) - (13)].range);
					n->base.tableElts = (yyvsp[(9) - (13)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[(12) - (13)].str);
					n->options = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 4169 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 611:

/* Line 1455 of yacc.c  */
#line 4178 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(6) - (7)].range);
					n->cmds = (yyvsp[(7) - (7)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 612:

/* Line 1455 of yacc.c  */
#line 4196 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 4207 "gram.y"
    { (yyval.str) = "current_user"; ;}
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 4208 "gram.y"
    { (yyval.str) = "current_user"; ;}
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 4209 "gram.y"
    { (yyval.str) = (strcmp((yyvsp[(1) - (1)].str), "public") == 0) ? NULL : (yyvsp[(1) - (1)].str); ;}
    break;

  case 616:

/* Line 1455 of yacc.c  */
#line 4220 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(5) - (7)].str);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 4228 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(7) - (9)].str);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 4245 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 4266 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (15)].str);
					n->relation = (yyvsp[(7) - (15)].range);
					n->funcname = (yyvsp[(12) - (15)].list);
					n->args = (yyvsp[(14) - (15)].list);
					n->row = (yyvsp[(8) - (15)].boolean);
					n->timing = (yyvsp[(4) - (15)].ival);
					n->events = intVal(linitial((yyvsp[(5) - (15)].list)));
					n->columns = (List *) lsecond((yyvsp[(5) - (15)].list));
					n->whenClause = (yyvsp[(9) - (15)].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 4287 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (20)].str);
					n->relation = (yyvsp[(8) - (20)].range);
					n->funcname = (yyvsp[(17) - (20)].list);
					n->args = (yyvsp[(19) - (20)].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[(6) - (20)].list)));
					n->columns = (List *) lsecond((yyvsp[(6) - (20)].list));
					n->whenClause = (yyvsp[(14) - (20)].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(10) - (20)].ival), (yylsp[(10) - (20)]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[(9) - (20)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 621:

/* Line 1455 of yacc.c  */
#line 4308 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; ;}
    break;

  case 622:

/* Line 1455 of yacc.c  */
#line 4309 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_AFTER; ;}
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 4310 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; ;}
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 4315 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 4317 "gram.y"
    {
					int		events1 = intVal(linitial((yyvsp[(1) - (3)].list)));
					int		events2 = intVal(linitial((yyvsp[(3) - (3)].list)));
					List   *columns1 = (List *) lsecond((yyvsp[(1) - (3)].list));
					List   *columns2 = (List *) lsecond((yyvsp[(3) - (3)].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				;}
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 4339 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); ;}
    break;

  case 627:

/* Line 1455 of yacc.c  */
#line 4341 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); ;}
    break;

  case 628:

/* Line 1455 of yacc.c  */
#line 4343 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); ;}
    break;

  case 629:

/* Line 1455 of yacc.c  */
#line 4345 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 4347 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); ;}
    break;

  case 631:

/* Line 1455 of yacc.c  */
#line 4352 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				;}
    break;

  case 632:

/* Line 1455 of yacc.c  */
#line 4356 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				;}
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4366 "gram.y"
    {;}
    break;

  case 634:

/* Line 1455 of yacc.c  */
#line 4367 "gram.y"
    {;}
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4371 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4372 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4376 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); ;}
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4377 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4381 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); ;}
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4382 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); ;}
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4383 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4388 "gram.y"
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[(1) - (1)].ival));
					(yyval.value) = makeString(pstrdup(buf));
				;}
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4393 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4394 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4395 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4399 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); ;}
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4400 "gram.y"
    { (yyval.range) = NULL; ;}
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4405 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4407 "gram.y"
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(2) - (2)]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.ival) = newspec;
				;}
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4433 "gram.y"
    { (yyval.ival) = CAS_NOT_DEFERRABLE; ;}
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4434 "gram.y"
    { (yyval.ival) = CAS_DEFERRABLE; ;}
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4435 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; ;}
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4436 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; ;}
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4437 "gram.y"
    { (yyval.ival) = CAS_NOT_VALID; ;}
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4438 "gram.y"
    { (yyval.ival) = CAS_NO_INHERIT; ;}
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4444 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[(5) - (6)].list), makeString((yyvsp[(3) - (6)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4455 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[(7) - (8)].list), makeString((yyvsp[(5) - (8)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4479 "gram.y"
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[(4) - (11)].str);
					n->eventname = (yyvsp[(6) - (11)].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[(9) - (11)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4490 "gram.y"
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[(4) - (13)].str);
					n->eventname = (yyvsp[(6) - (13)].str);
					n->whenclause = (yyvsp[(8) - (13)].list);
					n->funcname = (yyvsp[(11) - (13)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4502 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4504 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4509 "gram.y"
    { (yyval.defelt) = makeDefElem((yyvsp[(1) - (5)].str), (Node *) (yyvsp[(4) - (5)].list)); ;}
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4514 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4516 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4521 "gram.y"
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[(4) - (5)].str);
					n->tgenabled = (yyvsp[(5) - (5)].chr);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 666:

/* Line 1455 of yacc.c  */
#line 4530 "gram.y"
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; ;}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4531 "gram.y"
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; ;}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4532 "gram.y"
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; ;}
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4533 "gram.y"
    { (yyval.chr) = TRIGGER_DISABLED; ;}
    break;

  case 670:

/* Line 1455 of yacc.c  */
#line 4547 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				;}
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4566 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 672:

/* Line 1455 of yacc.c  */
#line 4589 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4599 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4610 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4620 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4630 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4641 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[(3) - (7)].list), (yylsp[(3) - (7)]), yyscanner);
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4650 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 679:

/* Line 1455 of yacc.c  */
#line 4657 "gram.y"
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[(3) - (6)].list);
					n->params	= (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 680:

/* Line 1455 of yacc.c  */
#line 4664 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4673 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4682 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4691 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4700 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4709 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[(5) - (5)].list)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4719 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4722 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4723 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4727 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				;}
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4731 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				;}
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4737 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); ;}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4738 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); ;}
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4739 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); ;}
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4740 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); ;}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4741 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4744 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4745 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4748 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4751 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4752 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4761 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node));
				;}
    break;

  case 702:

/* Line 1455 of yacc.c  */
#line 4767 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4768 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4772 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4774 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4785 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (7)].list);
				n->newVal = (yyvsp[(7) - (7)].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[(6) - (7)].boolean);
				(yyval.node) = (Node *) n;
			;}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4795 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (9)].list);
				n->newVal = (yyvsp[(7) - (9)].str);
				n->newValNeighbor = (yyvsp[(9) - (9)].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[(6) - (9)].boolean);
				(yyval.node) = (Node *) n;
			;}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4805 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (9)].list);
				n->newVal = (yyvsp[(7) - (9)].str);
				n->newValNeighbor = (yyvsp[(9) - (9)].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[(6) - (9)].boolean);
				(yyval.node) = (Node *) n;
			;}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4816 "gram.y"
    { (yyval.boolean) = true; ;}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4817 "gram.y"
    { (yyval.boolean) = false; ;}
    break;

  case 711:

/* Line 1455 of yacc.c  */
#line 4835 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 712:

/* Line 1455 of yacc.c  */
#line 4848 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 713:

/* Line 1455 of yacc.c  */
#line 4849 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 714:

/* Line 1455 of yacc.c  */
#line 4854 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = NIL;
					n->number = (yyvsp[(2) - (5)].ival);
					n->order_family = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4865 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (6)].list);
					n->args = (yyvsp[(4) - (6)].list);
					n->number = (yyvsp[(2) - (6)].ival);
					n->order_family = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4875 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = extractArgTypes((yyvsp[(4) - (4)].list));
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4884 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (7)].list);
					n->args = extractArgTypes((yyvsp[(7) - (7)].list));
					n->number = (yyvsp[(2) - (7)].ival);
					n->class_args = (yyvsp[(4) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4894 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4902 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4903 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4906 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 4907 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 723:

/* Line 1455 of yacc.c  */
#line 4910 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 4911 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (4)].list); ;}
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 4912 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 4916 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				;}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 4929 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 728:

/* Line 1455 of yacc.c  */
#line 4935 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 4945 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 730:

/* Line 1455 of yacc.c  */
#line 4954 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 4965 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 4966 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 4971 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 734:

/* Line 1455 of yacc.c  */
#line 4979 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 735:

/* Line 1455 of yacc.c  */
#line 4991 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(4) - (7)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 5002 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(6) - (9)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(8) - (9)].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 737:

/* Line 1455 of yacc.c  */
#line 5016 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(4) - (7)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 738:

/* Line 1455 of yacc.c  */
#line 5027 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(6) - (9)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(8) - (9)].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 5050 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 5060 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 741:

/* Line 1455 of yacc.c  */
#line 5078 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 5089 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 5100 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(4) - (5)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 5111 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(6) - (7)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 5124 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 5125 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 5126 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 748:

/* Line 1455 of yacc.c  */
#line 5127 "gram.y"
    { (yyval.objtype) = OBJECT_MATVIEW; ;}
    break;

  case 749:

/* Line 1455 of yacc.c  */
#line 5128 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 5129 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 5130 "gram.y"
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; ;}
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 5131 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 5132 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; ;}
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 5133 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; ;}
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 5134 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; ;}
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 5135 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 5136 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; ;}
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 5137 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; ;}
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 5138 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; ;}
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 5139 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; ;}
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 5140 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; ;}
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 5144 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); ;}
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 5145 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 5148 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 5149 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); ;}
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 5153 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); ;}
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 5155 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 5168 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 769:

/* Line 1455 of yacc.c  */
#line 5178 "gram.y"
    { (yyval.boolean) = false; ;}
    break;

  case 770:

/* Line 1455 of yacc.c  */
#line 5179 "gram.y"
    { (yyval.boolean) = true; ;}
    break;

  case 771:

/* Line 1455 of yacc.c  */
#line 5180 "gram.y"
    { (yyval.boolean) = false; ;}
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 5213 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->objname = (yyvsp[(4) - (6)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 5222 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 5231 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 5240 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 5249 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 5258 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 778:

/* Line 1455 of yacc.c  */
#line 5267 "gram.y"
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[(4) - (6)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 779:

/* Line 1455 of yacc.c  */
#line 5277 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 5286 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 5295 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 5304 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(5) - (7)].value));
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 5313 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(5) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 5322 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(5) - (7)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 5333 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; ;}
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 5334 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; ;}
    break;

  case 787:

/* Line 1455 of yacc.c  */
#line 5335 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 788:

/* Line 1455 of yacc.c  */
#line 5336 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 5337 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5338 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5339 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; ;}
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5340 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5341 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5342 "gram.y"
    { (yyval.objtype) = OBJECT_MATVIEW; ;}
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5343 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; ;}
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5344 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; ;}
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5345 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; ;}
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5346 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; ;}
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5347 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; ;}
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5348 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5349 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; ;}
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5350 "gram.y"
    { (yyval.objtype) = OBJECT_FDW; ;}
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5351 "gram.y"
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; ;}
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5352 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; ;}
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5353 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; ;}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5354 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; ;}
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5355 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; ;}
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5359 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5360 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5376 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = (yyvsp[(5) - (8)].objtype);
					n->objname = (yyvsp[(6) - (8)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5387 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = (yyvsp[(7) - (9)].list);
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 812:

/* Line 1455 of yacc.c  */
#line 5398 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = extractArgTypes((yyvsp[(7) - (9)].list));
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 813:

/* Line 1455 of yacc.c  */
#line 5409 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(7) - (9)].value));
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 814:

/* Line 1455 of yacc.c  */
#line 5420 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 815:

/* Line 1455 of yacc.c  */
#line 5431 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5432 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5436 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; ;}
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5437 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; ;}
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5438 "gram.y"
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; ;}
    break;

  case 820:

/* Line 1455 of yacc.c  */
#line 5439 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 821:

/* Line 1455 of yacc.c  */
#line 5440 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 822:

/* Line 1455 of yacc.c  */
#line 5441 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 823:

/* Line 1455 of yacc.c  */
#line 5442 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5443 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5444 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; ;}
    break;

  case 826:

/* Line 1455 of yacc.c  */
#line 5445 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; ;}
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5446 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5447 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5448 "gram.y"
    { (yyval.objtype) = OBJECT_MATVIEW; ;}
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5451 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5452 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5463 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5469 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5477 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(1) - (1)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5485 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5493 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5501 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5509 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5517 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5525 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5533 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5541 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (3)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5549 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5557 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5565 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5573 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5581 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5589 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5597 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 850:

/* Line 1455 of yacc.c  */
#line 5606 "gram.y"
    {;}
    break;

  case 851:

/* Line 1455 of yacc.c  */
#line 5607 "gram.y"
    {;}
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5610 "gram.y"
    {;}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5611 "gram.y"
    {;}
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5623 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5639 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5653 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ((yyvsp[(7) - (10)].privtarget))->targtype;
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5678 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5680 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5682 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5684 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				;}
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5691 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				;}
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5699 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); ;}
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5700 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); ;}
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5704 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5711 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5718 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5725 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5739 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5747 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5755 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5763 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5771 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5779 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5787 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5795 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5803 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5811 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5819 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5827 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5835 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5843 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5851 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5859 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5870 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5871 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5875 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(1) - (1)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5885 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[(2) - (2)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5898 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5899 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5903 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].funwithargs)); ;}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5905 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].funwithargs)); ;}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5910 "gram.y"
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[(1) - (2)].list);
					n->funcargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.funwithargs) = n;
				;}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5926 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5939 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5949 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5960 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5961 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 5964 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 5965 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 5976 "gram.y"
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[(4) - (5)].list);
					n->action = (GrantStmt *) (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 5985 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 5986 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 5991 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 5995 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 5999 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 6011 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 6024 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 6038 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(7) - (10)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 909:

/* Line 1455 of yacc.c  */
#line 6053 "gram.y"
    { (yyval.ival) = ACL_OBJECT_RELATION; ;}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 6054 "gram.y"
    { (yyval.ival) = ACL_OBJECT_FUNCTION; ;}
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 6055 "gram.y"
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; ;}
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 6056 "gram.y"
    { (yyval.ival) = ACL_OBJECT_TYPE; ;}
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 6071 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = (yyvsp[(4) - (14)].boolean);
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 6095 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 6096 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 6100 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 6101 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 6105 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 6106 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 6110 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 6111 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; ;}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 6114 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); ;}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 6115 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); ;}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 6124 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (5)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				;}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 6135 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (5)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				;}
    break;

  case 926:

/* Line 1455 of yacc.c  */
#line 6146 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (7)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(4) - (7)].list);
					(yyval.ielem)->opclass = (yyvsp[(5) - (7)].list);
					(yyval.ielem)->ordering = (yyvsp[(6) - (7)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(7) - (7)].ival);
				;}
    break;

  case 927:

/* Line 1455 of yacc.c  */
#line 6158 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 928:

/* Line 1455 of yacc.c  */
#line 6159 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 6162 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 6163 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 6164 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 6167 "gram.y"
    { (yyval.ival) = SORTBY_ASC; ;}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 6168 "gram.y"
    { (yyval.ival) = SORTBY_DESC; ;}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 6169 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; ;}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 6172 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; ;}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 6173 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; ;}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 6174 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; ;}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 6192 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 6204 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 6217 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 6230 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 6231 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 6234 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 944:

/* Line 1455 of yacc.c  */
#line 6235 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 945:

/* Line 1455 of yacc.c  */
#line 6239 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); ;}
    break;

  case 946:

/* Line 1455 of yacc.c  */
#line 6240 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); ;}
    break;

  case 947:

/* Line 1455 of yacc.c  */
#line 6248 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 948:

/* Line 1455 of yacc.c  */
#line 6249 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 6253 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); ;}
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 6255 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); ;}
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 6270 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 6279 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 6288 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 6297 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 6306 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 6317 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; ;}
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 6318 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; ;}
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 6319 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; ;}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 6320 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; ;}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 6321 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; ;}
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 6332 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 6346 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6348 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				;}
    break;

  case 965:

/* Line 1455 of yacc.c  */
#line 6354 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				;}
    break;

  case 966:

/* Line 1455 of yacc.c  */
#line 6364 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
				;}
    break;

  case 967:

/* Line 1455 of yacc.c  */
#line 6368 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				;}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6373 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				;}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6382 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6383 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6391 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				;}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6395 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				;}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6399 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				;}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6403 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				;}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6407 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				;}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6411 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				;}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6415 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				;}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6419 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				;}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6423 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				;}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6427 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				;}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6431 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				;}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6435 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				;}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6439 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6443 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6447 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt));
				;}
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6455 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6459 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6463 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				;}
    break;

  case 989:

/* Line 1455 of yacc.c  */
#line 6467 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				;}
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6472 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6474 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6480 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6481 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6485 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6497 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				;}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6501 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				;}
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6516 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].funwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6526 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6527 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6549 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[(4) - (5)].list)));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6560 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[(6) - (7)].list)));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6574 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6585 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6599 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6610 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6624 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[(3) - (3)]))));
				;}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6632 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); ;}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6634 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); ;}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6636 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); ;}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6641 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6643 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6656 "gram.y"
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6664 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6665 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6670 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[(1) - (1)].str)));
				;}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6674 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6687 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].funwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6698 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6709 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6720 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; ;}
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6721 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; ;}
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6722 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; ;}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6727 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[(5) - (9)].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[(7) - (9)].typnam)));
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6739 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6740 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6755 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (4)].objtype);
					n->relation = (yyvsp[(3) - (4)].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6763 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6773 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6785 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6786 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6789 "gram.y"
    {  (yyval.boolean) = TRUE; ;}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6790 "gram.y"
    {  (yyval.boolean) = FALSE; ;}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6801 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6811 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6820 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6829 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6838 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6847 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (8)].list);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6857 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6866 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6876 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6885 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6894 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6904 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6914 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6923 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 6932 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 6942 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 6952 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 6962 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 6972 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 6982 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1055:

/* Line 1455 of yacc.c  */
#line 6992 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1056:

/* Line 1455 of yacc.c  */
#line 7002 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(6) - (9)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1057:

/* Line 1455 of yacc.c  */
#line 7012 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1058:

/* Line 1455 of yacc.c  */
#line 7022 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1059:

/* Line 1455 of yacc.c  */
#line 7032 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1060:

/* Line 1455 of yacc.c  */
#line 7042 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 7052 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 7063 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (10)].range);
					n->subname = (yyvsp[(8) - (10)].str);
					n->newname = (yyvsp[(10) - (10)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 7074 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 7085 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(6) - (11)].range);
					n->subname = (yyvsp[(9) - (11)].str);
					n->newname = (yyvsp[(11) - (11)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 7096 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 7106 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 7117 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (11)].range);
					n->subname = (yyvsp[(9) - (11)].str);
					n->newname = (yyvsp[(11) - (11)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 7128 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 7138 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 7148 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 7156 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 7165 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1073:

/* Line 1455 of yacc.c  */
#line 7174 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1074:

/* Line 1455 of yacc.c  */
#line 7183 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1075:

/* Line 1455 of yacc.c  */
#line 7192 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1076:

/* Line 1455 of yacc.c  */
#line 7201 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1077:

/* Line 1455 of yacc.c  */
#line 7210 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1078:

/* Line 1455 of yacc.c  */
#line 7219 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1079:

/* Line 1455 of yacc.c  */
#line 7228 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1080:

/* Line 1455 of yacc.c  */
#line 7237 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1081:

/* Line 1455 of yacc.c  */
#line 7246 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (9)].list), (yylsp[(3) - (9)]), yyscanner);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 7259 "gram.y"
    { (yyval.ival) = COLUMN; ;}
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 7260 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 7263 "gram.y"
    { (yyval.ival) = 1; ;}
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 7264 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 7275 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 7285 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 7294 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1089:

/* Line 1455 of yacc.c  */
#line 7303 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1090:

/* Line 1455 of yacc.c  */
#line 7312 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1091:

/* Line 1455 of yacc.c  */
#line 7321 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1092:

/* Line 1455 of yacc.c  */
#line 7331 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1093:

/* Line 1455 of yacc.c  */
#line 7341 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1094:

/* Line 1455 of yacc.c  */
#line 7351 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1095:

/* Line 1455 of yacc.c  */
#line 7361 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1096:

/* Line 1455 of yacc.c  */
#line 7370 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1097:

/* Line 1455 of yacc.c  */
#line 7379 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1098:

/* Line 1455 of yacc.c  */
#line 7388 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 7397 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 7406 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 7415 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 7424 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1103:

/* Line 1455 of yacc.c  */
#line 7433 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 7442 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 7451 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 7460 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(6) - (9)].range);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 7469 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 7478 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 7487 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 7504 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1111:

/* Line 1455 of yacc.c  */
#line 7513 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 7521 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 7529 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 7537 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 7545 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 7554 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 7562 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[(4) - (7)].value));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 7570 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1119:

/* Line 1455 of yacc.c  */
#line 7579 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1120:

/* Line 1455 of yacc.c  */
#line 7588 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 7597 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1122:

/* Line 1455 of yacc.c  */
#line 7605 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 7613 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 7621 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 7629 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1126:

/* Line 1455 of yacc.c  */
#line 7637 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 7645 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 7653 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 7672 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (13)].boolean);
					n->relation = (yyvsp[(9) - (13)].range);
					n->rulename = (yyvsp[(4) - (13)].str);
					n->whereClause = (yyvsp[(10) - (13)].node);
					n->event = (yyvsp[(7) - (13)].ival);
					n->instead = (yyvsp[(12) - (13)].boolean);
					n->actions = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 7686 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 7687 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1132:

/* Line 1455 of yacc.c  */
#line 7688 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1133:

/* Line 1455 of yacc.c  */
#line 7694 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				;}
    break;

  case 1134:

/* Line 1455 of yacc.c  */
#line 7700 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				;}
    break;

  case 1140:

/* Line 1455 of yacc.c  */
#line 7716 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1141:

/* Line 1455 of yacc.c  */
#line 7717 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1142:

/* Line 1455 of yacc.c  */
#line 7720 "gram.y"
    { (yyval.ival) = CMD_SELECT; ;}
    break;

  case 1143:

/* Line 1455 of yacc.c  */
#line 7721 "gram.y"
    { (yyval.ival) = CMD_UPDATE; ;}
    break;

  case 1144:

/* Line 1455 of yacc.c  */
#line 7722 "gram.y"
    { (yyval.ival) = CMD_DELETE; ;}
    break;

  case 1145:

/* Line 1455 of yacc.c  */
#line 7723 "gram.y"
    { (yyval.ival) = CMD_INSERT; ;}
    break;

  case 1146:

/* Line 1455 of yacc.c  */
#line 7727 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1147:

/* Line 1455 of yacc.c  */
#line 7728 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1148:

/* Line 1455 of yacc.c  */
#line 7729 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1149:

/* Line 1455 of yacc.c  */
#line 7735 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[(5) - (6)].list), makeString((yyvsp[(3) - (6)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1150:

/* Line 1455 of yacc.c  */
#line 7746 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[(7) - (8)].list), makeString((yyvsp[(5) - (8)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1151:

/* Line 1455 of yacc.c  */
#line 7768 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (3)].str);
					n->payload = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1152:

/* Line 1455 of yacc.c  */
#line 7777 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 1153:

/* Line 1455 of yacc.c  */
#line 7778 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1154:

/* Line 1455 of yacc.c  */
#line 7782 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1155:

/* Line 1455 of yacc.c  */
#line 7791 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1156:

/* Line 1455 of yacc.c  */
#line 7797 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1157:

/* Line 1455 of yacc.c  */
#line 7816 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1158:

/* Line 1455 of yacc.c  */
#line 7823 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1159:

/* Line 1455 of yacc.c  */
#line 7830 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1160:

/* Line 1455 of yacc.c  */
#line 7837 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1161:

/* Line 1455 of yacc.c  */
#line 7844 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1162:

/* Line 1455 of yacc.c  */
#line 7851 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1163:

/* Line 1455 of yacc.c  */
#line 7858 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1164:

/* Line 1455 of yacc.c  */
#line 7866 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1165:

/* Line 1455 of yacc.c  */
#line 7874 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1166:

/* Line 1455 of yacc.c  */
#line 7882 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1167:

/* Line 1455 of yacc.c  */
#line 7890 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1168:

/* Line 1455 of yacc.c  */
#line 7898 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1169:

/* Line 1455 of yacc.c  */
#line 7905 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1170:

/* Line 1455 of yacc.c  */
#line 7912 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1171:

/* Line 1455 of yacc.c  */
#line 7920 "gram.y"
    {;}
    break;

  case 1172:

/* Line 1455 of yacc.c  */
#line 7921 "gram.y"
    {;}
    break;

  case 1173:

/* Line 1455 of yacc.c  */
#line 7922 "gram.y"
    {;}
    break;

  case 1174:

/* Line 1455 of yacc.c  */
#line 7927 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)]))); ;}
    break;

  case 1175:

/* Line 1455 of yacc.c  */
#line 7930 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1176:

/* Line 1455 of yacc.c  */
#line 7933 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1177:

/* Line 1455 of yacc.c  */
#line 7936 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[(1) - (1)]))); ;}
    break;

  case 1178:

/* Line 1455 of yacc.c  */
#line 7939 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1179:

/* Line 1455 of yacc.c  */
#line 7946 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 1180:

/* Line 1455 of yacc.c  */
#line 7948 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 1181:

/* Line 1455 of yacc.c  */
#line 7950 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1183:

/* Line 1455 of yacc.c  */
#line 7956 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1184:

/* Line 1455 of yacc.c  */
#line 7970 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (9)].range);
					n->view->relpersistence = (yyvsp[(2) - (9)].ival);
					n->aliases = (yyvsp[(5) - (9)].list);
					n->query = (yyvsp[(8) - (9)].node);
					n->replace = false;
					n->options = (yyvsp[(6) - (9)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1185:

/* Line 1455 of yacc.c  */
#line 7982 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (11)].range);
					n->view->relpersistence = (yyvsp[(4) - (11)].ival);
					n->aliases = (yyvsp[(7) - (11)].list);
					n->query = (yyvsp[(10) - (11)].node);
					n->replace = true;
					n->options = (yyvsp[(8) - (11)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1186:

/* Line 1455 of yacc.c  */
#line 7994 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(5) - (11)].range);
					n->view->relpersistence = (yyvsp[(2) - (11)].ival);
					n->aliases = (yyvsp[(7) - (11)].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[(11) - (11)].node));
					n->replace = false;
					n->options = (yyvsp[(9) - (11)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1187:

/* Line 1455 of yacc.c  */
#line 8006 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(7) - (13)].range);
					n->view->relpersistence = (yyvsp[(4) - (13)].ival);
					n->aliases = (yyvsp[(9) - (13)].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[(13) - (13)].node));
					n->replace = true;
					n->options = (yyvsp[(11) - (13)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1188:

/* Line 1455 of yacc.c  */
#line 8020 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1189:

/* Line 1455 of yacc.c  */
#line 8026 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1190:

/* Line 1455 of yacc.c  */
#line 8032 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1191:

/* Line 1455 of yacc.c  */
#line 8037 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1192:

/* Line 1455 of yacc.c  */
#line 8048 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1193:

/* Line 1455 of yacc.c  */
#line 8064 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1194:

/* Line 1455 of yacc.c  */
#line 8073 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1195:

/* Line 1455 of yacc.c  */
#line 8074 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1196:

/* Line 1455 of yacc.c  */
#line 8079 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1197:

/* Line 1455 of yacc.c  */
#line 8083 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				;}
    break;

  case 1198:

/* Line 1455 of yacc.c  */
#line 8087 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1199:

/* Line 1455 of yacc.c  */
#line 8091 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				;}
    break;

  case 1200:

/* Line 1455 of yacc.c  */
#line 8095 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1201:

/* Line 1455 of yacc.c  */
#line 8099 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				;}
    break;

  case 1202:

/* Line 1455 of yacc.c  */
#line 8103 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1203:

/* Line 1455 of yacc.c  */
#line 8107 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				;}
    break;

  case 1204:

/* Line 1455 of yacc.c  */
#line 8111 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				;}
    break;

  case 1205:

/* Line 1455 of yacc.c  */
#line 8115 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1206:

/* Line 1455 of yacc.c  */
#line 8119 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				;}
    break;

  case 1207:

/* Line 1455 of yacc.c  */
#line 8123 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1208:

/* Line 1455 of yacc.c  */
#line 8127 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				;}
    break;

  case 1209:

/* Line 1455 of yacc.c  */
#line 8131 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				;}
    break;

  case 1210:

/* Line 1455 of yacc.c  */
#line 8135 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1211:

/* Line 1455 of yacc.c  */
#line 8139 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				;}
    break;

  case 1212:

/* Line 1455 of yacc.c  */
#line 8148 "gram.y"
    {;}
    break;

  case 1213:

/* Line 1455 of yacc.c  */
#line 8149 "gram.y"
    {;}
    break;

  case 1214:

/* Line 1455 of yacc.c  */
#line 8161 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 1215:

/* Line 1455 of yacc.c  */
#line 8168 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[(6) - (6)].str))));
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 1216:

/* Line 1455 of yacc.c  */
#line 8179 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1217:

/* Line 1455 of yacc.c  */
#line 8189 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1218:

/* Line 1455 of yacc.c  */
#line 8190 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1219:

/* Line 1455 of yacc.c  */
#line 8195 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				;}
    break;

  case 1220:

/* Line 1455 of yacc.c  */
#line 8209 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1221:

/* Line 1455 of yacc.c  */
#line 8216 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1222:

/* Line 1455 of yacc.c  */
#line 8233 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typeName = (yyvsp[(5) - (6)].typnam);
					SplitColQualList((yyvsp[(6) - (6)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1223:

/* Line 1455 of yacc.c  */
#line 8246 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1224:

/* Line 1455 of yacc.c  */
#line 8255 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1225:

/* Line 1455 of yacc.c  */
#line 8263 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1226:

/* Line 1455 of yacc.c  */
#line 8271 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1227:

/* Line 1455 of yacc.c  */
#line 8280 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1228:

/* Line 1455 of yacc.c  */
#line 8291 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (9)].list);
					n->name = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1229:

/* Line 1455 of yacc.c  */
#line 8302 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[(3) - (6)].list);
					n->name = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1230:

/* Line 1455 of yacc.c  */
#line 8311 "gram.y"
    {;}
    break;

  case 1231:

/* Line 1455 of yacc.c  */
#line 8312 "gram.y"
    {;}
    break;

  case 1232:

/* Line 1455 of yacc.c  */
#line 8324 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1233:

/* Line 1455 of yacc.c  */
#line 8334 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1234:

/* Line 1455 of yacc.c  */
#line 8344 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1235:

/* Line 1455 of yacc.c  */
#line 8354 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1236:

/* Line 1455 of yacc.c  */
#line 8364 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1237:

/* Line 1455 of yacc.c  */
#line 8374 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1238:

/* Line 1455 of yacc.c  */
#line 8382 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1239:

/* Line 1455 of yacc.c  */
#line 8404 "gram.y"
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[(4) - (10)].list);
				n->for_encoding_name = (yyvsp[(6) - (10)].str);
				n->to_encoding_name = (yyvsp[(8) - (10)].str);
				n->func_name = (yyvsp[(10) - (10)].list);
				n->def = (yyvsp[(2) - (10)].boolean);
				(yyval.node) = (Node *)n;
			;}
    break;

  case 1240:

/* Line 1455 of yacc.c  */
#line 8426 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->indexname = (yyvsp[(4) - (4)].str);
					n->verbose = (yyvsp[(2) - (4)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1241:

/* Line 1455 of yacc.c  */
#line 8434 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[(2) - (2)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1242:

/* Line 1455 of yacc.c  */
#line 8443 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(5) - (5)].range);
					n->indexname = (yyvsp[(3) - (5)].str);
					n->verbose = (yyvsp[(2) - (5)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1243:

/* Line 1455 of yacc.c  */
#line 8453 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 1244:

/* Line 1455 of yacc.c  */
#line 8454 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1245:

/* Line 1455 of yacc.c  */
#line 8467 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1246:

/* Line 1455 of yacc.c  */
#line 8481 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1247:

/* Line 1455 of yacc.c  */
#line 8495 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1248:

/* Line 1455 of yacc.c  */
#line 8507 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (4)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1249:

/* Line 1455 of yacc.c  */
#line 8519 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (6)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = (yyvsp[(5) - (6)].range);
					n->va_cols = (yyvsp[(6) - (6)].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1250:

/* Line 1455 of yacc.c  */
#line 8535 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1251:

/* Line 1455 of yacc.c  */
#line 8536 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); ;}
    break;

  case 1252:

/* Line 1455 of yacc.c  */
#line 8540 "gram.y"
    { (yyval.ival) = VACOPT_ANALYZE; ;}
    break;

  case 1253:

/* Line 1455 of yacc.c  */
#line 8541 "gram.y"
    { (yyval.ival) = VACOPT_VERBOSE; ;}
    break;

  case 1254:

/* Line 1455 of yacc.c  */
#line 8542 "gram.y"
    { (yyval.ival) = VACOPT_FREEZE; ;}
    break;

  case 1255:

/* Line 1455 of yacc.c  */
#line 8543 "gram.y"
    { (yyval.ival) = VACOPT_FULL; ;}
    break;

  case 1256:

/* Line 1455 of yacc.c  */
#line 8548 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (2)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1257:

/* Line 1455 of yacc.c  */
#line 8560 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1258:

/* Line 1455 of yacc.c  */
#line 8574 "gram.y"
    {;}
    break;

  case 1259:

/* Line 1455 of yacc.c  */
#line 8575 "gram.y"
    {;}
    break;

  case 1260:

/* Line 1455 of yacc.c  */
#line 8579 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1261:

/* Line 1455 of yacc.c  */
#line 8580 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1262:

/* Line 1455 of yacc.c  */
#line 8583 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1263:

/* Line 1455 of yacc.c  */
#line 8584 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1264:

/* Line 1455 of yacc.c  */
#line 8587 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1265:

/* Line 1455 of yacc.c  */
#line 8588 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1266:

/* Line 1455 of yacc.c  */
#line 8592 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1267:

/* Line 1455 of yacc.c  */
#line 8593 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1268:

/* Line 1455 of yacc.c  */
#line 8607 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(2) - (2)].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1269:

/* Line 1455 of yacc.c  */
#line 8614 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(4) - (4)].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[(3) - (4)].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1270:

/* Line 1455 of yacc.c  */
#line 8624 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(3) - (3)].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1271:

/* Line 1455 of yacc.c  */
#line 8631 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(5) - (5)].node);
					n->options = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1281:

/* Line 1455 of yacc.c  */
#line 8653 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 1282:

/* Line 1455 of yacc.c  */
#line 8657 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 1283:

/* Line 1455 of yacc.c  */
#line 8664 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 1284:

/* Line 1455 of yacc.c  */
#line 8670 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1285:

/* Line 1455 of yacc.c  */
#line 8671 "gram.y"
    { (yyval.str) = "analyze"; ;}
    break;

  case 1286:

/* Line 1455 of yacc.c  */
#line 8672 "gram.y"
    { (yyval.str) = "verbose"; ;}
    break;

  case 1287:

/* Line 1455 of yacc.c  */
#line 8676 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 1288:

/* Line 1455 of yacc.c  */
#line 8677 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); ;}
    break;

  case 1289:

/* Line 1455 of yacc.c  */
#line 8678 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1290:

/* Line 1455 of yacc.c  */
#line 8689 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1291:

/* Line 1455 of yacc.c  */
#line 8698 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1292:

/* Line 1455 of yacc.c  */
#line 8699 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1297:

/* Line 1455 of yacc.c  */
#line 8717 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1298:

/* Line 1455 of yacc.c  */
#line 8725 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (9)].str);
					n->params = (yyvsp[(8) - (9)].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[(4) - (9)].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (9)].into)->rel->relpersistence = (yyvsp[(2) - (9)].ival);
					(yyvsp[(4) - (9)].into)->skipData = !((yyvsp[(9) - (9)].boolean));
					(yyval.node) = (Node *) ctas;
				;}
    break;

  case 1299:

/* Line 1455 of yacc.c  */
#line 8741 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1300:

/* Line 1455 of yacc.c  */
#line 8742 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1301:

/* Line 1455 of yacc.c  */
#line 8753 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1302:

/* Line 1455 of yacc.c  */
#line 8759 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1303:

/* Line 1455 of yacc.c  */
#line 8765 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1304:

/* Line 1455 of yacc.c  */
#line 8771 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1305:

/* Line 1455 of yacc.c  */
#line 8787 "gram.y"
    {
					(yyvsp[(5) - (6)].istmt)->relation = (yyvsp[(4) - (6)].range);
					(yyvsp[(5) - (6)].istmt)->returningList = (yyvsp[(6) - (6)].list);
					(yyvsp[(5) - (6)].istmt)->withClause = (yyvsp[(1) - (6)].with);
					(yyval.node) = (Node *) (yyvsp[(5) - (6)].istmt);
				;}
    break;

  case 1306:

/* Line 1455 of yacc.c  */
#line 8797 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				;}
    break;

  case 1307:

/* Line 1455 of yacc.c  */
#line 8803 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				;}
    break;

  case 1308:

/* Line 1455 of yacc.c  */
#line 8809 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				;}
    break;

  case 1309:

/* Line 1455 of yacc.c  */
#line 8818 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1310:

/* Line 1455 of yacc.c  */
#line 8820 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1311:

/* Line 1455 of yacc.c  */
#line 8825 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1312:

/* Line 1455 of yacc.c  */
#line 8835 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1313:

/* Line 1455 of yacc.c  */
#line 8836 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1314:

/* Line 1455 of yacc.c  */
#line 8849 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(4) - (7)].range);
					n->usingClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					n->withClause = (yyvsp[(1) - (7)].with);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1315:

/* Line 1455 of yacc.c  */
#line 8861 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1316:

/* Line 1455 of yacc.c  */
#line 8862 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1317:

/* Line 1455 of yacc.c  */
#line 8874 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1318:

/* Line 1455 of yacc.c  */
#line 8884 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); ;}
    break;

  case 1319:

/* Line 1455 of yacc.c  */
#line 8885 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; ;}
    break;

  case 1320:

/* Line 1455 of yacc.c  */
#line 8888 "gram.y"
    { (yyval.ival) = AccessShareLock; ;}
    break;

  case 1321:

/* Line 1455 of yacc.c  */
#line 8889 "gram.y"
    { (yyval.ival) = RowShareLock; ;}
    break;

  case 1322:

/* Line 1455 of yacc.c  */
#line 8890 "gram.y"
    { (yyval.ival) = RowExclusiveLock; ;}
    break;

  case 1323:

/* Line 1455 of yacc.c  */
#line 8891 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; ;}
    break;

  case 1324:

/* Line 1455 of yacc.c  */
#line 8892 "gram.y"
    { (yyval.ival) = ShareLock; ;}
    break;

  case 1325:

/* Line 1455 of yacc.c  */
#line 8893 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; ;}
    break;

  case 1326:

/* Line 1455 of yacc.c  */
#line 8894 "gram.y"
    { (yyval.ival) = ExclusiveLock; ;}
    break;

  case 1327:

/* Line 1455 of yacc.c  */
#line 8895 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; ;}
    break;

  case 1328:

/* Line 1455 of yacc.c  */
#line 8898 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1329:

/* Line 1455 of yacc.c  */
#line 8899 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1330:

/* Line 1455 of yacc.c  */
#line 8915 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(3) - (8)].range);
					n->targetList = (yyvsp[(5) - (8)].list);
					n->fromClause = (yyvsp[(6) - (8)].list);
					n->whereClause = (yyvsp[(7) - (8)].node);
					n->returningList = (yyvsp[(8) - (8)].list);
					n->withClause = (yyvsp[(1) - (8)].with);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1331:

/* Line 1455 of yacc.c  */
#line 8928 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1332:

/* Line 1455 of yacc.c  */
#line 8929 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); ;}
    break;

  case 1333:

/* Line 1455 of yacc.c  */
#line 8933 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1334:

/* Line 1455 of yacc.c  */
#line 8934 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1335:

/* Line 1455 of yacc.c  */
#line 8939 "gram.y"
    {
					(yyval.target) = (yyvsp[(1) - (3)].target);
					(yyval.target)->val = (Node *) (yyvsp[(3) - (3)].node);
				;}
    break;

  case 1336:

/* Line 1455 of yacc.c  */
#line 8947 "gram.y"
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[(2) - (5)].list)) != list_length((yyvsp[(5) - (5)].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[(1) - (5)]))));
					forboth(col_cell, (yyvsp[(2) - (5)].list), val_cell, (yyvsp[(5) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				;}
    break;

  case 1337:

/* Line 1455 of yacc.c  */
#line 8975 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1338:

/* Line 1455 of yacc.c  */
#line 8985 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1339:

/* Line 1455 of yacc.c  */
#line 8986 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); ;}
    break;

  case 1340:

/* Line 1455 of yacc.c  */
#line 8997 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1341:

/* Line 1455 of yacc.c  */
#line 9007 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1342:

/* Line 1455 of yacc.c  */
#line 9010 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1343:

/* Line 1455 of yacc.c  */
#line 9011 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; ;}
    break;

  case 1344:

/* Line 1455 of yacc.c  */
#line 9012 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; ;}
    break;

  case 1345:

/* Line 1455 of yacc.c  */
#line 9013 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; ;}
    break;

  case 1346:

/* Line 1455 of yacc.c  */
#line 9014 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; ;}
    break;

  case 1347:

/* Line 1455 of yacc.c  */
#line 9017 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1348:

/* Line 1455 of yacc.c  */
#line 9018 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; ;}
    break;

  case 1349:

/* Line 1455 of yacc.c  */
#line 9019 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1352:

/* Line 1455 of yacc.c  */
#line 9072 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1353:

/* Line 1455 of yacc.c  */
#line 9073 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1354:

/* Line 1455 of yacc.c  */
#line 9088 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1355:

/* Line 1455 of yacc.c  */
#line 9090 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				;}
    break;

  case 1356:

/* Line 1455 of yacc.c  */
#line 9097 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				;}
    break;

  case 1357:

/* Line 1455 of yacc.c  */
#line 9105 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				;}
    break;

  case 1358:

/* Line 1455 of yacc.c  */
#line 9113 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (2)].node);
				;}
    break;

  case 1359:

/* Line 1455 of yacc.c  */
#line 9121 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (3)].node);
				;}
    break;

  case 1360:

/* Line 1455 of yacc.c  */
#line 9129 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				;}
    break;

  case 1361:

/* Line 1455 of yacc.c  */
#line 9137 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				;}
    break;

  case 1362:

/* Line 1455 of yacc.c  */
#line 9147 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1363:

/* Line 1455 of yacc.c  */
#line 9148 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1364:

/* Line 1455 of yacc.c  */
#line 9178 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1365:

/* Line 1455 of yacc.c  */
#line 9190 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1366:

/* Line 1455 of yacc.c  */
#line 9192 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1367:

/* Line 1455 of yacc.c  */
#line 9211 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1368:

/* Line 1455 of yacc.c  */
#line 9215 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1369:

/* Line 1455 of yacc.c  */
#line 9219 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1370:

/* Line 1455 of yacc.c  */
#line 9234 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			;}
    break;

  case 1371:

/* Line 1455 of yacc.c  */
#line 9241 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			;}
    break;

  case 1372:

/* Line 1455 of yacc.c  */
#line 9250 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1373:

/* Line 1455 of yacc.c  */
#line 9251 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1374:

/* Line 1455 of yacc.c  */
#line 9255 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (6)].str);
				n->aliascolnames = (yyvsp[(2) - (6)].list);
				n->ctequery = (yyvsp[(5) - (6)].node);
				n->location = (yylsp[(1) - (6)]);
				(yyval.node) = (Node *) n;
			;}
    break;

  case 1375:

/* Line 1455 of yacc.c  */
#line 9266 "gram.y"
    { (yyval.with) = (yyvsp[(1) - (1)].with); ;}
    break;

  case 1376:

/* Line 1455 of yacc.c  */
#line 9267 "gram.y"
    { (yyval.with) = NULL; ;}
    break;

  case 1377:

/* Line 1455 of yacc.c  */
#line 9272 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				;}
    break;

  case 1378:

/* Line 1455 of yacc.c  */
#line 9283 "gram.y"
    { (yyval.into) = NULL; ;}
    break;

  case 1379:

/* Line 1455 of yacc.c  */
#line 9292 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1380:

/* Line 1455 of yacc.c  */
#line 9297 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1381:

/* Line 1455 of yacc.c  */
#line 9302 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1382:

/* Line 1455 of yacc.c  */
#line 9307 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1383:

/* Line 1455 of yacc.c  */
#line 9312 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (4)]))));
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1384:

/* Line 1455 of yacc.c  */
#line 9320 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (4)]))));
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1385:

/* Line 1455 of yacc.c  */
#line 9328 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				;}
    break;

  case 1386:

/* Line 1455 of yacc.c  */
#line 9333 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				;}
    break;

  case 1387:

/* Line 1455 of yacc.c  */
#line 9338 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				;}
    break;

  case 1388:

/* Line 1455 of yacc.c  */
#line 9344 "gram.y"
    {;}
    break;

  case 1389:

/* Line 1455 of yacc.c  */
#line 9345 "gram.y"
    {;}
    break;

  case 1390:

/* Line 1455 of yacc.c  */
#line 9348 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1391:

/* Line 1455 of yacc.c  */
#line 9349 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1392:

/* Line 1455 of yacc.c  */
#line 9350 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1393:

/* Line 1455 of yacc.c  */
#line 9357 "gram.y"
    { (yyval.list) = list_make1(NIL); ;}
    break;

  case 1394:

/* Line 1455 of yacc.c  */
#line 9358 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); ;}
    break;

  case 1395:

/* Line 1455 of yacc.c  */
#line 9359 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1396:

/* Line 1455 of yacc.c  */
#line 9360 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1397:

/* Line 1455 of yacc.c  */
#line 9364 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);;}
    break;

  case 1398:

/* Line 1455 of yacc.c  */
#line 9365 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1399:

/* Line 1455 of yacc.c  */
#line 9369 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1400:

/* Line 1455 of yacc.c  */
#line 9373 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); ;}
    break;

  case 1401:

/* Line 1455 of yacc.c  */
#line 9374 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); ;}
    break;

  case 1402:

/* Line 1455 of yacc.c  */
#line 9378 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				;}
    break;

  case 1403:

/* Line 1455 of yacc.c  */
#line 9387 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				;}
    break;

  case 1404:

/* Line 1455 of yacc.c  */
#line 9399 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), (yyvsp[(1) - (2)].node)); ;}
    break;

  case 1405:

/* Line 1455 of yacc.c  */
#line 9400 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1406:

/* Line 1455 of yacc.c  */
#line 9401 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(1) - (1)].node)); ;}
    break;

  case 1407:

/* Line 1455 of yacc.c  */
#line 9402 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (1)].node), NULL); ;}
    break;

  case 1408:

/* Line 1455 of yacc.c  */
#line 9406 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1409:

/* Line 1455 of yacc.c  */
#line 9407 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); ;}
    break;

  case 1410:

/* Line 1455 of yacc.c  */
#line 9412 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1411:

/* Line 1455 of yacc.c  */
#line 9414 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[(1) - (4)]))));
				;}
    break;

  case 1412:

/* Line 1455 of yacc.c  */
#line 9424 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (5)].node); ;}
    break;

  case 1413:

/* Line 1455 of yacc.c  */
#line 9429 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1414:

/* Line 1455 of yacc.c  */
#line 9432 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1415:

/* Line 1455 of yacc.c  */
#line 9436 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1416:

/* Line 1455 of yacc.c  */
#line 9438 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				;}
    break;

  case 1417:

/* Line 1455 of yacc.c  */
#line 9445 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1418:

/* Line 1455 of yacc.c  */
#line 9455 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); ;}
    break;

  case 1419:

/* Line 1455 of yacc.c  */
#line 9456 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1420:

/* Line 1455 of yacc.c  */
#line 9457 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); ;}
    break;

  case 1421:

/* Line 1455 of yacc.c  */
#line 9465 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1422:

/* Line 1455 of yacc.c  */
#line 9469 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1423:

/* Line 1455 of yacc.c  */
#line 9470 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1424:

/* Line 1455 of yacc.c  */
#line 9473 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1425:

/* Line 1455 of yacc.c  */
#line 9474 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1426:

/* Line 1455 of yacc.c  */
#line 9479 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1427:

/* Line 1455 of yacc.c  */
#line 9480 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1428:

/* Line 1455 of yacc.c  */
#line 9484 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1429:

/* Line 1455 of yacc.c  */
#line 9485 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1430:

/* Line 1455 of yacc.c  */
#line 9489 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1431:

/* Line 1455 of yacc.c  */
#line 9490 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1432:

/* Line 1455 of yacc.c  */
#line 9494 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1433:

/* Line 1455 of yacc.c  */
#line 9495 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1434:

/* Line 1455 of yacc.c  */
#line 9499 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1435:

/* Line 1455 of yacc.c  */
#line 9500 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1436:

/* Line 1455 of yacc.c  */
#line 9505 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(2) - (3)].list);
					n->strength = (yyvsp[(1) - (3)].ival);
					n->noWait = (yyvsp[(3) - (3)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1437:

/* Line 1455 of yacc.c  */
#line 9515 "gram.y"
    { (yyval.ival) = LCS_FORUPDATE; ;}
    break;

  case 1438:

/* Line 1455 of yacc.c  */
#line 9516 "gram.y"
    { (yyval.ival) = LCS_FORNOKEYUPDATE; ;}
    break;

  case 1439:

/* Line 1455 of yacc.c  */
#line 9517 "gram.y"
    { (yyval.ival) = LCS_FORSHARE; ;}
    break;

  case 1440:

/* Line 1455 of yacc.c  */
#line 9518 "gram.y"
    { (yyval.ival) = LCS_FORKEYSHARE; ;}
    break;

  case 1441:

/* Line 1455 of yacc.c  */
#line 9522 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1442:

/* Line 1455 of yacc.c  */
#line 9523 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1443:

/* Line 1455 of yacc.c  */
#line 9529 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1444:

/* Line 1455 of yacc.c  */
#line 9535 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (3)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1445:

/* Line 1455 of yacc.c  */
#line 9552 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1446:

/* Line 1455 of yacc.c  */
#line 9553 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1447:

/* Line 1455 of yacc.c  */
#line 9557 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1448:

/* Line 1455 of yacc.c  */
#line 9558 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1449:

/* Line 1455 of yacc.c  */
#line 9565 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				;}
    break;

  case 1450:

/* Line 1455 of yacc.c  */
#line 9570 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->funccallnode = (yyvsp[(1) - (2)].node);
					n->alias = linitial((yyvsp[(2) - (2)].list));
					n->coldeflist = lsecond((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1451:

/* Line 1455 of yacc.c  */
#line 9579 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = true;
					n->funccallnode = (yyvsp[(2) - (3)].node);
					n->alias = linitial((yyvsp[(3) - (3)].list));
					n->coldeflist = lsecond((yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1452:

/* Line 1455 of yacc.c  */
#line 9588 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[(2) - (2)].alias) == NULL)
					{
						if (IsA((yyvsp[(1) - (2)].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[(1) - (2)].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[(1) - (2)]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[(1) - (2)]))));
					}
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1453:

/* Line 1455 of yacc.c  */
#line 9623 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[(2) - (3)].node);
					n->alias = (yyvsp[(3) - (3)].alias);
					/* same coment as above */
					if ((yyvsp[(3) - (3)].alias) == NULL)
					{
						if (IsA((yyvsp[(2) - (3)].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[(2) - (3)].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[(2) - (3)]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[(2) - (3)]))));
					}
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1454:

/* Line 1455 of yacc.c  */
#line 9648 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				;}
    break;

  case 1455:

/* Line 1455 of yacc.c  */
#line 9652 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				;}
    break;

  case 1456:

/* Line 1455 of yacc.c  */
#line 9678 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				;}
    break;

  case 1457:

/* Line 1455 of yacc.c  */
#line 9682 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				;}
    break;

  case 1458:

/* Line 1455 of yacc.c  */
#line 9694 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->usingClause = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				;}
    break;

  case 1459:

/* Line 1455 of yacc.c  */
#line 9707 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->usingClause = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				;}
    break;

  case 1460:

/* Line 1455 of yacc.c  */
#line 9721 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				;}
    break;

  case 1461:

/* Line 1455 of yacc.c  */
#line 9732 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				;}
    break;

  case 1462:

/* Line 1455 of yacc.c  */
#line 9747 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				;}
    break;

  case 1463:

/* Line 1455 of yacc.c  */
#line 9753 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				;}
    break;

  case 1464:

/* Line 1455 of yacc.c  */
#line 9758 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				;}
    break;

  case 1465:

/* Line 1455 of yacc.c  */
#line 9764 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				;}
    break;

  case 1466:

/* Line 1455 of yacc.c  */
#line 9770 "gram.y"
    { (yyval.alias) = (yyvsp[(1) - (1)].alias); ;}
    break;

  case 1467:

/* Line 1455 of yacc.c  */
#line 9771 "gram.y"
    { (yyval.alias) = NULL; ;}
    break;

  case 1468:

/* Line 1455 of yacc.c  */
#line 9780 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (1)].alias), NIL);
				;}
    break;

  case 1469:

/* Line 1455 of yacc.c  */
#line 9784 "gram.y"
    {
					(yyval.list) = list_make2(NULL, (yyvsp[(3) - (4)].list));
				;}
    break;

  case 1470:

/* Line 1455 of yacc.c  */
#line 9788 "gram.y"
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.list) = list_make2(a, (yyvsp[(4) - (5)].list));
				;}
    break;

  case 1471:

/* Line 1455 of yacc.c  */
#line 9794 "gram.y"
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.list) = list_make2(a, (yyvsp[(3) - (4)].list));
				;}
    break;

  case 1472:

/* Line 1455 of yacc.c  */
#line 9800 "gram.y"
    {
					(yyval.list) = list_make2(NULL, NIL);
				;}
    break;

  case 1473:

/* Line 1455 of yacc.c  */
#line 9805 "gram.y"
    { (yyval.jtype) = JOIN_FULL; ;}
    break;

  case 1474:

/* Line 1455 of yacc.c  */
#line 9806 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; ;}
    break;

  case 1475:

/* Line 1455 of yacc.c  */
#line 9807 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; ;}
    break;

  case 1476:

/* Line 1455 of yacc.c  */
#line 9808 "gram.y"
    { (yyval.jtype) = JOIN_INNER; ;}
    break;

  case 1477:

/* Line 1455 of yacc.c  */
#line 9812 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1478:

/* Line 1455 of yacc.c  */
#line 9813 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1479:

/* Line 1455 of yacc.c  */
#line 9825 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); ;}
    break;

  case 1480:

/* Line 1455 of yacc.c  */
#line 9826 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1481:

/* Line 1455 of yacc.c  */
#line 9832 "gram.y"
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1482:

/* Line 1455 of yacc.c  */
#line 9839 "gram.y"
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1483:

/* Line 1455 of yacc.c  */
#line 9846 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1484:

/* Line 1455 of yacc.c  */
#line 9853 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1485:

/* Line 1455 of yacc.c  */
#line 9863 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); ;}
    break;

  case 1486:

/* Line 1455 of yacc.c  */
#line 9864 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); ;}
    break;

  case 1487:

/* Line 1455 of yacc.c  */
#line 9878 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				;}
    break;

  case 1488:

/* Line 1455 of yacc.c  */
#line 9882 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				;}
    break;

  case 1489:

/* Line 1455 of yacc.c  */
#line 9889 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				;}
    break;

  case 1490:

/* Line 1455 of yacc.c  */
#line 9898 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1491:

/* Line 1455 of yacc.c  */
#line 9903 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1492:

/* Line 1455 of yacc.c  */
#line 9904 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1493:

/* Line 1455 of yacc.c  */
#line 9909 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1494:

/* Line 1455 of yacc.c  */
#line 9911 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1495:

/* Line 1455 of yacc.c  */
#line 9918 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1496:

/* Line 1455 of yacc.c  */
#line 9923 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1497:

/* Line 1455 of yacc.c  */
#line 9924 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1498:

/* Line 1455 of yacc.c  */
#line 9929 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1499:

/* Line 1455 of yacc.c  */
#line 9933 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1500:

/* Line 1455 of yacc.c  */
#line 9939 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[(3) - (3)].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1501:

/* Line 1455 of yacc.c  */
#line 9968 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				;}
    break;

  case 1502:

/* Line 1455 of yacc.c  */
#line 9973 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1503:

/* Line 1455 of yacc.c  */
#line 9980 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				;}
    break;

  case 1504:

/* Line 1455 of yacc.c  */
#line 9985 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1505:

/* Line 1455 of yacc.c  */
#line 9991 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				;}
    break;

  case 1506:

/* Line 1455 of yacc.c  */
#line 9996 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1507:

/* Line 1455 of yacc.c  */
#line 10005 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); ;}
    break;

  case 1508:

/* Line 1455 of yacc.c  */
#line 10007 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); ;}
    break;

  case 1509:

/* Line 1455 of yacc.c  */
#line 10009 "gram.y"
    {  (yyval.list) = NIL; ;}
    break;

  case 1510:

/* Line 1455 of yacc.c  */
#line 10013 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1511:

/* Line 1455 of yacc.c  */
#line 10014 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1512:

/* Line 1455 of yacc.c  */
#line 10015 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1513:

/* Line 1455 of yacc.c  */
#line 10016 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1514:

/* Line 1455 of yacc.c  */
#line 10017 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1515:

/* Line 1455 of yacc.c  */
#line 10019 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				;}
    break;

  case 1516:

/* Line 1455 of yacc.c  */
#line 10024 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					if ((yyvsp[(5) - (5)].list) != NIL)
					{
						if (list_length((yyvsp[(5) - (5)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (5)]))));
						(yyval.typnam)->typmods = lappend((yyvsp[(5) - (5)].list), makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
				;}
    break;

  case 1517:

/* Line 1455 of yacc.c  */
#line 10053 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1518:

/* Line 1455 of yacc.c  */
#line 10054 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1519:

/* Line 1455 of yacc.c  */
#line 10055 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1520:

/* Line 1455 of yacc.c  */
#line 10056 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1521:

/* Line 1455 of yacc.c  */
#line 10068 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1522:

/* Line 1455 of yacc.c  */
#line 10074 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1523:

/* Line 1455 of yacc.c  */
#line 10081 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1524:

/* Line 1455 of yacc.c  */
#line 10082 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1525:

/* Line 1455 of yacc.c  */
#line 10089 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1526:

/* Line 1455 of yacc.c  */
#line 10094 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1527:

/* Line 1455 of yacc.c  */
#line 10099 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1528:

/* Line 1455 of yacc.c  */
#line 10104 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1529:

/* Line 1455 of yacc.c  */
#line 10109 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1530:

/* Line 1455 of yacc.c  */
#line 10114 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1531:

/* Line 1455 of yacc.c  */
#line 10119 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1532:

/* Line 1455 of yacc.c  */
#line 10124 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1533:

/* Line 1455 of yacc.c  */
#line 10130 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1534:

/* Line 1455 of yacc.c  */
#line 10136 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1535:

/* Line 1455 of yacc.c  */
#line 10142 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1536:

/* Line 1455 of yacc.c  */
#line 10149 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[(2) - (3)]))));
				;}
    break;

  case 1537:

/* Line 1455 of yacc.c  */
#line 10170 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				;}
    break;

  case 1538:

/* Line 1455 of yacc.c  */
#line 10180 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1539:

/* Line 1455 of yacc.c  */
#line 10184 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1540:

/* Line 1455 of yacc.c  */
#line 10192 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1541:

/* Line 1455 of yacc.c  */
#line 10196 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				;}
    break;

  case 1542:

/* Line 1455 of yacc.c  */
#line 10204 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1543:

/* Line 1455 of yacc.c  */
#line 10216 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1544:

/* Line 1455 of yacc.c  */
#line 10237 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1545:

/* Line 1455 of yacc.c  */
#line 10241 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1546:

/* Line 1455 of yacc.c  */
#line 10247 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1547:

/* Line 1455 of yacc.c  */
#line 10251 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				;}
    break;

  case 1548:

/* Line 1455 of yacc.c  */
#line 10264 "gram.y"
    {
					if (((yyvsp[(5) - (5)].str) != NULL) && (strcmp((yyvsp[(5) - (5)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (5)].str)) + 1 + strlen((yyvsp[(5) - (5)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (5)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(5) - (5)].str));
						(yyvsp[(1) - (5)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (5)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1549:

/* Line 1455 of yacc.c  */
#line 10283 "gram.y"
    {
					if (((yyvsp[(2) - (2)].str) != NULL) && (strcmp((yyvsp[(2) - (2)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (2)].str)) + 1 + strlen((yyvsp[(2) - (2)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (2)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(2) - (2)].str));
						(yyvsp[(1) - (2)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (2)].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (2)].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1550:

/* Line 1455 of yacc.c  */
#line 10306 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1551:

/* Line 1455 of yacc.c  */
#line 10308 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1552:

/* Line 1455 of yacc.c  */
#line 10310 "gram.y"
    { (yyval.str) = "varchar"; ;}
    break;

  case 1553:

/* Line 1455 of yacc.c  */
#line 10312 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1554:

/* Line 1455 of yacc.c  */
#line 10314 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1555:

/* Line 1455 of yacc.c  */
#line 10316 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1556:

/* Line 1455 of yacc.c  */
#line 10320 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1557:

/* Line 1455 of yacc.c  */
#line 10321 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1558:

/* Line 1455 of yacc.c  */
#line 10325 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 1559:

/* Line 1455 of yacc.c  */
#line 10326 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1560:

/* Line 1455 of yacc.c  */
#line 10334 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1561:

/* Line 1455 of yacc.c  */
#line 10343 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1562:

/* Line 1455 of yacc.c  */
#line 10351 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1563:

/* Line 1455 of yacc.c  */
#line 10360 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1564:

/* Line 1455 of yacc.c  */
#line 10371 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1565:

/* Line 1455 of yacc.c  */
#line 10378 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1566:

/* Line 1455 of yacc.c  */
#line 10379 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1567:

/* Line 1455 of yacc.c  */
#line 10380 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1568:

/* Line 1455 of yacc.c  */
#line 10385 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); ;}
    break;

  case 1569:

/* Line 1455 of yacc.c  */
#line 10387 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); ;}
    break;

  case 1570:

/* Line 1455 of yacc.c  */
#line 10389 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); ;}
    break;

  case 1571:

/* Line 1455 of yacc.c  */
#line 10391 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); ;}
    break;

  case 1572:

/* Line 1455 of yacc.c  */
#line 10393 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); ;}
    break;

  case 1573:

/* Line 1455 of yacc.c  */
#line 10395 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1574:

/* Line 1455 of yacc.c  */
#line 10397 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				;}
    break;

  case 1575:

/* Line 1455 of yacc.c  */
#line 10402 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				;}
    break;

  case 1576:

/* Line 1455 of yacc.c  */
#line 10407 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				;}
    break;

  case 1577:

/* Line 1455 of yacc.c  */
#line 10413 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1578:

/* Line 1455 of yacc.c  */
#line 10421 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				;}
    break;

  case 1579:

/* Line 1455 of yacc.c  */
#line 10426 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1580:

/* Line 1455 of yacc.c  */
#line 10433 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1581:

/* Line 1455 of yacc.c  */
#line 10439 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1582:

/* Line 1455 of yacc.c  */
#line 10444 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				;}
    break;

  case 1583:

/* Line 1455 of yacc.c  */
#line 10448 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				;}
    break;

  case 1584:

/* Line 1455 of yacc.c  */
#line 10477 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1585:

/* Line 1455 of yacc.c  */
#line 10479 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); ;}
    break;

  case 1586:

/* Line 1455 of yacc.c  */
#line 10481 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[(1) - (3)].node);
					n->collname = (yyvsp[(3) - (3)].list);
					n->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1587:

/* Line 1455 of yacc.c  */
#line 10489 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1588:

/* Line 1455 of yacc.c  */
#line 10511 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1589:

/* Line 1455 of yacc.c  */
#line 10513 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1590:

/* Line 1455 of yacc.c  */
#line 10515 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1591:

/* Line 1455 of yacc.c  */
#line 10517 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1592:

/* Line 1455 of yacc.c  */
#line 10519 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1593:

/* Line 1455 of yacc.c  */
#line 10521 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1594:

/* Line 1455 of yacc.c  */
#line 10523 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1595:

/* Line 1455 of yacc.c  */
#line 10525 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1596:

/* Line 1455 of yacc.c  */
#line 10527 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1597:

/* Line 1455 of yacc.c  */
#line 10529 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1598:

/* Line 1455 of yacc.c  */
#line 10531 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1599:

/* Line 1455 of yacc.c  */
#line 10534 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1600:

/* Line 1455 of yacc.c  */
#line 10536 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1601:

/* Line 1455 of yacc.c  */
#line 10538 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); ;}
    break;

  case 1602:

/* Line 1455 of yacc.c  */
#line 10541 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1603:

/* Line 1455 of yacc.c  */
#line 10543 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1604:

/* Line 1455 of yacc.c  */
#line 10545 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1605:

/* Line 1455 of yacc.c  */
#line 10548 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1606:

/* Line 1455 of yacc.c  */
#line 10550 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1607:

/* Line 1455 of yacc.c  */
#line 10563 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); ;}
    break;

  case 1608:

/* Line 1455 of yacc.c  */
#line 10565 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1609:

/* Line 1455 of yacc.c  */
#line 10578 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1610:

/* Line 1455 of yacc.c  */
#line 10580 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1611:

/* Line 1455 of yacc.c  */
#line 10593 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); ;}
    break;

  case 1612:

/* Line 1455 of yacc.c  */
#line 10595 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1613:

/* Line 1455 of yacc.c  */
#line 10609 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				;}
    break;

  case 1614:

/* Line 1455 of yacc.c  */
#line 10622 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1615:

/* Line 1455 of yacc.c  */
#line 10635 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1616:

/* Line 1455 of yacc.c  */
#line 10648 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (7)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				;}
    break;

  case 1617:

/* Line 1455 of yacc.c  */
#line 10671 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1618:

/* Line 1455 of yacc.c  */
#line 10678 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1619:

/* Line 1455 of yacc.c  */
#line 10685 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1620:

/* Line 1455 of yacc.c  */
#line 10692 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1621:

/* Line 1455 of yacc.c  */
#line 10699 "gram.y"
    {
					(yyval.node) = (Node *)makeOverlaps((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list), (yylsp[(2) - (3)]), yyscanner);
				;}
    break;

  case 1622:

/* Line 1455 of yacc.c  */
#line 10703 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1623:

/* Line 1455 of yacc.c  */
#line 10710 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1624:

/* Line 1455 of yacc.c  */
#line 10717 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1625:

/* Line 1455 of yacc.c  */
#line 10724 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1626:

/* Line 1455 of yacc.c  */
#line 10731 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1627:

/* Line 1455 of yacc.c  */
#line 10738 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1628:

/* Line 1455 of yacc.c  */
#line 10745 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				;}
    break;

  case 1629:

/* Line 1455 of yacc.c  */
#line 10749 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));

				;}
    break;

  case 1630:

/* Line 1455 of yacc.c  */
#line 10757 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				;}
    break;

  case 1631:

/* Line 1455 of yacc.c  */
#line 10761 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				;}
    break;

  case 1632:

/* Line 1455 of yacc.c  */
#line 10771 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				;}
    break;

  case 1633:

/* Line 1455 of yacc.c  */
#line 10778 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				;}
    break;

  case 1634:

/* Line 1455 of yacc.c  */
#line 10785 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				;}
    break;

  case 1635:

/* Line 1455 of yacc.c  */
#line 10798 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				;}
    break;

  case 1636:

/* Line 1455 of yacc.c  */
#line 10811 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				;}
    break;

  case 1637:

/* Line 1455 of yacc.c  */
#line 10830 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(3) - (4)]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				;}
    break;

  case 1638:

/* Line 1455 of yacc.c  */
#line 10851 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1639:

/* Line 1455 of yacc.c  */
#line 10861 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				;}
    break;

  case 1640:

/* Line 1455 of yacc.c  */
#line 10868 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[(1) - (2)]))));
				;}
    break;

  case 1641:

/* Line 1455 of yacc.c  */
#line 10884 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				;}
    break;

  case 1642:

/* Line 1455 of yacc.c  */
#line 10889 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				;}
    break;

  case 1643:

/* Line 1455 of yacc.c  */
#line 10907 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1644:

/* Line 1455 of yacc.c  */
#line 10909 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); ;}
    break;

  case 1645:

/* Line 1455 of yacc.c  */
#line 10911 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1646:

/* Line 1455 of yacc.c  */
#line 10913 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1647:

/* Line 1455 of yacc.c  */
#line 10915 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1648:

/* Line 1455 of yacc.c  */
#line 10917 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1649:

/* Line 1455 of yacc.c  */
#line 10919 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1650:

/* Line 1455 of yacc.c  */
#line 10921 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1651:

/* Line 1455 of yacc.c  */
#line 10923 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1652:

/* Line 1455 of yacc.c  */
#line 10925 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1653:

/* Line 1455 of yacc.c  */
#line 10927 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1654:

/* Line 1455 of yacc.c  */
#line 10929 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1655:

/* Line 1455 of yacc.c  */
#line 10931 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1656:

/* Line 1455 of yacc.c  */
#line 10933 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1657:

/* Line 1455 of yacc.c  */
#line 10935 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1658:

/* Line 1455 of yacc.c  */
#line 10937 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); ;}
    break;

  case 1659:

/* Line 1455 of yacc.c  */
#line 10939 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				;}
    break;

  case 1660:

/* Line 1455 of yacc.c  */
#line 10943 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])), (yylsp[(2) - (6)]));
				;}
    break;

  case 1661:

/* Line 1455 of yacc.c  */
#line 10948 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				;}
    break;

  case 1662:

/* Line 1455 of yacc.c  */
#line 10952 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				;}
    break;

  case 1663:

/* Line 1455 of yacc.c  */
#line 10956 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				;}
    break;

  case 1664:

/* Line 1455 of yacc.c  */
#line 10961 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				;}
    break;

  case 1665:

/* Line 1455 of yacc.c  */
#line 10977 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1666:

/* Line 1455 of yacc.c  */
#line 10978 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1667:

/* Line 1455 of yacc.c  */
#line 10980 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				;}
    break;

  case 1668:

/* Line 1455 of yacc.c  */
#line 10995 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				;}
    break;

  case 1669:

/* Line 1455 of yacc.c  */
#line 11007 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1670:

/* Line 1455 of yacc.c  */
#line 11009 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1671:

/* Line 1455 of yacc.c  */
#line 11011 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1672:

/* Line 1455 of yacc.c  */
#line 11021 "gram.y"
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.node) = (Node *)a;
				;}
    break;

  case 1673:

/* Line 1455 of yacc.c  */
#line 11044 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1674:

/* Line 1455 of yacc.c  */
#line 11054 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1675:

/* Line 1455 of yacc.c  */
#line 11064 "gram.y"
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[(2) - (2)].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1676:

/* Line 1455 of yacc.c  */
#line 11072 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				;}
    break;

  case 1677:

/* Line 1455 of yacc.c  */
#line 11091 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (4)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(4) - (4)].windef);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1678:

/* Line 1455 of yacc.c  */
#line 11104 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = (yyvsp[(3) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1679:

/* Line 1455 of yacc.c  */
#line 11117 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = list_make1((yyvsp[(4) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1680:

/* Line 1455 of yacc.c  */
#line 11130 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (8)].list);
					n->args = lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(8) - (8)].windef);
					n->location = (yylsp[(1) - (8)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1681:

/* Line 1455 of yacc.c  */
#line 11143 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = (yyvsp[(3) - (6)].list);
					n->agg_order = (yyvsp[(4) - (6)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1682:

/* Line 1455 of yacc.c  */
#line 11156 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1683:

/* Line 1455 of yacc.c  */
#line 11173 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1684:

/* Line 1455 of yacc.c  */
#line 11186 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1685:

/* Line 1455 of yacc.c  */
#line 11209 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("pg_collation_for");
					n->args = list_make1((yyvsp[(4) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1686:

/* Line 1455 of yacc.c  */
#line 11222 "gram.y"
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), -1);
				;}
    break;

  case 1687:

/* Line 1455 of yacc.c  */
#line 11243 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), -1);
				;}
    break;

  case 1688:

/* Line 1455 of yacc.c  */
#line 11253 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1689:

/* Line 1455 of yacc.c  */
#line 11266 "gram.y"
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1690:

/* Line 1455 of yacc.c  */
#line 11283 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1691:

/* Line 1455 of yacc.c  */
#line 11296 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), -1);
				;}
    break;

  case 1692:

/* Line 1455 of yacc.c  */
#line 11306 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast((Node *)n, d, -1);
				;}
    break;

  case 1693:

/* Line 1455 of yacc.c  */
#line 11319 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), -1);
				;}
    break;

  case 1694:

/* Line 1455 of yacc.c  */
#line 11329 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1695:

/* Line 1455 of yacc.c  */
#line 11342 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1696:

/* Line 1455 of yacc.c  */
#line 11355 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1697:

/* Line 1455 of yacc.c  */
#line 11368 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1698:

/* Line 1455 of yacc.c  */
#line 11381 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1699:

/* Line 1455 of yacc.c  */
#line 11394 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1700:

/* Line 1455 of yacc.c  */
#line 11407 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1701:

/* Line 1455 of yacc.c  */
#line 11420 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); ;}
    break;

  case 1702:

/* Line 1455 of yacc.c  */
#line 11422 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1703:

/* Line 1455 of yacc.c  */
#line 11435 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1704:

/* Line 1455 of yacc.c  */
#line 11453 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1705:

/* Line 1455 of yacc.c  */
#line 11467 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1706:

/* Line 1455 of yacc.c  */
#line 11483 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[(3) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1707:

/* Line 1455 of yacc.c  */
#line 11505 "gram.y"
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1708:

/* Line 1455 of yacc.c  */
#line 11521 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1709:

/* Line 1455 of yacc.c  */
#line 11534 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1710:

/* Line 1455 of yacc.c  */
#line 11547 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1711:

/* Line 1455 of yacc.c  */
#line 11560 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				;}
    break;

  case 1712:

/* Line 1455 of yacc.c  */
#line 11564 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				;}
    break;

  case 1713:

/* Line 1455 of yacc.c  */
#line 11571 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				;}
    break;

  case 1714:

/* Line 1455 of yacc.c  */
#line 11579 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				;}
    break;

  case 1715:

/* Line 1455 of yacc.c  */
#line 11587 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				;}
    break;

  case 1716:

/* Line 1455 of yacc.c  */
#line 11591 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				;}
    break;

  case 1717:

/* Line 1455 of yacc.c  */
#line 11595 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				;}
    break;

  case 1718:

/* Line 1455 of yacc.c  */
#line 11599 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				;}
    break;

  case 1719:

/* Line 1455 of yacc.c  */
#line 11603 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				;}
    break;

  case 1720:

/* Line 1455 of yacc.c  */
#line 11607 "gram.y"
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("xmlexists");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(4) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1721:

/* Line 1455 of yacc.c  */
#line 11622 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				;}
    break;

  case 1722:

/* Line 1455 of yacc.c  */
#line 11626 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				;}
    break;

  case 1723:

/* Line 1455 of yacc.c  */
#line 11635 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				;}
    break;

  case 1724:

/* Line 1455 of yacc.c  */
#line 11639 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				;}
    break;

  case 1725:

/* Line 1455 of yacc.c  */
#line 11643 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				;}
    break;

  case 1726:

/* Line 1455 of yacc.c  */
#line 11648 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typeName = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1727:

/* Line 1455 of yacc.c  */
#line 11662 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1728:

/* Line 1455 of yacc.c  */
#line 11664 "gram.y"
    { (yyval.node) = makeNullAConst(-1); ;}
    break;

  case 1729:

/* Line 1455 of yacc.c  */
#line 11668 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); ;}
    break;

  case 1730:

/* Line 1455 of yacc.c  */
#line 11670 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); ;}
    break;

  case 1731:

/* Line 1455 of yacc.c  */
#line 11672 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); ;}
    break;

  case 1732:

/* Line 1455 of yacc.c  */
#line 11674 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); ;}
    break;

  case 1733:

/* Line 1455 of yacc.c  */
#line 11677 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1734:

/* Line 1455 of yacc.c  */
#line 11680 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1735:

/* Line 1455 of yacc.c  */
#line 11681 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1736:

/* Line 1455 of yacc.c  */
#line 11685 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1737:

/* Line 1455 of yacc.c  */
#line 11693 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1738:

/* Line 1455 of yacc.c  */
#line 11702 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; ;}
    break;

  case 1739:

/* Line 1455 of yacc.c  */
#line 11703 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; ;}
    break;

  case 1740:

/* Line 1455 of yacc.c  */
#line 11706 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1741:

/* Line 1455 of yacc.c  */
#line 11707 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1742:

/* Line 1455 of yacc.c  */
#line 11708 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1743:

/* Line 1455 of yacc.c  */
#line 11714 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (2)].node);
				;}
    break;

  case 1744:

/* Line 1455 of yacc.c  */
#line 11718 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (4)].node);
				;}
    break;

  case 1745:

/* Line 1455 of yacc.c  */
#line 11722 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (4)].node);
				;}
    break;

  case 1746:

/* Line 1455 of yacc.c  */
#line 11726 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (6)].node);
				;}
    break;

  case 1747:

/* Line 1455 of yacc.c  */
#line 11736 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1748:

/* Line 1455 of yacc.c  */
#line 11737 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1749:

/* Line 1455 of yacc.c  */
#line 11741 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); ;}
    break;

  case 1750:

/* Line 1455 of yacc.c  */
#line 11743 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); ;}
    break;

  case 1751:

/* Line 1455 of yacc.c  */
#line 11748 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				;}
    break;

  case 1752:

/* Line 1455 of yacc.c  */
#line 11756 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); ;}
    break;

  case 1753:

/* Line 1455 of yacc.c  */
#line 11758 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				;}
    break;

  case 1754:

/* Line 1455 of yacc.c  */
#line 11771 "gram.y"
    { (yyval.windef) = NULL; ;}
    break;

  case 1755:

/* Line 1455 of yacc.c  */
#line 11776 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[(5) - (6)].windef)->frameOptions;
					n->startOffset = (yyvsp[(5) - (6)].windef)->startOffset;
					n->endOffset = (yyvsp[(5) - (6)].windef)->endOffset;
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				;}
    break;

  case 1756:

/* Line 1455 of yacc.c  */
#line 11801 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1757:

/* Line 1455 of yacc.c  */
#line 11802 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1758:

/* Line 1455 of yacc.c  */
#line 11805 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1759:

/* Line 1455 of yacc.c  */
#line 11806 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1760:

/* Line 1455 of yacc.c  */
#line 11818 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.windef) = n;
				;}
    break;

  case 1761:

/* Line 1455 of yacc.c  */
#line 11836 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				;}
    break;

  case 1762:

/* Line 1455 of yacc.c  */
#line 11842 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1763:

/* Line 1455 of yacc.c  */
#line 11852 "gram.y"
    {
					WindowDef *n = (yyvsp[(1) - (1)].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(1) - (1)]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[(1) - (1)]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				;}
    break;

  case 1764:

/* Line 1455 of yacc.c  */
#line 11869 "gram.y"
    {
					WindowDef *n1 = (yyvsp[(2) - (4)].windef);
					WindowDef *n2 = (yyvsp[(4) - (4)].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(2) - (4)]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				;}
    break;

  case 1765:

/* Line 1455 of yacc.c  */
#line 11914 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1766:

/* Line 1455 of yacc.c  */
#line 11922 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1767:

/* Line 1455 of yacc.c  */
#line 11930 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1768:

/* Line 1455 of yacc.c  */
#line 11938 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1769:

/* Line 1455 of yacc.c  */
#line 11946 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1770:

/* Line 1455 of yacc.c  */
#line 11966 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1771:

/* Line 1455 of yacc.c  */
#line 11967 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1772:

/* Line 1455 of yacc.c  */
#line 11968 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); ;}
    break;

  case 1773:

/* Line 1455 of yacc.c  */
#line 11971 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; ;}
    break;

  case 1774:

/* Line 1455 of yacc.c  */
#line 11972 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; ;}
    break;

  case 1775:

/* Line 1455 of yacc.c  */
#line 11973 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; ;}
    break;

  case 1776:

/* Line 1455 of yacc.c  */
#line 11976 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1777:

/* Line 1455 of yacc.c  */
#line 11977 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1778:

/* Line 1455 of yacc.c  */
#line 11980 "gram.y"
    { (yyval.str) = "+"; ;}
    break;

  case 1779:

/* Line 1455 of yacc.c  */
#line 11981 "gram.y"
    { (yyval.str) = "-"; ;}
    break;

  case 1780:

/* Line 1455 of yacc.c  */
#line 11982 "gram.y"
    { (yyval.str) = "*"; ;}
    break;

  case 1781:

/* Line 1455 of yacc.c  */
#line 11983 "gram.y"
    { (yyval.str) = "/"; ;}
    break;

  case 1782:

/* Line 1455 of yacc.c  */
#line 11984 "gram.y"
    { (yyval.str) = "%"; ;}
    break;

  case 1783:

/* Line 1455 of yacc.c  */
#line 11985 "gram.y"
    { (yyval.str) = "^"; ;}
    break;

  case 1784:

/* Line 1455 of yacc.c  */
#line 11986 "gram.y"
    { (yyval.str) = "<"; ;}
    break;

  case 1785:

/* Line 1455 of yacc.c  */
#line 11987 "gram.y"
    { (yyval.str) = ">"; ;}
    break;

  case 1786:

/* Line 1455 of yacc.c  */
#line 11988 "gram.y"
    { (yyval.str) = "="; ;}
    break;

  case 1787:

/* Line 1455 of yacc.c  */
#line 11992 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1788:

/* Line 1455 of yacc.c  */
#line 11994 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1789:

/* Line 1455 of yacc.c  */
#line 11999 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1790:

/* Line 1455 of yacc.c  */
#line 12001 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1791:

/* Line 1455 of yacc.c  */
#line 12006 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1792:

/* Line 1455 of yacc.c  */
#line 12008 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1793:

/* Line 1455 of yacc.c  */
#line 12010 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); ;}
    break;

  case 1794:

/* Line 1455 of yacc.c  */
#line 12012 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); ;}
    break;

  case 1795:

/* Line 1455 of yacc.c  */
#line 12014 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); ;}
    break;

  case 1796:

/* Line 1455 of yacc.c  */
#line 12016 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); ;}
    break;

  case 1797:

/* Line 1455 of yacc.c  */
#line 12028 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1798:

/* Line 1455 of yacc.c  */
#line 12032 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1799:

/* Line 1455 of yacc.c  */
#line 12039 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1800:

/* Line 1455 of yacc.c  */
#line 12043 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1801:

/* Line 1455 of yacc.c  */
#line 12049 "gram.y"
    {
					(yyval.node) = (yyvsp[(1) - (1)].node);
				;}
    break;

  case 1802:

/* Line 1455 of yacc.c  */
#line 12053 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				;}
    break;

  case 1803:

/* Line 1455 of yacc.c  */
#line 12063 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); ;}
    break;

  case 1804:

/* Line 1455 of yacc.c  */
#line 12064 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); ;}
    break;

  case 1805:

/* Line 1455 of yacc.c  */
#line 12068 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				;}
    break;

  case 1806:

/* Line 1455 of yacc.c  */
#line 12072 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				;}
    break;

  case 1807:

/* Line 1455 of yacc.c  */
#line 12076 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				;}
    break;

  case 1808:

/* Line 1455 of yacc.c  */
#line 12081 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1809:

/* Line 1455 of yacc.c  */
#line 12082 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1810:

/* Line 1455 of yacc.c  */
#line 12088 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1811:

/* Line 1455 of yacc.c  */
#line 12091 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1812:

/* Line 1455 of yacc.c  */
#line 12098 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1813:

/* Line 1455 of yacc.c  */
#line 12099 "gram.y"
    { (yyval.str) = "year"; ;}
    break;

  case 1814:

/* Line 1455 of yacc.c  */
#line 12100 "gram.y"
    { (yyval.str) = "month"; ;}
    break;

  case 1815:

/* Line 1455 of yacc.c  */
#line 12101 "gram.y"
    { (yyval.str) = "day"; ;}
    break;

  case 1816:

/* Line 1455 of yacc.c  */
#line 12102 "gram.y"
    { (yyval.str) = "hour"; ;}
    break;

  case 1817:

/* Line 1455 of yacc.c  */
#line 12103 "gram.y"
    { (yyval.str) = "minute"; ;}
    break;

  case 1818:

/* Line 1455 of yacc.c  */
#line 12104 "gram.y"
    { (yyval.str) = "second"; ;}
    break;

  case 1819:

/* Line 1455 of yacc.c  */
#line 12105 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1820:

/* Line 1455 of yacc.c  */
#line 12116 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1821:

/* Line 1455 of yacc.c  */
#line 12120 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1822:

/* Line 1455 of yacc.c  */
#line 12127 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1823:

/* Line 1455 of yacc.c  */
#line 12133 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); ;}
    break;

  case 1824:

/* Line 1455 of yacc.c  */
#line 12134 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1825:

/* Line 1455 of yacc.c  */
#line 12151 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1826:

/* Line 1455 of yacc.c  */
#line 12155 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				;}
    break;

  case 1827:

/* Line 1455 of yacc.c  */
#line 12160 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 1828:

/* Line 1455 of yacc.c  */
#line 12164 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				;}
    break;

  case 1829:

/* Line 1455 of yacc.c  */
#line 12179 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				;}
    break;

  case 1830:

/* Line 1455 of yacc.c  */
#line 12183 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1831:

/* Line 1455 of yacc.c  */
#line 12187 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1832:

/* Line 1455 of yacc.c  */
#line 12190 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1833:

/* Line 1455 of yacc.c  */
#line 12193 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); ;}
    break;

  case 1834:

/* Line 1455 of yacc.c  */
#line 12194 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1835:

/* Line 1455 of yacc.c  */
#line 12195 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1836:

/* Line 1455 of yacc.c  */
#line 12199 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1837:

/* Line 1455 of yacc.c  */
#line 12205 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); ;}
    break;

  case 1838:

/* Line 1455 of yacc.c  */
#line 12216 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				;}
    break;

  case 1839:

/* Line 1455 of yacc.c  */
#line 12229 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1840:

/* Line 1455 of yacc.c  */
#line 12230 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1841:

/* Line 1455 of yacc.c  */
#line 12235 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				;}
    break;

  case 1842:

/* Line 1455 of yacc.c  */
#line 12245 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1843:

/* Line 1455 of yacc.c  */
#line 12246 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1844:

/* Line 1455 of yacc.c  */
#line 12249 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1845:

/* Line 1455 of yacc.c  */
#line 12250 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1846:

/* Line 1455 of yacc.c  */
#line 12254 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]), yyscanner);
				;}
    break;

  case 1847:

/* Line 1455 of yacc.c  */
#line 12258 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]), yyscanner);
				;}
    break;

  case 1848:

/* Line 1455 of yacc.c  */
#line 12265 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				;}
    break;

  case 1849:

/* Line 1455 of yacc.c  */
#line 12269 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				;}
    break;

  case 1850:

/* Line 1455 of yacc.c  */
#line 12273 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				;}
    break;

  case 1851:

/* Line 1455 of yacc.c  */
#line 12280 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				;}
    break;

  case 1852:

/* Line 1455 of yacc.c  */
#line 12289 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1853:

/* Line 1455 of yacc.c  */
#line 12290 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1854:

/* Line 1455 of yacc.c  */
#line 12294 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1855:

/* Line 1455 of yacc.c  */
#line 12295 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1858:

/* Line 1455 of yacc.c  */
#line 12310 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].node); ;}
    break;

  case 1859:

/* Line 1455 of yacc.c  */
#line 12312 "gram.y"
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1860:

/* Line 1455 of yacc.c  */
#line 12320 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1861:

/* Line 1455 of yacc.c  */
#line 12321 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1862:

/* Line 1455 of yacc.c  */
#line 12329 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1863:

/* Line 1455 of yacc.c  */
#line 12340 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1864:

/* Line 1455 of yacc.c  */
#line 12341 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1865:

/* Line 1455 of yacc.c  */
#line 12345 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1866:

/* Line 1455 of yacc.c  */
#line 12361 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1867:

/* Line 1455 of yacc.c  */
#line 12369 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1868:

/* Line 1455 of yacc.c  */
#line 12377 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1869:

/* Line 1455 of yacc.c  */
#line 12398 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); ;}
    break;

  case 1870:

/* Line 1455 of yacc.c  */
#line 12399 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); ;}
    break;

  case 1871:

/* Line 1455 of yacc.c  */
#line 12411 "gram.y"
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1872:

/* Line 1455 of yacc.c  */
#line 12415 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[(1) - (2)]));
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 parser_errposition((yylsp[(1) - (2)]))));
							break;
					}
				;}
    break;

  case 1873:

/* Line 1455 of yacc.c  */
#line 12442 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1874:

/* Line 1455 of yacc.c  */
#line 12444 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 1875:

/* Line 1455 of yacc.c  */
#line 12448 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1876:

/* Line 1455 of yacc.c  */
#line 12451 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1877:

/* Line 1455 of yacc.c  */
#line 12454 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1878:

/* Line 1455 of yacc.c  */
#line 12456 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1879:

/* Line 1455 of yacc.c  */
#line 12458 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1880:

/* Line 1455 of yacc.c  */
#line 12460 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1881:

/* Line 1455 of yacc.c  */
#line 12471 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1882:

/* Line 1455 of yacc.c  */
#line 12473 "gram.y"
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
											 yyscanner);
					;}
    break;

  case 1883:

/* Line 1455 of yacc.c  */
#line 12484 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				;}
    break;

  case 1884:

/* Line 1455 of yacc.c  */
#line 12488 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1885:

/* Line 1455 of yacc.c  */
#line 12492 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1886:

/* Line 1455 of yacc.c  */
#line 12496 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1887:

/* Line 1455 of yacc.c  */
#line 12500 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1888:

/* Line 1455 of yacc.c  */
#line 12509 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				;}
    break;

  case 1889:

/* Line 1455 of yacc.c  */
#line 12516 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (5)].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[(3) - (5)].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[(3) - (5)].list);
					t->location = (yylsp[(1) - (5)]);
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (5)].str), (yylsp[(5) - (5)]), t);
				;}
    break;

  case 1890:

/* Line 1455 of yacc.c  */
#line 12541 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				;}
    break;

  case 1891:

/* Line 1455 of yacc.c  */
#line 12545 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				;}
    break;

  case 1892:

/* Line 1455 of yacc.c  */
#line 12551 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				;}
    break;

  case 1893:

/* Line 1455 of yacc.c  */
#line 12568 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				;}
    break;

  case 1894:

/* Line 1455 of yacc.c  */
#line 12572 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				;}
    break;

  case 1895:

/* Line 1455 of yacc.c  */
#line 12576 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				;}
    break;

  case 1896:

/* Line 1455 of yacc.c  */
#line 12581 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1897:

/* Line 1455 of yacc.c  */
#line 12582 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1898:

/* Line 1455 of yacc.c  */
#line 12583 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1899:

/* Line 1455 of yacc.c  */
#line 12585 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1900:

/* Line 1455 of yacc.c  */
#line 12586 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); ;}
    break;

  case 1901:

/* Line 1455 of yacc.c  */
#line 12587 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); ;}
    break;

  case 1902:

/* Line 1455 of yacc.c  */
#line 12603 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1903:

/* Line 1455 of yacc.c  */
#line 12604 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1904:

/* Line 1455 of yacc.c  */
#line 12605 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1905:

/* Line 1455 of yacc.c  */
#line 12610 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1906:

/* Line 1455 of yacc.c  */
#line 12611 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1907:

/* Line 1455 of yacc.c  */
#line 12612 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1908:

/* Line 1455 of yacc.c  */
#line 12618 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1909:

/* Line 1455 of yacc.c  */
#line 12619 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1910:

/* Line 1455 of yacc.c  */
#line 12620 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1911:

/* Line 1455 of yacc.c  */
#line 12621 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1912:

/* Line 1455 of yacc.c  */
#line 12622 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;



/* Line 1455 of yacc.c  */
#line 38757 "gram.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (&yylloc, yyscanner, yymsg);
	  }
	else
	  {
	    yyerror (&yylloc, yyscanner, YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, yyscanner);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc, yyscanner);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 13080 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeOverlaps()
 * Create and populate a FuncCall node to support the OVERLAPS operator.
 */
static FuncCall *
makeOverlaps(List *largs, List *rargs, int location, core_yyscan_t yyscanner)
{
	FuncCall *n = makeNode(FuncCall);

	n->funcname = SystemFuncName("overlaps");
	if (list_length(largs) == 1)
		largs = lappend(largs, largs);
	else if (list_length(largs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
				 parser_errposition(location)));
	if (list_length(rargs) == 1)
		rargs = lappend(rargs, rargs);
	else if (list_length(rargs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
				 parser_errposition(location)));
	n->args = list_concat(largs, rargs);
	n->agg_order = NIL;
	n->agg_star = FALSE;
	n->agg_distinct = FALSE;
	n->func_variadic = FALSE;
	n->over = NULL;
	n->location = location;
	return n;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));;
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"

