
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
				fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = (name[0] == ':' ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 189 of yacc.c  */
#line 637 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     CSTRING = 326,
     CVARIABLE = 327,
     CPP_LINE = 328,
     IP = 329,
     DOLCONST = 330,
     ECONST = 331,
     NCONST = 332,
     UCONST = 333,
     UIDENT = 334,
     IDENT = 335,
     FCONST = 336,
     SCONST = 337,
     BCONST = 338,
     XCONST = 339,
     Op = 340,
     ICONST = 341,
     PARAM = 342,
     TYPECAST = 343,
     DOT_DOT = 344,
     COLON_EQUALS = 345,
     ABORT_P = 346,
     ABSOLUTE_P = 347,
     ACCESS = 348,
     ACTION = 349,
     ADD_P = 350,
     ADMIN = 351,
     AFTER = 352,
     AGGREGATE = 353,
     ALL = 354,
     ALSO = 355,
     ALTER = 356,
     ALWAYS = 357,
     ANALYSE = 358,
     ANALYZE = 359,
     AND = 360,
     ANY = 361,
     ARRAY = 362,
     AS = 363,
     ASC = 364,
     ASSERTION = 365,
     ASSIGNMENT = 366,
     ASYMMETRIC = 367,
     AT = 368,
     ATTRIBUTE = 369,
     AUTHORIZATION = 370,
     BACKWARD = 371,
     BEFORE = 372,
     BEGIN_P = 373,
     BETWEEN = 374,
     BIGINT = 375,
     BINARY = 376,
     BIT = 377,
     BOOLEAN_P = 378,
     BOTH = 379,
     BY = 380,
     CACHE = 381,
     CALLED = 382,
     CASCADE = 383,
     CASCADED = 384,
     CASE = 385,
     CAST = 386,
     CATALOG_P = 387,
     CHAIN = 388,
     CHAR_P = 389,
     CHARACTER = 390,
     CHARACTERISTICS = 391,
     CHECK = 392,
     CHECKPOINT = 393,
     CLASS = 394,
     CLOSE = 395,
     CLUSTER = 396,
     COALESCE = 397,
     COLLATE = 398,
     COLLATION = 399,
     COLUMN = 400,
     COMMENT = 401,
     COMMENTS = 402,
     COMMIT = 403,
     COMMITTED = 404,
     CONCURRENTLY = 405,
     CONFIGURATION = 406,
     CONNECTION = 407,
     CONSTRAINT = 408,
     CONSTRAINTS = 409,
     CONTENT_P = 410,
     CONTINUE_P = 411,
     CONVERSION_P = 412,
     COPY = 413,
     COST = 414,
     CREATE = 415,
     CROSS = 416,
     CSV = 417,
     CURRENT_P = 418,
     CURRENT_CATALOG = 419,
     CURRENT_DATE = 420,
     CURRENT_ROLE = 421,
     CURRENT_SCHEMA = 422,
     CURRENT_TIME = 423,
     CURRENT_TIMESTAMP = 424,
     CURRENT_USER = 425,
     CURSOR = 426,
     CYCLE = 427,
     DATA_P = 428,
     DATABASE = 429,
     DAY_P = 430,
     DEALLOCATE = 431,
     DEC = 432,
     DECIMAL_P = 433,
     DECLARE = 434,
     DEFAULT = 435,
     DEFAULTS = 436,
     DEFERRABLE = 437,
     DEFERRED = 438,
     DEFINER = 439,
     DELETE_P = 440,
     DELIMITER = 441,
     DELIMITERS = 442,
     DESC = 443,
     DICTIONARY = 444,
     DISABLE_P = 445,
     DISCARD = 446,
     DISTINCT = 447,
     DO = 448,
     DOCUMENT_P = 449,
     DOMAIN_P = 450,
     DOUBLE_P = 451,
     DROP = 452,
     EACH = 453,
     ELSE = 454,
     ENABLE_P = 455,
     ENCODING = 456,
     ENCRYPTED = 457,
     END_P = 458,
     ENUM_P = 459,
     ESCAPE = 460,
     EVENT = 461,
     EXCEPT = 462,
     EXCLUDE = 463,
     EXCLUDING = 464,
     EXCLUSIVE = 465,
     EXECUTE = 466,
     EXISTS = 467,
     EXPLAIN = 468,
     EXTENSION = 469,
     EXTERNAL = 470,
     EXTRACT = 471,
     FALSE_P = 472,
     FAMILY = 473,
     FETCH = 474,
     FIRST_P = 475,
     FLOAT_P = 476,
     FOLLOWING = 477,
     FOR = 478,
     FORCE = 479,
     FOREIGN = 480,
     FORWARD = 481,
     FREEZE = 482,
     FROM = 483,
     FULL = 484,
     FUNCTION = 485,
     FUNCTIONS = 486,
     GLOBAL = 487,
     GRANT = 488,
     GRANTED = 489,
     GREATEST = 490,
     GROUP_P = 491,
     HANDLER = 492,
     HAVING = 493,
     HEADER_P = 494,
     HOLD = 495,
     HOUR_P = 496,
     IDENTITY_P = 497,
     IF_P = 498,
     ILIKE = 499,
     IMMEDIATE = 500,
     IMMUTABLE = 501,
     IMPLICIT_P = 502,
     IN_P = 503,
     INCLUDING = 504,
     INCREMENT = 505,
     INDEX = 506,
     INDEXES = 507,
     INHERIT = 508,
     INHERITS = 509,
     INITIALLY = 510,
     INLINE_P = 511,
     INNER_P = 512,
     INOUT = 513,
     INPUT_P = 514,
     INSENSITIVE = 515,
     INSERT = 516,
     INSTEAD = 517,
     INT_P = 518,
     INTEGER = 519,
     INTERSECT = 520,
     INTERVAL = 521,
     INTO = 522,
     INVOKER = 523,
     IS = 524,
     ISNULL = 525,
     ISOLATION = 526,
     JOIN = 527,
     KEY = 528,
     LABEL = 529,
     LANGUAGE = 530,
     LARGE_P = 531,
     LAST_P = 532,
     LATERAL_P = 533,
     LC_COLLATE_P = 534,
     LC_CTYPE_P = 535,
     LEADING = 536,
     LEAKPROOF = 537,
     LEAST = 538,
     LEFT = 539,
     LEVEL = 540,
     LIKE = 541,
     LIMIT = 542,
     LISTEN = 543,
     LOAD = 544,
     LOCAL = 545,
     LOCALTIME = 546,
     LOCALTIMESTAMP = 547,
     LOCATION = 548,
     LOCK_P = 549,
     MAPPING = 550,
     MATCH = 551,
     MATERIALIZED = 552,
     MAXVALUE = 553,
     MINUTE_P = 554,
     MINVALUE = 555,
     MODE = 556,
     MONTH_P = 557,
     MOVE = 558,
     NAME_P = 559,
     NAMES = 560,
     NATIONAL = 561,
     NATURAL = 562,
     NCHAR = 563,
     NEXT = 564,
     NO = 565,
     NONE = 566,
     NOT = 567,
     NOTHING = 568,
     NOTIFY = 569,
     NOTNULL = 570,
     NOWAIT = 571,
     NULL_P = 572,
     NULLIF = 573,
     NULLS_P = 574,
     NUMERIC = 575,
     OBJECT_P = 576,
     OF = 577,
     OFF = 578,
     OFFSET = 579,
     OIDS = 580,
     ON = 581,
     ONLY = 582,
     OPERATOR = 583,
     OPTION = 584,
     OPTIONS = 585,
     OR = 586,
     ORDER = 587,
     OUT_P = 588,
     OUTER_P = 589,
     OVER = 590,
     OVERLAPS = 591,
     OVERLAY = 592,
     OWNED = 593,
     OWNER = 594,
     PARSER = 595,
     PARTIAL = 596,
     PARTITION = 597,
     PASSING = 598,
     PASSWORD = 599,
     PLACING = 600,
     PLANS = 601,
     POSITION = 602,
     PRECEDING = 603,
     PRECISION = 604,
     PRESERVE = 605,
     PREPARE = 606,
     PREPARED = 607,
     PRIMARY = 608,
     PRIOR = 609,
     PRIVILEGES = 610,
     PROCEDURAL = 611,
     PROCEDURE = 612,
     PROGRAM = 613,
     QUOTE = 614,
     RANGE = 615,
     READ = 616,
     REAL = 617,
     REASSIGN = 618,
     RECHECK = 619,
     RECURSIVE = 620,
     REF = 621,
     REFERENCES = 622,
     REFRESH = 623,
     REINDEX = 624,
     RELATIVE_P = 625,
     RELEASE = 626,
     RENAME = 627,
     REPEATABLE = 628,
     REPLACE = 629,
     REPLICA = 630,
     RESET = 631,
     RESTART = 632,
     RESTRICT = 633,
     RETURNING = 634,
     RETURNS = 635,
     REVOKE = 636,
     RIGHT = 637,
     ROLE = 638,
     ROLLBACK = 639,
     ROW = 640,
     ROWS = 641,
     RULE = 642,
     SAVEPOINT = 643,
     SCHEMA = 644,
     SCROLL = 645,
     SEARCH = 646,
     SECOND_P = 647,
     SECURITY = 648,
     SELECT = 649,
     SEQUENCE = 650,
     SEQUENCES = 651,
     SERIALIZABLE = 652,
     SERVER = 653,
     SESSION = 654,
     SESSION_USER = 655,
     SET = 656,
     SETOF = 657,
     SHARE = 658,
     SHOW = 659,
     SIMILAR = 660,
     SIMPLE = 661,
     SMALLINT = 662,
     SNAPSHOT = 663,
     SOME = 664,
     STABLE = 665,
     STANDALONE_P = 666,
     START = 667,
     STATEMENT = 668,
     STATISTICS = 669,
     STDIN = 670,
     STDOUT = 671,
     STORAGE = 672,
     STRICT_P = 673,
     STRIP_P = 674,
     SUBSTRING = 675,
     SYMMETRIC = 676,
     SYSID = 677,
     SYSTEM_P = 678,
     TABLE = 679,
     TABLES = 680,
     TABLESPACE = 681,
     TEMP = 682,
     TEMPLATE = 683,
     TEMPORARY = 684,
     TEXT_P = 685,
     THEN = 686,
     TIME = 687,
     TIMESTAMP = 688,
     TO = 689,
     TRAILING = 690,
     TRANSACTION = 691,
     TREAT = 692,
     TRIGGER = 693,
     TRIM = 694,
     TRUE_P = 695,
     TRUNCATE = 696,
     TRUSTED = 697,
     TYPE_P = 698,
     TYPES_P = 699,
     UNBOUNDED = 700,
     UNCOMMITTED = 701,
     UNENCRYPTED = 702,
     UNION = 703,
     UNIQUE = 704,
     UNKNOWN = 705,
     UNLISTEN = 706,
     UNLOGGED = 707,
     UNTIL = 708,
     UPDATE = 709,
     USER = 710,
     USING = 711,
     VACUUM = 712,
     VALID = 713,
     VALIDATE = 714,
     VALIDATOR = 715,
     VALUE_P = 716,
     VALUES = 717,
     VARCHAR = 718,
     VARIADIC = 719,
     VARYING = 720,
     VERBOSE = 721,
     VERSION_P = 722,
     VIEW = 723,
     VOLATILE = 724,
     WHEN = 725,
     WHERE = 726,
     WHITESPACE_P = 727,
     WINDOW = 728,
     WITH = 729,
     WITHOUT = 730,
     WORK = 731,
     WRAPPER = 732,
     WRITE = 733,
     XML_P = 734,
     XMLATTRIBUTES = 735,
     XMLCONCAT = 736,
     XMLELEMENT = 737,
     XMLEXISTS = 738,
     XMLFOREST = 739,
     XMLPARSE = 740,
     XMLPI = 741,
     XMLROOT = 742,
     XMLSERIALIZE = 743,
     YEAR_P = 744,
     YES_P = 745,
     ZONE = 746,
     NULLS_FIRST = 747,
     NULLS_LAST = 748,
     WITH_TIME = 749,
     POSTFIXOP = 750,
     UMINUS = 751
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 564 "preproc.y"

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 214 of yacc.c  */
#line 1186 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 1211 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   106677

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  516
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  698
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2788
/* YYNRULES -- Number of states.  */
#define YYNSTATES  5101

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   751

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   503,     2,     2,
     508,   509,   501,   499,   511,   500,   510,   502,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   513,   512,
     496,   495,   497,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   506,     2,   507,   504,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   514,     2,   515,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     498,   505
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   249,   251,   253,   255,   257,
     259,   261,   263,   265,   267,   269,   271,   272,   278,   280,
     281,   284,   285,   288,   289,   292,   295,   299,   303,   305,
     309,   313,   316,   318,   320,   323,   326,   329,   333,   337,
     343,   349,   350,   354,   360,   366,   372,   377,   381,   387,
     391,   397,   403,   410,   412,   414,   418,   424,   431,   436,
     446,   454,   456,   457,   460,   461,   463,   465,   467,   469,
     471,   473,   476,   480,   484,   487,   493,   495,   499,   503,
     507,   511,   515,   519,   522,   525,   528,   531,   535,   539,
     543,   547,   549,   553,   555,   559,   561,   563,   566,   569,
     572,   574,   576,   578,   580,   582,   584,   586,   590,   597,
     599,   601,   603,   605,   607,   608,   610,   612,   615,   619,
     624,   628,   631,   634,   636,   639,   641,   645,   650,   656,
     661,   664,   669,   671,   673,   675,   677,   679,   682,   685,
     688,   691,   696,   703,   708,   715,   720,   727,   732,   739,
     745,   753,   755,   759,   762,   766,   771,   778,   785,   792,
     798,   804,   811,   818,   823,   832,   837,   840,   844,   851,
     856,   860,   864,   868,   872,   876,   881,   886,   890,   894,
     898,   902,   906,   910,   915,   920,   924,   927,   931,   934,
     937,   941,   945,   948,   951,   953,   957,   960,   962,   964,
     965,   968,   969,   972,   973,   977,   980,   981,   983,   987,
     991,   993,   999,  1003,  1008,  1010,  1014,  1019,  1026,  1031,
    1040,  1043,  1046,  1058,  1066,  1068,  1070,  1072,  1073,  1075,
    1077,  1079,  1081,  1085,  1088,  1089,  1091,  1093,  1095,  1099,
    1103,  1105,  1107,  1111,  1115,  1119,  1123,  1128,  1131,  1133,
    1134,  1137,  1138,  1142,  1143,  1145,  1146,  1148,  1152,  1155,
    1157,  1159,  1161,  1165,  1166,  1168,  1172,  1174,  1186,  1201,
    1212,  1226,  1228,  1230,  1233,  1236,  1239,  1242,  1244,  1245,
    1247,  1248,  1252,  1253,  1255,  1259,  1261,  1265,  1267,  1269,
    1271,  1273,  1275,  1280,  1285,  1288,  1289,  1293,  1295,  1297,
    1300,  1303,  1305,  1309,  1314,  1320,  1323,  1329,  1331,  1334,
    1337,  1340,  1344,  1348,  1352,  1353,  1355,  1357,  1359,  1361,
    1363,  1365,  1369,  1371,  1377,  1385,  1389,  1398,  1403,  1413,
    1425,  1428,  1429,  1433,  1434,  1436,  1440,  1442,  1445,  1448,
    1451,  1452,  1454,  1458,  1462,  1469,  1474,  1475,  1477,  1479,
    1482,  1485,  1486,  1490,  1494,  1497,  1499,  1501,  1504,  1507,
    1512,  1513,  1516,  1519,  1522,  1523,  1527,  1532,  1537,  1538,
    1541,  1542,  1547,  1548,  1552,  1558,  1561,  1565,  1566,  1575,
    1580,  1582,  1583,  1589,  1595,  1600,  1607,  1609,  1610,  1612,
    1615,  1618,  1620,  1623,  1627,  1630,  1633,  1636,  1639,  1643,
    1647,  1649,  1653,  1655,  1656,  1658,  1661,  1663,  1665,  1669,
    1676,  1687,  1689,  1690,  1692,  1695,  1698,  1699,  1702,  1705,
    1707,  1708,  1714,  1722,  1724,  1725,  1732,  1735,  1736,  1740,
    1746,  1752,  1761,  1764,  1765,  1768,  1771,  1774,  1780,  1783,
    1784,  1787,  1795,  1806,  1813,  1820,  1827,  1834,  1842,  1850,
    1860,  1870,  1877,  1885,  1892,  1901,  1910,  1919,  1928,  1935,
    1942,  1950,  1958,  1967,  1974,  1981,  1989,  1992,  1995,  1998,
    2001,  2003,  2006,  2008,  2009,  2016,  2025,  2033,  2040,  2045,
    2046,  2048,  2052,  2057,  2059,  2063,  2065,  2068,  2071,  2074,
    2077,  2079,  2081,  2092,  2095,  2096,  2099,  2102,  2104,  2105,
    2110,  2117,  2123,  2128,  2133,  2144,  2158,  2164,  2172,  2181,
    2183,  2185,  2187,  2195,  2205,  2214,  2230,  2251,  2253,  2255,
    2258,  2260,  2264,  2266,  2268,  2270,  2274,  2276,  2280,  2281,
    2283,  2284,  2286,  2288,  2293,  2294,  2296,  2300,  2301,  2303,
    2305,  2307,  2309,  2312,  2313,  2314,  2317,  2320,  2322,  2325,
    2328,  2331,  2334,  2341,  2350,  2362,  2376,  2378,  2382,  2388,
    2390,  2394,  2400,  2402,  2405,  2408,  2410,  2419,  2424,  2430,
    2435,  2440,  2445,  2449,  2457,  2466,  2473,  2480,  2487,  2494,
    2501,  2506,  2512,  2516,  2518,  2522,  2526,  2528,  2530,  2532,
    2534,  2536,  2538,  2542,  2546,  2550,  2552,  2556,  2560,  2562,
    2563,  2565,  2569,  2577,  2587,  2597,  2601,  2602,  2616,  2618,
    2622,  2628,  2635,  2640,  2648,  2651,  2653,  2654,  2657,  2658,
    2661,  2666,  2667,  2669,  2670,  2677,  2686,  2695,  2697,  2701,
    2707,  2713,  2721,  2731,  2739,  2749,  2755,  2762,  2769,  2774,
    2780,  2788,  2790,  2792,  2794,  2797,  2799,  2802,  2805,  2807,
    2809,  2811,  2813,  2815,  2817,  2821,  2825,  2829,  2833,  2835,
    2839,  2841,  2844,  2847,  2851,  2857,  2860,  2863,  2864,  2871,
    2879,  2887,  2895,  2904,  2913,  2920,  2929,  2939,  2949,  2957,
    2968,  2976,  2978,  2980,  2982,  2984,  2986,  2988,  2990,  2992,
    2994,  2997,  2999,  3001,  3003,  3005,  3007,  3010,  3012,  3016,
    3019,  3023,  3027,  3031,  3035,  3037,  3039,  3048,  3058,  3068,
    3078,  3088,  3091,  3092,  3094,  3096,  3099,  3102,  3104,  3106,
    3108,  3110,  3112,  3114,  3116,  3118,  3121,  3123,  3125,  3128,
    3131,  3135,  3140,  3146,  3151,  3157,  3161,  3166,  3170,  3175,
    3177,  3180,  3184,  3188,  3192,  3196,  3201,  3206,  3210,  3214,
    3219,  3224,  3229,  3234,  3236,  3238,  3240,  3241,  3249,  3257,
    3268,  3270,  3272,  3275,  3280,  3286,  3288,  3292,  3295,  3298,
    3301,  3304,  3306,  3309,  3312,  3317,  3321,  3324,  3327,  3330,
    3333,  3337,  3340,  3343,  3346,  3352,  3358,  3364,  3366,  3370,
    3372,  3375,  3379,  3380,  3382,  3386,  3389,  3396,  3403,  3413,
    3417,  3418,  3422,  3423,  3429,  3432,  3433,  3437,  3441,  3445,
    3453,  3461,  3472,  3474,  3476,  3478,  3480,  3495,  3497,  3498,
    3500,  3501,  3503,  3504,  3507,  3508,  3510,  3514,  3520,  3526,
    3534,  3537,  3538,  3540,  3543,  3544,  3546,  3548,  3549,  3551,
    3553,  3554,  3564,  3577,  3585,  3588,  3589,  3593,  3596,  3598,
    3602,  3606,  3609,  3611,  3615,  3619,  3623,  3626,  3629,  3631,
    3633,  3635,  3637,  3640,  3642,  3644,  3646,  3648,  3653,  3659,
    3661,  3665,  3669,  3671,  3674,  3679,  3685,  3687,  3689,  3691,
    3693,  3697,  3701,  3704,  3707,  3709,  3712,  3715,  3718,  3720,
    3723,  3726,  3728,  3730,  3732,  3736,  3739,  3740,  3743,  3745,
    3749,  3755,  3757,  3760,  3762,  3763,  3769,  3777,  3783,  3791,
    3797,  3805,  3809,  3815,  3821,  3827,  3829,  3833,  3836,  3838,
    3841,  3843,  3846,  3858,  3869,  3880,  3883,  3886,  3887,  3897,
    3900,  3901,  3906,  3911,  3916,  3918,  3920,  3922,  3923,  3931,
    3938,  3945,  3952,  3959,  3968,  3977,  3984,  3991,  3999,  4009,
    4019,  4026,  4033,  4040,  4049,  4056,  4065,  4072,  4081,  4089,
    4099,  4106,  4115,  4123,  4133,  4142,  4153,  4163,  4175,  4184,
    4194,  4206,  4215,  4224,  4232,  4239,  4246,  4253,  4259,  4265,
    4274,  4283,  4292,  4301,  4308,  4318,  4320,  4321,  4324,  4325,
    4333,  4340,  4347,  4354,  4361,  4368,  4376,  4386,  4396,  4403,
    4412,  4421,  4430,  4439,  4448,  4455,  4464,  4471,  4480,  4488,
    4498,  4506,  4516,  4523,  4531,  4538,  4545,  4552,  4559,  4566,
    4574,  4582,  4590,  4600,  4610,  4617,  4624,  4631,  4640,  4649,
    4658,  4665,  4673,  4687,  4689,  4691,  4695,  4699,  4701,  4703,
    4705,  4707,  4709,  4711,  4713,  4714,  4716,  4718,  4720,  4722,
    4724,  4726,  4727,  4734,  4743,  4747,  4750,  4751,  4754,  4757,
    4760,  4763,  4767,  4771,  4774,  4777,  4780,  4783,  4787,  4790,
    4796,  4801,  4805,  4809,  4813,  4815,  4817,  4818,  4822,  4825,
    4828,  4830,  4833,  4835,  4839,  4842,  4844,  4845,  4855,  4867,
    4879,  4893,  4897,  4902,  4907,  4908,  4911,  4917,  4920,  4921,
    4925,  4929,  4933,  4937,  4941,  4945,  4949,  4953,  4957,  4961,
    4965,  4969,  4973,  4978,  4982,  4986,  4988,  4989,  4995,  5002,
    5007,  5010,  5011,  5016,  5020,  5026,  5033,  5038,  5045,  5052,
    5058,  5066,  5076,  5083,  5085,  5086,  5093,  5105,  5117,  5129,
    5143,  5153,  5165,  5176,  5181,  5184,  5190,  5193,  5194,  5199,
    5205,  5211,  5216,  5223,  5225,  5229,  5231,  5233,  5235,  5237,
    5240,  5245,  5247,  5249,  5251,  5252,  5254,  5255,  5257,  5258,
    5262,  5263,  5266,  5271,  5275,  5281,  5283,  5285,  5287,  5289,
    5291,  5293,  5295,  5297,  5299,  5301,  5305,  5308,  5310,  5312,
    5314,  5316,  5318,  5319,  5325,  5330,  5334,  5335,  5337,  5339,
    5341,  5343,  5348,  5358,  5362,  5363,  5370,  5372,  5377,  5380,
    5382,  5386,  5389,  5393,  5394,  5402,  5405,  5406,  5412,  5416,
    5417,  5420,  5423,  5426,  5430,  5432,  5436,  5438,  5441,  5443,
    5444,  5453,  5455,  5459,  5461,  5463,  5467,  5473,  5476,  5478,
    5482,  5490,  5492,  5494,  5495,  5499,  5502,  5505,  5508,  5509,
    5512,  5515,  5517,  5519,  5523,  5527,  5529,  5532,  5537,  5542,
    5545,  5549,  5555,  5561,  5563,  5565,  5575,  5577,  5580,  5585,
    5590,  5595,  5598,  5602,  5604,  5608,  5615,  5617,  5618,  5621,
    5623,  5624,  5628,  5632,  5637,  5642,  5647,  5652,  5656,  5659,
    5661,  5663,  5664,  5666,  5668,  5669,  5671,  5677,  5679,  5680,
    5682,  5683,  5687,  5689,  5693,  5698,  5702,  5705,  5708,  5710,
    5712,  5714,  5715,  5718,  5723,  5729,  5732,  5736,  5738,  5740,
    5742,  5744,  5748,  5749,  5751,  5753,  5755,  5757,  5759,  5763,
    5764,  5767,  5768,  5770,  5774,  5776,  5777,  5779,  5782,  5786,
    5789,  5794,  5797,  5801,  5804,  5805,  5808,  5812,  5815,  5816,
    5818,  5822,  5825,  5828,  5832,  5835,  5839,  5841,  5846,  5850,
    5855,  5861,  5866,  5872,  5877,  5883,  5886,  5891,  5893,  5895,
    5896,  5898,  5903,  5909,  5914,  5915,  5918,  5921,  5924,  5926,
    5928,  5929,  5934,  5937,  5939,  5942,  5945,  5950,  5952,  5956,
    5958,  5961,  5965,  5967,  5970,  5971,  5974,  5979,  5980,  5982,
    5983,  5985,  5989,  5993,  5996,  6000,  6006,  6013,  6016,  6020,
    6024,  6029,  6030,  6032,  6034,  6036,  6038,  6040,  6043,  6049,
    6051,  6053,  6055,  6057,  6060,  6064,  6068,  6069,  6071,  6073,
    6075,  6077,  6079,  6082,  6085,  6088,  6091,  6094,  6096,  6100,
    6101,  6103,  6105,  6107,  6109,  6115,  6118,  6120,  6122,  6124,
    6126,  6132,  6135,  6138,  6141,  6143,  6147,  6151,  6154,  6156,
    6157,  6161,  6162,  6168,  6171,  6177,  6180,  6182,  6185,  6189,
    6190,  6192,  6194,  6196,  6198,  6200,  6202,  6206,  6210,  6214,
    6218,  6222,  6226,  6230,  6231,  6233,  6238,  6240,  6244,  6248,
    6254,  6257,  6260,  6264,  6268,  6272,  6276,  6280,  6284,  6288,
    6292,  6296,  6300,  6303,  6306,  6310,  6314,  6317,  6321,  6327,
    6332,  6339,  6343,  6349,  6354,  6361,  6366,  6373,  6379,  6387,
    6391,  6394,  6399,  6402,  6406,  6410,  6415,  6419,  6424,  6428,
    6433,  6439,  6446,  6453,  6461,  6468,  6476,  6483,  6491,  6495,
    6500,  6505,  6512,  6515,  6519,  6524,  6526,  6530,  6533,  6536,
    6540,  6544,  6548,  6552,  6556,  6560,  6564,  6568,  6572,  6576,
    6579,  6582,  6588,  6595,  6602,  6610,  6614,  6619,  6621,  6623,
    6626,  6631,  6633,  6635,  6637,  6640,  6643,  6646,  6649,  6651,
    6656,  6662,  6669,  6678,  6685,  6693,  6701,  6707,  6713,  6715,
    6717,  6722,  6724,  6729,  6731,  6736,  6738,  6743,  6745,  6747,
    6749,  6751,  6753,  6755,  6762,  6767,  6772,  6777,  6782,  6789,
    6795,  6801,  6807,  6812,  6819,  6824,  6829,  6834,  6839,  6845,
    6853,  6861,  6871,  6877,  6882,  6889,  6895,  6903,  6911,  6919,
    6922,  6926,  6930,  6934,  6939,  6940,  6945,  6947,  6951,  6955,
    6957,  6959,  6961,  6964,  6967,  6968,  6971,  6976,  6981,  6988,
    6991,  6992,  6994,  6998,  7002,  7005,  7008,  7009,  7016,  7018,
    7019,  7023,  7024,  7027,  7030,  7031,  7033,  7038,  7041,  7044,
    7047,  7050,  7053,  7058,  7062,  7068,  7070,  7072,  7074,  7076,
    7078,  7080,  7082,  7084,  7086,  7088,  7090,  7092,  7094,  7096,
    7098,  7103,  7105,  7110,  7112,  7117,  7119,  7122,  7124,  7127,
    7129,  7133,  7135,  7139,  7141,  7145,  7147,  7151,  7155,  7159,
    7162,  7164,  7168,  7172,  7173,  7175,  7177,  7179,  7181,  7183,
    7185,  7187,  7189,  7194,  7198,  7201,  7205,  7206,  7210,  7214,
    7217,  7220,  7222,  7223,  7226,  7229,  7233,  7236,  7238,  7240,
    7244,  7250,  7252,  7255,  7260,  7263,  7264,  7266,  7267,  7269,
    7272,  7275,  7278,  7282,  7288,  7290,  7293,  7294,  7297,  7299,
    7300,  7302,  7304,  7306,  7310,  7314,  7316,  7320,  7324,  7327,
    7329,  7331,  7333,  7337,  7339,  7342,  7344,  7348,  7350,  7352,
    7354,  7356,  7358,  7360,  7362,  7365,  7367,  7369,  7371,  7373,
    7375,  7378,  7384,  7387,  7391,  7398,  7400,  7402,  7404,  7406,
    7408,  7410,  7412,  7414,  7416,  7419,  7422,  7424,  7426,  7428,
    7430,  7432,  7434,  7436,  7438,  7440,  7442,  7444,  7446,  7448,
    7450,  7452,  7454,  7456,  7458,  7460,  7462,  7464,  7466,  7468,
    7470,  7472,  7474,  7476,  7478,  7480,  7482,  7484,  7486,  7488,
    7490,  7492,  7494,  7496,  7498,  7500,  7502,  7504,  7506,  7508,
    7510,  7512,  7514,  7516,  7518,  7520,  7522,  7524,  7526,  7528,
    7530,  7532,  7534,  7536,  7538,  7540,  7542,  7544,  7546,  7548,
    7550,  7552,  7554,  7556,  7558,  7560,  7562,  7564,  7566,  7568,
    7570,  7572,  7574,  7576,  7578,  7580,  7582,  7584,  7586,  7588,
    7590,  7592,  7594,  7596,  7598,  7600,  7602,  7604,  7606,  7608,
    7610,  7612,  7614,  7616,  7618,  7620,  7622,  7624,  7626,  7628,
    7630,  7632,  7634,  7636,  7638,  7640,  7642,  7644,  7646,  7648,
    7650,  7652,  7654,  7656,  7658,  7660,  7662,  7664,  7666,  7668,
    7670,  7672,  7674,  7676,  7678,  7680,  7682,  7684,  7686,  7688,
    7690,  7692,  7694,  7696,  7698,  7700,  7702,  7704,  7706,  7708,
    7710,  7712,  7714,  7716,  7718,  7720,  7722,  7724,  7726,  7728,
    7730,  7732,  7734,  7736,  7738,  7740,  7742,  7744,  7746,  7748,
    7750,  7752,  7754,  7756,  7758,  7760,  7762,  7764,  7766,  7768,
    7770,  7772,  7774,  7776,  7778,  7780,  7782,  7784,  7786,  7788,
    7790,  7792,  7794,  7796,  7798,  7800,  7802,  7804,  7806,  7808,
    7810,  7812,  7814,  7816,  7818,  7820,  7822,  7824,  7826,  7828,
    7830,  7832,  7834,  7836,  7838,  7840,  7842,  7844,  7846,  7848,
    7850,  7852,  7854,  7856,  7858,  7860,  7862,  7864,  7866,  7868,
    7870,  7872,  7874,  7876,  7878,  7880,  7882,  7884,  7886,  7888,
    7890,  7892,  7894,  7896,  7898,  7900,  7902,  7904,  7906,  7908,
    7910,  7912,  7914,  7916,  7918,  7920,  7922,  7924,  7926,  7928,
    7930,  7932,  7934,  7936,  7938,  7940,  7942,  7944,  7946,  7948,
    7950,  7952,  7954,  7956,  7958,  7960,  7962,  7964,  7966,  7968,
    7970,  7972,  7974,  7976,  7978,  7980,  7982,  7984,  7986,  7988,
    7990,  7992,  7994,  7996,  7998,  8000,  8002,  8004,  8006,  8008,
    8010,  8012,  8014,  8016,  8018,  8020,  8022,  8024,  8026,  8028,
    8030,  8032,  8034,  8036,  8038,  8040,  8042,  8044,  8046,  8048,
    8050,  8052,  8054,  8056,  8058,  8060,  8062,  8064,  8066,  8068,
    8070,  8072,  8074,  8076,  8078,  8080,  8082,  8084,  8086,  8088,
    8090,  8092,  8094,  8096,  8098,  8100,  8102,  8104,  8106,  8108,
    8110,  8112,  8114,  8116,  8118,  8120,  8122,  8124,  8126,  8128,
    8130,  8132,  8134,  8136,  8138,  8140,  8142,  8144,  8146,  8148,
    8150,  8152,  8154,  8156,  8158,  8160,  8162,  8164,  8166,  8168,
    8170,  8172,  8174,  8176,  8178,  8180,  8182,  8184,  8186,  8188,
    8190,  8192,  8194,  8196,  8197,  8200,  8205,  8209,  8212,  8214,
    8216,  8218,  8220,  8222,  8223,  8232,  8235,  8241,  8245,  8248,
    8251,  8255,  8263,  8265,  8267,  8269,  8270,  8273,  8276,  8278,
    8279,  8281,  8285,  8287,  8290,  8291,  8294,  8295,  8298,  8299,
    8301,  8305,  8310,  8314,  8316,  8318,  8320,  8322,  8325,  8326,
    8329,  8334,  8335,  8338,  8341,  8344,  8346,  8348,  8356,  8360,
    8362,  8364,  8366,  8368,  8371,  8372,  8374,  8378,  8382,  8386,
    8390,  8391,  8396,  8402,  8408,  8409,  8411,  8413,  8415,  8418,
    8421,  8423,  8426,  8427,  8435,  8436,  8442,  8443,  8448,  8451,
    8454,  8455,  8458,  8460,  8462,  8464,  8466,  8468,  8470,  8472,
    8474,  8476,  8478,  8480,  8486,  8489,  8491,  8495,  8498,  8501,
    8505,  8506,  8512,  8514,  8515,  8521,  8524,  8527,  8529,  8531,
    8533,  8536,  8539,  8543,  8545,  8548,  8551,  8555,  8559,  8564,
    8567,  8569,  8572,  8574,  8576,  8579,  8582,  8586,  8588,  8590,
    8592,  8594,  8595,  8597,  8601,  8607,  8608,  8611,  8612,  8614,
    8617,  8621,  8624,  8626,  8628,  8630,  8631,  8633,  8635,  8637,
    8639,  8641,  8644,  8647,  8651,  8652,  8654,  8657,  8659,  8664,
    8668,  8673,  8677,  8680,  8682,  8686,  8688,  8690,  8692,  8694,
    8697,  8700,  8702,  8705,  8708,  8710,  8712,  8714,  8719,  8724,
    8729,  8734,  8739,  8741,  8742,  8746,  8750,  8755,  8757,  8761,
    8765,  8770,  8772,  8776,  8780,  8782,  8784,  8786,  8793,  8795,
    8799,  8803,  8810,  8812,  8816,  8820,  8822,  8824,  8827,  8830,
    8832,  8834,  8836,  8838,  8840,  8842,  8844,  8846,  8848,  8850,
    8852,  8854,  8856,  8858,  8860,  8862,  8867,  8872,  8874,  8876,
    8881,  8886,  8890,  8891,  8899,  8901,  8902,  8903,  8911,  8915,
    8920,  8924,  8926,  8928,  8930,  8933,  8937,  8943,  8946,  8952,
    8955,  8957,  8959,  8961,  8963,  8965,  8967,  8969,  8971,  8973,
    8975,  8977,  8979,  8981,  8983,  8985,  8987,  8989,  8991,  8993,
    8995,  8997,  8999,  9001,  9003,  9005,  9007,  9009,  9011,  9013,
    9015,  9017,  9019,  9021,  9023,  9025,  9027,  9029,  9031,  9033,
    9035,  9037,  9039,  9041,  9043,  9045,  9047,  9049,  9051,  9053,
    9055,  9057,  9059,  9061,  9063,  9065,  9067,  9069,  9071,  9073,
    9075,  9077,  9079,  9081,  9083,  9085,  9087,  9089,  9091,  9093,
    9095,  9097,  9099,  9101,  9103,  9105,  9107,  9109,  9111,  9113,
    9115,  9117,  9119,  9121,  9123,  9125,  9127,  9129,  9131,  9133,
    9135,  9137,  9139,  9141,  9143,  9145,  9147,  9149,  9151,  9155,
    9157,  9158,  9160,  9163,  9165,  9168,  9170,  9172,  9174,  9177,
    9180,  9182,  9184,  9186,  9188,  9190,  9192,  9194,  9196,  9198,
    9200,  9202,  9204,  9206,  9208,  9210,  9212,  9215,  9219,  9221,
    9224,  9226,  9230,  9232,  9236,  9238,  9240,  9242,  9244,  9246,
    9248,  9250,  9252,  9254,  9256,  9258,  9260,  9262,  9264,  9266,
    9268,  9270,  9272,  9274,  9276,  9278,  9280,  9282,  9284,  9286,
    9288,  9290,  9292,  9294,  9296,  9298,  9300,  9302,  9304,  9306,
    9308,  9310,  9312,  9314,  9316,  9318,  9320,  9322,  9324,  9326,
    9328,  9330,  9332,  9334,  9336,  9338,  9340,  9342,  9344,  9346,
    9348,  9350,  9352,  9354,  9356,  9358,  9361,  9365,  9368,  9372,
    9374,  9378,  9382,  9386,  9390,  9394,  9398,  9400,  9402,  9403,
    9406,  9409,  9411,  9413,  9416,  9418,  9420,  9422,  9423
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     517,     0,    -1,  1065,    -1,   705,    -1,   852,    -1,   853,
      -1,   770,    -1,   858,    -1,   720,    -1,   657,    -1,   660,
      -1,   666,    -1,   680,    -1,   682,    -1,   805,    -1,   534,
      -1,   826,    -1,   827,    -1,   636,    -1,   561,    -1,   572,
      -1,   528,    -1,   526,    -1,   861,    -1,   860,    -1,   686,
      -1,   530,    -1,   529,    -1,   868,    -1,   559,    -1,   575,
      -1,   863,    -1,   744,    -1,   556,    -1,   576,    -1,  1067,
      -1,   707,    -1,   816,    -1,   862,    -1,   857,    -1,   654,
      -1,   661,    -1,   675,    -1,   681,    -1,   786,    -1,   533,
      -1,   631,    -1,   722,    -1,   729,    -1,   730,    -1,   643,
      -1,   537,    -1,   635,    -1,   592,    -1,   651,    -1,   687,
      -1,   701,    -1,   519,    -1,   525,    -1,   683,    -1,   848,
      -1,  1208,    -1,   903,    -1,   709,    -1,   890,    -1,   560,
      -1,   813,    -1,   708,    -1,   818,    -1,   665,    -1,   679,
      -1,   536,    -1,   733,    -1,   734,    -1,   735,    -1,   649,
      -1,   835,    -1,   737,    -1,   653,    -1,   700,    -1,   531,
      -1,   532,    -1,   685,    -1,   856,    -1,   883,    -1,   874,
      -1,   751,    -1,   755,    -1,   766,    -1,   775,    -1,   885,
      -1,   838,    -1,   634,    -1,   847,    -1,   892,    -1,   836,
      -1,   880,    -1,   736,    -1,   820,    -1,   809,    -1,   808,
      -1,   810,    -1,   823,    -1,   756,    -1,   767,    -1,   828,
      -1,   747,    -1,   907,    -1,   840,    -1,   742,    -1,   839,
      -1,   896,    -1,   865,    -1,   552,    -1,   541,    -1,   555,
      -1,   845,    -1,  1144,    -1,  1070,    -1,  1087,    -1,  1145,
      -1,  1127,    -1,  1142,    -1,  1128,    -1,  1088,    -1,  1132,
      -1,  1154,    -1,  1146,    -1,  1133,    -1,  1162,    -1,  1164,
      -1,  1157,    -1,  1149,    -1,  1165,    -1,  1168,    -1,  1170,
      -1,    -1,   160,   383,  1059,   520,   521,    -1,   474,    -1,
      -1,   521,   524,    -1,    -1,   522,   523,    -1,    -1,   344,
    1198,    -1,   344,   317,    -1,   202,   344,  1198,    -1,   447,
     344,  1198,    -1,   253,    -1,   152,   287,  1060,    -1,   458,
     453,  1198,    -1,   455,  1049,    -1,  1200,    -1,   523,    -1,
     422,  1058,    -1,    96,  1049,    -1,   383,  1049,    -1,   248,
     383,  1049,    -1,   248,   236,  1049,    -1,   160,   455,  1059,
     520,   521,    -1,   101,   383,  1059,   520,   522,    -1,    -1,
     248,   174,  1051,    -1,   101,   383,  1059,   527,   553,    -1,
     101,   383,    99,   527,   553,    -1,   101,   455,  1059,   520,
     522,    -1,   101,   455,  1059,   553,    -1,   197,   383,  1049,
      -1,   197,   383,   243,   212,  1049,    -1,   197,   455,  1049,
      -1,   197,   455,   243,   212,  1049,    -1,   160,   236,  1059,
     520,   521,    -1,   101,   236,  1059,   535,   455,  1049,    -1,
      95,    -1,   197,    -1,   197,   236,  1049,    -1,   197,   236,
     243,   212,  1049,    -1,   160,   389,   538,   115,  1059,   539,
      -1,   160,   389,  1178,   539,    -1,   160,   389,   243,   312,
     212,   538,   115,  1059,   539,    -1,   160,   389,   243,   312,
     212,  1178,   539,    -1,  1178,    -1,    -1,   539,   540,    -1,
      -1,   592,    -1,   775,    -1,   635,    -1,   687,    -1,   755,
      -1,   845,    -1,   401,   542,    -1,   401,   290,   542,    -1,
     401,   399,   542,    -1,   436,   843,    -1,   399,   136,   108,
     436,   843,    -1,   543,    -1,   544,   434,   545,    -1,   544,
     495,   545,    -1,   544,   434,   180,    -1,   544,   495,   180,
      -1,   544,   228,   163,    -1,   432,   491,   549,    -1,   132,
    1198,    -1,   389,  1198,    -1,   305,   550,    -1,   383,   551,
      -1,   399,   115,   551,    -1,   399,   115,   180,    -1,   479,
     329,   996,    -1,   436,   408,  1198,    -1,  1177,    -1,   544,
     510,  1178,    -1,   546,    -1,   545,   511,   546,    -1,   548,
      -1,   641,    -1,   361,   446,    -1,   361,   149,    -1,   373,
     361,    -1,   397,    -1,   440,    -1,   217,    -1,   326,    -1,
     551,    -1,  1198,    -1,  1200,    -1,   983,  1198,   985,    -1,
     983,   508,  1058,   509,  1198,   985,    -1,   641,    -1,   180,
      -1,   290,    -1,  1198,    -1,   180,    -1,    -1,  1178,    -1,
    1198,    -1,   376,   544,    -1,   376,   432,   491,    -1,   376,
     436,   271,   285,    -1,   376,   399,   115,    -1,   376,    99,
      -1,   401,   542,    -1,   552,    -1,   401,   543,    -1,   552,
      -1,   404,   544,  1211,    -1,   404,   432,   491,  1211,    -1,
     404,   436,   271,   285,  1211,    -1,   404,   399,   115,  1211,
      -1,   404,    99,    -1,   401,   154,   557,   558,    -1,    99,
      -1,  1047,    -1,   183,    -1,   245,    -1,   138,    -1,   191,
      99,    -1,   191,   427,    -1,   191,   429,    -1,   191,   346,
      -1,   101,   424,   954,   562,    -1,   101,   424,   243,   212,
     954,   562,    -1,   101,   251,  1048,   562,    -1,   101,   251,
     243,   212,  1048,   562,    -1,   101,   395,  1048,   562,    -1,
     101,   395,   243,   212,  1048,   562,    -1,   101,   468,  1048,
     562,    -1,   101,   468,   243,   212,  1048,   562,    -1,   101,
     297,   468,  1048,   562,    -1,   101,   297,   468,   243,   212,
    1048,   562,    -1,   563,    -1,   562,   511,   563,    -1,    95,
     600,    -1,    95,   145,   600,    -1,   101,   824,  1178,   564,
      -1,   101,   824,  1178,   197,   312,   317,    -1,   101,   824,
    1178,   401,   312,   317,    -1,   101,   824,  1178,   401,   414,
    1060,    -1,   101,   824,  1178,   401,   568,    -1,   101,   824,
    1178,   376,   568,    -1,   101,   824,  1178,   401,   417,  1178,
      -1,   197,   824,   243,   212,  1178,   565,    -1,   197,   824,
    1178,   565,    -1,   101,   824,  1178,   825,   443,   963,   566,
     567,    -1,   101,   824,  1178,   669,    -1,    95,   609,    -1,
     459,   153,  1050,    -1,   197,   153,   243,   212,  1050,   565,
      -1,   197,   153,  1050,   565,    -1,   401,   474,   325,    -1,
     401,   475,   325,    -1,   141,   326,  1050,    -1,   401,   475,
     141,    -1,   200,   438,  1050,    -1,   200,   102,   438,  1050,
      -1,   200,   375,   438,  1050,    -1,   200,   438,    99,    -1,
     200,   438,   455,    -1,   190,   438,  1050,    -1,   190,   438,
      99,    -1,   190,   438,   455,    -1,   200,   387,  1050,    -1,
     200,   102,   387,  1050,    -1,   200,   375,   387,  1050,    -1,
     190,   387,  1050,    -1,   253,  1048,    -1,   310,   253,  1048,
      -1,   322,   740,    -1,   312,   322,    -1,   339,   434,  1059,
      -1,   401,   426,  1050,    -1,   401,   568,    -1,   376,   568,
      -1,   669,    -1,   401,   180,   987,    -1,   197,   180,    -1,
     128,    -1,   378,    -1,    -1,   143,   740,    -1,    -1,   456,
     987,    -1,    -1,   508,   570,   509,    -1,   474,   568,    -1,
      -1,   571,    -1,   570,   511,   571,    -1,  1180,   495,   713,
      -1,  1180,    -1,  1180,   510,  1180,   495,   713,    -1,  1180,
     510,  1180,    -1,   101,   443,   740,   573,    -1,   574,    -1,
     573,   511,   574,    -1,    95,   114,   962,   565,    -1,   197,
     114,   243,   212,  1178,   565,    -1,   197,   114,  1178,   565,
      -1,   101,   114,  1178,   825,   443,   963,   566,   565,    -1,
     140,   904,    -1,   140,    99,    -1,   158,   583,  1048,   612,
     584,   577,   578,   579,   585,   520,   580,    -1,   158,   908,
     434,   578,   579,   520,   580,    -1,   228,    -1,   434,    -1,
     358,    -1,    -1,  1198,    -1,   415,    -1,   416,    -1,   581,
      -1,   508,   587,   509,    -1,   581,   582,    -1,    -1,   121,
      -1,   325,    -1,   227,    -1,   186,   859,  1198,    -1,   317,
     859,  1198,    -1,   162,    -1,   239,    -1,   359,   859,  1198,
      -1,   205,   859,  1198,    -1,   224,   359,   613,    -1,   224,
     359,   501,    -1,   224,   312,   317,   613,    -1,   201,  1198,
      -1,   121,    -1,    -1,   474,   325,    -1,    -1,   586,   187,
    1198,    -1,    -1,   456,    -1,    -1,   588,    -1,   587,   511,
     588,    -1,  1180,   589,    -1,   548,    -1,   641,    -1,   501,
      -1,   508,   590,   509,    -1,    -1,   591,    -1,   590,   511,
     591,    -1,   548,    -1,   160,   593,   424,  1048,   508,   594,
     509,   623,   624,   625,   626,    -1,   160,   593,   424,   243,
     312,   212,  1048,   508,   594,   509,   623,   624,   625,   626,
      -1,   160,   593,   424,  1048,   322,   740,   595,   624,   625,
     626,    -1,   160,   593,   424,   243,   312,   212,  1048,   322,
     740,   595,   624,   625,   626,    -1,   429,    -1,   427,    -1,
     290,   429,    -1,   290,   427,    -1,   232,   429,    -1,   232,
     427,    -1,   452,    -1,    -1,   596,    -1,    -1,   508,   597,
     509,    -1,    -1,   598,    -1,   596,   511,   598,    -1,   599,
      -1,   597,   511,   599,    -1,   600,    -1,   606,    -1,   609,
      -1,   601,    -1,   609,    -1,  1178,   963,   667,   602,    -1,
    1178,   474,   330,   602,    -1,   602,   603,    -1,    -1,   153,
    1050,   604,    -1,   604,    -1,   605,    -1,   143,   740,    -1,
     312,   317,    -1,   317,    -1,   449,   802,   627,    -1,   353,
     273,   802,   627,    -1,   137,   508,   987,   509,   611,    -1,
     180,   988,    -1,   367,  1048,   612,   615,   619,    -1,   182,
      -1,   312,   182,    -1,   255,   183,    -1,   255,   245,    -1,
     286,  1048,   607,    -1,   607,   249,   608,    -1,   607,   209,
     608,    -1,    -1,   181,    -1,   154,    -1,   252,    -1,   417,
      -1,   147,    -1,    99,    -1,   153,  1050,   610,    -1,   610,
      -1,   137,   508,   987,   509,   698,    -1,   449,   508,   613,
     509,   802,   627,   698,    -1,   449,   628,   698,    -1,   353,
     273,   508,   613,   509,   802,   627,   698,    -1,   353,   273,
     628,   698,    -1,   208,   779,   508,   616,   509,   802,   627,
     618,   698,    -1,   225,   273,   508,   613,   509,   367,  1048,
     612,   615,   619,   698,    -1,   310,   253,    -1,    -1,   508,
     613,   509,    -1,    -1,   614,    -1,   613,   511,   614,    -1,
    1178,    -1,   296,   229,    -1,   296,   341,    -1,   296,   406,
      -1,    -1,   617,    -1,   616,   511,   617,    -1,   781,   474,
     812,    -1,   781,   474,   328,   508,   812,   509,    -1,   471,
     508,   987,   509,    -1,    -1,   620,    -1,   621,    -1,   620,
     621,    -1,   621,   620,    -1,    -1,   326,   454,   622,    -1,
     326,   185,   622,    -1,   310,    94,    -1,   378,    -1,   128,
      -1,   401,   317,    -1,   401,   180,    -1,   254,   508,  1047,
     509,    -1,    -1,   474,   568,    -1,   474,   325,    -1,   475,
     325,    -1,    -1,   326,   148,   197,    -1,   326,   148,   185,
     386,    -1,   326,   148,   350,   386,    -1,    -1,   426,  1050,
      -1,    -1,   456,   251,   426,  1050,    -1,    -1,   456,   251,
    1054,    -1,  1048,   612,   624,   625,   626,    -1,   474,   173,
      -1,   474,   310,   173,    -1,    -1,   160,   633,   297,   468,
     632,   108,   907,   630,    -1,  1048,   612,   569,   626,    -1,
     452,    -1,    -1,   368,   297,   468,  1048,   630,    -1,   160,
     593,   395,  1048,   637,    -1,   101,   395,  1048,   638,    -1,
     101,   395,   243,   212,  1048,   638,    -1,   638,    -1,    -1,
     639,    -1,   638,   639,    -1,   126,   641,    -1,   172,    -1,
     310,   172,    -1,   250,   640,   641,    -1,   298,   641,    -1,
     300,   641,    -1,   310,   298,    -1,   310,   300,    -1,   338,
     125,   740,    -1,   412,   520,   641,    -1,   377,    -1,   377,
     520,   641,    -1,   125,    -1,    -1,  1197,    -1,   500,  1197,
      -1,  1060,    -1,   641,    -1,   642,   511,   641,    -1,   160,
     787,   644,   650,   275,   551,    -1,   160,   787,   644,   650,
     275,   551,   237,   645,   646,   648,    -1,   442,    -1,    -1,
    1050,    -1,  1050,   741,    -1,   256,   645,    -1,    -1,   460,
     645,    -1,   310,   460,    -1,   647,    -1,    -1,   197,   650,
     275,   551,   565,    -1,   197,   650,   275,   243,   212,   551,
     565,    -1,   356,    -1,    -1,   160,   426,  1050,   652,   293,
    1198,    -1,   339,  1050,    -1,    -1,   197,   426,  1050,    -1,
     197,   426,   243,   212,  1050,    -1,   160,   214,  1050,   520,
     655,    -1,   160,   214,   243,   312,   212,  1050,   520,   655,
      -1,   655,   656,    -1,    -1,   389,  1050,    -1,   467,   551,
      -1,   228,   551,    -1,   101,   214,  1050,   454,   658,    -1,
     658,   659,    -1,    -1,   434,   551,    -1,   101,   214,  1050,
     535,    98,  1056,   714,    -1,   101,   214,  1050,   535,   131,
     508,   963,   108,   963,   509,    -1,   101,   214,  1050,   535,
     144,   740,    -1,   101,   214,  1050,   535,   157,   740,    -1,
     101,   214,  1050,   535,   195,   740,    -1,   101,   214,  1050,
     535,   230,   765,    -1,   101,   214,  1050,   535,   650,   275,
    1050,    -1,   101,   214,  1050,   535,   328,   812,   811,    -1,
     101,   214,  1050,   535,   328,   139,   740,   456,  1052,    -1,
     101,   214,  1050,   535,   328,   218,   740,   456,  1052,    -1,
     101,   214,  1050,   535,   389,  1050,    -1,   101,   214,  1050,
     535,   206,   438,  1050,    -1,   101,   214,  1050,   535,   424,
     740,    -1,   101,   214,  1050,   535,   430,   391,   340,   740,
      -1,   101,   214,  1050,   535,   430,   391,   189,   740,    -1,
     101,   214,  1050,   535,   430,   391,   428,   740,    -1,   101,
     214,  1050,   535,   430,   391,   151,   740,    -1,   101,   214,
    1050,   535,   395,   740,    -1,   101,   214,  1050,   535,   468,
     740,    -1,   101,   214,  1050,   535,   297,   468,   740,    -1,
     101,   214,  1050,   535,   225,   424,   740,    -1,   101,   214,
    1050,   535,   225,   173,   477,  1050,    -1,   101,   214,  1050,
     535,   398,  1050,    -1,   101,   214,  1050,   535,   443,   740,
      -1,   160,   225,   173,   477,  1050,   664,   667,    -1,   237,
     645,    -1,   310,   237,    -1,   460,   645,    -1,   310,   460,
      -1,   662,    -1,   663,   662,    -1,   663,    -1,    -1,   197,
     225,   173,   477,  1050,   565,    -1,   197,   225,   173,   477,
     243,   212,  1050,   565,    -1,   101,   225,   173,   477,  1050,
     664,   669,    -1,   101,   225,   173,   477,  1050,   663,    -1,
     330,   508,   668,   509,    -1,    -1,   672,    -1,   668,   511,
     672,    -1,   330,   508,   670,   509,    -1,   671,    -1,   670,
     511,   671,    -1,   672,    -1,   401,   672,    -1,    95,   672,
      -1,   197,   673,    -1,   673,   674,    -1,  1180,    -1,  1198,
      -1,   160,   398,  1050,   676,   678,   225,   173,   477,  1050,
     667,    -1,   443,  1198,    -1,    -1,   467,  1198,    -1,   467,
     317,    -1,   677,    -1,    -1,   197,   398,  1050,   565,    -1,
     197,   398,   243,   212,  1050,   565,    -1,   101,   398,  1050,
     677,   669,    -1,   101,   398,  1050,   677,    -1,   101,   398,
    1050,   669,    -1,   160,   225,   424,  1048,   508,   594,   509,
     398,  1050,   667,    -1,   160,   225,   424,   243,   312,   212,
    1048,   508,   594,   509,   398,  1050,   667,    -1,   101,   225,
     424,   954,   562,    -1,   101,   225,   424,   243,   212,   954,
     562,    -1,   160,   455,   295,   223,   684,   398,  1050,   667,
      -1,   170,    -1,   455,    -1,  1059,    -1,   197,   455,   295,
     223,   684,   398,  1050,    -1,   197,   455,   295,   243,   212,
     223,   684,   398,  1050,    -1,   101,   455,   295,   223,   684,
     398,  1050,   669,    -1,   160,   438,  1050,   688,   689,   326,
    1048,   691,   694,   211,   357,  1056,   508,   695,   509,    -1,
     160,   153,   438,  1050,    97,   689,   326,  1048,   697,   698,
     223,   198,   385,   694,   211,   357,  1056,   508,   695,   509,
      -1,   117,    -1,    97,    -1,   262,   322,    -1,   690,    -1,
     689,   331,   690,    -1,   261,    -1,   185,    -1,   454,    -1,
     454,   322,   613,    -1,   441,    -1,   223,   692,   693,    -1,
      -1,   198,    -1,    -1,   385,    -1,   413,    -1,   470,   508,
     987,   509,    -1,    -1,   696,    -1,   695,   511,   696,    -1,
      -1,  1058,    -1,  1197,    -1,  1198,    -1,  1180,    -1,   228,
    1048,    -1,    -1,    -1,   698,   699,    -1,   312,   182,    -1,
     182,    -1,   255,   245,    -1,   255,   183,    -1,   312,   458,
      -1,   310,   253,    -1,   197,   438,  1050,   326,   740,   565,
      -1,   197,   438,   243,   212,  1050,   326,   740,   565,    -1,
     160,   206,   438,  1050,   326,  1180,   211,   357,  1056,   508,
     509,    -1,   160,   206,   438,  1050,   326,  1180,   470,   702,
     211,   357,  1056,   508,   509,    -1,   703,    -1,   702,   105,
     703,    -1,  1178,   248,   508,   704,   509,    -1,    82,    -1,
     704,   511,    82,    -1,   101,   206,   438,  1050,   706,    -1,
     200,    -1,   200,   375,    -1,   200,   102,    -1,   190,    -1,
     160,   110,  1050,   137,   508,   987,   509,   698,    -1,   197,
     110,  1050,   565,    -1,   160,    98,  1056,   714,   710,    -1,
     160,    98,  1056,   715,    -1,   160,   328,   812,   710,    -1,
     160,   443,   740,   710,    -1,   160,   443,   740,    -1,   160,
     443,   740,   108,   508,   960,   509,    -1,   160,   443,   740,
     108,   204,   508,   718,   509,    -1,   160,   443,   740,   108,
     360,   710,    -1,   160,   430,   391,   340,   740,   710,    -1,
     160,   430,   391,   189,   740,   710,    -1,   160,   430,   391,
     428,   740,   710,    -1,   160,   430,   391,   151,   740,   710,
      -1,   160,   144,   740,   710,    -1,   160,   144,   740,   228,
     740,    -1,   508,   711,   509,    -1,   712,    -1,   711,   511,
     712,    -1,  1180,   495,   713,    -1,  1180,    -1,   796,    -1,
    1064,    -1,  1014,    -1,   641,    -1,  1198,    -1,   508,  1019,
     509,    -1,   508,   501,   509,    -1,   508,   716,   509,    -1,
     717,    -1,   716,   511,   717,    -1,  1200,   495,   713,    -1,
     719,    -1,    -1,  1198,    -1,   719,   511,  1198,    -1,   101,
     443,   740,    95,   461,   721,  1198,    -1,   101,   443,   740,
      95,   461,   721,  1198,   117,  1198,    -1,   101,   443,   740,
      95,   461,   721,  1198,    97,  1198,    -1,   243,   312,   212,
      -1,    -1,   160,   328,   139,   740,   725,   223,   443,   963,
     456,  1052,   726,   108,   723,    -1,   724,    -1,   723,   511,
     724,    -1,   328,  1058,   812,   727,   728,    -1,   328,  1058,
     812,   811,   727,   728,    -1,   230,  1058,  1056,   788,    -1,
     230,  1058,   508,  1019,   509,  1056,   788,    -1,   417,   963,
      -1,   180,    -1,    -1,   218,   740,    -1,    -1,   223,   391,
      -1,   223,   332,   125,   740,    -1,    -1,   364,    -1,    -1,
     160,   328,   218,   740,   456,  1052,    -1,   101,   328,   218,
     740,   456,  1052,    95,   723,    -1,   101,   328,   218,   740,
     456,  1052,   197,   731,    -1,   732,    -1,   731,   511,   732,
      -1,   328,  1058,   508,  1019,   509,    -1,   230,  1058,   508,
    1019,   509,    -1,   197,   328,   139,   740,   456,  1052,   565,
      -1,   197,   328,   139,   243,   212,   740,   456,  1052,   565,
      -1,   197,   328,   218,   740,   456,  1052,   565,    -1,   197,
     328,   218,   243,   212,   740,   456,  1052,   565,    -1,   197,
     338,   125,  1049,   565,    -1,   363,   338,   125,  1049,   434,
    1050,    -1,   197,   738,   243,   212,   739,   565,    -1,   197,
     738,   739,   565,    -1,   197,   251,   150,   739,   565,    -1,
     197,   251,   150,   243,   212,   739,   565,    -1,   424,    -1,
     395,    -1,   468,    -1,   297,   468,    -1,   251,    -1,   225,
     424,    -1,   206,   438,    -1,   443,    -1,   195,    -1,   144,
      -1,   157,    -1,   389,    -1,   214,    -1,   430,   391,   340,
      -1,   430,   391,   189,    -1,   430,   391,   428,    -1,   430,
     391,   151,    -1,   740,    -1,   739,   511,   740,    -1,  1178,
      -1,  1178,   741,    -1,   510,  1053,    -1,   741,   510,  1053,
      -1,   441,   918,   955,   743,   565,    -1,   156,   242,    -1,
     377,   242,    -1,    -1,   146,   326,   745,   740,   269,   746,
      -1,   146,   326,    98,  1056,   714,   269,   746,    -1,   146,
     326,   230,  1056,   788,   269,   746,    -1,   146,   326,   328,
     812,   811,   269,   746,    -1,   146,   326,   153,  1050,   326,
     740,   269,   746,    -1,   146,   326,   387,  1050,   326,   740,
     269,   746,    -1,   146,   326,   387,  1050,   269,   746,    -1,
     146,   326,   438,  1050,   326,   740,   269,   746,    -1,   146,
     326,   328,   139,   740,   456,  1052,   269,   746,    -1,   146,
     326,   328,   218,   740,   456,  1052,   269,   746,    -1,   146,
     326,   276,   321,   641,   269,   746,    -1,   146,   326,   131,
     508,   963,   108,   963,   509,   269,   746,    -1,   146,   326,
     650,   275,   740,   269,   746,    -1,   145,    -1,   174,    -1,
     389,    -1,   251,    -1,   395,    -1,   424,    -1,   195,    -1,
     443,    -1,   468,    -1,   297,   468,    -1,   144,    -1,   157,
      -1,   426,    -1,   214,    -1,   383,    -1,   225,   424,    -1,
     398,    -1,   225,   173,   477,    -1,   206,   438,    -1,   430,
     391,   151,    -1,   430,   391,   189,    -1,   430,   391,   340,
      -1,   430,   391,   428,    -1,  1198,    -1,   317,    -1,   393,
     274,   748,   326,   749,   740,   269,   750,    -1,   393,   274,
     748,   326,    98,  1056,   714,   269,   750,    -1,   393,   274,
     748,   326,   230,  1056,   788,   269,   750,    -1,   393,   274,
     748,   326,   276,   321,   641,   269,   750,    -1,   393,   274,
     748,   326,   650,   275,   740,   269,   750,    -1,   223,   551,
      -1,    -1,   145,    -1,   174,    -1,   206,   438,    -1,   225,
     424,    -1,   389,    -1,   395,    -1,   424,    -1,   195,    -1,
     383,    -1,   426,    -1,   443,    -1,   468,    -1,   297,   468,
      -1,  1198,    -1,   317,    -1,   219,   752,    -1,   303,   752,
      -1,   219,   752,  1212,    -1,   219,   226,   904,  1213,    -1,
     219,   226,   753,   904,  1213,    -1,   219,   116,   904,  1213,
      -1,   219,   116,   753,   904,  1213,    -1,   303,   226,   904,
      -1,   303,   226,   753,   904,    -1,   303,   116,   904,    -1,
     303,   116,   753,   904,    -1,   904,    -1,   753,   904,    -1,
     309,   754,   904,    -1,   354,   754,   904,    -1,   220,   754,
     904,    -1,   277,   754,   904,    -1,    92,  1060,   754,   904,
      -1,   370,  1060,   754,   904,    -1,  1060,   754,   904,    -1,
      99,   754,   904,    -1,   226,  1060,   754,   904,    -1,   226,
      99,   754,   904,    -1,   116,  1060,   754,   904,    -1,   116,
      99,   754,   904,    -1,   228,    -1,   248,    -1,   753,    -1,
      -1,   233,   757,   326,   760,   434,   761,   763,    -1,   381,
     757,   326,   760,   228,   761,   565,    -1,   381,   233,   329,
     223,   757,   326,   760,   228,   761,   565,    -1,   758,    -1,
      99,    -1,    99,   355,    -1,    99,   508,   613,   509,    -1,
      99,   355,   508,   613,   509,    -1,   759,    -1,   758,   511,
     759,    -1,   394,   612,    -1,   367,   612,    -1,   160,   612,
      -1,  1178,   612,    -1,  1047,    -1,   424,  1047,    -1,   395,
    1047,    -1,   225,   173,   477,  1049,    -1,   225,   398,  1049,
      -1,   230,   764,    -1,   174,  1049,    -1,   195,   739,    -1,
     275,  1049,    -1,   276,   321,   642,    -1,   389,  1049,    -1,
     426,  1049,    -1,   443,   739,    -1,    99,   425,   248,   389,
    1049,    -1,    99,   396,   248,   389,  1049,    -1,    99,   231,
     248,   389,  1049,    -1,   762,    -1,   761,   511,   762,    -1,
    1059,    -1,   236,  1059,    -1,   474,   233,   329,    -1,    -1,
     765,    -1,   764,   511,   765,    -1,  1056,   788,    -1,   233,
     758,   434,  1049,   768,   769,    -1,   381,   758,   228,  1049,
     769,   565,    -1,   381,    96,   329,   223,   758,   228,  1049,
     769,   565,    -1,   474,    96,   329,    -1,    -1,   234,   125,
    1059,    -1,    -1,   101,   180,   355,   771,   773,    -1,   771,
     772,    -1,    -1,   248,   389,  1049,    -1,   223,   383,  1049,
      -1,   223,   455,  1049,    -1,   233,   757,   326,   774,   434,
     761,   763,    -1,   381,   757,   326,   774,   228,   761,   565,
      -1,   381,   233,   329,   223,   757,   326,   774,   228,   761,
     565,    -1,   425,    -1,   231,    -1,   396,    -1,   444,    -1,
     160,   776,   251,   777,   778,   326,  1048,   779,   508,   780,
     509,   569,   626,   958,    -1,   449,    -1,    -1,   150,    -1,
      -1,  1054,    -1,    -1,   456,  1052,    -1,    -1,   781,    -1,
     780,   511,   781,    -1,  1178,   782,   783,   784,   785,    -1,
     990,   782,   783,   784,   785,    -1,   508,   987,   509,   782,
     783,   784,   785,    -1,   143,   740,    -1,    -1,   740,    -1,
     456,   740,    -1,    -1,   109,    -1,   188,    -1,    -1,   492,
      -1,   493,    -1,    -1,   160,   787,   230,  1056,   790,   380,
     795,   798,   802,    -1,   160,   787,   230,  1056,   790,   380,
     424,   508,   804,   509,   798,   802,    -1,   160,   787,   230,
    1056,   790,   798,   802,    -1,   331,   374,    -1,    -1,   508,
     789,   509,    -1,   508,   509,    -1,   792,    -1,   789,   511,
     792,    -1,   508,   791,   509,    -1,   508,   509,    -1,   797,
      -1,   791,   511,   797,    -1,   793,   794,   796,    -1,   794,
     793,   796,    -1,   794,   796,    -1,   793,   796,    -1,   796,
      -1,   248,    -1,   333,    -1,   258,    -1,   248,   333,    -1,
     464,    -1,  1179,    -1,   796,    -1,   963,    -1,  1179,   741,
     503,   443,    -1,   402,  1179,   741,   503,   443,    -1,   792,
      -1,   792,   180,   987,    -1,   792,   495,   987,    -1,   800,
      -1,   798,   800,    -1,   127,   326,   317,   259,    -1,   380,
     317,   326,   317,   259,    -1,   418,    -1,   246,    -1,   410,
      -1,   469,    -1,   215,   393,   184,    -1,   215,   393,   268,
      -1,   393,   184,    -1,   393,   268,    -1,   282,    -1,   312,
     282,    -1,   159,   641,    -1,   386,   641,    -1,   554,    -1,
     108,   801,    -1,   275,   551,    -1,   473,    -1,   799,    -1,
    1198,    -1,  1198,   511,  1198,    -1,   474,   710,    -1,    -1,
     794,   796,    -1,   803,    -1,   804,   511,   803,    -1,   101,
     230,   765,   806,   807,    -1,   799,    -1,   806,   799,    -1,
     378,    -1,    -1,   197,   230,  1056,   788,   565,    -1,   197,
     230,   243,   212,  1056,   788,   565,    -1,   197,    98,  1056,
     714,   565,    -1,   197,    98,   243,   212,  1056,   714,   565,
      -1,   197,   328,   812,   811,   565,    -1,   197,   328,   243,
     212,   812,   811,   565,    -1,   508,   963,   509,    -1,   508,
     963,   511,   963,   509,    -1,   508,   311,   511,   963,   509,
      -1,   508,   963,   511,   311,   509,    -1,  1011,    -1,  1178,
     510,   812,    -1,   193,   814,    -1,   815,    -1,   814,   815,
      -1,  1198,    -1,   275,   551,    -1,   160,   131,   508,   963,
     108,   963,   509,   474,   230,   765,   817,    -1,   160,   131,
     508,   963,   108,   963,   509,   475,   230,   817,    -1,   160,
     131,   508,   963,   108,   963,   509,   474,   258,   817,    -1,
     108,   247,    -1,   108,   111,    -1,    -1,   197,   131,   819,
     508,   963,   108,   963,   509,   565,    -1,   243,   212,    -1,
      -1,   369,   821,  1048,   822,    -1,   369,   423,  1050,   822,
      -1,   369,   174,  1050,   822,    -1,   251,    -1,   424,    -1,
     224,    -1,    -1,   101,    98,  1056,   714,   372,   434,  1050,
      -1,   101,   144,   740,   372,   434,  1050,    -1,   101,   157,
     740,   372,   434,  1050,    -1,   101,   174,  1051,   372,   434,
    1051,    -1,   101,   195,   740,   372,   434,  1050,    -1,   101,
     195,   740,   372,   153,  1050,   434,  1050,    -1,   101,   225,
     173,   477,  1050,   372,   434,  1050,    -1,   101,   230,   765,
     372,   434,  1050,    -1,   101,   236,  1059,   372,   434,  1059,
      -1,   101,   650,   275,  1050,   372,   434,  1050,    -1,   101,
     328,   139,   740,   456,  1052,   372,   434,  1050,    -1,   101,
     328,   218,   740,   456,  1052,   372,   434,  1050,    -1,   101,
     389,  1050,   372,   434,  1050,    -1,   101,   398,  1050,   372,
     434,  1050,    -1,   101,   424,   954,   372,   434,  1050,    -1,
     101,   424,   243,   212,   954,   372,   434,  1050,    -1,   101,
     395,  1048,   372,   434,  1050,    -1,   101,   395,   243,   212,
    1048,   372,   434,  1050,    -1,   101,   468,  1048,   372,   434,
    1050,    -1,   101,   468,   243,   212,  1048,   372,   434,  1050,
      -1,   101,   297,   468,  1048,   372,   434,  1050,    -1,   101,
     297,   468,   243,   212,  1048,   372,   434,  1050,    -1,   101,
     251,  1048,   372,   434,  1050,    -1,   101,   251,   243,   212,
    1048,   372,   434,  1050,    -1,   101,   225,   424,   954,   372,
     434,  1050,    -1,   101,   225,   424,   243,   212,   954,   372,
     434,  1050,    -1,   101,   424,   954,   372,   824,  1050,   434,
    1050,    -1,   101,   424,   243,   212,   954,   372,   824,  1050,
     434,  1050,    -1,   101,   297,   468,  1048,   372,   824,  1050,
     434,  1050,    -1,   101,   297,   468,   243,   212,  1048,   372,
     824,  1050,   434,  1050,    -1,   101,   424,   954,   372,   153,
    1050,   434,  1050,    -1,   101,   225,   424,   954,   372,   824,
    1050,   434,  1050,    -1,   101,   225,   424,   243,   212,   954,
     372,   824,  1050,   434,  1050,    -1,   101,   387,  1050,   326,
    1048,   372,   434,  1050,    -1,   101,   438,  1050,   326,  1048,
     372,   434,  1050,    -1,   101,   206,   438,  1050,   372,   434,
    1050,    -1,   101,   383,  1059,   372,   434,  1059,    -1,   101,
     455,  1059,   372,   434,  1059,    -1,   101,   426,  1050,   372,
     434,  1050,    -1,   101,   426,  1050,   401,   568,    -1,   101,
     426,  1050,   376,   568,    -1,   101,   430,   391,   340,   740,
     372,   434,  1050,    -1,   101,   430,   391,   189,   740,   372,
     434,  1050,    -1,   101,   430,   391,   428,   740,   372,   434,
    1050,    -1,   101,   430,   391,   151,   740,   372,   434,  1050,
      -1,   101,   443,   740,   372,   434,  1050,    -1,   101,   443,
     740,   372,   114,  1050,   434,  1050,   565,    -1,   145,    -1,
      -1,   401,   173,    -1,    -1,   101,    98,  1056,   714,   401,
     389,  1050,    -1,   101,   144,   740,   401,   389,  1050,    -1,
     101,   157,   740,   401,   389,  1050,    -1,   101,   195,   740,
     401,   389,  1050,    -1,   101,   214,   740,   401,   389,  1050,
      -1,   101,   230,   765,   401,   389,  1050,    -1,   101,   328,
     812,   811,   401,   389,  1050,    -1,   101,   328,   139,   740,
     456,  1052,   401,   389,  1050,    -1,   101,   328,   218,   740,
     456,  1052,   401,   389,  1050,    -1,   101,   424,   954,   401,
     389,  1050,    -1,   101,   424,   243,   212,   954,   401,   389,
    1050,    -1,   101,   430,   391,   340,   740,   401,   389,  1050,
      -1,   101,   430,   391,   189,   740,   401,   389,  1050,    -1,
     101,   430,   391,   428,   740,   401,   389,  1050,    -1,   101,
     430,   391,   151,   740,   401,   389,  1050,    -1,   101,   395,
    1048,   401,   389,  1050,    -1,   101,   395,   243,   212,  1048,
     401,   389,  1050,    -1,   101,   468,  1048,   401,   389,  1050,
      -1,   101,   468,   243,   212,  1048,   401,   389,  1050,    -1,
     101,   297,   468,  1048,   401,   389,  1050,    -1,   101,   297,
     468,   243,   212,  1048,   401,   389,  1050,    -1,   101,   225,
     424,   954,   401,   389,  1050,    -1,   101,   225,   424,   243,
     212,   954,   401,   389,  1050,    -1,   101,   443,   740,   401,
     389,  1050,    -1,   101,    98,  1056,   714,   339,   434,  1059,
      -1,   101,   144,   740,   339,   434,  1059,    -1,   101,   157,
     740,   339,   434,  1059,    -1,   101,   174,  1051,   339,   434,
    1059,    -1,   101,   195,   740,   339,   434,  1059,    -1,   101,
     230,   765,   339,   434,  1059,    -1,   101,   650,   275,  1050,
     339,   434,  1059,    -1,   101,   276,   321,   641,   339,   434,
    1059,    -1,   101,   328,   812,   811,   339,   434,  1059,    -1,
     101,   328,   139,   740,   456,  1052,   339,   434,  1059,    -1,
     101,   328,   218,   740,   456,  1052,   339,   434,  1059,    -1,
     101,   389,  1050,   339,   434,  1059,    -1,   101,   443,   740,
     339,   434,  1059,    -1,   101,   426,  1050,   339,   434,  1059,
      -1,   101,   430,   391,   189,   740,   339,   434,  1059,    -1,
     101,   430,   391,   151,   740,   339,   434,  1059,    -1,   101,
     225,   173,   477,  1050,   339,   434,  1059,    -1,   101,   398,
    1050,   339,   434,  1059,    -1,   101,   206,   438,  1050,   339,
     434,  1059,    -1,   160,   787,   387,  1050,   108,   326,   833,
     434,  1048,   958,   193,   834,   829,    -1,   313,    -1,   831,
      -1,   508,   830,   509,    -1,   830,   512,   832,    -1,   832,
      -1,   907,    -1,   885,    -1,   896,    -1,   890,    -1,   836,
      -1,   831,    -1,    -1,   394,    -1,   454,    -1,   185,    -1,
     261,    -1,   262,    -1,   100,    -1,    -1,   197,   387,  1050,
     326,   740,   565,    -1,   197,   387,   243,   212,  1050,   326,
     740,   565,    -1,   314,  1178,   837,    -1,   511,  1198,    -1,
      -1,   288,  1178,    -1,   451,  1178,    -1,   451,   501,    -1,
      91,   841,    -1,   118,   841,   844,    -1,   412,   436,   844,
      -1,   148,   841,    -1,   203,   841,    -1,   384,   841,    -1,
     388,  1178,    -1,   371,   388,  1178,    -1,   371,  1178,    -1,
     384,   841,   434,   388,  1178,    -1,   384,   841,   434,  1178,
      -1,   351,   436,  1198,    -1,   148,   352,  1198,    -1,   384,
     352,  1198,    -1,   476,    -1,   436,    -1,    -1,   271,   285,
     547,    -1,   361,   327,    -1,   361,   478,    -1,   182,    -1,
     312,   182,    -1,   842,    -1,   843,   511,   842,    -1,   843,
     842,    -1,   843,    -1,    -1,   160,   593,   468,  1048,   612,
     569,   108,   907,   846,    -1,   160,   331,   374,   593,   468,
    1048,   612,   569,   108,   907,   846,    -1,   160,   593,   365,
     468,  1048,   508,   613,   509,   569,   108,   907,    -1,   160,
     331,   374,   593,   365,   468,  1048,   508,   613,   509,   569,
     108,   907,    -1,   474,   137,   329,    -1,   474,   129,   137,
     329,    -1,   474,   290,   137,   329,    -1,    -1,   289,  1055,
      -1,   160,   174,  1051,   520,   849,    -1,   849,   850,    -1,
      -1,   426,   851,  1050,    -1,   426,   851,   180,    -1,   293,
     851,  1198,    -1,   293,   851,   180,    -1,   428,   851,  1050,
      -1,   428,   851,   180,    -1,   201,   851,  1198,    -1,   201,
     851,  1058,    -1,   201,   851,   180,    -1,   279,   851,  1198,
      -1,   279,   851,   180,    -1,   280,   851,  1198,    -1,   280,
     851,   180,    -1,   152,   287,   851,  1060,    -1,   339,   851,
    1050,    -1,   339,   851,   180,    -1,   495,    -1,    -1,   101,
     174,  1051,   520,   854,    -1,   101,   174,  1051,   401,   426,
    1050,    -1,   101,   174,  1051,   553,    -1,   854,   855,    -1,
      -1,   152,   287,   851,  1060,    -1,   197,   174,  1051,    -1,
     197,   174,   243,   212,  1051,    -1,   160,   195,   740,   859,
     963,   602,    -1,   101,   195,   740,   564,    -1,   101,   195,
     740,   197,   312,   317,    -1,   101,   195,   740,   401,   312,
     317,    -1,   101,   195,   740,    95,   609,    -1,   101,   195,
     740,   197,   153,  1050,   565,    -1,   101,   195,   740,   197,
     153,   243,   212,  1050,   565,    -1,   101,   195,   740,   459,
     153,  1050,    -1,   108,    -1,    -1,   101,   430,   391,   189,
     740,   710,    -1,   101,   430,   391,   151,   740,    95,   295,
     223,  1049,   474,   739,    -1,   101,   430,   391,   151,   740,
     101,   295,   223,  1049,   474,   739,    -1,   101,   430,   391,
     151,   740,   101,   295,   374,   740,   474,   740,    -1,   101,
     430,   391,   151,   740,   101,   295,   223,  1049,   374,   740,
     474,   740,    -1,   101,   430,   391,   151,   740,   197,   295,
     223,  1049,    -1,   101,   430,   391,   151,   740,   197,   295,
     243,   212,   223,  1049,    -1,   160,   725,   157,   740,   223,
    1198,   434,  1198,   228,   740,    -1,   141,   870,  1048,   864,
      -1,   141,   870,    -1,   141,   870,  1054,   326,  1048,    -1,
     456,  1054,    -1,    -1,   457,   871,   872,   870,    -1,   457,
     871,   872,   870,  1048,    -1,   457,   871,   872,   870,   868,
      -1,   457,   508,   866,   509,    -1,   457,   508,   866,   509,
    1048,   873,    -1,   867,    -1,   866,   511,   867,    -1,   869,
      -1,   466,    -1,   227,    -1,   229,    -1,   869,   870,    -1,
     869,   870,  1048,   873,    -1,   104,    -1,   103,    -1,   466,
      -1,    -1,   229,    -1,    -1,   227,    -1,    -1,   508,  1049,
     509,    -1,    -1,   213,   875,    -1,   213,   869,   870,   875,
      -1,   213,   466,   875,    -1,   213,   508,   876,   509,   875,
      -1,   907,    -1,   885,    -1,   896,    -1,   890,    -1,   903,
      -1,  1067,    -1,   631,    -1,   634,    -1,   883,    -1,   877,
      -1,   876,   511,   877,    -1,   878,   879,    -1,  1178,    -1,
     869,    -1,   466,    -1,   548,    -1,   641,    -1,    -1,   351,
    1086,   881,   108,   882,    -1,   351,  1086,   228,  1131,    -1,
     508,  1019,   509,    -1,    -1,   907,    -1,   885,    -1,   896,
      -1,   890,    -1,   211,  1086,   884,  1210,    -1,   160,   593,
     424,   629,   108,   211,  1050,   884,   630,    -1,   508,  1016,
     509,    -1,    -1,   915,   261,   267,  1048,   886,   889,    -1,
     907,    -1,   508,   887,   509,   907,    -1,   180,   462,    -1,
     888,    -1,   887,   511,   888,    -1,  1178,  1040,    -1,   379,
    1045,  1211,    -1,    -1,   915,   185,   228,   956,   891,   959,
     889,    -1,   456,   945,    -1,    -1,   294,   918,   955,   893,
     895,    -1,   248,   894,   301,    -1,    -1,    93,   403,    -1,
     385,   403,    -1,   385,   210,    -1,   403,   454,   210,    -1,
     403,    -1,   403,   385,   210,    -1,   210,    -1,    93,   210,
      -1,   316,    -1,    -1,   915,   454,   956,   401,   897,   944,
     959,   889,    -1,   898,    -1,   897,   511,   898,    -1,   899,
      -1,   900,    -1,   901,   495,  1042,    -1,   508,   902,   509,
     495,  1044,    -1,  1178,  1040,    -1,   901,    -1,   902,   511,
     901,    -1,   179,   904,   905,   171,   906,   223,   907,    -1,
    1050,    -1,  1191,    -1,    -1,   905,   310,   390,    -1,   905,
     390,    -1,   905,   121,    -1,   905,   260,    -1,    -1,   474,
     240,    -1,   475,   240,    -1,   909,    -1,   908,    -1,   508,
     909,   509,    -1,   508,   908,   509,    -1,   911,    -1,   910,
     922,    -1,   910,   921,   937,   926,    -1,   910,   921,   925,
     938,    -1,   912,   910,    -1,   912,   910,   922,    -1,   912,
     910,   921,   937,   926,    -1,   912,   910,   921,   925,   938,
      -1,   911,    -1,   908,    -1,   394,   920,  1045,   916,   944,
     958,   935,   936,   999,    -1,   943,    -1,   424,   954,    -1,
     910,   448,   919,   910,    -1,   910,   265,   919,   910,    -1,
     910,   207,   919,   910,    -1,   474,   913,    -1,   474,   365,
     913,    -1,   914,    -1,   913,   511,   914,    -1,  1050,   873,
     108,   508,   882,   509,    -1,   912,    -1,    -1,   267,   917,
      -1,  1211,    -1,    -1,   429,   918,  1048,    -1,   427,   918,
    1048,    -1,   290,   429,   918,  1048,    -1,   290,   427,   918,
    1048,    -1,   232,   429,   918,  1048,    -1,   232,   427,   918,
    1048,    -1,   452,   918,  1048,    -1,   424,  1048,    -1,  1048,
      -1,   424,    -1,    -1,    99,    -1,   192,    -1,    -1,   192,
      -1,   192,   326,   508,  1016,   509,    -1,    99,    -1,    -1,
     922,    -1,    -1,   332,   125,   923,    -1,   924,    -1,   923,
     511,   924,    -1,   987,   456,  1014,   785,    -1,   987,   784,
     785,    -1,   927,   928,    -1,   928,   927,    -1,   927,    -1,
     928,    -1,   925,    -1,    -1,   287,   929,    -1,   287,   929,
     511,   930,    -1,   219,   934,   931,   933,   327,    -1,   324,
     930,    -1,   324,   932,   933,    -1,   987,    -1,    99,    -1,
     987,    -1,  1060,    -1,   508,   987,   509,    -1,    -1,   989,
      -1,   385,    -1,   386,    -1,   220,    -1,   309,    -1,   236,
     125,  1016,    -1,    -1,   238,   987,    -1,    -1,   939,    -1,
     223,   361,   327,    -1,   937,    -1,    -1,   940,    -1,   939,
     940,    -1,   941,   942,   895,    -1,   223,   454,    -1,   223,
     310,   273,   454,    -1,   223,   403,    -1,   223,   273,   403,
      -1,   322,  1047,    -1,    -1,   462,  1044,    -1,   943,   511,
    1044,    -1,   228,   945,    -1,    -1,   946,    -1,   945,   511,
     946,    -1,   954,   949,    -1,   957,   950,    -1,   278,   957,
     950,    -1,   908,   949,    -1,   278,   908,   949,    -1,   947,
      -1,   508,   947,   509,   948,    -1,   508,   947,   509,    -1,
     946,   161,   272,   946,    -1,   946,   951,   272,   946,   953,
      -1,   946,   272,   946,   953,    -1,   946,   307,   951,   272,
     946,    -1,   946,   307,   272,   946,    -1,   108,  1178,   508,
    1049,   509,    -1,   108,  1178,    -1,  1178,   508,  1049,   509,
      -1,  1178,    -1,   948,    -1,    -1,   948,    -1,   108,   508,
     961,   509,    -1,   108,  1178,   508,   961,   509,    -1,  1178,
     508,   961,   509,    -1,    -1,   229,   952,    -1,   284,   952,
      -1,   382,   952,    -1,   257,    -1,   334,    -1,    -1,   456,
     508,  1049,   509,    -1,   326,   987,    -1,  1048,    -1,  1048,
     501,    -1,   327,  1048,    -1,   327,   508,  1048,   509,    -1,
     954,    -1,   955,   511,   954,    -1,   954,    -1,   954,  1178,
      -1,   954,   108,  1178,    -1,   990,    -1,   471,   987,    -1,
      -1,   471,   987,    -1,   471,   163,   322,   904,    -1,    -1,
     961,    -1,    -1,   962,    -1,   961,   511,   962,    -1,  1178,
     963,   566,    -1,   965,   964,    -1,   402,   965,   964,    -1,
     965,   107,   506,  1058,   507,    -1,   402,   965,   107,   506,
    1058,   507,    -1,   965,   107,    -1,   402,   965,   107,    -1,
     964,   506,   507,    -1,   964,   506,  1209,   507,    -1,    -1,
     967,    -1,   969,    -1,   971,    -1,   975,    -1,   982,    -1,
     983,   985,    -1,   983,   508,  1058,   509,   985,    -1,   969,
      -1,   972,    -1,   976,    -1,   982,    -1,  1179,   968,    -1,
    1179,   741,   968,    -1,   508,  1016,   509,    -1,    -1,   263,
      -1,   264,    -1,   407,    -1,   120,    -1,   362,    -1,   221,
     970,    -1,   196,   349,    -1,   178,   968,    -1,   177,   968,
      -1,   320,   968,    -1,   123,    -1,   508,  1058,   509,    -1,
      -1,   973,    -1,   974,    -1,   973,    -1,   974,    -1,   122,
     980,   508,  1016,   509,    -1,   122,   980,    -1,   977,    -1,
     978,    -1,   977,    -1,   978,    -1,   979,   508,  1058,   509,
     981,    -1,   979,   981,    -1,   135,   980,    -1,   134,   980,
      -1,   463,    -1,   306,   135,   980,    -1,   306,   134,   980,
      -1,   308,   980,    -1,   465,    -1,    -1,   135,   401,  1178,
      -1,    -1,   433,   508,  1058,   509,   984,    -1,   433,   984,
      -1,   432,   508,  1058,   509,   984,    -1,   432,   984,    -1,
     266,    -1,   494,   491,    -1,   475,   432,   491,    -1,    -1,
     489,    -1,   302,    -1,   175,    -1,   241,    -1,   299,    -1,
     986,    -1,   489,   434,   302,    -1,   175,   434,   241,    -1,
     175,   434,   299,    -1,   175,   434,   986,    -1,   241,   434,
     299,    -1,   241,   434,   986,    -1,   299,   434,   986,    -1,
      -1,   392,    -1,   392,   508,  1058,   509,    -1,   989,    -1,
     987,    88,   963,    -1,   987,   143,   740,    -1,   987,   113,
     432,   491,   987,    -1,   499,   987,    -1,   500,   987,    -1,
     987,   499,   987,    -1,   987,   500,   987,    -1,   987,   501,
     987,    -1,   987,   502,   987,    -1,   987,   503,   987,    -1,
     987,   504,   987,    -1,   987,   496,   987,    -1,   987,   497,
     987,    -1,   987,   495,   987,    -1,   987,  1013,   987,    -1,
    1013,   987,    -1,   987,  1013,    -1,   987,   105,   987,    -1,
     987,   331,   987,    -1,   312,   987,    -1,   987,   286,   987,
      -1,   987,   286,   987,   205,   987,    -1,   987,   312,   286,
     987,    -1,   987,   312,   286,   987,   205,   987,    -1,   987,
     244,   987,    -1,   987,   244,   987,   205,   987,    -1,   987,
     312,   244,   987,    -1,   987,   312,   244,   987,   205,   987,
      -1,   987,   405,   434,   987,    -1,   987,   405,   434,   987,
     205,   987,    -1,   987,   312,   405,   434,   987,    -1,   987,
     312,   405,   434,   987,   205,   987,    -1,   987,   269,   317,
      -1,   987,   270,    -1,   987,   269,   312,   317,    -1,   987,
     315,    -1,  1009,   336,  1009,    -1,   987,   269,   440,    -1,
     987,   269,   312,   440,    -1,   987,   269,   217,    -1,   987,
     269,   312,   217,    -1,   987,   269,   450,    -1,   987,   269,
     312,   450,    -1,   987,   269,   192,   228,   987,    -1,   987,
     269,   312,   192,   228,   987,    -1,   987,   269,   322,   508,
    1019,   509,    -1,   987,   269,   312,   322,   508,  1019,   509,
      -1,   987,   119,  1041,   988,   105,   988,    -1,   987,   312,
     119,  1041,   988,   105,   988,    -1,   987,   119,   421,   988,
     105,   988,    -1,   987,   312,   119,   421,   988,   105,   988,
      -1,   987,   248,  1031,    -1,   987,   312,   248,  1031,    -1,
     987,  1015,  1010,   908,    -1,   987,  1015,  1010,   508,   987,
     509,    -1,   449,   908,    -1,   987,   269,   194,    -1,   987,
     269,   312,   194,    -1,   989,    -1,   988,    88,   963,    -1,
     499,   988,    -1,   500,   988,    -1,   988,   499,   988,    -1,
     988,   500,   988,    -1,   988,   501,   988,    -1,   988,   502,
     988,    -1,   988,   503,   988,    -1,   988,   504,   988,    -1,
     988,   496,   988,    -1,   988,   497,   988,    -1,   988,   495,
     988,    -1,   988,  1013,   988,    -1,  1013,   988,    -1,   988,
    1013,    -1,   988,   269,   192,   228,   988,    -1,   988,   269,
     312,   192,   228,   988,    -1,   988,   269,   322,   508,  1019,
     509,    -1,   988,   269,   312,   322,   508,  1019,   509,    -1,
     988,   269,   194,    -1,   988,   269,   312,   194,    -1,  1037,
      -1,  1057,    -1,  1195,  1040,    -1,   508,   987,   509,  1040,
      -1,  1032,    -1,   990,    -1,   908,    -1,   908,  1039,    -1,
     212,   908,    -1,   107,   908,    -1,   107,  1020,    -1,  1009,
      -1,  1056,   508,   509,  1002,    -1,  1056,   508,  1017,   509,
    1002,    -1,  1056,   508,   464,  1018,   509,  1002,    -1,  1056,
     508,  1017,   511,   464,  1018,   509,  1002,    -1,  1056,   508,
    1017,   922,   509,  1002,    -1,  1056,   508,    99,  1017,   921,
     509,  1002,    -1,  1056,   508,   192,  1017,   921,   509,  1002,
      -1,  1056,   508,   501,   509,  1002,    -1,   144,   223,   508,
     987,   509,    -1,   165,    -1,   168,    -1,   168,   508,  1058,
     509,    -1,   169,    -1,   169,   508,  1058,   509,    -1,   291,
      -1,   291,   508,  1058,   509,    -1,   292,    -1,   292,   508,
    1058,   509,    -1,   166,    -1,   170,    -1,   400,    -1,   455,
      -1,   164,    -1,   167,    -1,   131,   508,   987,   108,   963,
     509,    -1,   216,   508,  1022,   509,    -1,   337,   508,  1024,
     509,    -1,   347,   508,  1026,   509,    -1,   420,   508,  1027,
     509,    -1,   437,   508,   987,   108,   963,   509,    -1,   439,
     508,   124,  1030,   509,    -1,   439,   508,   281,  1030,   509,
      -1,   439,   508,   435,  1030,   509,    -1,   439,   508,  1030,
     509,    -1,   318,   508,   987,   511,   987,   509,    -1,   142,
     508,  1016,   509,    -1,   235,   508,  1016,   509,    -1,   283,
     508,  1016,   509,    -1,   481,   508,  1016,   509,    -1,   482,
     508,   304,  1180,   509,    -1,   482,   508,   304,  1180,   511,
     993,   509,    -1,   482,   508,   304,  1180,   511,  1016,   509,
      -1,   482,   508,   304,  1180,   511,   993,   511,  1016,   509,
      -1,   483,   508,   989,   998,   509,    -1,   484,   508,   994,
     509,    -1,   485,   508,   996,   987,   997,   509,    -1,   486,
     508,   304,  1180,   509,    -1,   486,   508,   304,  1180,   511,
     987,   509,    -1,   487,   508,   987,   511,   991,   992,   509,
      -1,   488,   508,   996,   987,   108,   965,   509,    -1,   467,
     987,    -1,   467,   310,   461,    -1,   511,   411,   490,    -1,
     511,   411,   310,    -1,   511,   411,   310,   461,    -1,    -1,
     480,   508,   994,   509,    -1,   995,    -1,   994,   511,   995,
      -1,   987,   108,  1180,    -1,   987,    -1,   194,    -1,   155,
      -1,   350,   472,    -1,   419,   472,    -1,    -1,   343,   989,
      -1,   343,   989,   125,   366,    -1,   343,   125,   366,   989,
      -1,   343,   125,   366,   989,   125,   366,    -1,   473,  1000,
      -1,    -1,  1001,    -1,  1000,   511,  1001,    -1,  1178,   108,
    1003,    -1,   335,  1003,    -1,   335,  1178,    -1,    -1,   508,
    1004,  1005,   921,  1006,   509,    -1,  1178,    -1,    -1,   342,
     125,  1016,    -1,    -1,   360,  1007,    -1,   386,  1007,    -1,
      -1,  1008,    -1,   119,  1008,   105,  1008,    -1,   445,   348,
      -1,   445,   222,    -1,   163,   385,    -1,   987,   348,    -1,
     987,   222,    -1,   385,   508,  1016,   509,    -1,   385,   508,
     509,    -1,   508,  1016,   511,   987,   509,    -1,   106,    -1,
     409,    -1,    99,    -1,    85,    -1,  1012,    -1,   499,    -1,
     500,    -1,   501,    -1,   502,    -1,   503,    -1,   504,    -1,
     496,    -1,   497,    -1,   495,    -1,    85,    -1,   328,   508,
     812,   509,    -1,  1011,    -1,   328,   508,   812,   509,    -1,
    1011,    -1,   328,   508,   812,   509,    -1,   286,    -1,   312,
     286,    -1,   244,    -1,   312,   244,    -1,   987,    -1,  1016,
     511,   987,    -1,  1018,    -1,  1017,   511,  1018,    -1,   987,
      -1,   794,    90,   987,    -1,   963,    -1,  1019,   511,   963,
      -1,   506,  1016,   507,    -1,   506,  1021,   507,    -1,   506,
     507,    -1,  1020,    -1,  1021,   511,  1020,    -1,  1023,   228,
     987,    -1,    -1,  1200,    -1,   489,    -1,   302,    -1,   175,
      -1,   241,    -1,   299,    -1,   392,    -1,  1198,    -1,   987,
    1025,  1028,  1029,    -1,   987,  1025,  1028,    -1,   345,   987,
      -1,   988,   248,   988,    -1,    -1,   987,  1028,  1029,    -1,
     987,  1029,  1028,    -1,   987,  1028,    -1,   987,  1029,    -1,
    1016,    -1,    -1,   228,   987,    -1,   223,   987,    -1,   987,
     228,  1016,    -1,   228,  1016,    -1,  1016,    -1,   908,    -1,
     508,  1016,   509,    -1,   130,  1036,  1033,  1035,   203,    -1,
    1034,    -1,  1033,  1034,    -1,   470,   987,   431,   987,    -1,
     199,   987,    -1,    -1,   987,    -1,    -1,  1178,    -1,  1178,
    1039,    -1,   510,  1053,    -1,   510,   501,    -1,   506,   987,
     507,    -1,   506,   987,   513,   987,   507,    -1,  1038,    -1,
    1039,  1038,    -1,    -1,  1040,  1038,    -1,   112,    -1,    -1,
     987,    -1,   180,    -1,  1042,    -1,  1043,   511,  1042,    -1,
     508,  1043,   509,    -1,  1046,    -1,  1045,   511,  1046,    -1,
     987,   108,  1180,    -1,   987,  1200,    -1,   987,    -1,   501,
      -1,  1048,    -1,  1047,   511,  1048,    -1,  1178,    -1,  1178,
    1039,    -1,  1050,    -1,  1049,   511,  1050,    -1,  1178,    -1,
    1178,    -1,  1178,    -1,  1180,    -1,  1178,    -1,  1198,    -1,
    1179,    -1,  1178,  1039,    -1,  1058,    -1,  1197,    -1,  1198,
      -1,  1196,    -1,    84,    -1,  1056,  1198,    -1,  1056,   508,
    1017,   509,  1198,    -1,   966,  1198,    -1,   983,  1198,   985,
      -1,   983,   508,  1058,   509,  1198,   985,    -1,   440,    -1,
     217,    -1,   317,    -1,  1192,    -1,  1190,    -1,    86,    -1,
    1178,    -1,  1058,    -1,  1192,    -1,   499,  1058,    -1,   500,
    1058,    -1,    91,    -1,    92,    -1,    93,    -1,    94,    -1,
      95,    -1,    96,    -1,    97,    -1,    98,    -1,   100,    -1,
     101,    -1,   102,    -1,   110,    -1,   111,    -1,   113,    -1,
     114,    -1,   116,    -1,   117,    -1,   118,    -1,   125,    -1,
     126,    -1,   127,    -1,   128,    -1,   129,    -1,   132,    -1,
     133,    -1,   136,    -1,   138,    -1,   139,    -1,   140,    -1,
     141,    -1,   146,    -1,   147,    -1,   148,    -1,   149,    -1,
     151,    -1,   154,    -1,   155,    -1,   156,    -1,   157,    -1,
     158,    -1,   159,    -1,   162,    -1,   171,    -1,   172,    -1,
     173,    -1,   174,    -1,   176,    -1,   179,    -1,   181,    -1,
     183,    -1,   184,    -1,   185,    -1,   186,    -1,   187,    -1,
     189,    -1,   190,    -1,   191,    -1,   194,    -1,   195,    -1,
     196,    -1,   197,    -1,   198,    -1,   200,    -1,   201,    -1,
     202,    -1,   204,    -1,   205,    -1,   206,    -1,   208,    -1,
     209,    -1,   210,    -1,   211,    -1,   213,    -1,   214,    -1,
     215,    -1,   218,    -1,   220,    -1,   222,    -1,   224,    -1,
     226,    -1,   230,    -1,   231,    -1,   232,    -1,   234,    -1,
     237,    -1,   239,    -1,   240,    -1,   242,    -1,   243,    -1,
     245,    -1,   246,    -1,   247,    -1,   249,    -1,   250,    -1,
     251,    -1,   252,    -1,   253,    -1,   254,    -1,   256,    -1,
     260,    -1,   261,    -1,   262,    -1,   268,    -1,   271,    -1,
     273,    -1,   274,    -1,   275,    -1,   276,    -1,   277,    -1,
     279,    -1,   280,    -1,   282,    -1,   285,    -1,   288,    -1,
     289,    -1,   290,    -1,   293,    -1,   294,    -1,   295,    -1,
     296,    -1,   297,    -1,   298,    -1,   300,    -1,   301,    -1,
     303,    -1,   304,    -1,   305,    -1,   309,    -1,   310,    -1,
     313,    -1,   314,    -1,   316,    -1,   319,    -1,   321,    -1,
     322,    -1,   323,    -1,   325,    -1,   328,    -1,   329,    -1,
     330,    -1,   338,    -1,   339,    -1,   340,    -1,   341,    -1,
     342,    -1,   343,    -1,   344,    -1,   346,    -1,   348,    -1,
     351,    -1,   352,    -1,   350,    -1,   354,    -1,   355,    -1,
     356,    -1,   357,    -1,   358,    -1,   359,    -1,   360,    -1,
     361,    -1,   363,    -1,   364,    -1,   365,    -1,   366,    -1,
     368,    -1,   369,    -1,   370,    -1,   371,    -1,   372,    -1,
     373,    -1,   374,    -1,   375,    -1,   376,    -1,   377,    -1,
     378,    -1,   380,    -1,   381,    -1,   383,    -1,   384,    -1,
     386,    -1,   387,    -1,   388,    -1,   389,    -1,   390,    -1,
     391,    -1,   393,    -1,   395,    -1,   396,    -1,   397,    -1,
     398,    -1,   399,    -1,   401,    -1,   403,    -1,   404,    -1,
     406,    -1,   408,    -1,   410,    -1,   411,    -1,   412,    -1,
     413,    -1,   414,    -1,   415,    -1,   416,    -1,   417,    -1,
     418,    -1,   419,    -1,   422,    -1,   423,    -1,   425,    -1,
     426,    -1,   427,    -1,   428,    -1,   429,    -1,   430,    -1,
     436,    -1,   438,    -1,   441,    -1,   442,    -1,   443,    -1,
     444,    -1,   445,    -1,   446,    -1,   447,    -1,   450,    -1,
     451,    -1,   452,    -1,   453,    -1,   454,    -1,   457,    -1,
     458,    -1,   459,    -1,   460,    -1,   461,    -1,   465,    -1,
     467,    -1,   468,    -1,   469,    -1,   472,    -1,   475,    -1,
     476,    -1,   477,    -1,   478,    -1,   479,    -1,   490,    -1,
     491,    -1,   119,    -1,   120,    -1,   122,    -1,   123,    -1,
     135,    -1,   142,    -1,   177,    -1,   178,    -1,   212,    -1,
     216,    -1,   221,    -1,   235,    -1,   258,    -1,   264,    -1,
     266,    -1,   283,    -1,   306,    -1,   308,    -1,   311,    -1,
     318,    -1,   320,    -1,   333,    -1,   337,    -1,   347,    -1,
     349,    -1,   362,    -1,   385,    -1,   402,    -1,   407,    -1,
     420,    -1,   432,    -1,   433,    -1,   437,    -1,   439,    -1,
     463,    -1,   480,    -1,   481,    -1,   482,    -1,   483,    -1,
     484,    -1,   485,    -1,   486,    -1,   487,    -1,   488,    -1,
     115,    -1,   121,    -1,   144,    -1,   150,    -1,   161,    -1,
     167,    -1,   227,    -1,   229,    -1,   244,    -1,   257,    -1,
     269,    -1,   270,    -1,   272,    -1,   284,    -1,   286,    -1,
     307,    -1,   315,    -1,   334,    -1,   335,    -1,   336,    -1,
     382,    -1,   405,    -1,   466,    -1,    99,    -1,   103,    -1,
     104,    -1,   105,    -1,   106,    -1,   107,    -1,   108,    -1,
     109,    -1,   112,    -1,   124,    -1,   130,    -1,   131,    -1,
     137,    -1,   143,    -1,   145,    -1,   153,    -1,   160,    -1,
     164,    -1,   165,    -1,   166,    -1,   168,    -1,   169,    -1,
     170,    -1,   180,    -1,   182,    -1,   188,    -1,   192,    -1,
     193,    -1,   199,    -1,   203,    -1,   207,    -1,   217,    -1,
     219,    -1,   223,    -1,   225,    -1,   228,    -1,   233,    -1,
     236,    -1,   238,    -1,   248,    -1,   255,    -1,   265,    -1,
     267,    -1,   278,    -1,   281,    -1,   287,    -1,   291,    -1,
     292,    -1,   312,    -1,   317,    -1,   324,    -1,   326,    -1,
     327,    -1,   331,    -1,   332,    -1,   345,    -1,   353,    -1,
     367,    -1,   379,    -1,   394,    -1,   400,    -1,   409,    -1,
     421,    -1,   424,    -1,   431,    -1,   435,    -1,   440,    -1,
     449,    -1,   455,    -1,   456,    -1,   464,    -1,   470,    -1,
     471,    -1,   473,    -1,   474,    -1,    -1,  1065,  1066,    -1,
    1187,  1069,   518,   512,    -1,  1187,   518,   512,    -1,  1187,
    1089,    -1,  1094,    -1,  1206,    -1,    73,    -1,   514,    -1,
     515,    -1,    -1,   160,   593,   424,   629,   108,  1068,   907,
     630,    -1,   113,  1130,    -1,     9,   434,  1071,  1078,  1079,
      -1,     9,   434,   180,    -1,     9,  1080,    -1,   174,  1071,
      -1,  1072,  1075,  1077,    -1,  1073,   513,  1074,  1077,   502,
    1072,  1083,    -1,  1082,    -1,  1198,    -1,  1051,    -1,    -1,
    1200,  1194,    -1,    85,  1076,    -1,  1074,    -1,    -1,  1178,
      -1,  1178,   510,  1076,    -1,    74,    -1,   513,  1058,    -1,
      -1,   108,  1130,    -1,    -1,   455,  1080,    -1,    -1,  1081,
      -1,  1081,   502,  1081,    -1,  1081,    21,   125,  1081,    -1,
    1081,   456,  1081,    -1,  1059,    -1,  1198,    -1,  1192,    -1,
    1194,    -1,    85,  1084,    -1,    -1,  1178,  1085,    -1,  1178,
    1085,    85,  1084,    -1,    -1,   495,  1058,    -1,   495,  1200,
      -1,   495,  1192,    -1,  1050,    -1,  1082,    -1,   179,   904,
     905,   171,   906,   223,  1086,    -1,   211,   245,  1131,    -1,
    1090,    -1,  1101,    -1,  1103,    -1,   641,    -1,   511,   641,
      -1,    -1,   985,    -1,   489,   434,   299,    -1,   489,   434,
     392,    -1,   175,   434,   175,    -1,   302,   434,   302,    -1,
      -1,  1096,  1095,  1098,  1097,    -1,  1187,   118,   179,    34,
     512,    -1,  1187,   203,   179,    34,   512,    -1,    -1,  1099,
      -1,  1090,    -1,    73,    -1,  1099,  1090,    -1,  1099,    73,
      -1,  1103,    -1,  1100,  1103,    -1,    -1,    70,  1102,  1110,
    1126,  1182,   964,   512,    -1,    -1,  1107,  1110,  1104,  1123,
     512,    -1,    -1,  1110,  1105,  1123,   512,    -1,  1113,   512,
      -1,   513,  1058,    -1,    -1,  1108,  1109,    -1,  1108,    -1,
    1109,    -1,    56,    -1,    67,    -1,    65,    -1,    50,    -1,
      51,    -1,    69,    -1,  1119,    -1,  1115,    -1,  1111,    -1,
    1182,   508,  1091,  1092,   509,    -1,  1182,  1093,    -1,  1117,
      -1,   204,  1176,  1112,    -1,   204,  1112,    -1,   204,  1176,
      -1,   514,  1204,   515,    -1,    -1,  1117,  1114,   514,  1100,
     515,    -1,  1113,    -1,    -1,  1118,  1116,   514,  1100,   515,
      -1,    43,  1176,    -1,   448,  1176,    -1,    43,    -1,   448,
      -1,  1120,    -1,  1122,  1121,    -1,    44,    35,    -1,    44,
      35,   263,    -1,    44,    -1,    44,   263,    -1,    44,    25,
      -1,    44,    25,   263,    -1,    44,    25,    25,    -1,    44,
      25,    25,   263,    -1,    44,   134,    -1,    35,    -1,    35,
     263,    -1,   263,    -1,    25,    -1,    25,   263,    -1,    25,
      25,    -1,    25,    25,   263,    -1,     5,    -1,   134,    -1,
     196,    -1,    36,    -1,    -1,  1124,    -1,  1123,   511,  1124,
      -1,  1126,  1181,   964,  1106,  1125,    -1,    -1,   495,  1205,
      -1,    -1,   501,    -1,   501,   501,    -1,   179,   413,  1200,
      -1,    15,  1129,    -1,  1130,    -1,   163,    -1,    99,    -1,
      -1,  1051,    -1,   180,    -1,  1082,    -1,  1082,    -1,    71,
      -1,    17,   904,    -1,    17,    99,    -1,    28,   904,  1134,
      -1,    -1,  1135,    -1,   456,  1139,    -1,  1136,    -1,   456,
      37,    14,  1201,    -1,   456,    14,  1050,    -1,   267,    37,
      14,  1201,    -1,   267,    14,  1050,    -1,   267,  1050,    -1,
    1140,    -1,  1140,   511,  1139,    -1,  1141,    -1,  1192,    -1,
    1190,    -1,  1058,    -1,   499,  1058,    -1,   500,  1058,    -1,
    1197,    -1,   499,  1197,    -1,   500,  1197,    -1,  1198,    -1,
    1196,    -1,  1199,    -1,    13,   259,  1086,  1136,    -1,    13,
    1143,  1086,  1136,    -1,    13,  1143,  1086,  1137,    -1,    13,
     259,  1086,  1138,    -1,    13,  1143,  1086,  1138,    -1,    29,
      -1,    -1,     3,    14,  1201,    -1,   176,    14,  1201,    -1,
      18,    14,  1201,  1147,    -1,  1148,    -1,  1147,   511,  1148,
      -1,  1194,   495,  1153,    -1,   401,    14,  1201,  1150,    -1,
    1151,    -1,  1150,   511,  1151,    -1,  1153,   495,  1152,    -1,
    1058,    -1,  1194,    -1,    10,    -1,    18,    14,  1201,   461,
    1152,  1155,    -1,  1156,    -1,  1155,   511,  1156,    -1,  1194,
     495,  1161,    -1,   401,    14,  1201,   461,  1152,  1158,    -1,
    1159,    -1,  1158,   511,  1159,    -1,  1161,   495,  1160,    -1,
    1197,    -1,  1152,    -1,   500,  1197,    -1,   500,  1058,    -1,
    1198,    -1,     8,    -1,   173,    -1,    11,    -1,    12,    -1,
      22,    -1,    23,    -1,    24,    -1,   304,    -1,    26,    -1,
      27,    -1,   349,    -1,    31,    -1,    32,    -1,    33,    -1,
     443,    -1,   401,     4,   495,  1163,    -1,   401,     4,   434,
    1163,    -1,   326,    -1,   323,    -1,   401,   152,   434,  1130,
      -1,   401,   152,   495,  1130,    -1,   401,   152,  1130,    -1,
      -1,   443,  1166,  1182,   269,  1110,   964,  1167,    -1,    30,
      -1,    -1,    -1,    45,  1169,  1180,   269,  1110,   964,  1167,
      -1,    46,    38,  1171,    -1,    46,   312,    16,  1171,    -1,
      46,    40,  1171,    -1,   156,    -1,    39,    -1,    42,    -1,
      20,  1050,    -1,    19,   434,  1050,    -1,   193,  1050,   508,
    1188,   509,    -1,   193,     6,    -1,     7,  1050,   508,  1188,
     509,    -1,     7,  1050,    -1,  1173,    -1,  1174,    -1,     6,
      -1,     7,    -1,     8,    -1,    10,    -1,    11,    -1,    12,
      -1,    16,    -1,    19,    -1,    20,    -1,    21,    -1,    22,
      -1,    23,    -1,    24,    -1,    26,    -1,    27,    -1,    31,
      -1,    32,    -1,    33,    -1,    34,    -1,    37,    -1,    38,
      -1,    39,    -1,    40,    -1,    42,    -1,     9,    -1,    13,
      -1,    15,    -1,    28,    -1,    45,    -1,    46,    -1,     5,
      -1,    25,    -1,    29,    -1,    35,    -1,    43,    -1,    36,
      -1,    44,    -1,  1180,    -1,  1200,    -1,  1061,    -1,  1062,
      -1,  1185,    -1,  1172,    -1,  1183,    -1,   134,    -1,   462,
      -1,  1200,    -1,  1184,    -1,  1062,    -1,  1172,    -1,  1183,
      -1,   134,    -1,   462,    -1,  1200,    -1,  1184,    -1,  1063,
      -1,  1172,    -1,  1183,    -1,  1175,    -1,  1181,    -1,  1175,
      -1,   134,    -1,   163,    -1,   259,    -1,   263,    -1,   434,
      -1,   448,    -1,   462,    -1,  1183,    -1,  1185,    -1,  1182,
      -1,  1061,    -1,  1064,    -1,  1174,    -1,   152,    -1,  1200,
      -1,  1062,    -1,  1063,    -1,  1173,    -1,    50,    -1,    51,
      -1,    56,    -1,    65,    -1,    67,    -1,    70,    -1,    69,
      -1,  1061,    -1,  1185,    -1,   152,    -1,   175,    -1,   241,
      -1,   299,    -1,   302,    -1,   392,    -1,   489,    -1,  1189,
      -1,  1186,   511,  1189,    -1,    41,    -1,    -1,  1204,    -1,
    1194,  1193,    -1,  1194,    -1,  1194,  1193,    -1,  1082,    -1,
    1194,    -1,  1194,    -1,    22,  1194,    -1,    22,  1050,    -1,
      72,    -1,    87,    -1,    83,    -1,    81,    -1,    82,    -1,
      76,    -1,    77,    -1,    78,    -1,    75,    -1,    84,    -1,
      80,    -1,    71,    -1,    79,    -1,  1050,    -1,  1082,    -1,
    1207,    -1,   508,   509,    -1,   508,  1203,   509,    -1,  1202,
      -1,  1203,  1202,    -1,  1205,    -1,  1204,   511,  1205,    -1,
    1203,    -1,   514,  1204,   515,    -1,  1207,    -1,   508,    -1,
     509,    -1,   511,    -1,   512,    -1,  1200,    -1,  1058,    -1,
    1197,    -1,  1198,    -1,   501,    -1,   499,    -1,   500,    -1,
     502,    -1,   503,    -1,   317,    -1,    47,    -1,    48,    -1,
      49,    -1,    50,    -1,    51,    -1,    52,    -1,    53,    -1,
      54,    -1,    55,    -1,    56,    -1,    57,    -1,    58,    -1,
      60,    -1,    59,    -1,    61,    -1,    62,    -1,    63,    -1,
      64,    -1,    65,    -1,    66,    -1,    67,    -1,    68,    -1,
      70,    -1,    69,    -1,     5,    -1,   204,    -1,   241,    -1,
     263,    -1,    25,    -1,   299,    -1,   302,    -1,   392,    -1,
      35,    -1,    36,    -1,    43,    -1,    44,    -1,   489,    -1,
     134,    -1,   221,    -1,   434,    -1,   448,    -1,   463,    -1,
     506,    -1,   507,    -1,   495,    -1,   513,    -1,   176,  1086,
      -1,   176,   351,  1086,    -1,   176,    99,    -1,   176,   351,
      99,    -1,  1058,    -1,   508,  1209,   509,    -1,  1209,   499,
    1209,    -1,  1209,   500,  1209,    -1,  1209,   501,  1209,    -1,
    1209,   502,  1209,    -1,  1209,   503,  1209,    -1,  1198,    -1,
    1178,    -1,    -1,  1135,  1211,    -1,  1211,  1135,    -1,  1135,
      -1,  1211,    -1,   267,  1186,    -1,  1137,    -1,  1211,    -1,
    1136,    -1,    -1,  1212,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1476,  1476,  1479,  1481,  1483,  1485,  1487,  1489,  1491,
    1493,  1495,  1497,  1499,  1501,  1503,  1505,  1507,  1509,  1511,
    1513,  1515,  1517,  1519,  1521,  1523,  1525,  1527,  1529,  1531,
    1533,  1551,  1553,  1555,  1557,  1559,  1561,  1563,  1565,  1567,
    1569,  1571,  1573,  1575,  1577,  1579,  1581,  1583,  1585,  1587,
    1589,  1591,  1593,  1595,  1597,  1599,  1601,  1603,  1605,  1607,
    1609,  1611,  1615,  1617,  1619,  1621,  1623,  1625,  1627,  1629,
    1631,  1633,  1635,  1637,  1639,  1641,  1643,  1645,  1647,  1649,
    1651,  1653,  1655,  1657,  1659,  1661,  1663,  1665,  1667,  1669,
    1671,  1673,  1675,  1677,  1679,  1681,  1683,  1690,  1692,  1694,
    1696,  1698,  1700,  1702,  1704,  1706,  1708,  1710,  1712,  1718,
    1720,  1722,  1724,  1726,  1728,  1730,  1732,  1734,  1740,  1750,
    1754,  1760,  1764,  1774,  1784,  1785,  1799,  1806,  1812,  1823,
    1829,  1838,  1845,  1851,  1860,  1867,  1875,  1880,  1888,  1893,
    1899,  1904,  1910,  1915,  1921,  1925,  1929,  1933,  1937,  1941,
    1945,  1949,  1953,  1961,  1965,  1969,  1973,  1977,  1981,  1989,
    1997,  2006,  2008,  2016,  2020,  2028,  2036,  2044,  2048,  2056,
    2060,  2068,  2076,  2084,  2088,  2096,  2100,  2108,  2112,  2116,
    2121,  2130,  2135,  2141,  2146,  2152,  2156,  2160,  2164,  2168,
    2172,  2180,  2184,  2188,  2196,  2200,  2204,  2212,  2216,  2220,
    2224,  2228,  2232,  2236,  2241,  2245,  2249,  2253,  2257,  2261,
    2265,  2273,  2277,  2285,  2289,  2297,  2301,  2315,  2319,  2323,
    2327,  2335,  2339,  2343,  2347,  2355,  2359,  2363,  2367,  2371,
    2375,  2379,  2387,  2391,  2396,  2402,  2406,  2414,  2418,  2422,
    2426,  2430,  2438,  2442,  2450,  2454,  2462,  2466,  2470,  2474,
    2478,  2487,  2495,  2499,  2507,  2511,  2519,  2527,  2531,  2535,
    2539,  2547,  2551,  2555,  2559,  2563,  2567,  2571,  2575,  2579,
    2583,  2591,  2595,  2603,  2607,  2611,  2615,  2619,  2623,  2627,
    2631,  2635,  2639,  2643,  2647,  2651,  2655,  2659,  2663,  2667,
    2671,  2675,  2679,  2683,  2687,  2691,  2695,  2699,  2703,  2707,
    2711,  2715,  2719,  2723,  2727,  2731,  2735,  2739,  2743,  2747,
    2751,  2755,  2759,  2763,  2767,  2775,  2779,  2787,  2791,  2796,
    2802,  2807,  2813,  2818,  2824,  2832,  2837,  2843,  2847,  2855,
    2859,  2863,  2867,  2875,  2883,  2887,  2895,  2899,  2903,  2907,
    2915,  2920,  2928,  2936,  2944,  2948,  2956,  2961,  2967,  2971,
    2975,  2983,  2987,  2995,  3000,  3006,  3010,  3014,  3018,  3022,
    3026,  3030,  3034,  3038,  3042,  3046,  3050,  3054,  3062,  3067,
    3073,  3078,  3084,  3089,  3095,  3100,  3106,  3110,  3118,  3126,
    3130,  3134,  3138,  3143,  3149,  3153,  3161,  3169,  3173,  3177,
    3181,  3189,  3193,  3197,  3201,  3205,  3209,  3213,  3218,  3224,
    3229,  3235,  3240,  3246,  3250,  3258,  3262,  3270,  3274,  3278,
    3286,  3290,  3298,  3306,  3314,  3319,  3325,  3329,  3333,  3337,
    3345,  3349,  3353,  3357,  3361,  3365,  3369,  3377,  3381,  3385,
    3389,  3397,  3405,  3409,  3414,  3420,  3424,  3428,  3432,  3436,
    3440,  3448,  3452,  3460,  3464,  3468,  3472,  3476,  3480,  3484,
    3492,  3497,  3503,  3508,  3514,  3518,  3526,  3534,  3538,  3543,
    3548,  3554,  3558,  3566,  3570,  3578,  3583,  3589,  3593,  3597,
    3601,  3606,  3612,  3620,  3628,  3632,  3636,  3640,  3644,  3652,
    3657,  3663,  3667,  3671,  3676,  3682,  3686,  3690,  3695,  3701,
    3706,  3712,  3717,  3723,  3731,  3739,  3743,  3748,  3754,  3762,
    3770,  3775,  3781,  3789,  3797,  3801,  3809,  3814,  3820,  3824,
    3832,  3836,  3840,  3844,  3848,  3852,  3856,  3860,  3864,  3868,
    3872,  3876,  3884,  3889,  3895,  3899,  3903,  3911,  3915,  3923,
    3927,  3935,  3940,  3946,  3950,  3958,  3963,  3969,  3973,  3981,
    3986,  3992,  3996,  4004,  4009,  4015,  4023,  4028,  4034,  4038,
    4046,  4050,  4058,  4063,  4069,  4073,  4077,  4085,  4093,  4098,
    4104,  4112,  4116,  4120,  4124,  4128,  4132,  4136,  4140,  4144,
    4148,  4152,  4156,  4160,  4164,  4168,  4172,  4176,  4180,  4184,
    4188,  4192,  4196,  4200,  4204,  4212,  4220,  4224,  4228,  4232,
    4240,  4244,  4252,  4257,  4263,  4267,  4275,  4279,  4287,  4292,
    4298,  4302,  4310,  4318,  4322,  4330,  4334,  4338,  4342,  4350,
    4358,  4366,  4374,  4382,  4387,  4393,  4397,  4405,  4410,  4416,
    4420,  4428,  4432,  4436,  4444,  4448,  4456,  4460,  4468,  4476,
    4480,  4484,  4492,  4496,  4504,  4512,  4516,  4524,  4528,  4532,
    4540,  4544,  4552,  4556,  4560,  4564,  4568,  4576,  4581,  4587,
    4592,  4598,  4602,  4610,  4615,  4621,  4625,  4630,  4636,  4640,
    4644,  4648,  4656,  4661,  4668,  4670,  4678,  4682,  4686,  4690,
    4694,  4698,  4706,  4710,  4718,  4722,  4730,  4734,  4742,  4750,
    4754,  4762,  4770,  4774,  4778,  4782,  4790,  4799,  4808,  4812,
    4816,  4820,  4824,  4828,  4832,  4836,  4840,  4844,  4848,  4852,
    4856,  4860,  4868,  4876,  4880,  4888,  4892,  4900,  4904,  4908,
    4912,  4916,  4924,  4928,  4936,  4944,  4948,  4956,  4964,  4969,
    4975,  4979,  4987,  4991,  4995,  5003,  5008,  5014,  5022,  5026,
    5034,  5038,  5042,  5046,  5050,  5058,  5063,  5069,  5074,  5080,
    5084,  5089,  5095,  5101,  5107,  5115,  5119,  5127,  5131,  5139,
    5143,  5151,  5155,  5163,  5167,  5175,  5183,  5191,  5195,  5199,
    5203,  5211,  5215,  5219,  5223,  5227,  5231,  5235,  5239,  5243,
    5247,  5251,  5255,  5259,  5263,  5267,  5271,  5275,  5283,  5287,
    5295,  5299,  5307,  5311,  5319,  5327,  5331,  5336,  5342,  5346,
    5350,  5354,  5358,  5362,  5366,  5370,  5374,  5378,  5382,  5386,
    5390,  5398,  5402,  5406,  5410,  5414,  5418,  5422,  5426,  5430,
    5434,  5438,  5442,  5446,  5450,  5454,  5458,  5462,  5466,  5470,
    5474,  5478,  5482,  5486,  5494,  5498,  5506,  5510,  5514,  5518,
    5522,  5530,  5535,  5541,  5545,  5549,  5553,  5557,  5561,  5565,
    5569,  5573,  5577,  5581,  5585,  5589,  5597,  5601,  5609,  5613,
    5617,  5621,  5627,  5633,  5639,  5645,  5651,  5657,  5663,  5673,
    5684,  5695,  5706,  5717,  5728,  5739,  5755,  5771,  5787,  5798,
    5814,  5825,  5841,  5856,  5860,  5868,  5873,  5879,  5887,  5891,
    5899,  5903,  5907,  5911,  5915,  5923,  5927,  5935,  5939,  5943,
    5947,  5955,  5959,  5963,  5967,  5971,  5975,  5979,  5983,  5987,
    5991,  5995,  5999,  6003,  6007,  6011,  6015,  6023,  6027,  6035,
    6039,  6047,  6052,  6058,  6062,  6070,  6078,  6086,  6090,  6098,
    6103,  6109,  6114,  6120,  6128,  6133,  6139,  6143,  6147,  6155,
    6159,  6163,  6171,  6175,  6179,  6183,  6191,  6199,  6204,  6210,
    6215,  6221,  6226,  6232,  6237,  6243,  6247,  6255,  6259,  6263,
    6271,  6276,  6282,  6286,  6291,  6297,  6301,  6306,  6312,  6316,
    6321,  6327,  6331,  6335,  6343,  6348,  6354,  6358,  6366,  6370,
    6378,  6382,  6390,  6394,  6402,  6406,  6410,  6414,  6418,  6426,
    6430,  6434,  6438,  6442,  6450,  6458,  6466,  6470,  6474,  6482,
    6486,  6490,  6498,  6502,  6510,  6514,  6518,  6522,  6526,  6530,
    6534,  6538,  6542,  6546,  6550,  6554,  6558,  6562,  6566,  6574,
    6578,  6582,  6586,  6594,  6598,  6606,  6611,  6617,  6625,  6629,
    6637,  6645,  6649,  6657,  6662,  6668,  6672,  6680,  6684,  6692,
    6696,  6704,  6708,  6712,  6716,  6724,  6728,  6736,  6744,  6748,
    6756,  6760,  6768,  6772,  6776,  6784,  6788,  6793,  6799,  6807,
    6812,  6818,  6822,  6826,  6834,  6838,  6846,  6851,  6857,  6861,
    6865,  6869,  6873,  6877,  6881,  6885,  6889,  6893,  6897,  6901,
    6905,  6909,  6913,  6917,  6921,  6925,  6929,  6933,  6937,  6941,
    6945,  6949,  6953,  6957,  6961,  6965,  6969,  6973,  6977,  6981,
    6985,  6989,  6993,  6997,  7001,  7005,  7009,  7013,  7017,  7021,
    7025,  7029,  7033,  7037,  7041,  7049,  7054,  7060,  7065,  7071,
    7075,  7079,  7083,  7087,  7091,  7095,  7099,  7103,  7107,  7111,
    7115,  7119,  7123,  7127,  7131,  7135,  7139,  7143,  7147,  7151,
    7155,  7159,  7163,  7171,  7175,  7179,  7183,  7187,  7191,  7195,
    7199,  7203,  7207,  7211,  7215,  7219,  7223,  7227,  7231,  7235,
    7239,  7243,  7251,  7259,  7263,  7267,  7275,  7279,  7287,  7291,
    7295,  7299,  7303,  7311,  7316,  7322,  7326,  7330,  7334,  7342,
    7346,  7351,  7357,  7361,  7369,  7377,  7382,  7388,  7396,  7400,
    7408,  7412,  7416,  7420,  7424,  7428,  7432,  7436,  7440,  7444,
    7448,  7452,  7456,  7460,  7468,  7472,  7477,  7483,  7487,  7491,
    7495,  7499,  7507,  7511,  7515,  7523,  7528,  7534,  7538,  7542,
    7546,  7554,  7559,  7564,  7570,  7576,  7584,  7592,  7597,  7603,
    7607,  7611,  7615,  7619,  7623,  7627,  7631,  7635,  7639,  7643,
    7647,  7651,  7655,  7659,  7663,  7671,  7676,  7682,  7686,  7694,
    7702,  7707,  7713,  7721,  7725,  7733,  7741,  7745,  7749,  7753,
    7757,  7761,  7765,  7773,  7778,  7784,  7792,  7796,  7800,  7804,
    7808,  7812,  7820,  7828,  7832,  7836,  7844,  7849,  7855,  7859,
    7863,  7867,  7871,  7879,  7883,  7891,  7895,  7899,  7903,  7911,
    7915,  7923,  7927,  7935,  7940,  7946,  7951,  7957,  7962,  7968,
    7973,  7979,  7983,  7987,  7991,  7999,  8003,  8007,  8011,  8015,
    8019,  8023,  8027,  8031,  8039,  8043,  8051,  8059,  8063,  8067,
    8075,  8079,  8084,  8090,  8096,  8106,  8111,  8117,  8121,  8125,
    8129,  8137,  8139,  8147,  8152,  8158,  8166,  8170,  8174,  8182,
    8186,  8194,  8202,  8207,  8213,  8221,  8226,  8232,  8240,  8245,
    8251,  8255,  8259,  8263,  8267,  8271,  8275,  8279,  8287,  8292,
    8298,  8306,  8310,  8318,  8322,  8330,  8338,  8346,  8354,  8358,
    8366,  8419,  8423,  8436,  8438,  8442,  8446,  8450,  8459,  8465,
    8469,  8477,  8481,  8489,  8493,  8501,  8505,  8509,  8513,  8517,
    8521,  8525,  8529,  8537,  8541,  8549,  8553,  8557,  8561,  8565,
    8569,  8577,  8581,  8589,  8593,  8601,  8609,  8614,  8620,  8625,
    8627,  8633,  8637,  8641,  8645,  8649,  8653,  8657,  8661,  8665,
    8673,  8678,  8684,  8688,  8693,  8699,  8703,  8707,  8712,  8718,
    8723,  8729,  8737,  8741,  8749,  8753,  8761,  8765,  8769,  8773,
    8781,  8786,  8792,  8796,  8801,  8809,  8813,  8821,  8825,  8833,
    8841,  8845,  8850,  8856,  8864,  8868,  8876,  8880,  8888,  8893,
    8899,  8904,  8910,  8914,  8922,  8927,  8933,  8937,  8945,  8953,
    8957,  8961,  8965,  8973,  8978,  8984,  8988,  8996,  9001,  9007,
    9011,  9019,  9023,  9027,  9031,  9038,  9045,  9049,  9057,  9061,
    9065,  9069,  9073,  9077,  9085,  9089,  9093,  9097,  9105,  9110,
    9116,  9120,  9124,  9128,  9133,  9139,  9143,  9147,  9151,  9159,
    9164,  9170,  9174,  9182,  9186,  9190,  9194,  9202,  9206,  9214,
    9218,  9222,  9230,  9238,  9243,  9249,  9253,  9259,  9265,  9270,
    9276,  9280,  9288,  9296,  9298,  9300,  9304,  9308,  9312,  9320,
    9330,  9341,  9350,  9354,  9358,  9362,  9366,  9370,  9374,  9382,
    9386,  9390,  9394,  9402,  9406,  9414,  9419,  9425,  9429,  9433,
    9437,  9441,  9445,  9449,  9453,  9457,  9461,  9465,  9473,  9478,
    9484,  9488,  9496,  9500,  9508,  9516,  9524,  9528,  9536,  9540,
    9548,  9556,  9564,  9568,  9572,  9576,  9580,  9584,  9592,  9597,
    9603,  9608,  9614,  9618,  9622,  9626,  9634,  9642,  9646,  9651,
    9657,  9661,  9665,  9669,  9673,  9677,  9681,  9685,  9689,  9693,
    9697,  9701,  9705,  9710,  9716,  9720,  9728,  9732,  9736,  9740,
    9744,  9748,  9752,  9756,  9760,  9764,  9768,  9772,  9776,  9780,
    9784,  9788,  9792,  9796,  9800,  9804,  9808,  9812,  9816,  9820,
    9824,  9828,  9832,  9836,  9840,  9844,  9848,  9852,  9856,  9860,
    9864,  9868,  9872,  9876,  9880,  9884,  9888,  9892,  9896,  9900,
    9904,  9908,  9912,  9916,  9920,  9924,  9928,  9932,  9936,  9940,
    9944,  9948,  9952,  9957,  9961,  9969,  9973,  9977,  9981,  9985,
    9989,  9993,  9997, 10001, 10005, 10009, 10013, 10017, 10021, 10025,
   10029, 10033, 10037, 10041, 10045, 10049, 10053, 10061, 10065, 10069,
   10073, 10077, 10081, 10085, 10089, 10093, 10097, 10101, 10105, 10113,
   10117, 10121, 10125, 10129, 10133, 10137, 10141, 10145, 10149, 10153,
   10157, 10161, 10165, 10169, 10173, 10177, 10181, 10185, 10189, 10193,
   10197, 10201, 10205, 10209, 10213, 10217, 10221, 10225, 10229, 10233,
   10237, 10241, 10245, 10249, 10253, 10257, 10261, 10265, 10269, 10273,
   10277, 10281, 10285, 10289, 10293, 10297, 10301, 10305, 10309, 10317,
   10321, 10329, 10333, 10337, 10342, 10348, 10356, 10360, 10368, 10372,
   10380, 10384, 10392, 10396, 10401, 10407, 10411, 10415, 10419, 10427,
   10432, 10438, 10442, 10450, 10458, 10462, 10467, 10473, 10481, 10485,
   10492, 10497, 10503, 10508, 10513, 10519, 10523, 10531, 10535, 10539,
   10543, 10547, 10555, 10559, 10563, 10571, 10575, 10579, 10587, 10591,
   10599, 10603, 10607, 10611, 10615, 10619, 10623, 10627, 10631, 10639,
   10643, 10651, 10655, 10663, 10667, 10671, 10675, 10679, 10683, 10691,
   10695, 10703, 10707, 10715, 10719, 10727, 10731, 10739, 10743, 10747,
   10755, 10759, 10767, 10772, 10778, 10782, 10786, 10790, 10794, 10798,
   10802, 10806, 10814, 10818, 10826, 10834, 10839, 10845, 10849, 10853,
   10857, 10861, 10866, 10872, 10880, 10888, 10892, 10896, 10904, 10908,
   10916, 10924, 10928, 10936, 10944, 10949, 10955, 10960, 10966, 10970,
   10978, 10982, 10986, 10990, 10998, 11002, 11011, 11013, 11021, 11026,
   11032, 11036, 11044, 11048, 11056, 11064, 11068, 11076, 11080, 11084,
   11088, 11096, 11100, 11108, 11112, 11120, 11124, 11132, 11140, 11148,
   11156, 11164, 11172, 11180, 11184, 11192, 11196, 11200, 11204, 11208,
   11212, 11216, 11220, 11224, 11228, 11232, 11236, 11240, 11244, 11245,
   11250, 11256, 11264, 11268, 11269, 11273, 11281, 11285, 11289, 11293,
   11297, 11301, 11305, 11309, 11313, 11317, 11321, 11325, 11329, 11333,
   11337, 11341, 11345, 11349, 11353, 11357, 11361, 11365, 11369, 11373,
   11377, 11381, 11385, 11389, 11393, 11397, 11401, 11405, 11409, 11413,
   11417, 11421, 11425, 11429, 11433, 11437, 11441, 11445, 11449, 11453,
   11457, 11461, 11465, 11469, 11473, 11477, 11481, 11485, 11489, 11493,
   11497, 11501, 11505, 11509, 11513, 11517, 11521, 11525, 11529, 11533,
   11537, 11541, 11545, 11549, 11553, 11557, 11561, 11565, 11569, 11573,
   11577, 11581, 11585, 11589, 11593, 11597, 11601, 11605, 11609, 11613,
   11617, 11621, 11625, 11629, 11633, 11637, 11641, 11645, 11649, 11653,
   11657, 11661, 11665, 11669, 11673, 11677, 11681, 11685, 11689, 11693,
   11697, 11701, 11705, 11709, 11713, 11717, 11721, 11725, 11729, 11733,
   11737, 11741, 11745, 11749, 11753, 11757, 11761, 11765, 11769, 11773,
   11777, 11781, 11785, 11789, 11793, 11797, 11801, 11805, 11809, 11813,
   11817, 11821, 11825, 11829, 11833, 11837, 11841, 11845, 11849, 11853,
   11857, 11861, 11865, 11869, 11873, 11877, 11881, 11885, 11889, 11893,
   11897, 11901, 11905, 11909, 11913, 11917, 11921, 11925, 11929, 11933,
   11937, 11941, 11945, 11949, 11953, 11957, 11961, 11965, 11969, 11973,
   11977, 11981, 11985, 11989, 11993, 11997, 12001, 12005, 12009, 12013,
   12017, 12021, 12025, 12029, 12033, 12037, 12041, 12045, 12049, 12053,
   12057, 12061, 12065, 12069, 12073, 12077, 12081, 12085, 12089, 12093,
   12097, 12101, 12105, 12109, 12113, 12117, 12121, 12125, 12129, 12133,
   12137, 12141, 12145, 12149, 12153, 12157, 12161, 12165, 12169, 12173,
   12177, 12181, 12185, 12189, 12193, 12197, 12201, 12205, 12209, 12213,
   12217, 12221, 12225, 12229, 12233, 12237, 12241, 12245, 12249, 12253,
   12257, 12265, 12269, 12273, 12277, 12281, 12285, 12289, 12293, 12297,
   12301, 12305, 12309, 12313, 12317, 12321, 12325, 12329, 12333, 12337,
   12341, 12345, 12349, 12353, 12357, 12361, 12365, 12369, 12373, 12377,
   12381, 12385, 12389, 12393, 12397, 12401, 12405, 12409, 12413, 12417,
   12421, 12425, 12429, 12433, 12437, 12445, 12449, 12453, 12457, 12461,
   12465, 12469, 12473, 12477, 12481, 12485, 12489, 12493, 12497, 12501,
   12505, 12509, 12513, 12517, 12521, 12525, 12529, 12533, 12541, 12545,
   12549, 12553, 12557, 12561, 12565, 12569, 12573, 12577, 12581, 12585,
   12589, 12593, 12597, 12601, 12605, 12609, 12613, 12617, 12621, 12625,
   12629, 12633, 12637, 12641, 12645, 12649, 12653, 12657, 12661, 12665,
   12669, 12673, 12677, 12681, 12685, 12689, 12693, 12697, 12701, 12705,
   12709, 12713, 12717, 12721, 12725, 12729, 12733, 12737, 12741, 12745,
   12749, 12753, 12757, 12761, 12765, 12769, 12773, 12777, 12781, 12785,
   12789, 12793, 12797, 12801, 12805, 12809, 12813, 12817, 12821, 12825,
   12829, 12833, 12837, 12847, 12848, 12851, 12852, 12853, 12859, 12860,
   12861, 12862, 12863, 12876, 12876, 12885, 12900, 12902, 12905, 12907,
   12911, 12923, 12939, 12943, 12954, 12955, 12958, 12970, 12979, 12980,
   12983, 12984, 12985, 12988, 12989, 12992, 12993, 12996, 12997, 13000,
   13002, 13004, 13006, 13010, 13017, 13024, 13040, 13074, 13084, 13087,
   13091, 13104, 13105, 13107, 13109, 13113, 13127, 13134, 13195, 13204,
   13206, 13207, 13210, 13212, 13213, 13216, 13217, 13218, 13219, 13220,
   13227, 13226, 13236, 13238, 13240, 13241, 13244, 13245, 13246, 13247,
   13250, 13251, 13255, 13254, 13271, 13269, 13285, 13284, 13298, 13304,
   13305, 13308, 13310, 13311, 13314, 13315, 13316, 13317, 13320, 13321,
   13324, 13332, 13349, 13357, 13380, 13486, 13520, 13522, 13524, 13528,
   13532, 13531, 13582, 13584, 13583, 13598, 13604, 13611, 13616, 13622,
   13623, 13626, 13627, 13628, 13629, 13630, 13631, 13632, 13640, 13648,
   13651, 13652, 13653, 13654, 13655, 13656, 13664, 13672, 13673, 13674,
   13677, 13678, 13681, 13683, 13687, 13775, 13776, 13783, 13784, 13785,
   13791, 13800, 13803, 13804, 13805, 13806, 13809, 13810, 13811, 13814,
   13816, 13824, 13825, 13831, 13839, 13840, 13843, 13844, 13847, 13852,
   13859, 13864, 13871, 13878, 13878, 13880, 13887, 13888, 13891, 13892,
   13893, 13894, 13895, 13896, 13897, 13898, 13899, 13905, 13912, 13924,
   13930, 13937, 13945, 13946, 13958, 13969, 13980, 13984, 13985, 13988,
   13993, 13997, 13998, 14001, 14007, 14015, 14021, 14028, 14032, 14033,
   14036, 14039, 14043, 14044, 14047, 14053, 14062, 14067, 14077, 14087,
   14099, 14100, 14101, 14102, 14103, 14104, 14105, 14106, 14107, 14108,
   14109, 14110, 14111, 14112, 14113, 14120, 14121, 14124, 14125, 14132,
   14133, 14134, 14141, 14140, 14157, 14158, 14165, 14164, 14234, 14240,
   14246, 14254, 14260, 14266, 14272, 14278, 14284, 14290, 14296, 14302,
   14313, 14314, 14317, 14318, 14319, 14320, 14321, 14322, 14323, 14324,
   14325, 14326, 14327, 14328, 14329, 14330, 14331, 14332, 14333, 14334,
   14335, 14336, 14337, 14338, 14339, 14340, 14343, 14344, 14345, 14346,
   14347, 14348, 14352, 14353, 14354, 14355, 14356, 14357, 14358, 14361,
   14364, 14365, 14366, 14367, 14368, 14369, 14370, 14371, 14384, 14385,
   14386, 14387, 14388, 14389, 14390, 14395, 14396, 14397, 14398, 14399,
   14400, 14406, 14407, 14408, 14409, 14410, 14411, 14412, 14413, 14414,
   14415, 14416, 14419, 14420, 14421, 14422, 14423, 14426, 14427, 14428,
   14429, 14432, 14433, 14434, 14435, 14436, 14437, 14438, 14455, 14456,
   14457, 14460, 14461, 14462, 14463, 14464, 14465, 14469, 14469, 14472,
   14478, 14479, 14482, 14484, 14489, 14499, 14510, 14517, 14518, 14519,
   14522, 14555, 14557, 14559, 14562, 14572, 14582, 14592, 14593, 14596,
   14598, 14599, 14600, 14603, 14605, 14613, 14614, 14615, 14619, 14620,
   14624, 14625, 14628, 14629, 14632, 14633, 14634, 14635, 14636, 14639,
   14640, 14641, 14642, 14643, 14644, 14645, 14646, 14647, 14648, 14649,
   14650, 14651, 14652, 14653, 14654, 14655, 14656, 14657, 14658, 14659,
   14660, 14661, 14662, 14663, 14664, 14665, 14666, 14667, 14668, 14669,
   14670, 14671, 14672, 14673, 14674, 14675, 14676, 14677, 14678, 14679,
   14680, 14681, 14682, 14683, 14684, 14685, 14686, 14687, 14688, 14689,
   14690, 14691, 14692, 14693, 14694, 14697, 14698, 14699, 14700, 14703,
   14704, 14705, 14706, 14707, 14708, 14709, 14710, 14711, 14714, 14715,
   14716, 14717, 14718, 14721, 14722, 14725, 14726, 14737, 14738
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P",
  "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING",
  "PLANS", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROGRAM", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETOF",
  "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE",
  "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "ColId_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "opt_program", "copy_file_name", "copy_options", "copy_opt_list",
  "copy_opt_item", "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "SignedIconst", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "statements", "statement", "CreateAsStmt", "$@1", "at", "ECPGConnect",
  "connection_target", "opt_database_name", "db_prefix", "server",
  "opt_server", "server_name", "opt_port", "opt_connection_name",
  "opt_user", "ora_user", "user_name", "char_variable", "opt_options",
  "connect_options", "opt_opt_value", "prepared_name", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@2", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@3", "var_declaration", "$@4", "$@5",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,    61,    60,    62,   750,    43,
      45,    42,    47,    37,    94,   751,    91,    93,    40,    41,
      46,    44,    59,    58,   123,   125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   516,   517,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   519,   520,   520,
     521,   521,   522,   522,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   524,   524,   524,   524,   524,   524,   525,
     526,   527,   527,   528,   528,   529,   530,   531,   531,   532,
     532,   533,   534,   535,   535,   536,   536,   537,   537,   537,
     537,   538,   538,   539,   539,   540,   540,   540,   540,   540,
     540,   541,   541,   541,   542,   542,   542,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   544,   544,   545,   545,   546,   546,   547,   547,   547,
     547,   548,   548,   548,   548,   549,   549,   549,   549,   549,
     549,   549,   550,   550,   550,   551,   551,   552,   552,   552,
     552,   552,   553,   553,   554,   554,   555,   555,   555,   555,
     555,   556,   557,   557,   558,   558,   559,   560,   560,   560,
     560,   561,   561,   561,   561,   561,   561,   561,   561,   561,
     561,   562,   562,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   564,   564,   565,   565,   565,
     566,   566,   567,   567,   568,   569,   569,   570,   570,   571,
     571,   571,   571,   572,   573,   573,   574,   574,   574,   574,
     575,   575,   576,   576,   577,   577,   578,   578,   579,   579,
     579,   580,   580,   581,   581,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   583,   583,
     584,   584,   585,   585,   586,   586,   587,   587,   588,   589,
     589,   589,   589,   589,   590,   590,   591,   592,   592,   592,
     592,   593,   593,   593,   593,   593,   593,   593,   593,   594,
     594,   595,   595,   596,   596,   597,   597,   598,   598,   598,
     599,   599,   600,   601,   602,   602,   603,   603,   603,   603,
     604,   604,   604,   604,   604,   604,   604,   605,   605,   605,
     605,   606,   607,   607,   607,   608,   608,   608,   608,   608,
     608,   609,   609,   610,   610,   610,   610,   610,   610,   610,
     611,   611,   612,   612,   613,   613,   614,   615,   615,   615,
     615,   616,   616,   617,   617,   618,   618,   619,   619,   619,
     619,   619,   620,   621,   622,   622,   622,   622,   622,   623,
     623,   624,   624,   624,   624,   625,   625,   625,   625,   626,
     626,   627,   627,   628,   629,   630,   630,   630,   631,   632,
     633,   633,   634,   635,   636,   636,   637,   637,   638,   638,
     639,   639,   639,   639,   639,   639,   639,   639,   639,   639,
     639,   639,   640,   640,   641,   641,   641,   642,   642,   643,
     643,   644,   644,   645,   645,   646,   646,   647,   647,   648,
     648,   649,   649,   650,   650,   651,   652,   652,   653,   653,
     654,   654,   655,   655,   656,   656,   656,   657,   658,   658,
     659,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   661,   662,   662,   662,   662,
     663,   663,   664,   664,   665,   665,   666,   666,   667,   667,
     668,   668,   669,   670,   670,   671,   671,   671,   671,   672,
     673,   674,   675,   676,   676,   677,   677,   678,   678,   679,
     679,   680,   680,   680,   681,   681,   682,   682,   683,   684,
     684,   684,   685,   685,   686,   687,   687,   688,   688,   688,
     689,   689,   690,   690,   690,   690,   690,   691,   691,   692,
     692,   693,   693,   694,   694,   695,   695,   695,   696,   696,
     696,   696,   697,   697,   698,   698,   699,   699,   699,   699,
     699,   699,   700,   700,   701,   701,   702,   702,   703,   704,
     704,   705,   706,   706,   706,   706,   707,   708,   709,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   709,
     709,   709,   710,   711,   711,   712,   712,   713,   713,   713,
     713,   713,   714,   714,   715,   716,   716,   717,   718,   718,
     719,   719,   720,   720,   720,   721,   721,   722,   723,   723,
     724,   724,   724,   724,   724,   725,   725,   726,   726,   727,
     727,   727,   728,   728,   729,   730,   730,   731,   731,   732,
     732,   733,   733,   734,   734,   735,   736,   737,   737,   737,
     737,   738,   738,   738,   738,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   739,   739,
     740,   740,   741,   741,   742,   743,   743,   743,   744,   744,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   746,   746,   747,   747,   747,   747,
     747,   748,   748,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   750,   750,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   752,
     752,   752,   752,   752,   752,   752,   752,   752,   752,   752,
     752,   752,   752,   753,   753,   754,   754,   755,   756,   756,
     757,   757,   757,   757,   757,   758,   758,   759,   759,   759,
     759,   760,   760,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   761,   761,   762,
     762,   763,   763,   764,   764,   765,   766,   767,   767,   768,
     768,   769,   769,   770,   771,   771,   772,   772,   772,   773,
     773,   773,   774,   774,   774,   774,   775,   776,   776,   777,
     777,   778,   778,   779,   779,   780,   780,   781,   781,   781,
     782,   782,   783,   783,   783,   784,   784,   784,   785,   785,
     785,   786,   786,   786,   787,   787,   788,   788,   789,   789,
     790,   790,   791,   791,   792,   792,   792,   792,   792,   793,
     793,   793,   793,   793,   794,   795,   796,   796,   796,   797,
     797,   797,   798,   798,   799,   799,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   800,
     800,   800,   800,   801,   801,   802,   802,   803,   804,   804,
     805,   806,   806,   807,   807,   808,   808,   809,   809,   810,
     810,   811,   811,   811,   811,   812,   812,   813,   814,   814,
     815,   815,   816,   816,   816,   817,   817,   817,   818,   819,
     819,   820,   820,   820,   821,   821,   822,   822,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   824,   824,   825,   825,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   828,   829,   829,   829,   830,   830,   831,   831,
     831,   831,   831,   832,   832,   833,   833,   833,   833,   834,
     834,   834,   835,   835,   836,   837,   837,   838,   839,   839,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   841,   841,   841,   842,   842,   842,
     842,   842,   843,   843,   843,   844,   844,   845,   845,   845,
     845,   846,   846,   846,   846,   847,   848,   849,   849,   850,
     850,   850,   850,   850,   850,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   851,   851,   852,   852,   853,
     854,   854,   855,   856,   856,   857,   858,   858,   858,   858,
     858,   858,   858,   859,   859,   860,   861,   861,   861,   861,
     861,   861,   862,   863,   863,   863,   864,   864,   865,   865,
     865,   865,   865,   866,   866,   867,   867,   867,   867,   868,
     868,   869,   869,   870,   870,   871,   871,   872,   872,   873,
     873,   874,   874,   874,   874,   875,   875,   875,   875,   875,
     875,   875,   875,   875,   876,   876,   877,   878,   878,   878,
     879,   879,   879,   880,   880,   881,   881,   882,   882,   882,
     882,   883,   883,   884,   884,   885,   886,   886,   886,   887,
     887,   888,   889,   889,   890,   891,   891,   892,   893,   893,
     894,   894,   894,   894,   894,   894,   894,   894,   895,   895,
     896,   897,   897,   898,   898,   899,   900,   901,   902,   902,
     903,   904,   904,   905,   905,   905,   905,   905,   906,   906,
     906,   907,   907,   908,   908,   909,   909,   909,   909,   909,
     909,   909,   909,   910,   910,   911,   911,   911,   911,   911,
     911,   912,   912,   913,   913,   914,   915,   915,   916,   916,
     916,   917,   917,   917,   917,   917,   917,   917,   917,   917,
     918,   918,   919,   919,   919,   920,   920,   920,   920,   921,
     921,   922,   923,   923,   924,   924,   925,   925,   925,   925,
     926,   926,   927,   927,   927,   928,   928,   929,   929,   930,
     931,   931,   931,   932,   933,   933,   934,   934,   935,   935,
     936,   936,   937,   937,   938,   938,   939,   939,   940,   941,
     941,   941,   941,   942,   942,   943,   943,   944,   944,   945,
     945,   946,   946,   946,   946,   946,   946,   946,   947,   947,
     947,   947,   947,   947,   948,   948,   948,   948,   949,   949,
     950,   950,   950,   950,   950,   951,   951,   951,   951,   952,
     952,   953,   953,   954,   954,   954,   954,   955,   955,   956,
     956,   956,   957,   958,   958,   959,   959,   959,   960,   960,
     961,   961,   962,   963,   963,   963,   963,   963,   963,   964,
     964,   964,   965,   965,   965,   965,   965,   965,   965,   966,
     966,   966,   966,   967,   967,   968,   968,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   970,   970,
     971,   971,   972,   972,   973,   974,   975,   975,   976,   976,
     977,   978,   979,   979,   979,   979,   979,   979,   980,   980,
     981,   981,   982,   982,   982,   982,   983,   984,   984,   984,
     985,   985,   985,   985,   985,   985,   985,   985,   985,   985,
     985,   985,   985,   985,   986,   986,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   988,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   991,
     991,   992,   992,   992,   992,   993,   994,   994,   995,   995,
     996,   996,   997,   997,   997,   998,   998,   998,   998,   999,
     999,  1000,  1000,  1001,  1002,  1002,  1002,  1003,  1004,  1004,
    1005,  1005,  1006,  1006,  1006,  1007,  1007,  1008,  1008,  1008,
    1008,  1008,  1009,  1009,  1009,  1010,  1010,  1010,  1011,  1011,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1013,
    1013,  1014,  1014,  1015,  1015,  1015,  1015,  1015,  1015,  1016,
    1016,  1017,  1017,  1018,  1018,  1019,  1019,  1020,  1020,  1020,
    1021,  1021,  1022,  1022,  1023,  1023,  1023,  1023,  1023,  1023,
    1023,  1023,  1024,  1024,  1025,  1026,  1026,  1027,  1027,  1027,
    1027,  1027,  1027,  1028,  1029,  1030,  1030,  1030,  1031,  1031,
    1032,  1033,  1033,  1034,  1035,  1035,  1036,  1036,  1037,  1037,
    1038,  1038,  1038,  1038,  1039,  1039,  1040,  1040,  1041,  1041,
    1042,  1042,  1043,  1043,  1044,  1045,  1045,  1046,  1046,  1046,
    1046,  1047,  1047,  1048,  1048,  1049,  1049,  1050,  1051,  1052,
    1053,  1054,  1055,  1056,  1056,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1058,  1059,  1060,  1060,  1060,  1060,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1065,  1065,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1068,  1067,  1069,  1070,  1070,  1070,  1070,
    1071,  1071,  1071,  1071,  1072,  1072,  1073,  1074,  1075,  1075,
    1076,  1076,  1076,  1077,  1077,  1078,  1078,  1079,  1079,  1080,
    1080,  1080,  1080,  1081,  1081,  1081,  1082,  1083,  1083,  1084,
    1084,  1085,  1085,  1085,  1085,  1086,  1086,  1087,  1088,  1089,
    1090,  1090,  1091,  1092,  1092,  1093,  1093,  1093,  1093,  1093,
    1095,  1094,  1096,  1097,  1098,  1098,  1099,  1099,  1099,  1099,
    1100,  1100,  1102,  1101,  1104,  1103,  1105,  1103,  1103,  1106,
    1106,  1107,  1107,  1107,  1108,  1108,  1108,  1108,  1109,  1109,
    1110,  1110,  1110,  1110,  1110,  1110,  1111,  1111,  1111,  1112,
    1114,  1113,  1115,  1116,  1115,  1117,  1117,  1118,  1118,  1119,
    1119,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1122,  1122,  1123,  1123,  1124,  1125,  1125,  1126,  1126,  1126,
    1127,  1128,  1129,  1129,  1129,  1129,  1130,  1130,  1130,  1131,
    1131,  1132,  1132,  1133,  1134,  1134,  1135,  1135,  1136,  1136,
    1137,  1137,  1138,  1139,  1139,  1140,  1140,  1140,  1141,  1141,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1142,  1142,  1142,
    1142,  1142,  1143,  1143,  1144,  1145,  1146,  1147,  1147,  1148,
    1149,  1150,  1150,  1151,  1152,  1152,  1153,  1154,  1155,  1155,
    1156,  1157,  1158,  1158,  1159,  1160,  1160,  1160,  1160,  1160,
    1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,  1161,  1161,  1162,  1162,  1163,  1163,  1164,
    1164,  1164,  1166,  1165,  1167,  1167,  1169,  1168,  1170,  1170,
    1170,  1171,  1171,  1171,  1171,  1171,  1171,  1171,  1171,  1171,
    1172,  1172,  1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,
    1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,
    1173,  1173,  1173,  1173,  1173,  1173,  1174,  1174,  1174,  1174,
    1174,  1174,  1175,  1175,  1175,  1175,  1175,  1175,  1175,  1176,
    1177,  1177,  1177,  1177,  1177,  1177,  1177,  1177,  1178,  1178,
    1178,  1178,  1178,  1178,  1178,  1179,  1179,  1179,  1179,  1179,
    1179,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1181,  1181,  1181,  1181,  1181,  1182,  1182,  1182,
    1182,  1183,  1183,  1183,  1183,  1183,  1183,  1183,  1184,  1184,
    1184,  1185,  1185,  1185,  1185,  1185,  1185,  1186,  1186,  1187,
    1188,  1188,  1189,  1189,  1190,  1191,  1192,  1193,  1193,  1193,
    1194,  1195,  1196,  1197,  1198,  1198,  1198,  1198,  1198,  1199,
    1200,  1200,  1200,  1201,  1201,  1202,  1202,  1202,  1203,  1203,
    1204,  1204,  1205,  1205,  1206,  1206,  1206,  1206,  1206,  1207,
    1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,
    1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,
    1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,
    1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,
    1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,
    1207,  1207,  1207,  1207,  1207,  1208,  1208,  1208,  1208,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1210,  1210,
    1210,  1210,  1210,  1211,  1211,  1212,  1212,  1213,  1213
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     5,     1,     0,
       2,     0,     2,     0,     2,     2,     3,     3,     1,     3,
       3,     2,     1,     1,     2,     2,     2,     3,     3,     5,
       5,     0,     3,     5,     5,     5,     4,     3,     5,     3,
       5,     5,     6,     1,     1,     3,     5,     6,     4,     9,
       7,     1,     0,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     3,     3,     2,     2,     2,     2,     3,     3,     3,
       3,     1,     3,     1,     3,     1,     1,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     3,     6,     1,
       1,     1,     1,     1,     0,     1,     1,     2,     3,     4,
       3,     2,     2,     1,     2,     1,     3,     4,     5,     4,
       2,     4,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     4,     6,     4,     6,     4,     6,     4,     6,     5,
       7,     1,     3,     2,     3,     4,     6,     6,     6,     5,
       5,     6,     6,     4,     8,     4,     2,     3,     6,     4,
       3,     3,     3,     3,     3,     4,     4,     3,     3,     3,
       3,     3,     3,     4,     4,     3,     2,     3,     2,     2,
       3,     3,     2,     2,     1,     3,     2,     1,     1,     0,
       2,     0,     2,     0,     3,     2,     0,     1,     3,     3,
       1,     5,     3,     4,     1,     3,     4,     6,     4,     8,
       2,     2,    11,     7,     1,     1,     1,     0,     1,     1,
       1,     1,     3,     2,     0,     1,     1,     1,     3,     3,
       1,     1,     3,     3,     3,     3,     4,     2,     1,     0,
       2,     0,     3,     0,     1,     0,     1,     3,     2,     1,
       1,     1,     3,     0,     1,     3,     1,    11,    14,    10,
      13,     1,     1,     2,     2,     2,     2,     1,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     4,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     7,     3,     8,     4,     9,    11,
       2,     0,     3,     0,     1,     3,     1,     2,     2,     2,
       0,     1,     3,     3,     6,     4,     0,     1,     1,     2,
       2,     0,     3,     3,     2,     1,     1,     2,     2,     4,
       0,     2,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     5,     2,     3,     0,     8,     4,
       1,     0,     5,     5,     4,     6,     1,     0,     1,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       1,     3,     1,     0,     1,     2,     1,     1,     3,     6,
      10,     1,     0,     1,     2,     2,     0,     2,     2,     1,
       0,     5,     7,     1,     0,     6,     2,     0,     3,     5,
       5,     8,     2,     0,     2,     2,     2,     5,     2,     0,
       2,     7,    10,     6,     6,     6,     6,     7,     7,     9,
       9,     6,     7,     6,     8,     8,     8,     8,     6,     6,
       7,     7,     8,     6,     6,     7,     2,     2,     2,     2,
       1,     2,     1,     0,     6,     8,     7,     6,     4,     0,
       1,     3,     4,     1,     3,     1,     2,     2,     2,     2,
       1,     1,    10,     2,     0,     2,     2,     1,     0,     4,
       6,     5,     4,     4,    10,    13,     5,     7,     8,     1,
       1,     1,     7,     9,     8,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,     6,     8,    11,    13,     1,     3,     5,     1,
       3,     5,     1,     2,     2,     1,     8,     4,     5,     4,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     6,
       4,     5,     3,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     1,     3,     3,     1,     0,
       1,     3,     7,     9,     9,     3,     0,    13,     1,     3,
       5,     6,     4,     7,     2,     1,     0,     2,     0,     2,
       4,     0,     1,     0,     6,     8,     8,     1,     3,     5,
       5,     7,     9,     7,     9,     5,     6,     6,     4,     5,
       7,     1,     1,     1,     2,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     3,
       1,     2,     2,     3,     5,     2,     2,     0,     6,     7,
       7,     7,     8,     8,     6,     8,     9,     9,     7,    10,
       7,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     1,     3,     2,
       3,     3,     3,     3,     1,     1,     8,     9,     9,     9,
       9,     2,     0,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     2,     2,
       3,     4,     5,     4,     5,     3,     4,     3,     4,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     4,
       4,     4,     4,     1,     1,     1,     0,     7,     7,    10,
       1,     1,     2,     4,     5,     1,     3,     2,     2,     2,
       2,     1,     2,     2,     4,     3,     2,     2,     2,     2,
       3,     2,     2,     2,     5,     5,     5,     1,     3,     1,
       2,     3,     0,     1,     3,     2,     6,     6,     9,     3,
       0,     3,     0,     5,     2,     0,     3,     3,     3,     7,
       7,    10,     1,     1,     1,     1,    14,     1,     0,     1,
       0,     1,     0,     2,     0,     1,     3,     5,     5,     7,
       2,     0,     1,     2,     0,     1,     1,     0,     1,     1,
       0,     9,    12,     7,     2,     0,     3,     2,     1,     3,
       3,     2,     1,     3,     3,     3,     2,     2,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     4,     5,     1,
       3,     3,     1,     2,     4,     5,     1,     1,     1,     1,
       3,     3,     2,     2,     1,     2,     2,     2,     1,     2,
       2,     1,     1,     1,     3,     2,     0,     2,     1,     3,
       5,     1,     2,     1,     0,     5,     7,     5,     7,     5,
       7,     3,     5,     5,     5,     1,     3,     2,     1,     2,
       1,     2,    11,    10,    10,     2,     2,     0,     9,     2,
       0,     4,     4,     4,     1,     1,     1,     0,     7,     6,
       6,     6,     6,     8,     8,     6,     6,     7,     9,     9,
       6,     6,     6,     8,     6,     8,     6,     8,     7,     9,
       6,     8,     7,     9,     8,    10,     9,    11,     8,     9,
      11,     8,     8,     7,     6,     6,     6,     5,     5,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       6,     6,     6,     6,     6,     7,     9,     9,     6,     8,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       7,     9,     6,     7,     6,     6,     6,     6,     6,     7,
       7,     7,     9,     9,     6,     6,     6,     8,     8,     8,
       6,     7,    13,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     0,     6,     8,     3,     2,     0,     2,     2,     2,
       2,     3,     3,     2,     2,     2,     2,     3,     2,     5,
       4,     3,     3,     3,     1,     1,     0,     3,     2,     2,
       1,     2,     1,     3,     2,     1,     0,     9,    11,    11,
      13,     3,     4,     4,     0,     2,     5,     2,     0,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     4,     3,     3,     1,     0,     5,     6,     4,
       2,     0,     4,     3,     5,     6,     4,     6,     6,     5,
       7,     9,     6,     1,     0,     6,    11,    11,    11,    13,
       9,    11,    10,     4,     2,     5,     2,     0,     4,     5,
       5,     4,     6,     1,     3,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     0,     1,     0,     1,     0,     3,
       0,     2,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     2,     1,     1,     1,
       1,     1,     0,     5,     4,     3,     0,     1,     1,     1,
       1,     4,     9,     3,     0,     6,     1,     4,     2,     1,
       3,     2,     3,     0,     7,     2,     0,     5,     3,     0,
       2,     2,     2,     3,     1,     3,     1,     2,     1,     0,
       8,     1,     3,     1,     1,     3,     5,     2,     1,     3,
       7,     1,     1,     0,     3,     2,     2,     2,     0,     2,
       2,     1,     1,     3,     3,     1,     2,     4,     4,     2,
       3,     5,     5,     1,     1,     9,     1,     2,     4,     4,
       4,     2,     3,     1,     3,     6,     1,     0,     2,     1,
       0,     3,     3,     4,     4,     4,     4,     3,     2,     1,
       1,     0,     1,     1,     0,     1,     5,     1,     0,     1,
       0,     3,     1,     3,     4,     3,     2,     2,     1,     1,
       1,     0,     2,     4,     5,     2,     3,     1,     1,     1,
       1,     3,     0,     1,     1,     1,     1,     1,     3,     0,
       2,     0,     1,     3,     1,     0,     1,     2,     3,     2,
       4,     2,     3,     2,     0,     2,     3,     2,     0,     1,
       3,     2,     2,     3,     2,     3,     1,     4,     3,     4,
       5,     4,     5,     4,     5,     2,     4,     1,     1,     0,
       1,     4,     5,     4,     0,     2,     2,     2,     1,     1,
       0,     4,     2,     1,     2,     2,     4,     1,     3,     1,
       2,     3,     1,     2,     0,     2,     4,     0,     1,     0,
       1,     3,     3,     2,     3,     5,     6,     2,     3,     3,
       4,     0,     1,     1,     1,     1,     1,     2,     5,     1,
       1,     1,     1,     2,     3,     3,     0,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     1,     3,     0,
       1,     1,     1,     1,     5,     2,     1,     1,     1,     1,
       5,     2,     2,     2,     1,     3,     3,     2,     1,     0,
       3,     0,     5,     2,     5,     2,     1,     2,     3,     0,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     0,     1,     4,     1,     3,     3,     5,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     3,     3,     2,     3,     5,     4,
       6,     3,     5,     4,     6,     4,     6,     5,     7,     3,
       2,     4,     2,     3,     3,     4,     3,     4,     3,     4,
       5,     6,     6,     7,     6,     7,     6,     7,     3,     4,
       4,     6,     2,     3,     4,     1,     3,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     5,     6,     6,     7,     3,     4,     1,     1,     2,
       4,     1,     1,     1,     2,     2,     2,     2,     1,     4,
       5,     6,     8,     6,     7,     7,     5,     5,     1,     1,
       4,     1,     4,     1,     4,     1,     4,     1,     1,     1,
       1,     1,     1,     6,     4,     4,     4,     4,     6,     5,
       5,     5,     4,     6,     4,     4,     4,     4,     5,     7,
       7,     9,     5,     4,     6,     5,     7,     7,     7,     2,
       3,     3,     3,     4,     0,     4,     1,     3,     3,     1,
       1,     1,     2,     2,     0,     2,     4,     4,     6,     2,
       0,     1,     3,     3,     2,     2,     0,     6,     1,     0,
       3,     0,     2,     2,     0,     1,     4,     2,     2,     2,
       2,     2,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     1,     4,     1,     4,     1,     2,     1,     2,     1,
       3,     1,     3,     1,     3,     1,     3,     3,     3,     2,
       1,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     3,     2,     3,     0,     3,     3,     2,
       2,     1,     0,     2,     2,     3,     2,     1,     1,     3,
       5,     1,     2,     4,     2,     0,     1,     0,     1,     2,
       2,     2,     3,     5,     1,     2,     0,     2,     1,     0,
       1,     1,     1,     3,     3,     1,     3,     3,     2,     1,
       1,     1,     3,     1,     2,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       2,     5,     2,     3,     6,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     2,     4,     3,     2,     1,     1,
       1,     1,     1,     0,     8,     2,     5,     3,     2,     2,
       3,     7,     1,     1,     1,     0,     2,     2,     1,     0,
       1,     3,     1,     2,     0,     2,     0,     2,     0,     1,
       3,     4,     3,     1,     1,     1,     1,     2,     0,     2,
       4,     0,     2,     2,     2,     1,     1,     7,     3,     1,
       1,     1,     1,     2,     0,     1,     3,     3,     3,     3,
       0,     4,     5,     5,     0,     1,     1,     1,     2,     2,
       1,     2,     0,     7,     0,     5,     0,     4,     2,     2,
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     5,     2,     1,     3,     2,     2,     3,
       0,     5,     1,     0,     5,     2,     2,     1,     1,     1,
       2,     2,     3,     1,     2,     2,     3,     3,     4,     2,
       1,     2,     1,     1,     2,     2,     3,     1,     1,     1,
       1,     0,     1,     3,     5,     0,     2,     0,     1,     2,
       3,     2,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     2,     2,     3,     0,     1,     2,     1,     4,     3,
       4,     3,     2,     1,     3,     1,     1,     1,     1,     2,
       2,     1,     2,     2,     1,     1,     1,     4,     4,     4,
       4,     4,     1,     0,     3,     3,     4,     1,     3,     3,
       4,     1,     3,     3,     1,     1,     1,     6,     1,     3,
       3,     6,     1,     3,     3,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     4,     1,     1,     4,
       4,     3,     0,     7,     1,     0,     0,     7,     3,     4,
       3,     1,     1,     1,     2,     3,     5,     2,     5,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       0,     1,     2,     1,     2,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     1,     2,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     3,     2,     3,     1,
       3,     3,     3,     3,     3,     3,     1,     1,     0,     2,
       2,     1,     1,     2,     1,     1,     1,     0,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2313,     0,     2,     1,  2743,  2747,  2751,  2752,  2669,  2753,
    2754,  2719,  2720,  2721,  2722,  2723,  2724,  2725,  2726,  2727,
    2728,  2729,  2730,  2732,  2731,  2733,  2734,  2735,  2736,  2737,
    2738,  2739,  2740,  2742,  2741,  2691,  2320,  2688,  2685,  2686,
    2687,  2692,  2690,  2683,  2684,  1920,  2756,  2744,  2757,  2745,
    2746,  2748,  2749,  2718,  2750,  2758,  2759,  2760,  2755,  2763,
    2714,  2715,  2713,  2716,  2717,  2761,  2762,  2705,  2706,  2707,
    2708,  2764,  2321,  2322,  2710,  2314,  2318,  2380,  2451,  2711,
    2712,  2709,  2319,  2704,  2451,     0,  2572,  2573,  2574,     0,
    2575,  2576,  2577,  2503,  2465,  2578,     0,     0,  2579,  2580,
    2581,  2582,  2583,  2584,  2585,  2586,     0,  2587,  2588,  2589,
    2590,  2450,  2591,  2592,  2593,  2594,  2595,  2427,  2433,  2556,
       0,  2407,  2408,  2404,  2406,  2405,  2409,  2392,  1196,   544,
    1282,  1281,     0,  2215,  1196,  2171,  2172,  2216,  2173,  2174,
    2175,   256,     0,  1284,  2176,  2217,     0,  1196,  2218,   369,
     965,  2219,  2220,  2335,     0,  2177,  2178,     0,     0,     0,
     544,  1196,     0,     0,  2179,  1397,  2180,     0,  2181,  2221,
    2222,     0,  2182,  2223,  2224,  2183,  2184,  2185,  2225,  2226,
    2227,  2186,  2228,  2229,     0,     0,  1411,     0,  2187,  2230,
    2188,  2189,     0,  2231,  2190,  2191,  2192,  2232,  2233,  2234,
    2193,  2194,  2195,     0,  2196,     0,     0,     0,     0,     0,
       0,  2235,  1196,  2197,     0,     0,  1418,     0,  2198,     0,
    2236,  2199,     0,  2200,     0,  2201,  2202,  2203,  2204,  1411,
    2552,  2428,     0,  1286,     0,  2205,  2237,     0,  2206,  2207,
    2208,  2209,  2210,  2211,  2212,  2213,  2214,     0,     0,    57,
      58,    22,    21,    27,    26,    80,    81,    45,    15,    71,
      51,   114,   113,   115,    33,    29,    65,    19,    20,    30,
      34,    53,    46,    92,    52,    18,    50,    75,    54,    78,
      40,     9,    10,    41,    69,    11,    42,    70,    12,    43,
      13,    59,    82,    25,    55,    79,    56,     3,    36,    67,
      63,     8,    47,    48,    49,    72,    73,    74,    97,    77,
     109,    32,   106,    86,    87,   103,    88,   104,     6,    89,
      44,    14,   100,    99,   101,    66,    37,    68,    98,   102,
      16,    17,   105,    76,    95,    91,   110,   108,   116,    93,
      60,     4,     5,    83,    39,     7,    24,    23,    38,    31,
     112,    28,  1284,    85,    96,    84,    90,    64,    94,   111,
      62,   107,  1384,  1371,  1420,  1383,  1396,     0,  1386,  2648,
    2649,    35,  1397,   118,   119,   124,  2317,  2369,  2370,  2371,
    2451,  2402,  2403,  2396,  2412,  2422,  2411,  2415,  2423,  2410,
    2429,     0,   121,   123,   125,   128,   122,   117,   120,   127,
     132,   126,   131,   129,   130,   133,   134,   135,  2650,  1603,
    2647,    61,  2387,  2386,     0,  2451,     0,  2596,  2597,  2598,
    2599,  2600,  2601,  2651,  2652,  2653,  2654,  2655,  2657,  2656,
    2680,  1926,  1927,  1928,  1929,  1930,  1931,  1932,  1933,  1934,
    1935,  1936,  1937,  1938,  1939,  1940,  1941,  1942,  1943,  1944,
    1945,  1946,  1947,  1948,  1949,  1950,  2623,  1951,  1952,  1953,
    1954,  1955,  1956,  1957,  1958,  1959,  1960,  2660,  1961,  1962,
    1963,  1964,  1965,  1966,  1967,  1968,  1969,  1970,  1971,  2661,
    1972,  1973,  1974,  1975,  1976,  1977,  1978,  1979,  1980,  1981,
    1982,  1983,  1984,  1985,  1986,  1987,  1988,  1989,  1990,  1991,
    1992,  1993,  1994,  1995,  1996,  1997,  1998,  1999,  2000,  2001,
    2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,  2011,
    2012,  2662,  2013,  2014,  2015,  2016,  2017,  2018,  2019,  2020,
    2021,  2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,
    2031,  2032,  2033,  2034,  2035,  2036,  2037,  2038,  2039,  2040,
    2041,  2042,  2043,  2044,  2045,  2046,  2047,  2663,  2048,  2049,
    2664,  2050,  2051,  2052,  2053,  2054,  2055,  2056,  2057,  2058,
    2059,  2060,  2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,
    2069,  2070,  2071,  2072,  2073,  2074,  2077,  2075,  2076,  2078,
    2079,  2080,  2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,
    2089,  2090,  2091,  2092,  2093,  2094,  2095,  2096,  2097,  2098,
    2099,  2100,  2101,  2102,  2103,  2104,  2105,  2106,  2107,  2108,
    2109,  2110,  2665,  2111,  2112,  2113,  2114,  2115,  2116,  2117,
    2118,  2119,  2120,  2121,  2122,  2123,  2124,  2125,  2126,  2127,
    2128,  2129,  2130,  2131,  2132,  2133,  2134,  2135,  2136,  2137,
    2138,  2139,  2335,  2140,  2141,  2142,  2143,  2144,  2145,  2146,
    2147,  2148,  2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,
    2157,  2158,  2624,  2159,  2160,  2161,  2162,  2163,  2164,  2165,
    2166,  2167,  2168,  2666,  2169,  2170,  2353,  2658,  2620,  2328,
    2349,  2621,  2570,  2571,  1921,  2622,  2619,  2659,  2355,  2676,
    2354,  2618,  2502,     0,     0,  2464,  2463,  2467,  2466,  2468,
    2461,  2462,  1898,  2356,  2472,  2471,  1361,  2675,  1897,  1362,
       0,  2474,  2602,  2603,  2604,  2605,  2607,  2606,  2608,  2238,
    2239,  2240,  2241,  2242,  2243,  2244,  2245,  2246,  2247,  2248,
    2249,  2633,  2250,  2251,  2252,  2646,  2253,  2254,  2634,  2255,
    2256,  2257,  2258,  2259,  2260,  2261,  2262,  2263,  2264,  2265,
    2266,  2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,  2275,
    2276,  2277,  2278,  2635,  2636,  2279,  2280,  2281,  2282,  2283,
    2284,  2285,  2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,
    2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,  2637,
    2303,  2304,  2638,  2305,  2306,  2307,  2639,  2308,  2309,  2310,
    2311,  2312,  2643,  2644,  2645,  2632,  2425,  2609,  2631,  2642,
    2640,  2641,  2435,  2431,  2439,  2434,     0,     0,     0,     0,
    2451,  1195,  1194,  1180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   543,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2325,     0,  1206,   341,   340,  1283,  1264,
     544,     0,  1183,   368,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   182,     0,     0,   392,   391,     0,     0,
       0,   937,   397,     0,     0,     0,     0,     0,   532,  2334,
    2329,  2339,     0,  2332,  2333,  2618,     0,  2767,  2075,  2365,
    2366,  2765,  2125,  1363,   257,   260,   258,   259,     0,  1037,
    1038,  1040,     0,     0,  1050,   770,   771,     0,   769,     0,
     773,     0,     0,     0,   765,     0,     0,     0,     0,     0,
     772,   762,     0,   761,     0,     0,     0,   768,     0,   763,
       0,     0,  1184,     0,  2417,  2418,  2015,  1324,   398,     0,
       0,  1397,     0,  1301,  1302,  1284,  1291,  1303,  1296,  1298,
    1297,  1299,  1295,  1300,  1927,   876,  1941,   876,  2005,   873,
     874,   876,   876,   876,  2092,     0,     0,   848,     0,   859,
    1922,   876,  1923,  2676,   881,   453,   453,   453,     0,   880,
     885,   453,  1177,  1215,  1902,  1410,     0,  1941,  2005,   849,
    1176,  2140,  1316,     0,     0,     0,  1054,     0,  1055,     0,
    2107,  1188,   241,  2616,  2116,  2201,  2140,  2617,   237,  2611,
    2612,  2614,   211,  2615,  2613,  2610,  1931,     0,     0,   880,
       0,  1185,  1186,   832,  1417,  1415,     0,     0,     0,  1949,
       0,  1961,  2041,   234,  2103,  2108,  2116,  2201,  2140,  2168,
     191,   196,     0,   250,  2116,  2201,  2140,     0,  1206,     0,
    1387,  1503,  1893,     0,     0,  2426,  1179,  1178,  1285,     0,
    1288,     0,  1465,  2088,  1391,  1393,  1290,  1384,     0,     0,
    2316,  1279,  1414,  1414,     0,  1414,     0,  1376,  1384,  1379,
    1383,     0,     0,     0,     0,  1196,     0,  2394,  2422,  2401,
    2457,  2398,     0,     0,  2447,  2443,  2440,  2448,  2449,  2442,
    2430,  1592,  1593,  1594,  1591,  1604,  1590,     0,  2375,  1595,
    2414,  2381,     0,  2389,  2388,  2693,  2694,  2504,  2327,  2346,
       0,     0,     0,     0,     0,     0,     0,  2473,  2475,  2477,
    2437,  2436,  2432,     0,     0,     0,     0,  2562,  2563,  2561,
       0,  2558,  2560,     0,  2457,     0,  2627,  2621,  2630,     0,
    1903,  2622,  2619,  2618,     0,   780,     0,   139,   925,     0,
       0,     0,     0,  1897,     0,     0,     0,     0,     0,  2014,
       0,     0,     0,  1798,  1953,  2001,  1808,  1806,  1807,  1800,
    1801,  1802,  1803,  1804,  1805,     0,  1035,  1799,     0,   161,
     139,     0,     0,  2014,     0,     0,  2014,     0,     0,     0,
       0,     0,  2044,   139,  2014,     0,     0,     0,  1200,     0,
       0,     0,  1202,  1205,  1181,  1267,     0,  1893,     0,     0,
     811,   801,     0,   812,   802,   807,     0,   814,     0,     0,
     804,     0,     0,     0,   815,     0,   803,   805,   817,   806,
     813,     0,     0,   808,   809,     0,     0,  1192,   453,   347,
       0,     0,     0,     0,     0,   139,  1254,     0,  2014,   139,
       0,     0,   396,   395,   139,   394,   393,  1953,  2001,     0,
     964,   139,  2014,     0,   184,   614,   547,     0,     0,   692,
    2044,   139,     0,     0,     0,     0,     0,     0,   940,     0,
       0,   531,   544,     0,  2338,  2344,     0,  2336,  2505,  2768,
    2766,  2460,     0,  1041,   235,   236,  1039,  2014,     0,   319,
       0,     0,  2014,  1243,   767,     0,   766,  2014,     0,  2014,
     175,  1895,     0,   764,  1953,  2001,  2014,     0,     0,  2014,
     167,  2014,     0,  2014,   319,  2014,   548,     0,  2014,     0,
    2014,  2044,   169,     0,  2014,   319,   778,     0,     0,  2698,
    2702,     0,  2700,  2695,  2416,  2470,  2469,  2368,     0,  2778,
       0,  1363,  1293,  2624,  1309,  1308,     0,  1304,  1312,  1307,
    1397,   876,   875,     0,   876,     0,  2787,   876,     0,   876,
       0,  2787,   876,     0,     0,     0,   876,  1924,  1925,     0,
       0,  2786,  2784,  2785,   850,   860,     0,   882,     0,     0,
     889,   888,   887,     0,     0,     0,   890,  1507,  1339,     0,
     857,     0,   855,     0,  1174,  1191,     0,     0,     0,     0,
       0,  1057,  1057,  1057,  1187,   240,   238,     0,     0,     0,
       0,     0,     0,  1193,     0,     0,     0,     0,  2682,  1909,
    1809,  2681,     0,  2172,  2173,  2174,  1867,     0,  2623,  2175,
    2176,  2217,  1721,  1708,  1717,  1722,  1709,  1711,  1718,  2177,
    2178,  1985,  2179,  2180,  1916,  2181,  2182,  1547,  2184,  2185,
    2186,  1713,  1715,  2187,  2188,     0,  1917,  2190,  2191,  2063,
    2193,  2194,  2196,  2197,  1719,  2199,  2200,  2201,  2202,  2203,
    2204,  1915,     0,  1720,  2205,  2207,  2208,  2209,  2210,  2211,
    2212,  2213,  2214,     0,     0,  1890,     0,  1693,     0,  1539,
    1540,  1562,  1563,  1541,  1568,  1569,  1581,  1542,     0,  1889,
    1606,  1692,  1698,     0,  1691,  1687,  1400,  1885,     0,  1688,
    1905,  1868,  1919,  1918,  2676,  1876,  1908,  1906,  1907,     0,
       0,     0,   203,     0,     0,  2551,   252,     0,   253,  1891,
    2116,   192,   233,   205,   232,   206,   204,     0,  1951,   193,
       0,     0,   194,     0,     0,     0,     0,     0,     0,     0,
     246,  1182,     0,  1505,  1504,     0,     0,  1874,  1894,   787,
       0,  1277,  1278,  1276,     0,  1273,  1275,  1287,  1284,  1881,
    1880,  1882,     0,  1392,     0,     0,     0,  1374,  1373,  1290,
    1412,  1413,     0,     0,     0,     0,     0,     0,     0,     0,
    1455,  1428,  1429,  1431,  1452,  1456,  1464,     0,  1380,     0,
       0,  1509,     0,  1466,  2315,  2457,  2458,     0,  2452,     0,
    2451,  2451,  2445,  2444,  2441,     0,     0,     0,     0,     0,
       0,     0,  2372,   526,  2374,   524,     0,     0,  2348,     0,
    2352,  2350,     0,  2497,  2500,     0,  2498,  2499,  2501,     0,
    2506,  2507,     0,     0,     0,  2689,     0,     0,  2488,  2476,
    2483,  2485,  2487,  2486,  2495,  2491,  2494,  2496,  2438,  2451,
    2569,     0,  2564,  2567,     0,  2559,     0,     0,     0,  1904,
       0,     0,     0,     0,   781,     0,     0,     0,     0,     0,
       0,   138,  1241,   243,  1239,     0,     0,     0,     0,     0,
       0,     0,  1246,     0,     0,   173,   174,   559,   544,     0,
    2014,     0,     0,     0,     0,   997,  1004,     0,     0,     0,
       0,     0,     0,     0,   998,   996,   999,   245,  1008,  1021,
    1024,     0,   915,     0,     0,     0,     0,  1106,     0,     0,
    1106,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   263,   271,   314,     0,  2014,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   143,     0,     0,     0,
       0,     0,     0,   511,   523,     0,     0,     0,     0,     0,
     520,     0,   139,   265,   504,   508,     0,     0,     0,   623,
     622,     0,  1106,     0,   261,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     333,   334,     0,     0,     0,   143,   166,     0,     0,     0,
     267,     0,  2382,     0,  1201,  1198,  1199,     0,  1204,     0,
    1263,     0,     0,     0,     0,   819,     0,   816,     0,     0,
     810,  1953,  2001,     0,     0,     0,     0,     0,     0,   371,
     346,     0,     0,     0,   689,     0,  1550,  1579,  1557,  1579,
    1579,  1546,  1546,  1559,  1548,  1586,     0,  1579,  1546,  1551,
       0,  1549,  1589,  1589,  1574,     0,  1531,  1532,  1533,  1534,
    1560,  1561,  1535,  1566,  1567,  1536,  1603,  2628,  1546,  2629,
    2626,  2625,     0,     0,   700,     0,  1218,  1253,     0,     0,
       0,   553,     0,  2014,     0,   141,   736,     0,   690,   397,
       0,   141,     0,     0,   178,     0,   618,     0,     0,     0,
       0,     0,     0,   638,   637,     0,     0,     0,   691,     0,
     141,     0,   507,  2014,     0,   453,   453,     0,     0,   939,
     942,     0,     0,     0,  2342,  2337,  2340,     0,  2330,  2344,
    1366,  1368,  1367,     0,  1365,     0,   319,   317,   318,   687,
    1049,     0,     0,     0,     0,   319,     0,     0,  2014,   319,
    2014,     0,  2014,     0,     0,   319,   319,     0,     0,     0,
       0,   619,     0,   777,   775,   774,   776,     0,     0,     0,
       0,     0,  2014,   319,     0,     0,   758,  2696,     0,     0,
    2699,     0,  2419,  1819,     0,  2781,  1321,  2782,     0,     0,
    1397,     0,   222,   223,   221,  1310,   224,  1311,  1306,  1292,
       0,   868,     0,  2787,  2788,   853,     0,   863,     0,  2787,
     851,     0,   864,   861,   862,     0,     0,     0,  2783,  2667,
    2673,   867,     0,     0,   454,   456,     0,     0,  1971,  1984,
       0,  2006,  2032,  2033,  2108,  2112,     0,  2135,  2144,     0,
     891,   920,   886,     0,     0,  1349,   858,   856,  1175,  1314,
    1825,     0,  1397,     0,   497,  1056,  1053,  1052,  1051,   239,
     212,     0,     0,     0,   922,  2107,  1190,   831,   544,     0,
       0,  1696,  1697,  1578,  1565,  1866,     0,     0,  1573,  1572,
       0,     0,     0,     0,     0,  1555,  1554,  1553,  1695,  1833,
       0,  1552,     0,     0,     0,     0,  1579,  1579,  1577,  1626,
       0,  1556,     0,     0,  1846,     0,  1852,     0,     0,     0,
    1585,     0,  1583,     0,     0,  1662,     0,     0,     0,     0,
       0,     0,     0,     0,  1610,  1611,  1693,  1819,     0,  1694,
    1912,     0,     0,  1571,     0,  1603,  1809,     0,     0,     0,
       0,  1879,     0,  1817,     0,     0,  1640,  1815,     0,  1642,
       0,     0,     0,  1808,  1806,  1807,  1800,  1801,  1802,  1803,
    1804,  1805,  1813,  1623,     0,  1888,     0,  1622,     0,     0,
    1468,  1399,     0,  1910,  1869,     0,  2674,  2677,  1689,  2548,
    2547,  2546,  2545,  2516,     0,  2510,  2511,     0,  2549,  2550,
     254,   255,   251,     0,     0,   208,   207,     0,   230,   231,
     202,   229,     0,   225,   226,   210,  1761,  1760,   209,   201,
     199,   197,   213,   215,   216,   200,   198,   249,   247,     0,
       0,     0,  1871,  1870,  1900,  1875,     0,     0,   319,  2451,
    1271,     0,  1268,  1884,     0,  1394,     0,     0,  1280,  1390,
    1389,  1421,  1422,   957,  1388,  1446,  1447,  1442,     0,     0,
       0,  1461,  1459,  1438,  1432,  1437,  1435,     0,  1439,  1606,
    1454,  1378,  1426,  1427,  1430,  1377,     0,  1457,     0,  1349,
    1455,  1431,  1336,     0,     0,  1510,     0,     0,  2459,  2457,
    2397,  1531,  2451,  2390,  2451,  2446,  2378,  1597,  1598,  1599,
    1600,  1601,  1602,  2379,     0,  2376,  1596,  2377,   525,     0,
       0,     0,  2345,     0,  2326,  2351,  2482,  2591,  2514,     0,
    2515,     0,     0,  2479,     0,  2489,  2492,  2490,  2493,     0,
    1531,  2670,  2565,  2670,  1531,     0,     0,     0,     0,     0,
       0,     0,     0,   782,     0,     0,     0,     0,     0,     0,
    2135,   242,  1237,     0,     0,     0,     0,   924,   923,     0,
       0,   944,     0,     0,     0,  1249,   442,     0,   316,     0,
       0,     0,     0,     0,     0,     0,     0,   685,   682,     0,
       0,   681,     0,   557,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   593,     0,  1106,     0,   626,     0,  1006,     0,
    1005,     0,     0,     0,  1007,  1002,  1003,  2108,  2116,  2140,
     244,  1023,     0,  1022,  1020,   979,   981,   980,     0,   983,
     967,     0,   968,     0,     0,   978,   986,   984,     0,     0,
       0,     0,  1994,   273,   286,     0,  1105,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   306,     0,   309,
     308,     0,     0,     0,     0,   313,     0,     0,     0,   312,
       0,     0,     0,     0,  1106,     0,   269,     0,     0,     0,
       0,     0,     0,  1036,     0,   164,     0,   160,   163,     0,
       0,     0,     0,   510,   522,     0,   514,   515,   512,   516,
     517,     0,     0,     0,     0,     0,     0,   509,     0,     0,
     616,   615,   621,     0,     0,     0,     0,     0,     0,     0,
    1098,  1097,     0,     0,     0,     0,     0,     0,   726,     0,
       0,     0,     0,     0,     0,     0,   629,   630,     0,   631,
       0,   165,     0,     0,     0,     0,     0,     0,     0,   220,
    1197,  1203,  1266,  1901,  1265,     0,     0,     0,   818,     0,
       0,     0,     0,     0,     0,     0,   820,   821,   822,   823,
       0,     0,     0,     0,     0,   349,   350,   139,   348,     0,
     715,  2625,   688,     0,  1531,     0,  1527,  1523,  1592,  1591,
    1590,     0,  1537,  1546,  1543,   701,     0,   703,   706,     0,
    1216,   415,     0,     0,   550,   593,     0,   400,   171,     0,
       0,     0,     0,   137,   182,   184,   398,     0,   183,   185,
     187,   188,   189,   186,   190,   613,   617,     0,   546,     0,
       0,     0,     0,     0,   639,   643,   642,   646,   644,     0,
     640,     0,     0,  1519,     0,   159,     0,   503,   506,     0,
    2323,     0,   400,   484,   326,     0,   453,     0,     0,   941,
       0,     0,     0,     0,     0,  2343,     0,     0,     0,     0,
    1364,     0,  1027,     0,  1244,  2014,   319,     0,  1025,   176,
    1896,     0,   759,     0,     0,     0,     0,     0,  1029,   755,
     168,     0,   319,   319,   549,     0,   319,   170,     0,     0,
       0,   541,   319,   779,  2697,  2703,  2701,  1323,     0,  2779,
    2780,   453,  1368,  1294,  1305,   865,   872,   854,   871,   870,
     852,   869,   866,  2481,     0,     0,  2672,     0,   883,     0,
     452,     0,     0,     0,   897,   898,     0,     0,   896,   913,
     899,     0,   901,   893,   892,   902,   903,     0,     0,   922,
       0,  1346,     0,  1344,     0,  1508,  1348,  1337,  1315,     0,
    1313,  1318,  1320,  1319,  1317,     0,     0,   502,     0,     0,
     880,     0,     0,   319,  1189,     0,   833,   834,   840,     0,
       0,     0,     0,     0,   841,   837,   838,   839,   842,   843,
     844,     0,     0,     0,  1829,     0,  1830,     0,     0,     0,
    1865,  1861,     0,     0,     0,     0,     0,     0,  1837,  1838,
    1839,  1836,  1840,  1835,     0,     0,  1841,  1834,     0,     0,
       0,     0,     0,  1576,  1575,     0,     0,     0,     0,     0,
       0,     0,  1665,  1698,     0,     0,  1793,     0,  1819,  1851,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
    1819,  1857,     0,     0,     0,     0,  1759,     0,  1756,     0,
       0,     0,     0,  1876,     0,     0,     0,     0,  1913,  1607,
    1624,  1887,     0,  1878,     0,     0,  1608,  1631,     0,  1858,
    1658,     0,  1663,  1646,     0,  1639,     0,  1644,  1648,  1627,
    1879,  1818,     0,  1816,     0,     0,  1625,     0,  1620,  1618,
    1619,  1612,  1613,  1614,  1615,  1616,  1617,  1621,  1797,  1795,
    1796,     0,     0,     0,  1643,  2008,  2041,     0,  1411,  1411,
    1411,  1398,  1409,  1886,     0,  1514,     0,     0,     0,     0,
    1776,     0,  1823,     0,  1821,  1903,  2679,  2678,  1877,     0,
       0,     0,  1892,     0,     0,  1603,     0,   248,  1506,  1872,
       0,   785,   786,   784,  1531,  1290,  1274,  1270,  1269,  1883,
    1289,  1397,     0,   955,   956,     0,   960,     0,     0,  1440,
    1462,     0,  1453,     0,  1444,  1445,  1436,  1463,  1458,  1382,
    1381,     0,  1517,     0,     0,  1333,  1326,  1511,     0,  1468,
    1351,  1353,  1354,     0,  1876,  2395,  2453,  2400,  2421,  2391,
    2424,  1605,  2373,  2413,     0,  2347,  2517,  2518,     0,  2508,
    2509,  2478,  2484,  2555,     0,  2671,     0,     0,   713,   712,
       0,     0,     0,  1134,  1059,  1110,   783,  1135,  1060,  1111,
    1136,  1061,  1238,     0,  1240,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   664,
    2014,   319,  1247,  1137,     0,  1062,   315,  1248,  1112,  1252,
     684,   683,     0,     0,  1113,     0,   558,     0,     0,   563,
     564,   565,     0,     0,     0,   566,     0,  1953,  2001,     0,
     571,   578,   583,   573,     0,   584,   579,     0,     0,     0,
       0,     0,     0,   590,   592,     0,     0,     0,     0,     0,
       0,  1000,  1001,  1138,  1065,     0,  1114,   982,  1546,   966,
       0,     0,   977,     0,   976,  1546,  1546,  1066,   172,     0,
     264,   274,   599,  1108,   292,   305,   300,   301,   299,  2014,
     319,  2014,   319,     0,     0,     0,     0,   302,   297,   298,
     294,   307,  1930,  1986,  2117,     0,   603,   605,     0,   610,
     310,  1080,     0,   327,   330,   311,   290,   293,   291,   287,
     272,     0,     0,     0,     0,     0,     0,  1899,     0,     0,
    1031,     0,     0,     0,   162,  1094,     0,     0,   148,     0,
       0,     0,     0,   142,   152,     0,  1144,  1070,     0,     0,
     266,   505,   513,   518,  1074,   521,  1124,   519,  1150,  1071,
    1106,     0,   262,     0,  1072,     0,  1118,  1146,  1096,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1255,     0,
       0,     0,     0,     0,   319,     0,     0,     0,  1108,  2014,
     319,  1145,     0,  1103,  1132,     0,   335,     0,  1095,     0,
       0,   268,  1076,  1126,     0,     0,   218,   217,   219,     0,
       0,     0,     0,     0,     0,     0,     0,   825,   794,   824,
       0,     0,     0,   788,   370,   344,   345,   347,   354,   714,
       0,     0,     0,  1528,  1524,     0,     0,     0,     0,     0,
       0,  1544,   702,     0,     0,     0,     0,  1236,  1236,  1236,
    1236,  1236,  1236,  1236,  1217,  1245,     0,   139,     0,     0,
       0,   552,   592,   599,     0,     0,     0,   399,   403,   407,
     408,   409,     0,     0,     0,     0,   153,   140,     0,   744,
       0,   453,     0,   184,   177,     0,     0,     0,   545,   699,
     697,   696,   698,     0,     0,     0,   719,   695,     0,  1518,
    1520,     0,     0,     0,     0,     0,   402,     0,   456,     0,
       0,   488,     0,     0,     0,   326,     0,     0,   971,     0,
     989,   972,     0,     0,     0,  1011,  1016,  1012,   992,     0,
     529,  2341,  2335,  1369,  1370,     0,   319,     0,     0,   594,
     319,   319,     0,   319,     0,   319,   319,     0,  1172,   620,
       0,   672,     0,     0,   319,   757,  1820,     0,  2480,  2668,
     884,   455,     0,     0,     0,     0,   895,     0,   527,   900,
       0,   912,   907,   909,     0,   916,  1347,  1340,  1342,  1341,
       0,     0,  1338,  1826,   756,   495,     0,     0,     0,   319,
       0,   917,     0,   835,   836,     0,     0,   845,     0,     0,
    1416,  1827,  1828,     0,     0,     0,     0,  1862,     0,     0,
    1734,     0,  1710,  1712,  1545,  1724,     0,  1558,  1735,  1736,
    1714,  1716,     0,  1810,     0,     0,  1725,  1667,  1668,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1680,  1679,  1726,  1792,     0,     0,  1849,  1850,
    1727,  1588,  1589,  1589,     0,     0,  1856,     0,     0,     0,
    1732,  1737,     0,     0,     0,     0,  1743,     0,  1764,     0,
       0,     0,  1690,  1820,  1580,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,  1664,  1647,  1641,     0,  1645,  1649,
       0,     0,     0,     0,  1633,  1659,  1629,     0,     0,  1635,
       0,  1660,  1411,  1411,  1411,  1411,  1408,     0,     0,     0,
       0,     0,  1489,  1467,  1469,  1476,  1489,  1494,  1512,     0,
    1893,     0,  1449,  1420,  1420,     0,  1776,     0,  1699,     0,
    1776,     0,     0,  2530,  2532,  2533,  2534,  2535,  2536,  2538,
    2539,  2541,  2542,  2543,  2531,  2537,  2540,  2544,  2521,  2522,
       0,  2512,  2513,   195,     0,   227,   214,     0,  2555,  1272,
       0,  1423,     0,  1811,   960,   958,   959,  1425,     0,     0,
    1460,  1433,  1335,     0,  1333,  1328,     0,  1329,  1876,     0,
    1325,  1358,     0,     0,  1517,     0,  1357,     0,  2455,  2383,
       0,     0,  2554,  2557,  2568,  2566,  2393,  1133,  1058,  1109,
    1236,   927,   928,     0,   926,     0,     0,     0,   441,   943,
       0,     0,     0,   664,     0,     0,   445,     0,  1250,     0,
    1151,  1093,   560,   561,     0,   572,     0,   581,   580,     0,
       0,   568,     0,     0,     0,     0,   567,   586,   533,   587,
     589,     0,     0,   588,   591,   596,  1106,     0,   627,  1082,
       0,  1130,   994,     0,  1546,   969,   974,   975,     0,     0,
       0,   415,     0,     0,     0,   275,   285,     0,     0,   289,
       0,   283,   303,   295,   304,   296,   607,   608,   606,   602,
       0,   609,   611,   324,     0,     0,     0,  1140,  1106,     0,
     270,  1078,     0,  1128,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1141,  1115,     0,     0,   145,
     144,     0,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   336,   321,     0,   722,
       0,     0,     0,   338,     0,     0,     0,     0,  1139,  1067,
     789,     0,     0,   790,   798,     0,     0,   791,     0,     0,
     800,     0,     0,   343,   351,   716,     0,  2063,  1800,  1801,
     710,   717,   707,   709,   708,   711,   664,     0,     0,     0,
    1529,     0,  2769,  2777,  2776,     0,  1603,   704,   705,     0,
    1236,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   427,     0,     0,   421,     0,     0,  1016,
     414,   417,   418,     0,     0,   553,   556,   554,   555,   585,
       0,   434,     0,     0,   155,     0,     0,   156,   154,     0,
       0,   326,     0,   180,   398,     0,     0,   645,   648,   641,
       0,   718,   720,   693,     0,   599,     0,     0,  1324,   497,
       0,   484,   480,   482,   481,   483,     0,   490,   325,     0,
     497,   490,     0,   944,   970,     0,     0,     0,  1009,  1013,
    1010,     0,     0,   985,     0,   993,   963,  1167,  1168,  1165,
    1166,     0,     0,  2358,  1360,  2367,  1028,     0,   319,  1026,
     760,     0,   751,     0,   753,  1030,   319,   319,   632,     0,
     542,     0,     0,     0,     0,   894,   914,     0,   910,     0,
       0,   877,   919,  1345,  1343,   496,   922,     0,   878,   921,
       0,     0,     0,     0,     0,  1831,  1564,     0,  1864,  1860,
       0,  1707,  1832,     0,  1844,  1843,  1666,  1845,     0,  1685,
       0,     0,  1677,  1675,  1676,  1669,  1670,  1671,  1672,  1673,
    1674,  1678,  1854,  1853,  1847,  1848,  1584,  1582,     0,  1729,
    1730,  1731,  1855,  1738,     0,  1944,  1765,  1742,  1758,  1757,
       0,     0,     0,  1745,     0,     0,  1754,     0,  1794,  1570,
    1603,  1609,     0,     0,  1632,  1859,  1650,     0,     0,     0,
    1628,     0,     0,     0,     0,  1637,  1810,     0,     0,     0,
       0,     0,     0,  1402,  1401,  1407,  1489,  1494,  1384,     0,
    1476,     0,  1488,  1474,  1487,     0,     0,  1500,  1498,     0,
    1500,     0,  1500,     0,  1471,     0,  1490,  1472,  1487,     0,
    1894,  1513,     0,  1451,     0,     0,  1419,     0,  1776,  1706,
    1779,  1774,  1775,  1824,  1700,  1911,     0,  1822,  1776,     0,
       0,     0,  1873,  2553,  1395,     0,  1424,  1441,  1434,     0,
    1515,  1334,     0,     0,  1331,     0,     0,     0,  1352,  1333,
    1355,  2399,     0,  2454,  2519,  2520,     0,   933,   934,   932,
     935,     0,     0,     0,   664,     0,     0,   461,     0,   951,
     951,     0,     0,   447,   493,  1016,   667,     0,     0,     0,
     665,   319,  1063,     0,   582,     0,     0,   577,   575,   574,
     576,   534,  1149,  1064,     0,     0,     0,     0,   995,     0,
     987,  1081,     0,   412,     0,   280,  1107,     0,     0,     0,
     279,     0,   319,   319,   604,   328,   329,   332,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   745,   728,
       0,     0,   746,   747,     0,     0,     0,  1033,  1034,  1032,
     149,   146,   147,   150,  1091,  1075,  1125,  1073,     0,  1119,
    1088,  1084,     0,     0,     0,     0,     0,  1148,  1102,  1123,
    1147,  1100,  1121,  1099,  1120,  1101,  1122,  1092,     0,  1522,
     725,     0,     0,     0,   319,   319,   634,  1077,  1127,     0,
     792,     0,     0,   793,   795,   373,     0,   376,   383,   355,
     360,  1254,     0,  1254,     0,   357,   361,  1254,   356,  1254,
     353,   686,     0,     0,     0,  1525,     0,     0,     0,     0,
       0,     0,  1530,  1538,   663,     0,  1227,  1226,  1225,  1229,
    1228,  1231,  1230,  1222,  1221,  1234,  1233,  1220,  1219,  1224,
    1223,     0,   419,     0,   425,   429,   430,   428,   420,  1016,
     453,   492,     0,     0,   676,     0,   551,   400,   431,     0,
     404,   158,   157,     0,     0,     0,   184,     0,     0,   650,
     654,   694,     0,  1521,   628,   326,     0,   400,   497,  2324,
       0,   405,   410,   411,     0,   488,     0,   484,     0,     0,
     494,  1214,   498,   499,     0,     0,   973,   990,   991,     0,
       0,  1016,  1015,     0,   536,     0,  2331,   319,   595,   319,
     319,  1173,   673,     0,   906,   905,   904,   528,     0,   908,
     319,     0,     0,     0,     0,     0,   847,   826,   846,  1863,
    1723,  1733,  1842,     0,     0,  1686,     0,     0,  1728,  2206,
       0,     0,     0,     0,  1762,  1763,  1744,     0,  2054,  1749,
       0,     0,     0,  1914,  1656,  1654,  1651,     0,  1652,     0,
       0,  1634,  1630,     0,  1636,  1661,  1406,  1405,  1404,  1403,
    1475,  1473,  1478,  1485,     0,  1470,     0,  1499,  1495,     0,
    1496,     0,     0,  1497,     0,     0,  1485,     0,     0,     0,
       0,  1770,  1776,  1776,  1701,  1781,  1778,     0,  1703,  2523,
       0,  2526,  2524,  2525,  2529,  1603,     0,     0,  1327,  1330,
    1332,     0,  1359,  1350,  2456,  1242,     0,     0,     0,   443,
       0,  1016,     0,     0,     0,   954,   954,     0,  1016,   492,
     669,   668,   671,   666,   670,  1251,     0,   569,   570,  1083,
       0,  1131,  1089,   988,     0,   600,   276,   277,   278,   281,
     321,   288,   282,     0,  1079,     0,  1129,  1086,  1142,  1068,
    1116,     0,     0,   734,     0,     0,     0,     0,  1143,  1069,
    1117,     0,     0,     0,     0,  1260,     0,   320,   724,   723,
     321,   337,  1104,     0,   796,   797,   374,   139,     0,   352,
       0,   381,     0,   379,   378,   380,     0,   367,     0,     0,
       0,     0,     0,  1526,     0,  1047,  1047,  2770,  2771,  2772,
    2773,  2774,  2775,     0,   664,  1232,     0,     0,   416,   492,
     460,     0,   422,     0,     0,     0,     0,     0,     0,     0,
     599,     0,     0,     0,   179,   400,   599,   649,     0,     0,
       0,   721,     0,   402,     0,  1322,   401,     0,     0,   490,
       0,   488,     0,   485,     0,   489,     0,  1207,     0,     0,
    1014,     0,  1018,     0,   984,   961,  1514,     0,   540,  2357,
    2361,  1048,   752,   754,   633,   911,   918,   319,   827,   828,
     829,   830,  1681,     0,     0,     0,     0,  1739,     0,  1740,
    1767,  1766,  1746,  1750,     0,  1747,  1748,  1653,  1657,  1655,
    1638,  1477,     0,     0,  1479,     0,     0,  1481,  1483,     0,
       0,     0,     0,     0,  1897,  1776,  1448,  1450,     0,  1385,
    1704,  1705,     0,  1420,  1776,  2528,  2527,   228,  1812,  1516,
    1356,   912,     0,   319,   951,   492,   462,  2063,   463,   950,
       0,   952,   957,   957,     0,   492,   664,   562,     0,   598,
       0,   323,   331,     0,     0,     0,   741,   729,     0,     0,
     748,  1085,     0,     0,     0,     0,     0,   319,   799,   354,
       0,   377,   386,     0,   384,   358,   363,     0,   365,   364,
     359,   362,  1047,     0,  1044,  1043,   662,     0,   451,   423,
       0,   471,     0,     0,   677,     0,     0,     0,   440,   439,
     436,   435,   437,   438,   433,   432,   624,   738,   326,  1214,
     612,   651,   652,   647,     0,     0,     0,   484,   480,   406,
     415,   389,     0,   490,   486,   487,     0,     0,     0,  1262,
       0,   945,  1017,     0,     0,     0,   535,     0,     0,   539,
     530,     0,  2359,   879,  1682,     0,  1683,     0,     0,     0,
    1752,  1751,     0,  1486,  1502,     0,  1482,  1480,  1491,     0,
    1493,  1769,  1771,     0,     0,  1784,  1702,   929,     0,   930,
     954,   466,     0,   953,   960,   960,   453,   664,   444,  1090,
     601,     0,   284,  1087,     0,   732,     0,   743,   741,     0,
       0,  1256,     0,  1257,  1258,  1261,   339,   342,   372,   382,
       0,   366,  1042,  1046,  1045,     0,     0,   424,   457,   458,
     459,     0,   426,   467,   468,     0,   674,     0,   679,     0,
       0,     0,     0,     0,  1208,     0,     0,  1209,   488,   484,
     413,   479,   387,     0,  1211,     0,   326,     0,  1016,  1019,
    1171,   538,   537,  2362,  2364,  2363,     0,  1684,  1755,  1741,
    1768,  1753,  1484,     0,  1492,     0,     0,  1780,     0,     0,
       0,     0,   957,     0,   664,     0,   948,   947,   460,   446,
     322,     0,     0,   739,   742,   730,   743,   750,   749,     0,
     385,     0,   450,     0,     0,     0,   469,     0,   470,   491,
       0,   678,     0,   599,   737,     0,     0,   653,     0,   490,
     488,  1212,  1213,   490,   946,   962,  1170,  1169,  1397,  2360,
    1501,  1772,  1773,  2171,     0,  2146,     0,  1782,  1785,  1783,
    1777,   319,   960,     0,   448,   464,   471,     0,     0,   731,
    1259,   654,   476,     0,   475,     0,   473,   472,   675,   680,
     625,   727,  1210,   657,   390,   490,  1514,  1153,  1397,  1152,
    1154,  1162,  1159,  1161,  1160,  1158,     0,  1789,  1788,  1787,
    1791,  1790,   931,   949,     0,   664,   733,   740,     0,   474,
     478,   477,     0,   655,   658,   661,   659,   660,   388,   936,
       0,  1163,  1157,  1384,  1371,     0,   465,   449,     0,   635,
       0,  1155,  1397,  1786,     0,   656,  1156,     0,   657,     0,
     636
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   248,   249,  1732,  2658,  2537,  3366,  3367,   250,
     251,  1804,   252,   253,   254,   255,   256,   257,   258,  1748,
     259,   260,  1303,  1954,  2668,   261,  2401,  1071,  1072,  2271,
    2272,  2600,  2273,  2260,  1583,  2056,  1767,  1734,  1768,   263,
     264,  1577,  2252,   265,   266,   267,  1792,  1793,  1742,  1999,
    4279,  4882,  2519,  3403,  3202,  3203,   268,  1850,  1851,   269,
     270,  3317,  1891,  2627,  3853,  3854,  4310,   874,  2624,  4587,
    4588,  4296,  4297,  4594,  4773,  4774,  2669,  1950,  3397,  3941,
    3357,  4380,  3358,  4381,  3359,  4382,  3345,  3900,  3901,  3902,
    3360,  4358,  4804,  3361,  2416,  4907,  2703,  2086,  2084,  4791,
    4176,  4177,  4964,  4912,  4913,  4914,  5036,  4387,  3401,  3947,
    4390,  4622,  3099,  1974,  2817,   973,  2705,   905,   974,  2670,
     275,  2697,  1824,  1825,  2545,  3860,  3459,   276,  1322,  3727,
    4668,  4839,  4840,   277,   862,   278,  1958,   279,   280,  2654,
    3351,   281,  2433,  3116,   282,   283,  3143,  3144,  3145,   284,
     285,  3751,  4544,  1794,  3195,  3196,  3197,  3198,  3771,   286,
    1956,  1830,  2677,   287,   288,   289,   290,   291,  2588,   292,
     293,  2671,  1966,  2689,  2690,  4370,  4638,  4813,  4640,  5072,
    5073,  4614,  3706,  4190,   295,   296,  4353,  4354,  4919,   297,
    2431,   298,   299,   300,  1934,  2646,  2647,  3861,  1718,  1894,
    2629,  2630,  3930,  3931,   301,  3277,   302,  4238,  4239,   906,
    4922,  4887,  4975,   303,   304,  4242,  4243,   305,   306,   307,
     308,   309,   961,  1375,  1376,  1724,   310,  2288,   311,  1276,
    3308,   312,  1466,  2842,  4427,   313,   997,  1402,  1403,  2672,
     315,  1008,  2820,  1010,  2099,  3461,  3462,  4001,  2788,  1196,
     316,   317,  2799,  2823,   318,  1735,  2407,  2408,  4171,  2673,
     907,  1980,  2708,  3094,  4830,  4178,  4525,  4742,  3016,  3657,
     320,   908,  1772,  2481,  2711,  3409,  3410,  2483,  2981,  3962,
    2485,  3411,  3416,  3417,  3418,  3958,  3966,  4662,  4663,   321,
    1770,  2474,   322,   323,   324,  1801,  1215,   325,   929,   930,
     326,  4784,   327,  1341,   328,  1029,  2116,   329,  2497,  3757,
     330,   331,   332,  5049,  5080,  5081,  5082,  3971,  5008,   333,
    5051,  1444,   335,   336,   337,   865,  1242,  1243,  1244,  2674,
    4657,   339,   340,  2650,  3344,  3882,   341,   342,  2402,  3084,
     343,   344,   345,  1938,   346,   347,   348,   349,  1870,   350,
    1614,  1615,   351,   352,   869,  1090,  1618,  1626,   353,   976,
    1396,  1397,  1398,  2058,   354,  1448,  2810,   977,  1389,   978,
    3035,  3666,  3667,  3670,   979,  3032,   358,  2105,  2804,  2807,
     980,  3039,  3040,  3041,  3042,  3043,  3672,   981,   999,  1332,
    2719,   982,  1537,   363,   364,   365,  1099,  1094,  1095,   367,
    2230,  2971,  1016,  1632,  1056,  1106,  4126,  2301,  2302,  2324,
    2325,  1641,  1642,  2314,  2316,  3018,  2317,  3026,  2307,  4123,
    4491,  2320,  2321,  1644,  1645,  1646,  2329,   368,  2975,  3603,
    3604,  3605,  4102,  4103,  4117,  4113,  4478,  4707,  3606,  1438,
    1652,  3607,  3612,  3664,  3388,  3389,  3390,  2486,  2637,  1916,
    1538,  1917,  2644,  1539,  2151,  1919,  1540,  1541,  1542,  1922,
    1543,  1544,  1545,  1546,  2134,  2193,  1547,  1548,  2170,  1138,
    1139,  2043,  2881,  1550,  1551,  4066,  4451,  4440,  2907,  2908,
    2268,  4062,  3554,  4719,  4861,  4862,  4134,  4131,  4495,  4723,
    4960,  5017,  5018,  1552,  2961,  2222,  1217,  1553,  3863,  2224,
    2901,  2983,  2984,  2386,  2132,  2847,  2864,  2865,  2878,  3515,
    2885,  2890,  3538,  3539,  2902,  2930,  1554,  2850,  2851,  3498,
    2136,  1555,  1607,  1608,  2238,  2925,  1621,  1622,  1092,  1556,
    1557,  2100,  1081,  4703,  1351,   708,  3216,  2283,  1246,  1013,
    1558,  1559,  1560,  3463,  1673,   687,   688,  1176,   813,     2,
      75,   983,  3395,   372,   373,   910,   911,   912,  1324,  1325,
    1985,  1988,  1678,  2364,   689,   690,   717,  4406,  4669,  4842,
     967,   374,   375,   376,   377,  1674,  2360,  1140,    76,    84,
      77,  1141,   414,   415,  2342,   378,   830,   379,  1655,  1120,
    3678,   380,   381,   382,   383,   384,   964,   385,  1122,   386,
    1123,   387,   388,   389,   390,  1130,   391,  1657,  1658,  4163,
    1659,   392,   393,   710,   711,  1387,   394,   395,  1157,  1158,
    1421,  1422,  1684,  1699,  1700,  1701,   396,   704,   397,   398,
     399,  1690,  1691,   400,  2245,  2246,  2369,  2247,   401,  3056,
    3057,   402,  3638,  3639,  4502,  3640,   403,  2241,   404,   405,
    1084,  3683,   406,   826,   407,  1171,   691,   692,   693,  1178,
     816,  1042,   718,  1180,  3199,   818,   819,   695,   696,   697,
    2078,    78,  3064,  2079,  1562,   719,  1563,  2236,  1564,  1565,
    1566,  1567,  1568,  1707,   701,  1147,  1379,  1380,  3065,  1382,
      82,  1383,   411,  3875,  2046,  1423,  2064,  2065
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4642
static const int yypact[] =
{
   -4642,   406,  5606, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, 22931, -4642,
   -4642, -4642, -4642, -4642,104257,   900, -4642, -4642, -4642, 62947,
   -4642, -4642, -4642,   277, 68293, -4642, 71695,   980, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, 75583, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, 55645,  1320, -4642,
     819, -4642, -4642, -4642, -4642, -4642, -4642, -4642,   483,  5051,
   -4642, -4642, 72181, -4642,   281, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, 72667,   775, -4642, -4642,   874,  1380, -4642,    97,
    9604, -4642, -4642, 63919, 69265, -4642, -4642, 76069,   472,  1862,
    8231,   483, 22442, 76555, -4642,  2949, -4642, 52201, -4642, -4642,
   -4642, 68779, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, 84331,  2985,   896, 52696, -4642, -4642,
   -4642, -4642, 84331, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, 77041, -4642,  1008,  1121,  1020, 84817, 85303,
   65863, -4642,  1391, -4642, 84331,  1399,  1446, 54671, -4642, 85789,
   -4642, -4642,  1304, -4642, 77527, -4642, -4642, -4642, -4642,   896,
   -4642, 55645, 49742,    65,  1249, -4642, -4642, 86275, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642,  1883,  1262, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642,   775, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642,   171, -4642,   792,   499,  1632,   188,  1383, -4642,
   -4642, -4642, 13423, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
  105706,  1811, -4642, -4642, -4642,  1448, -4642,  1397, -4642, -4642,
   -4642,  1699, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,   803,
   -4642, -4642, -4642, -4642,  1973,104740, 75583, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, 63433, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
     176, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, 75583, 75583, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   75583,  1592, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642,   303,  1860, -4642, -4642, 55645,  1859,  1859,  2118,
  105706, -4642, -4642, -4642, 56619, 84331, 84331, 84331,  1818, 84331,
    1760, 84331,   335, 56619, 84331, 86761,  1937,  1782, 45274, -4642,
   78013, 84331, 84331, 87247, 84331, 78499, 84331,  1872, 84331, 84331,
   87733, 88219,  2025, -4642,  2282,  1348, -4642, -4642, -4642, 84331,
    8989,  2985, -4642, -4642, 84331,  1888, 56619, 84331,  1829, 84331,
    1906, 84331, -4642, 84331,  1950, 88705,   643,  1884, 84331,  2040,
   45773,  2000, 84331, 89191, 84331, 84331, -4642, -4642,  1956, 84331,
   84331, -4642,  2099, 89677,  1407,  2104,  2254,  2172,   864, -4642,
   -4642,  2342,  1918, -4642, -4642,  2373, 75583, -4642, 73153, -4642,
   -4642, -4642,  2165, -4642, -4642, -4642, -4642, -4642, 66349,  1862,
   -4642, -4642, 57106, 84331,  2220, -4642, -4642, 90163, -4642,  2028,
   -4642,   676, 57593, 90649,  2322,  2022, 46272,  2353, 91135, 91621,
   -4642, -4642, 92107, -4642, 92593,  2092, 93079, -4642, 93565, -4642,
    2222, 94051, -4642, 15885, -4642,  1993,  2084,  2013,  2009, 75583,
   75583,   876, 40855, -4642, -4642,   775, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642,   230,  1764, 53191,   715, 53686, -4642,
   -4642,   856,   986,  1007,   230,  2431,  2431,   666, 75583, -4642,
   -4642,  1764, -4642,   781,   560,  2026,  2026,  2026,  2223,   -36,
   -4642,  2026, -4642, -4642, -4642, -4642, 77527, 53191, 53686, -4642,
    2035,  2985,    71,  2440,  2114, 84331, -4642, 84331, -4642, 84331,
   84331, -4642, -4642, -4642,  2476,  2117,  2330, -4642,  2101, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642,  2286,  2290,  2296,   165,
    2985,  2192, -4642,  2434, -4642,  2304, 28381,   -43, 75583,  2985,
   54181, 78985,101827,   214, 66349,  2985, 94537,  2163,  1284,  2346,
   -4642, -4642,   657, -4642,  2565,  2196,  2412,   555,  1348, 42815,
   -4642,  2201,  1775, 77527,106189, -4642, -4642, -4642, -4642,   226,
    2483, 28885, -4642, 84331,  2188, -4642,  2210,  2218,  2243,  1632,
   -4642, 84331,  1469,  1469,  2633,  1469,  1687,  1723, -4642,  2273,
   -4642,  2534,  2509, 77527,  1249,   483,  2268, -4642, -4642, -4642,
    2280, -4642,  2272,  2283, -4642,   833,  2530, -4642, -4642, -4642,
   -4642,  2369,  2376,  2379,  2403,  2336,  2411,   207, -4642, -4642,
   -4642, -4642,  2660, -4642, -4642, -4642, -4642, -4642, -4642,  2748,
    2732, 63919, 63919,   871,   884,   147,   267, -4642, -4642, -4642,
    2607, -4642, -4642,  2600, 84331,  2446, 84331, -4642, -4642, -4642,
   95023, -4642, -4642,  1859,  2280,  2368, -4642,   150, -4642,  1775,
   -4642,   181,   190,   243,  1277,  2377,  1753,  1589, -4642,   515,
   84331,  2497,   129,  1048,  2451, 79471,  4204,  2424,   767,  2706,
    6477,   207, 95509, -4642, 84331, 84331, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642,  2432, -4642, -4642,  2433,  2676,
    1321,  2621,   947,  2753,  7567,  1199,  2761,  6997,  1703,   830,
    2652,   674,  2769,  2011,  2785,  7971, 84331,  2494, -4642,  2731,
    2842,    53, -4642,   194, -4642,  2576,  2709,  1051, 56619,  2528,
   -4642, -4642, 84331, -4642, -4642, -4642,  2601, -4642,   697, 56619,
   -4642,  2724,  2578, 46771, -4642, 84331, -4642, -4642, -4642, -4642,
   -4642,  2659, 84331, -4642, -4642,  2784, 84331, -4642,  2026,  2714,
    2583,  2936, 60028,   108, 84331,  2626,  2968, 84331,  2795,  2626,
    2620, 95995, -4642, -4642,  2626, -4642, -4642, 84331, 84331,  2614,
    1333,  2626,  2798,  2999,  3027,  2711,  2818,   961,  1439,    98,
    2944,  2626,  2703, 84331, 96481, 84331,  2715, 84331,  3029, 56619,
   84331, -4642,  2839, 79957, -4642,  2681,  2342, -4642, -4642, -4642,
   -4642, -4642,  1047, -4642, -4642, -4642, -4642,  2986,  2368,   691,
    2988,  2689,  2994, -4642, -4642,  2733, -4642,  3000,  2424,  3001,
    2700, -4642, 96967, -4642, 97453, 97939,  3002,  2432, 84331,  3003,
    2700,  3006,  2894,  3009,   691,  3010, -4642,  1023,  3011,  2899,
    3015,  1963,  2700, 66835,  3016,    86, -4642, 21046, 15885, -4642,
   24368,   968, -4642, -4642, -4642, -4642, -4642, -4642, 32413,   929,
    2805, -4642, -4642,  1249, -4642, -4642,  1980, -4642, 51706, -4642,
     876,  1764, -4642, 75583,  1764, 75583,   666,  1764, 75583,  1764,
   75583,   666,  1764, 75583, 75583, 75583,  1764, -4642, -4642,  1770,
     389, -4642, -4642, -4642, -4642, -4642, 75583,  2722, 84331, 84331,
   -4642, -4642, -4642, 69751, 84331, 70237, -4642, -4642,   562, 75583,
   -4642, 75583, -4642,  2985, -4642, -4642,  2084, 60028,  3123, 84331,
   84331,  3008,  3008,  3008, -4642, -4642, -4642,  2948, 84331,  3012,
    3013, 69751, 84331, -4642, 98425, 66349,  2908,  2729, -4642, -4642,
   -4642, -4642,  2010,  2993,   343,  3017, 32413,  2730,   173,   173,
    2734,  3018, -4642, -4642, -4642,   355,  2737,  2739, -4642,   404,
     404,  2890,  2740,  2744, -4642,   437,  2751, -4642,  3049,   446,
    2755,  2756,  2758,  2284,   173, 32413, -4642,  2759,   404,  2760,
    2764,  2767,  3074,  2768, -4642,  3127,  2770,   381,   413,  2772,
    2773, -4642,  2740, -4642,   289,  2774,  2775,  2776,  2778,  2780,
    2781,  2782,  2783, 32413, 32413, -4642, 27373,  1775,  2985, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642,    87, -4642,   463,  5460,
   -4642, -4642,  2904, 32413, -4642, -4642,   605, -4642,   471, -4642,
   -4642,  1775, -4642, -4642,   363, -4642, -4642, -4642, -4642,  1772,
    1772,   193, -4642, 72181, 72181, -4642, -4642,  1548,  2786, -4642,
    1378, -4642, -4642, -4642, -4642, -4642, -4642, 64405,  3154, -4642,
    1101,  2985,   194,  1128,  3106, 50716, 51211,  3026,  3026,  3014,
   -4642, -4642, 84331, -4642, -4642, 32413, 48768, -4642,  1775,   155,
    3025, -4642, -4642, -4642,  2015, -4642, -4642, -4642,   775, -4642,
   13810, -4642,  2089,  2188, 84331, 84331,  3187, -4642, -4642,  2210,
   -4642, -4642,  1632,  1632, 32413,  1632,  1250,  1849, 29389, 32413,
    3077,  2977,  1423,  1722,  3079, -4642,  2982,  1687,  1723, 77527,
   84331, 98911,  2906, -4642, -4642,  2280,  2807,  1948, -4642, 61975,
  105223,105223,  3046, -4642, -4642,   967,  1148,  2919,  3019,  2431,
     642,   329, -4642, -4642,  2799, -4642,  3133, 72181,  2858, 63919,
   -4642, -4642, 84331, -4642, -4642, 80443, -4642, -4642, -4642,  1995,
    2803, -4642,  2820, 84331,  3302, -4642,   329,   329, -4642, -4642,
    2811, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,105706,
    2815, 84331, -4642,  2817,  2819, -4642,106189, 49255,  1908,  1775,
    2896,  2900,  2939, 55645,  2823,  2902,  2905,  2951,  2907,  2910,
  102313, -4642, -4642, -4642, -4642,  1857,  1171,  1306,  2911,   351,
     776,  3185, -4642,  1496,  2957, -4642, -4642, -4642,  5614, 84331,
    3130,  8332,  3021,   207,  2955, -4642, -4642,  3068,  2917,  2920,
    3036,   207,   179,102799, -4642, -4642, -4642, -4642, -4642, -4642,
    5317, 25887, -4642,  2927,  2912, 84331, 64891,  3221,  3042,  1562,
     264,   509, 84331,  3118,  3050, 84331,  2866,  2941,  2942,  2869,
    1954,  3226,  2871, -4642, -4642,  3054,  3176,  8476,  2938,  2943,
   59054,  1194, 47270,  3223,  1444,  2961, -4642,  1444, 84331,  2964,
    2966, 84331,   207, -4642,  3276,   207,   207,   969,  3278,  2970,
     518,  1886,  2626,  2871,   808, -4642,  2971,  2973,  1771, -4642,
    3078, 77527,   316,  2045,  2871,  2975,  2980,  2869,  2869, 84331,
   84331, 84331, 84331, 84331,   120,  3303,  3305,  2987,   117,  3031,
    2913, -4642, 73639,  2992,101827, -4642, -4642, 84331,  2995,  2053,
    2871,   993, -4642,  1763, -4642, -4642, -4642,  1348, -4642, 84331,
   -4642, 84331,  2368, 60028,  3090, -4642,  2945, -4642,  2424,   207,
   -4642, 84331, 84331,  2432,  1485,  1060,  3102, 84331,  3161,  2958,
   -4642,   815, 49255,  2614, -4642,  2923, -4642,  2969, -4642,  2969,
    2969,  2929,  2929,  2930, -4642, -4642,  2284,  2969,  2929, -4642,
   61002, -4642,  1583,  1794, -4642,  3327,  3333, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642,  1198, -4642,  2071, -4642,
   -4642, -4642, 84331, 55645, -4642,  3345, -4642, -4642, 60028,  3119,
    3232, -4642, 84331,  3137,  2946, -4642,  3271,  2996, -4642, -4642,
      -6, -4642,  3241, 84331,  1045,  2985,  2989, 84331,  3165, 84331,
   84331, 84331, 84331, -4642, -4642,  3139,   618,   143, -4642, 73639,
   -4642, 84331,   808,  3147,  3355,     2,  2026, 84331,  3244, -4642,
   84331,  2956,  3362,  3196, -4642, -4642,  2962,  2431, -4642,  2681,
   -4642,  2055, -4642,  3084, -4642, 56619,   691, -4642, -4642, -4642,
   -4642, 60028, 84331, 99397, 56619,   691, 84331, 84331,  3264,    86,
    3265,  3022,  3268,  3028, 47270,   691,   109, 84331, 84331, 84331,
   84331, -4642, 84331, -4642, -4642, -4642, -4642, 84331, 84331, 84331,
   73639,  3269,  3270,   691, 84331, 84331, -4642, -4642, 21655,  1633,
   -4642, 15885, -4642, 13810,  2093,  3026, -4642,  1592, 84331,  1352,
     876, 70723, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   75583, -4642, 75583,   666, -4642, -4642, 75583, -4642, 75583,   666,
   -4642, 75583, -4642, -4642, -4642, 75583, 84331,  3469,  2974, -4642,
     363, -4642, 84331,  2098, -4642, -4642,  2103,   852, 84331, 84331,
     144, 56619, 84331,  3166, 84331, 84331, 84331, 84331, 84331,  3052,
    2786,  1120, -4642,   424, 77527,  3174, -4642, -4642, -4642, -4642,
   -4642,  2116,  1883,   534,  3024, -4642, -4642, -4642, -4642, -4642,
   -4642, 70237, 68779,  3263,    26, 84331, -4642, -4642,  3634, 32413,
   27877, -4642, -4642, -4642,  2984, 13810,  3023, 32413, -4642, -4642,
   32413,  3005,  2431,  2431, 32413, -4642, -4642, -4642, -4642,  2372,
    2431, -4642, 32413, 32413,  2431,  2431,  2969,  2969, -4642,  5705,
   32413, -4642, 47270, 32413, 33925, 25382, 32413,  3063,  3020,  2431,
   -4642,  2431, -4642, 32413, 26869, -4642, 32413,  3192, 34933, 32413,
    1128,  3197, 32413,  1128,  3412,  3412,  1843,  6051,  2991,  1775,
   -4642,  3113,  2431, -4642,  2431,   227,   163, 60028, 32413, 55645,
    3075,   149, 84331, 32413,  3007,  2073, -4642, 32413,   704, -4642,
    3030, 32413,  3082, 32413, 32413, 32413, 32413, 32413, 32413, 32413,
   32413, 32413, -4642, 35913,   284, -4642,   734,  1078, 71209, 28381,
    3291, -4642, 24877, -4642,   280, 75583, -4642, -4642,  1775, -4642,
   -4642, -4642, -4642, -4642,  1995,  3032, -4642,  3038, -4642, -4642,
   -4642, -4642, -4642, 84331,  3154, -4642, -4642,  3100, -4642, -4642,
   -4642, -4642,   485, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642,  3033, -4642, -4642, -4642, -4642,  3033, -4642, -4642,  3026,
    3037,  4323, -4642, -4642, -4642, -4642,  3297,  3298,   691,105706,
   84331,   226, 74125, -4642, 28885, -4642,  2129,  3040, -4642,  3255,
   -4642,  3034, -4642, 10435,  3255, -4642, -4642,   161,  3146,  3277,
    3225, -4642, -4642, -4642,  3043, 13810, -4642,  2209, 13810,  2258,
   -4642, -4642, -4642, -4642, -4642, -4642,  1493, -4642, 84331,  3174,
    3077,  1722,  3101,   541, 84331, -4642, 43305,  2123, -4642,  2280,
   -4642, -4642, 23414, -4642, 23899, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642,  3047, -4642, -4642, -4642, -4642,   207,
    3051,  3524, -4642, 63919, -4642, -4642, -4642,  3469, -4642,  2373,
   -4642,  2373,  3549, -4642, 75583, -4642, -4642, -4642, -4642,  1253,
   -4642, 15885, -4642, 15885, -4642,  3053,  2144,  3129,  3132,  3172,
   84331, 84331, 84331, -4642, 55645, 84331, 84331, 84331, 84331, 84331,
   84331, -4642,  3415,   824, 68779,  3175, 67321, -4642, -4642,  3061,
   84331,  3115,  3299,  3300,  1366, -4642, -4642, 99883, -4642,  3257,
   84331, 84331, 84331, 32413,  3258, 84331, 84331, -4642,   450,  3142,
    3143, -4642, 84331,  3148, 56619,  3076, 84331, 84331, 84331,  3145,
     713, 56619,  3121, 47769, 84331, 84331, 84331, 84331,  3195, 84331,
   84331,  3312,  1458, 77527,   130,  2110,  2871,  3273, -4642,   186,
   -4642, 84331, 84331,  3266, -4642, -4642, -4642, 66349,  3476,  3186,
   -4642, -4642,103285, -4642, -4642,  3260, -4642, -4642, 61002, -4642,
   -4642,  2177, -4642, 60515, 58080, -4642, -4642,   418, 84331, 84331,
    8905, 84331,  1381, -4642, -4642, 60028, -4642, 84331, 84331, 84331,
   74611,100369,100855,  1630,  1638, 84331, 75097, -4642, 84331, -4642,
   -4642, 56132, 84331, 84331, 55645, -4642, 84331,  3272,   844, -4642,
   84331,  3698,  3162, 84331,   229,  2198,  2871, 84331, 84331,  3089,
    2189,  3168,  3212, -4642, 84331, -4642, 84331,  1575, -4642,  3231,
   84331, 84331, 10847, -4642, -4642,   207, -4642, -4642, -4642, -4642,
   -4642, 84331, 84331,   207, 84331,   207,  1698, -4642, 84331, 84331,
   -4642, -4642, -4642,  9328, 84331, 84331, 84331, 84331, 84331, 84331,
   -4642, -4642,  1263,  1424,  1660,  1706,  3233, 84331,  3361, 84331,
  101341, 84331, 84331, 84331, 84331,  1370, -4642, -4642,  3218, -4642,
   84331,  1575, 10233, 84331, 84331,  3188,  3191,   265,  3267, -4642,
   -4642, -4642, -4642, -4642, -4642,  3352,  3519, 84331, -4642,  3370,
    3371,  3189,  3190,  3372,  2024, 84331, -4642, -4642, -4642, -4642,
   84331,  3373,  2024,  3318,    84, -4642, -4642,  2626, -4642,  2194,
   -4642,  3149, -4642, 32413,  3541, 60028,  3144,  3150,  3215, -4642,
    3217,  2431, -4642,  2215, -4642, -4642,  2221, -4642,  3158,   618,
    1410, -4642, 55645, 84331,   921,   951,  3442, 65377,  1573,  3432,
   84331,  3200, 84331,  1573, 84331, -4642,  2046, 68779, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642,  3433, -4642,  2985,
    2614,  2614,  2614,  2614, -4642, -4642, -4642, -4642,  3335,  1524,
   -4642,  3155,  2614, 84331,  3274,  1573,  3156, -4642,   808,  3462,
    3465, 84331, 65377,  2216,  3203,  3570,  2026,  2985,  3353, -4642,
   26378,  4312,  3354, 66349, 79957, -4642,  3180,  3443,  3450,  3470,
   -4642,  2368, -4642,  3584, -4642,  3482,   691,  2424, -4642,  2700,
   -4642, 84331, -4642, 84331, 84331, 84331, 84331,  2432, -4642, -4642,
    2700,  3369,   691,   691, -4642,  3374,   691,  2700,  3301,  3473,
   66349, -4642,    86, -4642, -4642, -4642, -4642, -4642, 32413, -4642,
   -4642,  2026,  2055, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, 75583,  2373, -4642,  2232, -4642, 84331,
   -4642,  3449,  3453,  3454,  2700,  3193,  3228, 84331,  3198, -4642,
    2700,   207,  2700,  2786,  2786,  2700,  3193, 80929,  3607,  3472,
     745, -4642,   757,  1296,  3406, -4642, -4642, -4642, -4642, 60028,
   -4642, -4642, -4642, -4642, -4642, 84331,   224, -4642,   199,  3384,
    3201, 80929,  3586,   691, -4642, 56619, -4642, -4642, -4642,  3281,
    3309, 56619,  3400,  3259, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642,  3448, 84331,  2238, -4642,  1864, -4642,  1909, 32413, 32413,
     430, -4642, 11827,  2239, 32413,  3227,  3229,  2246, -4642, -4642,
   -4642, -4642, -4642, -4642,  3235,  3498, -4642, -4642,  3236,  2287,
    2295,  3237,  3238, -4642, -4642,  4144,  3239, 12022,  3240, 33925,
   33925,  1617, -4642, -4642, 33925,  3242, -4642,  2307, 10569,  3224,
    3243,  3246, -4642,  3245,  3248, 12299, 29893, 32413, 29893, 29893,
   12564,  3224,  3249,  2308, 55645,  3391, 12614,  2319, -4642, 32413,
   55645,  4873, 32413, -4642, 32413, 84331,  3251,  3252, -4642, -4642,
    5705, -4642,  3279, -4642, 33925, 33925, -4642,  4917, 27373, -4642,
   -4642,  3512, -4642, -4642,  1647, -4642,  3234, -4642, -4642,  5753,
     197, 32413,  3007, 32413,  3316, 47270,  6254, 32413,  3900,  2467,
    2467,   298,   298,   164,   164,   164,  1784,  1078, -4642, -4642,
   -4642,  3247,  2768, 32413, -4642,  2407,  2414, 84331, 11185, 11766,
   13870, -4642, -4642, -4642, 37411,  3293, 32413, 32413, 32413,  3256,
    3434,  3681, 13810,   966, -4642,  3685, -4642, -4642, -4642,  1103,
    3549,  1995, -4642,  1348,  2431,   227, 51706, -4642, -4642, -4642,
   32413, -4642, -4642, -4642, -4642,  2210, -4642, -4642, -4642, -4642,
   -4642,  1883, 32413, -4642, -4642,  1903,  2202, 32413,  2209, -4642,
   -4642,  3322, -4642, 32413, -4642, -4642, -4642,  2786, -4642, -4642,
   -4642, 37411,  3306,  3319, 42325,  3401, -4642, -4642, 84331,   220,
   -4642, -4642, -4642,  3287, -4642, -4642, -4642,  1409, -4642, -4642,
   -4642, -4642, -4642, -4642,  3275, -4642,  3280, -4642,  3288, -4642,
   -4642, -4642, -4642,   182,  3283,  3286,  3285,  1627, -4642, -4642,
   84331, 84331, 84331, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642,  3497, -4642, 84331, 84331,  3459, 84331,  3460,
    3464, 32413,   991, 84331,  3290,  3292,  1563,  3537, 84331, -4642,
    3589,   691, -4642, -4642,  3368, -4642, 13810, -4642, -4642, -4642,
   -4642, -4642, 84331, 84331, -4642, 66349, -4642,  2368, 60028, -4642,
   -4642, -4642, 84331,  3326, 84331, -4642, 84331, 84331, 84331,  2432,
   -4642, -4642, -4642, -4642,  1113, -4642, -4642, 84331, 84331,    41,
    3375,  3377, 84331, -4642,   733,  3078, 10359, 84331, 84331, 84331,
    3545, -4642, -4642, -4642, -4642,  3488, -4642, -4642,  2071, -4642,
   58080, 60515, -4642, 60515, -4642,  2071,  1905, -4642,  2700,  3378,
    2871, -4642,  3477,  1172, -4642, -4642, -4642, -4642, -4642,  3601,
     691,  3602,   691, 84331, 84331, 84331, 84331, -4642, -4642, -4642,
   -4642, -4642, 55645, 55645, 55645,  2340, -4642, -4642,  2985, -4642,
   -4642, -4642,  2344, -4642,   494, -4642, -4642, -4642, -4642, -4642,
   -4642, 84331, 10719, 84331, 84331, 84331,  1929, -4642,   760, 60028,
   -4642, 59541, 84331, 84331, -4642, -4642,  3528,  3474, -4642,  2147,
    3475, 84331,  3363, -4642, -4642,  3383, -4642, -4642,  3386,  2271,
    2871,   808, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
     331,  2293,  2871,  3387, -4642,  3388, -4642, -4642, -4642,  3529,
    3530,  3531,  3393,  3394,  3441,  3398,  3399,  3445, -4642,  3402,
    3446,  3403,  3452,  3404,   691, 60028,  3533,  2985,  3447,  3630,
     691, -4642,  3409, -4642, -4642,  3732, -4642, 84331, -4642,  3413,
    2300,  2871, -4642, -4642, 84331, 84331, -4642, -4642, -4642,  2024,
   60028,  3580,  2024,  2024, 84331, 84331,  2024, -4642, -4642, -4642,
    3582,  3583,  2024, -4642, -4642, -4642, -4642,  2714,  3346, -4642,
    2165, 44775,  6387,  3347,  3150,  3348,  2431, 40365,  1027,  3553,
    3349, -4642, -4642, 55645, 44775,  1626,  3573,  3366,  3366,  3366,
    3366,  3366,  3366,  3366, -4642,  2953,   620,  2626, 66349, 84331,
   66349, -4642,   951,  3477, 84331, 84331,  3356,  3357, -4642, -4642,
   -4642, -4642, 84331,    91, 84331,  2431, -4642, -4642,  3420, -4642,
   84331,  2026,  3751,  3027,  1045,  3493,  1559,  3696, -4642, -4642,
   -4642, -4642, -4642, 84331, 84331,   618,  2985, -4642,  3364,  3359,
   -4642, 84331, 84331, 84331, 84331,  1883,  3367,  3365, 60028,   731,
    3546,  3550,  2869,  3764,  1883,  3203,  3444, 84331, -4642,  2351,
      59, -4642,  2985, 66349, 58567, -4642,  3872, -4642, -4642,  1100,
    3640, -4642, 84331, -4642, -4642, 41835,   691, 60028, 84331, -4642,
     691,    86,  3423,   691,  3425,   691,   691, 84331, -4642, -4642,
   84331, -4642, 84331, 73639,   691, -4642, 13810,  3661, -4642, -4642,
   -4642, -4642,  3500,  3502,  3503, 84331,  2700, 56619, -4642,  3376,
   84331,  1132, -4642, -4642,  3564, -4642, -4642, -4642, -4642, -4642,
    3684,  3686, -4642, -4642, -4642, -4642,  3724, 84331, 69751,   142,
   84331, -4642,  2368, -4642, -4642,  2424,   207, -4642, 84331,  3631,
   -4642, -4642, -4642,  3395,  2357, 12902, 32413, -4642,  3699, 60028,
   -4642,  6681, -4642, -4642, -4642, -4642, 32413, -4642, -4642, -4642,
   -4642, -4642, 32413, -4642, 32413,  3671, -4642,  3815,  3815, 60028,
   33925,  1774,  2760, 33925, 33925, 33925, 33925, 33925, 33925, 33925,
   33925, 33925, 36417,   577, -4642, -4642, 32413, 32413,  3682,  3671,
   -4642, -4642,  1264,  1264, 60028,  3397,  3224,  3405,  3407, 32413,
   -4642, -4642,  2364, 35423,  3411, 55645, -4642, 32413, 10993,  2370,
    3437, 13410,  1775,  6788, -4642,  3772,  2985, 32413,  1824,  2288,
   32413,  2374, 32413,  3683, -4642, -4642, -4642,  3416, -4642, -4642,
   60028, 32413, 33925, 33925,  6958, -4642,  7127, 32413,  3414,  7992,
   27373, -4642,   896,   896,   896,   896, -4642, 84331, 84331, 84331,
   37901, 36921, 81415,  3410,  2456, -4642, 81415, 81901, -4642,  3417,
    1775, 32413,  3676,   -19,   -19,  3418,  3434, 43795, -4642, 32413,
    1705, 30397,  3419, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,  3421, -4642,
    3431, -4642, -4642,   194,  3424, -4642, -4642, 10282,   182, -4642,
    3426, -4642,  3422, -4642,  2202, -4642, -4642, -4642,  7535,  3588,
   -4642, -4642,  3410, 30901,  3401, -4642,  2375, -4642, -4642, 28381,
   -4642, -4642,  2390, 43305,  3306, 28885,  1775,  2431,  3439, -4642,
    2373,  1103, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
    3366,  2700,  2700,  1002,  2700,  3690,  1002,  7663, -4642, -4642,
   38391, 84331, 84331, -4642, 84331,  2394,  1877, 84331, -4642, 84331,
   -4642, -4642, -4642, -4642,  3821, -4642, 84331, -4642, -4642,  3480,
    3481, -4642, 84331, 84331, 84331, 84331, -4642, -4642,  2377, -4642,
   -4642, 84331, 84331, -4642, -4642, -4642,   339,  2303,  2871, -4642,
    3504, -4642, -4642,  3688,  2080, -4642, -4642, -4642,  3499, 84331,
    3435, -4642,   940,  2869,   789, -4642, -4642,  3505, 84331, -4642,
   84331, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   56132, -4642, -4642, -4642, 55645, 44775, 55645, -4642,   340,  2325,
    2871, -4642,  3507, -4642,  3516,  3518,  3567,  1024,   145,  3523,
    3525,  3569,  3451,  3455,  3457, -4642, -4642,   230,  2985, -4642,
   -4642,  2985,  2700,  2985, 84331, 84331, 84331, 84331, 84331, 84331,
   84331, 84331,  3739,  1000,  2050, 84331, 84331, 84331, 84331, 84331,
   84331, 84331, 84331, 84331, 84331, 84331, -4642,  3824,  3757,  2249,
    3798,  3532, 84331, -4642, 84331,  3078, 84331, 84331, -4642, -4642,
   -4642,  3467,  2024, -4642, -4642,  3704,  3708, -4642,  2024,  2024,
   -4642,   815, 55645, -4642,  2515, -4642,  3149,  3422,  2431,   329,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642,  2431,  2291,  3471,
   -4642, 41345, -4642, -4642, -4642,  2541,   227, -4642, -4642, 84331,
    3366, -4642,  2749,  2257,  2838,  2918, 82387, 82873, 83359,  3478,
   84331, 84331, 33925, -4642,  1631,   695, -4642,  3709, 84331,  3513,
   -4642, -4642, -4642,  3624, 84331, -4642, -4642, -4642, -4642, -4642,
    3483, -4642,  3591, 65377,  2700, 84331, 84331,  2700, -4642, 60028,
    3484,  3203, 84331,  1045,  1028, 96481,  3517,  3485,  3770, -4642,
    3486,  3491, -4642, -4642, 84331,  3477,  2395,   678,  2013,  3024,
   67807,  2216,  3743, -4642, -4642, -4642,  3855,  3578, -4642,  1883,
    3024,  3578,  2985,  3115, -4642, 58080, 32413, 32413, -4642,  3494,
   -4642,  3501,  6552, -4642,  2614, -4642, -4642, -4642, -4642, -4642,
   -4642,  3572, 84331,  3922, -4642, -4642, -4642,  3509,   691, -4642,
   -4642, 84331, -4642, 84331, -4642, -4642,   691,   691, -4642,  3613,
   -4642,  1883, 84331, 84331, 84331,  2700, -4642,   207, -4642,  3779,
   80929, -4642, -4642, -4642, -4642, -4642,    26,  3786, -4642, -4642,
    3752,  3755,  3756,  3758,  2184, -4642, -4642, 32413, 13810, -4642,
    3521, -4642, 13810,  8107, 13810,  3682, -4642,  2685,  3805, -4642,
    1350,  3526,  2685,  2166,  2166,   311,   311,   123,   123,   123,
    3815,   577, 13810, 13810, -4642, -4642, -4642, -4642,  3527, -4642,
   -4642, -4642,  3224, -4642, 32917,  3660,  3910, -4642, -4642, -4642,
    3566,  3568,  3535, -4642, 32413, 33421,  3534, 61002, -4642, -4642,
     227,   300, 33925, 33925,  2389, -4642,  1478, 32413, 60028,  2400,
    2389,  2754,  3111, 32413, 32413,  8134,   317, 32413,  8449, 84331,
   84331, 84331, 84331, -4642, -4642, -4642, 81415, 81901, 39371,  2456,
    3538, 84331, -4642, -4642,  3540, 37411,  3767,  3707, -4642, 37411,
    3707,  1936,  3707,  3774, -4642, 44285, -4642, -4642,  3543, 24877,
    1684, 13810,  3917,  3816, 32413,  3544, -4642,  3547,  3434, -4642,
  103771, -4642, -4642, 13810, -4642, -4642, 32413, -4642,  3434,  1103,
     510,  2985, -4642, -4642, -4642, 47270, -4642, -4642, -4642,  3733,
   13810, -4642,  1883, 84331,  1775,   651,  3571, 84331, -4642,  3401,
   -4642, -4642, 15885, -4642, -4642, -4642,   230, -4642, -4642, -4642,
   -4642,  3625, 68779,  3833, -4642, 32413,  2410, -4642,  3590,  3924,
     131,  2416,  2422,  1877, -4642,  3513, -4642,  1752,  3819,   256,
   -4642,   691, -4642, 60028, -4642, 84331, 84331, -4642, -4642, -4642,
   -4642,  2823, -4642, -4642, 84331, 84331, 84331, 84331, -4642,  3626,
   -4642, -4642, 55645,  2953,  3762, -4642, -4642,  3763,   230, 84331,
   -4642, 60028,   691,   691, -4642, -4642, -4642,  3593, 84331, 84331,
   84331, 84331, 84331, 84331, 84331,  2431,  2431, 60028,  3562, -4642,
    2431,  2431,  3575, -4642, 84331, 84331, 84331, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,  3650, -4642,
   -4642, -4642, 84331, 84331, 84331, 84331,  3877, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, 84331, -4642,
   -4642,  2985,  2985, 60028,   691,   691, -4642, -4642, -4642,  3822,
   -4642,  2024,  2024, -4642, -4642,   425,  2437, -4642, 39862, -4642,
   -4642,  2968,  2985,  2968,  1522, -4642, -4642,  2968, -4642,  2968,
   -4642,  1877,  3585,  1367,  3860, -4642,  2502, 41345, 41345, 41345,
   41345, 41345, -4642, -4642,  3865,   230, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, 32413, -4642,   780,  2685, -4642, -4642, -4642, -4642,  3513,
    2026,  3638, 56619,  1104, -4642,  3847,   921, 65377,  1459, 84331,
   -4642,  2700,  2700,  3641, 84331,  3988, -4642,   720, 84331,  3902,
    3628, -4642,  2985, -4642, -4642,  3203, 84331, 65377,  3024, -4642,
    2441, -4642, -4642, -4642,  3632,  3550,  3596,  2216,  1185, 84331,
   -4642,  3635, -4642, -4642,  3882,  3605, -4642, 13810, 13810,  2985,
   61489,  3872, -4642, 84331,  3858, 84331, -4642,   691, -4642,   691,
     691, -4642, -4642, 84331,  2700,  2700,  2700, -4642,  3787, -4642,
     691, 80929,  2184,  2184,  2184,  2184, -4642, -4642, -4642, 13810,
   -4642, -4642, -4642, 33925,  3887, -4642,  3611, 60028, -4642,  3612,
    2442,  2447, 34933,  3759, -4642, -4642, -4642,  8754,  3663, 13810,
    3710,  3618,  3619, -4642,  1504,  1504,  1478,  2468, -4642, 33925,
   33925,  2389,  2389, 32413,  2389, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, 81415,  3621, 84331,  2456, 37411, -4642, -4642,  1487,
   -4642, 37411,  3859, -4642, 37411, 84331,  3622, 84331,   973, 32413,
   32413,  3659,  3434,  3434, -4642,  3791, -4642,  3627, -4642, -4642,
     329, -4642, -4642, -4642, -4642,   227,  3629, 75583, -4642, -4642,
   -4642,  1249, -4642, -4642, -4642, -4642, 80929,  3809, 80929,  1877,
    9093,  3513, 38391, 48268, 84331, 83845, 83845,  3773,  3513,  3638,
   -4642, -4642, -4642, -4642, -4642, -4642,  3633, -4642, -4642, -4642,
    3703, -4642, -4642, -4642,  2472, -4642, -4642, -4642, -4642, -4642,
    3824, -4642, -4642, 44775, -4642,  3705, -4642, -4642, -4642, -4642,
   -4642, 38881, 47270, -4642,  1024,  3637,  3642,   145, -4642, -4642,
   -4642, 84331,  1136,  1154,  3667,  2700,  3923, -4642, -4642, -4642,
    3824, -4642, -4642,  2024, -4642, -4642, -4642,  2626,  3962, -4642,
   55645, -4642, 62461, -4642, -4642, -4642,  2985, -4642,  2985,  3834,
   50229,  2985,  2985, -4642, 56619,  4044,  4044, -4642,  1853,  1853,
   -4642, -4642, -4642, 84331, -4642, -4642,  9182,  3836, -4642,  3638,
    3862,  3904, -4642,  3651, 84331,  3804,  3654,  3655,   253,   253,
    3477, 84331,  2473,  1883,  1045, 65377,  3477, -4642,  1404,  3664,
    3952, -4642,  4059,  3367,  3662, -4642, -4642, 67807,  3838,  3578,
   84331,  3550,  3788, -4642,  3790, -4642,  1389, -4642, 84331, 38391,
   -4642, 60515, -4642,  2478, -4642, -4642,  3293, 84331,   -10, -4642,
    3687, -4642, -4642, -4642, -4642, -4642, -4642,   142, -4642, -4642,
   -4642, -4642,   654, 33925, 60028,  2498, 32413, -4642, 32413, -4642,
    4052, -4642, -4642, -4642,     4, -4642, -4642, -4642,  1504,  1504,
    2389, -4642, 84331,  2503, -4642, 32413,  3672, -4642, -4642, 37411,
    1487,  2508, 84331,  2511, 60028,  3434,  3224, 13810, 84331, -4642,
   -4642, -4642,  4056,  3851,  3434, -4642, -4642, -4642, -4642, -4642,
   -4642,  1132,  1002,   142,  3924,  3638, -4642,  3677, -4642, -4642,
   84331, -4642,  1075,  1075, 84331,  3638, -4642, -4642, 84331, -4642,
   55645,  3731, -4642, 84331, 60028,  2424,    50, -4642, 60028, 60028,
   -4642, -4642, 84331, 84331, 84331, 84331, 84331,   691, -4642,  3346,
    2985, -4642, -4642,  2517, -4642, -4642, -4642, 84331, -4642,  3485,
   -4642, -4642,  4044,   839, -4642, -4642, -4642,  2060,  3878, -4642,
    1030,  3863,  3766,  3689, -4642, 56619,  4108,  3795, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642,  3976,  3203,  3635,
   -4642, -4642, -4642, -4642, 32413,  3840,  1883,  2216,  3743, -4642,
   -4642, -4642,  2540,  3578, -4642, -4642,  4058,  3870,  4063, -4642,
    2546, -4642, -4642,  6552, 61489,  4008, -4642,  3742, 84331, -4642,
   -4642,  2279,  4118, -4642,   654,  2568, -4642,  2572,  2575,  3839,
    3745, -4642,  2602, -4642, 13810, 84331, -4642, -4642, -4642,  2606,
   -4642,  3697, -4642,  4099, 32413,   586, -4642, -4642,  3981, -4642,
   83845,  3740, 47270, -4642,  2202,  2202,  2026, -4642,  1877, -4642,
   -4642, 32413, -4642, -4642,  2612, -4642,  1387,  3850,  3993,  2623,
    2630,  3193,  3744,  3193, -4642,  2700, -4642, -4642, -4642, -4642,
   62461,  3485, -4642, -4642, -4642,  4019,  3968, -4642, -4642, -4642,
   -4642,   608, -4642,  3896,  3897, 84331, -4642,  3718, -4642,  2634,
   84331, 84331,  4119,  4122, -4642,  9677, 56619, -4642,  3550,  2216,
    2953, -4642, -4642,  3905, -4642,  3907,  3203, 38391,  3872, -4642,
     254, -4642, -4642, -4642, -4642, -4642, 84331, -4642, -4642, -4642,
   -4642, -4642, -4642,  2644, -4642, 84331,  3723,  3224, 31405, 31405,
    3728, 80929,  1075,  3725, -4642,  3729, -4642, -4642,  3862,  1877,
   13810, 56619,  4115, -4642, -4642, -4642,  3850, -4642, -4642, 84331,
   -4642,  3861, -4642,   797,   797,  4065, -4642,  3789, -4642, -4642,
    3746, -4642,  4172,  3477, -4642,  1024,  1883, -4642,  3748,  3578,
    3550, -4642, -4642,  3578, -4642, -4642, -4642, -4642,  1510, -4642,
   -4642, -4642, -4642, 34429,  3874,   689, 11523, -4642, -4642, -4642,
   -4642,   142,  2202, 32413,  1877, -4642,  3863,  2424, 84331, -4642,
   -4642,  3628, -4642,  4166, -4642,   796, -4642, -4642, -4642, -4642,
   -4642,  3562, -4642, 55158, -4642,  3578,  3293, -4642,  1855, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642,  4161, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642, 10032, -4642, -4642, -4642,  4057, -4642,
   -4642, -4642,  2653, -4642, -4642, -4642, -4642, -4642, -4642, -4642,
    1762, -4642, -4642,  1777,  2243, 31909, -4642,  1877,  3912, -4642,
   55158, -4642,  1855, -4642, 56619, -4642, -4642,  3768, 55158,  2654,
   -4642
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4642, -4642,  3898, -4642, -1198,   175,  2417,  -786, -4642, -4642,
   -4642,  3055, -4642, -4642, -4642, -4642, -4642, -4642, -4642,  3073,
   -4642, -4642,  1610, -2575, -4642, -4642,   -64, -1599,   203,  2682,
    1281, -4642, -1368, -4642, -4642,  -862,     5, -1061, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -1130,  1758,  1107,  3167,
   -3058, -4642, -1669, -3312, -4642,   511, -4642, -4642,  1701, -4642,
   -4642, -4642,   971,   432,  -485, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642,  -299, -4642, -4642,  -608,   205,  -116, -2571,  -349,
   -4642, -4642,   383,  -347, -1615, -4642, -3603, -4642,   -45, -4642,
   -4642, -4642,  -327, -1712,  1211, -4642,  -993, -1407,  1525,  -662,
   -4642,  -215, -4642,  -718,  -604,  -602,  -672,  -505, -3785, -4205,
   -3802, -2980,  1219, -4642, -3729,   245, -4642, -4642,   259,   263,
   -4642, -4642, -1786, -1714, -4642, -1097, -4642, -4642, -4642, -3050,
   -4642, -4642, -4642, -4642,  -107, -4642, -4642, -4642, -4642,   411,
   -4642, -4642, -4642, -4642, -4642, -4642, -2249,  1662,  1663, -4642,
   -4642, -3264, -4642, -1186, -4642,   549, -3067,  1129, -4642, -4642,
   -4642,  2365, -4642, -4642, -4642, -4642, -4642, -4642, -1868, -4642,
   -4642,   283, -4642,  1674,   939, -4642, -4642, -4642,  -706,  -772,
    -763, -4642, -3544, -4642, -4642, -4642, -4642,  -296, -4642, -4642,
   -4642, -4642, -4642, -4642, -1257, -4642,   997, -3199, -1226, -4642,
   -4642,  1013, -4642, -4642, -4642, -4642, -4642,  -661,  -229,  2391,
   -4642,  -552,  -638, -4642, -4642, -4642,  -224, -4642, -4642, -4642,
   -4642, -4642, -4642, -1321,  9024, -1844, -4642, -4642, -4642, -4642,
   -2554, -4642, -4642, -4642, -1919, -4642,  4155,     9,    60,   290,
   -4642,  -202,  -108,  2914, -1405, -2770,   347,  -383, -4642, -2036,
   -4642, -4642, -4642, -2663, -4642, -4642, -4642, -4642, -3542,   350,
   -4642, -4642, -4642,   400, -4642, -4150, -4006, -4290, -3712, -3533,
   -4642, -4642, -1319, -4642, -4642, -4642, -1645,  1868, -1722, -4642,
   -2385,   402, -3810, -1026, -3316, -4642, -3749,  -480, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -1350,  -871, -4642, -4642,  3429,
   -4642, -3773, -4642, -4642, -4642, -4642,  1319, -4642, -1713,  1077,
   -4642, -4642, -4642, -4642, -4642,  -649,  -732, -4642, -4642, -4642,
     361, -4642, -4642, -4642, -4642,  1755, -1210,  -999,  3284,   388,
    -448, -4642, -4642, -4642, -4642, -3097, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -1770, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642,  2074,  2072,  -103,  -213, -4642, -4642, -1515, -4642,  -831,
   -4642,  2316, -4642, -4642, -4642, -4642,  1357,   399,   431,   -75,
   -4642, -4642,   217, -3480,   -74, -4642, -4642, -4642, -4642,  2042,
     -67, -4642,   699, -4642, -4642, -2901, -4642,   419,   -11,  2983,
    1611,   -69,   318,  -232,  -219,  -201,   -77,  3294,  2752, -4642,
   -4642, -4642,  -209,  2065, -4642, -1099,  -362, -4642,  1368,  -913,
    2047,  2741,  2738, -4642,  1358, -4642, -4642,  1371, -4642, -4642,
   -4642,  -912,  2054, -4642,  2742, -4642, -4642, -4642,  1346,  1359,
   -3410,   790, -3450, -3405,   296,   294,  -936,  -316,  -181,  3323,
    2763,   807, -4457,   735, -4642, -3548, -2443,  -775, -2164, -1864,
   -4642, -4642, -1430, 11808, -4642, -4642, -4642, 16741, 17121, -4642,
   -4642, 17384, 17455, -4642, -1274,   850, 17746,  7459, -1473, -1885,
   -1558, 15694, -2019,   106, -2796, -4642, -4642, -4642,  -270,   860,
    -225, -4642, -4642, -4642, -4642,  -537, -2863,  -535, -4642, -4642,
   -4642,  -534, -4641,  -954, -4642,  -767, -4642, 16554,  1411, -4642,
   -1323, -2832, -2840, -1399, -2008, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -1369, -3343,  -355,  1480, -4642, -4642,  1574, -4642,
   -4642, -4642, -1561, -1153, -2758,  1492, -2176, -4642, -1098,   764,
    2205, -1055, 15757,  3408, 13329,  -117, -2396, -1557, -1799, -4642,
     644, -4642,  2070,  4023,  -150,   170,   -46,   198, -3191, -4642,
   -4642,   422, -4642, -4642, -4642,  3785,  1016, -4642,  3117, -4642,
    1727,  2455, -4642, -4642,  2082,  -952,    35, -4642,  -500, -4642,
    -129, -4642, -4642, -4642,   200, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642, -4642, -4642,  2787, -4642, -4642, -1478, -4642, -4642,
   -4642, -4642, -4642,  4066,  -303, -4642,  3487,  -300, -4642, -4642,
   -4642, -4642, -4642, -4642, -4642, -4642, -4642,  2800,  2115, -4642,
    3289, -4642, -4642, -4642,   -21,  3035, -4642, -4642, -4642, -1199,
    -597,  3308,  3310,  2081, -4642, -4642, -4642, -4642, -4642, -4642,
   -4642, -4642,  2094, -4642, -4642,  1477, -2165,  2096, -4642, -4642,
     793, -4642, -4642,   330, -4642,   795, -4642,  2915, -4642, -4642,
   -4642,   829, -4642, -4642, -4642,  -605, 10444,   523,   -89,   -56,
    1561, -4642,  5390,  8341,   -90,  2821,   -34,  8292, 14811,   477,
   -4642,  4064,  2100,  1709, -1028, -4642,  4153,  2409, 14458, -4642,
   -1023,     3,  1582, -4642,    -2,  -663, -1188,  3114,  -755, -1983,
   -4642,  4488, -4642, -3617, -4642, -1054,  3495, -1224
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2630
static const yytype_int16 yytable[] =
{
      81,   366,  1107,   356,   357,    79,  1578,  2015,  1048,   361,
    1647,   359,  1430,  1431,  1432,  1098,  1653,  1001,  1436,  1299,
    1083,  2083,  1806,  1600,  2415,   921,  1719,   817,   814,  2005,
    2055,  2009,   369,  1868,   904,  1855,   909,  1001,   369,  1829,
    1672,  2642,  1948,  1080,   409,  2172,  2634,  2285,  2111,  2484,
     409,  3479,  1968,   960,  1893,  2789,  2123,  1155,  2756,  2145,
    2146,   815,   975,  1009,  2494,  2044,  1333,  2502,  3313,  1592,
    2602,   369,   817,   814,  1022,  1357,   410,  1117,  2161,  2989,
    1118,  1216,   410,   262,  2643,   715,  3356,  1936,   366,  3909,
    3374,  1941,  3733,  3951,  1823,   721,  1945,  1834,  3162,  3164,
    3965,  2694,  1049,  1951,  1795,  1860,   815,  2349,  2351,  2352,
    2557,   863,  1996,  1970,  2298,   410,   369,  3618,  3009,  2566,
    2515,  4146,  2846,  1216,  1159,  3766,  2482,  3768,  1702,   709,
    3864,   867,  3218,  1704,  3274,  3878,  3465,  3671,  3615,  1101,
    1392,   817,   814,  3864,  3613,  3614,   923,  1109,  4213,  4393,
    4351,   915,  4401,  1070,  4173,  3562,  4385,  4116,  2285,  4183,
     410,  2493,  2748,  1040,  2470,  1110,  2393,   709,  2570,  2571,
    1769,  1040,  1856,  1040,  4526,   815,   998,  3047,  3608,  1216,
    4649,  2709,  2343,  2343,  4151,   369,  2698,  2070,   913,   920,
    2045,  4099,  2040,  1640,  1643,  4044,   998,  1150,   920,  1680,
    1681,  4114,  1585,  2243,  2138,  2139,  1967,  1045,  1381,  4835,
    4379,  3519,  3682,  2188,  1997,  1045,  3063,  1045,   873,   430,
    3067,  4392,  2191,  1172,  1745, -2628, -2628, -2628, -2628,   410,
    2158,  2582, -2628,   430,  2577,  3608,  4743,  1997,   920,  3956,
   -2628,  3883,  3884,  3885,  3886,  3887,  3888,    45, -1579, -1579,
   -1579, -1579,  2197,  1328,  4316, -1579, -2629, -2629, -2629, -2629,
    2822,  2923, -1798, -2629,  3369, -2626, -2626, -2626, -2626, -1798,
    1997, -2629, -2626,  4886,  4524,  2496,   370,  2200,  3729,   430,
   -2626,  1693,   370,   271,   413,  1889,  3676,   812,    43,    37,
      38,    39,    40,    45,  1088,   366,    44,   356,   357,  1446,
    4837,  2057,   430,   361,  1694,   359,   702,  2202, -1579,  2923,
    2918,  2286,  3315,  1104,  4850,   370,    45,  2786, -2625, -2625,
   -2625, -2625,  4311,   272,  2701, -2625,  1746,  3915,  1160,   130,
     131, -1372,   812, -2625,   369,  2047,  1932,   273,  3433,   430,
    3435,   274,    37,    38,    39,    40,   409,  2691,    43,    44,
    1468,  1695,  4798,    45,  5006, -1904, -1904, -1904, -1904,  2661,
     370,   294, -1904,  2465, -1574, -1574, -1574, -1574,   314,   369,
    3151, -1574,  5056,  1111,  2496,  4240,  1238,   262,   410,  1039,
    1865,   409,  1868,  2958,  2189,  2235,  2197,  1039,  2197,  1039,
    2959,  1569,  1883,  1462,  1582,  1571,   362,  3475,  1434,  3519,
    4799,   812,  2638,  1693, -1372,  3125,     3,  4800,  2234,  2496,
      43,  2200,  1038,   410,  3296,    45, -1814,  2501, -1579, -1579,
   -1579, -1579,  1077, -1814, -1574, -1579,  1694,  3477,   319,   370,
   -2220, -2220, -2220, -2220,  4801,   430,  4529, -2220,  4533,   334,
    2172,  2202, -2052,  2202,  5093, -2220,  4823,  2466,  2974,  1112,
    4838,  1146,  1570,  1611,  3152,  1612, -1589, -1589, -1589, -1589,
     864,  2496,  2662, -1589,  1998,  1239,   338,   875,  1132,  2564,
    3324,  2145,  2146,  4241,  3916,  1435,  2496,   355,  2161, -1546,
   -1546, -1546, -1546,   362,  2496,  2496, -1546,  1998, -1589, -1589,
   -1589, -1589,  4124,  2261,  4851, -1589,  1216,   360,  2274,  2274,
     371,  3730,  2231,  2692,  2421,  4802,  1240,  1915,  1194,  4831,
    2702,  2033, -1559, -1559, -1559, -1559,  5007,  2800,  3316, -1559,
    1998, -1586, -1586, -1586, -1586, -1546,  1133,  1174, -1586,  2639,
    1118,  1866,  2287,  2613,  3476,   909,   703,  2007,    37,    38,
      39,    40,  2787,  2277,  2278,    44,    37,    38,    39,    40,
   -1372,  2583,  3110,    44,  3957,  1241,  1683,  1686,  1800,  2609,
      37,    38,    39,    40,  3147,  1097,  1161,    44,  1715,  2059,
    2924,   924, -1798,  1089,  1153,  1154,  4226,   271,   370,  1447,
    4962,  2578,   430,  1747,  3864,    37,    38,    39,    40,  5079,
    -139,    43,    44,  4166,   821,  2192,    45,  2035, -1546,  -139,
    4619,   408,  4651,  2127,  -139,   247,  1933,   408,  1689,  4365,
    1736,  2503,  -375,   370,  2634,  1144,  1933,   272,  3582,  1135,
    2007,  2456,  2553,  2039,  2555,  2138,  2139,  3531,  2285,  3496,
    4519,   273,  1151,  2158,  2801,   274,  2632,  1605,  2133,   821,
     408,  1606,  1113,  3166,  2562, -1372,  2605,  4116, -2052,  4645,
     915,  2693,  4665,  4000,  2244,   294,  2458,  2601, -2628, -1375,
     995,   996,   314,  3213,  2464,  3519,  2104,  2526,  2221,  3017,
    4803,  4374,  2110,  2285,  1227,  2777,  1435,  2988,  1152,  4513,
   -1372, -1579,  4432, -1372,  1108,   408,  1044,   913,  3327, -2629,
     362,  4470,  1613,  2960,  1044,  4475,  1044,  3699, -2626,  4479,
    4608,  4609,  4610,  4611,  4612,  1867,   995,  1671,   821, -2052,
    1435,  3297,  1737,  2752,  4534,  2543,  2640,   831,  2546,  2547,
    1187,  3033,   319,  4999, -2052,  2256, -1814,  2365,  4870,   995,
     996,  3673, -1375,   334,  2330,  2331,  1163,   814,   920,   920,
    1098,  3148,  3519,  2535,  2473,  3840,  2538,  1648,  3843,  3844,
    2565, -2625,  3847,  4129,   408,  1146,  3241,   832,  3850,  1195,
     338,  3161,  1400,  1275,  1285,  3807,  1696,  1697,  2785,  1844,
     815,   355,  4735,  4204,  4228,  1845,  3746,  2796,  3747,  4745,
     369,  4137,  2610,  4325,   369,  2422,  1605,  5004, -1904,  1330,
    1606,   360,  1159,  4983,   371,  5045,   409, -1574,  3923,  2218,
    2219,  2220,  2221,  2685,  3608,  3608,  2843,  2845,  2133,  2802,
    2103,  3214,  3528,  3529,  3530,  3531,  1290,  2853,   925,  1997,
    1343,  2857,  1419,  2940,   410,  3111,  3642,  2803,   410,  2869,
    2870,  3903,  1183,  4785,  1401,  1437,  1407,  3076,  1412,  2767,
    3648,  1183,  2887,  2889,  1416,  2770,  3521,  4821,  2760,  1345,
    2040, -1579,  1390,  2903,  1738,  3787,  2167,   827,  1662,   828,
    3517,  3518,  1745, -2220,  3049,  3533,  3049,  1407,  1412,  1395,
    1876,  1846,  2228,  2470,  1183,  2168,  3171,  4347, -1375,  2686,
    1109,  4586,  2873,  2874,  2504,  1594,  3123,  1739,  2167,  2169,
      37,    38,    39,    40,   366,  3734,  2505,    44,  1110,   926,
    2849,   927,  1437,   408,  4179,  3568,  3569,  2168,  3845,  3846,
    4154,  5058,  2144, -1546,   416,  1427,  1740,  3889,  1419,   831,
    1331,  2171,  4404, -2630, -1546,  5032,  2144, -1546,  1723, -1546,
    1183,  2533,  1651,  1419,  1812,   216,  3862,  4711,   408,  4713,
    1183,  2355,  2110,   989,  2356,  2150,  4958,  2506,  2941,  3862,
    4903,  1146,  2942,   920, -1586,  3466,  2423,  3788,  1391,   832,
    3892,    81,  4216,   990,  1746,   224,    79,  3468,  2815,  2423,
    3138,  2194,  4959, -1375,  1741,  1406,  5070,  1411,  1131,  2232,
    1813,  1839, -2002,  2704,  2557,  3207,  1616,  1425,  2484,  3775,
    2943,  2759,  1731,  2994,   720,  1405,   812,  1410,  1581,  1102,
    4376,  1386,  1589,   234,  3776,   920,  1440,  1442, -1375,  4902,
    4500, -1375,  4348,  1847,  1751,   237,  1040,  -139,  -139,  1840,
    1040,  4932,  4701,  4938,   370,  2530,  1439,  1441,   370,  3963,
    4874,  4875,  4928,  2189,  2357,  1216,   968,  5059,   369,  1575,
    2793,  2794,  2701,  3139,  1132,  2007,  1848,  1408, -2356,  3034,
    1610,  1413,  1414,  1415,  1183,   969,  3943,  1103,  1814,  2687,
    1045,  1426,  4984,  4642,  1045,  1458,  4704,  1291,  1428,  1998,
    4787,  4708,  2688,  2104,  4710,  1849,  3526,  3527,  3528,  3529,
    3530,  3531,   410,  2781,   989,  3965,  4904,   970,  2424,  1183,
    3904,  1595,  4617,  1146,  1319,   709,  1663,  3896,  2606,  3789,
    1346,  4217,  1133,  3734,   990,  1134,  1815,  5033,  1816,  2944,
    3645,  3623,  1959,  5071,  3624,  3625,  2229,  2110,  2556,  2962,
    2418,  1877,  1420, -2034,  1104,  3626,  3627,  3628,  2409,  3629,
    3630,   829,  3790,  3897,  3631,  3632,  3633,  3124,  1682,  1773,
    1675,  2548,  2346,  2737,  5000,  4545,  1818,  3898,  3467,  3348,
    1960,  1685,  1596,  3526,  3527,  3528,  3529,  3530,  3531,  1705,
    3469,  3791,  2229,  2651,  4859,  2425,  2197,  1458,  1990,  3208,
    1841, -2002,    35,   430,  2023,  5034,    37,    38,    39,    40,
      41,    42,    43,    44,  3013,  1820,  4377,    45,  3138,  5005,
    4868,  2200,  1733,  3142,  1025,  1135,  1419,  5044,  5035,  2411,
     870,  5046,  4878,  4218,  1675,  2666,  4219,  3085,  2347,  4624,
    2883,  2616,  2024,  3331,   989,  1983,  2412,  4930,  1991,  2763,
    1822,  2202,  2508,  4263,  2883,  2997,  2723, -2002,  4635,  3899,
    2625,  2626,  1039,  4167,   990,   989,  1039, -2356,  1733,  2514,
    1105,   868,  2963,  5078,   206,  -597,  1183,  1216,  2782,  2617,
    5022,  1320,  4214, -2053,  4235,   990,  4512,  1183,  1842,  4908,
     887,  3139,  3052,  3014,  3722,  4494,  2348,  2549,  2347,  2550,
     216,  1026,  2964,  3027, -2078,  4498,  3634,  2783,  2667,  3086,
    1931,  2258,   370,  2266,  4137,  3967,  1809,  4488,  4290,   362,
    1097,  2876,  1136, -2356,  4293,  4294,  4497,  2514,  1104,  4856,
     224,  1961,  3723,   821,  1098,  1104,  1321,  1992,  2409,  3608,
    3349,  1137, -2034,  3608,  3744,  4625,  3268,  1183,   889,  1810,
    1015,  3166,  2267,   366,  2410,   430,  2348,  1420,    37,    38,
      39,    40,  2595,  4969,    43,    44,  1468,  1695,   234,    45,
    1420,  4966,  4967,  4420,  2413,   822,  1023,  2205,  2206,   408,
     237,  1702,  4236,   408,  4752,   823,  1704,  1993,  3259,  1135,
    3170,  3968,  3864,  2025,  3260,  2596,  4806,  1905, -2034,  3752,
    4652,  4909,  4810,  2638,  4264,    81,    81, -1901,    81,  2411,
      79,    79,  4653,    79,   247,  1156,  1183,  3436,  3350,  1962,
    3862,  2259,  2061,  2209,  2063,  1216,  2412,  2067,  4168,  2069,
    2618,  1675,  2072,  2073,  2074,  2292,  2380,  3635,  3430,  1118,
    3431,  3142,  3240,  2299,  2300,  2081,  2304,  1108,  1024,  1135,
    5024,  3996,  2919,  3379,  3380,  3381,  3382,  4169,  2106,  3318,
    2107,  1110,  1110,  3252,  1110,  3387,  4910,  1994,  2484,  1132,
    2414,  4237, -2053,  1027,  1028,  1931,  4170,  2350,  3242,  -780,
    1159,  2026,  3636,  3724,   824,   896,  3245,   897,  3247,  2417,
    3261,  2060,  3291, -2078,  2062,  3285,  1238,  2066,  1651,  2068,
    2305,  1845,  2071,  1990,  1183,  3620,  2075,  3621,  1175,  2041,
    1949,  1386,  4715,  2042,  3621,  4015,  2418,  1197,  2619,  5063,
    3649,  4373,  4751,  1587,  3969,  3426,  4923,  1133, -2053,  4160,
    2639,  4027,  1786,  1183,  4032,  4033,  4034,  4035,  4036,  4037,
    4038,  4039,  4040,  4041,  2254,  3745,  2284,   814,  4826, -2078,
    1280,  5087,  4767,  2762,  2413,  3494,  4827,  2557,  4763,  1786,
    1238,  1183,  1183,  2531,  1183,  4654,  1963,  3808,  1826,  1044,
    1135,  3725,  4434,  1044,  4435,  1054,  3637,  2225,  3753,  4746,
     815,  1183,  2248,  2249,  3970,  1239,  1964,  1605,  1723,  2306,
     369,  1606,  3336,  4081,  4082,   887,  2197,  1846,  1630,  1803,
     814,  1827,  3129,  3754,  3546,  3989,  1338,  2216,  2217,  2218,
    2219,  2220,  2221,   825,    80,  4409,  1348,  4410,  2264,  1470,
    1135,  2200,  3519,  1675,  2798,  2532,  1240,  4604,  1675,  1675,
     995,  1671,  3262,  1183,   410,  3571,  3999,   408,   709,   709,
    4762,  3337,  1992,   369,   369,   369,  1720,  4836,  2419,  1239,
    2414,  2202,  3965,   889,  5003,  4605,   409,   409,  4764,  4720,
    4721,  2007,  1183,  2284,   814,  3263,  1183,  1183,  1055,  4789,
    2188,  2451,  1636,  4000,    35,  1241,    35,  2007,  4106,  1721,
    2563,  4677,    41,    42,    41,    42,  2362,   410,   410,   410,
    1240,  1631,  1993,   369,  3264,  2007,  1828,   815,  4628,  3362,
     369,   700,  4436,  1053,  2358,   409,  1216,   369,  1722,  4828,
    3608,  3470,  2384,  4880,  1040,  3608,  2427,  2640,  3608,  3338,
    3339,  3705,  1591,  1805,  3458,  3138,  2428,  -161,  -398,  2376,
    2378,  1965,  1470,  3340,  1124,  3519,  2641,   410,  4629,  1241,
    1638,  3061,   709,  3405,   410,  1931,  4107,  1040,   362,  4972,
    3172,   410,  -161,   965,  1125,  3226,  4179,  3226,  1045,  5040,
    3944,  2250,   871,  3948,  1126,   914,  3331,  4584,  4585,  2167,
    1078,   931,  1994,  1050,  4108,  2319,  4731, -2630,  4733,  3341,
    3471,  3233,  1696,  1697,  2614,  4871,  1675,  1091,  2168,  4109,
     896,  1045,   897,  3265,  1675,  4877,  2308,  1014,  3139,  1931,
    2349,  4110,  1312,  3521,  1100,  3227,   812,  3227,  4973,  3721,
      37,    38,    39,    40,  2076,  1949,  4627,    44,  4942,  4811,
    2131,  4634,  1085,  2251,  4111,  1731,  3266,  3140,  1931,  4537,
    4538,  -398,  1313,  2309,   370,  3233,  4644,  2077,  1040,  1733,
    2148,  2615,  1733,  4705,  4345,  1675,   831,  4812,  1675,  1675,
     209,  3363,  3097,  5047,   192,  3267,  3228,   831,  3228,   812,
    3141,  1314,  3522,  1127,  4599,  2429,  3342,  3093,  3343,  3573,
    2175,  3574,   430,  2648,   814,  1854,    37,    38,    39,    40,
    3384,  3420,  1045,    44,  2186,  3385,   832,   370,   370,   370,
    3325,  4866,   122,  4179,  3575,  3520,  1164,   832,  2430,  4112,
    2548,  1931,  2197,  4344,  3098,  1315,  4346,   815,  1165,  1166,
     126,  4600,  1675,   833,  4201,  2724,  3521,   369,  3444,  -944,
    2631,  3713,  1872,   812,  1114,  1128,  2311,  2200,  1167,  2274,
    1039,  1168,   872,  1878,   216,  4184,  1636,   370,  1931,  1470,
    1637, -2420,  3519,  3608,   370,  3327,   962,  3229,  3142,  3229,
    2819,   370,  3677,  2805,  1312,  2883,  2883,  2202,  1728,  4072,
    2883,   410,  1933,  1039,   224,  4530,  1931,    37,    38,    39,
      40,  1636, -1419,  4706,    44,  3522, -1419,  2312,  1395,  2499,
    1108,  1108,  3879,  1108,  1313,  2909,  3364,  3385,  2912,  3735,
    1121,  1729,  1129,  1981,  3576,   209,  4028,  1051,  4029,  3577,
    2883,  2883,   234,   366,  1638,  4501,  3927,  2216,  2217,  2218,
    2219,  2220,  2221,  3925,   237,  3936,  3004,  3756,  1203,  1118,
    1730,  4323,   989,  1183,  3643,  3365,  2549,  4531,  2550,  1931,
    2500,  2988,  1183,  3526,  3527,  3528,  3529,  3530,  3531,  1638,
   -1419,  1639,   990,  2818,     8,  1169,  3738,  3183,  5048,  3097,
    3230,  2841,  3230,  4205,  1039,  3185,   216,  1315,  3231,  4768,
    3231,  3232,  3269,  3232,  3473,   366,    81,  2811,  2812,    81,
    3617,    79,  1835,  2814,    79,  2813,  1639, -1419,  1156,  2765,
   -1384,  2766,  1170,  4454,  4455,  2768,   224,  2769,  2167,  4186,
    2771,  3270, -1384,  1731,  2772,  4229, -1384,   430,  3184,  4046,
    4047,  3702,    74,  4007,  3588,  1836,  3186,  2168,  3271,  1837,
    2403,    45,  3780,   821,  4215,  4220,  4030,  3578,  2560,  1183,
    2404,  2169,  1725,  3521,   234,  2239,  4031,  3579,  2240,    37,
      38,    39,    40,   812,  1838,  2405,    44,  3272, -1384,  2921,
     814,  3448,  3523,  3524,  3525,  2988,  3526,  3527,  3528,  3529,
    3530,  3531,  2308,  1162,  2597,  1726,  2663,  1183,  1183,   408,
   -1384,   370,  4187,  3327,  1173,  1183,  2598,   928,  1183,  3686,
     247,  4179,  1183,   815,  2041,  2695,  4025,  2867,  2755,  3905,
    1183,  1183,  3522,   369,  1727,  1385,   430,  3019,  1183,  2309,
    2599,  1183,  1183,  1183,  1183,  4107,  4011, -1384,  3862,   192,
    4045,  1183,  1183,  1188,  1183, -1384,  1183,  1183,  1216,  4514,
    1183,  4079,   408,   408,   408,  4453,  2030,  4188,  1616,  4189,
    1605,  5021, -1904,  4108,  1606,  1931,  1183,   410,  1190,   880,
     821,  1183,  3087,  4452,  3090,  1183,  2031,  1044,  4481,  1183,
    2310,  1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,
    4110,  1183,    37,    38,    39,    40,  4052,  1183,  4383,    44,
    1183,  3652,   408,  2484,   914,  4807,    35,  1000,  2406,   408,
    1044,   887,  4186,   369,    41,    42,   408,  2387,  3653,   216,
    1202,  1470,  2311,  3712,  3519,   409,  4010,  1000,  1201,    37,
      38,    39,    40,  1229,  3036,  2931,    44,  2932,  3784,  2167,
    2882,  5091,  3146,  4265,  5092,  2554,  4832,   216,   887,   224,
    2388,  1605,  3081,  4905,  2905,  1606,  1627,   410,  2168, -1372,
    2933, -1384,  1183,  4266,  4181,  4182,   369,  -938,   369,   889,
    1236,  3785,  2171,  2312,  2284,   814,  -501,   224,   409,  2389,
     409,  1292,  2516,  1293,  3331,  4187,  1237,   234,  4112,  3523,
    3524,  3525,  1279,  3526,  3527,  3528,  3529,  3530,  3531,   237,
    3786,  1044,    37,    38,    39,    40,   889,  1282,   815,    44,
     410,  3307,   410,  3714,  1284,   234,  4281,  1307,   369,  1605,
      35,   430,  1627,  1606,  4319,  4320,  4321,   237,    41,    42,
    2517,  2518,  1675,   247, -1164,    45,  4282, -1164,   362,   812,
    4188,  3491,  4189,  1470,  1300,  2758,  3519,  3375,  3921,    81,
    2516,    81,  1705,  1853,    79,  2934,    79,   209,  1287,  4012,
    2935,   247,   410,  4073,  2514,  2936,  -500,   370,  1206,  1207,
    1208,  1316,  1209,  1210,  1211,  1212,  1213,  1214,  3748,  1146,
     821,  1317,  1854,  2144,  4682,  2394,  3492,  3224,  2156,  2157,
    3493,  1183,   814,  1318,  3204,   814,  1040,  1323,  2517,  2518,
     362,  1326,  1183,  1868,  2567,  3521,   896,  4329,   897,  1183,
    4698,  4699,  2594,    35,  3792,   430,  3794,    37,    38,    39,
      40,    41,    42,  1277,    44,   815,   408,  4120,   815,  2339,
    2340,   902,  2514,  1340,  3799,   369,  1344,  1295,   369,  1296,
    1045,  2516,  1352,   896,  2196,   897,  1931,  2197,  1358,  2516,
    1102,  1931,  1931,  1367,   899,  1731,  3906,   370,  3908,  2050,
    1353,  2051, -1420,  1931,  3522,   901, -1420,  1373,  1949,  3149,
    3827,  4426,  2200,  4678,  4679,  4680,  4681,   963,  2201,   410,
    1335,   931,   410,  2937,  4125,  4127,  2130,    45,   247,  2517,
    2518,  1388,  2929,  2938,  2290,  3841,  2291,  2517,  2518,  2717,
    2718,  4596,  2202,  4598,  1429,  3234,  2516,  4601,  1103,  4602,
     370,  3545,   370,  3547,  3548,    80,  1443,  2858,  1675,  1433,
    3376,  3960,  2196,  2514,  3653,  2197,  1675,  3521,  1675,  2285,
   -1420,  2514,  3346,   814,   812,  1449,  2883,  3653,  4782,  2883,
    2883,  2883,  2883,  2883,  2883,  2883,  2883,  2883,  2883,  2144,
    2200,  1723,  1450,  4209,  2517,  2518,  2201,  3215,  2144,  3234,
    2394,  1455,   370,  2988,  3024,  3025,   815, -1420,  2293,  2883,
    2294,  1457,  2757,  1445,  2758,  1104,   369,  2778,  1456,  2779,
    2202,  1458,  2780,  2859,  2779,  1459,  3522,  4106,  2514,  1460,
    4727,  3622,  1461,  3172,  2516,  2808,  1464,  2809,  2883,  2883,
    1467,  1183,  1463,  1931,  2339,  3045,  4299,  2204,  3010,  2721,
    2007,  1572,  1039, -1443, -1443,  1584,  1335,  1586,  2727,  4286,
     410,   362,  3977,  3069,  1590,  2809,  3234,  1465,  2205,  2206,
    3806,  3234, -2630, -2630,  4844,  3526,  3527,  3528,  3529,  3530,
    3531,  2860,  2517,  2518,  2861,  1593,   821,  4300,  4661,  4457,
    1597,   812,  3809,  1599,   812,  4107,  3159,  1598,  3160,  3837,
    3399,  3400,  4206,  3234,  3655,  3656,  1098,  2516,  3220,  1624,
    3221,  4301,  1604,  3319,  2209,  3320,  2514,  4402,  1931,   370,
    1617,  2203,   370,  4108,  4230,  2204,  4302,  2210,  1625,  2516,
    4303,  1105,   408,  2144,  4020,  2394,  2516,  1627,  4109,  2516,
    3332,  4441,  3333,   700,   700,  1197,  2205,  2206,  1706,  4304,
    4110,  3450,  4305,  2779,  4026,  2517,  2518,  3490,  3500,  2758,
    2758,  2516,  1628,  2207,  4306,  3504,  1183,  2758,  1634,  3597,
    3598,  3599,  1649,  4111,  2862,  4313,  4314,  2517,  2518,  4048,
    1470,  2117,  2118,  3519,  2517,  2518,  1650,  2517,  2518,  2514,
    1654,  1656,  2209,  3523,  3524,  3525,  1660,  3526,  3527,  3528,
    3529,  3530,  3531,  1664,  1675,  2210,  3508,  1661,  2758,  2517,
    2518,  2514,  1098,  1665,  3509,  2110,  2758,  1931,  2514,  1146,
    1666,  2514,   408,  1667,  3552,   814,  3535,  3551,  2758,  2758,
    3559,   814,   812,  1183,    37,    38,    39,    40,  3556,  1183,
    3557,    44,  4307,  2514,  3592,    45,  3593,  1668,  4112,  1470,
    4308,  3594,  3519,  3595,  1669,  1670,  1183,  1183,   815,  3769,
     370,  3770,  1183,  3773,   815,  3774,  1677,  1679,   369,  4459,
    3954,  2863,  3955,  1676,   369,   408,  4016,   408,  2758,  1709,
    1708,   821,  2212,  4053,  4309,  4054,  1717,  1183,  1183,  4063,
    1711,  4064,  1183,  4075,  4152,  2758,  4153,  1723,  2216,  2217,
    2218,  2219,  2220,  2221,  1183,  1183,  1183,  1183,  1744,  4156,
    4417,  4157,   410,  4185,  4375,  2779,  2779,  1183,   410,  4458,
    1183,  2809,  1183,    37,    38,    39,    40,   408,  1775,  4521,
      44,  4522,  1183,  1183,  1803,  4527,  1183,  2779,  1749,  4326,
    4593,  4528,  1771,  2779,   366,  4383,  2811,  2812,  2883,  1183,
    1800,  1183,  2814,  1802,  2813,  1183,  4589,  1808,  4590,  1044,
    4646,  4687,  4647,  4688,  3521,  1335,  4689,  4632,  2758,    80,
      80,  1183,    80, -2630, -2630,  1811,  2216,  2217,  2218,  2219,
    2220,  2221,  1183,  1831,  1183,  1183,  1183,  4697,  1843,  2809,
    1335,  4749,  4808,  4750,  2779,  2882,  2882,  4833,   821,  4834,
    2882,   821,  1852,    37,    38,    39,    40,  1857,  1183,  1675,
      44,  4317,  4318,  4319,  4320,  4321,  1862,  4846,  3653,  2809,
    1183,  4607,  4853,  3522,  2007,  1183,  1863,  4858,  4331,  3934,
    4860,  1183,  3934,  3521,  1864,  2108,  4899,  1719,  4900,  1183,
    2882,  2882,  1869,    74,   408,  1871,  1873,   408,  4685,  1875,
    4317,  4318,  4319,  4320,  4321,  1879,  1880,  1335,  4322,  4931,
    1885,  2253,   130,   131,  1000,  4936,  1000,  4937,  1000,  1887,
      37,    38,    39,    40,  1000,  1417,  1418,    44, -1550, -1550,
   -1550, -1550,  1890,  1895,   812, -1550,  1937,  4947,  3117,  2809,
     812,  4948,  3522,  3557,  4949,  1197,  2758,  1000,  1000,  1183,
    3889,  1892, -1557, -1557, -1557, -1557,  3890,  1942,  4333, -1557,
    1731,  4510,   370,   814,   814,   814,  3891,  1940,   370,   968,
    1952,  4952,  4661,  2007,  1953,  4954,  1931,  3934,  2883,  2883,
    2190,  4971,  1933,  2809, -1548, -1548, -1548, -1548,   969,   821,
    2195, -1548,  4977,  3892,  2809,  3893,   815,   815,   815,  4978,
    2233,  2809,  -181,  4991,  4363,  4992,   369,   369,   369, -1551,
   -1551, -1551, -1551,  5010,  1955,  2007, -1551,  1957,  1931,  1931,
     970,  1931,  5089,  5100,  5090,  5090,  4716,  1969,  1633,  1335,
    1635,  1971,  2263,  2265,  4480,   408,  4483,  1335,  1335,  1979,
    3523,  3524,  3525,  1977,  3526,  3527,  3528,  3529,  3530,  3531,
     410,   410,   410,  4779,  1987,   849,  1470,  2001,  1995,  3519,
    2000,  4595, -1549, -1549, -1549, -1549,  2002,  1000,  3894, -1549,
    2003,  2007,  2004,  2006,  2014,  2017,  4460,  1931,  2018,  1931,
    2019,  2020,  2022,  2027,  4772,  2028,  1698,  2029,  2034,  2048,
    2082,  2112,  2115,  2119,  2128,  2121,  2122,  2129,  2137,  2147,
    2226,  2141,  2140,  2648,   814,  2142,  2186,  2143,   247,  3523,
    3524,  3525,  2149,  3526,  3527,  3528,  3529,  3530,  3531,  2152,
    2929,   700,  2257,  2153,  2154,  3895,  2155,  2160,  2162,  2269,
    3896,  1000,  2163,  1931,  4506,  2164,  2165,   815,  2166,  3591,
    2173,  2174,  2176,  2177,  2178,  4845,  2179,   369,  2180,  2181,
    2182,  2183,  3602,  1419,  2289,  2297,  3975,  2253,  1931,  2279,
    1637,  1639,  2326,  2110,  2328,   909,  3897,  2336,  2338,  2345,
    2359,  1135,  2361,  2363,  2371,  2372,  2374,   206,  3856,  1931,
    3898,  2353,  2379,  2381,  1675, -2572,  3939,  2383,  2392,   362,
    2390,   410,  1931,  2394,  2391,  3950,  2395,  1675,  2426,  2396,
    2397,  2398,  2453,   216,  2399,  2420,  2432,  2457,  2459,  3602,
    2460,  2461,  1097,  2463,  2462,  4884,  3974,  4620,  1098,  4889,
    4890,  2488,   812,   812,   812,  4848,  2496,  2489,  2498,  1098,
    4901,  2508,  2509,   224,  2511,  2512,  2513,  2514,  1216,  2520,
    3521,   821,  2521,  4089,  4090,  4091,  4092,   821,  2523,  4769,
     370,   370,   370,  2522,  2527,  2536,  1931,  2534,  2540,  2528,
    2541,  2544,  3899,  2551,  2552,  2558,  4888,  2559,  1786,  2568,
    2561,   234,  1931,  4730,  2569,   971,  2607,  2579,  4536,  2580,
    2584,  2581,  2608,   237,  2585,  1931,  2590,   408,  2620,  2593,
    2622,  2633,  2623,   408,  2133,  2635,  4885,  2144,  2150,  3522,
    2636,  4891,  2649,  4893,  2653,  2652,  4550,    74,    74,  2656,
      74,   882,  2660,  2664,  2657,  1183,  1828,   972,  2679,  2699,
     920,  2684,  4563,  2700,  2710,  4058,   814,  2707,  1000,  3482,
    2712,  2713,  2714,  2628,  2720,  3485,  2731,  2733,  2734,  2883,
    2735,  2749,  2750,  2774,  2736,  2775,  2797,  2791,  2883,  1675,
    2806,  2821,  2848,  2849,  1183,  2891,  2904,  1931,  2816,   815,
    2197,  2910,  2914,   812,  1183,  2883,  2883,  2922,  4580,   369,
    1183,  2892,  1183,  2854,  2915,  2928,  2947,  1931,  1183,  2974,
    1103,  1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,  1183,
    1183,   370,  4772,  2991,  1183,  1183,  2993,  2675,  2945,  3001,
    3002,  4957,  1931,  2990,  2996,  3012,  2998,  1183,  3011,  3020,
    3021,  1183,  3022,   410,  3023,  1183,  3051,  3031,  3054,  2243,
    3053,  3072,  3068,  3070,  3088,  1183,  3071,  3083,  1183,  3091,
    1183,  3093,  3095,  3096,  3102,  3107,  3112,  3113,  1931,  1183,
    1183,  1183,  3115,  3122,  3118,  1183,  3134,  3137,  1183,  3126,
    3150,  1587,  3155,  3157,  1591,  4822,  3211,  3206,  1183,  1183,
    3219,  3223,  3222,  3235,  3276,  3273,  3523,  3524,  3525,  1183,
    3526,  3527,  3528,  3529,  3530,  3531,  3287,  1183,  3609,  1183,
      80,  3299,  3294,    80,  4865,  3295,  2882,  3300,  3298,  2882,
    2882,  2882,  2882,  2882,  2882,  2882,  2882,  2882,  2882,  3302,
    3303,  3306,  3312,  3314,  3321,  3304,  3305,  4250,  3323,  3328,
    3326,  3329,  4738,  3334,  3354,  3368,  3327,  3383,  3377,  4056,
    1000,  1183,  2110,  3386,  3392,  1000,  1000,  1183,  3370,   821,
     821,   821,  3391,  1183,  3393,  3609,  3394,  3402,  3404,  3407,
    3419,   814,  3422,  3423,  3204,   814,  4227,   814,  2882,  2882,
    3424,  4756,  3427,  3425,  3428,  3437,  3443,  3452,  1183,  3442,
    3440,  3453,  3454,  3464,  2035,  3455,  2822,  3472,  5066,  3457,
    3478,  3480,  1435,   362,   815,   408,   408,   408,   815,  3483,
     815,  3486,   362,  3488,   369,   812,  3506,  3487,   369,  2883,
     369,  2866,  2825,  3484,  3553,  2758,  3502,  3541,  3503,  2354,
    3572,  1418,  3580,   362,  3505,  3507,  3510,  3511,  3513,  3516,
    3587,  3534,  3540,   370,  3542,  3590,  1216,  3543,  3550,  2368,
    3565,  3566,  4298,   814,  3611,  3616,  2375,  2377,   410,  3617,
    3567,  3619,   410,  1931,   410,  -984,  3660,  3663,  1675,  2826,
    3669,  3665,  3675,  3681,  3690,  3693,  3653,  3679,  3704,  3695,
    3696,  3680,  3684,  1776,  3685,  1216,   815,  2041,  3700,  1777,
    3701,  3707,  3709,  3716,  3742,  3743,   369,  3750,  2827,  3731,
     821,  3732,  3749,  3758,  3760,  3797,  3803,  3804,  3798,  3801,
    3805,  3810,  3811,  1000,  3812,  3813,  3814,  3815,  3816,  2828,
    3817,  1000,  3818,  3819,  3820,  3822,  3821,  3823,  3825,  1778,
    2829,  3824,  3832,  3834,  2995,  3828,  2577,  3836,  3830,  3842,
     410,  3848,  3849,  3867,  3852,  2356,   408,  3868,  3876,  2830,
    3880,  3881,  2358,  3919,  2831,  3912,  3922,  3924,  3913,  3926,
    3934,  3945,  3949,  3933,  3942,  3940,  3946,  3972,  3952,  3981,
    4391,  3983,  1000,  4968,  3991,  1000,  1000,  3997,  1779,  3992,
    1183,  3993,  3994,  4002,  4003,  1780,  4004,  4005,  1781,  3537,
    4014,  2130,  4019,  3519,  4065,  3536,  4049,  2191,  2186,  2110,
    2832,  4077,  4122,  4172,  4050,  4148,  4051,  1931,  4096,  4098,
    4057,  4105,  3974,  4086,  4078,  4119,  4140,  4128,  4138,  4193,
    4145,  2833,  4139,  4141,  4162,  4144,  4195,  4196,  4207,  3827,
     812,  4231,  4210,  4212,   812,   700,   812,  4208,  4221,  1000,
    4232,  1782,  4233,  1931,  1183,  1183,  4234,  4244,  4246,  4245,
    4247,  1706,  4262,    80,  4248,    80,  4249,  4278,   370,  4280,
    4517,  4216,   370,  4291,   370,  4283,  4289,  4292,  4315,  2110,
    3412,  4352,  4349,  2110,  2110,  2196,  4341,  3964,  2197,  4359,
     849,  4357,  4364,  4369,  4368,  4371,  2779,  4386,  2882,  1752,
    1675,  4965,  4372,  4388,  4389,  4399,  4403,  4405,  1783,  4400,
    1784,  4413,  4418,  2200,  4421,  1183,  4515,  2834,  4407,  2201,
    1785,  4422,   812,  2835,  4423,  4424,  4442,  4425,  1786,  2836,
    4430,  1753,   821,  4433,  4437,  4443,  4438,  1787,  4444,  4476,
    4445,  4477,  4489,  2202,  4446,  4450,  4484,  4472,  4474,  1586,
     370,  4487,  1183,  4492,  4490,  4507,  4493,  2715,  2837,  4516,
    2838,  4518,  1183,  1183,  4523,  1931,  4511,  4524,  4548,  4543,
    1183,  1183,  4532,  4564,  1789,  1183,  1931,  2839,   408,  4546,
    4547,  1183,  1183,  4508,  4571,  1183,  4567,  1754,  4553,  4576,
    4606,  4583,  4603,  4613,  4621,  4626,  4633,  4631,  4639,  1790,
    4637,  1197,  2840,  1183,  4650,  1216,  4648,  1183,    74,  4656,
    4658,    74,   686,  4659,  4667,  4683,  4675,  1183,  1755,  4684,
    4686,  4694,  1183,   814,  4693,  4691,  3622,  4695,  4696,  4702,
    4712,  4709,  4718,  4722,  1183,  4732,  4724,  4748,  4728,  4753,
    4744,  4765,  4747,  4503,  2203,  4758,  4766,  3413,  2204,  4770,
    4759,  4777,  4783,  4348,  1756,  4792,   815,  1791,  4790,  4793,
      81,  4795,  4796,  4815,  4797,    79,   369,  4816,  4820,  2205,
    2206,  4818,  4814,  1183,  4824,  4615,  4825,  4849,  2882,  2882,
    4855,  4864,  4841,  1104,  1757,  4872,  2207,  4881,  4906,  4911,
    4918,  1931,  4915,  4920,  4921,  4933,  3309,  4926,  4916,  4934,
    4935,  4940,  4941,  4946,  3309,  4950,  4951,  4956,  4955,  4961,
     410,  4963,  2855,  2856,  4974,  2209,  4886,  4981,  4979,  1931,
    2868,  4982,  4985,  4987,  2871,  2872,  4990,  4995,  2210,  2196,
    4996,  4130,  2197,  5023,  5001,  1931,  5002,  5020,  5025,  2893,
    5028,  2894,   698,  4984,  3609,  3609,  5031,   821,   209,  2198,
    4983,   821,  1760,   821,  5039,  5038,  5043,  2200,  1761,  5057,
    5069,  3378,  2916,  2201,  2917,  1762,  5085,   362,  5088,  5094,
    1116,  1774,  2591,  2472,  3372,  1807,  5098,  3646,  2276,  3210,
    3755,  1931,  1764,  4295,  4897,  4225,  3286,  2202,  3851,  3406,
    1765,  4771,  4980,   408,  4817,  1335,  4360,   408,  4618,   408,
    4819,  1675,  4805,  3698,  3451,  2212,  5026,  4736,  5065,   362,
    4988,  4986,  5037,  4929,  2368,  3703,  4356,  3352,  3353,  4224,
    1002,  2676,  3767,  3335,  3929,  5068,  5099,  5095,  4794,   821,
    3877,  1752,  1335,  3855,  5041,  4757,  4976,  2659,  5029,  1183,
    1002,  1766,  1019,  4760,  3609,  3415,  3964,  4419,  4867,  2102,
    1183,  1350,  3163,  4395,  4939,  3831,  1360,  4396,  1336,  5050,
    5096,  4924,  1601,  1753,  3007,  3006,  1372,  2764,  3650,  4378,
    4509,  3028,  4158,  3447,  2049,   408,  2295,  1000,  3030,  2322,
    3651,  3661,   812,  2323,  3029,  3674,  2327,  1623,  2203,  3659,
    3662,  4100,  2204,  4471,  4857,  2213,  2214,  2215,  1931,  2216,
    2217,  2218,  2219,  2220,  2221,  4482,  1609,  4097,  2196,  4159,
     370,  2197,  2332,  2205,  2206,  4069,  4847,  4059,  5011,  1754,
    3412,  5012,  3585,  3602,  3497,  5019,  3654,  3602,  2198,  1000,
    2207,  1183,  3583,  4155,  2973,  1931,  2200,  1149,  3973,  1752,
    1183,  3421,  2201,  1989,  2716,  3055,  5009,  1119,  2344,  1698,
    1755,    74,  1384,    74,  3046,  2337,  2208,  1183,  1183,  2209,
    3062,  1183,  1687,  1716,  1688,  3059,  2202,  3641,  3060,  4499,
     362,  1753,  2210,  4164,  1183,  2211,  4165,  4143,  1142,  1183,
    2341,  2109,  1183,  3066,  3449,  2242,  1756,  1183,  1183,  2776,
      83,  2038,  1424,     0,     0,     0,  4729,     0,     0,     0,
    4298,   814,     0,  4726,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1757,     0,     0,     0,
    1183,     0,     0,     0,     0,     0,     0,  1754,     0,     0,
       0,  2021,     0,     0,   815,     0,     0,     0,     0,  2882,
       0,     0,  2036,  1758,   369,     0,     0,     0,  4690,  2212,
       0,  1931,     0,     0,     0,     0,  1675,     0,  1755,  1183,
       0,     0,     0,     0,  4809,  2882,  2882,  2203,     0,     0,
       0,  2204,     0,     0,     0,     0,  1759,     0,  1335,     0,
     209,     0,     0,     0,  1760,     0,     0,  3413,   410,     0,
    1761,     0,  2205,  2206,  1756,     0,     0,  1762,     0,     0,
       0,     0,  1183,     0,     0,  1763,     0,     0,     0,  2207,
       0,     0,     0,     0,  1764,  1000,     0,     0,     0,     0,
       0,     0,  1765,  1000,  1757,  1000,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2208,     0,     0,  2209,  2213,
    2214,  2215,     0,  2216,  2217,  2218,  2219,  2220,  2221,     0,
       0,  2210,     0,     0,  2211,  3512,     0,  1183,     0,  1931,
       0,   814,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1766,     0,     0,     0,     0,     0,     0,
       0,  1183,  1931,     0,  1183,     0,  1183,     0,   209,   821,
       0,     0,  3414,     0,   815,     0,     0,  1335,  1761,     0,
       0,     0,     0,  1183,   369,  1762,     0,  1183,     0,     0,
       0,  3330,  1931,  2472,     0,     0,     0,     0,     0,     0,
       0,     0,  1764,     0,     0,     0,     0,     0,  2212,     0,
    1765,     0,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4927,   410,  3609,
       0,     0,  1931,  3609,     0,     0,  1931,  1931,     0,     0,
     812,     0,     0,     0,     0,     0,  2016,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3772,  1766,     0,     0,     0,  3415,     0,     0,   370,  2882,
       0,     0,     0,  1183,  3602,     0,     0,     0,     0,  3602,
       0,     0,  3602,     0,     0,     0,     0,     0,     0,     0,
       0,  3800,  1183,     0,     0,     0,  5084,     0,  2213,  2214,
    2215,     0,  2216,  2217,  2218,  2219,  2220,  2221,     0,     0,
    2999,     0,  1931,     0,     0,     0,  3000,     0,     0,  4945,
       0,     0,  2101,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2113,     0,  3829,
       0,  1000,  1183,     0,     0,     0,     0,  1198,     0,     0,
    2124,     0,     0,  1220,     0,     0,     0,     0,     0,  1183,
       0,  3309,     0,  1233,  3309,  3309,     0,     0,  3309,     0,
       0,     0,     0,     0,  3309,     0,     0,     0,     0,     0,
       0,     0,     0,  3865,     0,     0,     0,     0,     0,  3874,
       0,  1294,     0,     0,     0,  1301,  3865,     0,     0,     0,
     812,     0,     0,     0,  1183,     0,  1311,  5042,     0,     0,
    1335,   366,  1335,  5052,  5053,  1183,     0,     0,     0,  5055,
       0,  5054,     0,     0,     0,     0,     0,     0,   370,     0,
       0,   362,     0,  5075,   814,     0,  1183,  1183,  2196,     0,
       0,  2197,     0,     0,     0,     0,     0,     0,  3932,  1183,
       0,   366,     0,  5052,  5053,     0,     0,     0,  2198,  5055,
       0,  5054,     0,     0,     0,     0,  2200,   815,     0,     0,
       0,     0,  2201,     0,  3959,  1335,  4623,   369,     0,     0,
    5075,   814,  2196,     0,     0,  2197,     0,     0,  5075,   814,
       0,  1183,     0,     0,     0,   366,  2202,  5052,  5053,     0,
       0,  1183,     0,  5055,     0,  5054,     0,  3602,     0,     0,
    2200,     0,     0,  2296,   815,     0,  2201,     0,     0,     0,
       0,   410,   815,     0,   369,     0,  5076,     0,     0,     0,
       0,     0,   369,     0,     0,     0,     0,     0,     0,     0,
    2202,  2368,     0,     0,  3644,     0,  1000,   821,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1183,     0,     0,     0,     0,   410,     0,
       0,     0,  1183,  5076,     0,     0,   410,     0,     0,     0,
       0,  5076,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   408,     0,     0,     0,  2203,     0,     0,
    3609,  2204,  3570,     0,     0,  3609,     0,     0,  3609,     0,
       0,     0,     0,     0,   362,     0,     0,  1002,     0,  1002,
       0,  1002,  2205,  2206,     0,     0,     0,  1002,  4070,   834,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2207,
       0, -2630,     0,  2722,     0,  2204,  3609,     0,     0,     0,
    1002,  1002,  2728,     0,   686,   686,  2732,     0,     0,     0,
       0,     0,  2738,  2739,     0,  2208,  2205,  2206,  2209,     0,
       0,     0,     0,     0,     0,   835,     0,     0,     0,     0,
    2751,  2210,  4135, -2630,  2211,  4755,     0,     0,   836,     0,
       0,     0,     0,   812,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   837,     0,   821,     0,     0,
       0,   838,  2209,     0,     0,     0,     0,     0,     0,     0,
       0,   370,     0,     0,     0,  2210,   839,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,   840,     0,     0,
     812,     0,     0,     0,     0,   841,     0,     0,   812,     0,
       0,     0,     0,   408,     0,     0,   842,     0,  2212,     0,
       0,   843,     0,     0,     0,     0,     0,   844,   370,     0,
    1002,     0,     0,     0,     0,     0,   370,     0,     0,     0,
       0,     0,   845,  3609,   698,   698,     0,     0,     0,  1703,
       0,     0,     0,     0,   362,     0,     0,     0,     0,     0,
       0,     0, -2630,     0,     0,     0,   362,   846,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   847,     0,
       0,     0,     0,  3609,  1002,     0,     0,  3865,     0,     0,
       0,     0,     0,     0,     0,     0,  5083,     0,  2213,  2214,
    2215,     0,  2216,  2217,  2218,  2219,  2220,  2221,     0,   848,
    4251,     0,     0,  4252,  3560,  4253,     0,     0,     0,     0,
       0,  1000,     0,     0,     0,     0,  3869,  3872,     0,     0,
       0,     0,     0,     0,  1000,     0,     0,   849,     0,     0,
     362,     0,     0,     0,  2729,     0,  2216,  2217,  2218,  2219,
    2220,  2221,     0,     0,  3309,  2740,     0,     0,     0,     0,
    3309,  3309,     0,  2628,   850,  3918,     0,  2747,   851,  4917,
     852,     0,     0,     0,  1752,     0,   853,     0,     0,   854,
       0,     0,     0,  3874,     0,  3003,     0,     0,     0,     0,
       0,     0,     0,     0,  4328,  4330,  4332,  4334,     0,     0,
       0,     0,     0,     0,     0,   855,  1753,   856,     0,   694,
       0,   857,     0,     0,   712,     0,     0,     0,     0,   858,
       0,     0,     0,     0,   859,     0,  2784,     0,     0,     0,
    2790,     0,  2792,     0,     0,  2795,   860,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   861,
     821,     0,   712,     0,     0,     0,     0,     0,     0,     0,
       0,    35,  1754,     0,  4394,     0,     0,     0,     0,    41,
      42,     0,     0,   712,     0,  2196,     0,     0,  2197,     0,
       0,  1002,     0,     0,     0,     0,  1000,     0,     0,     0,
       0,  1011,     0,  1755,     0,  2198,   408,   821,  2199,     0,
    4998,     0,     0,  2200,  1012,   821,     0,     0,     0,  2201,
       0,  3609,  1020,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4428,     0,  1031,  1756,
    1011,     0,     0,  2202,  1052,     0,     0,     0,     0,     0,
       0,     4,     0,   408,  1082,  5027,     0,     0,     0,     0,
       0,   408,  1087,     0,     0,     0,     0,     0,     0,  1757,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     8,     0,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,    36,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,   209,     0,  2471,     0,  1760,     0,     0,
       0,     0,   686,  1761,  2203,     0,     0,     0,  2204,     0,
    1762,     0,  2434,     0,     0,     0,     0,     0,  2472,     0,
       0,     0,  4504,  4505,     0,     0,     0,  1764,     0,  2205,
    2206,     0,     0,     0,     0,  1765,     0,     0,  5097,     0,
      46,     0,     0,  1002,    80,  2435,  2207,  4161,  1002,  1002,
       0,     0,     0,     0,     0,     0,     0,     0,  2436,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2437,  2208,     0,     0,  2209,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1766,     0,  2210,     0,
    2196,  2211,     0,  2197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2438,
      47,     0,     0,     0,     0,     0,     0,     0,  2200,     0,
    2439,     0,     0,     0,  2201,     0,     0,    48,     0,     0,
       0,     0,   698,     0,     0,     0,     0,     0,  2196,  2440,
       0,  2197,     0,     0,  2441,  1000,     0,    49,  2202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4578,  4579,  2212,  2200,  1000,     0,    50,
       0,     0,  2201,  3309,  3309,  2589,     0,     0,     0,     0,
    1335,     0,     0,     0,  4597,     0,     0,     0,     0,     0,
       0,     0,     0,  3429,     0,     0,  2202,  3168,     0,  3874,
    3874,  3874,  3874,  3874,     0,    51,  1002,     0,    52,  3438,
    3439,  2442,     0,  3441,  1002,     0,     0,     0,     0,  3445,
       0,     0,     0,    53,     0,     0,     0,     0,  1417,  1418,
       0,     0,     0,     0,     0,     0,     0,  4312,     0,     0,
       0,  3872,  2443,     0,     0,     0,     0,     0,     0,  2203,
       0,     0,  4327,  2204,  4641,  2213,  2214,  2215,  3581,  2216,
    2217,  2218,  2219,  2220,  2221,  1002,     0,     0,  1002,  1002,
     849,     0,     0,     0,  2205,  2206,  2665,     0,     0,     0,
       0,  4660,     0,     0,     0,     0,     0,     0,     0,     0,
    3481,  2207,  2589,     0,     0,     0,     0, -2630,    54,     0,
       0,  2204,     0,  2444,  4428,  4428,  4428,  4428,     0,  2445,
       0,     0,  2446,     0,     0,     0,     0,  2208,     0,     0,
    2209,     0,  2205,  2206,     0,     0,     0,     0,     0,     0,
       0,     0,  1002,  2210,     0,     0,     0,     0,  2447, -2630,
      55,     0,   712,     0,  2448,     0,     0,     0,     0,     0,
       0,     0,     0,  2589,    56,     0,     0,  2449,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,  2209,    57,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2210,  2450,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    58,     0,     0,     0,     0,
       0,    59,     0,     0,     0,    60,    61,    62,    63,    64,
    2212,     0,    65,    66,    67,    68,     0,    69,    70,    71,
      72,    73,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3865,  2196,     0,     0,  2197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2198,     0, -2630,     0,
       0,     0,     0,     0,  2200,  3309,     0,     0,     0,     0,
    2201,     0,     0,     0,  1335,     0,     0,     0,  4775,     0,
    4776,     0,     0,  4780,  4781,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2202,  3456,     0,     0,     0,     0,
    2213,  2214,  2215,     0,  2216,  2217,  2218,  2219,  2220,  2221,
    2368,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1179,  1185,  1185,   712,     0,  1185,
       0,  1193,    74,  1179,   694,  1082,  1000,     0,  1218,     0,
     694,     0,     0,  1082,     0,  1082,     0,     0,     0,  1185,
     694,  1082,  2216,  2217,  2218,  2219,  2220,  2221,     0,  1247,
       0,     0,     0,     0,  1082,     0,  1179,     0,  3708,  1185,
       0,   712,     0,  1185,     0,     0,     0,     0,   694,     0,
    1218,     0,   694,  1304,     0,     0,     0,     0,  1000,     0,
    1185,     0,     0,   694,     0,  2203,     0,     0,     0,  2204,
       0,     0,     0,     0,     0,  4561,  4562,     0,     0,     0,
    4565,  4566,     0,     0,     0,     0,     0,     0,  1334,     0,
    2205,  2206,  1179,     0,     0,     0,     0,   712,     0,     0,
       0,     0,  1179,     0,     0,     0,  1218,  2207,     0,  2196,
       0,     0,  2197,     0,     0,     0,     0,  3759,     0,  3761,
       0,  1185,  4898,     0,     0,     0,     0,     0,     0,  2198,
       0,     0,  1399,  2208,     0,     0,  2209,  2200,  1000,     0,
       0,     0,     0,  2201,     0,     0,     0,     0,     0,  2210,
       0,     0,  2211,     0,     0,     0,   686,  3872,  3872,  3872,
    3872,  3872,     0,     0,     0,  1000,     0,  2202,     0,     0,
       0,     0,     0,     0,     0,     0,  1082,     0,     0,     0,
       0,     0,     0,  3073,     0,     0,     0,     0,  3077,  1082,
    1454,  3080,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3826,     0,  3103,     0,     0,  1561,  3833,     0,     0,
     712,  1082,     0,     0,  1334,     0,  2212,     0,     0,     0,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,  1082,
       0,     0,  2196,  1082,     0,  2197,     0,     0,     0,     0,
       0,  1561,  1335,     0,  3153,     0,     0,     0,     0,     0,
       0,  1082,  2198,  3691,  3692,     0,  3694,     0,  2203,     0,
    2200,     0,  2204,  1082,     0,     0,  2201,     0,     0,     0,
       0,  3167,  1002,     0,     0,     0,   698,     0,     0,     0,
       0,     0,     0,  2205,  2206,     0,     0,     0,     0,     0,
    2202,     0,  1703,     0,     0,  3200,     0,     0,     0,     0,
    2207,   694,   694,     0,     0,     0,  2213,  2214,  2215,     0,
    2216,  2217,  2218,  2219,  2220,  2221,     0,     0,     0,  3225,
    2913,     0,     0,  3236,     0,     0,  2208,     0,     0,  2209,
    4725,     0,  1776,     0,     0,     0,     0,     0,  1777,     0,
       0,  3248,  2210,     0,     0,  1082,     0,     0,     0,     0,
       0,  3257,  1082,  3976,  1185,  1185,     0,  3979,  3980,     0,
    3982,     0,  3984,  3985,  3281,     0,     0,     0,     0,     0,
       0,  3990,     0,  3288,     0,     0,     0,     0,  1778,     0,
       0,     0,     0,  1000,     0,  5077,     0,     0,     0,     0,
       0,  2203,     0,     0,     0,  2204,     0,     0,  1179,  3802,
       0,     0,     0,     0,     0,     0,  4008,     0,     0,  1179,
       0,     0,     0,  1218,     0,     0,  2205,  2206,     0,  2212,
    3412,     0,     0,     0,     0,     0,  1185,  1779,     0,     0,
       0,     0,  5077,  2207,  1780,     0,     0,  1781,     0,  1752,
    5077,  1082,     0,     0,     0,     0,     0,  1185,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1002,  2208,
       0,     0,  2209,  1082,  1082,  1082,  1002,  1185,  1002,  1179,
       0,  1753,     0,  1986,     0,  2210,     0,     0,  2211,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1782,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,  1185,  1185,     0,     0,     0,  2213,
    2214,  2215,     0,  2216,  2217,  2218,  2219,  2220,  2221,     0,
       0,     0,     0,  1334,     0,     0,  2196,  1754,     0,  2197,
    3914,     0,  3917,     0,     0,     0,     0,     0,  1561,     0,
       0,     0,     0,     0,     0,     0,  2198,  1783,  1334,  1784,
       0,     0,  2212,     0,  2200,     0,     0,     0,  1755,  1785,
    2201,     0,     0,     0,     0,     0,     0,  1786,     0,     0,
       0,     0,     0,     0,     0,     0,  1787,     0,  2085,  2085,
       0,     0,     0,  1082,  2202,  1011,     0,  3413,     0,     0,
       0,     0,     0,     0,  1756,     0,     0,     0,     0,     0,
    1082,     0,     0,     0,     0,     0,     0,     0,  2120,  1788,
       0,  1082,     0,  1789,  2126,  1334,     0,     0,     0,     0,
       0,     0,     0,  3995,  1757,     0,  1561,     0,     0,     0,
       0,     0,     0,  2196,     0,     0,  2197,     0,  1790,     0,
       0,     0,  2213,  2214,  2215,  4006,  2216,  2217,  2218,  2219,
    2220,  2221,     0,  2198,     0,  1561,  3866,     0,     0,     0,
       0,  2200,     0,     0,     0,     0,     0,  2201,     0,     0,
       0,  4943,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1561,  1561,  2203,  1561,     0,   209,  2204,
       0,  2202,  1760,     0,     0,     0,  1791,     0,  1761,     0,
       0,     0,     0,  1561,  1002,  1762,     0,     0,     0,     0,
    2205,  2206,     0,  2472,     0,     0,     0,     0,     0,     0,
       0,     0,  1764,   712,   712,     0,     0,  2207,     0,     0,
    1765,     0,     0,     0,     0,     0,     0,  1334,     0,     0,
       0,     0,     0,     0,     0,  1334,  1334,     0,     0,     0,
       0,     0,  1082,  2208,     0,  1561,  2209,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2210,
       0,     0,  2211,     0,     0,     0,     0,     0,     0,     0,
       0,  1766,     0,     0,  1561,  3415,     0,     0,  1561,  1561,
       0,     0,  2203,     0,     0,     0,  2204,     0,     0,  1082,
    1082,  2335,     0,  2196,     0,     0,  2197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2205,  2206,     0,
       0,     0,     0,     0,     0,     0,     0,   712,     0,   694,
       0,  2200,     0,     0,  2207,     0,     0,  2201,     0,     0,
       0,     0,     0,     0,     0,     0,  2212,     0,     0,     0,
       0,     0,  1776,  3687,     0,     0,     0,     0,  1777,     0,
    2208,  2202,     0,  2209,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5074,     0,     0,  2210,     0,     0,  2211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3710,     0,     0,  1778,     0,
       0,     0,     0,     0,     0,  4408,     0,     0,     0,  1002,
       0,     0,     0,  4411,  4412,     0,     0,     0,     0,     0,
    5074,     0,     0,  4083,     0,  1082,  2495,     0,  5074,     0,
       0,     0,  1082,     0,     0,  1185,  2213,  2214,  2215,     0,
    2216,  2217,  2218,  2219,  2220,  2221,     0,  1779,     0,     0,
    4021,     0,  1218,  2212,  1780,     0,     0,  1781,  1082,     0,
       0,  1082, -2630,     0,     0,     0,  2204,     0,     0,     0,
       0,     0,  2196,     0,     0,  2197,     0,     0,     0,     0,
       0,  1082,     0,     0,     0,     0,     0,  2205,  2206,  1185,
    1185,  1185,  1185,  1082,  3777,     0,     0,     0,     0,     0,
    2200,     0,   694,     0, -2630,  3795,  2201,  1082,     0,     0,
    1782,     0,     0,     0,     0,     0,     0,     0,     0,  2603,
       0,  1082,     0,     0,     0,     0,     0,     0,     0,     0,
    2202,  1185,  1185,  2209,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,  2213,  2214,  2215,  2210,  2216,  2217,  2218,
    2219,  2220,  2221,     0,     0,     0,     0,  4068,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1783,     0,  1784,
       0,     0,     0,     0,     0,     0,     0,  3838,     0,  1785,
       0,     0,  1185,  4361,  4362,     0,     0,  1786,     0,     0,
       0,     0,  4084,     0,     0,     0,  1787,     0,     0,     0,
       0,     0,     0,   694,     0,     0,     0,     0,     0,  1185,
    1185,  1185,  1185,     0,     0,     0,     0,     0,  4535,   694,
       0,  1082,     0, -2630,     0,     0,     0,  1082,     0,  1832,
    2603, -2630,     0,  1789,     0,  2204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1179,     0,     0,     0,  4551,
    4552,     0,   712,     0,  1179,     0,  2205,  2206,  1833,     0,
    4414,  4415,  4416,     0,  1218,     0,     0,     0,     0,  1185,
       0,     0,     0, -2630,     0,     0,     0,     0,  1185,     0,
     694,     0,     0,     0,  1185,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1082,     0,
       0,  1399,  2209,     0,     0,     0,     0,     0,     0,     0,
       0,  4581,  4582,     0,     0,  2210,  1791,  2216,  2217,  2218,
    2219,  2220,  2221,     0,     0,     0,  2589,     0,     0,     0,
       0,     0,  2085,     0,  1002,     0,     0,     0,     0,  1185,
       0,  1179,     0,  3998,     0,  1082,  1082,  1002,  1185,     0,
       0,     0,     0,     0,  1082,     0,     0,     0,     0,     0,
       0,     0,     0,  4009,     0,     0,     0,     0,     0,     0,
       0,  1011,  1011,     0,     0,  2824,     0,     0,     0,  1561,
    1561,     0,     0,     0,     0,     0,     0,  1561,     0,     0,
    1561,     0, -2630,     0,  1561,     0,     0,     0,     0,     0,
       0,     0,  1561,  1561,     0,     0,     0,     0,     0,     0,
    1561,     0,  1218,  1561,  1561,  1561,  1561,     0,     0,     0,
       0,     0,     0,  1561,  1561,     0,  1561,     0,  1561,  1561,
       0,     0,  1561,     0,  4671,     0,  4672,  4673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4676,  1561,     0,
       0,     0,  1185,  1561,     0,     0,     0,  1561,     0,     0,
       0,  1561,     0,  1561,  1561,  1561,  1561,  1561,  1561,  1561,
    1561,  1561,     0,  1561,     0,     0,     0,     0,  1082,  1561,
    2196,     0,  1561,  2197,     0,     0,  2216,  2217,  2218,  2219,
    2220,  2221,     0,     0,     0,     0,     0,     0,     0,  1002,
    2198,     0,     0,  1082,     0,     0,     0,     0,  2200,     0,
       0,     0,     0,     0,  2201,     0,     0,     0,     0,     0,
       0,     0,  1776,     0,     0,     0,     0,     0,  1777,     0,
    4572,  4573,     0,  4575,     0,     0,     0,     0,  2202,     0,
    1082,     0,  1082,     0,  1561,     0,     0,     0,     0,     0,
       0,     0,     0,  1812,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1778,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1082,     0,
       0,     0,     0,     0,  3037,     0,  3044,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1813,
       0,     0,     0,     0,     0,     0,     0,     0,  2196,     0,
       0,  2197,     0,   694,  4202,     0,     0,  1779,     0,     0,
       0,     0,     0,     0,  1780,     0,     0,  1781,  2198,     0,
       0,     0,     0,     0,     0,     0,  2200,     0,     0,  2203,
     694,     0,  2201,  2204,     0,   694,     0,     0,   694,   712,
       0,     0,     0,     0,  1011,     0,  1011,     0,     0,     0,
       0,     0,     0,     0,  2205,  2206,  2202,     0,     0,     0,
     694,     0,     0,  1561,     0,     0,     0,  1814,     0,     0,
    1782,  2207,     0,     0,  1179,     0,  1185,  1185,  1185,     0,
       0,  1179,     0,  1218,     0,  1185,     0,  1185,  4267,  1185,
    1185,  4270,     0,  1082,  4843,     0,     0,  2208,     0,     0,
    2209,   694,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2210,     0,  1815,  2211,  1816,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1817,   694,  1784,
       0,  2495,     0,     0,     0,     0,     0,  3173,     0,  1785,
       0,     0,  3182,     0,     0,     0,     0,  1786,  1082,     0,
    4869,     0,   694,     0,     0,  1818,  1787,  2203,     0,     0,
       0,  2204,     0,  1082,     0,     0,     0,  3217,  3217,     0,
       0,     0,     0,     0,   712,     0,   694,     0,  1002,     0,
     694,     0,  2205,  2206,  4896,     0,     0,     0,     0,  1819,
    2212,  1185,     0,  1789,  1820,  4366,     0,     0,   694,  2207,
    1002,     0,     0,     0,     0,     0,     0,     0,   694,     0,
       0,     0,     0,     0,     0,     0,     0,  3275,  1821,  3278,
    3280,   694,     0,     0,     0,  2208,     0,     0,  2209,  1822,
     694,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2210,     0,     0,  2211,     0,     0,  1185,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1561,     0,     0,  1791,     0,     0,     0,
    2213,  2214,  2215,     0,  2216,  2217,  2218,  2219,  2220,  2221,
       0,     0,     0,     0,  4147,     0,     0,  2495,     0,     0,
    3217,     0,  1082,     0,  3373,     0,     0,  1011,     0,     0,
       0,     0,     0,     0,     0,     0,  1776,     0,  2212,     0,
       0,     0,  1777,     0,     0,     0,     0,  2196,     0,     0,
    2197,     0,     0,  3275,     0,     0,     0,     0,     0,     0,
       0,  1185,  3398,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1334,  1986,  2200,     0,     0,     0,     0,
    4852,  2201,  1778,     0,     0,     0,     0,     0,     0,     0,
    4852,  1185,     0,  1185,  3217,  1185,  3217,     0,     0,     0,
       0,     0,     0,     0,     0,  2202,     0,     0,     0,     0,
    1334,     0,     0,     0,     0,     0,     0,     0,  1561,     0,
    1002,     0,     0,     0,     0,     0,     0,     0,  2213,  2214,
    2215,  1779,  2216,  2217,  2218,  2219,  2220,  2221,  1780,  2085,
       0,  1781,  4174,     0,  4895,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   694,  5062,     0,
       0,     0,  2196,     0,     0,  2197,     0,  4087,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   694,  2198,     0,     0,  1179,     0,     0,     0,  2196,
    2200,  1179,  2197,     0,  1782,     0,  2201,     0,     0,     0,
       0,     0,  1185,     0,     0,     0, -2630,     0,  1561,  1561,
    2204,     0,     0,     0,  1561,     0,     0,  2200,     0,     0,
    2202,     0,     0,  2201,     0,  4558,     0,     0,     0,     0,
       0,  2205,  2206,  4953,     0,     0,     0,  4568,     0,  1561,
    1561,     0,     0,     0,  1561,     0,     0,  2202, -2630,     0,
       0,  1783,     0,  1784,     0,     0,  1561,  1561,  1561,  1561,
       0,     0,     0,  1785,     0,     0,     0,     0,     0,  1561,
       0,  1786,  1561,     0,  1561,  3564,     0,  2209,     0,     0,
    1787,     0,     0,     0,  1561,  1561,     0,     0,  1561,  1002,
    2210,     0,     0,     0,     0,     0,     0,     0,     0,   932,
       0,  1561,     0,  1561,     0,  1218,     0,  1561,     0,  4463,
       0,   933,     0,  1858,     0,     0,     0,  1789,     0,     0,
       0,  2203,     0,  1561,     0,  2204,     0,  1082,     0,     0,
       0,     0,   934,     0,  3610,     0,  1561,  1561,  1561,     0,
       0,  1002,  1859,     0,     0,   935,  2205,  2206, -2630,     0,
       0,     0,  2204,     0,     0,     0,  1334,     0,   936,     0,
    1561,     0,     0,  2207,     0,     0,     0, -2630,     0,     0,
       0,     0,  1561,  2205,  2206,   937,     0,  1561,     0,   820,
       0,     0,     0,  1561,     0,     0,     0,     0,     0,  2208,
   -2630,  3610,  2209,     0,  3668,     0,   938,  1776,  3044,     0,
    1791,     0,     0,  1777,     0,  2210,     0,   939,  2211,     0,
       0,     0,     0,     0,     0,   940,     0,     0,     0,  2209,
       0,  1002,     0,     0,   820,     0,   941,     0,     0,     0,
     694,   942,  2210,     0,     0,     0,     0,   943,     0,     0,
       0,     0,     0,  1778,     0,     0,     0,     0,  1002,     0,
       0,  1561,   944,  3217,     0,     0,     0,     0,  2085,     0,
       0,  2216,  2217,  2218,  2219,  2220,  2221,     0,     0,     0,
       0,  1043,   694,     0,     0,  1334,     0,     0,     0,  1043,
       0,  1043,  2212,     0,  1185,     0,  1185,  1185,  1185,     0,
       0,     0,  1779,   820,     0,     0,     0,     0,   945,  1780,
       0,     0,  1781,     0,  2196,     0,     0,  2197,     0, -2630,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2198,     0,     0,     0,     0,   946,
       0,     0,  2200,     0,     0,     0,     0,     0,  2201,   947,
       0,  1776,     0,     0,     0,     0,     0,  1777,     0,     0,
       0,     0,     0,     0,     0,  1782,     0,   849,     0,     0,
       0,     0,  2202,     0,     0,     0,     0,     0,     0,     0,
       0,   694,  2213,  2214,  2215,     0,  2216,  2217,  2218,  2219,
    2220,  2221,   694,     0,   948,     0,  4431,  1778,   949,     0,
     950,     0,     0,     0,     0,     0,   951,     0,     0,   952,
       0,     0,     0,  2216,  2217,  2218,  2219,  2220,  2221,     0,
       0,     0,  1783,     0,  1784,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1785,   953,     0,   954,     0,     0,
       0,   955,  1786,     0,     0,     0,  1779,     0,     0,   956,
       0,  1787,     0,  1780,   957,     0,  1781,     0,     0,     0,
       0,     0,     0,     0,   694,     0,   958,     0,     0,     0,
       0,     0,     0,  2203,  3217,  3217,     0,  2204,     0,   959,
       0,     0,     0,     0,  2454,     0,  1002,     0,  1789,     0,
       0,     0,     0,     0,     0,     0,     0,  3873,  2205,  2206,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1782,
       0,     0,     0,  2455,     0,  2207,     0,     0,  1334,     0,
    1334,  1926,     0,     0,  1082,  1082,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1082,  2208,     0,     0,  2209,     0,     0,     0,     0,     0,
       0,     0,     0,  2085,  1082,     0,     0,  2210,     0,     0,
    2211,     0,  2085,  1082,     0,     0,  1783,     0,  1784,     0,
       0,  1791,     0,     0,     0,     0,     0,  1082,  1785,     0,
       0,     0,     0,  1334,     0,     0,  1786,     0,     0,     0,
       0,     0,   712,     0,     0,  1787,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,     0,
    1185,     0,     0,   694,     0,     0,     0,     0,     0,  2196,
       0,     0,  2197,     0,     0,     0,     0,  1179,  2524,     0,
     694,     0,  1789,     0,  2212,     0,     0,     0,     0,  2198,
       0,     0,     0,     0,     0,     0,     0,  2200,  1082,     0,
     694,     0,     0,  2201,     0,     0,     0,  2525,  1185,     0,
       0,     0,     0,     0,     0,     0,  1561,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1561,  2202,     0,     0,
       0,     0,  1561,     0,  1561,     0,  1926,     0,     0,     0,
    1561,     0,     0,  1561,  1561,  1561,  1561,  1561,  1561,  1561,
    1561,  1561,  1561,     0,     0,     0,  1561,  1561,     0,     0,
       0,     0,     0,     0,     0,  1791,     0,     0,     0,  1561,
       0,     0,     0,  1561,  2213,  2214,  2215,  1561,  2216,  2217,
    2218,  2219,  2220,  2221,     0,     0,     0,  1561,  4465,     0,
    1561,     0,  1561,     0,     0,     0,     0,     0,     0,     0,
       0,  1561,  1561,  1561,     0,     0,     0,  1561,     0,     0,
    1561,     0,     0,     0,     0,     0,     0,  1082,  1082,  1082,
    1179,  3610,  4104,     0,  4944,     0,  4104,  4118,  2203,     0,
    1776,  1561,  2204,     0,     0,     0,  1777,  4132,     0,  1561,
       0,  1561,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2205,  2206,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2207,     0,     0,     0,     0,     0,  1778,     0,     0,  2262,
       0,     0,     0,  1561,     0,     0,     0,     0,     0,  1561,
       0,     0,     0,  3044,     0,  1561,  2208,     0,     0,  2209,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2210,     0,     0,  2211,     0,  1248,     0,     0,
    4180,  2085,  2085,     0,  2603,  1779,     0,     0,     0,     0,
       0,     0,  1780,     0,     0,  1781,     0,     0,     0,     0,
       0,     0,  1185,  1185,  1185,  1185,     0,     0,   820,     0,
    1249,   694,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,  1250,  1251,  1181,     0,     0,     0,     0,
       0,     0,  1252,     0,     0,     0,  1253,     0,     0,     0,
    4223,     0,     0,     0,     0,     0,     0,     0,  1782,  2212,
       0,     0,     0,  1254,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,  1926,     0,  2196,     0,
       0,  2197,     0,     0,  1255,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1256,     0,     0,  2198,     0,
       0,     0,     0,  1257,     0,   694,  2200,     0,   694,     0,
       0,     0,  2201,     0,  1258,  1783,     0,  1784,     0,  1259,
       0,     0,  4284,     0,  1181,     0,     0,  1785,     0,     0,
    1926,     0,     0,     0,  1181,  1786,  2202,     0,     0,     0,
    1260,     0,     0,     0,  1787,     0,     0,     0,     0,  2213,
    2214,  2215,     0,  2216,  2217,  2218,  2219,  2220,  2221,  1926,
       0,  3873,     0,  4692,     0,  1261,     0,  2196,     0,  1082,
    2197,     0,     0,     0,     0,     0,     0,  3169,     0,     0,
    1185,  1789,  1561,     0,     0,     0,  1262,  2198,  1082,     0,
       0,     0,     0,     0,  4355,  2200,     0,     0,     0,     0,
       0,  2201,     0,  2495,     0,     0,  1790,     0,     0,     0,
       0,     0,   694,     0,     0,  1082,     0,  1263,     0,     0,
       0,     0,     0,     0,  3275,  2202,     0,     0,     0,     0,
    4384,     0,  1926,     0,     0,     0,     0,  2203,     0,     0,
       0,  2204,     0,     0,     0,   849,  1561,  1561,  1181,     0,
       0,  1926,     0,     0,  1043,     0,     0,     0,  1043,     0,
       0,     0,  2205,  2206,  1791,     0,     0,     0,     0,  1926,
       0,  3217,  1264,  3217,     0,     0,  1265,     0,  1266,  2207,
       0,     0,     0,  1181,  1267,     0,     0,  1268,     0,     0,
     694,     0,     0,     0,     0,     0,     0,  1926,     0,     0,
       0,     0,     0,     0,     0,  2208,     0,  1561,  2209,     0,
       0,     0,     0,  1269,     0,  1270,     0,     0,     0,  1271,
       0,  2210,     0,  1776,  2211,     0,  2203,  1272,     0,  1777,
    2204,     0,  1273,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1561,     0,     0,     0,     0,     0,
       0,  2205,  2206,     0,  1561,  1561,     0,  1274,     0,     0,
    1926,     0,  1561,  1561,     0,     0,     0,  1561,  2207,  1778,
       0,     0,     0,  1561,  1561,     0,     0,  1561,     0,  1082,
    1082,  1082,  1082,     0,     0,     0,  4104,  4118,  4104,     0,
       0,  4473,     0,     0,  2208,  3610,     0,  2209,  2212,  3610,
       0,     0,     0,     0,     0,  4486,     0,     0,     0,  1561,
    2210,     0,     0,  2211,  1561,     0,     0,     0,  1779,     0,
    4496,     0,     0,     0,     0,  1780,  1561,     0,  1781,     0,
       0,     0,     0,     0,     0,  1218,     0,     0,     0,     0,
    1181,     0,     0,  3668,     0,     0,     0,  3044,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1011,     0,     0,  1561,     0,     0,     0,     0,
       0,     0,     0,     0,  1929,     0,     0,     0,     0,     0,
       0,  1782,     0,     0,     0,  3217,  3217,  2212,  2213,  2214,
    2215,     0,  2216,  2217,  2218,  2219,  2220,  2221,     0,     0,
       0,     0,  4734,     0,     0,     0,     0,     0,     0,  4549,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   694,  1928,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   694,     0,     0,     0,  1783,     0,
    1784,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1785,     0,     0,     0,  1185,     0,  1926,     0,  1786,     0,
       0,     0,     0,     0,     0,     0,     0,  1787,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,  2213,  2214,  2215,
    1181,  2216,  2217,  2218,  2219,  2220,  2221,     0,  1334,     0,
       0,  4788,     0,     0,     0,     0,     0,     0,     0,     0,
    3250,     0,   876,     0,  1789,     0,     0,  3873,  3873,  3873,
    3873,  3873,     0,     0,   877,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3251,
       0,  1561,     0,     0,     0,   878,     0,     0,     0,  1929,
       0,     0,  1179,     0,     0,     0,     0,  2495,   879,     0,
       0,     0,     0,     0,  2085,     0,     0,   880,     0,     0,
       0,  -736,  2196,     0,     0,  2197,  1185,  2495,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   881,     0,
       0,     0,  2198,     0,   882,     0,     0,  1791,  1928,     0,
    2200,     0,     0,  1082,     0,  4670,  2201,  1181,     0,   883,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     884,   694,     0,     0,     0,     0,     0,     0,   885,     0,
    2202,     0,     0,  1561,     0,  1181,  1181,     0,  1181,   886,
       0,     0,  1561,     0,     0,     0,   887,     0,     0,     0,
     888,     0,     0,     0,     0,  1181,     0,     0,     0,  1561,
    1561,     0,     0,  1561,     0,  -938,     0,     0,     0,  1184,
    1186,     0,  4104,  1189,     0,  1191,  3610,     0,     0,     0,
       0,  3610,     0,     0,  3610,  3275,     0,  4714,     0,  1561,
    1561,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   889,     0,     0,  1181,   820,     0,
       0,  -501,     0,  1283,     0,     0,   694,  1286,   694,     0,
       0,     0,  4180,  1218,  1185,  1185,  1185,     0,     0,     0,
       0,  2203,     0,     0,  1309,  2204,  1181,     0,     0,     0,
    1181,  1181,   890,     0,     0,   891,     0,  1926,     0,     0,
       0,     0,  1926,  1926,     0,     0,  2205,  2206,     0,     0,
       0,  1179,  1218,     0,  1926,     0,     0,     0,     0,     0,
       0,     0,     0,  2207,     0,     0,     0,     0,     0,  -398,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1334,     0,     0,     0,     0,   892,     0,  2208,
    2085,     0,  2209,   893,  1179,     0,     0,     0,     0,  -398,
       0,     0,   894,  1082,     0,  2210,     0,     0,  2211,  1929,
       0,     0,     0,     0,  4355,   820,     0,     0,     0,     0,
       0,  3217,  1043,     0,     0,  2495,     0,     0,  -398,     0,
     895,   896,     0,   897,   898,     0,     0,  4384,     0,     0,
    1082,     0,   899,     0,     0,     0,     0,   900,  1185,  4180,
       0,     0,     0,   901,     0,  1043,   902,     0,  1928,   903,
       0,     0,     0,  1929,     0,     0,     0,     0,     0,     0,
       0,     0,  -398,  1561,     0,     0,  1561,     0,  1561,     0,
       0,     0,  2212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,  1926,  1561,     0,     0,     0,  3610,
       0,     0,  4714,     0,     0,     0,     0,     0,  4863,     0,
       0,     0,  2487,     0,     0,     0,     0,  2196,     0,     0,
    2197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,  1082,     0,     0,  2198,     0,     0,
       0,  1928,     0,     0,     0,  2200,  1043,     0,     0,     0,
       0,  2201,  1185,  1185,  1185,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,  2085,     0,  1926,
       0,     0,  2213,  2214,  2215,  2202,  2216,  2217,  2218,  2219,
    2220,  2221,     0,     0,  1929,  1179,  4997,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,  1561,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1928,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   820,     0,     0,  1798,  1799,
    1929,     0,     0,  1928,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1928,     0,     0,  1561,     0,     0,     0,     0,     0,
    1185,     0,  1218,     0,     0,     0,     0,     0,  1926,     0,
       0,  1561,     0,     0,     0,     0,  2203,     0,     0,  1928,
    2204,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
    1334,     0,     0,  1929,     0,     0,  1181,     0,     0,     0,
    1888,  2205,  2206,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,  1179,     0,  2207,     0,
       0,  1946,  1947,     0,     0,     0,     0,  4180,  1776,     0,
       0,     0,     0,     0,  1777,     0,  4670,     0,     0,     0,
       0,  1978,  1928,     0,  2208,  4863,     0,  2209,  1561,  1561,
       0,   694,     0,     0,     0,     0,     0,     0,     0,     0,
    2210,  1179,     0,  2211,     0,     0,     0,  2196,     0,  1185,
    2197,     0,     0,     0,  1778,     0,     0,     0,  2011,  2013,
       0,     0,     0,  1181,     0,     0,     0,  2198,     0,     0,
       0,     0,     0,     0,     0,  2200,     0,     0,     0,     0,
       0,  2201,     0,  1561,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1561,     0,     0,     0,     0,  1185,     0,
       0,  1181,  1181,  1779,     0,  2202,     0,     0,     0,  1181,
    1780,     0,  1181,  1781,     0,     0,  1181,  2212,     0,     0,
       0,     0,     0,     0,  1181,  1181,     0,     0,     0,     0,
       0,     0,  1181,     0,  1776,  1181,  1181,  1181,  1181,     0,
    1777,     0,     0,     0,     0,  1181,  1181,     0,  1181,     0,
    1181,  1181,     0,     0,  1181,  1561,     0,     0,     0,     0,
       0,     0,     0,     0,  1179,     0,  1782,     0,     0,  1929,
    1181,   820,     0,     0,     0,  1181,     0,     0,     0,  1181,
    1778,     0,     0,  1181,     0,  1181,  1181,  1181,  1181,  1181,
    1181,  1181,  1181,  1181,     0,  1181,     0,     0,     0,     0,
    2196,  1181,     0,  2197,  1181,     0,  2203,  2213,  2214,  2215,
    2204,  2216,  2217,  2218,  2219,  2220,  2221,     0,  1928,     0,
    2198,  5086,     0,  1783,  3013,  1784,     0,     0,  2200,  1779,
       0,  2205,  2206,     0,  2201,  1785,  1780,     0,     0,  1781,
       0,     0,     0,  1786,     0,     0,     0,     0,  2207,     0,
       0,     0,  1787,  2985,     0,     0,     0,  1926,  2202,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,  2208,     0,     0,  2209,     0,     0,
       0,     0,     0,     0,     0,  3289,     0,     0,     0,  1789,
    2210,     0,  1782,  2211,     0,     0,     0,     0,     0,  1926,
    1926,     0,  1926,  3014,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3290,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1041,  2196,     0,     0,  2197,     0,     0,
       0,  1041,     0,  1041,     0,     0,     0,     0,     0,  1783,
       0,  1784,     0,     0,  2198,     0,     0,     0,  1926,  2203,
    1926,  1785,  2200,  2204,     0,     0,   820,  2212,  2201,  1786,
       0,     0,  1791,     0,     0,     0,     0,     0,  1787,     0,
       0,     0,     0,     0,  2205,  2206,     0,     0,     0,     0,
       0,     0,  2202,     0,     0,  1181,     0,     0,     0,     0,
       0,  2207,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,  3736,     0,  1181,  1926,  1789,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2208,     0,     0,
    2209,     0,     0,     0,     0,     0,     0,     0,     0,  1926,
    3737,     0,     0,  2210,  1043,     0,  2211,     0,     0,     0,
    1929,     0,     0,     0,     0,  1929,  1929,  2213,  2214,  2215,
    1926,  2216,  2217,  2218,  2219,  2220,  2221,  1929,     0,  4142,
       0,     0,  3536,  1926,     0,     0,     0,  3537,     0,     0,
       0,     0,     0,   820,     0,     0,   820,     0,     0,  2510,
       0,     0,     0,  2203,  1776,     0,     0,  2204,  1791,  3158,
    1777,     0,     0,     0,  2487,  3165,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1928,     0,  2205,  2206,
    2212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2207,     0,  1926,     0,     0,
    1778,     0,     0,  2572,  2573,  2574,  2575,     0,     0,     0,
       0,     0,     0,  1926,     0,     0,     0,     0,     0,     0,
       0,  2208,     0,     0,  2209,     0,  1926,     0,     0,     0,
       0,  3015,     0,     0,     0,     0,     0,  2210,     0,     0,
    2211,     0,     0,     0,     0,  2611,  2612,     0,     0,  1779,
       0,  2621,     0,     0,     0,     0,  1780,     0,     0,  1781,
       0,     0,     0,     0,     0,  1181,     0,  1929,     0,     0,
    2213,  2214,  2215,     0,  2216,  2217,  2218,  2219,  2220,  2221,
       0,     0,  1776,     0,   820,     0,     0,     0,  1777,     0,
       0,     0,     0,     0,     0,     0,  2645,     0,  1926,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1782,  1812,  2212,     0,  1928,     0,  1926,     0,
       0,     0,     0,  2680,  2681,  2682,  2683,     0,  1778,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,  1926,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1813,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1783,
       0,  1784,     0,     0,     0,     0,     0,  1779,     0,  1926,
       0,  1785,     0,  2742,  1780,     0,     0,  1781,     0,  1786,
    1181,  2487,  2746,     0,     0,     0,     0,     0,  1787,  2753,
       0,     0,     0,     0,  2213,  2214,  2215,     0,  2216,  2217,
    2218,  2219,  2220,  2221,     0,     0,     0,     0,  2196,     0,
       0,  2197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3778,     0,     0,     0,  1789,     0,  1814,  2198,     0,
    1782,  1929,     0,     0,     0,     0,  2200,     0,     0,     0,
       0,     0,  2201,     0,     0,     0,     0,  1181,     0,     0,
    3779,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2202,     0,     0,     0,
    1181,  1181,     0,     0,     0,  1815,  1181,  1816,     0,     0,
    1928,     0,     0,     0,     0,     0,     0,  1817,     0,  1784,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1785,
       0,  1181,  1181,     0,     0,     0,  1181,  1786,  1791,     0,
       0,     0,     0,     0,     0,  1818,  1787,     0,  1181,  1181,
    1181,  1181,     0,     0,     0,     0,   820,     0,     0,     0,
       0,  1181,   820,     0,  1181,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,  1181,     0,  3238,
    1181,     0,     0,  1789,  1820,     0,  2926,     0,     0,     0,
       0,     0,     0,  1181,  1926,  1181,     0,  2203,     0,  1181,
       0,  2204,     0,     0,     0,     0,     0,     0,  3239,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,  1822,
       0,     0,  2205,  2206,     0,     0,  1181,     0,  1181,  1181,
    1181,     0,     0,     0,     0,     0,     0,     0,  1177,  2207,
       0,     0,     0,     0,     0,     0,     0,  1177,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,  2208,  1791,     0,  2209,  1181,
       0,     0,     0,     0,     0,  1181,     0,  2985,  2985,  2985,
    1177,  2210,     0,  1181,  2211,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4060,     0, -2136,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1177,     0,  1926,     0,
       0,     0,     0,  1181,     0,     0,  1177,     0,     0,     0,
       0,     0, -2136,     0,     0,     0,     0,     0,  2212,     0,
       0,     0,     0,     0, -2136,     0,     0,     0, -2136,     0,
    1929,     0,  4061, -2136,  1926,     0,     0,     0, -2136,     0,
       0, -2136,     0, -2136,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2136,     0,  1929,  1929,     0,  1929,     0,     0,     0,  1928,
    3119,  3120,  3121,     0,     0,     0,     0,     0,     0,  3131,
       0,  3133, -2136,  3135,  3136,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   820,   820,   820,     0,  2213,  2214,
    2215,     0,  2216,  2217,  2218,  2219,  2220,  2221,     0,     0,
    1177,  2487,  3165,     0,  3165,     0,  1041,     0,     0, -2136,
    1041,  1929,     0,  1929,     0,     0,     0, -2136,     0,     0,
       0,     0,     0,     0,     0,     0,  1926,     0,     0,     0,
       0,     0,     0,     0,     0,  1177,     0,  1926,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1928,     0,  1928,     0, -2136,     0,     0,  1929,     0,     0,
       0,     0,     0,     0,     0,  3243,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2196,  1015,
       0,  2197,     0,  1929,     0,     0,  1928,     0,     0,     0,
       0,     0,     0,     0,     0,   820,  1929,     0,  2198,     0,
       0,  3301,     0, -2136,     0,     0,  2200,     0,     0,  3310,
       0,  1928,  2201,     0,  3311,     0,     0,     0,     0,     0,
       0,     0,  1926,     0,     0,     0, -2136,     0, -2136, -2136,
       0,     0,  3165,     0,     0,     0,  2202,     0,     0,     0,
       0,     0,     0,     0,     0,  3165,     0,     0,     0,     0,
    1926,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1929, -2136,  1177,     0, -2136, -2136,  1926, -2136,     0,     0,
       0,     0,     0,  1177,     0,     0,  1929,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,     0,     0,  3396,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1928,
       0,     0,  1926,     0,     0,  5060,     0,     0,     0,  1181,
       0,     0,     0,     0,     0,  3165,     0,  3432,     0,  3434,
       0,     0,     0,  1177,     0,     0,     0,  2203,  1928,     0,
       0,  2204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,     0,
       0,  1929,  2205,  2206,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,  1181,     0,  1181,     0,     0,  2207,
       0,  1929,  1181,     0,     0,  1181,  1181,  1181,  1181,  1181,
    1181,  1181,  1181,  1181,  1181,     0,     0,     0,  1181,  1181,
       0,     0,  1177,     0,     0,  2208,  1929,     0,  2209,     0,
    1928,  1181,     0,     0,     0,  1181,     0,   820,     0,  1181,
       0,  2210,     0,     0,  2211,     0,     0,     0,     0,  1181,
    1928,     0,  1181,     0,  1181,     0,  3489,     0,     0,     0,
       0,  5061,  1929,  1181,  1181,  1181,     0,     0,     0,  1181,
       0,     0,  1181,     0,     0,  1928,     0,     0,     0,     0,
       0,  1927,  1181,  1181,     0,     0,  1926,     0,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,  1181,  2196,  1181,     0,  2197,     0,     0,     0,     0,
    1177,  1928,     0,     0,     0,     0, -2138,     0,  2212,     0,
       0,     0,  2198,     0,     0,  3499,     0,     0,     0,     0,
    2200,     0,     0,     0,     0,     0,  2201,     0,     0,  1177,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,  1181,  2985,     0,     0,     0,     0,  1181,     0,     0,
    2202,     0,     0, -2138,     0,     0,     0,  1177,  1177,     0,
    1177,     0,     0,     0,     0, -2138,     0,     0,     0, -2138,
       0,     0,  1181,     0, -2138,     0,     0,  1177,     0, -2138,
       0,     0, -2138,     0, -2138,     0,     0,     0,     0,     0,
       0,     0,  1926,     0,     0,     0,     0,     0,  2213,  2214,
    2215,     0,  2216,  2217,  2218,  2219,  2220,  2221,     0,     0,
       0, -2138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1177,
       0,     0,     0, -2138,     0,     0,     0,     0,     0,     0,
       0,     0,   820,     0,     0,     0,   820,  1929,   820,     0,
       0,  2203,     0,     0,     0,  2204,     0,     0,  1177,     0,
       0,     0,  1177,  1177,     0,     0,     0,     0,     0,     0,
   -2138,     0,     0,     0,     0,     0,  2205,  2206, -2138,     0,
       0,     0,     0,     0,     0,     0,     0,  2196,     0,     0,
    2197,     0,     0,  2207,     0,     0,  3165,     0,     0,     0,
    1926,     0,     0,     0,     0,     0,     0,  2198,     0,     0,
       0,     0,     0,     0,     0,  2200,     0,     0,     0,  2208,
       0,  2201,  2209,  1926,   820, -2138,     0,     0,  3717,     0,
    3718,  3719,  3720,     0,     0,  2210,     0,     0,  2211,     0,
       0,  1927,     0,     0,     0,  2202,     0,     0,     0,     0,
       0,     0,     0,  1926,  1041,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
    1015,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1041,     0,     0,
       0,  1929,     0,  1926, -2138,  1927,     0,  1926,  1926,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2212,     0,     0,     0,     0, -2138,     0, -2138,
   -2138,     0,     0,     0,  1927,     0,     0,  1929,  1181,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1928,     0,     0,     0,     0,     0,  2203,     0,     0,     0,
    2204,     0, -2138,     0,     0, -2138, -2138,     0, -2138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2205,  2206,     0,     0,     0,  2487,     0,  1041,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2207,  1181,
       0,     0,     0,     0,     0,     0,     0,  1927,     0,     0,
       0,     0,  2213,  2214,  2215,     0,  2216,  2217,  2218,  2219,
    2220,  2221,     0,     0,  2208,     0,  1927,  2209,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
    2210,     0,     0,  2211,  1927,     0,  1181,  1181,     0,  1929,
       0,     0,     0,     0,  1181,  1181,     0,  3514,     0,  1181,
    1929,     0,     0,     0,     0,  1181,  1181,     0,     0,  1181,
       0,     0,  1927,     0,  2196,     0,     0,  2197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,  1181,     0,     0,  2198,     0,     0,  3544,  1928,     0,
       0,  1181,  2200,     0,     0,     0,  1181,     0,  2201,  1928,
       0,     0,     0,     0,     0,     0,     0,  2212,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1177,
       0,     0,  2202,     0,     0,  1927,     0,     0,  1177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2985,  3986,     0,     0,  3987,  2985,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2985,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   820,     0,     0,     0,     0,     0,
       0,     0,  4013,  1929,     0,     0,     0,  2213,  2214,  2215,
       0,  2216,  2217,  2218,  2219,  2220,  2221,     0,     0,  1929,
       0,     0,     0,     0,  1928,  1177,     0,     0,     0,     0,
       0,     0,     0,  2203,     0,     0,     0,  2204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1928,     0,     0,     0,     0,     0,  2205,  2206,
       0,     0,     0,  1177,  1177,  1929,     0,     0,  1928,     0,
       0,  1177,     0,     0,  1177,  2207,     0,     0,  1177,     0,
       0,     0,     0,     0,     0,     0,  1177,  1177,     0,     0,
       0,     0,     0,     0,  1177,     0,     0,  1177,  1177,  1177,
    1177,  2208,     0,     0,  2209,     0,     0,  1177,  1177,     0,
    1177,     0,  1177,  1177,  1928,     0,  1177,  2210,     0,     0,
    2211,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,  1927,  1177,     0,  1181,     0,     0,  1177,     0,  2196,
       0,  1177,  2197,     0,     0,  1177,     0,  1177,  1177,  1177,
    1177,  1177,  1177,  1177,  1177,  1177,     0,  1177,     0,  2198,
       0,     0,     0,  1177,     0,     0,  1177,  2200,     0,     0,
       0,     0,     0,  2201,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,     0,     0,     0,     0,     0,  2196,
       0,     0,  2197,     0,  2212,     0,     0,  2202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2198,
       0,     0,  3555,     0,     0,  1181,     0,  2200,     0,  1929,
       0,     0,     0,  2201,  1181,     0,     0,     0,  1177,     0,
       0,  4664,     0,     0,     0,     0,  4197,  4198,  4199,  4200,
       0,  1181,  1181,     0,     0,  1181,     0,  2202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,  1181,     0,     0,  1181,     0,  1928,     0,
       0,  1181,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3549,     0,  2213,  2214,  2215,     0,  2216,  2217,
    2218,  2219,  2220,  2221,     0,     0,     0,     0,  2203,     0,
       0,     0,  2204,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2205,  2206,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
    2207,     0,     0,  1181,     0,     0,     0,     0,  2203,     0,
       0,     0,  2204,     0,     0,     0,     0,  1177,     0,     0,
       0,     0,     0,     0,     0,     0,  2208,     0,  1177,  2209,
       0,     0,   820,  2205,  2206,  1177,     0,     0,     0,     0,
       0,     0,  2210,     0,  3165,  2211,  1181,     0,     0,     0,
    2207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4342,     0,  1041,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,  2208,  1927,  1927,  2209,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1927,
       0,     0,  2210,     0,     0,  2211,     0,     0,     0,     0,
       0,  1181,     0,  1929,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2212,
       0,     0,     0,     0,     0,  1181,  1929,     0,  1181,     0,
    1181,     0,     0,     0,     0,     0,     0,  2196,     0,     0,
    2197,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,  1181,  3165,     0,     0,     0,  1929,  2198,     0,     0,
       0,     0,     0,     0,     0,  2200,     0,     0,     0,  2212,
       0,  2201,     0,     0,     0,  1928,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   820,     0,     0,  2202,  1929,     0,     0,     0,
    1929,  1929,     0,     0,     0,  1928,     0,     0,     0,  2213,
    2214,  2215,     0,  2216,  2217,  2218,  2219,  2220,  2221,     0,
       0,     0,     0,     0,     0,     0,     0,  1177,     0,  1927,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
    1918,     0,     0,     0,     0,  1928,     0,     0,     0,  1928,
    1928,     0,     0,     0,     0,     0,  1181,     0,     0,  2213,
    2214,  2215,     0,  2216,  2217,  2218,  2219,  2220,  2221,     0,
       0,     0,     0,     0,     0,     0,  1929,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2203,     0,     0,     0,
    2204,     0,     0,     0,  1927,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2205,  2206,  1181,     0,  4664,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1177,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2208,     0,     0,  2209,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
    2210,     0,     0,  2211,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1181,  1181,     0,  1927,     0,  1918,     0,     0,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,  1177,
       0,     0,     0,     0,     0,  1177,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4574,     0,
       0,     0,  1177,  1177,     0,     0,     0,     0,  1177,     0,
       0,     0,  4577,     0,     0,  1181,     0,  2212,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,  1177,  1177,     0,     0,     0,  1177,     0,
       0,     0,     0,  4017,     0,   820,     0,     0,     0,     0,
    1177,  1177,  1177,  1177,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1177,     0,     0,  1177,     0,  1177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1177,  1177,
       0,     0,  1177,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,   820,     0,     0,  1177,  1181,  1177,     0,     0,
     820,  1177,     0,     0,     0,     0,     0,  2213,  2214,  2215,
    4643,  2216,  2217,  2218,  2219,  2220,  2221,  1177,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1177,     0,
    1177,  1177,  1177,     0,     0,   716,    85,     0,     0,     0,
       0,     0,    89,     0,     0,   716,    93,     0,    94,     0,
      96,    97,     0,     0,  1177,     0,     0,     0,     0,     0,
       0,   106,     0,     0,     0,     0,  1177,     0,     0,     0,
       0,  1177,     0,     0,     0,     0,     0,  1177,   119,   120,
       0,   716,     0,     0,     0,  1177,     0,     0,     0,     0,
       0,     0,     0,   919,     0,     0,   716,     0,     0,     0,
       0,     0,   919,     0,     0,  2196,   716,     0,  2197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   128,  2198,   716,     0,  4067,     0,
       0,     0,     0,  2200,   129,  1918,   130,   131,     0,  2201,
       0,     0,   919,     0,     0,  1177,     0,     0,     0,     0,
       0,  1115,     0,     0,     0,     0,     0,     0,  4739,  4741,
    4741,     0,     0,  2202,     0,     0,     0,     0,     0,     0,
       0,   141,  1927,   142,   143,     0,  1096,     0,     0,   146,
       0,   147,     0,     0,     0,     0,     0,     0,     0,  1918,
       0,   149,     0,   150,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   153,     0,   154,
       0,     0,   157,     0,  1927,  1927,     0,  1927,  1918,     0,
       0,     0,     0,     0,   158,     0,   159,     0,     0,     0,
     160,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,     0,   163,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2203,     0,   171,     0,  2204,     0,
       0,     0,     0,  1927,     0,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2205,
    2206,  1918,  4829,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2207,     0,     0,     0,
    1918,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   184,   185,     0,     0,     0,     0,   186,  1918,  1927,
       0,     0,  2208,     0,     0,  2209,   187,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   192,  2210,     0,
       0,  2211,     0,     0,  1927,  1145,  1918,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4873,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,   203,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,   205,  4892,     0,  4894,
       0,   206,   207,     0,   208,     0,     0,     0,     0,   209,
       0,     0,     0,     0,   210,     0,     0,   212,     0,  1918,
       0,   214,     0,     0,     0,  2212,   215,   216,     0,     0,
       0,     0,     0,     0,   217,     0,     0,   219,     0,     0,
       0,     0,     0,     0,     0,   222,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,   224,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,   229,     0,   230,     0,     0,     0,
       0,  1927,     0,     0,   232,     0,     0,     0,     0,     0,
     233,     0,     0,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,  4741,  2196,     0,   237,  2197,     0,
       0,  1177,     0,     0,     0,  2213,  2214,  2215,     0,  2216,
    2217,  2218,  2219,  2220,  2221,  2198,     0,     0,     0,     0,
       0,     0,     0,  2200,     0,     0,     0,     0,     0,  2201,
       0,   247,     0,     0,     0,  -136,     0,     0,     0,     0,
    1177,     0,     0,  1927,     0,  4994,     0,     0,     0,     0,
    1177,     0,     0,  2202,     0,     0,  1177,     0,  1177,     0,
       0,     0,     0,  1927,  1177,     0,     0,  1177,  1177,  1177,
    1177,  1177,  1177,  1177,  1177,  1177,  1177,     0,     0,     0,
    1177,  1177,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,  1177,     0,     0,     0,  1177,     0,     0,
       0,  1177,     0,  5030,     0,  1918,     0,     0,     0,     0,
       0,  1177,     0,     0,  1177,     0,  1177,     0,     0,     0,
       0,     0,     0,     0,  1927,  1177,  1177,  1177,     0,     0,
   -2151,  1177,   919,   919,  1177,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1177,  1177,     0,     0,     0,  1145,
       0,     0,  5067,     0,  2203,  1177,     0,     0,  2204,     0,
       0,     0,     0,  1177,     0,  1177,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2151,     0,  2205,
    2206,     0,     0,     0,     0,     0,     0,     0,     0, -2151,
       0,     0,     0, -2151,     0,     0,  2207,     0, -2151,     0,
       0,     0,     0, -2151,     0,     0, -2151,  1177, -2151,     0,
       0,     0,     0,  1177,     0,     0,     0,     0,     0,  1177,
       0,     0,  2208,     0,     0,  2209,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2151,     0,     0,  2210,     0,
       0,  2211,     0,     0,  1177,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1221,  1222,     0,  1225,     0,  1228,     0,  1230,     0,     0,
       0,     0,     0,     0, -2151,     0,     0,     0,     0,     0,
       0,     0, -2151,     0,     0,     0,  1281,     0,     0,     0,
       0,     0,     0,     0,  1289,  2212,     0,     0,     0,  1927,
       0,     0,     0,  1305,  1306,     0,     0,     0,  1308,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1145,     0,   919,     0, -2151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1339,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1362,     0,
       0,  1364,     0,  1366,     0,  1369,  1918,     0,     0,     0,
       0,  1918,  1918,     0,  1015,     0,     0,     0,   716,   919,
       0,     0,     0,  1918,     0,  2213,  2214,  2215,     0,  2216,
    2217,  2218,  2219,  2220,  2221,   716,     0,   716, -2151,     0,
       0,     0,     0,     0,     0,     0,     0,   716,     0,     0,
       0,     0,     0,     0,     0,     0,  1177,     0,     0,     0,
       0, -2151,     0, -2151, -2151,     0,   716,   716,     0,     0,
       0,     0,     0,     0,  1451,     0,  1452,     0,     0,     0,
       0,     0,     0,  1927,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2151,     0,     0, -2151,
   -2151,     0, -2151,     0,     0,     0,     0,  1145,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1927,
    1177,  1177,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1096,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1918,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1177,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1710,     0,  1712,     0,     0,  1177,  1714,
       0,     0,     0,     0,     0,     0,     0,     0,  1177,  1177,
       0,  1927,     0,     0,     0,     0,  1177,  1177,  1918,  1743,
       0,  1177,  1927,     0,     0,     0,     0,  1177,  1177,     0,
       0,  1177,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,  1177,
       0,     0,   713,  1177,   713,     0,     0,     0,     0,     0,
       0,     0,     0,  1177,   713,  1861,     0,     0,  1177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1177,  1874,     0,     0,     0,     0,     0,     0,     0,     0,
     713,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
     713,  1886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   713,   713,  1935,     0,   713,  1939,  1918,     0,  1177,
       0,   713,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1927,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,  1982,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   713,     0,     0,     0,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1927,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1927,     0,     0,
       0,     0,   716,     0,   716,     0,     0,   716,     0,   716,
       0,     0,   716,   716,   716,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   716,     0,
     716,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1177,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1177,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   713,     0,     0,  1177,     0,     0,
       0,  1927,     0,     0,     0,     0,  1177,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1177,  1177,     0,     0,  1177,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1177,     0,     0,     0,     0,  1177,  1918,     0,  1177,     0,
       0,     0,     0,  1177,  1177,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1096,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1177,     0,  1918,  1918,
       0,  1918,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1927,     0,     0,
       0,     0,     0,     0,     0,  1177,     0,     0,     0,     0,
       0,  2366,     0,     0,  2366,     0,     0,     0,     0,     0,
       0,     0,  2373,     0,     0,     0,     0,  1918,     0,  1918,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2382,     0,     0,     0,     0,     0,     0,     0,  1177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2452,     0,
       0,     0,     0,  1918,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1177,     0,  1927,     0,     0,  1918,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1177,  1927,  1918,
    1177,     0,  1177,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1918,     0,     0,     0,     0,     0,     0,  1177,
       0,     0,     0,  1177,     0,     0,     0,     0,  1927,     0,
       0,   713,   713,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,  1927,  1927,     0,     0,  1918,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1918,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1918,     0,     0,     0,  1177,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2655,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,  2678,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1918,  1177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1177,     0,  1918,     0,     0,
       0,     0,  2726,     0,     0,     0,  2730,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2741,     0,  2743,
       0,  2744,  1918,     0,     0,     0,  2745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1177,     0,     0,  1327,   713,     0,   713,     0,     0,     0,
       0,  1177,     0,     0,     0,     0,     0,     0,  1918,   716,
       0,   716,     0,     0,     0,   716,     0,   716,     0,     0,
     716,     0,  1177,  1177,   716,  2773,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1177,     0,     0,     0,     0,
       0,     0,     0,     0,   713,     0,     0,   713,   713,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,  1003,     0,  1003,     0,     0,     0,
       0,     0,   699,     0,     0,     0,   713,  1177,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1177,     0,     0,
       0,     0,     0,     0,     0,  1003,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   713,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1177,
       0,     0,     0,     0,     0,     0,     0,     0,  1177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2986,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1918,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   699,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
     699,     0,     0,  1692,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1182,     0,     0,     0,     0,
       0,     0,     0,     0,  1182,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1182,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1145,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3074,  3075,     0,     0,     0,  3078,  3079,  1918,     0,  3082,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3092,
       0,     0,     0,  1182,     0,     0,  3101,     0,     0,     0,
    3104,  3105,     0,  1182,  3108,  3109,     0,     0,     0,     0,
       0,  3114,     0,  1918,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3130,     0,  3132,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3154,     0,     0,     0,     0,  3156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3174,  3175,  3178,
    3180,     0,     0,     0,  3187,  3190,     0,     0,     0,     0,
       0,     0,  3201,     0,     0,  3205,     0,     0,     0,  3209,
       0,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,   713,     0,   713,     0,     0,   713,  1182,   713,     0,
    3237,   713,   713,   713,     0,  1918,     0,  2080,     0,     0,
       0,  3244,     0,  3246,   713,     0,  1918,     0,  3249,     0,
       4,     0,     0,  3253,  3254,  3255,  3256,   713,  3258,   713,
       0,     0,  1182,     0,   713,     0,     0,     0,     0,     0,
       5,  3282,  3283,  3284,     0,     0,     0,     0,     0,     0,
       6,     7,  3292,  3293,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3347,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1918,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,  2237,     0,     0,     0,     0,     0,     0,  1918,
       0,   713,   713,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1918,     0,     0,   699,     0,
       0,     0,     0,   699,   699,     0,     0,     0,     0,  1182,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1182,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,  1918,     0,  1930,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1145,     0,     0,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    49,     0,     0,     0,
    1182,     0,     0,     0,     0,   713,     0,   699,     0,     0,
       0,     0,     0,     0,  3474,     0,     0,  2370,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    51,     0,     0,    52,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1182,
       0,     0,    53,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1918,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1930,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     699,     0,     0,   699,   699,     0,     0,    54,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1182,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1182,     0,     0,    55,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,   699,     0,     0,
       0,     0,     0,     0,  1182,  1182,     0,  1182,    57,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1918,     0,     0,  1182,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    58,     0,     0,     0,     0,     0,
      59,     0,     0,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1377,     0,     0,     0,     0,    71,  1378,
    3688,  3689,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1182,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3711,     0,     0,  1182,     0,     0,     0,  1182,
    1182,  3715,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3726,  3728,     0,  1918,
       0,  3728,     0,     0,     0,     0,  3739,  3740,  3741,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1918,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3762,  3763,  3764,  3765,     0,     0,   713,     0,
     713,     0,  1918,     0,   713,     0,   713,     0,  1930,   713,
       0,     0,     0,   713,     0,     0,     0,     0,  2237,     0,
       0,     0,  3781,  3782,  3783,     0,     0,     0,     0,     0,
       0,     0,  3796,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1918,     0,     0,     0,  1918,  1918,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1930,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1200,     0,     0,     0,     0,     0,     0,     0,
    1224,  1930,     0,     0,     0,     0,  3835,     0,  1235,     0,
       0,     0,     0,     0,  3839,     0,  1245,     0,     0,     0,
       0,  1278,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3907,     0,
       0,     0,     0,     0,  1930,     0,  2080,     0,     0,     0,
       0,     0,     0,  2987,     0,     0,     0,     0,     0,     0,
       0,     0,  2370,  1930,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3935,  1930,     0,  3938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1930,
    1549,     0,     0,     0,   919,     0,     0,  3978,     0,     0,
       0,     0,     0,     0,     0,   699,     0,     0,     0,     0,
       0,  3988,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1620,  1453,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1182,     0,     0,     0,
       0,     0,  1930,     0,     0,  1182,     0,   699,  1579,     0,
       0,   699,     0,     0,     0,     0,     0,  3058,     0,  1692,
       0,     0,   713,     0,     0,     0,  1603,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1629,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1182,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1182,  1182,     0,     0,     0,     0,     0,     0,  1182,     0,
       0,  1182,     0,     0,     0,  1182,     0,     0,     0,  1797,
       0,     0,     0,  1182,  1182,     0,     0,     0,     0,     0,
       0,  1182,     0,     0,  1182,  1182,  1182,  1182,     0,     0,
       0,     0,     0,     0,  1182,  1182,     0,  1182,     0,  1182,
    1182,     0,     0,  1182,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,  1930,  1182,
       0,   699,     0,   699,  1182,     0,     0,     0,  1182,     0,
       0,     0,  1182,     0,  1182,  1182,  1182,  1182,  1182,  1182,
    1182,  1182,  1182,     0,  1182,     0,  4191,     0,  4192,     0,
    1182,     0,     0,  1182,     0,  4194,     0,     0,  1944,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4203,     0,     0,     0,     0,     0,     0,     0,     0,
    1972,  1975,  1976,     0,     0,     0,     0,     0,  4211,     0,
       0,     0,     0,     0,     0,     0,     0,  4222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4254,  4255,  4256,  4257,  4258,  4259,  4260,
    4261,     0,     0,     0,     0,  4268,  4269,     0,  4271,  4272,
    4273,  4274,  4275,  4276,  4277,     0,     0,     0,     0,     0,
       0,     0,     0,  4285,     0,  4287,  4288,     0,     0,     0,
    2135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1579,     0,     0,     0,     0,     0,     0,     0,     0,  2159,
       0,     0,     0,     0,     0,     0,     0,  2114,     0,     0,
       0,     0,     0,     0,     0,  4336,  4338,  4340,  1579,     0,
    4343,     0,     0,     0,     0,     0,     0,  2184,  2185,     0,
    2187,     0,   713,  2080,  1182,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1182,     0,  2227,     0,   699,
       0,     0,  1182,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1930,
       0,     0,     0,     0,  1930,  1930,     0,     0,     0,  2281,
       0,  3728,     0,     0,     0,     0,  1930,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2303,     0,
       0,     0,  2315,  2318,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2280,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2333,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1182,     0,  1930,     0,     0,  2370,
       0,     0,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1930,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2490,  4539,  4540,  4541,  4542,     0,     0,  2507,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4554,  4555,  4556,
    4557,     0,  4559,  4560,     0,  2539,     0,     0,  2542,  1182,
       0,     0,     0,     0,  4569,  4570,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2576,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2592,     0,     0,     0,     0,     0,
    1930,     0,     0,     0,     0,     0,     0,     0,  2604,     0,
       0,     0,     0,     0,     0,     0,  1182,     0,     0,     0,
       0,     0,  1182,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1182,
    1182,     0,     0,     0,     0,  1182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4630,     0,
    1182,  1182,     0,     0,     0,  1182,     0,  4636,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1182,  1182,  1182,
    1182,     0,     0,     0,     0,     0,     0,     0,  4655,     0,
    1182,     0,     0,  1182,     0,  1182,     0,     0,  2696,     0,
       0,     0,     0,     0,  2706,  1182,  1182,     0,     0,  1182,
       0,     0,  4674,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1182,     0,  1182,     0,     0,     0,  1182,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1182,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,  1182,     0,  1182,  1182,  1182,
       0,     0,   699,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2761,     0,     0,     0,     0,
       0,  1182,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1182,     0,     0,     0,     0,  1182,     0,
       0,  2852,     0,     0,  1182,     0,   716,     0,     0,     0,
       0,     0,  1182,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1579,  1579,  2875,     0,     0,  2877,     0,     0,
    2888,     0,     0,     0,     0,     0,     0,  2895,  2900,     0,
       0,     0,     0,  2906,     0,     0,  2911,     0,     0,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,  2920,     0,     0,     0,     0,  2927,     0,     0,
    4761,  2939,  1182,     0,     0,  2946,     0,  2948,  2949,  2950,
    2951,  2952,  2953,  2954,  2955,  2956,     0,  2957,     0,     0,
       0,     0,     0,  1549,     0,     0,  2982,     0,     0,  1930,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1930,  1930,     0,  1930,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2972,     0,     0,  1620,     0,
       0,     0,     0,     0,     0,     0,  3728,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2992,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1920,     0,     0,     0,     0,     0,     0,
    1930,     0,  1930,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3005,     0,  3008,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4879,     0,     0,
       0,     0,  4883,     0,     0,  1579,  1930,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2223,     0,     0,     0,     0,     0,     0,
       0,  1930,     0,     0,     0,     0,     0,  3106,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1930,     0,     0,     0,     0,     0,  3058,     0,
       0,     0,     0,     0,     0,  1930,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3728,     0,     0,
       0,     0,     0,     0,  2223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1920,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1930,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1930,     0,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,  1930,     0,
       0,     0,     0,     0,  4989,     0,     0,     0,     0,  4993,
       0,     0,     0,     0,     0,   699,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3191,     0,     0,  1182,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1182,     0,     0,
    1930,     0,     0,     0,     0,     0,     0,  1182,     0,     0,
       0,     0,     0,  1182,     0,  1182,     0,  3322,     0,     0,
    1930,  1182,     0,     0,  1182,  1182,  1182,  1182,  1182,  1182,
    1182,  1182,  1182,  1182,     0,     0,     0,  1182,  1182,     0,
       0,     0,     0,     0,     0,  1930,     0,     0,     0,     0,
    1182,     0,     0,     0,  1182,     0,     0,     0,  1182,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1182,     0,
       0,  1182,     0,  1182,     0,     0,     0,     0,     0,     0,
       0,  1930,  1182,  1182,  1182,     0,     0,     0,  1182,     0,
       0,  1182,     0,  1921,     0,     0,     0,     0,     0,     0,
       0,  1182,  1182,     0,     0,     0,     0,     0,     0,  3371,
       0,     0,  1182,     0,     0,     0,     0,     0,     0,     0,
    1182,     0,  1182,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3446,     0,     0,   699,     0,     0,  1920,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1182,     0,     0,     0,     0,     0,
    1182,     0,     0,     0,     0,     0,  1182,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1182,  1920,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1920,     0,  3495,     0,     0,     0,     0,  3501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1921,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1930,     0,     0,     0,
    2900,     0,  2900,  2900,     0,     0,     0,  2223,  2370,     0,
       0,     0,     0,  3558,     0,     0,  3561,     0,  3563,     0,
       0,     0,     0,     0,  1920,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,  1920,     0,  3584,     0,  3586,     0,     0,
       0,  3589,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1920,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1923,     0,     0,     0,
    2982,  2982,  2982,     0,     0,     0,   699,     0,     0,  1920,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2223,
       0,     0,     0,     0,  3647,     0,     0,     0,     0,     0,
       0,     0,     0,  1182,     0,     0,  2303,     0,     0,     0,
       0,  3658,     0,  2223,     0,     0,     0,  2318,  2884,     0,
       0,     0,     0,     0,  3596,     0,     0,     0,     0,     0,
    1930,     0,     0,     0,     0,     0,     0,  1924,  2223,  2223,
       0,  2223,  1920,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1930,  1182,  1182,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2223,     0,   699,     0,  3697,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1182,     0,
       0,  1923,     0,     0,     0,  2223,     0,     0,  1921,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2223,     0,     0,
       0,     0,     0,     0,     0,  1182,     0,     0,     0,  2223,
       0,     0,  2223,     0,     0,  1182,  1182,     0,  1930,     0,
       0,     0,     0,  1182,  1182,     0,     0,     0,  1182,  1930,
       0,     0,  1921,     0,  1182,  1182,     0,     0,  1182,     0,
       0,     0,  1924,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1182,     0,     0,     0,
    1182,  1921,     0,     0,     0,     0,     0,     0,     0,     0,
    1182,     0,     0,     0,     0,  1182,     0,     0,  1920,     0,
       0,     0,     0,     0,     0,     0,     0,  1182,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1182,     0,     0,     0,
       0,     0,     0,     0,  1921,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1930,     0,     0,     0,     0,     0,
       0,   699,     0,  1921,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1925,     0,
       0,  1921,  1930,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1930,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1921,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1930,     0,     0,     0,     0,     0,
       0,  1923,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3910,  3911,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1921,     0,     0,     0,     0,  3920,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3928,     0,     0,     0,     0,     0,     0,     0,     0,
    3937,     0,  1182,     0,     0,  1923,     0,     0,     0,     0,
       0,     0,     0,  1182,  3953,     0,     0,     0,     0,     0,
       0,     0,  1924,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1923,     0,     0,     0,     0,     0,
    4018,     0,     0,  1925,     0,     0,     0,     0,     0,     0,
    4022,     0,     0,     0,     0,     0,  4023,     0,  4024,     0,
       0,  1930,     0,     0,     0,     0,     0,     0,     0,  1920,
       0,     0,     0,     0,  1920,  1920,  1924,     0,     0,     0,
    4042,  4043,     0,     0,     0,  1579,  1920,     0,     0,     0,
       0,     0,     0,     0,  1182,     0,     0,     0,  1930,     0,
       0,  2906,     0,  1182,     0,  1924,     0,  1923,     0,     0,
       0,  4071,     0,     0,  4074,     0,  4076,     0,     0,     0,
    1182,  1182,     0,     0,  1182,  4080,  1923,     0,     0,     0,
       0,  4085,     0,     0,  4088,     0,     0,  1182,     0,     0,
       0,     0,  1182,     0,  1923,  1182,     0,     0,     0,   699,
    1182,  1182,     0,     0,     0,  4121,     0,     0,     0,     0,
       0,     0,     0,  4133,     0,  2982,     0,     0,  1921,     0,
       0,     0,  1923,     0,     0,     0,     0,     0,  1924,     0,
       0,     0,     0,  1182,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1924,     0,     0,
       0,     0,     0,     0,  4093,  4094,  4095,  4150,     0,     0,
       0,     0,     0,  1549,  1930,  1924,     0,     0,     0,  1620,
       0,     0,  1182,     0,     0,     0,  1920,     0,     0,     0,
       0,     0,     0,     0,     0,  1923,     0,     0,     0,     0,
       0,     0,     0,  1924,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2223,     0,     0,     0,
       0,     0,     0,     0,     0,  1182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2223,
       0,  2223,     0,  2884,  2884,  3532,     0,     0,  2884,     0,
       0,     0,  2223,     0,     0,     0,     0,     0,     0,  2223,
       0,  1920,     0,     0,  2223,     0,  1924,     0,     0,     0,
    2223,     0,     0,  1925,     0,  2223,     0,     0,     0,     0,
    1182,     0,  1930,     0,  2223,     0,     0,     0,  2884,  2884,
       0,  2223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2223,  1182,  1930,     0,  1182,     0,  1182,
    2223,     0,  2223,  2223,  2223,  2223,  2223,  2223,  2223,  2223,
    2223,  2223,     0,     0,     0,     0,  1182,  1925,     0,     0,
    1182,     0,     0,     0,     0,  1930,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1925,     0,     0,     0,
    1920,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1930,     0,     0,     0,  1930,
    1930,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1923,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1921,
       0,     0,     0,     0,  1921,  1921,  1182,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1921,     0,     0,  1925,
       0,     0,     0,     0,     0,  1182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4324,     0,  1925,     0,
       0,     0,     0,     0,     0,  1930,     0,     0,     0,     0,
    4397,  4398,  1924,     0,     0,  4350,  1925,     0,     0,     0,
    2223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1182,     0,     0,     0,     0,
       0,     0,  4367,     0,  1925,     0,     0,     0,     0,     0,
       0,     0,  1182,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4429,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1182,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,  1182,     0,
       0,     0,     0,     0,     0,     0,  1921,     0,  4447,  4449,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1182,
    1182,  4456,     0,     0,     0,     0,     0,  4461,  4462,     0,
       0,  4464,  1182,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2982,     0,     0,     0,     0,  2982,     0,
       0,     0,     0,     0,  1182,     0,     0,     0,     0,     0,
    2982,  1921,     0,     0,  1182,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4466,  4467,  4468,  4469,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1920,
       0,     0,  1923,     0,     0,     0,     0,  1923,  1923,  4520,
       0,     0,     0,     0,     0,     0,  2223,     0,     0,  1923,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1182,     0,     0,     0,
       0,  1920,  1920,     0,  1920,  1182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1921,     0,     0,  1924,     0,     0,     0,     0,  1924,  1924,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,     0,
    1924,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1920,     0,  1920,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1920,     0,     0,  1923,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4616,     0,     0,     0,     0,
       0,  1920,     0,     0,     0,     0,     0,     0,     0,  2223,
       0,     0,     0,     0,     0,  2223,     0,     0,     0,     0,
       0,     0,  1920,     0,     0,     0,     0,     0,     0,     0,
       0,  3532,  3532,     0,  2884,  1920,     0,  2884,  2884,  2884,
    2884,  2884,  2884,  2884,  2884,  2884,  2884,  3532,     0,     0,
    1924,     0,     0,     0,  1923,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2223,     0,     0,  2223,     0,  2223,     0,     0,
       0,     0,  3532,  3532,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2884,  2884,  2223,  1920,
    2223,     0,     0,  2223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1920,     0,  4700,     0,     0,
    4666,     0,     0,     0,     0,  1924,     0,     0,  1920,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4717,     0,     0,     0,     0,     0,
       0,     0,     0,  1923,     0,     0,     0,     0,     0,     0,
       0,  2223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1925,     0,     0,     0,     0,  1925,
    1925,     0,     0,     0,     0,     0,     0,     0,     0,  1921,
    1920,  1925,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2223,     0,     0,     0,     0,     0,     0,     0,     0,
    1920,     0,     0,     0,  1924,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1921,  1921,     0,  1921,  1920,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1920,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1921,     0,  1921,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4786,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2906,  1925,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1921,     0,     0,  4854,
       0,     0,     0,     0,     0,     0,     0,  1579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1921,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1921,     0,     0,     0,  2884,     0,     0,     0,
       0,     0,     0,     0,     0,  1921,  1925,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4876,  1923,     0,     0,     0,     0,     0,  4925,     0,
       0,     0,     0,     0,     0,     0,  1920,     0,     0,  1921,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1921,     0,     0,     0,     0,
       0,     0,     0,     0,  1923,  1923,     0,  1923,  1921,     0,
       0,     0,     0,     0,     0,  1925,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2223,  1924,     0,  4970,  2223,  2223,  2223,     0,
       0,  3532,     0,     0,     0,     0,  3532,  3532,  3532,  3532,
    3532,  3532,  3532,  3532,  3532,  3532,  2223,  2223,     0,     0,
       0,     0,     0,  1923,     0,  1923,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1924,  1924,     0,  1924,     0,
    1921,     0,     0,     0,     0,  2223,  2884,  2884,  2223,     0,
    2223,     0,     0,     0,  2223,  3532,  3532,     0,     0,  2223,
    1921,     0,  2223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5016,  5016,     0,     0,     0,     0,     0,  1923,
    1920,     0,     0,     0,     0,  1921,     0,     0,     0,     0,
       0,     0,     0,     0,  1924,  2223,  1924,     0,     0,     0,
       0,     0,     0,     0,  1923,     0,     0,  2223,     0,     0,
       0,     0,     0,     0,     0,     0,  1920,     0,     0,     0,
       0,  1921,     0,     0,  2223,  1923,     0,  5016,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5064,  1923,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1924,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1924,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1924,     0,     0,  5016,
       0,     0,  1923,     0,     0,     0,     0,     0,     0,  1924,
       0,     0,     0,     0,     0,     0,     0,     0,  1923,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1920,     0,
       0,  1923,     0,     0,     0,     0,     0,     0,     0,  1920,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1924,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1925,     0,     0,     0,     0,  1924,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1924,  1923,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1921,     0,  3532,     0,
       0,     0,     0,  1923,     0,     0,  1925,  1925,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1923,     0,
       0,     0,     0,     0,  1920,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2223,  2223,     0,  1924,     0,     0,     0,     0,     0,
       0,     0,  1920,     0,  1923,  1925,     0,  1925,     0,     0,
       0,     0,     0,     0,  1924,     0,     0,     0,  1920,     0,
       0,     0,     0,  2223,     0,     0,     0,  2884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1924,
       0,  2223,     0,  2223,     0,     0,     0,     0,  3532,  3532,
    2223,     0,     0,  2884,  2884,  2223,  2223,     0,  2223,     0,
       0,  1925,     0,     0,  1920,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1924,     0,     0,     0,     0,
    1921,     0,     0,     0,     0,     0,  1925,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,     5,     0,     0,  2223,     0,  1921,     0,     0,     0,
    1925,     6,     7,     0,     0,     0,     0,     0,     0,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1925,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1923,
    1925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2223,     0,     0,  1925,     0,     0,     0,     0,  1920,     0,
      46,     0,     0,     0,     0,     0,     0,     0,  1921,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1921,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1924,     0,     0,     0,     0,     0,  3532,  2884,     0,     0,
       0,     0,     0,     0,     0,  1925,     0,     0,     0,     0,
      47,     0,  3532,  3532,  2223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1925,     0,    48,     0,     0,
       0,  2223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    49,     0,     0,
    1925,     0,     0,     0,  1920,     0,     0,     0,     0,     0,
       0,     0,     0,  1923,     0,     0,     0,     0,     0,    50,
       0,     0,     0,     0,  1921,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1925,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1923,
       0,     0,  1921,     0,     0,    51,     0,     0,    52,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1921,     0,
       0,     0,     0,    53,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1924,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3532,     0,
       0,     0,  1920,     0,  1921,     0,     0,     0,  2223,     0,
    1924,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1920,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    54,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1923,     0,     0,     0,  1920,     0,     0,     0,     0,
       0,     0,  1923,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2223,
      55,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,  1920,     0,     0,     0,  1920,
    1920,     0,     0,     0,     0,     0,     0,     0,     0,    57,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1925,  1924,     0,  2223,     0,     0,     0,     0,     0,
       0,     0,     0,  1924,     0,    58,     0,     0,     0,     0,
       0,    59,     0,     0,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1377,  2037,     0,     0,  1921,    71,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2223,     0,     0,     0,     0,     0,     0,  1923,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1923,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2223,     0,
       0,  1923,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1924,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       4,     0,     0,     0,     0,  1925,     0,  1923,     0,     0,
       0,     0,     0,     0,  1921,     0,  1924,     0,     0,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     7,  1924,     0,     0,     0,     0,     0,     9,    10,
       0,  1925,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1924,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1921,     0,     0,     0,     0,     0,     0,    46,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1921,     0,     0,     0,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,     0,
       0,  1923,     0,     0,  1925,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1921,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1921,    48,     0,     0,  1921,
    1921,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1924,     0,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1923,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    51,     0,     0,    52,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,     0,    53,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1924,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1923,     0,    54,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1923,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    55,
       0,     0,     0,     0,     0,     0,     0,     0,  1923,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1924,     0,    57,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1923,  1924,
       0,     0,  1923,  1923,    58,     0,     0,     0,     0,     0,
      59,     0,     0,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1377,  2754,     0,     0,     0,    71,  1924,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1924,
       0,     0,     0,  1924,  1924,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   722,    86,    87,
      88,   417,    90,    91,    92,   418,     0,   419,    95,     0,
    1925,    98,    99,   100,   101,   102,   103,   723,   104,   105,
     420,   724,     0,   107,   108,   109,   110,   725,   726,   112,
     113,   114,   115,     0,   116,   727,   728,   421,   422,     0,
       0,     0,   423,   424,     0,     0,     0,     0,   425,     0,
    1925,     0,     0,     0,  1925,  1925,     0,   426,     0,   427,
       0,   428,   429,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   729,   439,   440,   441,   730,   731,   732,   733,   734,
     735,   736,   442,   443,   737,   444,   445,   133,   446,   447,
     448,   135,   136,   137,   138,   139,   738,   449,   450,   451,
     452,   453,   739,   740,   454,   455,   741,   140,   457,   742,
     458,   459,   460,   461,   144,   743,   145,   744,   462,   463,
     464,   465,   148,   466,   745,   746,   468,   469,   470,   471,
     472,   473,   747,   151,   474,   748,   749,   750,   751,   152,
     752,   753,   754,   475,   476,   477,   478,   479,   480,   155,
     156,   481,   755,   482,   756,   483,   484,   485,   486,   487,
     757,   488,   489,   490,   758,   759,   491,   492,   493,   494,
     495,   760,   496,   497,   498,   761,   499,   500,   501,   762,
     502,   503,   504,   505,   164,   506,   507,   508,   166,   763,
     509,   764,   510,   168,   511,   765,   512,   766,   513,   169,
     767,   170,   514,   515,   516,   768,   517,   172,   769,   518,
     770,   519,   520,   521,   522,   523,   173,   524,   525,   526,
     771,   527,   528,   529,   530,   531,   532,   772,   533,   174,
     175,   773,   534,   535,   536,   774,   176,   775,   177,   776,
     537,   178,   179,   538,   180,   539,   540,   541,   542,   543,
     777,   544,   545,   778,   546,   181,   182,   547,   183,   779,
     548,   549,   550,   780,   781,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   188,   189,
     190,   564,   565,   191,   782,   566,   567,   193,   568,   783,
     194,   569,   195,   570,   571,   572,   784,   573,   785,   786,
     574,   575,   576,   787,   788,   196,   197,   198,   199,   200,
     577,   578,   579,   580,   581,   582,   583,   789,   584,   201,
     585,   202,   586,   587,   588,   790,   589,   590,   591,   592,
     593,   594,   595,   596,   204,   597,   598,   599,   600,   791,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   792,   612,   613,   211,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   622,   623,   793,   624,   625,   626,
     627,   628,   794,   629,   218,   630,   631,   220,   632,   221,
     633,   795,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   223,   796,   644,   645,   797,   646,   647,   648,
     649,   650,   651,   798,   225,   226,   799,   800,   653,   227,
     654,   228,   801,   655,   656,   657,   658,   659,   660,   661,
     802,   803,   662,   663,   664,   665,   666,   804,   805,   667,
     668,   669,   670,   671,   806,   235,   807,   673,   236,   674,
     675,   676,   808,   809,   677,   810,   811,   678,   679,   680,
     681,   682,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   683,   684,   685,    85,     0,     0,    86,    87,    88,
      89,    90,    91,    92,    93,     0,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   963,   104,   105,   106,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115,     0,   116,   117,   118,   119,   120,     0,     0,
       0,   121,   122,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,   124,     0,   125,     0,
     126,   127,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   128,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   129,     0,   130,   131,     0,     0,     0,     0,
       0,     0,     0,     0,   132,     0,   133,     0,     0,   134,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,   141,
       0,   142,   143,   144,     0,   145,     0,   146,     0,   147,
       0,   148,     0,     0,     0,     0,     0,     0,     0,   149,
       0,   150,   151,     0,     0,     0,     0,     0,   152,     0,
       0,     0,     0,     0,     0,   153,     0,   154,   155,   156,
     157,     0,     0,     0,     0,     0, -1397,     0,     0,     0,
       0,     0,   158,     0,   159,     0,     0,     0,   160,     0,
       0,     0,     0,     0,   161,   162,     0,     0,     0,     0,
       0,     0,   163,   164,   165,     0,     0,   166,     0,     0,
     167,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0, -1397,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,   183,     0,   184,
     185,     0,     0,     0,     0,   186,     0,     0,     0,     0,
       0,     0,     0,     0,   187,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,   192,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,   197,   198,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,   205,     0,     0,     0,     0,   206,
     207,     0,   208,     0,     0,     0,     0,   209,     0,     0,
       0,     0,   210,   211,     0,   212,   213,     0,     0,   214,
       0,     0,     0,     0,   215,   216,     0,     0,     0,     0,
       0,     0,   217,   218,     0,   219,   220,     0,   221,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,   224,     0,     0,     0,     0,
       0,     0,     0,   225,   226,     0,     0,     0,   227,     0,
     228,     0,   229,     0,   230,     0,     0,     0,     0,   231,
       0,     0,   232,     0,     0, -1397,     0,     0,   233,     0,
       0,     0,     0,   234,   235,     0,     0,   236,     0,     0,
       0,     0,     0,     0,     0,   237,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   247,
     104,   105,     0,  -136,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,     0,
       0,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,     0,     0,     0,     0,   144,     0,   145,     0,
       0,     0,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,     0,   164,     0,     0,     0,
     166,     0,     0,     0,     0,   168,     0,     0,     0,     0,
       0,   169,     0,   170,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   174,   175,     0,     0,     0,     0,     0,   176,     0,
     177,     0,     0,   178,   179,     0,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   181,   182,     0,
     183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     188,   189,   190,     0,     0,   191,     0,     0,     0,   193,
       0,     0,   194,     0,   195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   196,   197,   198,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   225,   226,     0,     0,
       0,   227,     0,   228,     0,     0,     0,     0,     0,     0,
       0,     0,   231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,     0,     0,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   238,   239,   240,   241,   242,   243,
     244,   245,   246,     0,     0,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,  3048,
     107,   108,   109,   110,     0,   111,   112,   113,   114,   115,
       0,   116,   117,   118,     0,     0,     0,     0,     0,   121,
     122,     0,     0,     0,     0,   123,     0,     0,     0,     0,
       0,     0,     0,     0,   124,     0,   125,     0,   126,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   133,     0,     0,     0,   135,   136,
     137,   138,   139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   140,     0,     0,     0,     0,     0,
       0,   144,     0,   145,     0,     0,     0,     0,     0,   148,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,   152,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   155,   156,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   162,     0,     0,     0,     0,     0,     0,
       0,   164,     0,     0,     0,   166,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,     0,     0,     0,   227,     0,   228,     0,
       0,     0,     0,     0,     0,     0,     0,   231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,     0,     0,   236,     0,     0,     0,     0,
       0,     0,     0,     4,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,     0,
       0,     0,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     0,     0,
       0,     9,    10,     0,  3050,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    47,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    48,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    49,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,     0,     0,
      52,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    53,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      54,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    55,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    56,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    57,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    58,     0,     0,
       0,     0,     0,    59,     0,     0,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1377,     0,     0,     0,
       0,    71,   722,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   723,   104,   105,   420,   724,     0,   107,   108,
     109,   110,   725,   726,   112,   113,   114,   115,     0,   116,
     727,   728,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1468,  1469,  1470,    45,  1471,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  2976,   439,   440,   441,
       0,     0,     0,     0,  1472,     0,     0,   442,   443,     0,
     444,   445,   133,   446,   447,   448,   135,  1473,   137,  1474,
    1475,     0,   449,   450,   451,   452,   453,  1476,  1477,   454,
     455,  1478,  1479,   457,     0,   458,   459,   460,   461,  1480,
       0,  1481,     0,   462,   463,   464,   465,   148,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,   151,   474,
       0,  1482,  1483,  1484,  1485,  1486,  1487,  1488,   475,   476,
     477,   478,   479,   480,  1489,  1490,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,  2977,
       0,   491,   492,  1491,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,  1492,
     506,   507,   508,  1493,  1494,   509,     0,   510,  1495,   511,
       0,   512,     0,   513,   169,     0,   170,   514,   515,   516,
       0,   517,  1496,     0,   518,     0,   519,   520,   521,   522,
     523,   173,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,   174,   175,     0,   534,   535,   536,
    1497,  1498,     0,  1499,     0,   537,   178,   179,   538,   180,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
    1500,   182,   547,   183,     0,   548,   549,   550,  1501,  1502,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1503,   189,  1504,   564,   565,   191,  1505,
     566,   567,   193,   568,  1506,  1507,   569,  1508,   570,   571,
     572,     0,   573,     0,     0,  1509,   575,   576,     0,     0,
     196,   197,   198,   199,  1510,   577,   578,   579,   580,   581,
     582,   583,     0,   584,  1511,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,  1512,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,   211,
     614,   615,  1513,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,  1514,   629,   218,
     630,   631,   220,   632,  1515,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,  1516,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,  1517,
    1518,     0,     0,   653,  1519,   654,  1520,  1521,   655,   656,
     657,   658,   659,   660,   661,     0,  1522,   662,   663,   664,
     665,   666,  1523,     0,   667,   668,   669,   670,   671,   672,
    1524,  2978,   673,   236,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,  1525,  1526,
    1527,  1528,  1529,  1530,  1531,  1532,   683,   684,   685,     0,
       0,     0,     0,     0,     0,     0,  1533,  1534,  2979,     0,
       0,     0,     0,     0,     0,  1536,  2980,   722,    86,    87,
      88,   417,    90,    91,    92,   418,     0,   419,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   723,   104,   105,
     420,   724,     0,   107,   108,   109,   110,   725,   726,   112,
     113,   114,   115,     0,   116,   727,   728,   421,   422,     0,
       0,     0,   423,   424,     0,     0,     0,     0,   425,     0,
       0,     0,     0,     0,     0,     0,     0,   426,     0,   427,
       0,   428,   429,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1468,  1469,  1470,    45,  1471,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1472,
       0,     0,   442,   443,     0,   444,   445,   133,   446,   447,
     448,   135,  1473,   137,  1474,  1475,     0,   449,   450,   451,
     452,   453,  1476,  1477,   454,   455,  1478,  1479,   457,     0,
     458,   459,   460,   461,  1480,     0,  1481,     0,   462,   463,
     464,   465,   148,   466,   467,     0,   468,   469,   470,   471,
     472,   473,     0,   151,   474,     0,  1482,  1483,  1484,  1485,
    1486,  1487,  1488,   475,   476,   477,   478,   479,   480,  1489,
    1490,   481,     0,   482,     0,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,     0,   491,   492,  1491,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,     0,
     502,   503,   504,   505,  1492,   506,   507,   508,  1493,  1494,
     509,     0,   510,  1495,   511,     0,   512,     0,   513,   169,
       0,   170,   514,   515,   516,     0,   517,  1496,     0,   518,
       0,   519,   520,   521,   522,   523,   173,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,     0,   533,   174,
     175,     0,   534,   535,   536,  1497,  1498,     0,  1499,     0,
     537,   178,   179,   538,   180,   539,   540,   541,   542,   543,
       0,   544,   545,     0,   546,  1500,   182,   547,   183,     0,
     548,   549,   550,  1501,  1502,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1503,   189,
    1504,   564,   565,   191,  1505,   566,   567,   193,   568,  1506,
    1507,   569,  1508,   570,   571,   572,     0,   573,     0,     0,
    1509,   575,   576,     0,     0,   196,   197,   198,   199,  1510,
     577,   578,   579,   580,   581,   582,   583,     0,   584,  1511,
     585,   202,   586,   587,   588,     0,   589,   590,   591,   592,
     593,   594,   595,   596,  1512,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,     0,   612,   613,   211,   614,   615,  1513,   616,   617,
     618,   619,   620,   621,   622,   623,     0,   624,   625,   626,
     627,   628,  1514,   629,   218,   630,   631,   220,   632,  1515,
     633,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,  1516,     0,   644,   645,     0,   646,   647,   648,
     649,   650,   651,     0,  1517,  1518,     0,     0,   653,  1519,
     654,  1520,  1521,   655,   656,   657,   658,   659,   660,   661,
       0,  1522,   662,   663,   664,   665,   666,  1523,     0,   667,
     668,   669,   670,   671,   672,  1524,     0,   673,   236,   674,
     675,   676,     0,     0,   677,     0,     0,   678,   679,   680,
     681,   682,   238,  1525,  1526,  1527,  1528,  1529,  1530,  1531,
    1532,   683,   684,   685,     0,     0,     0,     0,     0,     0,
       0,  1533,  1534,     0,     0,     0,     0,     0,     0,     0,
    1536,  2886,   722,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   723,   104,   105,   420,   724,     0,   107,   108,
     109,   110,   725,   726,   112,   113,   114,   115,     0,   116,
     727,   728,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   133,   446,   447,   448,     0,  1896,   137,  1897,
    1898,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,  1899,  1900,   457,     0,   458,   459,   460,   461,     0,
       0,   145,     0,   462,   463,   464,   465,   148,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,   151,   474,
       0,     0,     0,     0,   152,     0,     0,     0,   475,   476,
     477,   478,   479,   480,  1901,  1902,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,  1491,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,     0,
     506,   507,   508,     0,     0,   509,     0,   510,  1903,   511,
       0,   512,     0,   513,   169,     0,   170,   514,   515,   516,
       0,   517,     0,     0,   518,     0,   519,   520,   521,   522,
     523,   173,   524,   525,   526,  2475,   527,   528,   529,   530,
     531,   532,     0,   533,   174,  2476,     0,   534,   535,   536,
    1497,  1904,     0,  1905,     0,   537,   178,   179,   538,   180,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
       0,   182,   547,   183,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1906,   189,  1907,   564,   565,     0,     0,
     566,   567,   193,   568,     0,     0,   569,  1908,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
    2477,   197,   198,   199,     0,   577,   578,   579,   580,   581,
     582,   583,     0,   584,     0,   585,     0,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,  1909,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,   211,
     614,   615,     0,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,  2478,
     630,   631,   220,   632,  1911,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,     0,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,  1912,
    1913,     0,     0,   653,     0,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,     0,
    1914,  2479,   673,   236,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   683,   684,   685,     0,
       0,     0,     0,   722,    86,    87,    88,   417,    90,    91,
      92,   418,     0,   419,    95,     0,  2480,    98,    99,   100,
     101,   102,   103,   723,   104,   105,   420,   724,     0,   107,
     108,   109,   110,   725,   726,   112,   113,   114,   115,     0,
     116,   727,   728,   421,   422,     0,     0,     0,   423,   424,
       0,     0,     0,     0,   425,     0,     0,     0,     0,     0,
       0,     0,     0,   426,     0,   427,     0,   428,   429,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   133,   446,   447,   448,     0,  1896,   137,
    1897,  1898,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,  1899,  1900,   457,     0,   458,   459,   460,   461,
       0,     0,   145,     0,   462,   463,   464,   465,   148,   466,
     467,     0,   468,   469,   470,   471,   472,   473,     0,   151,
     474,     0,     0,     0,     0,   152,     0,     0,     0,   475,
     476,   477,   478,   479,   480,  1901,  1902,   481,     0,   482,
       0,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,     0,   491,   492,  1491,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,     0,   502,   503,   504,   505,
       0,   506,   507,   508,     0,     0,   509,     0,   510,  1903,
     511,     0,   512,     0,   513,   169,     0,   170,   514,   515,
     516,     0,   517,     0,     0,   518,     0,   519,   520,   521,
     522,   523,   173,   524,   525,   526,  2475,   527,   528,   529,
     530,   531,   532,     0,   533,   174,  2476,     0,   534,   535,
     536,  1497,  1904,     0,  1905,     0,   537,   178,   179,   538,
     180,   539,   540,   541,   542,   543,     0,   544,   545,     0,
     546,     0,   182,   547,   183,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1906,   189,  1907,   564,   565,     0,
       0,   566,   567,   193,   568,     0,     0,   569,  1908,   570,
     571,   572,     0,   573,     0,     0,   574,   575,   576,     0,
       0,  2477,   197,   198,   199,     0,   577,   578,   579,   580,
     581,   582,   583,     0,   584,     0,   585,     0,   586,   587,
     588,     0,   589,   590,   591,   592,   593,   594,   595,   596,
    1909,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,     0,   612,   613,
     211,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     622,   623,     0,   624,   625,   626,   627,   628,     0,   629,
    2478,   630,   631,   220,   632,  1911,   633,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,     0,     0,
     644,   645,     0,   646,   647,   648,   649,   650,   651,     0,
    1912,  1913,     0,     0,   653,     0,   654,     0,     0,   655,
     656,   657,   658,   659,   660,   661,     0,     0,   662,   663,
     664,   665,   666,     0,     0,   667,   668,   669,   670,   671,
       0,  1914,  2479,   673,   236,   674,   675,   676,     0,     0,
     677,     0,     0,   678,   679,   680,   681,   682,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   683,   684,   685,
       0,     0,     0,     0,   722,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,  3408,    98,    99,
     100,   101,   102,   103,   723,   104,   105,   420,   724,     0,
     107,   108,   109,   110,   725,   726,   112,   113,   114,   115,
       0,   116,   727,   728,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1468,  1469,  1470,    45,  1471,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1472,     0,     0,   442,
     443,     0,   444,   445,   133,   446,   447,   448,   135,  1473,
     137,  1474,  1475,  2896,   449,   450,   451,   452,   453,  1476,
    1477,   454,   455,  1478,  1479,   457,     0,   458,   459,   460,
     461,  1480,     0,  1481,     0,   462,   463,   464,   465,   148,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
     151,   474,     0,  1482,  1483,  1484,  1485,  1486,  1487,  1488,
     475,   476,   477,   478,   479,   480,  1489,  1490,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,  1491,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,  1492,   506,   507,   508,  1493,  1494,   509,     0,   510,
    1495,   511,     0,   512,     0,   513,   169,  2897,   170,   514,
     515,   516,     0,   517,  1496,     0,   518,     0,   519,   520,
     521,   522,   523,   173,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,   174,   175,     0,   534,
     535,   536,  1497,  1498,     0,  1499,     0,   537,   178,   179,
     538,   180,   539,   540,   541,   542,   543,     0,   544,   545,
    2898,   546,  1500,   182,   547,   183,     0,   548,   549,   550,
    1501,  1502,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1503,   189,  1504,   564,   565,
     191,  1505,   566,   567,   193,   568,  1506,  1507,   569,  1508,
     570,   571,   572,     0,   573,     0,     0,  1509,   575,   576,
       0,     0,   196,   197,   198,   199,  1510,   577,   578,   579,
     580,   581,   582,   583,     0,   584,  1511,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,  1512,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,   211,   614,   615,  1513,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,  1514,
     629,   218,   630,   631,   220,   632,  1515,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,  1516,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,  1517,  1518,     0,  2899,   653,  1519,   654,  1520,  1521,
     655,   656,   657,   658,   659,   660,   661,     0,  1522,   662,
     663,   664,   665,   666,  1523,     0,   667,   668,   669,   670,
     671,   672,  1524,     0,   673,   236,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
    1525,  1526,  1527,  1528,  1529,  1530,  1531,  1532,   683,   684,
     685,     0,     0,     0,     0,     0,     0,     0,  1533,  1534,
       0,     0,     0,     0,     0,     0,     0,  1536,   722,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   723,   104,
     105,   420,   724,     0,   107,   108,   109,   110,   725,   726,
     112,   113,   114,   115,     0,   116,   727,   728,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1468,  1469,  1470,    45,
    1471,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1472,     0,     0,   442,   443,     0,   444,   445,   133,   446,
     447,   448,   135,  1473,   137,  1474,  1475,     0,   449,   450,
     451,   452,   453,  1476,  1477,   454,   455,  1478,  1479,   457,
       0,   458,   459,   460,   461,  1480,     0,  1481,     0,   462,
     463,   464,   465,   148,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,   151,   474,     0,  1482,  1483,  1484,
    1485,  1486,  1487,  1488,   475,   476,   477,   478,   479,   480,
    1489,  1490,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,  1491,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,  1492,   506,   507,   508,  1493,
    1494,   509,     0,   510,  1495,   511,     0,   512,     0,   513,
     169,     0,   170,   514,   515,   516,     0,   517,  1496,     0,
     518,     0,   519,   520,   521,   522,   523,   173,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
     174,   175,     0,   534,   535,   536,  1497,  1498,     0,  1499,
       0,   537,   178,   179,   538,   180,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,  1500,   182,   547,   183,
       0,   548,   549,   550,  1501,  1502,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1503,
     189,  1504,   564,   565,   191,  1505,   566,   567,   193,   568,
    1506,  1507,   569,  1508,   570,   571,   572,     0,   573,     0,
       0,  1509,   575,   576,     0,     0,   196,   197,   198,   199,
    1510,   577,   578,   579,   580,   581,   582,   583,     0,   584,
    1511,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,  1512,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,   211,   614,   615,  1513,   616,
     617,   618,   619,   620,   621,   622,   623,   216,   624,   625,
     626,   627,   628,  1514,   629,   218,   630,   631,   220,   632,
    1515,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,  1516,     0,   644,   645,   224,   646,   647,
     648,   649,   650,   651,     0,  1517,  1518,     0,     0,   653,
    1519,   654,  1520,  1521,   655,   656,   657,   658,   659,   660,
     661,     0,  1522,   662,   663,   664,   665,   666,  1523,     0,
     667,   668,   669,   670,   671,  1393,  1524,     0,   673,   236,
     674,   675,   676,     0,     0,   677,     0,   237,   678,   679,
     680,   681,   682,   238,  1525,  1526,  1527,  1528,  1529,  1530,
    1531,  1532,   683,   684,   685,     0,     0,     0,     0,     0,
       0,     0,  1533,  1534,     0,     0,     0,     0,     0,     0,
       0,  1536,   722,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   723,   104,   105,   420,   724,     0,   107,   108,
     109,   110,   725,   726,   112,   113,   114,   115,     0,   116,
     727,   728,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1468,  1469,  1470,    45,  1471,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1472,     0,     0,   442,   443,     0,
     444,   445,   133,   446,   447,   448,   135,  1473,   137,  1474,
    1475,     0,   449,   450,   451,   452,   453,  1476,  1477,   454,
     455,  1478,  1479,   457,     0,   458,   459,   460,   461,  1480,
       0,  1481,     0,   462,   463,   464,   465,   148,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,   151,   474,
       0,  1482,  1483,  1484,  1485,  1486,  1487,  1488,   475,   476,
     477,   478,   479,   480,  1489,  1490,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,  1491,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,  1492,
     506,   507,   508,  1493,  1494,   509,     0,   510,  1495,   511,
       0,   512,     0,   513,   169,     0,   170,   514,   515,   516,
       0,   517,  1496,     0,   518,     0,   519,   520,   521,   522,
     523,   173,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,   174,   175,     0,   534,   535,   536,
    1497,  1498,     0,  1499,     0,   537,   178,   179,   538,   180,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
    1500,   182,   547,   183,     0,   548,   549,   550,  1501,  1502,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1503,   189,  1504,   564,   565,   191,  1505,
     566,   567,   193,   568,  1506,  1507,   569,  1508,   570,   571,
     572,     0,   573,     0,     0,  1509,   575,   576,     0,     0,
     196,   197,   198,   199,  1510,   577,   578,   579,   580,   581,
     582,   583,     0,   584,  1511,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,  1512,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,   211,
     614,   615,  1513,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,  1514,   629,   218,
     630,   631,   220,   632,  1515,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,  1516,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,  1517,
    1518,     0,     0,   653,  1519,   654,  1520,  1521,   655,   656,
     657,   658,   659,   660,   661,     0,  1522,   662,   663,   664,
     665,   666,  1523,     0,   667,   668,   669,   670,   671,   672,
    1524,     0,   673,   236,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,  1525,  1526,
    1527,  1528,  1529,  1530,  1531,  1532,   683,   684,   685,     0,
       0,     0,     0,     0,     0,     0,  1533,  1534,     0,     0,
       0,     0,     0,  2130,  2844,  1536,   722,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   723,   104,   105,   420,
     724,     0,   107,   108,   109,   110,   725,   726,   112,   113,
     114,   115,     0,   116,   727,   728,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1468,  1469,  1470,    45,  1471,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1472,     0,
       0,   442,   443,     0,   444,   445,   133,   446,   447,   448,
     135,  1473,   137,  1474,  1475,     0,   449,   450,   451,   452,
     453,  1476,  1477,   454,   455,  1478,  1479,   457,     0,   458,
     459,   460,   461,  1480,     0,  1481,     0,   462,   463,   464,
     465,   148,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,   151,   474,     0,  1482,  1483,  1484,  1485,  1486,
    1487,  1488,   475,   476,   477,   478,   479,   480,  1489,  1490,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,  1491,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,  1492,   506,   507,   508,  1493,  1494,   509,
       0,   510,  1495,   511,     0,   512,     0,   513,   169,     0,
     170,   514,   515,   516,     0,   517,  1496,     0,   518,     0,
     519,   520,   521,   522,   523,   173,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,   174,   175,
       0,   534,   535,   536,  1497,  1498,     0,  1499,     0,   537,
     178,   179,   538,   180,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,  1500,   182,   547,   183,     0,   548,
     549,   550,  1501,  1502,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1503,   189,  1504,
     564,   565,   191,  1505,   566,   567,   193,   568,  1506,  1507,
     569,  1508,   570,   571,   572,     0,   573,     0,     0,  1509,
     575,   576,     0,     0,   196,   197,   198,   199,  1510,   577,
     578,   579,   580,   581,   582,   583,     0,   584,  1511,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,  1512,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,   211,   614,   615,  1513,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,  1514,   629,   218,   630,   631,   220,   632,  1515,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,  1516,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,  1517,  1518,     0,     0,   653,  1519,   654,
    1520,  1521,   655,   656,   657,   658,   659,   660,   661,     0,
    1522,   662,   663,   664,   665,   666,  1523,     0,   667,   668,
     669,   670,   671,   672,  1524,     0,   673,   236,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,  1525,  1526,  1527,  1528,  1529,  1530,  1531,  1532,
     683,   684,   685,     0,     0,     0,     0,     0,     0,     0,
    1533,  1534,  1535,     0,     0,     0,     0,     0,     0,  1536,
     722,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     723,   104,   105,   420,   724,     0,   107,   108,   109,   110,
     725,   726,   112,   113,   114,   115,     0,   116,   727,   728,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1468,  1469,
    1470,    45,  1471,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1472,     0,     0,   442,   443,     0,   444,   445,
     133,   446,   447,   448,   135,  1473,   137,  1474,  1475,     0,
     449,   450,   451,   452,   453,  1476,  1477,   454,   455,  1478,
    1479,   457,     0,   458,   459,   460,   461,  1480,     0,  1481,
       0,   462,   463,   464,   465,   148,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,   151,   474,     0,  1482,
    1483,  1484,  1485,  1486,  1487,  1488,   475,   476,   477,   478,
     479,   480,  1489,  1490,   481,  1619,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,  1491,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,  1492,   506,   507,
     508,  1493,  1494,   509,     0,   510,  1495,   511,     0,   512,
       0,   513,   169,     0,   170,   514,   515,   516,     0,   517,
    1496,     0,   518,     0,   519,   520,   521,   522,   523,   173,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,   174,   175,     0,   534,   535,   536,  1497,  1498,
       0,  1499,     0,   537,   178,   179,   538,   180,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,  1500,   182,
     547,   183,     0,   548,   549,   550,  1501,  1502,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1503,   189,  1504,   564,   565,   191,  1505,   566,   567,
     193,   568,  1506,  1507,   569,  1508,   570,   571,   572,     0,
     573,     0,     0,  1509,   575,   576,     0,     0,   196,   197,
     198,   199,  1510,   577,   578,   579,   580,   581,   582,   583,
       0,   584,  1511,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,  1512,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,   211,   614,   615,
    1513,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,  1514,   629,   218,   630,   631,
     220,   632,  1515,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,  1516,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,  1517,  1518,     0,
       0,   653,  1519,   654,  1520,  1521,   655,   656,   657,   658,
     659,   660,   661,     0,  1522,   662,   663,   664,   665,   666,
    1523,     0,   667,   668,   669,   670,   671,   672,  1524,     0,
     673,   236,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,  1525,  1526,  1527,  1528,
    1529,  1530,  1531,  1532,   683,   684,   685,     0,     0,     0,
       0,     0,     0,     0,  1533,  1534,     0,     0,     0,     0,
       0,     0,     0,  1536,   722,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   723,   104,   105,   420,   724,     0,
     107,   108,   109,   110,   725,   726,   112,   113,   114,   115,
       0,   116,   727,   728,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1468,  1469,  1470,    45,  1471,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  2313,   439,
     440,   441,     0,     0,     0,     0,  1472,     0,     0,   442,
     443,     0,   444,   445,   133,   446,   447,   448,   135,  1473,
     137,  1474,  1475,     0,   449,   450,   451,   452,   453,  1476,
    1477,   454,   455,  1478,  1479,   457,     0,   458,   459,   460,
     461,  1480,     0,  1481,     0,   462,   463,   464,   465,   148,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
     151,   474,     0,  1482,  1483,  1484,  1485,  1486,  1487,  1488,
     475,   476,   477,   478,   479,   480,  1489,  1490,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,  1491,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,  1492,   506,   507,   508,  1493,  1494,   509,     0,   510,
    1495,   511,     0,   512,     0,   513,   169,     0,   170,   514,
     515,   516,     0,   517,  1496,     0,   518,     0,   519,   520,
     521,   522,   523,   173,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,   174,   175,     0,   534,
     535,   536,  1497,  1498,     0,  1499,     0,   537,   178,   179,
     538,   180,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,  1500,   182,   547,   183,     0,   548,   549,   550,
    1501,  1502,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1503,   189,  1504,   564,   565,
     191,  1505,   566,   567,   193,   568,  1506,  1507,   569,  1508,
     570,   571,   572,     0,   573,     0,     0,  1509,   575,   576,
       0,     0,   196,   197,   198,   199,  1510,   577,   578,   579,
     580,   581,   582,   583,     0,   584,  1511,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,  1512,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,   211,   614,   615,  1513,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,  1514,
     629,   218,   630,   631,   220,   632,  1515,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,  1516,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,  1517,  1518,     0,     0,   653,  1519,   654,  1520,  1521,
     655,   656,   657,   658,   659,   660,   661,     0,  1522,   662,
     663,   664,   665,   666,  1523,     0,   667,   668,   669,   670,
     671,   672,  1524,     0,   673,   236,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
    1525,  1526,  1527,  1528,  1529,  1530,  1531,  1532,   683,   684,
     685,     0,     0,     0,     0,     0,     0,     0,  1533,  1534,
       0,     0,     0,     0,     0,     0,     0,  1536,   722,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   723,   104,
     105,   420,   724,     0,   107,   108,   109,   110,   725,   726,
     112,   113,   114,   115,     0,   116,   727,   728,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1468,  1469,  1470,    45,
    1471,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1472,     0,     0,   442,   443,     0,   444,   445,   133,   446,
     447,   448,   135,  1473,   137,  1474,  1475,     0,   449,   450,
     451,   452,   453,  1476,  1477,   454,   455,  1478,  1479,   457,
       0,   458,   459,   460,   461,  1480,     0,  1481,     0,   462,
     463,   464,   465,   148,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,   151,   474,     0,  1482,  1483,  1484,
    1485,  1486,  1487,  1488,   475,   476,   477,   478,   479,   480,
    1489,  1490,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,  1491,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,  1492,   506,   507,   508,  1493,
    1494,   509,     0,   510,  1495,   511,     0,   512,     0,   513,
     169,  2897,   170,   514,   515,   516,     0,   517,  1496,     0,
     518,     0,   519,   520,   521,   522,   523,   173,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
     174,   175,     0,   534,   535,   536,  1497,  1498,     0,  1499,
       0,   537,   178,   179,   538,   180,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,  1500,   182,   547,   183,
       0,   548,   549,   550,  1501,  1502,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1503,
     189,  1504,   564,   565,   191,  1505,   566,   567,   193,   568,
    1506,  1507,   569,  1508,   570,   571,   572,     0,   573,     0,
       0,  1509,   575,   576,     0,     0,   196,   197,   198,   199,
    1510,   577,   578,   579,   580,   581,   582,   583,     0,   584,
    1511,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,  1512,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,   211,   614,   615,  1513,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,  1514,   629,   218,   630,   631,   220,   632,
    1515,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,  1516,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,  1517,  1518,     0,     0,   653,
    1519,   654,  1520,  1521,   655,   656,   657,   658,   659,   660,
     661,     0,  1522,   662,   663,   664,   665,   666,  1523,     0,
     667,   668,   669,   670,   671,   672,  1524,     0,   673,   236,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,  1525,  1526,  1527,  1528,  1529,  1530,
    1531,  1532,   683,   684,   685,     0,     0,     0,     0,     0,
       0,     0,  1533,  1534,     0,     0,     0,     0,     0,     0,
       0,  1536,   722,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   723,   104,   105,   420,   724,     0,   107,   108,
     109,   110,   725,   726,   112,   113,   114,   115,     0,   116,
     727,   728,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1468,  1469,  1470,    45,  1471,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1472,     0,     0,   442,   443,     0,
     444,   445,   133,   446,   447,   448,   135,  1473,   137,  1474,
    1475,     0,   449,   450,   451,   452,   453,  1476,  1477,   454,
     455,  1478,  1479,   457,     0,   458,   459,   460,   461,  1480,
       0,  1481,     0,   462,   463,   464,   465,   148,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,   151,   474,
       0,  1482,  1483,  1484,  1485,  1486,  1487,  1488,   475,   476,
     477,   478,   479,   480,  1489,  1490,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,  1491,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,  1492,
     506,   507,   508,  1493,  1494,   509,     0,   510,  1495,   511,
       0,   512,     0,   513,   169,     0,   170,   514,   515,   516,
       0,   517,  1496,     0,   518,     0,   519,   520,   521,   522,
     523,   173,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,   174,   175,     0,   534,   535,   536,
    1497,  1498,     0,  1499,     0,   537,   178,   179,   538,   180,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
    1500,   182,   547,   183,     0,   548,   549,   550,  1501,  1502,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1503,   189,  1504,   564,   565,   191,  1505,
     566,   567,   193,   568,  1506,  1507,   569,  1508,   570,   571,
     572,     0,   573,     0,     0,  1509,   575,   576,     0,     0,
     196,   197,   198,   199,  1510,   577,   578,   579,   580,   581,
     582,   583,     0,   584,  1511,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,  1512,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,   211,
     614,   615,  1513,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,  1514,   629,   218,
     630,   631,   220,   632,  1515,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,  1516,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,  1517,
    1518,     0,     0,   653,  1519,   654,  1520,  1521,   655,   656,
     657,   658,   659,   660,   661,     0,  1522,   662,   663,   664,
     665,   666,  1523,     0,   667,   668,   669,   670,   671,   672,
    1524,  4136,   673,   236,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,  1525,  1526,
    1527,  1528,  1529,  1530,  1531,  1532,   683,   684,   685,     0,
       0,     0,     0,     0,     0,     0,  1533,  1534,     0,     0,
       0,     0,     0,     0,     0,  1536,   722,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   723,   104,   105,   420,
     724,     0,   107,   108,   109,   110,   725,   726,   112,   113,
     114,   115,     0,   116,   727,   728,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1468,  1469,  1470,    45,  1471,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1472,     0,
       0,   442,   443,     0,   444,   445,   133,   446,   447,   448,
     135,  1473,   137,  1474,  1475,     0,   449,   450,   451,   452,
     453,  1476,  1477,   454,   455,  1478,  1479,   457,     0,   458,
     459,   460,   461,  1480,     0,  1481,     0,   462,   463,   464,
     465,   148,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,   151,   474,  4149,  1482,  1483,  1484,  1485,  1486,
    1487,  1488,   475,   476,   477,   478,   479,   480,  1489,  1490,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,  1491,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,  1492,   506,   507,   508,  1493,  1494,   509,
       0,   510,  1495,   511,     0,   512,     0,   513,   169,     0,
     170,   514,   515,   516,     0,   517,  1496,     0,   518,     0,
     519,   520,   521,   522,   523,   173,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,   174,   175,
       0,   534,   535,   536,  1497,  1498,     0,  1499,     0,   537,
     178,   179,   538,   180,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,  1500,   182,   547,   183,     0,   548,
     549,   550,  1501,  1502,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1503,   189,  1504,
     564,   565,   191,  1505,   566,   567,   193,   568,  1506,  1507,
     569,  1508,   570,   571,   572,     0,   573,     0,     0,  1509,
     575,   576,     0,     0,   196,   197,   198,   199,  1510,   577,
     578,   579,   580,   581,   582,   583,     0,   584,  1511,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,  1512,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,   211,   614,   615,  1513,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,  1514,   629,   218,   630,   631,   220,   632,  1515,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,  1516,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,  1517,  1518,     0,     0,   653,  1519,   654,
    1520,  1521,   655,   656,   657,   658,   659,   660,   661,     0,
    1522,   662,   663,   664,   665,   666,  1523,     0,   667,   668,
     669,   670,   671,   672,  1524,     0,   673,   236,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,  1525,  1526,  1527,  1528,  1529,  1530,  1531,  1532,
     683,   684,   685,     0,     0,     0,     0,     0,     0,     0,
    1533,  1534,     0,     0,     0,     0,     0,     0,     0,  1536,
     722,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     723,   104,   105,   420,   724,     0,   107,   108,   109,   110,
     725,   726,   112,   113,   114,   115,     0,   116,   727,   728,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1468,  1469,
    1470,    45,  1471,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1472,     0,     0,   442,   443,     0,   444,   445,
     133,   446,   447,   448,  5013,  1473,   137,  1474,  1475,     0,
     449,   450,   451,   452,   453,  1476,  1477,   454,   455,  1478,
    1479,   457,     0,   458,   459,   460,   461,  1480,     0,  1481,
       0,   462,   463,   464,   465,   148,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,   151,   474,  5014,  1482,
    1483,  1484,  1485,  1486,  1487,  1488,   475,   476,   477,   478,
     479,   480,  1489,  1490,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,  1491,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,  1492,   506,   507,
     508,  1493,  1494,   509,     0,   510,  1495,   511,     0,   512,
       0,   513,   169,     0,   170,   514,   515,   516,     0,   517,
    1496,     0,   518,     0,   519,   520,   521,   522,   523,   173,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,   174,   175,     0,   534,   535,   536,  1497,  1498,
       0,  1499,     0,   537,   178,   179,   538,   180,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,  1500,   182,
     547,   183,     0,   548,   549,   550,  1501,  1502,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1503,   189,  1504,   564,   565,   191,  1505,   566,   567,
     193,   568,  1506,  1507,   569,  1508,   570,   571,   572,     0,
     573,     0,     0,  1509,   575,   576,     0,     0,   196,   197,
     198,   199,  1510,   577,   578,   579,   580,   581,   582,   583,
       0,   584,  1511,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,  1512,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,   211,   614,   615,
    1513,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,  1514,   629,   218,   630,   631,
     220,   632,  1515,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,  1516,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,  1517,  1518,     0,
       0,   653,  1519,   654,  1520,  1521,   655,   656,   657,   658,
    5015,   660,   661,     0,  1522,   662,   663,   664,   665,   666,
    1523,     0,   667,   668,   669,   670,   671,   672,  1524,     0,
     673,   236,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,  1525,  1526,  1527,  1528,
    1529,  1530,  1531,  1532,   683,   684,   685,     0,     0,     0,
       0,     0,     0,     0,  1533,  1534,     0,     0,     0,     0,
       0,     0,     0,  1536,   722,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   723,   104,   105,   420,   724,     0,
     107,   108,   109,   110,   725,   726,   112,   113,   114,   115,
       0,   116,   727,   728,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1468,  1469,  1470,    45,  1471,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1472,     0,     0,   442,
     443,     0,   444,   445,   133,   446,   447,   448,   135,  1473,
     137,  1474,  1475,     0,   449,   450,   451,   452,   453,  1476,
    1477,   454,   455,  1478,  1479,   457,     0,   458,   459,   460,
     461,  1480,     0,  1481,     0,   462,   463,   464,   465,   148,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
     151,   474,  5014,  1482,  1483,  1484,  1485,  1486,  1487,  1488,
     475,   476,   477,   478,   479,   480,  1489,  1490,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,  1491,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,  1492,   506,   507,   508,  1493,  1494,   509,     0,   510,
    1495,   511,     0,   512,     0,   513,   169,     0,   170,   514,
     515,   516,     0,   517,  1496,     0,   518,     0,   519,   520,
     521,   522,   523,   173,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,   174,   175,     0,   534,
     535,   536,  1497,  1498,     0,  1499,     0,   537,   178,   179,
     538,   180,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,  1500,   182,   547,   183,     0,   548,   549,   550,
    1501,  1502,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1503,   189,  1504,   564,   565,
     191,  1505,   566,   567,   193,   568,  1506,  1507,   569,  1508,
     570,   571,   572,     0,   573,     0,     0,  1509,   575,   576,
       0,     0,   196,   197,   198,   199,  1510,   577,   578,   579,
     580,   581,   582,   583,     0,   584,  1511,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,  1512,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,   211,   614,   615,  1513,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,  1514,
     629,   218,   630,   631,   220,   632,  1515,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,  1516,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,  1517,  1518,     0,     0,   653,  1519,   654,  1520,  1521,
     655,   656,   657,   658,  5015,   660,   661,     0,  1522,   662,
     663,   664,   665,   666,  1523,     0,   667,   668,   669,   670,
     671,   672,  1524,     0,   673,   236,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
    1525,  1526,  1527,  1528,  1529,  1530,  1531,  1532,   683,   684,
     685,     0,     0,     0,     0,     0,     0,     0,  1533,  1534,
       0,     0,     0,     0,     0,     0,     0,  1536,   722,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   723,   104,
     105,   420,   724,     0,   107,   108,   109,   110,   725,   726,
     112,   113,   114,   115,     0,   116,   727,   728,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1468,  1469,  1470,    45,
    1471,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1472,     0,     0,   442,   443,     0,   444,   445,   133,   446,
     447,   448,   135,  1473,   137,  1474,  1475,     0,   449,   450,
     451,   452,   453,  1476,  1477,   454,   455,  1478,  1479,   457,
       0,   458,   459,   460,   461,  1480,     0,  1481,     0,   462,
     463,   464,   465,   148,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,   151,   474,     0,  1482,  1483,  1484,
    1485,  1486,  1487,  1488,   475,   476,   477,   478,   479,   480,
    1489,  1490,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,  1491,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,  1492,   506,   507,   508,  1493,
    1494,   509,     0,   510,  1495,   511,     0,   512,     0,   513,
     169,     0,   170,   514,   515,   516,     0,   517,  1496,     0,
     518,     0,   519,   520,   521,   522,   523,   173,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
     174,   175,     0,   534,   535,   536,  1497,  1498,     0,  1499,
       0,   537,   178,   179,   538,   180,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,  1500,   182,   547,   183,
       0,   548,   549,   550,  1501,  1502,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1503,
     189,  1504,   564,   565,   191,  1505,   566,   567,   193,   568,
    1506,  1507,   569,  1508,   570,   571,   572,     0,   573,     0,
       0,  1509,   575,   576,     0,     0,   196,   197,   198,   199,
    1510,   577,   578,   579,   580,   581,   582,   583,     0,   584,
    1511,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,  1512,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,   211,   614,   615,  1513,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,  1514,   629,   218,   630,   631,   220,   632,
    1515,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,  1516,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,  1517,  1518,     0,     0,   653,
    1519,   654,  1520,  1521,   655,   656,   657,   658,   659,   660,
     661,     0,  1522,   662,   663,   664,   665,   666,  1523,     0,
     667,   668,   669,   670,   671,   672,  1524,     0,   673,   236,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,  1525,  1526,  1527,  1528,  1529,  1530,
    1531,  1532,   683,   684,   685,     0,     0,     0,     0,     0,
       0,     0,  1533,  1534,     0,     0,     0,     0,     0,     0,
       0,  1536,   722,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   723,   104,   105,   420,   724,     0,   107,   108,
     109,   110,   725,   726,   112,   113,   114,   115,     0,   116,
     727,   728,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1468,  1469,  1470,    45,  1471,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1472,     0,     0,   442,   443,     0,
     444,   445,   133,   446,   447,   448,   135,  1473,   137,  1474,
    1475,     0,   449,   450,   451,   452,   453,  1476,  1477,   454,
     455,  1478,  1479,   457,     0,   458,   459,   460,   461,  1480,
       0,  1481,     0,   462,   463,   464,   465,   148,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,   151,   474,
       0,  1482,  1483,  1484,  1485,  1486,  1487,  1488,   475,   476,
     477,   478,   479,   480,  1489,  1490,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,  1491,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,  1492,
     506,   507,   508,  1493,  1494,   509,     0,   510,  1495,   511,
       0,   512,     0,   513,   169,     0,   170,   514,   515,   516,
       0,   517,  1496,     0,   518,     0,   519,   520,   521,   522,
     523,   173,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,   174,   175,     0,   534,   535,   536,
    1497,  1498,     0,  1499,     0,   537,   178,   179,   538,   180,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
    1500,   182,   547,   183,     0,   548,   549,   550,  1501,  1502,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1503,   189,  1504,   564,   565,   191,  1505,
     566,   567,   193,   568,  1506,  1507,   569,  1508,   570,   571,
     572,     0,   573,     0,     0,  1509,   575,   576,     0,     0,
     196,   197,   198,   199,  1510,   577,   578,   579,   580,   581,
     582,   583,     0,   584,  1511,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,  1512,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,   211,
     614,   615,  1513,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,  1514,   629,   218,
     630,   631,   220,   632,  1515,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,  1516,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,  1517,
    1518,     0,     0,   653,  1519,   654,  1520,  1521,   655,   656,
     657,   658,   659,   660,   661,     0,  1522,   662,   663,   664,
     665,   666,  1523,     0,   667,   668,   669,   670,   671,   672,
    1524,     0,   673,   236,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,  4439,  1525,  1526,
    1527,  1528,  1529,  1530,  1531,  1532,   683,   684,   685,     0,
       0,     0,     0,     0,     0,     0,  1533,  1534,     0,     0,
       0,     0,     0,     0,     0,  1536,   722,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   723,   104,   105,   420,
     724,     0,   107,   108,   109,   110,   725,   726,   112,   113,
     114,   115,     0,   116,   727,   728,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1468,  1469,  1470,    45,  1471,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1472,     0,
       0,   442,   443,     0,   444,   445,   133,   446,   447,   448,
     135,  1473,   137,  1474,  1475,     0,   449,   450,   451,   452,
     453,  1476,  1477,   454,   455,  1478,  1479,   457,     0,   458,
     459,   460,   461,  1480,     0,  1481,     0,   462,   463,   464,
     465,   148,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,   151,   474,     0,  1482,  1483,  1484,  1485,  1486,
    1487,  1488,   475,   476,   477,   478,   479,   480,  1489,  1490,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,  1491,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,  1492,   506,   507,   508,  1493,  1494,   509,
       0,   510,  1495,   511,     0,   512,     0,   513,   169,     0,
     170,   514,   515,   516,     0,   517,  1496,     0,   518,     0,
     519,   520,   521,   522,   523,   173,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,   174,   175,
       0,   534,   535,   536,  1497,  1498,     0,  1499,     0,   537,
     178,   179,   538,   180,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,  1500,   182,   547,   183,     0,   548,
     549,   550,  1501,  1502,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1503,   189,  1504,
     564,  4448,   191,  1505,   566,   567,   193,   568,  1506,  1507,
     569,  1508,   570,   571,   572,     0,   573,     0,     0,  1509,
     575,   576,     0,     0,   196,   197,   198,   199,  1510,   577,
     578,   579,   580,   581,   582,   583,     0,   584,  1511,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,  1512,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,   211,   614,   615,  1513,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,  1514,   629,   218,   630,   631,   220,   632,  1515,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,  1516,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,  1517,  1518,     0,     0,   653,  1519,   654,
    1520,  1521,   655,   656,   657,   658,   659,   660,   661,     0,
    1522,   662,   663,   664,   665,   666,  1523,     0,   667,   668,
     669,   670,   671,   672,  1524,     0,   673,   236,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,  1525,  1526,  1527,  1528,  1529,  1530,  1531,  1532,
     683,   684,   685,     0,     0,     0,     0,     0,     0,     0,
    1533,  1534,     0,     0,     0,     0,     0,     0,     0,  1536,
     722,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     723,   104,   105,   420,   724,     0,   107,   108,   109,   110,
     725,   726,   112,   113,   114,   115,     0,   116,   727,   728,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1468,  1469,
    1470,    45,  1471,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1472,     0,     0,   442,   443,     0,   444,   445,
     133,   446,   447,   448,   135,  1473,   137,  1474,  1475,     0,
     449,   450,   451,   452,   453,  1476,  1477,   454,   455,  1478,
    1479,   457,     0,   458,   459,   460,   461,  1480,     0,  1481,
       0,   462,   463,   464,   465,   148,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,   151,   474,     0,  1482,
    1483,  1484,  1485,  1486,  1487,  1488,   475,   476,   477,   478,
     479,   480,  1489,  1490,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,  1491,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,  1492,   506,   507,
     508,  1493,  1494,   509,     0,   510,  1495,   511,     0,   512,
       0,   513,   169,     0,   170,   514,   515,   516,     0,   517,
    1496,     0,   518,     0,   519,   520,   521,   522,   523,   173,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,   174,   175,     0,   534,   535,   536,  1497,  1498,
       0,  1499,     0,   537,   178,   179,   538,   180,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,  1500,   182,
     547,   183,     0,   548,   549,   550,  1501,  1502,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1503,   189,  1504,   564,   565,   191,     0,   566,   567,
     193,   568,  1506,  1507,   569,  1508,   570,   571,   572,     0,
     573,     0,     0,  1509,   575,   576,     0,     0,   196,   197,
     198,   199,  1510,   577,   578,   579,   580,   581,   582,   583,
       0,   584,  1511,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,  1512,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,   211,   614,   615,
    1513,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,  1514,   629,   218,   630,   631,
     220,   632,  1515,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,  1516,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,  1517,  1518,     0,
       0,   653,  1519,   654,  1520,  1521,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
    1523,     0,   667,   668,   669,   670,   671,   672,  1524,     0,
     673,   236,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,  1525,  1526,  1527,  1528,
    1529,  1530,  1531,  1532,   683,   684,   685,     0,     0,     0,
       0,     0,     0,     0,  2879,  2880,     0,     0,     0,     0,
       0,     0,     0,  1536,   722,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   723,   104,   105,   420,   724,     0,
     107,   108,   109,   110,   725,   726,   112,   113,   114,   115,
       0,   116,   727,   728,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1468,  1469,  1470,    45,  1471,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1472,     0,     0,   442,
     443,     0,   444,   445,   133,   446,   447,   448, -2630,  1473,
     137,  1474,  1475,     0,   449,   450,   451,   452,   453,  1476,
    1477,   454,   455,  1478,  1479,   457,     0,   458,   459,   460,
     461,  1480,     0,  1481,     0,   462,   463,   464,   465,   148,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
     151,   474,  5014,  1482,  1483,  1484,  1485,  1486,  1487,  1488,
     475,   476,   477,   478,   479,   480,  1489,  1490,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,  1491,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,  1492,   506,   507,   508,  1493,  1494,   509,     0,   510,
    1495,   511,     0,   512,     0,   513,   169,     0,   170,   514,
     515,   516,     0,   517,  1496,     0,   518,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,   174,   175,     0,   534,
     535,   536,  1497,  1498,     0,  1499,     0,   537,   178,   179,
     538,   180,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,  1500,   182,   547,     0,     0,   548,   549,   550,
    1501,  1502,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1503,   189,  1504,   564,   565,
     191,     0,   566,   567,   193,   568,  1506,  1507,   569,  1508,
     570,   571,   572,     0,   573,     0,     0,  1509,   575,   576,
       0,     0,   196,   197,   198,   199,  1510,   577,   578,   579,
     580,   581,   582,   583,     0,   584,  1511,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,  1512,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,   211,   614,   615,  1513,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,  1514,
     629,   218,   630,   631,     0,   632,  1515,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,  1516,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,  1517,  1518,     0,     0,   653,  1519,   654,  1520,  1521,
     655,   656,   657,   658,  5015,   660,   661,     0,  1522,   662,
     663,   664,   665,   666,  1523,     0,   667,   668,   669,   670,
     671,   672,  1524,     0,   673,   236,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
    1525,  1526,  1527,  1528,  1529,  1530,  1531,  1532,   683,   684,
     685,     0,     0,     0,     0,     0,     0,     0,  1533,  1534,
       0,     0,     0,     0,     0,     0,     0,  1536,   722,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   723,   104,
     105,   420,   724,     0,   107,   108,   109,   110,   725,   726,
     112,   113,   114,   115,     0,   116,   727,   728,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1468,  1469,     0,    45,
    1471,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1472,     0,     0,   442,   443,     0,   444,   445,   133,   446,
     447,   448,   135,  1473,   137,  1474,  1475,     0,   449,   450,
     451,   452,   453,  1476,  1477,   454,   455,  1478,  1479,   457,
       0,   458,   459,   460,   461,  1480,     0,  1481,     0,   462,
     463,   464,   465,   148,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,   151,   474,     0,  1482,  1483,  1484,
    1485,  1486,  1487,  1488,   475,   476,   477,   478,   479,   480,
    1489,  1490,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,  1491,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,  1492,   506,   507,   508,  1493,
    1494,   509,     0,   510,  1495,   511,     0,   512,     0,   513,
     169,     0,   170,   514,   515,   516,     0,   517,  1496,     0,
     518,     0,   519,   520,   521,   522,   523,   173,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
     174,   175,     0,   534,   535,   536,  1497,  1498,     0,  1499,
       0,   537,   178,   179,   538,   180,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,  1500,   182,   547,   183,
       0,   548,   549,   550,  1501,  1502,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1503,
     189,  1504,   564,   565,   191,     0,   566,   567,   193,   568,
    1506,  1507,   569,  1508,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,   197,   198,   199,
    1510,   577,   578,   579,   580,   581,   582,   583,     0,   584,
    1511,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,  1512,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,   211,   614,   615,  1513,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,  1514,   629,   218,   630,   631,   220,   632,
    1515,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,  1516,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,  1517,  1518,     0,     0,   653,
    1519,   654,  1520,  1521,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,  1523,     0,
     667,   668,   669,   670,   671,   672,  1524,     0,   673,   236,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,  1525,  1526,  1527,  1528,  1529,  1530,
    1531,  1532,   683,   684,   685,     0,     0,     0,   722,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,  1536,    98,    99,   100,   101,   102,   103,   723,   104,
     105,   420,   724,     0,   107,   108,   109,   110,   725,   726,
     112,   113,   114,   115,     0,   116,   727,   728,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1468,  1469,     0,    45,
    1471,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1472,     0,     0,   442,   443,     0,   444,   445,   133,   446,
     447,   448,   135,  1473,   137,  1474,  1475,     0,  4055,   450,
     451,   452,   453,  1476,  1477,   454,   455,  1478,  1479,   457,
       0,   458,   459,   460,   461,  1480,     0,  1481,     0,   462,
     463,   464,   465,   148,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,   151,   474,     0,  1482,  1483,  1484,
    1485,  1486,  1487,  1488,   475,   476,   477,   478,   479,   480,
    1489,  1490,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,  1491,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,  1492,   506,   507,   508,  1493,
    1494,   509,     0,   510,  1495,   511,     0,   512,     0,   513,
     169,     0,   170,   514,   515,   516,     0,   517,  1496,     0,
     518,     0,   519,   520,   521,   522,   523,   173,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
     174,   175,     0,   534,   535,   536,  1497,  1498,     0,  1499,
       0,   537,   178,   179,   538,   180,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,  1500,   182,   547,   183,
       0,   548,   549,   550,  1501,  1502,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1503,
     189,  1504,   564,   565,   191,     0,   566,   567,   193,   568,
    1506,  1507,   569,  1508,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,   197,   198,   199,
    1510,   577,   578,   579,   580,   581,   582,   583,     0,   584,
    1511,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,  1512,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,   211,   614,   615,  1513,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,  1514,   629,   218,   630,   631,   220,   632,
    1515,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,  1516,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,  1517,  1518,     0,     0,   653,
    1519,   654,  1520,  1521,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,  1523,     0,
     667,   668,   669,   670,   671,   672,  1524,     0,   673,   236,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,  1525,  1526,  1527,  1528,  1529,  1530,
    1531,  1532,   683,   684,   685,     0,     0,     0,   722,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,  1536,    98,    99,   100,   101,   102,   103,   723,   104,
     105,   420,   724,     0,   107,   108,   109,   110,   725,   726,
     112,   113,   114,   115,     0,   116,   727,   728,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1468,  1469,  1470,    45,
    1471,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1472,     0,     0,   442,   443,     0,   444,   445,   133,   446,
     447,   448,     0,  1473,   137,  1474,  1475,     0,   449,   450,
     451,   452,   453,  1476,  1477,   454,   455,  1478,  1479,   457,
       0,   458,   459,   460,   461,  1480,     0,  1481,     0,   462,
     463,   464,   465,   148,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,   151,   474,     0,  1482,  1483,  1484,
    1485,  1486,  1487,  1488,   475,   476,   477,   478,   479,   480,
    1489,  1490,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,  1491,
     494,   495,     0,   496,   497,   498,     0,   499,     0,   501,
       0,   502,   503,   504,   505,  1492,   506,   507,   508,  1493,
    1494,   509,     0,   510,  1495,   511,     0,   512,     0,   513,
     169,     0,   170,   514,   515,   516,     0,   517,  1496,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
     174,   175,     0,   534,   535,   536,  1497,  1498,     0,  1499,
       0,   537,   178,   179,   538,   180,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,  1500,   182,   547,     0,
       0,   548,   549,   550,  1501,  1502,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1503,
     189,  1504,   564,   565,   191,     0,   566,   567,   193,   568,
    1506,  1507,   569,  1508,   570,   571,   572,     0,   573,     0,
       0,  1509,   575,   576,     0,     0,   196,   197,   198,   199,
    1510,   577,   578,   579,   580,   581,   582,   583,     0,   584,
    1511,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,  1512,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,   211,   614,   615,  1513,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,  1514,   629,   218,   630,   631,     0,   632,
    1515,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,  1516,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,  1517,  1518,     0,     0,   653,
    1519,   654,  1520,  1521,   655,   656,   657,   658,   659,   660,
     661,     0,  1522,   662,   663,   664,   665,   666,  1523,     0,
     667,   668,   669,   670,   671,   672,  1524,     0,   673,   236,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,  1525,  1526,  1527,  1528,  1529,  1530,
    1531,  1532,   683,   684,   685,     0,     0,     0,     0,     0,
       0,     0,  1533,  1534,     0,     0,     0,     0,     0,     0,
       0,  1536,   722,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   723,   104,   105,   420,   724,     0,   107,   108,
     109,   110,   725,   726,   112,   113,   114,   115,     0,   116,
     727,   728,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1468,  1469,  1470,    45,  1471,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1472,     0,     0,   442,   443,     0,
     444,   445,   133,   446,   447,   448,     0,  1473,   137,  1474,
    1475,     0,   449,   450,   451,   452,   453,  1476,  1477,   454,
     455,  1478,  1479,   457,     0,   458,   459,   460,   461,  1480,
       0,  1481,     0,   462,   463,   464,   465,   148,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,   151,   474,
       0,  1482,  1483,  1484,  1485,  1486,  1487,  1488,   475,   476,
     477,   478,   479,   480,  1489,  1490,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,  1491,   494,   495,     0,   496,   497,   498,
       0,   499,     0,   501,     0,   502,   503,   504,   505,  1492,
     506,   507,   508,  1493,  1494,   509,     0,   510,  1495,   511,
       0,   512,     0,   513,   169,     0,   170,   514,   515,   516,
       0,   517,  1496,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,   174,   175,     0,   534,   535,   536,
    1497,  1498,     0,  1499,     0,   537,   178,   179,   538,   180,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
    1500,   182,   547,     0,     0,   548,   549,   550,  1501,  1502,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1503,   189,  1504,   564,   565,   191,     0,
     566,   567,   193,   568,  1506,  1507,   569,  1508,   570,   571,
     572,     0,   573,     0,     0,  1509,   575,   576,     0,     0,
     196,   197,   198,   199,  1510,   577,   578,   579,   580,   581,
     582,   583,     0,   584,  1511,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,  1512,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,   211,
     614,   615,  1513,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,  1514,   629,   218,
     630,   631,     0,   632,  1515,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,  1516,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,  1517,
    1518,     0,     0,   653,  1519,   654,  1520,  1521,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,  1523,     0,   667,   668,   669,   670,   671,   672,
    1524,     0,   673,   236,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,  1525,  1526,
    1527,  1528,  1529,  1530,  1531,  1532,   683,   684,   685,     0,
       0,     0,     0,     0,     0,     0,  2879,  2880,     0,     0,
       0,     0,     0,     0,     0,  1536,   722,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   723,   104,   105,   420,
     724,     0,   107,   108,   109,   110,   725,   726,   112,   113,
     114,   115,     0,   116,   727,   728,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   133,   446,   447,   448,
     135,   136,   137,   138,   139,     0,   449,   450,   451,   452,
     453,     0,  1477,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,  1480,     0,  1481,     0,   462,   463,   464,
     465,   148,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,   151,   474,     0,  1482,  1483,  1484,  1485,  1486,
    1487,  1488,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,  1493,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,   169,     0,
     170,   514,   515,   516,     0,   517,  1496,     0,   518,     0,
     519,   520,   521,   522,   523,   173,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,   174,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
     178,   179,   538,   180,   539,   540,   541,   542,   543,  3600,
     544,   545,     0,   546,  1500,   182,   547,   183,     0,   548,
     549,   550,  1501,  1502,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,   189,   190,
     564,   565,   191,     0,   566,   567,   193,   568,     0,  1507,
     569,   195,   570,   571,   572,     0,   573,     0,  1079,   574,
     575,   576,     0,     0,   196,   197,   198,   199,  1510,   577,
     578,   579,   580,   581,   582,   583,     0,   584,  1511,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,   211,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,   216,   624,   625,   626,   627,
     628,  1514,   629,   218,   630,   631,   220,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,  1516,     0,   644,   645,   224,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,  1519,   654,
    1520,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,  1523,     0,   667,   668,
     669,   670,   671,  1393,   235,     0,   673,   236,   674,   675,
     676,     0,     0,   677,     0,   237,   678,   679,   680,   681,
     682,   238,  1525,  1526,  1527,  1528,  1529,  1530,  1531,  1532,
     683,   684,   685,     0,     0,     0,   722,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,  3601,
      98,    99,   100,   101,   102,   103,   723,   104,   105,   420,
     724,     0,   107,   108,   109,   110,   725,   726,   112,   113,
     114,   115,     0,   116,   727,   728,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   133,   446,   447,   448,
     135,   136,   137,   138,   139,     0,   449,   450,   451,   452,
     453,     0,  1477,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,  1480,     0,  1481,     0,   462,   463,   464,
     465,   148,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,   151,   474,     0,  1482,  1483,  1484,  1485,  1486,
    1487,  1488,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,  1493,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,   169,     0,
     170,   514,   515,   516,     0,   517,  1496,     0,   518,     0,
     519,   520,   521,   522,   523,   173,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,   174,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
     178,   179,   538,   180,   539,   540,   541,   542,   543,  3600,
     544,   545,     0,   546,  1500,   182,   547,   183,     0,   548,
     549,   550,  1501,  1502,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,   189,   190,
     564,   565,   191,     0,   566,   567,   193,   568,     0,  1507,
     569,   195,   570,   571,   572,     0,   573,     0,  1079,   574,
     575,   576,     0,     0,   196,   197,   198,   199,  1510,   577,
     578,   579,   580,   581,   582,   583,     0,   584,  1511,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,   211,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,  1514,   629,   218,   630,   631,   220,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,  1516,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,  1519,   654,
    1520,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,  1523,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,   236,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,  1525,  1526,  1527,  1528,  1529,  1530,  1531,  1532,
     683,   684,   685,     0,     0,     0,   722,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,  3601,
      98,    99,   100,   101,   102,   103,   723,   104,   105,   420,
     724,     0,   107,   108,   109,   110,   725,   726,   112,   113,
     114,   115,     0,   116,   727,   728,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   133,   446,   447,   448,
     135,   136,   137,   138,   139,     0,   449,   450,   451,   452,
     453,     0,  1477,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,  1480,     0,  1481,     0,   462,   463,   464,
     465,   148,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,   151,   474,     0,  1482,  1483,  1484,  1485,  1486,
    1487,  1488,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,  1493,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,   169,     0,
     170,   514,   515,   516,     0,   517,  1496,     0,   518,     0,
     519,   520,   521,   522,   523,   173,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,   174,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
     178,   179,   538,   180,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,  1500,   182,   547,   183,     0,   548,
     549,   550,  1501,  1502,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,   189,   190,
     564,   565,   191,     0,   566,   567,   193,   568,     0,  1507,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,   197,   198,   199,  1510,   577,
     578,   579,   580,   581,   582,   583,     0,   584,  1511,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,   211,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,  1514,   629,   218,   630,   631,   220,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,  1516,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,  1519,   654,
    1520,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,  1523,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,   236,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,  1525,  1526,  1527,  1528,  1529,  1530,  1531,  1532,
     683,   684,   685,     0,     0,     0,   722,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,   247,
      98,    99,   100,   101,   102,   103,   723,   104,   105,   420,
     724,     0,   107,   108,   109,   110,   725,   726,   112,   113,
     114,   115,     0,   116,   727,   728,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   133,   446,   447,   448,
     135,   136,   137,   138,   139,     0,   449,   450,   451,   452,
     453,     0,  1477,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,  1480,     0,  1481,     0,   462,   463,   464,
     465,   148,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,   151,   474,     0,  1482,  1483,  1484,  1485,  1486,
    1487,  1488,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,  1493,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,   169,     0,
     170,   514,   515,   516,     0,   517,  1496,     0,   518,     0,
     519,   520,   521,   522,   523,   173,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,   174,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
     178,   179,   538,   180,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,  1500,   182,   547,   183,     0,   548,
     549,   550,  1501,  1502,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,   189,   190,
     564,   565,   191,     0,   566,   567,   193,   568,     0,  1507,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,   197,   198,   199,  1510,   577,
     578,   579,   580,   581,   582,   583,     0,   584,  1511,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,   211,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,  1514,   629,   218,   630,   631,   220,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,  1516,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,  1519,   654,
    1520,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,  1523,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,   236,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,  1525,  1526,  1527,  1528,  1529,  1530,  1531,  1532,
     683,   684,   685,     0,     0,     0,   722,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,  4175,
      98,    99,   100,   101,   102,   103,   723,   104,   105,   420,
     724,     0,   107,   108,   109,   110,   725,   726,   112,   113,
     114,   115,     0,   116,   727,   728,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   133,   446,   447,   448,
     135,   136,   137,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,   145,     0,   462,   463,   464,
     465,   148,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,   151,   474,     0,     0,     0,     0,   152,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,   169,     0,
     170,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,   173,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,   174,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
     178,   179,   538,   180,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,   182,   547,   183,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,   189,   190,
     564,   565,   191,     0,   566,   567,   193,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,   197,   198,   199,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,   211,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,   220,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,   236,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,     0,     0,     0,     0,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,  4754,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,  4101,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0, -1489,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
   -1489,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533, -1489,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538, -1489,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181, -1489,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188, -1489,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613, -1489,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,     0,     0,     0,     0,     0,    86,    87,
      88,   417,    90,    91,    92,   418,     0,   419,    95,     0,
    1627,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     420,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   421,   422,     0,
       0,     0,   423,   424,     0,     0,     0,     0,   425,     0,
       0,     0,     0,     0,     0,     0,     0,   426,     0,   427,
       0,   428,   429,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   135,   136,     0,   138,   139,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   456,   140,   457,     0,
     458,   459,   460,   461,   144,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,   471,
     472,   473,     0,     0,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   479,   480,   155,
     156,   481,     0,   482,     0,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,     0,   491,   492,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,     0,
     502,   503,   504,   505,   164,   506,   507,   508,   166,  2052,
     509,     0,   510,   168,   511,     0,   512,     0,   513,     0,
       0,     0,   514,   515,   516,     0,   517,   172,     0,   518,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,     0,   533,     0,
     175,     0,   534,   535,   536,     0,   176,     0,   177,     0,
     537,     0,     0,   538,     0,   539,   540,   541,   542,   543,
       0,   544,   545,     0,   546,   181,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   188,     0,
     190,   564,   565,   191,     0,   566,   567,     0,   568,     0,
     194,   569,   195,   570,   571,   572,     0,   573,  2053,     0,
     574,   575,   576,     0,     0,   196,     0,     0,     0,   200,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   201,
     585,   202,   586,   587,   588,     0,   589,   590,   591,   592,
     593,   594,   595,   596,   204,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,     0,   612,   613,     0,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   622,   623,     0,   624,   625,   626,
     627,   628,     0,   629,   218,   630,   631,     0,   632,   221,
     633,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   223,     0,   644,   645,     0,   646,   647,   648,
     649,   650,   651,     0,   225,   226,     0,     0,   653,   227,
     654,   228,  2054,   655,   656,   657,   658,   659,   660,   661,
       0,     0,   662,   663,   664,   665,   666,     0,     0,   667,
     668,   669,   670,   671,   672,   235,     0,   673,     0,   674,
     675,   676,     0,     0,   677,     0,     0,   678,   679,   680,
     681,   682,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   683,   684,   685,     0,     0,     0,     0,     0,     0,
       0,   995,  1671,  4591,     0,     0,     0,     0,     0,     0,
    4592,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,     0,     0,     0,
       0,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,  3870,  3871,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,   130,   131,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,   216,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,   224,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,  1393,   235,     0,
     673,  1394,   674,   675,   676,     0,     0,   677,     0,   237,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,     0,     0,     0,
       0,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,   247,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,     0,     0,     0,
       0,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,  3871,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,   430,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,   216,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,   224,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,  1393,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,   237,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,     0,     0,     0,
       0,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,   247,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,   216,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,   224,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,  1393,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,   237,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,     0,     0,     0,
       0,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,   247,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,     0,     0,     0,
       0,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,  1602,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,     0,     0,     0,
       0,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,  3038,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,     0,     0,     0,
       0,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,  4130,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,     0,     0,     0,
     722,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,  4485,    98,    99,   100,   101,   102,   103,
     723,   104,   105,   420,   724,     0,   107,   108,   109,   110,
     725,   726,   112,   113,   114,   115,     0,   116,   727,   728,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
    1203,    45,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   729,   439,   440,   441,   730,   731,
     732,   733,   734,   735,   736,   442,   443,   737,   444,   445,
     133,   446,   447,   448,     0,  1896,   137,  1897,  1898,   738,
     449,   450,   451,   452,   453,   739,   740,   454,   455,  1899,
    1900,   457,   742,   458,   459,   460,   461,     0,   743,   145,
     744,   462,   463,   464,   465,   148,   466,   467,   746,   468,
     469,   470,   471,   472,   473,   747,   151,   474,     0,   749,
     750,   751,   152,   752,   753,   754,   475,   476,   477,   478,
     479,   480,  1901,  1902,   481,   755,   482,   756,   483,   484,
     485,   486,   487,   757,   488,   489,   490,   758,   759,   491,
     492,  1491,   494,   495,   760,   496,   497,   498,   761,   499,
     500,   501,   762,   502,   503,   504,   505,     0,   506,   507,
     508,     0,   763,   509,   764,   510,  1903,   511,   765,   512,
     766,   513,   169,   767,   170,   514,   515,   516,   768,   517,
       0,   769,   518,   770,   519,   520,   521,   522,   523,   173,
     524,   525,   526,   771,   527,   528,   529,   530,   531,   532,
     772,   533,   174,     0,     0,   534,   535,   536,  1497,  1904,
     775,  1905,   776,   537,   178,   179,   538,   180,   539,   540,
     541,   542,   543,   777,   544,   545,   778,   546,     0,   182,
     547,   183,   779,   548,   549,   550,   780,   781,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1906,   189,  1907,   564,   565,     0,   782,   566,   567,
     193,   568,   783,     0,   569,  1908,   570,   571,   572,   784,
     573,   785,   786,  3857,   575,   576,   787,   788,     0,   197,
     198,   199,     0,   577,   578,   579,   580,   581,   582,   583,
     789,   584,     0,   585,     0,   586,   587,   588,   790,   589,
     590,   591,   592,   593,   594,   595,   596,  1909,   597,   598,
     599,   600,   791,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   792,   612,   613,   211,   614,   615,
       0,   616,   617,   618,   619,   620,   621,   622,   623,   793,
     624,   625,   626,   627,   628,   794,   629,  2478,   630,   631,
     220,   632,  1911,   633,   795,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,     0,   796,   644,   645,   797,
     646,   647,   648,   649,   650,   651,   798,  1912,  1913,     0,
     800,   653,     0,   654,     0,   801,   655,   656,   657,   658,
     659,   660,   661,     0,   803,   662,   663,   664,   665,   666,
     804,   805,   667,   668,   669,   670,   671,     0,  1914,   807,
     673,   236,   674,   675,   676,   808,   809,   677,   810,   811,
     678,   679,   680,   681,   682,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   683,   684,   685,     0,     0,     0,
    1206,  1207,  1208,     0,  3858,  3859,  1211,  1212,  1213,  1214,
      86,    87,    88,   417,    90,    91,    92,   418,     0,   419,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   420,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   421,
     422,     0,     0,     0,   423,   424,     0,     0,     0,     0,
     425,     0,     0,     0,     0,     0,     0,     0,     0,   426,
       0,   427,     0,   428,   429,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1203,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   135,   136,     0,   138,   139,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   456,   140,
     457,     0,   458,  1204,   460,   461,   144,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,   471,   472,   473,     0,     0,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   479,
     480,   155,   156,   481,     0,   482,     0,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,     0,   491,   492,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,     0,   502,   503,   504,   505,   164,   506,   507,   508,
     166,     0,  1205,     0,   510,   168,   511,     0,   512,     0,
     513,     0,     0,     0,   514,   515,   516,     0,   517,   172,
       0,   518,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,   527,   528,   529,   530,   531,   532,     0,
     533,     0,   175,     0,   534,   535,   536,     0,   176,     0,
     177,     0,   537,     0,     0,   538,     0,   539,   540,   541,
     542,   543,     0,   544,   545,     0,   546,   181,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     188,     0,   190,   564,   565,   191,     0,   566,   567,     0,
     568,     0,   194,   569,   195,   570,   571,   572,     0,   573,
       0,     0,   574,   575,   576,     0,     0,   196,     0,     0,
       0,   200,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   201,   585,   202,   586,   587,   588,     0,   589,   590,
     591,   592,   593,   594,   595,   596,   204,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,     0,   612,   613,     0,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   622,   623,     0,   624,
     625,   626,   627,   628,     0,   629,   218,   630,   631,     0,
     632,   221,   633,     0,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   223,     0,   644,   645,     0,   646,
     647,   648,   649,   650,   651,     0,   225,   226,     0,     0,
     653,   227,   654,   228,     0,   655,   656,   657,   658,   659,
     660,   661,     0,     0,   662,   663,   664,   665,   666,     0,
       0,   667,   668,   669,   670,   671,   672,   235,     0,   673,
       0,   674,   675,   676,     0,     0,   677,     0,     0,   678,
     679,   680,   681,   682,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   683,   684,   685,     0,     0,     0,  1206,
    1207,  1208,     0,  1209,  1210,  1211,  1212,  1213,  1214,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1203,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,  1297,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,  1298,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,     0,     0,     0,  1206,  1207,
    1208,     0,  1209,  1210,  1211,  1212,  1213,  1214,    86,    87,
      88,   417,    90,    91,    92,   418,     0,   419,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     420,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   421,   422,     0,
       0,     0,   423,   424,     0,     0,     0,     0,   425,     0,
       0,     0,     0,     0,     0,     0,     0,   426,     0,   427,
       0,   428,   429,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1203,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   135,   136,     0,   138,   139,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   456,   140,   457,     0,
     458,  1354,   460,   461,   144,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,   471,
     472,   473,     0,     0,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   479,   480,   155,
     156,   481,     0,   482,     0,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,     0,   491,   492,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,     0,
     502,   503,   504,   505,   164,   506,   507,   508,   166,     0,
    1355,     0,   510,   168,   511,     0,   512,     0,   513,     0,
       0,     0,   514,   515,   516,     0,   517,   172,     0,   518,
       0,   519,   520,   521,   522,  1356,     0,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,     0,   533,     0,
     175,     0,   534,   535,   536,     0,   176,     0,   177,     0,
     537,     0,     0,   538,     0,   539,   540,   541,   542,   543,
       0,   544,   545,     0,   546,   181,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   188,     0,
     190,   564,   565,   191,     0,   566,   567,     0,   568,     0,
     194,   569,   195,   570,   571,   572,     0,   573,     0,     0,
     574,   575,   576,     0,     0,   196,     0,     0,     0,   200,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   201,
     585,   202,   586,   587,   588,     0,   589,   590,   591,   592,
     593,   594,   595,   596,   204,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,     0,   612,   613,     0,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   622,   623,     0,   624,   625,   626,
     627,   628,     0,   629,   218,   630,   631,     0,   632,   221,
     633,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   223,     0,   644,   645,     0,   646,   647,   648,
     649,   650,   651,     0,   225,   226,     0,     0,   653,   227,
     654,   228,     0,   655,   656,   657,   658,   659,   660,   661,
       0,     0,   662,   663,   664,   665,   666,     0,     0,   667,
     668,   669,   670,   671,   672,   235,     0,   673,     0,   674,
     675,   676,     0,     0,   677,     0,     0,   678,   679,   680,
     681,   682,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   683,   684,   685,     0,     0,     0,  1206,  1207,  1208,
       0,  1209,  1210,  1211,  1212,  1213,  1214,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1203,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
    1881,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,  1882,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,     0,     0,     0,  1206,  1207,  1208,     0,
    1209,  1210,  1211,  1212,  1213,  1214,    86,    87,    88,   417,
      90,    91,    92,   418,     0,   419,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   420,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   421,   422,     0,     0,     0,
     423,   424,     0,     0,     0,     0,   425,     0,     0,     0,
       0,     0,     0,     0,     0,   426,     0,   427,     0,   428,
     429,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1203,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   135,
     136,     0,   138,   139,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   456,   140,   457,     0,   458,   459,
     460,   461,   144,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,   471,   472,   473,
       0,     0,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   479,   480,   155,   156,   481,
       0,   482,     0,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,     0,   491,   492,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,     0,   502,   503,
     504,   505,   164,   506,   507,   508,   166,     0,   509,     0,
     510,   168,   511,     0,   512,     0,   513,     0,     0,     0,
     514,   515,   516,     0,   517,   172,     0,   518,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,     0,   533,     0,   175,     0,
     534,   535,   536,     0,   176,     0,   177,     0,   537,     0,
       0,   538,     0,   539,   540,   541,   542,   543,     0,   544,
     545,     0,   546,   181,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   188,     0,   190,   564,
     565,   191,     0,   566,   567,     0,   568,     0,   194,   569,
     195,   570,   571,   572,     0,   573,     0,     0,   574,   575,
     576,     0,     0,   196,     0,     0,     0,   200,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   201,   585,   202,
     586,   587,   588,     0,   589,   590,   591,   592,   593,   594,
     595,   596,   204,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,     0,
     612,   613,     0,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   622,   623,     0,   624,   625,   626,   627,   628,
       0,   629,   218,   630,   631,     0,   632,   221,   633,     0,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     223,     0,   644,   645,     0,   646,   647,   648,   649,   650,
     651,     0,   225,   226,     0,     0,   653,   227,   654,   228,
       0,   655,   656,   657,   658,   659,   660,   661,     0,     0,
     662,   663,   664,   665,   666,     0,     0,   667,   668,   669,
     670,   671,   672,   235,     0,   673,     0,   674,   675,   676,
       0,     0,   677,     0,     0,   678,   679,   680,   681,   682,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   683,
     684,   685,     0,     0,     0,  1206,  1207,  1208,     0,  1209,
    1210,  1211,  1212,  1213,  1214,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1203,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,  3127,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,  3128,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,     0,     0,     0,  1206,  1207,  1208,     0,  1209,  1210,
    1211,  1212,  1213,  1214,    86,    87,    88,   417,    90,    91,
      92,   418,     0,   419,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   420,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   421,   422,     0,     0,     0,   423,   424,
       0,     0,     0,     0,   425,     0,     0,     0,     0,     0,
       0,     0,     0,   426,     0,   427,     0,   428,   429,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1203,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   135,   136,     0,
     138,   139,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   456,   140,   457,     0,   458,   459,   460,   461,
     144,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,   471,   472,   473,     0,     0,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   479,   480,   155,   156,   481,     0,   482,
       0,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,     0,   491,   492,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,     0,   502,   503,   504,   505,
     164,   506,   507,   508,   166,     0,   509,     0,   510,   168,
     511,     0,   512,     0,   513,     0,     0,     0,   514,   515,
     516,     0,   517,   172,     0,   518,     0,   519,   520,   521,
     522,   523,     0,   524,   525,   526,     0,   527,   528,   529,
     530,   531,   532,     0,   533,     0,   175,     0,   534,   535,
     536,     0,   176,     0,   177,     0,   537,     0,     0,   538,
       0,   539,   540,   541,   542,   543,     0,   544,   545,     0,
     546,   181,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   188,     0,   190,   564,   565,   191,
       0,   566,   567,     0,   568,     0,   194,   569,   195,   570,
     571,   572,     0,   573,     0,     0,  4737,   575,   576,     0,
       0,   196,     0,     0,     0,   200,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   201,   585,   202,   586,   587,
     588,     0,   589,   590,   591,   592,   593,   594,   595,   596,
     204,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,     0,   612,   613,
       0,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     622,   623,     0,   624,   625,   626,   627,   628,     0,   629,
     218,   630,   631,     0,   632,   221,   633,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   223,     0,
     644,   645,     0,   646,   647,   648,   649,   650,   651,     0,
     225,   226,     0,     0,   653,   227,   654,   228,     0,   655,
     656,   657,   658,   659,   660,   661,     0,     0,   662,   663,
     664,   665,   666,     0,     0,   667,   668,   669,   670,   671,
     672,   235,     0,   673,     0,   674,   675,   676,     0,     0,
     677,     0,     0,   678,   679,   680,   681,   682,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   683,   684,   685,
       0,     0,     0,  1206,  1207,  1208,     0,  1209,  1210,  1211,
    1212,  1213,  1214,   722,    86,    87,    88,   417,    90,    91,
      92,   418,     0,   419,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   723,   104,   105,   420,   724,     0,   107,
     108,   109,   110,   725,   726,   112,   113,   114,   115,     0,
     116,   727,   728,   421,   422,     0,     0,     0,   423,   424,
       0,     0,     0,     0,   425,     0,     0,     0,     0,     0,
       0,     0,     0,   426,     0,   427,     0,   428,   429,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   729,   439,   440,
     441,   730,   731,   732,   733,   734,   735,   736,   442,   443,
     737,   444,   445,   133,   446,   447,   448,   135,   136,   137,
     138,   139,   738,   449,   450,   451,   452,   453,   739,   740,
     454,   455,   741,   140,   457,   742,   458,   459,   460,   461,
     144,   743,   145,   744,   462,   463,   464,   465,   148,   466,
     745,   746,   468,   469,   470,   471,   472,   473,   747,   151,
     474,   748,   749,   750,   751,   152,   752,   753,   754,   475,
     476,   477,   478,   479,   480,   155,   156,   481,   755,   482,
     756,   483,   484,   485,   486,   487,   757,   488,   489,   490,
     758,   759,   491,   492,   493,   494,   495,   760,   496,   497,
     498,   761,   499,   500,   501,   762,   502,   503,   504,   505,
     164,   506,   507,   508,   166,   763,   509,   764,   510,   168,
     511,   765,   512,   766,   513,   169,   767,   170,   514,   515,
     516,   768,   517,   172,   769,   518,   770,   519,   520,   521,
     522,   523,   173,   524,   525,   526,   771,   527,   528,   529,
     530,   531,   532,   772,   533,   174,   175,   773,   534,   535,
     536,   774,   176,   775,   177,   776,   537,   178,   179,   538,
     180,   539,   540,   541,   542,   543,   777,   544,   545,   778,
     546,   181,   182,   547,   183,   779,   548,   549,   550,   780,
     781,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   188,   189,   190,   564,   565,   191,
     782,   566,   567,   193,   568,   783,   194,   569,   195,   570,
     571,   572,   784,   573,   785,   786,   574,   575,   576,   787,
     788,   196,   197,   198,   199,   200,   577,   578,   579,   580,
     581,   582,   583,   789,   584,   201,   585,   202,   586,   587,
     588,   790,   589,   590,   591,   592,   593,   594,   595,   596,
     204,   597,   598,   599,   600,   791,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   792,   612,   613,
     211,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     622,   623,   793,   624,   625,   626,   627,   628,   794,   629,
     218,   630,   631,   220,   632,   221,   633,   795,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   223,   796,
     644,   645,   797,   646,   647,   648,   649,   650,   651,   798,
     225,   226,   799,   800,   653,   227,   654,   228,   801,   655,
     656,   657,   658,   659,   660,   661,   802,   803,   662,   663,
     664,   665,   666,   804,   805,   667,   668,   669,   670,   671,
     806,   235,   807,   673,   236,   674,   675,   676,   808,   809,
     677,   810,   811,   678,   679,   680,   681,   682,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   683,   684,   685,
     722,    86,    87,    88,   417,    90,    91,    92,   418,  2282,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     723,   104,   105,   420,   724,     0,   107,   108,   109,   110,
     725,   726,   112,   113,   114,   115,     0,   116,   727,   728,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     133,   446,   447,   448,     0,  1896,   137,  1897,  1898,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,  1899,
    1900,   457,     0,   458,   459,   460,   461,     0,     0,   145,
       0,   462,   463,   464,   465,   148,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,   151,   474,     0,     0,
       0,     0,   152,     0,     0,     0,   475,   476,   477,   478,
     479,   480,  1901,  1902,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,  1491,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,     0,   506,   507,
     508,     0,     0,   509,     0,   510,  1903,   511,     0,   512,
       0,   513,   169,     0,   170,   514,   515,   516,     0,   517,
       0,     0,   518,     0,   519,   520,   521,   522,   523,   173,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,   174,     0,     0,   534,   535,   536,  1497,  1904,
       0,  1905,     0,   537,   178,   179,   538,   180,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,     0,   182,
     547,   183,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1906,   189,  1907,   564,   565,     0,     0,   566,   567,
     193,   568,     0,     0,   569,  1908,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,     0,   197,
     198,   199,     0,   577,   578,   579,   580,   581,   582,   583,
       0,   584,     0,   585,     0,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,  1909,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,   211,   614,   615,
       0,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,  1910,   630,   631,
     220,   632,  1911,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,     0,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,  1912,  1913,     0,
       0,   653,     0,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,     0,  1914,     0,
     673,   236,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   683,   684,   685,     0,    86,    87,
      88,   417,    90,    91,    92,   418,  2385,   419,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     420,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   421,   422,     0,
       0,     0,   423,   424,     0,     0,     0,     0,   425,     0,
       0,     0,     0,     0,     0,     0,     0,   426,     0,   427,
       0,   428,   429,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   135,   136,     0,   138,   139,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   456,   140,   457,     0,
     458,   459,   460,   461,   144,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,   471,
     472,   473,     0,     0,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   479,   480,   155,
     156,   481,     0,   482,     0,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,     0,   491,   492,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,     0,
     502,   503,   504,   505,   164,   506,   507,   508,   166,     0,
     509,     0,   510,   168,   511,     0,   512,     0,   513,     0,
       0,     0,   514,   515,   516,     0,   517,   172,     0,   518,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,     0,   533,     0,
     175,     0,   534,   535,   536,     0,   176,     0,   177,     0,
     537,     0,     0,   538,     0,   539,   540,   541,   542,   543,
       0,   544,   545,     0,   546,   181,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   188,     0,
     190,   564,   565,   191,     0,   566,   567,     0,   568,     0,
     194,   569,   195,   570,   571,   572,     0,   573,     0,     0,
     574,   575,   576,     0,     0,   196,     0,     0,     0,   200,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   201,
     585,   202,   586,   587,   588,     0,   589,   590,   591,   592,
     593,   594,   595,   596,   204,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,     0,   612,   613,     0,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   622,   623,     0,   624,   625,   626,
     627,   628,     0,   629,   218,   630,   631,     0,   632,   221,
     633,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   223,     0,   644,   645,     0,   646,   647,   648,
     649,   650,   651,     0,   225,   226,     0,     0,   653,   227,
     654,   228,     0,   655,   656,   657,   658,   659,   660,   661,
       0,     0,   662,   663,   664,   665,   666,     0,     0,   667,
     668,   669,   670,   671,   672,   235,     0,   673,     0,   674,
     675,   676,     0,     0,   677,     0,     0,   678,   679,   680,
     681,   682,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   683,   684,   685,     0,    86,    87,    88,   417,    90,
      91,    92,   418,  1086,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,     0,    86,    87,    88,   417,    90,    91,    92,   418,
    4778,   419,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   420,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   421,   422,     0,     0,     0,   423,   424,     0,     0,
       0,     0,   425,     0,     0,     0,     0,     0,     0,     0,
       0,   426,     0,   427,     0,   428,   429,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   135,   136,     0,   138,   139,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     456,   140,   457,     0,   458,   459,   460,   461,   144,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,   471,   472,   473,     0,     0,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   479,   480,   155,   156,   481,  2270,   482,     0,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,     0,
     491,   492,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,     0,   502,   503,   504,   505,   164,   506,
     507,   508,   166,  2052,   509,     0,   510,   168,   511,     0,
     512,     0,   513,     0,     0,     0,   514,   515,   516,     0,
     517,   172,     0,   518,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,   527,   528,   529,   530,   531,
     532,     0,   533,     0,   175,     0,   534,   535,   536,     0,
     176,     0,   177,     0,   537,     0,     0,   538,     0,   539,
     540,   541,   542,   543,     0,   544,   545,     0,   546,   181,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   188,     0,   190,   564,   565,   191,     0,   566,
     567,     0,   568,     0,   194,   569,   195,   570,   571,   572,
       0,   573,  2053,     0,   574,   575,   576,     0,     0,   196,
       0,     0,     0,   200,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   201,   585,   202,   586,   587,   588,     0,
     589,   590,   591,   592,   593,   594,   595,   596,   204,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,     0,   612,   613,     0,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   622,   623,
       0,   624,   625,   626,   627,   628,     0,   629,   218,   630,
     631,     0,   632,   221,   633,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   223,     0,   644,   645,
       0,   646,   647,   648,   649,   650,   651,     0,   225,   226,
       0,     0,   653,   227,   654,   228,  2054,   655,   656,   657,
     658,   659,   660,   661,     0,     0,   662,   663,   664,   665,
     666,     0,     0,   667,   668,   669,   670,   671,   672,   235,
       0,   673,     0,   674,   675,   676,     0,     0,   677,     0,
       0,   678,   679,   680,   681,   682,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   683,   684,   685,     0,     0,
       0,     0,     0,     0,     0,   995,  1671,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,  2275,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,  2052,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,  2053,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,  2054,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,     0,     0,     0,     0,     0,     0,     0,
     995,  1671,    86,    87,    88,   417,    90,    91,    92,   418,
       0,   419,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   420,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   421,   422,     0,     0,     0,   423,   424,     0,     0,
       0,     0,   425,     0,     0,     0,     0,     0,     0,     0,
       0,   426,     0,   427,     0,   428,   429,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   135,   136,     0,   138,   139,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     456,   140,   457,     0,   458,   459,   460,   461,   144,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,   471,   472,   473,     0,     0,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   479,   480,   155,   156,   481,     0,   482,     0,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,     0,
     491,   492,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,     0,   502,   503,   504,   505,   164,   506,
     507,   508,   166,  2052,   509,     0,   510,   168,   511,     0,
     512,     0,   513,     0,     0,     0,   514,   515,   516,     0,
     517,   172,     0,   518,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,   527,   528,   529,   530,   531,
     532,     0,   533,     0,   175,     0,   534,   535,   536,     0,
     176,     0,   177,     0,   537,     0,     0,   538,     0,   539,
     540,   541,   542,   543,     0,   544,   545,     0,   546,   181,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   188,     0,   190,   564,   565,   191,     0,   566,
     567,     0,   568,     0,   194,   569,   195,   570,   571,   572,
       0,   573,  2053,     0,   574,   575,   576,     0,     0,   196,
       0,     0,     0,   200,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   201,   585,   202,   586,   587,   588,     0,
     589,   590,   591,   592,   593,   594,   595,   596,   204,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,     0,   612,   613,     0,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   622,   623,
       0,   624,   625,   626,   627,   628,     0,   629,   218,   630,
     631,     0,   632,   221,   633,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   223,     0,   644,   645,
       0,   646,   647,   648,   649,   650,   651,     0,   225,   226,
       0,     0,   653,   227,   654,   228,  2054,   655,   656,   657,
     658,   659,   660,   661,     0,     0,   662,   663,   664,   665,
     666,     0,     0,   667,   668,   669,   670,   671,   672,   235,
       0,   673,     0,   674,   675,   676,     0,     0,   677,     0,
       0,   678,   679,   680,   681,   682,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   683,   684,   685,     0,     0,
       0,     0,     0,     0,     0,   995,  1671,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,   431,   984,   433,   434,   435,   436,   437,   438,
     985,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   986,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   987,   168,   511,     0,   512,     0,   988,     0,   989,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   990,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   991,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     992,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   993,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   994,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,     0,     0,     0,     0,     0,     0,     0,
     995,   996,    86,    87,    88,   417,    90,    91,    92,   418,
       0,   419,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   420,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   421,   422,     0,     0,     0,   423,   424,     0,     0,
       0,     0,   425,     0,     0,     0,     0,     0,     0,     0,
       0,   426,     0,   427,     0,   428,   429,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   431,   984,   433,
     434,   435,   436,   437,   438,   985,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,  1017,   447,   448,   135,   136,     0,   138,   139,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     456,   140,   457,     0,   458,   459,   460,   461,   144,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,   471,   472,   473,     0,     0,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   479,   480,   155,   156,   481,     0,   482,     0,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,     0,
     491,   492,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,     0,   502,   503,   504,   505,   164,   506,
     507,   508,   166,     0,   509,     0,   987,   168,   511,     0,
     512,     0,  1018,     0,   989,     0,   514,   515,   516,     0,
     517,   172,     0,   518,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   990,   527,   528,   529,   530,   531,
     532,     0,   533,     0,   175,     0,   534,   535,   536,     0,
     176,     0,   177,     0,   537,     0,     0,   538,     0,   539,
     540,   541,   542,   991,     0,   544,   545,     0,   546,   181,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   188,     0,   190,   992,   565,   191,     0,   566,
     567,     0,   568,     0,   194,   569,   195,   570,   571,   572,
       0,   573,     0,     0,   574,   575,   576,     0,     0,   196,
       0,     0,     0,   200,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   201,   585,   202,   586,   587,   588,     0,
     993,   590,   591,   592,   593,   594,   595,   596,   204,   597,
     598,   599,   600,     0,   601,   602,   994,   604,   605,   606,
     607,   608,   609,   610,   611,     0,   612,   613,     0,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   622,   623,
       0,   624,   625,   626,   627,   628,     0,   629,   218,   630,
     631,     0,   632,   221,   633,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   223,     0,   644,   645,
       0,   646,   647,   648,   649,   650,   651,     0,   225,   226,
       0,     0,   653,   227,   654,   228,     0,   655,   656,   657,
     658,   659,   660,   661,     0,     0,   662,   663,   664,   665,
     666,     0,     0,   667,   668,   669,   670,   671,   672,   235,
       0,   673,     0,   674,   675,   676,     0,     0,   677,     0,
       0,   678,   679,   680,   681,   682,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   683,   684,   685,     0,     0,
       0,     0,     0,     0,     0,   995,   996,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1404,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,   989,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,   990,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,     0,     0,     0,     0,     0,     0,     0,
     995,   996,    86,    87,    88,   417,    90,    91,    92,   418,
       0,   419,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   420,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   421,   422,     0,     0,     0,   423,   424,     0,     0,
       0,     0,   425,     0,     0,     0,     0,     0,     0,     0,
       0,   426,     0,   427,     0,   428,   429,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1409,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   135,   136,     0,   138,   139,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     456,   140,   457,     0,   458,   459,   460,   461,   144,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,   471,   472,   473,     0,     0,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   479,   480,   155,   156,   481,     0,   482,     0,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,     0,
     491,   492,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,     0,   502,   503,   504,   505,   164,   506,
     507,   508,   166,     0,   509,     0,   510,   168,   511,     0,
     512,     0,   513,     0,   989,     0,   514,   515,   516,     0,
     517,   172,     0,   518,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,   990,   527,   528,   529,   530,   531,
     532,     0,   533,     0,   175,     0,   534,   535,   536,     0,
     176,     0,   177,     0,   537,     0,     0,   538,     0,   539,
     540,   541,   542,   543,     0,   544,   545,     0,   546,   181,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   188,     0,   190,   564,   565,   191,     0,   566,
     567,     0,   568,     0,   194,   569,   195,   570,   571,   572,
       0,   573,     0,     0,   574,   575,   576,     0,     0,   196,
       0,     0,     0,   200,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   201,   585,   202,   586,   587,   588,     0,
     589,   590,   591,   592,   593,   594,   595,   596,   204,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,     0,   612,   613,     0,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   622,   623,
       0,   624,   625,   626,   627,   628,     0,   629,   218,   630,
     631,     0,   632,   221,   633,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   223,     0,   644,   645,
       0,   646,   647,   648,   649,   650,   651,     0,   225,   226,
       0,     0,   653,   227,   654,   228,     0,   655,   656,   657,
     658,   659,   660,   661,     0,     0,   662,   663,   664,   665,
     666,     0,     0,   667,   668,   669,   670,   671,   672,   235,
       0,   673,     0,   674,   675,   676,     0,     0,   677,     0,
       0,   678,   679,   680,   681,   682,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   683,   684,   685,     0,     0,
       0,     0,     0,     0,     0,   995,   996,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,   707,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,  1573,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,     0,     0,  1057,  1574,    86,    87,    88,
     417,    90,    91,    92,   418,  1058,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,  1059,   455,  1033,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,  1060,     0,  1061,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,  1062,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,  1063,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,  1064,   615,   213,   616,   617,   618,
    1065,   620,   621,   622,   623,     0,   624,   625,   626,   627,
    1066,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,  1067,   226,     0,     0,  1068,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,  1037,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
    1069,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,   722,    86,    87,    88,   417,    90,    91,
      92,   418,     0,   419,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   723,   104,   105,   420,   724,     0,   107,
     108,   109,   110,   725,   726,   112,   113,   114,   115,     0,
     116,   727,   728,   421,   422,     0,     0,     0,   423,   424,
       0,     0,     0,     0,   425,     0,     0,     0,     0,     0,
       0,     0,     0,   426,     0,   427,     0,   428,   429,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   729,   439,   440,
     441,   730,   731,   732,   733,   734,   735,   736,   442,   443,
     737,   444,   445,   133,   446,   447,   448,   135,   136,   137,
     138,   139,   738,   449,   450,   451,   452,   453,   739,   740,
     454,   455,   741,   140,   457,   742,   458,   459,   460,   461,
     144,   743,   145,   744,   462,   463,   464,   465,   148,   466,
     745,   746,   468,   469,   470,   471,   472,   473,   747,   151,
     474,   748,   749,   750,   751,   152,   752,   753,   754,   475,
     476,   477,   478,   479,   480,   155,   156,   481,   755,   482,
     756,   483,   484,   485,   486,   487,   757,   488,   489,   490,
     758,   759,   491,   492,   493,   494,   495,   760,   496,   497,
     498,   761,   499,   500,   501,   762,   502,   503,   504,   505,
     164,   506,   507,   508,   166,   763,   509,   764,   510,   168,
     511,   765,   512,   766,   513,   169,   767,   170,   514,   515,
     516,   768,   517,   172,   769,   518,   770,   519,   520,   521,
     522,   523,   173,   524,   525,   526,   771,   527,   528,   529,
     530,   531,   532,   772,   533,   174,   175,   773,   534,   535,
     536,   774,   176,   775,   177,   776,   537,   178,   179,   538,
     180,   539,   540,   541,   542,   543,   777,   544,   545,   778,
     546,   181,   182,   547,   183,   779,   548,   549,   550,   780,
     781,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   188,   189,   190,   564,   565,   191,
     782,   566,   567,   193,   568,   783,   194,   569,   195,   570,
     571,   572,   784,   573,   785,   786,   574,   575,   576,   787,
     788,   196,   197,   198,   199,   200,   577,   578,   579,   580,
     581,   582,   583,   789,   584,   201,   585,   202,   586,   587,
     588,   790,   589,   590,   591,   592,   593,   594,   595,   596,
     204,   597,   598,   599,   600,   791,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   792,   612,   613,
     211,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     622,   623,   793,   624,   625,   626,   627,   628,   794,   629,
     218,   630,   631,   220,   632,   221,   633,   795,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   223,   796,
     644,   645,   797,   646,   647,   648,   649,   650,   651,   798,
     225,   226,   799,   800,   653,   227,   654,   228,   801,   655,
     656,   657,   658,   659,   660,   661,   802,   803,   662,   663,
     664,   665,   666,   804,   805,   667,   668,   669,   670,   671,
     806,   235,   807,   673,   236,   674,   675,   676,   808,   809,
     677,   810,   811,   678,   679,   680,   681,   682,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   683,   684,   685,
     722,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     723,   104,   105,   420,   724,     0,   107,   108,   109,   110,
     725,   726,   112,   113,   114,   115,     0,   116,   727,   728,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   729,   439,   440,   441,   730,   731,
     732,   733,   734,   735,   736,   442,   443,   737,   444,   445,
     133,   446,   447,   448,   135,   136,   137,   138,   139,   738,
     449,   450,   451,   452,   453,   739,   740,   454,   455,   741,
     140,   457,   742,   458,   459,   460,   461,   144,   743,   145,
     744,   462,   463,   464,   465,   148,   466,   745,   746,   468,
     469,   470,   471,   472,   473,   747,   151,   474,   748,   749,
     750,   751,   152,   752,   753,   754,   475,   476,   477,   478,
     479,   480,   155,   156,   481,   755,   482,   756,   483,   484,
     485,   486,   487,   757,   488,   489,   490,   758,   759,   491,
     492,   493,   494,   495,   760,   496,   497,   498,   761,   499,
     500,   501,   762,   502,   503,   504,   505,   164,   506,   507,
     508,   166,   763,   509,   764,   510,   168,   511,   765,   512,
     766,   513,   169,   767,   170,   514,   515,   516,   768,   517,
     172,   769,   518,   770,   519,   520,   521,   522,   523,   173,
     524,   525,   526,   771,   527,   528,   529,   530,   531,   532,
     772,   533,   174,   175,   773,   534,   535,   536,   774,   176,
     775,   177,   776,   537,   178,   179,   538,   180,   539,   540,
     541,   542,   543,   777,   544,   545,   778,   546,   181,   182,
     547,   183,   779,   548,   549,   550,   780,   781,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,   189,   190,   564,   565,   191,   782,   566,   567,
     193,   568,   783,   194,   569,   195,   570,   571,   572,   784,
     573,   785,   786,   574,   575,   576,   787,   788,   196,   197,
     198,   199,   200,   577,   578,   579,   580,   581,   582,   583,
     789,   584,   201,   585,   202,   586,   587,   588,   790,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,   791,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   792,   612,   613,   211,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,   793,
     624,   625,   626,   627,   628,   794,   629,   218,   630,   631,
     220,   632,   221,   633,   795,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,   796,   644,   645,   797,
     646,   647,   648,   649,   650,   651,   798,   225,   226,   799,
     800,   653,   227,   654,   228,   801,   655,   656,   657,   658,
     659,   660,   661,   802,   803,   662,   663,   664,   665,   666,
     804,   805,   667,   668,   669,   670,   671,   806,   235,   807,
     673,   236,   674,   675,   676,   808,   809,   677,   810,   811,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,   722,    86,    87,
      88,   417,    90,    91,    92,   418,     0,   419,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   723,   104,   105,
     420,   724,     0,   107,   108,   109,   110,   725,   726,   112,
     113,   114,   115,     0,   116,   727,   728,   421,   422,     0,
       0,     0,   423,   424,     0,     0,     0,     0,   425,     0,
       0,     0,     0,     0,     0,     0,     0,   426,     0,   427,
       0,   428,   429,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,  3192,   436,   437,
     438,   729,   439,   440,   441,   730,   731,   732,   733,   734,
     735,   736,   442,   443,   737,   444,   445,   133,   446,   447,
     448,   135,   136,   137,   138,   139,   738,   449,   450,   451,
     452,   453,   739,   740,   454,   455,   741,   140,   457,   742,
     458,   459,   460,   461,   144,   743,   145,   744,   462,   463,
     464,   465,   148,   466,   745,   746,   468,   469,   470,   471,
     472,   473,   747,   151,   474,   748,   749,   750,   751,   152,
     752,   753,   754,   475,   476,   477,   478,   479,   480,   155,
     156,   481,   755,   482,   756,   483,   484,   485,   486,   487,
     757,   488,   489,   490,   758,   759,   491,   492,   493,  3193,
     495,   760,   496,   497,   498,   761,   499,   500,   501,   762,
     502,   503,   504,   505,   164,   506,   507,   508,   166,   763,
     509,   764,   510,   168,   511,   765,   512,   766,   513,   169,
     767,   170,   514,   515,   516,   768,   517,   172,   769,   518,
     770,   519,   520,   521,   522,   523,   173,   524,   525,   526,
     771,   527,   528,   529,   530,   531,   532,   772,   533,   174,
     175,   773,   534,   535,   536,   774,   176,   775,   177,   776,
     537,   178,   179,   538,   180,   539,   540,   541,   542,   543,
     777,   544,   545,   778,   546,   181,   182,   547,   183,   779,
     548,   549,   550,   780,   781,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   188,   189,
     190,   564,   565,   191,   782,   566,   567,   193,   568,   783,
     194,   569,   195,   570,   571,   572,   784,   573,   785,   786,
     574,   575,   576,   787,   788,   196,   197,   198,   199,   200,
     577,   578,   579,   580,   581,   582,   583,   789,   584,   201,
     585,   202,   586,   587,   588,   790,   589,   590,   591,   592,
     593,   594,   595,   596,   204,   597,   598,   599,   600,   791,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   792,   612,   613,   211,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   622,   623,   793,   624,   625,   626,
     627,   628,   794,  3194,   218,   630,   631,   220,   632,   221,
     633,   795,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   223,   796,   644,   645,   797,   646,   647,   648,
     649,   650,   651,   798,   225,   226,   799,   800,   653,   227,
     654,   228,   801,   655,   656,   657,   658,   659,   660,   661,
     802,   803,   662,   663,   664,   665,   666,   804,   805,   667,
     668,   669,   670,   671,   806,   235,   807,   673,   236,   674,
     675,   676,   808,   809,   677,   810,   811,   678,   679,   680,
     681,   682,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   683,   684,   685,   722,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   723,   104,   105,   420,   724,     0,
     107,   108,   109,   110,   725,   726,   112,   113,   114,   115,
       0,   116,   727,   728,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   133,   446,   447,   448,   135,   136,
     137,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,   145,     0,   462,   463,   464,   465,   148,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
     151,   474,     0,     0,     0,     0,   152,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,   169,     0,   170,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,   523,   173,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,   174,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,   178,   179,
     538,   180,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,   182,   547,   183,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,   189,   190,   564,   565,
     191,     0,   566,   567,   193,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,   197,   198,   199,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,   211,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,   220,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,   236,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,   722,    86,    87,    88,   417,    90,    91,    92,   418,
       0,   419,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   723,   104,   105,   420,   724,     0,   107,   108,   109,
     110,   725,   726,   112,   113,   114,   115,     0,   116,   727,
     728,   421,   422,     0,     0,     0,   423,   424,     0,     0,
       0,     0,   425,     0,     0,     0,     0,     0,     0,     0,
       0,   426,     0,   427,     0,   428,   429,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   133,   446,   447,   448,   135,   136,   137,   138,   139,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     456,   140,   457,     0,   458,   459,   460,   461,   144,     0,
     145,     0,   462,   463,   464,   465,   148,   466,   467,     0,
     468,   469,   470,   471,   472,   473,     0,   151,   474,     0,
       0,     0,     0,   152,     0,     0,     0,   475,   476,   477,
     478,   479,   480,   155,   156,   481,     0,   482,     0,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,     0,
     491,   492,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,     0,   502,   503,   504,   505,   164,   506,
     507,   508,   166,     0,   509,     0,   510,   168,   511,     0,
     512,     0,   513,   169,     0,   170,   514,   515,   516,     0,
     517,   172,     0,   518,     0,   519,   520,   521,   522,  1337,
     173,   524,   525,   526,     0,   527,   528,   529,   530,   531,
     532,     0,   533,   174,   175,     0,   534,   535,   536,     0,
     176,     0,   177,     0,   537,   178,   179,   538,   180,   539,
     540,   541,   542,   543,     0,   544,   545,     0,   546,   181,
     182,   547,   183,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   188,   189,   190,   564,   565,   191,     0,   566,
     567,   193,   568,     0,   194,   569,   195,   570,   571,   572,
       0,   573,     0,     0,   574,   575,   576,     0,     0,   196,
     197,   198,   199,   200,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   201,   585,   202,   586,   587,   588,     0,
     589,   590,   591,   592,   593,   594,   595,   596,   204,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,     0,   612,   613,   211,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   622,   623,
       0,   624,   625,   626,   627,   628,     0,   629,   218,   630,
     631,   220,   632,   221,   633,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   223,     0,   644,   645,
       0,   646,   647,   648,   649,   650,   651,     0,   225,   226,
       0,     0,   653,   227,   654,   228,     0,   655,   656,   657,
     658,   659,   660,   661,     0,     0,   662,   663,   664,   665,
     666,     0,     0,   667,   668,   669,   670,   671,   672,   235,
       0,   673,   236,   674,   675,   676,     0,     0,   677,     0,
       0,   678,   679,   680,   681,   682,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   683,   684,   685,   722,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   723,   104,
     105,   420,   724,     0,   107,   108,   109,   110,   725,   726,
     112,   113,   114,   115,     0,   116,   727,   728,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   133,   446,
     447,   448,   135,   136,   137,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,   145,     0,   462,
     463,   464,   465,   148,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,   151,   474,     0,     0,     0,     0,
     152,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
     169,     0,   170,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,  1347,   173,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
     174,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,   178,   179,   538,   180,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,   182,   547,   183,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
     189,   190,   564,   565,   191,     0,   566,   567,   193,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,   197,   198,   199,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,   211,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,   220,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,   236,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,   722,    86,    87,    88,   417,
      90,    91,    92,   418,     0,   419,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   723,   104,   105,   420,   724,
       0,   107,   108,   109,   110,   725,   726,   112,   113,   114,
     115,     0,   116,   727,   728,   421,   422,     0,     0,     0,
     423,   424,     0,     0,     0,     0,   425,     0,     0,     0,
       0,     0,     0,     0,     0,   426,     0,   427,     0,   428,
     429,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   133,   446,   447,   448,     0,
    1896,   137,  1897,  1898,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,  1899,  1900,   457,     0,   458,   459,
     460,   461,     0,     0,   145,     0,   462,   463,   464,   465,
     148,   466,   467,     0,   468,   469,   470,   471,   472,   473,
       0,   151,   474,     0,     0,     0,     0,   152,     0,     0,
       0,   475,   476,   477,   478,   479,   480,  1901,  1902,   481,
       0,   482,     0,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,     0,   491,   492,  1491,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,     0,   502,   503,
     504,   505,     0,   506,   507,   508,     0,     0,   509,     0,
     510,  1903,   511,     0,   512,     0,   513,   169,     0,   170,
     514,   515,   516,     0,   517,     0,     0,   518,     0,   519,
     520,   521,   522,   523,   173,   524,   525,   526,  2475,   527,
     528,   529,   530,   531,   532,     0,   533,   174,  2476,     0,
     534,   535,   536,  1497,  1904,     0,  1905,     0,   537,   178,
     179,   538,   180,   539,   540,   541,   542,   543,     0,   544,
     545,     0,   546,     0,   182,   547,   183,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1906,   189,  1907,   564,
     565,     0,     0,   566,   567,   193,   568,     0,     0,   569,
    1908,   570,   571,   572,     0,   573,     0,     0,   574,   575,
     576,     0,     0,  2477,   197,   198,   199,     0,   577,   578,
     579,   580,   581,   582,   583,     0,   584,     0,   585,     0,
     586,   587,   588,     0,   589,   590,   591,   592,   593,   594,
     595,   596,  1909,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,     0,
     612,   613,   211,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   622,   623,     0,   624,   625,   626,   627,   628,
       0,   629,  2478,   630,   631,   220,   632,  1911,   633,     0,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
       0,     0,   644,   645,     0,   646,   647,   648,   649,   650,
     651,     0,  1912,  1913,     0,     0,   653,     0,   654,     0,
       0,   655,   656,   657,   658,   659,   660,   661,     0,     0,
     662,   663,   664,   665,   666,     0,     0,   667,   668,   669,
     670,   671,     0,  1914,  2479,   673,   236,   674,   675,   676,
       0,     0,   677,     0,     0,   678,   679,   680,   681,   682,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   683,
     684,   685,   722,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   723,   104,   105,   420,   724,     0,   107,   108,
     109,   110,   725,   726,   112,   113,   114,   115,     0,   116,
     727,   728,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   133,   446,   447,   448,     0,  1896,   137,  1897,
    1898,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,  1899,  1900,   457,     0,   458,   459,   460,   461,     0,
       0,   145,     0,   462,   463,   464,   465,   148,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,   151,   474,
       0,     0,     0,     0,   152,     0,     0,     0,   475,   476,
     477,   478,   479,   480,  1901,  1902,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,  1491,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,     0,
     506,   507,   508,     0,     0,   509,     0,   510,  1903,   511,
       0,   512,     0,   513,   169,     0,   170,   514,   515,   516,
       0,   517,     0,     0,   518,     0,   519,   520,   521,   522,
     523,   173,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,   174,     0,     0,   534,   535,   536,
    1497,  1904,     0,  1905,     0,   537,   178,   179,   538,   180,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
       0,   182,   547,   183,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1906,   189,  1907,   564,   565,     0,     0,
     566,   567,   193,   568,  2463,     0,   569,  1908,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
       0,   197,   198,   199,     0,   577,   578,   579,   580,   581,
     582,   583,     0,   584,     0,   585,     0,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,  1909,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,   211,
     614,   615,     0,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,  2478,
     630,   631,   220,   632,  1911,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,     0,     0,   644,
     645,  3961,   646,   647,   648,   649,   650,   651,     0,  1912,
    1913,     0,     0,   653,     0,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,     0,
    1914,     0,   673,   236,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   683,   684,   685,   722,
      86,    87,    88,   417,    90,    91,    92,   418,     0,   419,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   723,
     104,   105,   420,   724,     0,   107,   108,   109,   110,   725,
     726,   112,   113,   114,   115,     0,   116,   727,   728,   421,
     422,     0,     0,     0,   423,   424,     0,     0,     0,     0,
     425,     0,     0,     0,     0,     0,     0,     0,     0,   426,
       0,   427,     0,   428,   429,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   133,
     446,   447,   448,     0,  1896,   137,  1897,  1898,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,  1899,  1900,
     457,     0,   458,   459,   460,   461,     0,     0,   145,     0,
     462,   463,   464,   465,   148,   466,   467,     0,   468,   469,
     470,   471,   472,   473,     0,   151,   474,     0,     0,     0,
       0,   152,     0,     0,     0,   475,   476,   477,   478,   479,
     480,  1901,  1902,   481,     0,   482,     0,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,     0,   491,   492,
    1491,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,     0,   502,   503,   504,   505,     0,   506,   507,   508,
       0,     0,   509,     0,   510,  1903,   511,     0,   512,     0,
     513,   169,     0,   170,   514,   515,   516,     0,   517,     0,
       0,   518,     0,   519,   520,   521,   522,   523,   173,   524,
     525,   526,     0,   527,   528,   529,   530,   531,   532,     0,
     533,   174,     0,     0,   534,   535,   536,  1497,  1904,     0,
    1905,     0,   537,   178,   179,   538,   180,   539,   540,   541,
     542,   543,     0,   544,   545,     0,   546,     0,   182,   547,
     183,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1906,   189,  1907,   564,   565,  2529,     0,   566,   567,   193,
     568,     0,     0,   569,  1908,   570,   571,   572,     0,   573,
       0,     0,   574,   575,   576,     0,     0,     0,   197,   198,
     199,     0,   577,   578,   579,   580,   581,   582,   583,     0,
     584,     0,   585,     0,   586,   587,   588,     0,   589,   590,
     591,   592,   593,   594,   595,   596,  1909,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,     0,   612,   613,   211,   614,   615,     0,
     616,   617,   618,   619,   620,   621,   622,   623,     0,   624,
     625,   626,   627,   628,     0,   629,  1910,   630,   631,   220,
     632,  1911,   633,     0,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,     0,     0,   644,   645,     0,   646,
     647,   648,   649,   650,   651,     0,  1912,  1913,     0,     0,
     653,     0,   654,     0,     0,   655,   656,   657,   658,   659,
     660,   661,     0,     0,   662,   663,   664,   665,   666,     0,
       0,   667,   668,   669,   670,   671,     0,  1914,     0,   673,
     236,   674,   675,   676,     0,     0,   677,     0,     0,   678,
     679,   680,   681,   682,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   683,   684,   685,   722,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   723,   104,   105,   420,
     724,     0,   107,   108,   109,   110,   725,   726,   112,   113,
     114,   115,     0,   116,   727,   728,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   133,   446,   447,   448,
       0,  1896,   137,  1897,  1898,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,  1899,  1900,   457,     0,   458,
     459,   460,   461,     0,     0,   145,     0,   462,   463,   464,
     465,   148,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,   151,   474,     0,     0,     0,     0,   152,     0,
       0,     0,   475,   476,   477,   478,   479,   480,  1901,  1902,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,  1491,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,     0,   506,   507,   508,     0,     0,   509,
       0,   510,  1903,   511,     0,   512,     0,   513,   169,     0,
     170,   514,   515,   516,     0,   517,     0,     0,   518,     0,
     519,   520,   521,   522,   523,   173,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,   174,     0,
       0,   534,   535,   536,  1497,  1904,     0,  1905,     0,   537,
     178,   179,   538,   180,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,     0,   182,   547,   183,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1906,   189,  1907,
     564,   565,  3793,     0,   566,   567,   193,   568,     0,     0,
     569,  1908,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,     0,   197,   198,   199,     0,   577,
     578,   579,   580,   581,   582,   583,     0,   584,     0,   585,
       0,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,  1909,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,   211,   614,   615,     0,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,  1910,   630,   631,   220,   632,  1911,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,     0,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,  1912,  1913,     0,     0,   653,     0,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,     0,  1914,     0,   673,   236,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     683,   684,   685,   722,    86,    87,    88,   417,    90,    91,
      92,   418,     0,   419,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   723,   104,   105,   420,   724,     0,   107,
     108,   109,   110,   725,   726,   112,   113,   114,   115,     0,
     116,   727,   728,   421,   422,     0,     0,     0,   423,   424,
       0,     0,     0,     0,   425,     0,     0,     0,     0,     0,
       0,     0,     0,   426,     0,   427,     0,   428,   429,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   133,   446,   447,   448,     0,  1896,   137,
    1897,  1898,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,  1899,  1900,   457,     0,   458,   459,   460,   461,
       0,     0,   145,     0,   462,   463,   464,   465,   148,   466,
     467,     0,   468,   469,   470,   471,   472,   473,     0,   151,
     474,     0,     0,     0,     0,   152,     0,     0,     0,   475,
     476,   477,   478,   479,   480,  1901,  1902,   481,     0,   482,
       0,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,     0,   491,   492,  1491,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,     0,   502,   503,   504,   505,
       0,   506,   507,   508,     0,     0,   509,     0,   510,  1903,
     511,     0,   512,     0,   513,   169,     0,   170,   514,   515,
     516,     0,   517,     0,     0,   518,     0,   519,   520,   521,
     522,   523,   173,   524,   525,   526,     0,   527,   528,   529,
     530,   531,   532,     0,   533,   174,     0,     0,   534,   535,
     536,  1497,  1904,     0,  1905,     0,   537,   178,   179,   538,
     180,   539,   540,   541,   542,   543,     0,   544,   545,     0,
     546,     0,   182,   547,   183,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1906,   189,  1907,   564,   565,     0,
       0,   566,   567,   193,   568,     0,     0,   569,  1908,   570,
     571,   572,     0,   573,     0,     0,   574,   575,   576,     0,
       0,     0,   197,   198,   199,     0,   577,   578,   579,   580,
     581,   582,   583,     0,   584,     0,   585,     0,   586,   587,
     588,     0,   589,   590,   591,   592,   593,   594,   595,   596,
    1909,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,     0,   612,   613,
     211,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     622,   623,     0,   624,   625,   626,   627,   628,     0,   629,
    1910,   630,   631,   220,   632,  1911,   633,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,     0,     0,
     644,   645,     0,   646,   647,   648,   649,   650,   651,     0,
    1912,  1913,     0,     0,   653,     0,   654,     0,     0,   655,
     656,   657,   658,   659,   660,   661,     0,     0,   662,   663,
     664,   665,   666,     0,     0,   667,   668,   669,   670,   671,
       0,  1914,     0,   673,   236,   674,   675,   676,     0,     0,
     677,     0,     0,   678,   679,   680,   681,   682,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   683,   684,   685,
     722,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     723,   104,   105,   420,   724,     0,   107,   108,   109,   110,
     725,   726,   112,   113,   114,   115,     0,   116,   727,   728,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     133,   446,   447,   448,     0,  1896,   137,  1897,  1898,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,  1899,
    1900,   457,     0,   458,   459,   460,   461,     0,     0,   145,
       0,   462,   463,   464,   465,   148,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,   151,   474,     0,     0,
       0,     0,   152,     0,     0,     0,   475,   476,   477,   478,
     479,   480,  1901,  1902,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,  1491,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,     0,   506,   507,
     508,     0,     0,   509,     0,   510,  1903,   511,     0,   512,
       0,   513,   169,     0,   170,   514,   515,   516,     0,   517,
       0,     0,   518,     0,   519,   520,   521,   522,   523,   173,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,   174,     0,     0,   534,   535,   536,  1497,  1904,
       0,  1905,     0,   537,   178,   179,   538,   180,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,     0,   182,
     547,   183,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1906,   189,  1907,   564,   565,     0,     0,   566,   567,
     193,   568,     0,     0,   569,  1908,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,     0,   197,
     198,   199,     0,   577,   578,   579,   580,   581,   582,   583,
       0,   584,     0,   585,     0,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,  1909,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,   211,   614,   615,
       0,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,  2478,   630,   631,
     220,   632,  1911,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,     0,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,  1912,  1913,     0,
       0,   653,     0,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,     0,  1914,     0,
     673,   236,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   683,   684,   685,   722,    86,    87,
      88,   417,    90,    91,    92,   418,     0,   419,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   723,   104,   105,
     420,   724,     0,   107,   108,   109,   110,   725,   726,   112,
     113,   114,   115,     0,   116,   727,   728,   421,   422,     0,
       0,     0,   423,   424,     0,     0,     0,     0,   425,     0,
       0,     0,     0,     0,     0,     0,     0,   426,     0,   427,
       0,   428,   429,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   133,   446,   447,
     448,     0,  1896,   137,  1897,  1898,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,  1899,  1900,   457,     0,
     458,   459,   460,   461,     0,     0,   145,     0,   462,   463,
     464,   465,   148,   466,   467,     0,   468,   469,   470,   471,
     472,   473,     0,   151,   474,     0,     0,     0,     0,   152,
       0,     0,     0,   475,   476,   477,   478,   479,   480,  1901,
    1902,   481,     0,   482,     0,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,     0,   491,   492,  1491,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,     0,
     502,   503,   504,   505,     0,   506,   507,   508,     0,     0,
     509,     0,   510,  1903,   511,     0,   512,     0,   513,   169,
       0,   170,   514,   515,   516,     0,   517,     0,     0,   518,
       0,   519,   520,   521,   522,   523,   173,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,     0,   533,   174,
       0,     0,   534,   535,   536,  1497,  1904,     0,  1905,     0,
     537,   178,   179,   538,   180,   539,   540,   541,   542,   543,
       0,   544,   545,     0,   546,     0,   182,   547,   183,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1906,   189,
    1907,   564,   565,     0,     0,   566,   567,   193,   568,     0,
       0,   569,  1908,   570,   571,   572,     0,   573,     0,     0,
     574,   575,   576,     0,     0,     0,   197,   198,   199,     0,
     577,   578,   579,   580,   581,   582,   583,     0,   584,     0,
     585,     0,   586,   587,   588,     0,   589,   590,   591,   592,
     593,   594,   595,   596,  1909,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,     0,   612,   613,   211,   614,   615,     0,   616,   617,
     618,   619,   620,   621,   622,   623,     0,   624,   625,   626,
     627,   628,     0,   629,     0,   630,   631,   220,   632,  1911,
     633,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,     0,     0,   644,   645,     0,   646,   647,   648,
     649,   650,   651,     0,  1912,  1913,     0,     0,   653,     0,
     654,     0,     0,   655,   656,   657,   658,   659,   660,   661,
       0,     0,   662,   663,   664,   665,   666,     0,     0,   667,
     668,   669,   670,   671,     0,  1914,     0,   673,   236,   674,
     675,   676,     0,     0,   677,     0,     0,   678,   679,   680,
     681,   682,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   683,   684,   685,   722,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   723,   104,   105,   420,   724,     0,
     107,   108,   109,   110,   725,   726,   112,   113,   114,   115,
       0,   116,   727,   728,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   133,   446,   447,   448,     0,     0,
     137,     0,     0,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,     0,     0,   457,     0,   458,   459,   460,
     461,     0,     0,   145,     0,   462,   463,   464,   465,   148,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
     151,   474,     0,     0,     0,     0,   152,     0,     0,     0,
     475,   476,   477,   478,   479,   480,     0,     0,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,     0,   506,   507,   508,     0,     0,   509,     0,   510,
       0,   511,     0,   512,     0,   513,   169,     0,   170,   514,
     515,   516,     0,   517,     0,     0,   518,     0,   519,   520,
     521,   522,   523,   173,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,   174,     0,     0,   534,
     535,   536,     0,     0,     0,     0,     0,   537,   178,   179,
     538,   180,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,     0,   182,   547,   183,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   189,     0,   564,   565,
       0,     0,   566,   567,   193,   568,     0,     0,   569,     0,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,     0,   197,   198,   199,     0,   577,   578,   579,
     580,   581,   582,   583,     0,   584,     0,   585,     0,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,   211,   614,   615,     0,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,     0,   630,   631,   220,   632,     0,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,     0,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,     0,     0,     0,     0,   653,     0,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,     0,     0,     0,   673,   236,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   729,   439,   440,   441,   730,   731,
     732,   733,   734,   735,   736,   442,   443,   737,   444,   445,
     133,   446,   447,   448,   135,   136,   137,   138,   139,   738,
     449,   450,   451,   452,   453,   739,   740,   454,   455,     0,
     140,   457,   742,   458,   459,   460,   461,   144,   743,   145,
     744,   462,   463,   464,   465,   148,   466,   745,   746,   468,
     469,   470,   471,   472,   473,   747,   151,   474,     0,   749,
     750,   751,   152,   752,   753,   754,   475,   476,   477,   478,
       0,   480,   155,   156,   481,   755,   482,   756,   483,   484,
     485,   486,   487,   757,   488,   489,   490,   758,   759,   491,
     492,   493,   494,   495,   760,   496,   497,   498,   761,   499,
     500,   501,   762,   502,   503,   504,   505,   164,   506,   507,
     508,   166,   763,   509,   764,   510,   168,   511,   765,   512,
     766,   513,   169,   767,   170,   514,   515,   516,   768,   517,
     172,   769,   518,   770,   519,   520,     0,   522,   523,   173,
     524,   525,   526,   771,   527,   528,   529,   530,   531,   532,
     772,   533,   174,   175,     0,   534,   535,   536,     0,   176,
     775,   177,   776,   537,   178,   179,   538,   180,   539,   540,
     541,   542,   543,   777,   544,   545,   778,   546,   181,   182,
     547,   183,   779,   548,   549,   550,   780,   781,   551,   552,
     553,   554,   555,   556,     0,   558,   559,     0,   561,   562,
     563,   188,   189,   190,   564,   565,   191,   782,   566,   567,
     193,   568,   783,   194,   569,   195,   570,   571,   572,   784,
     573,   785,   786,   574,   575,   576,   787,   788,   196,   197,
     198,   199,   200,   577,   578,   579,   580,   581,   582,   583,
     789,   584,   201,   585,   202,   586,   587,   588,   790,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,   791,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   792,   612,   613,   211,   614,   615,
     213,   616,   617,   618,   619,   620,   621,     0,   623,   793,
     624,   625,   626,   627,   628,   794,   629,   218,   630,   631,
     220,   632,   221,   633,   795,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,   796,   644,   645,   797,
     646,   647,   648,   649,   650,   651,   798,   225,   226,     0,
     800,   653,   227,   654,   228,   801,   655,   656,   657,   658,
     659,   660,   661,     0,   803,   662,   663,   664,   665,   666,
     804,   805,   667,   668,   669,   670,   671,     0,   235,   807,
     673,   236,   674,   675,   676,   808,   809,   677,   810,   811,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,  2052,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,  2053,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,  2054,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,   652,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,  1148,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,  2255,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,  2409,   458,
     459,   460,   461,   144,     0,     0,  2491,   462,   463,   464,
     465,     0,   466,   467,  2410,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,  2492,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,  2412,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,  2413,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
    2414,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,  2409,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
    2410,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,  2492,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,  2412,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,  3355,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
    2413,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,  2414,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,  1046,
     437,   438,  1004,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,  1005,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,  1047,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
    1006,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,  1007,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,  2032,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1004,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,  1005,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,  3089,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,  1006,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,  1007,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,  2409,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
    2410,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,  2492,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,  2412,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
    2413,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,  2414,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   705,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,   706,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,   707,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  1004,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,  1005,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,  1006,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,  1007,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,   916,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,   430,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   917,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   918,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    2087,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,  2088,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,  2089,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,  2090,   513,     0,     0,
       0,  2091,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,  2092,  2093,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
    2094,   620,   621,   622,   623,     0,  2095,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,  2096,   646,  2097,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,  2098,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,   471,   472,   473,  1005,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,  1006,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,  1007,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,   130,   131,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,  1394,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,  2076,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,  2367,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,  2965,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,  2966,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,  2967,   646,   647,  2968,   649,  2969,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,  2970,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,   430,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   714,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,   707,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   866,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  1329,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,  2586,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,  2587,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,   130,   131,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    3176,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,  3177,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  3188,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,  3189,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   922,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,   430,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     966,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,  1021,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,  1079,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  1219,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,  1226,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,  1079,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1576,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,  1750,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,  1079,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,  1984,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,  2076,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
    2367,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,  3460,   518,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,  4101,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,  4115,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,  4335,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,  4337,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,  4339,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,  4740,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,  1030,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  1032,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,  1033,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,     0,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,  1034,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,  1035,   226,     0,     0,  1036,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,  1037,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  1073,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,  1033,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,     0,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,  1074,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,  1075,   226,     0,     0,  1076,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,  1037,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
    1093,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,  1199,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
    1223,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,  1232,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,  1234,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,  1288,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,  1302,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,  1310,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,  1342,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,  1349,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,  1359,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,  1361,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
    1363,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,  1365,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,  1368,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,  1370,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
    1371,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,  1374,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,  1587,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,  1059,
     455,  1033,   140,  1588,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,     0,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,  1063,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
    1064,   615,   213,   616,   617,   618,  1065,   620,   621,   622,
     623,     0,   624,   625,   626,   627,  1580,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,  1067,
     226,     0,     0,  1068,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,  1037,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,  1069,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,  1713,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,  1796,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,  1943,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,  1973,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
    2008,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,  2010,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,  2012,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,  2125,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,  2334,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,     0,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   456,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
    2725,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   624,   625,   626,   627,   628,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,   225,
     226,     0,     0,   653,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,   672,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,   682,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   456,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,  3100,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   622,   623,     0,   624,   625,
     626,   627,   628,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,   647,
     648,   649,   650,   651,     0,   225,   226,     0,     0,   653,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,   672,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,   682,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   456,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,  3179,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   622,   623,     0,   624,   625,   626,   627,   628,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,   225,   226,     0,     0,   653,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,   672,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,   682,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   456,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,  3181,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   622,   623,     0,
     624,   625,   626,   627,   628,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,   225,   226,     0,
       0,   653,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,   672,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,   682,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,  3279,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,   417,    90,    91,    92,
     418,     0,   419,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   420,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   421,   422,     0,     0,     0,   423,   424,     0,
       0,     0,     0,   425,     0,     0,     0,     0,     0,     0,
       0,     0,   426,     0,   427,     0,   428,   429,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   135,   136,     0,   138,
     139,     0,   449,   450,   451,   452,   453,     0,     0,  1059,
     455,  1033,   140,   457,     0,   458,   459,   460,   461,   144,
       0,     0,     0,   462,   463,   464,   465,     0,   466,     0,
       0,   468,   469,   470,   471,   472,   473,     0,     0,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   479,   480,   155,   156,   481,     0,   482,     0,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
       0,   491,   492,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   164,
     506,   507,   508,   166,     0,   509,     0,   510,   168,   511,
       0,   512,     0,   513,     0,     0,     0,   514,   515,   516,
       0,   517,   172,     0,   518,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,     0,   533,     0,   175,     0,   534,   535,   536,
       0,   176,     0,   177,     0,   537,     0,     0,   538,     0,
     539,   540,   541,   542,   543,     0,   544,   545,     0,   546,
     181,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,  1063,   188,     0,   190,   564,   565,   191,     0,
     566,   567,     0,   568,     0,   194,   569,   195,   570,   571,
     572,     0,   573,     0,     0,   574,   575,   576,     0,     0,
     196,     0,     0,     0,   200,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   201,   585,   202,   586,   587,   588,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   204,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,     0,   612,   613,     0,
    1064,   615,   213,   616,   617,   618,  1065,   620,   621,   622,
     623,     0,   624,   625,   626,   627,  1580,     0,   629,   218,
     630,   631,     0,   632,   221,   633,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   223,     0,   644,
     645,     0,   646,   647,   648,   649,   650,   651,     0,  1067,
     226,     0,     0,  1068,   227,   654,   228,     0,   655,   656,
     657,   658,   659,   660,   661,     0,     0,   662,   663,   664,
     665,   666,     0,     0,   667,   668,   669,   670,   671,  1037,
     235,     0,   673,     0,   674,   675,   676,     0,     0,   677,
       0,     0,   678,   679,   680,   681,  1069,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   683,   684,   685,    86,
      87,    88,   417,    90,    91,    92,   418,     0,   419,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   420,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   421,   422,
       0,     0,     0,   423,   424,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,   426,     0,
     427,     0,   428,   429,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   135,   136,     0,   138,   139,     0,   449,   450,
     451,   452,   453,     0,     0,  1059,   455,  1033,   140,   457,
       0,   458,   459,   460,   461,   144,     0,     0,     0,   462,
     463,   464,   465,     0,   466,     0,     0,   468,   469,   470,
     471,   472,   473,     0,     0,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   479,   480,
     155,   156,   481,     0,   482,     0,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,     0,   491,   492,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   164,   506,   507,   508,   166,
       0,   509,     0,   510,   168,   511,     0,   512,     0,   513,
       0,     0,     0,   514,   515,   516,     0,   517,   172,     0,
     518,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,     0,   533,
       0,   175,     0,   534,   535,   536,     0,   176,     0,   177,
       0,   537,     0,     0,   538,     0,   539,   540,   541,   542,
     543,     0,   544,   545,     0,   546,   181,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,  1063,   188,
       0,   190,   564,   565,   191,     0,   566,   567,     0,   568,
       0,   194,   569,   195,   570,   571,   572,     0,   573,     0,
       0,   574,   575,   576,     0,     0,   196,     0,     0,     0,
     200,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     201,   585,   202,   586,   587,   588,     0,   589,   590,   591,
     592,   593,   594,   595,   596,   204,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,     0,   612,   613,     0,  1064,   615,   213,   616,
     617,   618,  1065,   620,   621,   622,   623,     0,   624,   625,
     626,   627,  1580,     0,   629,   218,   630,   631,     0,   632,
     221,   633,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   223,     0,   644,   645,     0,   646,  2400,
     648,   649,   650,   651,     0,  1067,   226,     0,     0,  1068,
     227,   654,   228,     0,   655,   656,   657,   658,   659,   660,
     661,     0,     0,   662,   663,   664,   665,   666,     0,     0,
     667,   668,   669,   670,   671,  1037,   235,     0,   673,     0,
     674,   675,   676,     0,     0,   677,     0,     0,   678,   679,
     680,   681,  1069,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   683,   684,   685,    86,    87,    88,   417,    90,
      91,    92,   418,     0,   419,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   420,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   421,   422,     0,     0,     0,   423,
     424,     0,     0,     0,     0,   425,     0,     0,     0,     0,
       0,     0,     0,     0,   426,     0,   427,     0,   428,   429,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   135,   136,
       0,   138,   139,     0,   449,   450,   451,   452,   453,     0,
       0,  1059,   455,  1033,   140,   457,     0,   458,   459,   460,
     461,   144,     0,     0,     0,   462,   463,   464,   465,     0,
     466,     0,     0,   468,   469,   470,   471,   472,   473,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   479,   480,   155,   156,   481,     0,
     482,     0,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,     0,   491,   492,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   164,   506,   507,   508,   166,     0,   509,     0,   510,
     168,   511,     0,   512,     0,   513,     0,     0,     0,   514,
     515,   516,     0,   517,   172,     0,   518,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,     0,   533,     0,   175,     0,   534,
     535,   536,     0,   176,     0,   177,     0,   537,     0,     0,
     538,     0,   539,   540,   541,   542,   543,     0,   544,   545,
       0,   546,   181,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,  1063,   188,     0,   190,   564,   565,
     191,     0,   566,   567,     0,   568,     0,   194,   569,   195,
     570,   571,   572,     0,   573,     0,     0,   574,   575,   576,
       0,     0,   196,     0,     0,     0,   200,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   201,   585,   202,   586,
     587,   588,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   204,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,     0,   612,
     613,     0,  1064,   615,   213,   616,   617,   618,  2467,   620,
     621,   622,   623,     0,   624,   625,   626,   627,  2468,     0,
     629,   218,   630,   631,     0,   632,   221,   633,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   223,
       0,   644,   645,     0,   646,   647,   648,   649,   650,   651,
       0,  1067,   226,     0,     0,  2469,   227,   654,   228,     0,
     655,   656,   657,   658,   659,   660,   661,     0,     0,   662,
     663,   664,   665,   666,     0,     0,   667,   668,   669,   670,
     671,  1037,   235,     0,   673,     0,   674,   675,   676,     0,
       0,   677,     0,     0,   678,   679,   680,   681,  1069,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   683,   684,
     685,    86,    87,    88,   417,    90,    91,    92,   418,     0,
     419,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   420,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     421,   422,     0,     0,     0,   423,   424,     0,     0,     0,
       0,   425,     0,     0,     0,     0,     0,     0,     0,     0,
     426,     0,   427,     0,   428,   429,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   135,   136,     0,   138,   139,     0,
     449,   450,   451,   452,   453,     0,     0,  1059,   455,  1033,
     140,   457,     0,   458,   459,   460,   461,   144,     0,     0,
       0,   462,   463,   464,   465,     0,   466,     0,     0,   468,
     469,   470,   471,   472,   473,     0,     0,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     479,   480,   155,   156,   481,     0,   482,     0,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,     0,   491,
     492,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   164,   506,   507,
     508,   166,     0,   509,     0,   510,   168,   511,     0,   512,
       0,   513,     0,     0,     0,   514,   515,   516,     0,   517,
     172,     0,   518,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
       0,   533,     0,   175,     0,   534,   535,   536,     0,   176,
       0,   177,     0,   537,     0,     0,   538,     0,   539,   540,
     541,   542,   543,     0,   544,   545,     0,   546,   181,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
    1063,   188,     0,   190,   564,   565,   191,     0,   566,   567,
       0,   568,     0,   194,   569,   195,   570,   571,   572,     0,
     573,     0,     0,   574,   575,   576,     0,     0,   196,     0,
       0,     0,   200,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   201,   585,   202,   586,   587,   588,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   204,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,     0,   612,   613,     0,  1064,   615,
     213,   616,   617,   618,  1065,   620,   621,   622,   623,     0,
     624,   625,   626,   627,  2468,     0,   629,   218,   630,   631,
       0,   632,   221,   633,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   223,     0,   644,   645,     0,
     646,   647,   648,   649,   650,   651,     0,  1067,   226,     0,
       0,  2469,   227,   654,   228,     0,   655,   656,   657,   658,
     659,   660,   661,     0,     0,   662,   663,   664,   665,   666,
       0,     0,   667,   668,   669,   670,   671,  1037,   235,     0,
     673,     0,   674,   675,   676,     0,     0,   677,     0,     0,
     678,   679,   680,   681,  1069,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   683,   684,   685,    86,    87,    88,
     417,    90,    91,    92,   418,     0,   419,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   420,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   421,   422,     0,     0,
       0,   423,   424,     0,     0,     0,     0,   425,     0,     0,
       0,     0,     0,     0,     0,     0,   426,     0,   427,     0,
     428,   429,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     135,   136,     0,   138,   139,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   456,   140,   457,     0,   458,
     459,   460,   461,   144,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,   471,   472,
     473,     0,     0,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   479,   480,   155,   156,
     481,     0,   482,     0,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,     0,   491,   492,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   164,   506,   507,   508,   166,     0,   509,
       0,   510,   168,   511,     0,   512,     0,   513,     0,     0,
       0,   514,   515,   516,     0,   517,   172,     0,   518,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,     0,   533,     0,   175,
       0,   534,   535,   536,     0,   176,     0,   177,     0,   537,
       0,     0,   538,     0,   539,   540,   541,   542,   543,     0,
     544,   545,     0,   546,   181,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   188,     0,   190,
     564,   565,   191,     0,   566,   567,     0,   568,     0,   194,
     569,   195,   570,   571,   572,     0,   573,     0,     0,   574,
     575,   576,     0,     0,   196,     0,     0,     0,   200,   577,
     578,   579,   580,     0,   582,   583,     0,   584,   201,   585,
     202,   586,   587,   588,     0,   589,   590,   591,   592,   593,
     594,     0,   596,   204,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
       0,   612,   613,     0,   614,   615,   213,     0,   617,   618,
     619,   620,   621,   622,   623,     0,   624,   625,   626,   627,
     628,     0,   629,   218,   630,   631,     0,   632,   221,   633,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   223,     0,   644,   645,     0,   646,   647,   648,   649,
     650,   651,     0,   225,   226,     0,     0,   653,   227,   654,
     228,     0,   655,   656,   657,   658,   659,   660,   661,     0,
       0,   662,   663,   664,   665,   666,     0,     0,   667,   668,
     669,   670,   671,   672,   235,     0,   673,     0,   674,   675,
     676,     0,     0,   677,     0,     0,   678,   679,   680,   681,
     682,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     683,   684,   685,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115, -2384,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,   127,    35,     0,
     412,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,   145,     0,     0,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   155,   156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   162,     0,     0,     0,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,     0,     0,     0,   168,     0,
       0,     0,     0,     0,   169,     0,   170,     0,     0,     0,
       0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0,     0,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   183,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,     0,     0,   191,     0,
       0,     0,   193,     0,     0,   194,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,   198,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,     0,     0,     0,   227,     0,   228,     0,     0,     0,
       0,     0,     0,     0,     0,   231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,     0,     0,   236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115, -2385,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
     127,    35,     0,  1143,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,     0,   164,     0,     0,     0,   166,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0,     0,     0,     0,   176,     0,   177,     0,     0,   178,
     179,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   188,   189,   190,     0,
       0,   191,     0,     0,     0,   193,     0,     0,   194,     0,
     195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,   198,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   225,   226,     0,     0,     0,   227,     0,   228,
       0,     0,     0,     0,     0,     0,     0,     0,   231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,     0,     0,   236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,   145,     0,     0,
       0,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
     152,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     155,   156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   162,     0,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,     0,     0,     0,
     227,     0,   228,     0,     0,     0,     0,     0,     0,     0,
       0,   231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,     0,     0,   236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115,     0,   116,   117,
     118,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
     145,     0,     0,     0,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   155,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     162,     0,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,     0,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,     0,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   188,   189,   190,     0,     0,   191,     0,     0,
       0,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,   198,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   225,   226,
       0,     0,     0,   227,     0,   228,     0,     0,     0,     0,
       0,     0,     0,     0,   231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
       0,     0,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   133,     0,     0,     0,   135,   136,
     137,   138,   139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   140,     0,     0,     0,     0,     0,
       0,   144,     0,   145,     0,     0,     0,     0,     0,   148,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,   152,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   155,   156,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   164,     0,     0,     0,   166,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,     0,     0,     0,   227,     0,   228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,     0,     0,   236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246
};

static const yytype_int16 yycheck[] =
{
       2,    78,   364,    78,    78,     2,  1061,  1357,   210,    78,
    1109,    78,  1005,  1006,  1007,   247,  1114,   167,  1011,   890,
     229,  1428,  1220,  1077,  1736,   154,  1179,   117,   117,  1348,
    1398,  1352,    78,  1243,   150,  1233,   153,   187,    84,  1225,
    1137,  1926,  1299,   224,    78,  1518,  1910,  1608,  1447,  1771,
      84,  2821,  1309,   160,  1280,  2091,  1461,   720,  2041,  1489,
    1490,   117,   165,   171,  1776,  1388,   928,  1780,  2622,  1068,
    1869,   117,   162,   162,   203,   946,    78,   380,  1508,  2244,
     380,   848,    84,    78,  1928,    96,  2657,  1285,   165,  3353,
    2665,  1289,  3142,  3405,  1224,   106,  1294,  1227,  2483,  2484,
    3416,  1969,   210,  1301,  1201,  1235,   162,  1665,  1666,  1667,
    1824,   132,  1338,  1311,  1629,   117,   162,  2980,  2294,  1832,
    1789,  3654,  2130,   890,   721,  3192,  1771,  3194,  1156,    94,
    3321,   142,  2528,  1156,  2577,  3334,  2799,  3038,  2978,   352,
     971,   231,   231,  3334,  2976,  2977,   157,   366,  3751,  3951,
    3899,   153,  3962,   217,  3696,  2913,  3941,  3607,  1719,  3703,
     162,  1776,  2030,   209,  1763,   366,  1723,   132,  1837,  1838,
    1196,   217,  1233,   219,  4180,   231,   167,  2341,  2974,   946,
    4385,  1980,  1660,  1661,  3664,   231,  1972,  1411,   153,   154,
    1389,  3601,  1380,  1106,  1106,  3538,   187,    21,   163,  1151,
    1152,  3606,  1064,    10,  1478,  1479,   108,   209,   963,  4666,
    3939,    88,    30,  1536,   128,   217,  2380,   219,   121,    72,
    2384,  3950,   135,   828,    95,    75,    76,    77,    78,   231,
    1504,   114,    82,    72,   114,  3031,  4526,   128,   203,   180,
      90,  3338,  3339,  3340,  3341,  3342,  3343,    86,    75,    76,
      77,    78,    88,   916,  3871,    82,    75,    76,    77,    78,
     234,   112,    99,    82,  2660,    75,    76,    77,    78,   106,
     128,    90,    82,   223,   143,   145,    78,   113,   237,    72,
      90,    14,    84,    78,    84,  1278,  3044,   117,    81,    75,
      76,    77,    78,    86,   229,   372,    82,   372,   372,   228,
     310,  1398,    72,   372,    37,   372,    29,   143,   135,   112,
    2195,   156,   228,   332,   310,   117,    86,   173,    75,    76,
      77,    78,  3866,    78,   322,    82,   197,   236,    25,   103,
     104,   160,   162,    90,   380,  1389,   228,    78,  2734,    72,
    2736,    78,    75,    76,    77,    78,   380,   204,    81,    82,
      83,    84,    99,    86,   100,    75,    76,    77,    78,   365,
     162,    78,    82,   184,    75,    76,    77,    78,    78,   415,
     184,    82,  5013,   185,   145,   230,   182,   372,   380,   209,
     327,   415,  1592,    99,  1537,    22,    88,   217,    88,   219,
     106,   434,  1263,   228,   180,  1058,    78,   173,   434,    88,
     147,   231,   175,    14,   233,  2441,     0,   154,  1561,   145,
      81,   113,   209,   415,   149,    86,    99,   153,    75,    76,
      77,    78,   219,   106,   135,    82,    37,   228,    78,   231,
      75,    76,    77,    78,   181,    72,  4185,    82,   182,    78,
    1913,   143,   228,   143,  5085,    90,  4651,   268,   228,   261,
     460,   416,   495,   227,   268,   229,    75,    76,    77,    78,
     179,   145,   468,    82,   378,   271,    78,   149,   241,   153,
    2634,  1901,  1902,   328,   383,   511,   145,    78,  1908,    75,
      76,    77,    78,   165,   145,   145,    82,   378,    75,    76,
      77,    78,   511,  1590,   490,    82,  1263,    78,  1595,  1596,
      78,   460,  1556,   360,   153,   252,   312,  1282,   173,  4659,
     508,  1373,    75,    76,    77,    78,   262,    93,   434,    82,
     378,    75,    76,    77,    78,   107,   299,   830,    82,   302,
     830,   478,   377,  1883,   310,   652,   259,   511,    75,    76,
      77,    78,   398,  1597,  1598,    82,    75,    76,    77,    78,
     379,   434,   102,    82,   495,   361,  1153,  1154,   508,  1878,
      75,    76,    77,    78,   434,   247,   263,    82,  1173,  1400,
     421,    99,   409,   508,   703,   704,  3775,   372,   380,   508,
    4870,   461,    72,   454,  3775,    75,    76,    77,    78,  5046,
      72,    81,    82,  3690,   117,   508,    86,   511,   180,    81,
    4349,    78,  4387,  1465,    86,   508,   508,    84,   461,  3921,
      95,   102,   187,   415,  2478,   415,   508,   372,   421,   392,
     511,  1751,  1820,  1378,  1822,  1899,  1900,   504,  2189,   199,
    4174,   372,   456,  1907,   210,   372,  1893,   506,   465,   162,
     117,   510,   454,  2487,  1830,   474,  1872,  4097,   434,  4378,
     652,   508,  4401,   511,   461,   372,  1753,  1867,   508,   160,
     499,   500,   372,   434,  1761,    88,   511,  1797,   504,   508,
     417,  3935,  1447,  2234,   855,  2082,   511,  2238,   502,  4159,
     509,   508,  4025,   512,   366,   162,   209,   652,   506,   508,
     372,  4096,   466,   409,   217,  4105,   219,  3093,   508,  4109,
    4317,  4318,  4319,  4320,  4321,   511,   499,   500,   231,   495,
     511,   446,   197,  2034,   458,  1812,   489,   436,  1815,  1816,
     837,   180,   372,  4928,   510,  1587,   409,  1679,  4734,   499,
     500,   511,   233,   372,  1647,  1647,   826,   826,   703,   704,
     972,  2454,    88,  1804,  1770,  3299,  1807,  1109,  3302,  3303,
     434,   508,  3306,  3616,   231,   720,  2542,   476,  3312,   424,
     372,  2483,   975,   870,   881,   434,   499,   500,  2089,    95,
     826,   372,  4521,   434,   434,   101,  3161,  2098,  3163,  4528,
     826,  3621,  1879,  3880,   830,   434,   506,  4937,   508,   918,
     510,   372,  1389,   185,   372,  5000,   830,   508,  3373,   501,
     502,   503,   504,   185,  3600,  3601,  2129,  2130,   465,   385,
     248,  2524,   501,   502,   503,   504,   173,  2140,   346,   128,
     937,  2144,   267,   119,   826,   375,  2991,   403,   830,  2152,
    2153,   211,   834,  4606,   984,  1016,   986,  2394,   988,  2063,
    3004,   843,  2165,  2166,   994,  2069,   269,  4649,  2047,   173,
    2038,   508,   968,  2176,   339,    95,   475,    38,    25,    40,
    2879,  2880,    95,   508,  2342,  2884,  2344,  1017,  1018,   972,
     173,   197,   267,  2472,   876,   494,  2491,   182,   379,   261,
    1099,   456,  2156,  2157,   375,   228,   173,   372,   475,   508,
      75,    76,    77,    78,   971,  3144,   387,    82,  1099,   427,
     470,   429,  1083,   380,  3700,  2924,  2925,   494,  3304,  3305,
    3668,   222,   508,   495,    14,   355,   401,   137,   267,   436,
     922,   508,  3972,   269,   506,   128,   508,   509,   510,   511,
     932,  1802,  1113,   267,   126,   394,  3321,  4485,   415,  4487,
     942,   299,  1717,   228,   302,   508,   360,   438,   244,  3334,
     111,   916,   248,   918,   508,   210,   180,   197,   969,   476,
     180,   963,   173,   248,   197,   424,   963,   210,   434,   180,
     237,   508,   386,   474,   459,   986,   180,   988,   175,   508,
     172,   151,   267,  1976,  2698,   141,  1089,   998,  2710,   495,
     286,  2045,   474,   508,    14,   986,   826,   988,  1062,   207,
     322,   966,  1066,   462,   510,   970,  1017,  1018,   509,  4782,
     500,   512,   317,   339,  1195,   474,  1062,   499,   500,   189,
    1066,  4823,  4472,  4833,   826,  1800,  1017,  1018,   830,  3414,
    4742,  4743,  4817,  2186,   392,  1802,   160,   348,  1084,  1060,
    2095,  2096,   322,   310,   241,   511,   372,   987,   267,   508,
    1084,   991,   992,   993,  1056,   179,   325,   265,   250,   441,
    1062,  1001,   454,  4375,  1066,   510,  4476,   424,   508,   378,
    4614,  4481,   454,   511,  4484,   401,   499,   500,   501,   502,
     503,   504,  1084,   231,   228,  4401,   247,   211,   312,  1091,
     470,   434,   312,  1058,   230,  1060,   263,   317,  1873,   339,
     424,   312,   299,  3352,   248,   302,   298,   310,   300,   405,
    2995,     8,   151,   317,    11,    12,   511,  1892,   310,   385,
     180,   424,   456,   267,   332,    22,    23,    24,   137,    26,
      27,   312,   372,   353,    31,    32,    33,   424,   267,   372,
    1137,   172,   175,  2014,  4929,  4212,   338,   367,   403,   228,
     189,   267,   495,   499,   500,   501,   502,   503,   504,  1156,
     403,   401,   511,  1938,  4712,   389,    88,   510,   121,   325,
     340,   456,    71,    72,   151,   378,    75,    76,    77,    78,
      79,    80,    81,    82,   109,   377,   508,    86,   237,  4938,
    4732,   113,  1187,   460,   174,   392,   267,  4999,   401,   208,
     326,  5003,  4746,   414,  1201,   160,   417,   383,   241,   105,
    2164,   151,   189,  2643,   228,  1322,   225,  4820,   171,  2050,
     412,   143,   253,   223,  2178,  2279,  2001,   512,   508,   449,
     415,   416,  1062,   231,   248,   228,  1066,   456,  1233,   508,
     448,   466,   508,  5045,   368,   512,  1248,  2014,   396,   189,
    4962,   387,   312,   267,   230,   248,  4157,  1259,   428,   229,
     232,   310,  2359,   188,   151,  4128,   299,   298,   241,   300,
     394,   251,  2226,  2328,   267,  4138,   173,   425,   233,   455,
    1282,   180,  1084,   155,  4124,   185,   339,  4119,  3842,   971,
     972,  2162,   489,   512,  3848,  3849,  4136,   508,   332,  4709,
     424,   340,   189,   826,  1536,   332,   442,   260,   137,  4105,
     389,   508,   456,  4109,  3158,   211,  2573,  1319,   290,   372,
     424,  3165,   194,  1400,   153,    72,   299,   456,    75,    76,
      77,    78,   339,  4877,    81,    82,    83,    84,   462,    86,
     456,  4874,  4875,  4006,   353,    25,   338,   269,   270,   826,
     474,  2379,   328,   830,  4553,    35,  2379,   310,    95,   392,
    2490,   261,  4553,   340,   101,   372,  4630,   266,   512,   197,
     185,   341,  4636,   175,   374,  1377,  1378,   326,  1380,   208,
    1377,  1378,   197,  1380,   508,   456,  1388,  2737,   467,   428,
    3775,   290,  1403,   315,  1405,  2162,   225,  1408,   396,  1410,
     340,  1398,  1413,  1414,  1415,  1618,  1709,   304,  2727,  1709,
    2731,   460,  2542,  1632,  1633,  1426,  1635,  1099,   297,   392,
    4964,  3457,  2197,  2680,  2681,  2682,  2683,   425,  1439,  2627,
    1441,  1632,  1633,  2563,  1635,  2692,   406,   390,  3160,   241,
     449,   417,   456,   423,   424,  1447,   444,   299,  2545,   401,
    2047,   428,   349,   340,   134,   427,  2553,   429,  2555,   153,
     197,  1401,  2592,   456,  1404,    95,   182,  1407,  1649,  1409,
     220,   101,  1412,   121,  1476,   509,  1416,   511,   834,   511,
     452,  1446,   509,   515,   511,  3493,   180,   843,   428,  5022,
    3005,  3934,  4550,   115,   394,  2721,  4808,   299,   512,  3675,
     302,  3520,   330,  1505,  3523,  3524,  3525,  3526,  3527,  3528,
    3529,  3530,  3531,  3532,   136,  3160,  1606,  1606,   129,   512,
     876,  5065,  4580,   171,   353,  2848,   137,  3241,   374,   330,
     182,  1533,  1534,   339,  1536,   350,    97,  3250,   339,  1062,
     392,   428,   192,  1066,   194,    99,   443,  1549,   376,  4529,
    1606,  1553,  1573,  1574,   454,   271,   117,   506,   510,   309,
    1606,   510,   152,  3582,  3583,   232,    88,   197,    99,   248,
    1659,   372,  2443,   401,  2897,  3443,   932,   499,   500,   501,
     502,   503,   504,   263,     2,  3981,   942,  3983,  1590,    85,
     392,   113,    88,  1590,   474,   401,   312,   230,  1595,  1596,
     499,   500,   339,  1605,  1606,  2928,   474,  1084,  1573,  1574,
     474,   201,   260,  1659,  1660,  1661,   339,  4667,   312,   271,
     449,   143,  4938,   290,  4936,   258,  1660,  1661,   474,  4492,
    4493,   511,  1634,  1723,  1723,   372,  1638,  1639,   192,  4619,
    2963,  1748,   219,   511,    71,   361,    71,   511,   161,   372,
    1831,  4421,    79,    80,    79,    80,  1677,  1659,  1660,  1661,
     312,   192,   310,  1709,   401,   511,   467,  1723,   209,    96,
    1716,    89,   322,   274,  1671,  1709,  2443,  1723,   401,   290,
    4476,   385,  1716,  4750,  1730,  4481,   190,   489,  4484,   279,
     280,  3098,   408,   372,  2791,   237,   200,   376,   365,  1696,
    1697,   262,    85,   293,     5,    88,   508,  1709,   249,   361,
     287,  2374,  1677,  2706,  1716,  1717,   229,  1763,  1400,   332,
    2495,  1723,   401,   162,    25,   152,  4522,   152,  1730,  4993,
    3399,   183,   352,  3402,    35,   153,  3166,  4291,  4292,   475,
     436,   159,   390,   352,   257,  1639,  4516,   269,  4518,   339,
     454,  2537,   499,   500,   269,  4735,  1753,   508,   494,   272,
     427,  1763,   429,   339,  1761,  4745,   273,   185,   310,  1771,
    3328,   284,   365,   269,   512,   202,  1606,   202,   391,  3129,
      75,    76,    77,    78,    14,   452,  4357,    82,  4838,   385,
    1472,  4366,   231,   245,   307,   474,   372,   339,  1800,  4195,
    4196,   468,   395,   310,  1606,  2591,  4377,    37,  1854,  1804,
    1492,   326,  1807,   326,   183,  1812,   436,   413,  1815,  1816,
     376,   248,   456,   313,   314,   401,   253,   436,   253,  1659,
     372,   424,   328,   134,   312,   339,   426,   456,   428,   192,
    1522,   194,    72,  1933,  1933,   401,    75,    76,    77,    78,
     326,  2713,  1854,    82,  1536,   331,   476,  1659,  1660,  1661,
    2635,  4724,    51,  4659,   217,   248,     7,   476,   372,   382,
     172,  1873,    88,  3892,   508,   468,   245,  1933,    19,    20,
      69,   359,  1879,   128,  3728,  2002,   269,  1933,  2750,   508,
    1892,  3117,  1248,  1723,   511,   196,   403,   113,    39,  2996,
    1730,    42,   147,  1259,   394,  3704,   219,  1709,  1910,    85,
     223,   514,    88,  4709,  1716,   506,   161,   344,   460,   344,
    2122,  1723,   513,  2104,   365,  2879,  2880,   143,   339,   105,
    2884,  1933,   508,  1763,   424,   183,  1938,    75,    76,    77,
      78,   219,   219,   456,    82,   328,   223,   454,  2051,   387,
    1632,  1633,   326,  1635,   395,  2180,   383,   331,  2183,  3145,
     512,   372,   263,  1319,   317,   376,   192,   212,   194,   322,
    2924,  2925,   462,  2050,   287,  4140,  3383,   499,   500,   501,
     502,   503,   504,   424,   474,  3392,  2289,  3173,    85,  2289,
     401,  3876,   228,  1995,  2993,   422,   298,   245,   300,  2001,
     438,  3562,  2004,   499,   500,   501,   502,   503,   504,   287,
     287,   324,   248,  2121,    41,   156,  3146,   387,   508,   456,
     447,  2128,   447,  3736,  1854,   387,   394,   468,   455,  4583,
     455,   458,   372,   458,  2809,  2112,  2038,  2112,  2112,  2041,
     335,  2038,   339,  2112,  2041,  2112,   324,   324,   456,  2060,
     207,  2062,   193,  4072,  4073,  2066,   424,  2068,   475,   182,
    2071,   401,   219,   474,  2075,  3778,   223,    72,   438,  3542,
    3543,   508,     2,  3478,  2945,   372,   438,   494,   372,   376,
     223,    86,  3212,  1606,  3753,  3754,   312,   440,   317,  2091,
     233,   508,   339,   269,   462,   323,   322,   450,   326,    75,
      76,    77,    78,  1933,   401,   248,    82,   401,   265,  2199,
    2199,  2774,   495,   496,   497,  3676,   499,   500,   501,   502,
     503,   504,   273,   263,   361,   372,  1951,  2129,  2130,  1606,
     287,  1933,   255,   506,    16,  2137,   373,   275,  2140,   512,
     508,  4937,  2144,  2199,   511,  1970,  3515,  2149,   515,  3347,
    2152,  2153,   328,  2199,   401,    71,    72,  2307,  2160,   310,
     397,  2163,  2164,  2165,  2166,   229,  3485,   324,  4553,   314,
    3539,  2173,  2174,   355,  2176,   332,  2178,  2179,  2945,  4162,
    2182,  3580,  1659,  1660,  1661,  4070,   223,   310,  2291,   312,
     506,  4961,   508,   257,   510,  2197,  2198,  2199,   438,   153,
    1723,  2203,  2404,  4067,  2406,  2207,   243,  1730,   272,  2211,
     361,  2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,
     284,  2223,    75,    76,    77,    78,  3549,  2229,  3940,    82,
    2232,   328,  1709,  3955,   652,  4631,    71,   167,   381,  1716,
    1763,   232,   182,  2289,    79,    80,  1723,   339,  3015,   394,
     468,    85,   403,  3115,    88,  2289,  3482,   187,   321,    75,
      76,    77,    78,   391,  2333,   192,    82,   194,   339,   475,
    2164,   509,  2453,   223,   512,   389,  4661,   394,   232,   424,
     372,   506,  2399,   223,  2178,   510,   509,  2289,   494,   512,
     217,   448,  2294,   243,  3701,  3702,  2342,   251,  2344,   290,
     275,   372,   508,   454,  2394,  2394,   297,   424,  2342,   401,
    2344,   427,   426,   429,  3744,   255,    34,   462,   382,   495,
     496,   497,   434,   499,   500,   501,   502,   503,   504,   474,
     401,  1854,    75,    76,    77,    78,   290,   508,  2394,    82,
    2342,   317,  2344,  3118,   438,   462,    97,   391,  2394,   506,
      71,    72,   509,   510,   501,   502,   503,   474,    79,    80,
     474,   475,  2359,   508,   509,    86,   117,   512,  2050,  2199,
     310,   507,   312,    85,   374,   511,    88,   331,  3371,  2381,
     426,  2383,  2379,   372,  2381,   312,  2383,   376,   438,  3486,
     317,   508,  2394,   105,   508,   322,   297,  2199,   495,   496,
     497,   297,   499,   500,   501,   502,   503,   504,   503,  2374,
    1933,   157,   401,   508,  4433,   510,   507,  2534,   134,   135,
     511,  2423,  2511,   251,  2514,  2514,  2472,    85,   474,   475,
    2112,   513,  2434,  3643,   389,   269,   427,   180,   429,  2441,
    4459,  4460,   389,    71,  3219,    72,  3221,    75,    76,    77,
      78,    79,    80,   871,    82,  2511,  1933,  3610,  2514,   511,
     512,   452,   508,   243,   317,  2511,   438,   427,  2514,   429,
    2472,   426,   150,   427,    85,   429,  2478,    88,   125,   426,
     207,  2483,  2484,   391,   438,   474,  3348,  2289,  3350,   509,
     468,   511,   219,  2495,   328,   449,   223,   275,   452,   389,
    3275,   317,   113,  4422,  4423,  4424,  4425,   514,   119,  2511,
     928,   929,  2514,   440,  3613,  3614,   506,    86,   508,   474,
     475,   508,  2204,   450,   509,  3300,   511,   474,   475,   474,
     475,  4301,   143,  4303,   508,  2537,   426,  4307,   265,  4309,
    2342,  2896,  2344,  2898,  2899,   963,   511,   175,  2545,   326,
    2666,  3413,    85,   508,  3321,    88,  2553,   269,  2555,  4120,
     287,   508,  2652,  2652,  2394,   125,  3520,  3334,  4604,  3523,
    3524,  3525,  3526,  3527,  3528,  3529,  3530,  3531,  3532,   508,
     113,   510,   468,   503,   474,   475,   119,   389,   508,  2591,
     510,   115,  2394,  4154,   385,   386,  2652,   324,   509,  3553,
     511,   271,   509,  1021,   511,   332,  2652,   509,   491,   511,
     143,   510,   509,   241,   511,   329,   328,   161,   508,   329,
    4505,  2983,   326,  3398,   426,   509,   434,   511,  3582,  3583,
     326,  2633,  1050,  2635,   511,   512,   121,   248,   509,  1995,
     511,  1059,  2472,   385,   386,  1063,  1064,  1065,  2004,  3835,
    2652,  2333,  3427,   509,   491,   511,  2658,   223,   269,   270,
     389,  2663,   496,   497,  4683,   499,   500,   501,   502,   503,
     504,   299,   474,   475,   302,   329,  2199,   162,  4400,  4078,
     115,  2511,   389,   271,  2514,   229,   509,   491,   511,   389,
     474,   475,   389,  2695,   492,   493,  2928,   426,   509,   511,
     511,   186,   501,   509,   315,   511,   508,  3964,  2710,  2511,
     227,   244,  2514,   257,   389,   248,   201,   328,   508,   426,
     205,   448,  2199,   508,  3499,   510,   426,   509,   272,   426,
     509,  4054,   511,  1151,  1152,  2091,   269,   270,  1156,   224,
     284,   509,   227,   511,  3519,   474,   475,   509,   509,   511,
     511,   426,   509,   286,   239,   509,  2758,   511,   125,  2968,
    2969,  2970,   228,   307,   392,   474,   475,   474,   475,  3544,
      85,  1452,  1453,    88,   474,   475,   267,   474,   475,   508,
     512,   501,   315,   495,   496,   497,   514,   499,   500,   501,
     502,   503,   504,   263,  2791,   328,   509,   514,   511,   474,
     475,   508,  3034,   434,   509,  3580,   511,  2809,   508,  2774,
     434,   508,  2289,   434,  2904,  2904,   509,   509,   511,   511,
    2910,  2910,  2652,  2825,    75,    76,    77,    78,   509,  2831,
     511,    82,   317,   508,   427,    86,   429,   434,   382,    85,
     325,   427,    88,   429,   508,   434,  2848,  2849,  2904,   509,
    2652,   511,  2854,   509,  2910,   511,   108,   125,  2904,   105,
     509,   489,   511,   203,  2910,  2342,   509,  2344,   511,   269,
     263,  2394,   405,   509,   359,   511,   508,  2879,  2880,   509,
     434,   511,  2884,   509,   509,   511,   511,   510,   499,   500,
     501,   502,   503,   504,  2896,  2897,  2898,  2899,   401,   509,
    3997,   511,  2904,   509,   509,   511,   511,  2909,  2910,   509,
    2912,   511,  2914,    75,    76,    77,    78,  2394,   212,   509,
      82,   511,  2924,  2925,   248,   509,  2928,   511,   477,   180,
    4298,   509,   508,   511,  3011,  4647,  3011,  3011,  3892,  2941,
     508,  2943,  3011,   510,  3011,  2947,   509,   326,   511,  2472,
     509,   509,   511,   511,   269,  1373,   509,  4364,   511,  1377,
    1378,  2963,  1380,   496,   497,   212,   499,   500,   501,   502,
     503,   504,  2974,   212,  2976,  2977,  2978,   509,   326,   511,
    1398,   509,   509,   511,   511,  2879,  2880,   509,  2511,   511,
    2884,  2514,   223,    75,    76,    77,    78,   212,  3000,  2996,
      82,   499,   500,   501,   502,   503,   512,   509,  3775,   511,
    3012,   509,   509,   328,   511,  3017,   285,   509,   180,   511,
     509,  3023,   511,   269,   182,  1443,   509,  4180,   511,  3031,
    2924,  2925,   456,   963,  2511,   326,   508,  2514,  4437,   438,
     499,   500,   501,   502,   503,   321,   468,  1465,   507,   509,
     391,   511,   103,   104,   984,   509,   986,   511,   988,   275,
      75,    76,    77,    78,   994,   995,   996,    82,    75,    76,
      77,    78,   358,   137,  2904,    82,   108,   509,  2434,   511,
    2910,   509,   328,   511,   509,  2441,   511,  1017,  1018,  3091,
     137,   508,    75,    76,    77,    78,   143,   477,   180,    82,
     474,  4155,  2904,  3192,  3193,  3194,   153,   312,  2910,   160,
     312,   509,  4834,   511,   115,   509,  3118,   511,  4072,  4073,
    1538,   509,   508,   511,    75,    76,    77,    78,   179,  2652,
    1548,    82,   509,   180,   511,   182,  3192,  3193,  3194,   509,
    1558,   511,   115,   509,  3919,   511,  3192,  3193,  3194,    75,
      76,    77,    78,   509,   443,   511,    82,   339,  3160,  3161,
     211,  3163,   509,   509,   511,   511,  4489,   223,  1103,  1587,
    1105,   468,  1590,  1591,  4110,  2652,  4112,  1595,  1596,   150,
     495,   496,   497,   468,   499,   500,   501,   502,   503,   504,
    3192,  3193,  3194,  4600,   513,   356,    85,   508,   212,    88,
     212,  4298,    75,    76,    77,    78,   212,  1137,   255,    82,
     477,   511,   212,   212,   212,   212,   105,  3219,   212,  3221,
     326,   212,   212,   212,  4592,   326,  1156,   212,   212,   424,
     508,   108,   224,   285,   326,   223,   223,   508,   508,   349,
     336,   223,   508,  3333,  3333,   508,  2928,   508,   508,   495,
     496,   497,   508,   499,   500,   501,   502,   503,   504,   508,
    2942,  1679,   108,   508,   508,   312,   508,   508,   508,   163,
     317,  1201,   508,  3275,  4145,   508,   508,  3333,   508,  2961,
     508,   508,   508,   508,   508,  4684,   508,  3333,   508,   508,
     508,   508,  2974,   267,   269,   108,  3425,   511,  3300,   285,
     223,   324,   223,  4078,   322,  3422,   353,   401,   501,   263,
     511,   392,   179,   455,   511,   495,    14,   368,  3320,  3321,
     367,   302,   511,   508,  3321,   508,  3395,   508,   389,  3011,
     434,  3333,  3334,   510,   434,  3404,   434,  3334,   153,   434,
     389,   434,   212,   394,   434,   434,   389,   326,   393,  3031,
     282,   434,  3034,   317,   434,  4754,  3425,  4350,  3590,  4758,
    4759,   434,  3192,  3193,  3194,  4688,   145,   455,   326,  3601,
    4777,   253,   322,   424,   508,   434,   434,   508,  4145,   153,
     269,  2904,   511,  3592,  3593,  3594,  3595,  2910,   212,  4587,
    3192,  3193,  3194,   339,   456,   434,  3398,   174,   434,   456,
     434,   125,   449,   125,   434,   434,  4756,   434,   330,   434,
    1828,   462,  3414,  4511,   434,   466,   326,   114,  4193,   114,
     389,   434,   477,   474,   511,  3427,   434,  2904,   326,   434,
     269,   508,   474,  2910,   465,   108,  4755,   508,   508,   328,
     107,  4762,    97,  4764,   212,   326,  4221,  1377,  1378,   312,
    1380,   180,   456,   212,   508,  3457,   467,   508,   293,   312,
    3425,   322,  4237,   108,   508,  3555,  3555,   223,  1398,  2825,
     108,   275,   510,  1891,   390,  2831,   212,   212,   456,  4433,
     212,   212,   212,    14,   456,   511,   434,   321,  4442,  3486,
     316,   228,   508,   470,  3496,   432,   304,  3499,   474,  3555,
      88,   304,   511,  3333,  3506,  4459,  4460,   432,  4283,  3555,
    3512,   491,  3514,   508,   401,   508,   434,  3519,  3520,   228,
     265,  3523,  3524,  3525,  3526,  3527,  3528,  3529,  3530,  3531,
    3532,  3333,  4900,   495,  3536,  3537,   436,  1955,   508,   242,
     242,  4864,  3544,   511,   511,   511,   509,  3549,   508,   403,
     273,  3553,   327,  3555,   511,  3557,   509,   456,    34,    10,
     509,   389,   509,   434,   389,  3567,   434,   152,  3570,   508,
    3572,   456,   273,   273,   317,   317,   434,   434,  3580,  3581,
    3582,  3583,   434,   438,   508,  3587,   391,   275,  3590,   468,
     317,   115,   326,   333,   408,  4650,   434,   325,  3600,  3601,
     511,   389,   434,   372,   243,   372,   495,   496,   497,  3611,
     499,   500,   501,   502,   503,   504,   398,  3619,  2974,  3621,
    2038,   269,   434,  2041,  4723,   434,  3520,   108,   361,  3523,
    3524,  3525,  3526,  3527,  3528,  3529,  3530,  3531,  3532,   269,
     269,   269,   269,   325,   495,   456,   456,  3797,   107,   434,
     506,   434,  4523,   495,   212,   223,   506,   322,   225,  3553,
    1590,  3663,  4437,   508,   508,  1595,  1596,  3669,   468,  3192,
    3193,  3194,   398,  3675,   212,  3031,   211,   474,   108,   326,
     326,  3770,   502,   240,  3774,  3774,  3776,  3776,  3582,  3583,
     240,  4562,   108,   223,   212,   326,   223,   248,  3700,   398,
     326,   248,   248,    96,   511,   477,   234,   301,  5027,   511,
     326,   125,   511,  3395,  3770,  3192,  3193,  3194,  3774,   438,
    3776,   321,  3404,   275,  3770,  3555,   228,   468,  3774,  4683,
    3776,  2149,    98,   424,   343,   511,   509,   491,   509,  1669,
     228,  1671,   508,  3425,   509,   509,   509,   509,   509,   509,
     434,   509,   509,  3555,   509,   508,  4523,   509,   509,  1689,
     509,   509,  3852,  3852,   471,   509,  1696,  1697,  3770,   335,
     491,    90,  3774,  3775,  3776,    90,   454,   471,  3775,   145,
     379,   462,   495,   495,   287,   326,  4553,   512,   251,   329,
     326,   511,   509,    95,   509,  4562,  3852,   511,   508,   101,
     508,   212,   434,   477,   259,   317,  3852,   330,   174,   434,
    3333,   434,   434,   212,   212,   287,   453,   434,   344,   344,
     434,   434,   434,  1753,   295,   295,   295,   434,   434,   195,
     389,  1761,   434,   434,   389,   389,   434,   434,   434,   141,
     206,   389,   212,   434,  2262,   312,   114,   434,   401,   269,
    3852,   269,   269,   506,   508,   302,  3333,   509,   509,   225,
     287,   495,  3859,   443,   230,   509,   115,   374,   511,   173,
     511,   325,   108,   509,   509,   508,   326,   237,   434,   456,
    3949,   456,  1812,  4876,   223,  1815,  1816,   511,   190,   389,
    3892,   389,   389,   329,   210,   197,   210,   173,   200,   228,
     269,   506,   203,    88,   467,   223,   509,   135,  3590,  4684,
     276,   228,   236,   223,   509,   327,   509,  3919,  3600,  3601,
     509,   511,  3991,   509,   508,   508,   495,   509,   509,   108,
     508,   297,   511,   509,   495,   509,   456,   456,   434,  4714,
    3770,   434,   443,   508,  3774,  2363,  3776,   259,   443,  1879,
     434,   253,   434,  3955,  3956,  3957,   389,   434,   389,   434,
     509,  2379,   223,  2381,   509,  2383,   509,   143,  3770,   212,
    4172,   173,  3774,   269,  3776,   443,   509,   269,   507,  4754,
     108,   357,   273,  4758,  4759,    85,   508,   474,    88,   398,
     356,   508,   508,   223,   477,   509,   511,   254,  3892,   127,
    3997,  4872,   511,   148,   426,   511,   434,    85,   310,   508,
     312,   398,   233,   113,   228,  4017,  4166,   383,   509,   119,
     322,   269,  3852,   389,   269,   269,   366,   269,   330,   395,
     509,   159,  3555,   228,   508,   125,   509,   339,   472,   272,
     472,   334,   125,   143,   509,   511,   272,   509,   508,  2467,
    3852,   508,  4054,   509,   238,   322,   509,  1987,   424,   434,
     426,   228,  4064,  4065,   474,  4067,   495,   143,  4218,   443,
    4072,  4073,   253,   511,   376,  4077,  4078,   443,  3555,   317,
     317,  4083,  4084,  4152,   434,  4087,   511,   215,   495,   212,
     230,   269,   507,   228,   456,   248,   108,   456,   470,   401,
     198,  3457,   468,  4105,   508,  4872,   474,  4109,  2038,   474,
     228,  2041,    89,   508,   256,   228,   329,  4119,   246,   508,
     508,   411,  4124,  4212,   461,   366,  4488,   509,   509,   508,
     508,   272,   473,   342,  4136,   326,   509,   434,   509,   434,
     367,   474,   509,  4140,   244,   508,   223,   275,   248,   187,
     508,   317,   108,   317,   282,   251,  4212,   459,   296,   508,
    4162,   357,   508,   211,   509,  4162,  4212,   108,   330,   269,
     270,   509,   508,  4175,   386,  4325,   386,   125,  4072,  4073,
     508,   125,   495,   332,   312,   508,   286,   456,   310,   326,
      82,  4193,   426,   398,   218,   137,  2614,   357,   509,   329,
     137,   193,   460,    85,  2622,   366,   461,   108,   511,   228,
    4212,   471,  2142,  2143,   364,   315,   223,   198,   474,  4221,
    2150,   253,   326,   326,  2154,  2155,   508,   108,   328,    85,
     108,   508,    88,   508,   329,  4237,   329,   509,   509,  2169,
     125,  2171,    89,   454,  3600,  3601,   385,  3770,   376,   105,
     185,  3774,   380,  3776,    82,   509,   508,   113,   386,   385,
      94,  2679,  2192,   119,  2194,   393,   105,  3949,   211,   357,
     372,  1198,  1855,   401,  2664,  1220,   508,  2996,  1596,  2521,
    3173,  4283,   410,  3851,  4769,  3774,  2585,   143,  3317,  2707,
     418,  4590,  4900,  3770,  4643,  2713,  3913,  3774,  4343,  3776,
    4647,  4298,  4629,  3092,  2779,   405,  4968,  4522,  5026,  3991,
    4914,  4913,  4984,  4818,  2244,  3096,  3905,  2655,  2655,  3770,
     167,  1956,  3193,  2649,  3385,  5031,  5098,  5090,  4624,  3852,
    3333,   127,  2750,  3320,  4995,  4564,  4888,  1946,  4976,  4341,
     187,   469,   187,  4567,  3700,   473,   474,  4000,  4731,  1435,
    4352,   943,  2484,  3953,  4834,  3278,   948,  3955,   929,  5008,
    5092,  4809,  1078,   159,  2292,  2291,   958,  2051,  3011,  3938,
    4153,  2329,  3673,  2762,  1391,  3852,  1624,  2307,  2331,  1641,
    3012,  3023,  4212,  1642,  2330,  3039,  1644,  1093,   244,  3018,
    3031,  3601,   248,  4097,  4710,   495,   496,   497,  4400,   499,
     500,   501,   502,   503,   504,  4111,  1083,  3600,    85,  3674,
    4212,    88,  1649,   269,   270,  3565,  4686,  3557,  4955,   215,
     108,  4956,  2942,  4105,  2850,  4959,  3015,  4109,   105,  2359,
     286,  4433,  2940,  3669,  2229,  4437,   113,   652,  3422,   127,
    4442,  2714,   119,  1326,  1989,  2363,  4946,   381,  1661,  2379,
     246,  2381,   965,  2383,  2339,  1655,   312,  4459,  4460,   315,
    2379,  4463,  1154,  1174,  1154,  2371,   143,  2990,  2372,  4139,
    4152,   159,   328,  3680,  4476,   331,  3681,  3648,   414,  4481,
    1659,  1446,  4484,  2383,  2775,  1570,   282,  4489,  4490,  2080,
       2,  1377,   997,    -1,    -1,    -1,  4507,    -1,    -1,    -1,
    4590,  4590,    -1,  4500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,    -1,
    4522,    -1,    -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,
      -1,  1364,    -1,    -1,  4590,    -1,    -1,    -1,    -1,  4433,
      -1,    -1,  1375,   339,  4590,    -1,    -1,    -1,  4442,   405,
      -1,  4553,    -1,    -1,    -1,    -1,  4553,    -1,   246,  4561,
      -1,    -1,    -1,    -1,  4633,  4459,  4460,   244,    -1,    -1,
      -1,   248,    -1,    -1,    -1,    -1,   372,    -1,  2996,    -1,
     376,    -1,    -1,    -1,   380,    -1,    -1,   275,  4590,    -1,
     386,    -1,   269,   270,   282,    -1,    -1,   393,    -1,    -1,
      -1,    -1,  4604,    -1,    -1,   401,    -1,    -1,    -1,   286,
      -1,    -1,    -1,    -1,   410,  2545,    -1,    -1,    -1,    -1,
      -1,    -1,   418,  2553,   312,  2555,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,   315,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
      -1,   328,    -1,    -1,   331,   511,    -1,  4659,    -1,  4661,
      -1,  4750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4683,  4684,    -1,  4686,    -1,  4688,    -1,   376,  4212,
      -1,    -1,   380,    -1,  4750,    -1,    -1,  3115,   386,    -1,
      -1,    -1,    -1,  4705,  4750,   393,    -1,  4709,    -1,    -1,
      -1,  2641,  4714,   401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   410,    -1,    -1,    -1,    -1,    -1,   405,    -1,
     418,    -1,    -1,    -1,    -1,  4212,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4816,  4750,  4105,
      -1,    -1,  4754,  4109,    -1,    -1,  4758,  4759,    -1,    -1,
    4590,    -1,    -1,    -1,    -1,    -1,  1358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3198,   469,    -1,    -1,    -1,   473,    -1,    -1,  4590,  4683,
      -1,    -1,    -1,  4795,  4476,    -1,    -1,    -1,    -1,  4481,
      -1,    -1,  4484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3229,  4814,    -1,    -1,    -1,  5048,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,    -1,    -1,
     507,    -1,  4834,    -1,    -1,    -1,   513,    -1,    -1,  4841,
      -1,    -1,  1434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1449,    -1,  3277,
      -1,  2791,  4864,    -1,    -1,    -1,    -1,   844,    -1,    -1,
    1462,    -1,    -1,   850,    -1,    -1,    -1,    -1,    -1,  4881,
      -1,  3299,    -1,   860,  3302,  3303,    -1,    -1,  3306,    -1,
      -1,    -1,    -1,    -1,  3312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3321,    -1,    -1,    -1,    -1,    -1,  3327,
      -1,   888,    -1,    -1,    -1,   892,  3334,    -1,    -1,    -1,
    4750,    -1,    -1,    -1,  4926,    -1,   903,  4996,    -1,    -1,
    3348,  5008,  3350,  5008,  5008,  4937,    -1,    -1,    -1,  5008,
      -1,  5008,    -1,    -1,    -1,    -1,    -1,    -1,  4750,    -1,
      -1,  4633,    -1,  5043,  5043,    -1,  4958,  4959,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,  3386,  4971,
      -1,  5048,    -1,  5048,  5048,    -1,    -1,    -1,   105,  5048,
      -1,  5048,    -1,    -1,    -1,    -1,   113,  5043,    -1,    -1,
      -1,    -1,   119,    -1,  3412,  3413,  4352,  5043,    -1,    -1,
    5090,  5090,    85,    -1,    -1,    88,    -1,    -1,  5098,  5098,
      -1,  5013,    -1,    -1,    -1,  5092,   143,  5092,  5092,    -1,
      -1,  5023,    -1,  5092,    -1,  5092,    -1,  4709,    -1,    -1,
     113,    -1,    -1,  1625,  5090,    -1,   119,    -1,    -1,    -1,
      -1,  5043,  5098,    -1,  5090,    -1,  5043,    -1,    -1,    -1,
      -1,    -1,  5098,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,  2991,    -1,    -1,  2994,    -1,  2996,  4590,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5085,    -1,    -1,    -1,    -1,  5090,    -1,
      -1,    -1,  5094,  5090,    -1,    -1,  5098,    -1,    -1,    -1,
      -1,  5098,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4590,    -1,    -1,    -1,   244,    -1,    -1,
    4476,   248,   205,    -1,    -1,  4481,    -1,    -1,  4484,    -1,
      -1,    -1,    -1,    -1,  4816,    -1,    -1,   984,    -1,   986,
      -1,   988,   269,   270,    -1,    -1,    -1,   994,  3566,    98,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,
      -1,   244,    -1,  1996,    -1,   248,  4522,    -1,    -1,    -1,
    1017,  1018,  2005,    -1,  1151,  1152,  2009,    -1,    -1,    -1,
      -1,    -1,  2015,  2016,    -1,   312,   269,   270,   315,    -1,
      -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,
    2033,   328,  3620,   286,   331,  4561,    -1,    -1,   157,    -1,
      -1,    -1,    -1,  5043,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   174,    -1,  4750,    -1,    -1,
      -1,   180,   315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5043,    -1,    -1,    -1,   328,   195,    -1,  4604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,
    5090,    -1,    -1,    -1,    -1,   214,    -1,    -1,  5098,    -1,
      -1,    -1,    -1,  4750,    -1,    -1,   225,    -1,   405,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,   236,  5090,    -1,
    1137,    -1,    -1,    -1,    -1,    -1,  5098,    -1,    -1,    -1,
      -1,    -1,   251,  4659,  1151,  1152,    -1,    -1,    -1,  1156,
      -1,    -1,    -1,    -1,  4996,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   405,    -1,    -1,    -1,  5008,   276,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,
      -1,    -1,    -1,  4709,  1201,    -1,    -1,  3775,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5048,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,    -1,   328,
    3798,    -1,    -1,  3801,   511,  3803,    -1,    -1,    -1,    -1,
      -1,  3321,    -1,    -1,    -1,    -1,  3326,  3327,    -1,    -1,
      -1,    -1,    -1,    -1,  3334,    -1,    -1,   356,    -1,    -1,
    5092,    -1,    -1,    -1,  2006,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,  3842,  2017,    -1,    -1,    -1,    -1,
    3848,  3849,    -1,  3851,   383,  3365,    -1,  2029,   387,  4795,
     389,    -1,    -1,    -1,   127,    -1,   395,    -1,    -1,   398,
      -1,    -1,    -1,  3871,    -1,  2288,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3882,  3883,  3884,  3885,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   424,   159,   426,    -1,    89,
      -1,   430,    -1,    -1,    94,    -1,    -1,    -1,    -1,   438,
      -1,    -1,    -1,    -1,   443,    -1,  2088,    -1,    -1,    -1,
    2092,    -1,  2094,    -1,    -1,  2097,   455,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   468,
    5043,    -1,   132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    71,   215,    -1,  3952,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,   153,    -1,    85,    -1,    -1,    88,    -1,
      -1,  1398,    -1,    -1,    -1,    -1,  3486,    -1,    -1,    -1,
      -1,   171,    -1,   246,    -1,   105,  5043,  5090,   108,    -1,
    4926,    -1,    -1,   113,   184,  5098,    -1,    -1,    -1,   119,
      -1,  4937,   192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4014,    -1,   208,   282,
     210,    -1,    -1,   143,   214,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,  5090,   224,  4971,    -1,    -1,    -1,    -1,
      -1,  5098,   232,    -1,    -1,    -1,    -1,    -1,    -1,   312,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    41,    -1,    43,
      44,    -1,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,   376,    -1,   378,    -1,   380,    -1,    -1,
      -1,    -1,  1679,   386,   244,    -1,    -1,    -1,   248,    -1,
     393,    -1,    98,    -1,    -1,    -1,    -1,    -1,   401,    -1,
      -1,    -1,  4140,  4141,    -1,    -1,    -1,   410,    -1,   269,
     270,    -1,    -1,    -1,    -1,   418,    -1,    -1,  5094,    -1,
     134,    -1,    -1,  1590,  4162,   131,   286,  3677,  1595,  1596,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   157,   312,    -1,    -1,   315,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   469,    -1,   328,    -1,
      85,   331,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   195,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
     206,    -1,    -1,    -1,   119,    -1,    -1,   221,    -1,    -1,
      -1,    -1,  1679,    -1,    -1,    -1,    -1,    -1,    85,   225,
      -1,    88,    -1,    -1,   230,  3775,    -1,   241,   143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4281,  4282,   405,   113,  3797,    -1,   263,
      -1,    -1,   119,  4291,  4292,  1852,    -1,    -1,    -1,    -1,
    4298,    -1,    -1,    -1,  4302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2726,    -1,    -1,   143,  2489,    -1,  4317,
    4318,  4319,  4320,  4321,    -1,   299,  1753,    -1,   302,  2742,
    2743,   297,    -1,  2746,  1761,    -1,    -1,    -1,    -1,  2752,
      -1,    -1,    -1,   317,    -1,    -1,    -1,    -1,  3858,  3859,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3867,    -1,    -1,
      -1,  3871,   328,    -1,    -1,    -1,    -1,    -1,    -1,   244,
      -1,    -1,  3882,   248,  4372,   495,   496,   497,   205,   499,
     500,   501,   502,   503,   504,  1812,    -1,    -1,  1815,  1816,
     356,    -1,    -1,    -1,   269,   270,  1953,    -1,    -1,    -1,
      -1,  4399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2823,   286,  1969,    -1,    -1,    -1,    -1,   244,   392,    -1,
      -1,   248,    -1,   389,  4422,  4423,  4424,  4425,    -1,   395,
      -1,    -1,   398,    -1,    -1,    -1,    -1,   312,    -1,    -1,
     315,    -1,   269,   270,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1879,   328,    -1,    -1,    -1,    -1,   424,   286,
     434,    -1,   652,    -1,   430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2030,   448,    -1,    -1,   443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3997,   315,   463,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   328,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,    -1,
      -1,   495,    -1,    -1,    -1,   499,   500,   501,   502,   503,
     405,    -1,   506,   507,   508,   509,    -1,   511,   512,   513,
     514,   515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4553,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,   405,    -1,
      -1,    -1,    -1,    -1,   113,  4583,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,  4592,    -1,    -1,    -1,  4596,    -1,
    4598,    -1,    -1,  4601,  4602,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,  2787,    -1,    -1,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
    4140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   834,   835,   836,   837,    -1,   839,
      -1,   841,  4162,   843,   844,   845,  4166,    -1,   848,    -1,
     850,    -1,    -1,   853,    -1,   855,    -1,    -1,    -1,   859,
     860,   861,   499,   500,   501,   502,   503,   504,    -1,   869,
      -1,    -1,    -1,    -1,   874,    -1,   876,    -1,  3101,   879,
      -1,   881,    -1,   883,    -1,    -1,    -1,    -1,   888,    -1,
     890,    -1,   892,   893,    -1,    -1,    -1,    -1,  4218,    -1,
     900,    -1,    -1,   903,    -1,   244,    -1,    -1,    -1,   248,
      -1,    -1,    -1,    -1,    -1,  4235,  4236,    -1,    -1,    -1,
    4240,  4241,    -1,    -1,    -1,    -1,    -1,    -1,   928,    -1,
     269,   270,   932,    -1,    -1,    -1,    -1,   937,    -1,    -1,
      -1,    -1,   942,    -1,    -1,    -1,   946,   286,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,  3180,    -1,  3182,
      -1,   961,  4770,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,   972,   312,    -1,    -1,   315,   113,  4298,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,   328,
      -1,    -1,   331,    -1,    -1,    -1,  2363,  4317,  4318,  4319,
    4320,  4321,    -1,    -1,    -1,  4325,    -1,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1016,    -1,    -1,    -1,
      -1,    -1,    -1,  2390,    -1,    -1,    -1,    -1,  2395,  1029,
    1030,  2398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3274,    -1,  2420,    -1,    -1,  1056,  3280,    -1,    -1,
    1060,  1061,    -1,    -1,  1064,    -1,   405,    -1,    -1,    -1,
    2307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1079,
      -1,    -1,    85,  1083,    -1,    88,    -1,    -1,    -1,    -1,
      -1,  1091,  4900,    -1,  2461,    -1,    -1,    -1,    -1,    -1,
      -1,  1101,   105,  3085,  3086,    -1,  3088,    -1,   244,    -1,
     113,    -1,   248,  1113,    -1,    -1,   119,    -1,    -1,    -1,
      -1,  2488,  2359,    -1,    -1,    -1,  2363,    -1,    -1,    -1,
      -1,    -1,    -1,   269,   270,    -1,    -1,    -1,    -1,    -1,
     143,    -1,  2379,    -1,    -1,  2512,    -1,    -1,    -1,    -1,
     286,  1151,  1152,    -1,    -1,    -1,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,    -1,    -1,    -1,  2536,
     509,    -1,    -1,  2540,    -1,    -1,   312,    -1,    -1,   315,
    4500,    -1,    95,    -1,    -1,    -1,    -1,    -1,   101,    -1,
      -1,  2558,   328,    -1,    -1,  1195,    -1,    -1,    -1,    -1,
      -1,  2568,  1202,  3426,  1204,  1205,    -1,  3430,  3431,    -1,
    3433,    -1,  3435,  3436,  2581,    -1,    -1,    -1,    -1,    -1,
      -1,  3444,    -1,  2590,    -1,    -1,    -1,    -1,   141,    -1,
      -1,    -1,    -1,  4553,    -1,  5043,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,   248,    -1,    -1,  1248,  3231,
      -1,    -1,    -1,    -1,    -1,    -1,  3479,    -1,    -1,  1259,
      -1,    -1,    -1,  1263,    -1,    -1,   269,   270,    -1,   405,
     108,    -1,    -1,    -1,    -1,    -1,  1276,   190,    -1,    -1,
      -1,    -1,  5090,   286,   197,    -1,    -1,   200,    -1,   127,
    5098,  1291,    -1,    -1,    -1,    -1,    -1,  1297,  1298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2545,   312,
      -1,    -1,   315,  1313,  1314,  1315,  2553,  1317,  2555,  1319,
      -1,   159,    -1,  1323,    -1,   328,    -1,    -1,   331,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1352,    -1,  1354,  1355,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,    -1,  1373,    -1,    -1,    85,   215,    -1,    88,
    3362,    -1,  3364,    -1,    -1,    -1,    -1,    -1,  1388,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   310,  1398,   312,
      -1,    -1,   405,    -1,   113,    -1,    -1,    -1,   246,   322,
     119,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   339,    -1,  1428,  1429,
      -1,    -1,    -1,  1433,   143,  1435,    -1,   275,    -1,    -1,
      -1,    -1,    -1,    -1,   282,    -1,    -1,    -1,    -1,    -1,
    1450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1458,   372,
      -1,  1461,    -1,   376,  1464,  1465,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3455,   312,    -1,  1476,    -1,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,   401,    -1,
      -1,    -1,   495,   496,   497,  3477,   499,   500,   501,   502,
     503,   504,    -1,   105,    -1,  1505,   509,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,  4841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1533,  1534,   244,  1536,    -1,   376,   248,
      -1,   143,   380,    -1,    -1,    -1,   459,    -1,   386,    -1,
      -1,    -1,    -1,  1553,  2791,   393,    -1,    -1,    -1,    -1,
     269,   270,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   410,  1573,  1574,    -1,    -1,   286,    -1,    -1,
     418,    -1,    -1,    -1,    -1,    -1,    -1,  1587,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1595,  1596,    -1,    -1,    -1,
      -1,    -1,  1602,   312,    -1,  1605,   315,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,
      -1,    -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   469,    -1,    -1,  1634,   473,    -1,    -1,  1638,  1639,
      -1,    -1,   244,    -1,    -1,    -1,   248,    -1,    -1,  1649,
    1650,  1651,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   269,   270,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1677,    -1,  1679,
      -1,   113,    -1,    -1,   286,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   405,    -1,    -1,    -1,
      -1,    -1,    95,  3070,    -1,    -1,    -1,    -1,   101,    -1,
     312,   143,    -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5043,    -1,    -1,   328,    -1,    -1,   331,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3112,    -1,    -1,   141,    -1,
      -1,    -1,    -1,    -1,    -1,  3978,    -1,    -1,    -1,  2996,
      -1,    -1,    -1,  3986,  3987,    -1,    -1,    -1,    -1,    -1,
    5090,    -1,    -1,   205,    -1,  1775,  1776,    -1,  5098,    -1,
      -1,    -1,  1782,    -1,    -1,  1785,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,    -1,   190,    -1,    -1,
     509,    -1,  1802,   405,   197,    -1,    -1,   200,  1808,    -1,
      -1,  1811,   244,    -1,    -1,    -1,   248,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
      -1,  1831,    -1,    -1,    -1,    -1,    -1,   269,   270,  1839,
    1840,  1841,  1842,  1843,  3211,    -1,    -1,    -1,    -1,    -1,
     113,    -1,  1852,    -1,   286,  3222,   119,  1857,    -1,    -1,
     253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1869,
      -1,  1871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,  1881,  1882,   315,    -1,    -1,    -1,  1887,    -1,    -1,
      -1,    -1,    -1,   495,   496,   497,   328,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,   509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,   312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3294,    -1,   322,
      -1,    -1,  1932,  3915,  3916,    -1,    -1,   330,    -1,    -1,
      -1,    -1,   205,    -1,    -1,    -1,   339,    -1,    -1,    -1,
      -1,    -1,    -1,  1953,    -1,    -1,    -1,    -1,    -1,  1959,
    1960,  1961,  1962,    -1,    -1,    -1,    -1,    -1,  4191,  1969,
      -1,  1971,    -1,   405,    -1,    -1,    -1,  1977,    -1,   372,
    1980,   244,    -1,   376,    -1,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1995,    -1,    -1,    -1,  4222,
    4223,    -1,  2002,    -1,  2004,    -1,   269,   270,   401,    -1,
    3992,  3993,  3994,    -1,  2014,    -1,    -1,    -1,    -1,  2019,
      -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,  2028,    -1,
    2030,    -1,    -1,    -1,  2034,  2035,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2048,    -1,
      -1,  2051,   315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4284,  4285,    -1,    -1,   328,   459,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,  3443,    -1,    -1,    -1,
      -1,    -1,  2082,    -1,  3321,    -1,    -1,    -1,    -1,  2089,
      -1,  2091,    -1,  3460,    -1,  2095,  2096,  3334,  2098,    -1,
      -1,    -1,    -1,    -1,  2104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3480,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2121,  2122,    -1,    -1,  2125,    -1,    -1,    -1,  2129,
    2130,    -1,    -1,    -1,    -1,    -1,    -1,  2137,    -1,    -1,
    2140,    -1,   405,    -1,  2144,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2152,  2153,    -1,    -1,    -1,    -1,    -1,    -1,
    2160,    -1,  2162,  2163,  2164,  2165,  2166,    -1,    -1,    -1,
      -1,    -1,    -1,  2173,  2174,    -1,  2176,    -1,  2178,  2179,
      -1,    -1,  2182,    -1,  4407,    -1,  4409,  4410,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4420,  2198,    -1,
      -1,    -1,  2202,  2203,    -1,    -1,    -1,  2207,    -1,    -1,
      -1,  2211,    -1,  2213,  2214,  2215,  2216,  2217,  2218,  2219,
    2220,  2221,    -1,  2223,    -1,    -1,    -1,    -1,  2228,  2229,
      85,    -1,  2232,    88,    -1,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3486,
     105,    -1,    -1,  2253,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,   101,    -1,
    4262,  4263,    -1,  4265,    -1,    -1,    -1,    -1,   143,    -1,
    2290,    -1,  2292,    -1,  2294,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2328,    -1,
      -1,    -1,    -1,    -1,  2334,    -1,  2336,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,  2363,  3731,    -1,    -1,   190,    -1,    -1,
      -1,    -1,    -1,    -1,   197,    -1,    -1,   200,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,   244,
    2390,    -1,   119,   248,    -1,  2395,    -1,    -1,  2398,  2399,
      -1,    -1,    -1,    -1,  2404,    -1,  2406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   269,   270,   143,    -1,    -1,    -1,
    2420,    -1,    -1,  2423,    -1,    -1,    -1,   250,    -1,    -1,
     253,   286,    -1,    -1,  2434,    -1,  2436,  2437,  2438,    -1,
      -1,  2441,    -1,  2443,    -1,  2445,    -1,  2447,  3815,  2449,
    2450,  3818,    -1,  2453,  4677,    -1,    -1,   312,    -1,    -1,
     315,  2461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   328,    -1,   298,   331,   300,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,  2488,   312,
      -1,  2491,    -1,    -1,    -1,    -1,    -1,  2497,    -1,   322,
      -1,    -1,  2502,    -1,    -1,    -1,    -1,   330,  2508,    -1,
    4733,    -1,  2512,    -1,    -1,   338,   339,   244,    -1,    -1,
      -1,   248,    -1,  2523,    -1,    -1,    -1,  2527,  2528,    -1,
      -1,    -1,    -1,    -1,  2534,    -1,  2536,    -1,  3775,    -1,
    2540,    -1,   269,   270,  4767,    -1,    -1,    -1,    -1,   372,
     405,  2551,    -1,   376,   377,  3922,    -1,    -1,  2558,   286,
    3797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2568,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2577,   401,  2579,
    2580,  2581,    -1,    -1,    -1,   312,    -1,    -1,   315,   412,
    2590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   328,    -1,    -1,   331,    -1,    -1,  2607,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2615,    -1,    -1,    -1,    -1,
    2620,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2633,    -1,    -1,   459,    -1,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
      -1,    -1,    -1,    -1,   509,    -1,    -1,  2657,    -1,    -1,
    2660,    -1,  2662,    -1,  2664,    -1,    -1,  2667,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,   405,    -1,
      -1,    -1,   101,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,  2693,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2701,  2702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2713,  2714,   113,    -1,    -1,    -1,    -1,
    4702,   119,   141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4712,  2731,    -1,  2733,  2734,  2735,  2736,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
    2750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2758,    -1,
    3997,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,   496,
     497,   190,   499,   500,   501,   502,   503,   504,   197,  2779,
      -1,   200,   509,    -1,  4766,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2797,  5021,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,   205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2821,   105,    -1,    -1,  2825,    -1,    -1,    -1,    85,
     113,  2831,    88,    -1,   253,    -1,   119,    -1,    -1,    -1,
      -1,    -1,  2842,    -1,    -1,    -1,   244,    -1,  2848,  2849,
     248,    -1,    -1,    -1,  2854,    -1,    -1,   113,    -1,    -1,
     143,    -1,    -1,   119,    -1,  4232,    -1,    -1,    -1,    -1,
      -1,   269,   270,  4855,    -1,    -1,    -1,  4244,    -1,  2879,
    2880,    -1,    -1,    -1,  2884,    -1,    -1,   143,   286,    -1,
      -1,   310,    -1,   312,    -1,    -1,  2896,  2897,  2898,  2899,
      -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,  2909,
      -1,   330,  2912,    -1,  2914,  2915,    -1,   315,    -1,    -1,
     339,    -1,    -1,    -1,  2924,  2925,    -1,    -1,  2928,  4166,
     328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      -1,  2941,    -1,  2943,    -1,  2945,    -1,  2947,    -1,   205,
      -1,   110,    -1,   372,    -1,    -1,    -1,   376,    -1,    -1,
      -1,   244,    -1,  2963,    -1,   248,    -1,  2967,    -1,    -1,
      -1,    -1,   131,    -1,  2974,    -1,  2976,  2977,  2978,    -1,
      -1,  4218,   401,    -1,    -1,   144,   269,   270,   244,    -1,
      -1,    -1,   248,    -1,    -1,    -1,  2996,    -1,   157,    -1,
    3000,    -1,    -1,   286,    -1,    -1,    -1,   405,    -1,    -1,
      -1,    -1,  3012,   269,   270,   174,    -1,  3017,    -1,   117,
      -1,    -1,    -1,  3023,    -1,    -1,    -1,    -1,    -1,   312,
     286,  3031,   315,    -1,  3034,    -1,   195,    95,  3038,    -1,
     459,    -1,    -1,   101,    -1,   328,    -1,   206,   331,    -1,
      -1,    -1,    -1,    -1,    -1,   214,    -1,    -1,    -1,   315,
      -1,  4298,    -1,    -1,   162,    -1,   225,    -1,    -1,    -1,
    3070,   230,   328,    -1,    -1,    -1,    -1,   236,    -1,    -1,
      -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,  4325,    -1,
      -1,  3091,   251,  3093,    -1,    -1,    -1,    -1,  3098,    -1,
      -1,   499,   500,   501,   502,   503,   504,    -1,    -1,    -1,
      -1,   209,  3112,    -1,    -1,  3115,    -1,    -1,    -1,   217,
      -1,   219,   405,    -1,  3124,    -1,  3126,  3127,  3128,    -1,
      -1,    -1,   190,   231,    -1,    -1,    -1,    -1,   297,   197,
      -1,    -1,   200,    -1,    85,    -1,    -1,    88,    -1,   405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,   328,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,   338,
      -1,    95,    -1,    -1,    -1,    -1,    -1,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   253,    -1,   356,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3211,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,  3222,    -1,   383,    -1,   509,   141,   387,    -1,
     389,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,   398,
      -1,    -1,    -1,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,   310,    -1,   312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,   424,    -1,   426,    -1,    -1,
      -1,   430,   330,    -1,    -1,    -1,   190,    -1,    -1,   438,
      -1,   339,    -1,   197,   443,    -1,   200,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3294,    -1,   455,    -1,    -1,    -1,
      -1,    -1,    -1,   244,  3304,  3305,    -1,   248,    -1,   468,
      -1,    -1,    -1,    -1,   372,    -1,  4553,    -1,   376,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3327,   269,   270,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,
      -1,    -1,    -1,   401,    -1,   286,    -1,    -1,  3348,    -1,
    3350,  1282,    -1,    -1,  3354,  3355,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3370,   312,    -1,    -1,   315,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3383,  3384,    -1,    -1,   328,    -1,    -1,
     331,    -1,  3392,  3393,    -1,    -1,   310,    -1,   312,    -1,
      -1,   459,    -1,    -1,    -1,    -1,    -1,  3407,   322,    -1,
      -1,    -1,    -1,  3413,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,  3422,    -1,    -1,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3437,    -1,    -1,
    3440,    -1,    -1,  3443,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,  3457,   372,    -1,
    3460,    -1,   376,    -1,   405,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,  3478,    -1,
    3480,    -1,    -1,   119,    -1,    -1,    -1,   401,  3488,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3496,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3506,   143,    -1,    -1,
      -1,    -1,  3512,    -1,  3514,    -1,  1447,    -1,    -1,    -1,
    3520,    -1,    -1,  3523,  3524,  3525,  3526,  3527,  3528,  3529,
    3530,  3531,  3532,    -1,    -1,    -1,  3536,  3537,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,  3549,
      -1,    -1,    -1,  3553,   495,   496,   497,  3557,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,  3567,   509,    -1,
    3570,    -1,  3572,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3581,  3582,  3583,    -1,    -1,    -1,  3587,    -1,    -1,
    3590,    -1,    -1,    -1,    -1,    -1,    -1,  3597,  3598,  3599,
    3600,  3601,  3602,    -1,  4841,    -1,  3606,  3607,   244,    -1,
      95,  3611,   248,    -1,    -1,    -1,   101,  3617,    -1,  3619,
      -1,  3621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   269,   270,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     286,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,  1590,
      -1,    -1,    -1,  3663,    -1,    -1,    -1,    -1,    -1,  3669,
      -1,    -1,    -1,  3673,    -1,  3675,   312,    -1,    -1,   315,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   328,    -1,    -1,   331,    -1,    98,    -1,    -1,
    3700,  3701,  3702,    -1,  3704,   190,    -1,    -1,    -1,    -1,
      -1,    -1,   197,    -1,    -1,   200,    -1,    -1,    -1,    -1,
      -1,    -1,  3722,  3723,  3724,  3725,    -1,    -1,   826,    -1,
     131,  3731,    -1,    -1,    -1,    -1,   834,    -1,    -1,    -1,
      -1,    -1,    -1,   144,   145,   843,    -1,    -1,    -1,    -1,
      -1,    -1,   153,    -1,    -1,    -1,   157,    -1,    -1,    -1,
    3760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,   405,
      -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,   876,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1717,    -1,    85,    -1,
      -1,    88,    -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,   105,    -1,
      -1,    -1,    -1,   214,    -1,  3815,   113,    -1,  3818,    -1,
      -1,    -1,   119,    -1,   225,   310,    -1,   312,    -1,   230,
      -1,    -1,  3832,    -1,   932,    -1,    -1,   322,    -1,    -1,
    1771,    -1,    -1,    -1,   942,   330,   143,    -1,    -1,    -1,
     251,    -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,  1800,
      -1,  3871,    -1,   509,    -1,   276,    -1,    85,    -1,  3879,
      88,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,
    3890,   376,  3892,    -1,    -1,    -1,   297,   105,  3898,    -1,
      -1,    -1,    -1,    -1,  3904,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,  3913,    -1,    -1,   401,    -1,    -1,    -1,
      -1,    -1,  3922,    -1,    -1,  3925,    -1,   328,    -1,    -1,
      -1,    -1,    -1,    -1,  3934,   143,    -1,    -1,    -1,    -1,
    3940,    -1,  1873,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,   248,    -1,    -1,    -1,   356,  3956,  3957,  1056,    -1,
      -1,  1892,    -1,    -1,  1062,    -1,    -1,    -1,  1066,    -1,
      -1,    -1,   269,   270,   459,    -1,    -1,    -1,    -1,  1910,
      -1,  3981,   383,  3983,    -1,    -1,   387,    -1,   389,   286,
      -1,    -1,    -1,  1091,   395,    -1,    -1,   398,    -1,    -1,
    4000,    -1,    -1,    -1,    -1,    -1,    -1,  1938,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   312,    -1,  4017,   315,    -1,
      -1,    -1,    -1,   424,    -1,   426,    -1,    -1,    -1,   430,
      -1,   328,    -1,    95,   331,    -1,   244,   438,    -1,   101,
     248,    -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4054,    -1,    -1,    -1,    -1,    -1,
      -1,   269,   270,    -1,  4064,  4065,    -1,   468,    -1,    -1,
    2001,    -1,  4072,  4073,    -1,    -1,    -1,  4077,   286,   141,
      -1,    -1,    -1,  4083,  4084,    -1,    -1,  4087,    -1,  4089,
    4090,  4091,  4092,    -1,    -1,    -1,  4096,  4097,  4098,    -1,
      -1,  4101,    -1,    -1,   312,  4105,    -1,   315,   405,  4109,
      -1,    -1,    -1,    -1,    -1,  4115,    -1,    -1,    -1,  4119,
     328,    -1,    -1,   331,  4124,    -1,    -1,    -1,   190,    -1,
    4130,    -1,    -1,    -1,    -1,   197,  4136,    -1,   200,    -1,
      -1,    -1,    -1,    -1,    -1,  4145,    -1,    -1,    -1,    -1,
    1248,    -1,    -1,  4153,    -1,    -1,    -1,  4157,    -1,    -1,
      -1,  1259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4172,    -1,    -1,  4175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1282,    -1,    -1,    -1,    -1,    -1,
      -1,   253,    -1,    -1,    -1,  4195,  4196,   405,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,    -1,    -1,
      -1,    -1,   509,    -1,    -1,    -1,    -1,    -1,    -1,  4219,
      -1,  1319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4232,  1282,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4244,    -1,    -1,    -1,   310,    -1,
     312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     322,    -1,    -1,    -1,  4264,    -1,  2197,    -1,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,  4278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,   496,   497,
    1388,   499,   500,   501,   502,   503,   504,    -1,  4298,    -1,
      -1,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     372,    -1,    98,    -1,   376,    -1,    -1,  4317,  4318,  4319,
    4320,  4321,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   401,
      -1,  4341,    -1,    -1,    -1,   131,    -1,    -1,    -1,  1447,
      -1,    -1,  4352,    -1,    -1,    -1,    -1,  4357,   144,    -1,
      -1,    -1,    -1,    -1,  4364,    -1,    -1,   153,    -1,    -1,
      -1,   157,    85,    -1,    -1,    88,  4376,  4377,  1476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   105,    -1,   180,    -1,    -1,   459,  1447,    -1,
     113,    -1,    -1,  4403,    -1,  4405,   119,  1505,    -1,   195,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     206,  4421,    -1,    -1,    -1,    -1,    -1,    -1,   214,    -1,
     143,    -1,    -1,  4433,    -1,  1533,  1534,    -1,  1536,   225,
      -1,    -1,  4442,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,    -1,    -1,    -1,    -1,  1553,    -1,    -1,    -1,  4459,
    4460,    -1,    -1,  4463,    -1,   251,    -1,    -1,    -1,   835,
     836,    -1,  4472,   839,    -1,   841,  4476,    -1,    -1,    -1,
      -1,  4481,    -1,    -1,  4484,  4485,    -1,  4487,    -1,  4489,
    4490,    -1,    -1,   859,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   290,    -1,    -1,  1605,  1606,    -1,
      -1,   297,    -1,   879,    -1,    -1,  4516,   883,  4518,    -1,
      -1,    -1,  4522,  4523,  4524,  4525,  4526,    -1,    -1,    -1,
      -1,   244,    -1,    -1,   900,   248,  1634,    -1,    -1,    -1,
    1638,  1639,   328,    -1,    -1,   331,    -1,  2478,    -1,    -1,
      -1,    -1,  2483,  2484,    -1,    -1,   269,   270,    -1,    -1,
      -1,  4561,  4562,    -1,  2495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,   365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4592,    -1,    -1,    -1,    -1,   383,    -1,   312,
    4600,    -1,   315,   389,  4604,    -1,    -1,    -1,    -1,   395,
      -1,    -1,   398,  4613,    -1,   328,    -1,    -1,   331,  1717,
      -1,    -1,    -1,    -1,  4624,  1723,    -1,    -1,    -1,    -1,
      -1,  4631,  1730,    -1,    -1,  4635,    -1,    -1,   424,    -1,
     426,   427,    -1,   429,   430,    -1,    -1,  4647,    -1,    -1,
    4650,    -1,   438,    -1,    -1,    -1,    -1,   443,  4658,  4659,
      -1,    -1,    -1,   449,    -1,  1763,   452,    -1,  1717,   455,
      -1,    -1,    -1,  1771,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   468,  4683,    -1,    -1,  4686,    -1,  4688,    -1,
      -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1800,    -1,  2635,  4705,    -1,    -1,    -1,  4709,
      -1,    -1,  4712,    -1,    -1,    -1,    -1,    -1,  4718,    -1,
      -1,    -1,  1771,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4740,    -1,    -1,    -1,  4744,    -1,    -1,   105,    -1,    -1,
      -1,  1800,    -1,    -1,    -1,   113,  1854,    -1,    -1,    -1,
      -1,   119,  4762,  4763,  4764,  4765,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1873,    -1,  4777,    -1,  2710,
      -1,    -1,   495,   496,   497,   143,   499,   500,   501,   502,
     503,   504,    -1,    -1,  1892,  4795,   509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1910,    -1,  4814,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1873,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1933,    -1,    -1,  1204,  1205,
    1938,    -1,    -1,  1892,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1910,    -1,    -1,  4864,    -1,    -1,    -1,    -1,    -1,
    4870,    -1,  4872,    -1,    -1,    -1,    -1,    -1,  2809,    -1,
      -1,  4881,    -1,    -1,    -1,    -1,   244,    -1,    -1,  1938,
     248,    -1,    -1,    -1,    -1,    -1,    -1,  1995,    -1,    -1,
    4900,    -1,    -1,  2001,    -1,    -1,  2004,    -1,    -1,    -1,
    1276,   269,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4921,    -1,    -1,    -1,    -1,  4926,    -1,   286,    -1,
      -1,  1297,  1298,    -1,    -1,    -1,    -1,  4937,    95,    -1,
      -1,    -1,    -1,    -1,   101,    -1,  4946,    -1,    -1,    -1,
      -1,  1317,  2001,    -1,   312,  4955,    -1,   315,  4958,  4959,
      -1,  4961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,  4971,    -1,   331,    -1,    -1,    -1,    85,    -1,  4979,
      88,    -1,    -1,    -1,   141,    -1,    -1,    -1,  1354,  1355,
      -1,    -1,    -1,  2091,    -1,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,  5013,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5023,    -1,    -1,    -1,    -1,  5028,    -1,
      -1,  2129,  2130,   190,    -1,   143,    -1,    -1,    -1,  2137,
     197,    -1,  2140,   200,    -1,    -1,  2144,   405,    -1,    -1,
      -1,    -1,    -1,    -1,  2152,  2153,    -1,    -1,    -1,    -1,
      -1,    -1,  2160,    -1,    95,  2163,  2164,  2165,  2166,    -1,
     101,    -1,    -1,    -1,    -1,  2173,  2174,    -1,  2176,    -1,
    2178,  2179,    -1,    -1,  2182,  5085,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5094,    -1,   253,    -1,    -1,  2197,
    2198,  2199,    -1,    -1,    -1,  2203,    -1,    -1,    -1,  2207,
     141,    -1,    -1,  2211,    -1,  2213,  2214,  2215,  2216,  2217,
    2218,  2219,  2220,  2221,    -1,  2223,    -1,    -1,    -1,    -1,
      85,  2229,    -1,    88,  2232,    -1,   244,   495,   496,   497,
     248,   499,   500,   501,   502,   503,   504,    -1,  2197,    -1,
     105,   509,    -1,   310,   109,   312,    -1,    -1,   113,   190,
      -1,   269,   270,    -1,   119,   322,   197,    -1,    -1,   200,
      -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,   286,    -1,
      -1,    -1,   339,  2232,    -1,    -1,    -1,  3118,   143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2294,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,   376,
     328,    -1,   253,   331,    -1,    -1,    -1,    -1,    -1,  3160,
    3161,    -1,  3163,   188,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   401,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,    85,    -1,    -1,    88,    -1,    -1,
      -1,   217,    -1,   219,    -1,    -1,    -1,    -1,    -1,   310,
      -1,   312,    -1,    -1,   105,    -1,    -1,    -1,  3219,   244,
    3221,   322,   113,   248,    -1,    -1,  2394,   405,   119,   330,
      -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,   339,    -1,
      -1,    -1,    -1,    -1,   269,   270,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,  2423,    -1,    -1,    -1,    -1,
      -1,   286,    -1,    -1,    -1,    -1,  2434,    -1,    -1,    -1,
      -1,   372,    -1,  2441,  3275,   376,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,
     315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3300,
     401,    -1,    -1,   328,  2472,    -1,   331,    -1,    -1,    -1,
    2478,    -1,    -1,    -1,    -1,  2483,  2484,   495,   496,   497,
    3321,   499,   500,   501,   502,   503,   504,  2495,    -1,   507,
      -1,    -1,   223,  3334,    -1,    -1,    -1,   228,    -1,    -1,
      -1,    -1,    -1,  2511,    -1,    -1,  2514,    -1,    -1,  1785,
      -1,    -1,    -1,   244,    95,    -1,    -1,   248,   459,  2478,
     101,    -1,    -1,    -1,  2483,  2484,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2495,    -1,   269,   270,
     405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   286,    -1,  3398,    -1,    -1,
     141,    -1,    -1,  1839,  1840,  1841,  1842,    -1,    -1,    -1,
      -1,    -1,    -1,  3414,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   312,    -1,    -1,   315,    -1,  3427,    -1,    -1,    -1,
      -1,   456,    -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,
     331,    -1,    -1,    -1,    -1,  1881,  1882,    -1,    -1,   190,
      -1,  1887,    -1,    -1,    -1,    -1,   197,    -1,    -1,   200,
      -1,    -1,    -1,    -1,    -1,  2633,    -1,  2635,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
      -1,    -1,    95,    -1,  2652,    -1,    -1,    -1,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1932,    -1,  3499,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   253,   126,   405,    -1,  2635,    -1,  3519,    -1,
      -1,    -1,    -1,  1959,  1960,  1961,  1962,    -1,   141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2710,  3544,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,
      -1,   312,    -1,    -1,    -1,    -1,    -1,   190,    -1,  3580,
      -1,   322,    -1,  2019,   197,    -1,    -1,   200,    -1,   330,
    2758,  2710,  2028,    -1,    -1,    -1,    -1,    -1,   339,  2035,
      -1,    -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   372,    -1,    -1,    -1,   376,    -1,   250,   105,    -1,
     253,  2809,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,    -1,  2825,    -1,    -1,
     401,    -1,    -1,  2831,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
    2848,  2849,    -1,    -1,    -1,   298,  2854,   300,    -1,    -1,
    2809,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,   312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,
      -1,  2879,  2880,    -1,    -1,    -1,  2884,   330,   459,    -1,
      -1,    -1,    -1,    -1,    -1,   338,   339,    -1,  2896,  2897,
    2898,  2899,    -1,    -1,    -1,    -1,  2904,    -1,    -1,    -1,
      -1,  2909,  2910,    -1,  2912,    -1,  2914,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2924,  2925,    -1,   372,
    2928,    -1,    -1,   376,   377,    -1,  2202,    -1,    -1,    -1,
      -1,    -1,    -1,  2941,  3775,  2943,    -1,   244,    -1,  2947,
      -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,   401,    -1,
      -1,    -1,    -1,    -1,    -1,  2963,    -1,    -1,    -1,   412,
      -1,    -1,   269,   270,    -1,    -1,  2974,    -1,  2976,  2977,
    2978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   834,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   843,    -1,    -1,
      -1,    -1,  3000,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3012,   312,   459,    -1,   315,  3017,
      -1,    -1,    -1,    -1,    -1,  3023,    -1,  2976,  2977,  2978,
     876,   328,    -1,  3031,   331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   350,    -1,   160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   932,    -1,  3919,    -1,
      -1,    -1,    -1,  3091,    -1,    -1,   942,    -1,    -1,    -1,
      -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,   405,    -1,
      -1,    -1,    -1,    -1,   219,    -1,    -1,    -1,   223,    -1,
    3118,    -1,   419,   228,  3955,    -1,    -1,    -1,   233,    -1,
      -1,   236,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     265,    -1,  3160,  3161,    -1,  3163,    -1,    -1,    -1,  3118,
    2436,  2437,  2438,    -1,    -1,    -1,    -1,    -1,    -1,  2445,
      -1,  2447,   287,  2449,  2450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3192,  3193,  3194,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,    -1,    -1,
    1056,  3160,  3161,    -1,  3163,    -1,  1062,    -1,    -1,   324,
    1066,  3219,    -1,  3221,    -1,    -1,    -1,   332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4067,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1091,    -1,  4078,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3219,    -1,  3221,    -1,   379,    -1,    -1,  3275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2551,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,   424,
      -1,    88,    -1,  3321,    -1,    -1,  3275,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3333,  3334,    -1,   105,    -1,
      -1,  2607,    -1,   448,    -1,    -1,   113,    -1,    -1,  2615,
      -1,  3300,   119,    -1,  2620,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4193,    -1,    -1,    -1,   471,    -1,   473,   474,
      -1,    -1,  3321,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3334,    -1,    -1,    -1,    -1,
    4221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3398,   506,  1248,    -1,   509,   510,  4237,   512,    -1,    -1,
      -1,    -1,    -1,  1259,    -1,    -1,  3414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3427,
      -1,    -1,    -1,    -1,    -1,  2701,  1282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3398,
      -1,    -1,  4283,    -1,    -1,   222,    -1,    -1,    -1,  3457,
      -1,    -1,    -1,    -1,    -1,  3414,    -1,  2733,    -1,  2735,
      -1,    -1,    -1,  1319,    -1,    -1,    -1,   244,  3427,    -1,
      -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3496,    -1,
      -1,  3499,   269,   270,    -1,    -1,    -1,    -1,  3506,    -1,
      -1,    -1,    -1,    -1,  3512,    -1,  3514,    -1,    -1,   286,
      -1,  3519,  3520,    -1,    -1,  3523,  3524,  3525,  3526,  3527,
    3528,  3529,  3530,  3531,  3532,    -1,    -1,    -1,  3536,  3537,
      -1,    -1,  1388,    -1,    -1,   312,  3544,    -1,   315,    -1,
    3499,  3549,    -1,    -1,    -1,  3553,    -1,  3555,    -1,  3557,
      -1,   328,    -1,    -1,   331,    -1,    -1,    -1,    -1,  3567,
    3519,    -1,  3570,    -1,  3572,    -1,  2842,    -1,    -1,    -1,
      -1,   348,  3580,  3581,  3582,  3583,    -1,    -1,    -1,  3587,
      -1,    -1,  3590,    -1,    -1,  3544,    -1,    -1,    -1,    -1,
      -1,  1447,  3600,  3601,    -1,    -1,  4437,    -1,    -1,    -1,
      -1,    -1,    -1,  3611,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3619,    85,  3621,    -1,    88,    -1,    -1,    -1,    -1,
    1476,  3580,    -1,    -1,    -1,    -1,   160,    -1,   405,    -1,
      -1,    -1,   105,    -1,    -1,   108,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,  1505,
      -1,    -1,    -1,    -1,    -1,  3663,    -1,    -1,    -1,    -1,
      -1,  3669,  3621,    -1,    -1,    -1,    -1,  3675,    -1,    -1,
     143,    -1,    -1,   207,    -1,    -1,    -1,  1533,  1534,    -1,
    1536,    -1,    -1,    -1,    -1,   219,    -1,    -1,    -1,   223,
      -1,    -1,  3700,    -1,   228,    -1,    -1,  1553,    -1,   233,
      -1,    -1,   236,    -1,   238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4553,    -1,    -1,    -1,    -1,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,    -1,    -1,
      -1,   265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1605,
      -1,    -1,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3770,    -1,    -1,    -1,  3774,  3775,  3776,    -1,
      -1,   244,    -1,    -1,    -1,   248,    -1,    -1,  1634,    -1,
      -1,    -1,  1638,  1639,    -1,    -1,    -1,    -1,    -1,    -1,
     324,    -1,    -1,    -1,    -1,    -1,   269,   270,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,   286,    -1,    -1,  3775,    -1,    -1,    -1,
    4661,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,   312,
      -1,   119,   315,  4684,  3852,   379,    -1,    -1,  3124,    -1,
    3126,  3127,  3128,    -1,    -1,   328,    -1,    -1,   331,    -1,
      -1,  1717,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4714,  1730,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3892,    -1,    -1,    -1,    -1,    -1,
     424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1763,    -1,    -1,
      -1,  3919,    -1,  4754,   448,  1771,    -1,  4758,  4759,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   405,    -1,    -1,    -1,    -1,   471,    -1,   473,
     474,    -1,    -1,    -1,  1800,    -1,    -1,  3955,  3956,  3957,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3919,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
     248,    -1,   506,    -1,    -1,   509,   510,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   269,   270,    -1,    -1,    -1,  3955,    -1,  1854,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,  4017,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1873,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,   312,    -1,  1892,   315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4054,    -1,    -1,    -1,
     328,    -1,    -1,   331,  1910,    -1,  4064,  4065,    -1,  4067,
      -1,    -1,    -1,    -1,  4072,  4073,    -1,   345,    -1,  4077,
    4078,    -1,    -1,    -1,    -1,  4083,  4084,    -1,    -1,  4087,
      -1,    -1,  1938,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4105,    -1,    -1,
      -1,  4109,    -1,    -1,   105,    -1,    -1,   108,  4067,    -1,
      -1,  4119,   113,    -1,    -1,    -1,  4124,    -1,   119,  4078,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,  4136,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1995,
      -1,    -1,   143,    -1,    -1,  2001,    -1,    -1,  2004,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4119,  3437,    -1,    -1,  3440,  4124,    -1,  4175,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4136,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4193,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4212,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3488,  4221,    -1,    -1,    -1,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,    -1,    -1,  4237,
      -1,    -1,    -1,    -1,  4193,  2091,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,   248,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4221,    -1,    -1,    -1,    -1,    -1,   269,   270,
      -1,    -1,    -1,  2129,  2130,  4283,    -1,    -1,  4237,    -1,
      -1,  2137,    -1,    -1,  2140,   286,    -1,    -1,  2144,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2152,  2153,    -1,    -1,
      -1,    -1,    -1,    -1,  2160,    -1,    -1,  2163,  2164,  2165,
    2166,   312,    -1,    -1,   315,    -1,    -1,  2173,  2174,    -1,
    2176,    -1,  2178,  2179,  4283,    -1,  2182,   328,    -1,    -1,
     331,    -1,    -1,  4341,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2197,  2198,    -1,  4352,    -1,    -1,  2203,    -1,    85,
      -1,  2207,    88,    -1,    -1,  2211,    -1,  2213,  2214,  2215,
    2216,  2217,  2218,  2219,  2220,  2221,    -1,  2223,    -1,   105,
      -1,    -1,    -1,  2229,    -1,    -1,  2232,   113,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4400,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,   405,    -1,    -1,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,   108,    -1,    -1,  4433,    -1,   113,    -1,  4437,
      -1,    -1,    -1,   119,  4442,    -1,    -1,    -1,  2294,    -1,
      -1,  4400,    -1,    -1,    -1,    -1,  3722,  3723,  3724,  3725,
      -1,  4459,  4460,    -1,    -1,  4463,    -1,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4476,    -1,
      -1,    -1,    -1,  4481,    -1,    -1,  4484,    -1,  4437,    -1,
      -1,  4489,  4490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   228,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,   248,    -1,  4522,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   269,   270,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4553,    -1,    -1,    -1,    -1,
     286,    -1,    -1,  4561,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,   248,    -1,    -1,    -1,    -1,  2423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,  2434,   315,
      -1,    -1,  4590,   269,   270,  2441,    -1,    -1,    -1,    -1,
      -1,    -1,   328,    -1,  4553,   331,  4604,    -1,    -1,    -1,
     286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3890,    -1,  2472,    -1,    -1,    -1,
      -1,    -1,  2478,    -1,    -1,    -1,   312,  2483,  2484,   315,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2495,
      -1,    -1,   328,    -1,    -1,   331,    -1,    -1,    -1,    -1,
      -1,  4659,    -1,  4661,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,
      -1,    -1,    -1,    -1,    -1,  4683,  4684,    -1,  4686,    -1,
    4688,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,  4705,    -1,    -1,
      -1,  4709,  4661,    -1,    -1,    -1,  4714,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,   405,
      -1,   119,    -1,    -1,    -1,  4684,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4750,    -1,    -1,   143,  4754,    -1,    -1,    -1,
    4758,  4759,    -1,    -1,    -1,  4714,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2633,    -1,  2635,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4795,    -1,    -1,
    1282,    -1,    -1,    -1,    -1,  4754,    -1,    -1,    -1,  4758,
    4759,    -1,    -1,    -1,    -1,    -1,  4814,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4834,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
     248,    -1,    -1,    -1,  2710,    -1,  4864,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   269,   270,  4881,    -1,  4834,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   312,    -1,    -1,   315,  4926,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4937,
     328,    -1,    -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4958,  4959,    -1,  2809,    -1,  1447,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4971,    -1,    -1,    -1,    -1,    -1,  2825,
      -1,    -1,    -1,    -1,    -1,  2831,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4264,    -1,
      -1,    -1,  2848,  2849,    -1,    -1,    -1,    -1,  2854,    -1,
      -1,    -1,  4278,    -1,    -1,  5013,    -1,   405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5023,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2879,  2880,    -1,    -1,    -1,  2884,    -1,
      -1,    -1,    -1,   431,    -1,  5043,    -1,    -1,    -1,    -1,
    2896,  2897,  2898,  2899,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2909,    -1,    -1,  2912,    -1,  2914,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2924,  2925,
      -1,    -1,  2928,    -1,    -1,    -1,    -1,  5085,    -1,    -1,
      -1,    -1,  5090,    -1,    -1,  2941,  5094,  2943,    -1,    -1,
    5098,  2947,    -1,    -1,    -1,    -1,    -1,   495,   496,   497,
    4376,   499,   500,   501,   502,   503,   504,  2963,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2974,    -1,
    2976,  2977,  2978,    -1,    -1,    96,     3,    -1,    -1,    -1,
      -1,    -1,     9,    -1,    -1,   106,    13,    -1,    15,    -1,
      17,    18,    -1,    -1,  3000,    -1,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    -1,    -1,  3012,    -1,    -1,    -1,
      -1,  3017,    -1,    -1,    -1,    -1,    -1,  3023,    45,    46,
      -1,   142,    -1,    -1,    -1,  3031,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   154,    -1,    -1,   157,    -1,    -1,    -1,
      -1,    -1,   163,    -1,    -1,    85,   167,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,   105,   187,    -1,   108,    -1,
      -1,    -1,    -1,   113,   101,  1717,   103,   104,    -1,   119,
      -1,    -1,   203,    -1,    -1,  3091,    -1,    -1,    -1,    -1,
      -1,   118,    -1,    -1,    -1,    -1,    -1,    -1,  4524,  4525,
    4526,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,  3118,   140,   141,    -1,   237,    -1,    -1,   146,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1771,
      -1,   158,    -1,   160,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,   176,
      -1,    -1,   179,    -1,  3160,  3161,    -1,  3163,  1800,    -1,
      -1,    -1,    -1,    -1,   191,    -1,   193,    -1,    -1,    -1,
     197,    -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   211,    -1,   213,    -1,    -1,    -1,
      -1,    -1,   219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,   233,    -1,   248,    -1,
      -1,    -1,    -1,  3219,    -1,  3221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   269,
     270,  1873,  4658,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,
    1892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   288,   289,    -1,    -1,    -1,    -1,   294,  1910,  3275,
      -1,    -1,   312,    -1,    -1,   315,   303,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,   328,    -1,
      -1,   331,    -1,    -1,  3300,   416,  1938,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4740,  3321,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   351,    -1,    -1,    -1,  3334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   363,  4763,    -1,  4765,
      -1,   368,   369,    -1,   371,    -1,    -1,    -1,    -1,   376,
      -1,    -1,    -1,    -1,   381,    -1,    -1,   384,    -1,  2001,
      -1,   388,    -1,    -1,    -1,   405,   393,   394,    -1,    -1,
      -1,    -1,    -1,    -1,   401,    -1,    -1,   404,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   412,    -1,    -1,    -1,    -1,
      -1,    -1,  3398,    -1,    -1,    -1,    -1,   424,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3414,    -1,
      -1,    -1,    -1,    -1,   441,    -1,   443,    -1,    -1,    -1,
      -1,  3427,    -1,    -1,   451,    -1,    -1,    -1,    -1,    -1,
     457,    -1,    -1,    -1,    -1,   462,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4870,    85,    -1,   474,    88,    -1,
      -1,  3457,    -1,    -1,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,
      -1,   508,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,
    3496,    -1,    -1,  3499,    -1,  4921,    -1,    -1,    -1,    -1,
    3506,    -1,    -1,   143,    -1,    -1,  3512,    -1,  3514,    -1,
      -1,    -1,    -1,  3519,  3520,    -1,    -1,  3523,  3524,  3525,
    3526,  3527,  3528,  3529,  3530,  3531,  3532,    -1,    -1,    -1,
    3536,  3537,    -1,    -1,    -1,    -1,    -1,    -1,  3544,    -1,
      -1,    -1,    -1,  3549,    -1,    -1,    -1,  3553,    -1,    -1,
      -1,  3557,    -1,  4979,    -1,  2197,    -1,    -1,    -1,    -1,
      -1,  3567,    -1,    -1,  3570,    -1,  3572,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3580,  3581,  3582,  3583,    -1,    -1,
     160,  3587,   703,   704,  3590,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3600,  3601,    -1,    -1,    -1,   720,
      -1,    -1,  5028,    -1,   244,  3611,    -1,    -1,   248,    -1,
      -1,    -1,    -1,  3619,    -1,  3621,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   207,    -1,   269,
     270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,
      -1,    -1,    -1,   223,    -1,    -1,   286,    -1,   228,    -1,
      -1,    -1,    -1,   233,    -1,    -1,   236,  3663,   238,    -1,
      -1,    -1,    -1,  3669,    -1,    -1,    -1,    -1,    -1,  3675,
      -1,    -1,   312,    -1,    -1,   315,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   265,    -1,    -1,   328,    -1,
      -1,   331,    -1,    -1,  3700,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     851,   852,    -1,   854,    -1,   856,    -1,   858,    -1,    -1,
      -1,    -1,    -1,    -1,   324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   332,    -1,    -1,    -1,   877,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   885,   405,    -1,    -1,    -1,  3775,
      -1,    -1,    -1,   894,   895,    -1,    -1,    -1,   899,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   916,    -1,   918,    -1,   379,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   949,    -1,
      -1,   952,    -1,   954,    -1,   956,  2478,    -1,    -1,    -1,
      -1,  2483,  2484,    -1,   424,    -1,    -1,    -1,   969,   970,
      -1,    -1,    -1,  2495,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,   986,    -1,   988,   448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3892,    -1,    -1,    -1,
      -1,   471,    -1,   473,   474,    -1,  1017,  1018,    -1,    -1,
      -1,    -1,    -1,    -1,  1025,    -1,  1027,    -1,    -1,    -1,
      -1,    -1,    -1,  3919,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   506,    -1,    -1,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,  1058,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3955,
    3956,  3957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2635,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1164,    -1,  1166,    -1,    -1,  4054,  1170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4064,  4065,
      -1,  4067,    -1,    -1,    -1,    -1,  4072,  4073,  2710,  1190,
      -1,  4077,  4078,    -1,    -1,    -1,    -1,  4083,  4084,    -1,
      -1,  4087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    89,    -1,  4105,
      -1,    -1,    94,  4109,    96,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4119,   106,  1236,    -1,    -1,  4124,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4136,  1252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     132,    -1,    -1,    -1,  1265,    -1,    -1,    -1,    -1,    -1,
     142,  1272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   153,   154,  1284,    -1,   157,  1287,  2809,    -1,  4175,
      -1,   163,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,  1320,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   203,    -1,    -1,    -1,  4221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4283,    -1,    -1,
      -1,    -1,  1403,    -1,  1405,    -1,    -1,  1408,    -1,  1410,
      -1,    -1,  1413,  1414,  1415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1439,    -1,
    1441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4352,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4400,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   416,    -1,    -1,  4433,    -1,    -1,
      -1,  4437,    -1,    -1,    -1,    -1,  4442,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4459,  4460,    -1,    -1,  4463,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4476,    -1,    -1,    -1,    -1,  4481,  3118,    -1,  4484,    -1,
      -1,    -1,    -1,  4489,  4490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1624,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4522,    -1,  3160,  3161,
      -1,  3163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4553,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4561,    -1,    -1,    -1,    -1,
      -1,  1682,    -1,    -1,  1685,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1693,    -1,    -1,    -1,    -1,  3219,    -1,  3221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1749,    -1,
      -1,    -1,    -1,  3275,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4659,    -1,  4661,    -1,    -1,  3300,    -1,
     652,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4683,  4684,  3321,
    4686,    -1,  4688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3334,    -1,    -1,    -1,    -1,    -1,    -1,  4705,
      -1,    -1,    -1,  4709,    -1,    -1,    -1,    -1,  4714,    -1,
      -1,   703,   704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   720,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4754,    -1,
      -1,    -1,  4758,  4759,    -1,    -1,  3398,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3427,    -1,    -1,    -1,  4795,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4814,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1942,    -1,    -1,    -1,    -1,    -1,    -1,  4834,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1957,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3499,  4864,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4881,    -1,  3519,    -1,    -1,
      -1,    -1,  2003,    -1,    -1,    -1,  2007,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2018,    -1,  2020,
      -1,  2022,  3544,    -1,    -1,    -1,  2027,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4926,    -1,    -1,   915,   916,    -1,   918,    -1,    -1,    -1,
      -1,  4937,    -1,    -1,    -1,    -1,    -1,    -1,  3580,  2060,
      -1,  2062,    -1,    -1,    -1,  2066,    -1,  2068,    -1,    -1,
    2071,    -1,  4958,  4959,  2075,  2076,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4971,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   966,    -1,    -1,   969,   970,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   984,    -1,   986,    -1,   988,    -1,    -1,    -1,
      -1,    -1,   994,    -1,    -1,    -1,   998,  5013,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5023,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1017,  1018,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1058,    -1,  1060,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5085,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3775,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1151,
    1152,    -1,    -1,  1155,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   834,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   843,    -1,    -1,    -1,    -1,  1201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   876,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2374,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2391,  2392,    -1,    -1,    -1,  2396,  2397,  3919,    -1,  2400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2410,
      -1,    -1,    -1,   932,    -1,    -1,  2417,    -1,    -1,    -1,
    2421,  2422,    -1,   942,  2425,  2426,    -1,    -1,    -1,    -1,
      -1,  2432,    -1,  3955,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2444,    -1,  2446,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2462,    -1,    -1,    -1,    -1,  2467,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2498,  2499,  2500,
    2501,    -1,    -1,    -1,  2505,  2506,    -1,    -1,    -1,    -1,
      -1,    -1,  2513,    -1,    -1,  2516,    -1,    -1,    -1,  2520,
      -1,    -1,    -1,    -1,    -1,    -1,  1398,    -1,    -1,    -1,
      -1,  1403,    -1,  1405,    -1,    -1,  1408,  1056,  1410,    -1,
    2541,  1413,  1414,  1415,    -1,  4067,    -1,  1419,    -1,    -1,
      -1,  2552,    -1,  2554,  1426,    -1,  4078,    -1,  2559,    -1,
       5,    -1,    -1,  2564,  2565,  2566,  2567,  1439,  2569,  1441,
      -1,    -1,  1091,    -1,  1446,    -1,    -1,    -1,    -1,    -1,
      25,  2582,  2583,  2584,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    36,  2593,  2594,    -1,    -1,    -1,    -1,    43,    44,
      -1,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2653,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,
      -1,    -1,  1564,    -1,    -1,    -1,    -1,    -1,    -1,  4221,
      -1,  1573,  1574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4237,    -1,    -1,  1590,    -1,
      -1,    -1,    -1,  1595,  1596,    -1,    -1,    -1,    -1,  1248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,  4283,    -1,  1282,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2774,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   241,    -1,    -1,    -1,
    1319,    -1,    -1,    -1,    -1,  1677,    -1,  1679,    -1,    -1,
      -1,    -1,    -1,    -1,  2815,    -1,    -1,  1689,   263,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1388,
      -1,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1761,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4437,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1447,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1812,    -1,    -1,  1815,  1816,    -1,    -1,   392,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1505,    -1,    -1,   434,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448,    -1,    -1,    -1,  1879,    -1,    -1,
      -1,    -1,    -1,    -1,  1533,  1534,    -1,  1536,   463,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4553,    -1,    -1,  1553,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,    -1,    -1,
     495,    -1,    -1,    -1,   499,   500,   501,   502,   503,    -1,
      -1,   506,   507,   508,    -1,    -1,    -1,    -1,   513,   514,
    3071,  3072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1605,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3113,    -1,    -1,  1634,    -1,    -1,    -1,  1638,
    1639,  3122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3137,  3138,    -1,  4661,
      -1,  3142,    -1,    -1,    -1,    -1,  3147,  3148,  3149,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4684,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3183,  3184,  3185,  3186,    -1,    -1,  2060,    -1,
    2062,    -1,  4714,    -1,  2066,    -1,  2068,    -1,  1717,  2071,
      -1,    -1,    -1,  2075,    -1,    -1,    -1,    -1,  2080,    -1,
      -1,    -1,  3213,  3214,  3215,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4754,    -1,    -1,    -1,  4758,  4759,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1771,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     853,  1800,    -1,    -1,    -1,    -1,  3287,    -1,   861,    -1,
      -1,    -1,    -1,    -1,  3295,    -1,   869,    -1,    -1,    -1,
      -1,   874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3349,    -1,
      -1,    -1,    -1,    -1,  1873,    -1,  2228,    -1,    -1,    -1,
      -1,    -1,    -1,  2235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2244,  1892,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3391,  1910,    -1,  3394,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1938,
    1056,    -1,    -1,    -1,  3425,    -1,    -1,  3428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2307,    -1,    -1,    -1,    -1,
      -1,  3442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1091,  1029,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1995,    -1,    -1,    -1,
      -1,    -1,  2001,    -1,    -1,  2004,    -1,  2359,  1061,    -1,
      -1,  2363,    -1,    -1,    -1,    -1,    -1,  2369,    -1,  2371,
      -1,    -1,  2374,    -1,    -1,    -1,  1079,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2129,  2130,    -1,    -1,    -1,    -1,    -1,    -1,  2137,    -1,
      -1,  2140,    -1,    -1,    -1,  2144,    -1,    -1,    -1,  1202,
      -1,    -1,    -1,  2152,  2153,    -1,    -1,    -1,    -1,    -1,
      -1,  2160,    -1,    -1,  2163,  2164,  2165,  2166,    -1,    -1,
      -1,    -1,    -1,    -1,  2173,  2174,    -1,  2176,    -1,  2178,
    2179,    -1,    -1,  2182,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2545,    -1,    -1,    -1,    -1,  2197,  2198,
      -1,  2553,    -1,  2555,  2203,    -1,    -1,    -1,  2207,    -1,
      -1,    -1,  2211,    -1,  2213,  2214,  2215,  2216,  2217,  2218,
    2219,  2220,  2221,    -1,  2223,    -1,  3707,    -1,  3709,    -1,
    2229,    -1,    -1,  2232,    -1,  3716,    -1,    -1,  1291,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3732,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1313,  1314,  1315,    -1,    -1,    -1,    -1,    -1,  3749,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3758,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2294,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3804,  3805,  3806,  3807,  3808,  3809,  3810,
    3811,    -1,    -1,    -1,    -1,  3816,  3817,    -1,  3819,  3820,
    3821,  3822,  3823,  3824,  3825,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3834,    -1,  3836,  3837,    -1,    -1,    -1,
    1476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1450,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3886,  3887,  3888,  1461,    -1,
    3891,    -1,    -1,    -1,    -1,    -1,    -1,  1533,  1534,    -1,
    1536,    -1,  2774,  2775,  2423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2434,    -1,  1553,    -1,  2791,
      -1,    -1,  2441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2478,
      -1,    -1,    -1,    -1,  2483,  2484,    -1,    -1,    -1,  1605,
      -1,  3972,    -1,    -1,    -1,    -1,  2495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1634,    -1,
      -1,    -1,  1638,  1639,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1602,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1650,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2633,    -1,  2635,    -1,    -1,  2991,
      -1,    -1,    -1,    -1,  2996,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1775,  4204,  4205,  4206,  4207,    -1,    -1,  1782,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4228,  4229,  4230,
    4231,    -1,  4233,  4234,    -1,  1808,    -1,    -1,  1811,  2758,
      -1,    -1,    -1,    -1,  4245,  4246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1843,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1857,    -1,    -1,    -1,    -1,    -1,
    2809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1871,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2825,    -1,    -1,    -1,
      -1,    -1,  2831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2848,
    2849,    -1,    -1,    -1,    -1,  2854,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4359,    -1,
    2879,  2880,    -1,    -1,    -1,  2884,    -1,  4368,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2896,  2897,  2898,
    2899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4389,    -1,
    2909,    -1,    -1,  2912,    -1,  2914,    -1,    -1,  1971,    -1,
      -1,    -1,    -1,    -1,  1977,  2924,  2925,    -1,    -1,  2928,
      -1,    -1,  4413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2941,    -1,  2943,    -1,    -1,    -1,  2947,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2963,    -1,    -1,    -1,    -1,  3321,
      -1,    -1,    -1,    -1,    -1,  2974,    -1,  2976,  2977,  2978,
      -1,    -1,  3334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2048,    -1,    -1,    -1,    -1,
      -1,  3000,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3012,    -1,    -1,    -1,    -1,  3017,    -1,
      -1,  2137,    -1,    -1,  3023,    -1,  4507,    -1,    -1,    -1,
      -1,    -1,  3031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2095,  2096,  2160,    -1,    -1,  2163,    -1,    -1,
    2166,    -1,    -1,    -1,    -1,    -1,    -1,  2173,  2174,    -1,
      -1,    -1,    -1,  2179,    -1,    -1,  2182,    -1,    -1,    -1,
      -1,    -1,    -1,  3425,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2198,    -1,    -1,    -1,    -1,  2203,    -1,    -1,
    4571,  2207,  3091,    -1,    -1,  2211,    -1,  2213,  2214,  2215,
    2216,  2217,  2218,  2219,  2220,  2221,    -1,  2223,    -1,    -1,
      -1,    -1,    -1,  2229,    -1,    -1,  2232,    -1,    -1,  3118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3160,  3161,    -1,  3163,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2228,    -1,    -1,  2294,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4667,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1282,    -1,    -1,    -1,    -1,    -1,    -1,
    3219,    -1,  3221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2290,    -1,  2292,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4748,    -1,    -1,
      -1,    -1,  4753,    -1,    -1,  2328,  3275,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1549,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3300,    -1,    -1,    -1,    -1,    -1,  2423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3321,    -1,    -1,    -1,    -1,    -1,  3680,    -1,
      -1,    -1,    -1,    -1,    -1,  3334,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4838,    -1,    -1,
      -1,    -1,    -1,    -1,  1620,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1447,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3398,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3775,    -1,    -1,    -1,    -1,  3427,    -1,
      -1,    -1,    -1,    -1,  4915,    -1,    -1,    -1,    -1,  4920,
      -1,    -1,    -1,    -1,    -1,  3797,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2508,    -1,    -1,  3457,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3496,    -1,    -1,
    3499,    -1,    -1,    -1,    -1,    -1,    -1,  3506,    -1,    -1,
      -1,    -1,    -1,  3512,    -1,  3514,    -1,  2633,    -1,    -1,
    3519,  3520,    -1,    -1,  3523,  3524,  3525,  3526,  3527,  3528,
    3529,  3530,  3531,  3532,    -1,    -1,    -1,  3536,  3537,    -1,
      -1,    -1,    -1,    -1,    -1,  3544,    -1,    -1,    -1,    -1,
    3549,    -1,    -1,    -1,  3553,    -1,    -1,    -1,  3557,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3567,    -1,
      -1,  3570,    -1,  3572,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3580,  3581,  3582,  3583,    -1,    -1,    -1,  3587,    -1,
      -1,  3590,    -1,  1282,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3600,  3601,    -1,    -1,    -1,    -1,    -1,    -1,  2662,
      -1,    -1,  3611,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3619,    -1,  3621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2758,    -1,    -1,  3997,    -1,    -1,  1717,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3663,    -1,    -1,    -1,    -1,    -1,
    3669,    -1,    -1,    -1,    -1,    -1,  3675,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3700,  1771,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1800,    -1,  2849,    -1,    -1,    -1,    -1,  2854,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1447,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3775,    -1,    -1,    -1,
    2896,    -1,  2898,  2899,    -1,    -1,    -1,  2043,  4140,    -1,
      -1,    -1,    -1,  2909,    -1,    -1,  2912,    -1,  2914,    -1,
      -1,    -1,    -1,    -1,  1873,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1892,    -1,  2941,    -1,  2943,    -1,    -1,
      -1,  2947,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1282,    -1,    -1,    -1,
    2976,  2977,  2978,    -1,    -1,    -1,  4218,    -1,    -1,  1938,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2135,
      -1,    -1,    -1,    -1,  3000,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3892,    -1,    -1,  3012,    -1,    -1,    -1,
      -1,  3017,    -1,  2159,    -1,    -1,    -1,  3023,  2164,    -1,
      -1,    -1,    -1,    -1,  2967,    -1,    -1,    -1,    -1,    -1,
    3919,    -1,    -1,    -1,    -1,    -1,    -1,  1282,  2184,  2185,
      -1,  2187,  2001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4298,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3955,  3956,  3957,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2227,    -1,  4325,    -1,  3091,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4017,    -1,
      -1,  1447,    -1,    -1,    -1,  2281,    -1,    -1,  1717,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4054,    -1,    -1,    -1,  2315,
      -1,    -1,  2318,    -1,    -1,  4064,  4065,    -1,  4067,    -1,
      -1,    -1,    -1,  4072,  4073,    -1,    -1,    -1,  4077,  4078,
      -1,    -1,  1771,    -1,  4083,  4084,    -1,    -1,  4087,    -1,
      -1,    -1,  1447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4105,    -1,    -1,    -1,
    4109,  1800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4119,    -1,    -1,    -1,    -1,  4124,    -1,    -1,  2197,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4136,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4507,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1873,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4193,    -1,    -1,    -1,    -1,    -1,
      -1,  4553,    -1,  1892,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1282,    -1,
      -1,  1910,  4221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4237,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1938,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4283,    -1,    -1,    -1,    -1,    -1,
      -1,  1717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3354,  3355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2001,    -1,    -1,    -1,    -1,  3370,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3393,    -1,  4341,    -1,    -1,  1771,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4352,  3407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1800,    -1,    -1,    -1,    -1,    -1,
    3496,    -1,    -1,  1447,    -1,    -1,    -1,    -1,    -1,    -1,
    3506,    -1,    -1,    -1,    -1,    -1,  3512,    -1,  3514,    -1,
      -1,  4400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2478,
      -1,    -1,    -1,    -1,  2483,  2484,  1771,    -1,    -1,    -1,
    3536,  3537,    -1,    -1,    -1,  3478,  2495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4433,    -1,    -1,    -1,  4437,    -1,
      -1,  3557,    -1,  4442,    -1,  1800,    -1,  1873,    -1,    -1,
      -1,  3567,    -1,    -1,  3570,    -1,  3572,    -1,    -1,    -1,
    4459,  4460,    -1,    -1,  4463,  3581,  1892,    -1,    -1,    -1,
      -1,  3587,    -1,    -1,  3590,    -1,    -1,  4476,    -1,    -1,
      -1,    -1,  4481,    -1,  1910,  4484,    -1,    -1,    -1,  4841,
    4489,  4490,    -1,    -1,    -1,  3611,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3619,    -1,  3621,    -1,    -1,  2197,    -1,
      -1,    -1,  1938,    -1,    -1,    -1,    -1,    -1,  1873,    -1,
      -1,    -1,    -1,  4522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1892,    -1,    -1,
      -1,    -1,    -1,    -1,  3597,  3598,  3599,  3663,    -1,    -1,
      -1,    -1,    -1,  3669,  4553,  1910,    -1,    -1,    -1,  3675,
      -1,    -1,  4561,    -1,    -1,    -1,  2635,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2001,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1938,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2852,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4604,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2875,
      -1,  2877,    -1,  2879,  2880,  2881,    -1,    -1,  2884,    -1,
      -1,    -1,  2888,    -1,    -1,    -1,    -1,    -1,    -1,  2895,
      -1,  2710,    -1,    -1,  2900,    -1,  2001,    -1,    -1,    -1,
    2906,    -1,    -1,  1717,    -1,  2911,    -1,    -1,    -1,    -1,
    4659,    -1,  4661,    -1,  2920,    -1,    -1,    -1,  2924,  2925,
      -1,  2927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2939,  4683,  4684,    -1,  4686,    -1,  4688,
    2946,    -1,  2948,  2949,  2950,  2951,  2952,  2953,  2954,  2955,
    2956,  2957,    -1,    -1,    -1,    -1,  4705,  1771,    -1,    -1,
    4709,    -1,    -1,    -1,    -1,  4714,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2982,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1800,    -1,    -1,    -1,
    2809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4754,    -1,    -1,    -1,  4758,
    4759,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2478,
      -1,    -1,    -1,    -1,  2483,  2484,  4795,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2495,    -1,    -1,  1873,
      -1,    -1,    -1,    -1,    -1,  4814,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3879,    -1,  1892,    -1,
      -1,    -1,    -1,    -1,    -1,  4834,    -1,    -1,    -1,    -1,
    3956,  3957,  2197,    -1,    -1,  3898,  1910,    -1,    -1,    -1,
    3106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4864,    -1,    -1,    -1,    -1,
      -1,    -1,  3925,    -1,  1938,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4926,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2001,  4937,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2635,    -1,  4064,  4065,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4958,
    4959,  4077,    -1,    -1,    -1,    -1,    -1,  4083,  4084,    -1,
      -1,  4087,  4971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4119,    -1,    -1,    -1,    -1,  4124,    -1,
      -1,    -1,    -1,    -1,  5013,    -1,    -1,    -1,    -1,    -1,
    4136,  2710,    -1,    -1,  5023,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4089,  4090,  4091,  4092,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3118,
      -1,    -1,  2478,    -1,    -1,    -1,    -1,  2483,  2484,  4175,
      -1,    -1,    -1,    -1,    -1,    -1,  3322,    -1,    -1,  2495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5085,    -1,    -1,    -1,
      -1,  3160,  3161,    -1,  3163,  5094,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2809,    -1,    -1,  2478,    -1,    -1,    -1,    -1,  2483,  2484,
      -1,    -1,    -1,  2197,    -1,    -1,    -1,    -1,    -1,    -1,
    2495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3219,    -1,  3221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3275,    -1,    -1,  2635,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4341,    -1,    -1,    -1,    -1,
      -1,  3300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3495,
      -1,    -1,    -1,    -1,    -1,  3501,    -1,    -1,    -1,    -1,
      -1,    -1,  3321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3517,  3518,    -1,  3520,  3334,    -1,  3523,  3524,  3525,
    3526,  3527,  3528,  3529,  3530,  3531,  3532,  3533,    -1,    -1,
    2635,    -1,    -1,    -1,  2710,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3558,    -1,    -1,  3561,    -1,  3563,    -1,    -1,
      -1,    -1,  3568,  3569,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3582,  3583,  3584,  3398,
    3586,    -1,    -1,  3589,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3414,    -1,  4463,    -1,    -1,
    4403,    -1,    -1,    -1,    -1,  2710,    -1,    -1,  3427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2809,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3647,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3658,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2478,    -1,    -1,    -1,    -1,  2483,
    2484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3118,
    3499,  2495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3519,    -1,    -1,    -1,  2809,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3160,  3161,    -1,  3163,  3544,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3219,    -1,  3221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4686,  2635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3275,    -1,    -1,  4705,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4650,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3321,    -1,    -1,    -1,  3892,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3334,  2710,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4744,  3118,    -1,    -1,    -1,    -1,    -1,  4814,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3775,    -1,    -1,  3398,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3160,  3161,    -1,  3163,  3427,    -1,
      -1,    -1,    -1,    -1,    -1,  2809,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4018,  3118,    -1,  4881,  4022,  4023,  4024,    -1,
      -1,  4027,    -1,    -1,    -1,    -1,  4032,  4033,  4034,  4035,
    4036,  4037,  4038,  4039,  4040,  4041,  4042,  4043,    -1,    -1,
      -1,    -1,    -1,  3219,    -1,  3221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3160,  3161,    -1,  3163,    -1,
    3499,    -1,    -1,    -1,    -1,  4071,  4072,  4073,  4074,    -1,
    4076,    -1,    -1,    -1,  4080,  4081,  4082,    -1,    -1,  4085,
    3519,    -1,  4088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4958,  4959,    -1,    -1,    -1,    -1,    -1,  3275,
    3919,    -1,    -1,    -1,    -1,  3544,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3219,  4121,  3221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3300,    -1,    -1,  4133,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3955,    -1,    -1,    -1,
      -1,  3580,    -1,    -1,  4150,  3321,    -1,  5013,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5023,  3334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3300,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3321,    -1,    -1,  5085,
      -1,    -1,  3398,    -1,    -1,    -1,    -1,    -1,    -1,  3334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4067,    -1,
      -1,  3427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4078,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3118,    -1,    -1,    -1,    -1,  3414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3427,  3499,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3775,    -1,  4344,    -1,
      -1,    -1,    -1,  3519,    -1,    -1,  3160,  3161,    -1,  3163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3544,    -1,
      -1,    -1,    -1,    -1,  4193,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4397,  4398,    -1,  3499,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4221,    -1,  3580,  3219,    -1,  3221,    -1,    -1,
      -1,    -1,    -1,    -1,  3519,    -1,    -1,    -1,  4237,    -1,
      -1,    -1,    -1,  4429,    -1,    -1,    -1,  4433,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3544,
      -1,  4447,    -1,  4449,    -1,    -1,    -1,    -1,  4454,  4455,
    4456,    -1,    -1,  4459,  4460,  4461,  4462,    -1,  4464,    -1,
      -1,  3275,    -1,    -1,  4283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3580,    -1,    -1,    -1,    -1,
    3919,    -1,    -1,    -1,    -1,    -1,  3300,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3321,    -1,    -1,
      -1,    25,    -1,    -1,  4520,    -1,  3955,    -1,    -1,    -1,
    3334,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,
      44,    -1,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3775,
    3414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4616,    -1,    -1,  3427,    -1,    -1,    -1,    -1,  4437,    -1,
     134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4067,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4078,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3775,    -1,    -1,    -1,    -1,    -1,  4682,  4683,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3499,    -1,    -1,    -1,    -1,
     204,    -1,  4698,  4699,  4700,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3519,    -1,   221,    -1,    -1,
      -1,  4717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   241,    -1,    -1,
    3544,    -1,    -1,    -1,  4553,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3919,    -1,    -1,    -1,    -1,    -1,   263,
      -1,    -1,    -1,    -1,  4193,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3955,
      -1,    -1,  4221,    -1,    -1,   299,    -1,    -1,   302,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4237,    -1,
      -1,    -1,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3919,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4844,    -1,
      -1,    -1,  4661,    -1,  4283,    -1,    -1,    -1,  4854,    -1,
    3955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4684,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4067,    -1,    -1,    -1,  4714,    -1,    -1,    -1,    -1,
      -1,    -1,  4078,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4925,
     434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,  4754,    -1,    -1,    -1,  4758,
    4759,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3775,  4067,    -1,  4970,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4078,    -1,   489,    -1,    -1,    -1,    -1,
      -1,   495,    -1,    -1,    -1,   499,   500,   501,   502,   503,
      -1,    -1,   506,   507,   508,   509,    -1,    -1,  4437,   513,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5016,    -1,    -1,    -1,    -1,    -1,    -1,  4193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5064,    -1,
      -1,  4237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4193,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,    -1,    -1,    -1,    -1,  3919,    -1,  4283,    -1,    -1,
      -1,    -1,    -1,    -1,  4553,    -1,  4221,    -1,    -1,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    36,  4237,    -1,    -1,    -1,    -1,    -1,    43,    44,
      -1,  3955,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,  4283,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4661,    -1,    -1,    -1,    -1,    -1,    -1,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4684,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4067,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4437,    -1,    -1,  4078,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4714,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4754,   221,    -1,    -1,  4758,
    4759,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4437,    -1,    -1,    -1,   241,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4553,    -1,  4193,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4221,    -1,    -1,
      -1,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4237,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4553,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4661,    -1,   392,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4684,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4714,    -1,
      -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4661,    -1,   463,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4754,  4684,
      -1,    -1,  4758,  4759,   489,    -1,    -1,    -1,    -1,    -1,
     495,    -1,    -1,    -1,   499,   500,   501,   502,   503,    -1,
      -1,   506,   507,   508,   509,    -1,    -1,    -1,   513,  4714,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4437,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4754,
      -1,    -1,    -1,  4758,  4759,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4553,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4661,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4684,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
    4714,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
    4754,    -1,    -1,    -1,  4758,  4759,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,   514,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   101,    -1,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,   115,    -1,    -1,   118,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,   138,
      -1,   140,   141,   142,    -1,   144,    -1,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   158,
      -1,   160,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,   174,    -1,   176,   177,   178,
     179,    -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,
      -1,    -1,   191,    -1,   193,    -1,    -1,    -1,   197,    -1,
      -1,    -1,    -1,    -1,   203,   204,    -1,    -1,    -1,    -1,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,    -1,    -1,
     219,    -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,
     229,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,   258,
      -1,    -1,   261,    -1,    -1,   264,    -1,   266,    -1,    -1,
     269,   270,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   283,   284,    -1,   286,    -1,   288,
     289,    -1,    -1,    -1,    -1,   294,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   303,    -1,    -1,   306,   307,   308,
      -1,    -1,   311,    -1,    -1,   314,   315,    -1,    -1,   318,
      -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   333,   334,   335,   336,   337,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,
     349,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   362,   363,    -1,    -1,    -1,    -1,   368,
     369,    -1,   371,    -1,    -1,    -1,    -1,   376,    -1,    -1,
      -1,    -1,   381,   382,    -1,   384,   385,    -1,    -1,   388,
      -1,    -1,    -1,    -1,   393,   394,    -1,    -1,    -1,    -1,
      -1,    -1,   401,   402,    -1,   404,   405,    -1,   407,    -1,
      -1,    -1,    -1,   412,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   420,    -1,    -1,    -1,   424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   432,   433,    -1,    -1,    -1,   437,    -1,
     439,    -1,   441,    -1,   443,    -1,    -1,    -1,    -1,   448,
      -1,    -1,   451,    -1,    -1,   454,    -1,    -1,   457,    -1,
      -1,    -1,    -1,   462,   463,    -1,    -1,   466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   474,    -1,    -1,    -1,    -1,
      -1,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,   508,
      26,    27,    -1,   512,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,
     216,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,
      -1,   227,    -1,   229,    -1,    -1,    -1,    -1,    -1,   235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   257,   258,    -1,    -1,    -1,    -1,    -1,   264,    -1,
     266,    -1,    -1,   269,   270,    -1,   272,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,   284,    -1,
     286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     306,   307,   308,    -1,    -1,   311,    -1,    -1,    -1,   315,
      -1,    -1,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,   334,   335,
     336,   337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   347,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,   405,
      -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   432,   433,    -1,    -1,
      -1,   437,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   480,   481,   482,   483,   484,   485,
     486,   487,   488,    -1,    -1,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,   515,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,
      -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,    -1,    -1,   227,    -1,   229,    -1,
      -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   257,   258,    -1,    -1,
      -1,    -1,    -1,   264,    -1,   266,    -1,    -1,   269,   270,
      -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   283,   284,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   306,   307,   308,    -1,    -1,
     311,    -1,    -1,    -1,   315,    -1,    -1,   318,    -1,   320,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   333,   334,   335,   336,   337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   382,    -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   402,    -1,    -1,   405,    -1,   407,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   432,   433,    -1,    -1,    -1,   437,    -1,   439,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   463,    -1,    -1,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    -1,    -1,
      -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,
      -1,    43,    44,    -1,   515,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   241,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,
     302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   317,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,    -1,    -1,
      -1,    -1,    -1,   495,    -1,    -1,    -1,   499,   500,   501,
     502,   503,    -1,    -1,   506,   507,   508,    -1,    -1,    -1,
      -1,   513,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,   501,    -1,
      -1,    -1,    -1,    -1,    -1,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
      -1,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,    -1,    -1,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,    -1,   348,    -1,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,   464,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   509,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,    -1,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,    -1,    -1,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,    -1,   348,    -1,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,   463,   464,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   509,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,   506,   507,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,   501,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   508,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   508,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,   327,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,   327,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     509,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,   326,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   499,   500,   501,    -1,    -1,    -1,    -1,    -1,    -1,
     508,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,   507,   508,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   508,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   508,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   508,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   508,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   508,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   508,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   508,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   508,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,    -1,
     435,   436,    -1,   438,    -1,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,    -1,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       5,     6,     7,     8,     9,    10,    11,    12,    13,   501,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,    -1,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,    -1,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,    -1,    -1,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,    -1,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   501,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,   501,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     501,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,   326,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,   326,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,   326,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,   228,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,   228,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,   228,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,   228,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,     4,   495,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,    -1,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,    -1,    -1,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,    -1,   348,    -1,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,    -1,   463,   464,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,   491,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,    -1,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
      -1,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
      -1,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,    -1,   348,    -1,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,    -1,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,    -1,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,    -1,    -1,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,    -1,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,    -1,   348,    -1,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,    -1,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   489,   490,   491,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,    -1,   213,   214,   215,    -1,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,    -1,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,    -1,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,    -1,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,    -1,   334,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,    -1,   348,
      -1,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     489,   490,   491,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,    -1,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,    -1,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,    -1,    -1,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,    -1,   334,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,    -1,   348,    -1,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,    -1,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,    -1,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,    -1,    -1,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,    -1,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,   215,    -1,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
      -1,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,    -1,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,    -1,
      -1,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,    -1,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,    -1,
     348,    -1,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,    -1,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,    -1,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,    -1,
     121,    -1,    -1,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,    -1,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,    -1,    -1,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,
      -1,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,    -1,    -1,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,    -1,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,    -1,   309,   310,
      -1,    -1,   313,   314,   315,   316,    -1,    -1,   319,    -1,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,    -1,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,    -1,   348,    -1,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,    -1,   403,   404,   405,   406,    -1,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,    -1,    -1,    -1,    -1,   436,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    -1,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,   326,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,    -1,    -1,   145,   146,   147,   148,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,   225,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,   225,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,   233,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,   160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,   233,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,   225,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,   225,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,   160,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,   327,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,   327,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,   327,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    74,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,    -1,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,   258,    -1,    -1,    -1,    -1,
      -1,   264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     283,   284,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,
      -1,    -1,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     333,   334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   347,    -1,   349,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,
      -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,
      -1,    -1,   405,    -1,   407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,
     433,    -1,    -1,    -1,   437,    -1,   439,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     463,    -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,   229,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,   258,    -1,
      -1,    -1,    -1,    -1,   264,    -1,   266,    -1,    -1,   269,
     270,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,   284,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   306,   307,   308,    -1,
      -1,   311,    -1,    -1,    -1,   315,    -1,    -1,   318,    -1,
     320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   333,   334,   335,   336,   337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   382,    -1,    -1,   385,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   402,    -1,    -1,   405,    -1,   407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   432,   433,    -1,    -1,    -1,   437,    -1,   439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   463,    -1,    -1,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     480,   481,   482,   483,   484,   485,   486,   487,   488,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
     227,    -1,   229,    -1,    -1,    -1,    -1,    -1,   235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     257,   258,    -1,    -1,    -1,    -1,    -1,   264,    -1,   266,
      -1,    -1,   269,   270,    -1,   272,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   283,   284,    -1,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,
     307,   308,    -1,    -1,   311,    -1,    -1,    -1,   315,    -1,
      -1,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   333,   334,   335,   336,
     337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     347,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,   405,    -1,
     407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   432,   433,    -1,    -1,    -1,
     437,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
     144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,
      -1,    -1,   216,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,   258,    -1,    -1,    -1,    -1,    -1,
     264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,
     284,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,    -1,
      -1,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,
     334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   347,    -1,   349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,
      -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,
      -1,   405,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,   433,
      -1,    -1,    -1,   437,    -1,   439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,
      -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,   483,
     484,   485,   486,   487,   488,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,
      -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,    -1,    -1,   227,    -1,   229,    -1,
      -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   257,   258,    -1,    -1,
      -1,    -1,    -1,   264,    -1,   266,    -1,    -1,   269,   270,
      -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   283,   284,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   306,   307,   308,    -1,    -1,
     311,    -1,    -1,    -1,   315,    -1,    -1,   318,    -1,   320,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   333,   334,   335,   336,   337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   382,    -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   402,    -1,    -1,   405,    -1,   407,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   432,   433,    -1,    -1,    -1,   437,    -1,   439,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   463,    -1,    -1,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,
     481,   482,   483,   484,   485,   486,   487,   488
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   517,  1065,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   221,   241,
     263,   299,   302,   317,   392,   434,   448,   463,   489,   495,
     499,   500,   501,   502,   503,   506,   507,   508,   509,   511,
     512,   513,   514,   515,  1058,  1066,  1094,  1096,  1187,  1197,
    1198,  1200,  1206,  1207,  1095,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   211,   212,   213,   216,   219,   221,   227,
     229,   233,   235,   244,   257,   258,   264,   266,   269,   270,
     272,   283,   284,   286,   288,   289,   294,   303,   306,   307,
     308,   311,   314,   315,   318,   320,   333,   334,   335,   336,
     337,   347,   349,   351,   362,   363,   368,   369,   371,   376,
     381,   382,   384,   385,   388,   393,   394,   401,   402,   404,
     405,   407,   412,   420,   424,   432,   433,   437,   439,   441,
     443,   448,   451,   457,   462,   463,   466,   474,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   508,   518,   519,
     525,   526,   528,   529,   530,   531,   532,   533,   534,   536,
     537,   541,   552,   555,   556,   559,   560,   561,   572,   575,
     576,   592,   631,   634,   635,   636,   643,   649,   651,   653,
     654,   657,   660,   661,   665,   666,   675,   679,   680,   681,
     682,   683,   685,   686,   687,   700,   701,   705,   707,   708,
     709,   720,   722,   729,   730,   733,   734,   735,   736,   737,
     742,   744,   747,   751,   755,   756,   766,   767,   770,   775,
     786,   805,   808,   809,   810,   813,   816,   818,   820,   823,
     826,   827,   828,   835,   836,   838,   839,   840,   845,   847,
     848,   852,   853,   856,   857,   858,   860,   861,   862,   863,
     865,   868,   869,   874,   880,   883,   885,   890,   892,   896,
     903,   907,   908,   909,   910,   911,   912,   915,   943,  1062,
    1063,  1067,  1069,  1070,  1087,  1088,  1089,  1090,  1101,  1103,
    1107,  1108,  1109,  1110,  1111,  1113,  1115,  1117,  1118,  1119,
    1120,  1122,  1127,  1128,  1132,  1133,  1142,  1144,  1145,  1146,
    1149,  1154,  1157,  1162,  1164,  1165,  1168,  1170,  1173,  1182,
    1200,  1208,    73,  1090,  1098,  1099,    14,     9,    13,    15,
      28,    45,    46,    50,    51,    56,    65,    67,    69,    70,
      72,    91,    92,    93,    94,    95,    96,    97,    98,   100,
     101,   102,   110,   111,   113,   114,   116,   117,   118,   125,
     126,   127,   128,   129,   132,   133,   134,   136,   138,   139,
     140,   141,   146,   147,   148,   149,   151,   152,   154,   155,
     156,   157,   158,   159,   162,   171,   172,   173,   174,   175,
     176,   179,   181,   183,   184,   185,   186,   187,   189,   190,
     191,   194,   195,   196,   197,   198,   200,   201,   202,   204,
     205,   206,   208,   209,   210,   211,   213,   214,   215,   218,
     220,   222,   224,   226,   230,   231,   232,   234,   237,   239,
     240,   241,   242,   243,   245,   246,   247,   249,   250,   251,
     252,   253,   254,   256,   260,   261,   262,   268,   271,   273,
     274,   275,   276,   277,   279,   280,   282,   285,   288,   289,
     290,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   309,   310,   313,   314,   316,   319,
     321,   322,   323,   325,   328,   329,   330,   338,   339,   340,
     341,   342,   343,   344,   346,   348,   350,   351,   352,   354,
     355,   356,   357,   358,   359,   360,   361,   363,   364,   365,
     366,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   380,   381,   383,   384,   386,   387,   388,   389,
     390,   391,   392,   393,   395,   396,   397,   398,   399,   401,
     403,   404,   406,   408,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   422,   423,   425,   426,   427,   428,
     429,   430,   434,   436,   438,   441,   442,   443,   444,   445,
     446,   447,   450,   451,   452,   453,   454,   457,   458,   459,
     460,   461,   462,   465,   467,   468,   469,   472,   475,   476,
     477,   478,   479,   489,   490,   491,  1059,  1061,  1062,  1080,
    1081,  1172,  1173,  1174,  1178,  1183,  1184,  1185,  1192,  1194,
    1198,  1200,    29,   259,  1143,    99,   163,   180,  1051,  1082,
    1129,  1130,  1178,  1194,    99,   904,  1050,  1082,  1178,  1191,
      14,   904,     5,    25,    29,    35,    36,    43,    44,    99,
     103,   104,   105,   106,   107,   108,   109,   112,   124,   130,
     131,   134,   137,   143,   145,   152,   153,   160,   163,   164,
     165,   166,   168,   169,   170,   180,   182,   188,   192,   193,
     199,   203,   207,   217,   219,   223,   225,   228,   233,   236,
     238,   248,   255,   259,   263,   265,   267,   278,   281,   287,
     291,   292,   312,   317,   324,   326,   327,   331,   332,   345,
     353,   367,   379,   394,   400,   409,   421,   424,   431,   434,
     435,   440,   448,   449,   455,   456,   462,   464,   470,   471,
     473,   474,  1061,  1064,  1174,  1175,  1176,  1180,  1181,  1182,
    1183,  1185,    25,    35,   134,   263,  1169,    38,    40,   312,
    1102,   436,   476,   841,    98,   144,   157,   174,   180,   195,
     206,   214,   225,   230,   236,   251,   276,   297,   328,   356,
     383,   387,   389,   395,   398,   424,   426,   430,   438,   443,
     455,   468,   650,  1130,   179,   841,    99,   904,   466,   870,
     326,   352,   841,   121,   583,   908,    98,   110,   131,   144,
     153,   174,   180,   195,   206,   214,   225,   232,   236,   290,
     328,   331,   383,   389,   398,   426,   427,   429,   430,   438,
     443,   449,   452,   455,   593,   633,   725,   776,   787,  1051,
    1071,  1072,  1073,  1082,  1198,  1200,    14,    99,   351,  1050,
    1082,  1086,   413,   904,    99,   346,   427,   429,   275,   814,
     815,  1198,    98,   110,   131,   144,   157,   174,   195,   206,
     214,   225,   230,   236,   251,   297,   328,   338,   383,   387,
     389,   395,   398,   424,   426,   430,   438,   443,   455,   468,
     650,   738,   841,   514,  1112,  1176,   245,  1086,   160,   179,
     211,   466,   508,   631,   634,   869,   875,   883,   885,   890,
     896,   903,   907,  1067,    92,    99,   116,   220,   226,   228,
     248,   277,   309,   354,   370,   499,   500,   752,   753,   904,
    1058,  1060,  1192,  1194,    99,   160,   367,   394,   757,   758,
     759,  1178,  1178,  1055,  1198,   424,   918,   116,   226,   752,
    1178,   436,  1086,   338,   297,   174,   251,   423,   424,   821,
     388,  1178,    99,   134,   399,   432,   436,   462,   544,  1061,
    1062,  1172,  1177,  1183,  1185,  1200,    96,   233,   757,   758,
     352,   841,  1178,   274,    99,   192,   920,     4,    14,   132,
     152,   154,   290,   305,   383,   389,   399,   432,   436,   479,
     542,   543,   544,    99,   399,   432,   436,   544,   436,   327,
     954,  1048,  1178,   918,  1166,  1176,   501,  1178,   229,   508,
     871,   508,  1044,   365,   913,   914,  1050,   908,   909,   912,
     512,   870,   207,   265,   332,   448,   921,   922,   908,   910,
     911,   185,   261,   454,   511,   118,   518,  1110,  1113,  1109,
    1105,   512,  1114,  1116,     5,    25,    35,   134,   196,   263,
    1121,   175,   241,   299,   302,   392,   489,   508,   985,   986,
    1093,  1097,  1187,    73,  1090,  1050,  1082,  1201,   180,  1071,
      21,   456,   502,  1086,  1086,  1201,   456,  1134,  1135,  1136,
      25,   263,   263,  1180,     7,    19,    20,    39,    42,   156,
     193,  1171,  1171,    16,  1110,  1056,  1063,  1172,  1175,  1178,
    1179,  1183,  1184,  1200,   740,  1178,   740,  1051,   355,   740,
     438,   740,  1050,  1178,   173,   424,   765,  1056,  1059,   243,
    1048,   321,   468,    85,   139,   218,   495,   496,   497,   499,
     500,   501,   502,   503,   504,   812,  1011,  1012,  1178,    99,
    1059,  1050,  1050,   243,  1048,  1050,   243,   954,  1050,   391,
    1050,   740,   295,  1059,   243,  1048,   275,    34,   182,   271,
     312,   361,   842,   843,   844,  1048,  1054,  1178,    98,   131,
     144,   145,   153,   157,   174,   195,   206,   214,   225,   230,
     251,   276,   297,   328,   383,   387,   389,   395,   398,   424,
     426,   430,   438,   443,   468,   650,   745,  1198,  1048,   434,
    1056,  1050,   508,   740,   438,  1051,   740,   438,   243,  1050,
     173,   424,   427,   429,  1059,   427,   429,   139,   218,   812,
     374,  1059,   243,   538,  1178,  1050,  1050,   391,  1050,   740,
     295,  1059,   365,   395,   424,   468,   297,   157,   251,   230,
     387,   442,   644,    85,  1074,  1075,   513,  1194,  1201,    99,
    1086,  1200,   905,   551,  1178,  1198,   815,   243,  1056,  1050,
     243,   819,   243,  1051,   438,   173,   424,   243,  1056,   243,
    1049,  1050,   150,   468,   139,   218,   243,   812,   125,   243,
    1049,   243,  1050,   243,  1050,   243,  1050,   391,   243,  1050,
     243,   295,  1049,   275,   243,   739,   740,   508,   514,  1202,
    1203,  1204,  1205,  1207,  1112,    71,  1082,  1131,   508,   884,
     593,   904,   875,   462,   466,   869,   876,   877,   878,  1178,
     870,  1060,   753,   754,    99,   753,   904,  1060,   754,    99,
     753,   904,  1060,   754,   754,   754,  1060,  1058,  1058,   267,
     456,  1136,  1137,  1211,  1212,   904,   754,   355,   508,   508,
     612,   612,   612,   326,   434,   511,   612,   954,   955,   753,
     904,   753,   904,   511,   837,  1198,   228,   508,   881,   125,
     468,  1050,  1050,  1048,  1178,   115,   491,   271,   510,   329,
     329,   326,   228,  1198,   434,   223,   748,   326,    83,    84,
      85,    87,   107,   120,   122,   123,   130,   131,   134,   135,
     142,   144,   164,   165,   166,   167,   168,   169,   170,   177,
     178,   196,   212,   216,   217,   221,   235,   263,   264,   266,
     283,   291,   292,   306,   308,   312,   317,   318,   320,   328,
     337,   347,   362,   385,   400,   407,   420,   432,   433,   437,
     439,   440,   449,   455,   463,   481,   482,   483,   484,   485,
     486,   487,   488,   499,   500,   501,   508,   908,   966,   969,
     972,   973,   974,   976,   977,   978,   979,   982,   983,   987,
     989,   990,  1009,  1013,  1032,  1037,  1045,  1046,  1056,  1057,
    1058,  1178,  1190,  1192,  1194,  1195,  1196,  1197,  1198,   434,
     495,  1201,  1198,   434,   495,  1130,    99,   557,  1047,  1048,
     399,   542,   180,   550,  1198,   551,  1198,   115,   136,   542,
     491,   408,   843,   329,   228,   434,   495,   115,   491,   271,
    1211,   844,   508,  1048,   501,   506,   510,  1038,  1039,   955,
    1182,   227,   229,   466,   866,   867,   869,   227,   872,   180,
     987,  1042,  1043,   913,   511,   508,   873,   509,   509,  1048,
      99,   192,   919,   919,   125,   919,   219,   223,   287,   324,
     925,   927,   928,   937,   939,   940,   941,   921,   922,   228,
     267,   954,   956,  1044,   512,  1104,   501,  1123,  1124,  1126,
     514,   514,    25,   263,   263,   434,   434,   434,   434,   508,
     434,   500,   641,  1060,  1091,  1197,   203,   108,  1078,   125,
    1081,  1081,   267,  1136,  1138,   267,  1136,  1137,  1138,   461,
    1147,  1148,  1194,    14,    37,    84,   499,   500,  1058,  1139,
    1140,  1141,  1190,  1192,  1196,  1197,  1198,  1199,   263,   269,
    1050,   434,  1050,     6,  1050,  1171,  1126,   508,   714,  1039,
     339,   372,   401,   510,   741,   339,   372,   401,   339,   372,
     401,   474,   520,   552,   553,   771,    95,   197,   339,   372,
     401,   459,   564,  1050,   401,    95,   197,   454,   535,   477,
     243,   954,   127,   159,   215,   246,   282,   312,   339,   372,
     380,   386,   393,   401,   410,   418,   469,   552,   554,   799,
     806,   508,   788,   372,   535,   212,    95,   101,   141,   190,
     197,   200,   253,   310,   312,   322,   330,   339,   372,   376,
     401,   459,   562,   563,   669,   641,   243,  1048,   740,   740,
     508,   811,   510,   248,   527,   372,   520,   527,   326,   339,
     372,   212,   126,   172,   250,   298,   300,   310,   338,   372,
     377,   401,   412,   562,   638,   639,   339,   372,   467,   669,
     677,   212,   372,   401,   562,   339,   372,   376,   401,   151,
     189,   340,   428,   326,    95,   101,   197,   339,   372,   401,
     573,   574,   223,   372,   401,   520,   553,   212,   372,   401,
     562,  1050,   512,   285,   182,   327,   478,   511,   842,   456,
     864,   326,  1056,   508,  1050,   438,   173,   424,  1056,   321,
     468,   139,   218,   812,  1050,   391,  1050,   275,   740,   612,
     358,   578,   508,   714,   715,   137,   120,   122,   123,   134,
     135,   177,   178,   221,   264,   266,   306,   308,   320,   362,
     402,   407,   432,   433,   463,   963,   965,   967,   969,   971,
     973,   974,   975,   977,   978,   982,   983,  1172,  1179,  1183,
    1184,  1200,   228,   508,   710,  1050,   520,   108,   859,  1050,
     312,   520,   477,   243,  1048,   520,   740,   740,   710,   452,
     593,   520,   312,   115,   539,   443,   676,   339,   652,   151,
     189,   340,   428,    97,   117,   262,   688,   108,   710,   223,
     520,   468,  1048,   243,   629,  1048,  1048,   468,   740,   150,
     777,  1056,  1050,   650,    74,  1076,  1178,   513,  1077,  1074,
     121,   171,   260,   310,   390,   212,   714,   128,   378,   565,
     212,   508,   212,   477,   212,   788,   212,   511,   243,   739,
     243,   740,   243,   740,   212,   811,  1049,   212,   212,   326,
     212,   565,   212,   151,   189,   340,   428,   212,   326,   212,
     223,   243,   243,   551,   212,   511,   565,   509,  1203,  1204,
    1202,   511,   515,   987,  1016,  1135,  1210,  1211,   424,   905,
     509,   511,   217,   326,   440,   548,   551,   641,   879,   875,
     754,   904,   754,   904,  1212,  1213,   754,   904,   754,   904,
    1213,   754,   904,   904,   904,   754,    14,    37,  1186,  1189,
    1194,   904,   508,   613,   614,  1178,   613,    99,   174,   195,
     225,   230,   275,   276,   389,   395,   424,   426,   443,   760,
    1047,  1049,   759,   248,   511,   893,   904,   904,  1198,  1131,
     963,  1019,   108,  1049,  1048,   224,   822,   822,   822,   285,
    1178,   223,   223,   760,  1049,   388,  1178,   551,   326,   508,
     506,   908,  1020,   465,   980,   987,  1036,   508,   980,   980,
     508,   223,   508,   508,   508,   968,   968,   349,   908,   508,
     508,   970,   508,   508,   508,   508,   134,   135,   980,   987,
     508,   968,   508,   508,   508,   508,   508,   475,   494,   508,
     984,   508,   984,   508,   508,   908,   508,   508,   508,   508,
     508,   508,   508,   508,   987,   987,   908,   987,  1016,  1039,
    1198,   135,   508,   981,   508,  1198,    85,    88,   105,   108,
     113,   119,   143,   244,   248,   269,   270,   286,   312,   315,
     328,   331,   405,   495,   496,   497,   499,   500,   501,   502,
     503,   504,  1011,  1013,  1015,  1200,   336,   987,   267,   511,
     916,  1211,   508,  1198,  1039,    22,  1193,  1194,  1040,   323,
     326,  1163,  1163,    10,   461,  1150,  1151,  1153,  1130,  1130,
     183,   245,   558,   511,   136,   180,   551,   108,   180,   290,
     549,   641,   983,  1198,  1200,  1198,   155,   194,   996,   163,
     180,   545,   546,   548,   641,   180,   545,  1211,  1211,   285,
    1048,   987,   501,  1053,  1180,  1038,   156,   377,   743,   269,
     509,   511,   870,   509,   511,   914,  1049,   108,   873,   910,
     910,   923,   924,   987,   910,   220,   309,   934,   273,   310,
     361,   403,   454,    99,   929,   987,   930,   932,   987,   989,
     937,   938,   928,   927,   925,   926,   223,   940,   322,   942,
     925,   937,   956,  1048,   108,  1178,   401,  1123,   501,   511,
     512,  1181,  1100,  1103,  1100,   263,   175,   241,   299,   986,
     299,   986,   986,   302,  1058,   299,   302,   392,  1197,   511,
    1092,   179,  1130,   455,  1079,  1081,  1050,    37,  1058,  1152,
    1194,   511,   495,  1050,    14,  1058,  1197,  1058,  1197,   511,
    1110,   508,  1050,   508,  1182,   501,  1019,   339,   372,   401,
     434,   434,   389,  1053,   510,   434,   434,   389,   434,   434,
     426,   542,   854,   223,   233,   248,   381,   772,   773,   137,
     153,   208,   225,   353,   449,   609,   610,   153,   180,   312,
     434,   153,   434,   180,   312,   389,   153,   190,   200,   339,
     372,   706,   389,   658,    98,   131,   144,   157,   195,   206,
     225,   230,   297,   328,   389,   395,   398,   424,   430,   443,
     468,   650,  1050,   212,   372,   401,   562,   326,   641,   393,
     282,   434,   434,   317,   641,   184,   268,   389,   399,   436,
     543,   378,   401,   799,   807,   248,   258,   333,   402,   464,
     509,   789,   792,   793,   794,   796,   963,  1179,   434,   455,
    1048,   145,   208,   600,   609,  1178,   145,   824,   326,   387,
     438,   153,   824,   102,   375,   387,   438,  1048,   253,   322,
     740,   508,   434,   434,   508,   568,   426,   474,   475,   568,
     153,   511,   339,   212,   372,   401,   562,   456,   456,   311,
     963,   339,   401,   812,   174,   553,   434,   522,   553,  1048,
     434,   434,  1048,   641,   125,   640,   641,   641,   172,   298,
     300,   125,   434,   520,   389,   520,   310,   639,   434,   434,
     317,  1198,   669,   954,   153,   434,   824,   389,   434,   434,
     568,   568,   740,   740,   740,   740,  1048,   114,   461,   114,
     114,   434,   114,   434,   389,   511,   170,   455,   684,  1059,
     434,   522,  1048,   434,   389,   339,   372,   361,   373,   397,
     547,   842,  1054,  1178,  1048,   714,   963,   326,   477,   788,
     641,   740,   740,   811,   269,   326,   151,   189,   340,   428,
     326,   740,   269,   474,   584,   415,   416,   579,  1198,   716,
     717,  1200,   710,   508,   965,   108,   107,   964,   175,   302,
     489,   508,   985,   741,   968,   740,   711,   712,  1180,    97,
     849,   963,   326,   212,   655,  1050,   312,   508,   521,   725,
     456,   365,   468,   521,   212,  1059,   160,   233,   540,   592,
     635,   687,   755,   775,   845,  1198,   677,   678,  1050,   293,
     740,   740,   740,   740,   322,   185,   261,   441,   454,   689,
     690,   204,   360,   508,   684,   521,  1048,   637,   638,   312,
     108,   322,   508,   612,   612,   632,  1048,   223,   778,  1054,
     508,   790,   108,   275,   510,  1058,  1077,   474,   475,   906,
     390,  1056,   565,   963,  1051,   243,  1050,  1056,   565,  1049,
    1050,   212,   565,   212,   456,   212,   456,   812,   565,   565,
    1049,  1050,   740,  1050,  1050,  1050,   740,  1049,   684,   212,
     212,   565,   739,   740,   509,   515,  1205,   509,   511,  1211,
    1135,  1048,   171,   875,   877,   904,   904,  1213,   904,   904,
    1213,   904,   904,  1050,    14,   511,  1193,   613,   509,   511,
     509,   231,   396,   425,  1049,   739,   173,   398,   764,   765,
    1049,   321,  1049,  1047,  1047,  1049,   739,   434,   474,   768,
      93,   210,   385,   403,   894,   954,   316,   895,   509,   511,
     882,   885,   890,   896,   907,   434,   474,   630,   758,   757,
     758,   228,   234,   769,  1178,    98,   145,   174,   195,   206,
     225,   230,   276,   297,   383,   389,   395,   424,   426,   443,
     468,   650,   749,  1016,   507,  1016,  1020,  1021,   508,   470,
    1033,  1034,   987,  1016,   508,  1058,  1058,  1016,   175,   241,
     299,   302,   392,   489,  1022,  1023,  1198,  1200,  1058,  1016,
    1016,  1058,  1058,   980,   980,   987,   812,   987,  1024,   499,
     500,   988,   989,  1009,  1013,  1026,   509,  1016,   987,  1016,
    1027,   432,   491,  1058,  1058,   987,   124,   228,   281,   435,
     987,  1016,  1030,  1016,   304,   989,   987,   994,   995,   996,
     304,   987,   996,   509,   511,   401,  1058,  1058,   985,   963,
     987,  1180,   432,   112,   421,  1041,   740,   987,   508,   908,
    1031,   192,   194,   217,   312,   317,   322,   440,   450,   987,
     119,   244,   248,   286,   405,   508,   987,   434,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,    99,   106,
     409,  1010,   385,   508,  1009,   232,   290,   424,   427,   429,
     452,   917,  1048,  1046,   228,   944,    99,   192,   464,   501,
     509,   794,   987,  1017,  1018,  1179,  1050,  1194,  1038,  1152,
     511,   495,  1048,   436,   508,  1198,   511,  1211,   509,   507,
     513,   242,   242,   565,  1110,  1048,   867,   868,  1048,  1042,
     509,   508,   511,   109,   188,   456,   784,   508,   931,  1060,
     403,   273,   327,   511,   385,   386,   933,  1047,   895,   938,
     926,   456,   891,   180,   508,   886,   907,  1178,   508,   897,
     898,   899,   900,   901,  1178,   512,  1124,   964,   515,  1103,
     515,   509,   641,   509,    34,  1080,  1155,  1156,  1194,  1148,
    1153,  1201,  1139,   964,  1188,  1204,  1188,   964,   509,   509,
     434,   434,   389,  1059,  1050,  1050,  1053,  1059,  1050,  1050,
    1059,  1051,  1050,   152,   855,   383,   455,   757,   389,   233,
     757,   508,  1050,   456,   779,   273,   273,   456,   508,   628,
     243,  1050,   317,  1059,  1050,  1050,   987,   317,  1050,  1050,
     102,   375,   434,   434,  1050,   434,   659,  1056,   508,   740,
     740,   740,   438,   173,   424,   765,   468,   139,   218,   812,
    1050,   740,  1050,   740,   391,   740,   740,   275,   237,   310,
     339,   372,   460,   662,   663,   664,   954,   434,   824,   389,
     317,   184,   268,  1059,  1050,   326,  1050,   333,  1179,   509,
     511,   794,   796,   793,   796,  1179,   741,  1059,  1049,   372,
     562,   600,   963,  1178,  1050,  1050,    99,   455,  1050,   243,
    1050,   243,  1178,   387,   438,   387,   438,  1050,    99,   455,
    1050,  1048,    95,   197,   401,   670,   671,   672,   673,  1180,
    1059,  1050,   570,   571,  1180,  1050,   325,   141,   325,  1050,
     563,   434,  1048,   434,   824,   389,  1052,  1178,  1052,   511,
     509,   511,   434,   389,  1051,  1059,   152,   202,   253,   344,
     447,   455,   458,   523,  1200,   372,  1059,  1050,   372,   401,
     562,   638,   641,   740,  1050,   641,  1050,   641,  1059,  1050,
     372,   401,   562,  1050,  1050,  1050,  1050,  1059,  1050,    95,
     101,   197,   339,   372,   401,   339,   372,   401,   710,   372,
     401,   372,   401,   372,   962,  1178,   243,   721,  1178,   243,
    1178,  1059,  1050,  1050,  1050,    95,   574,   398,  1059,   372,
     401,   562,  1050,  1050,   434,   434,   149,   446,   361,   269,
     108,   740,   269,   269,   456,   456,   269,   317,   746,  1198,
     740,   740,   269,   746,   325,   228,   434,   577,   520,   509,
     511,   495,   987,   107,   964,   963,   506,   506,   434,   434,
    1058,   968,   509,   511,   495,   689,   152,   201,   279,   280,
     293,   339,   426,   428,   850,   602,  1180,  1050,   228,   389,
     467,   656,   663,   664,   212,   286,   594,   596,   598,   600,
     606,   609,    96,   248,   383,   422,   523,   524,   223,  1052,
     468,  1048,   538,  1178,   539,   331,   593,   225,  1198,   710,
     710,   710,   710,   322,   326,   331,   508,   710,   960,   961,
     962,   398,   508,   212,   211,  1068,   740,   594,  1178,   474,
     475,   624,   474,   569,   108,   612,  1198,   326,   509,   791,
     792,   797,   108,   275,   380,   473,   798,   799,   800,   326,
     551,  1076,   502,   240,   240,   223,   714,   108,   212,   565,
     788,   739,   740,  1052,   740,  1052,   811,   326,   565,   565,
     326,   565,   398,   223,   551,   565,   987,   906,  1201,  1189,
     509,   614,   248,   248,   248,   477,  1049,   511,   641,   642,
     236,   761,   762,  1059,    96,   769,   210,   403,   210,   403,
     385,   454,   301,   963,  1050,   173,   310,   228,   326,   761,
     125,   565,  1056,   438,   424,  1056,   321,   468,   275,   740,
     509,   507,   507,   511,  1016,   987,   199,  1034,  1035,   108,
     509,   987,   509,   509,   509,   509,   228,   509,   509,   509,
     509,   509,   511,   509,   345,  1025,   509,   988,   988,    88,
     248,   269,   328,   495,   496,   497,   499,   500,   501,   502,
     503,   504,  1013,   988,   509,   509,   223,   228,  1028,  1029,
     509,   491,   509,   509,   108,  1030,  1016,  1030,  1030,   228,
     509,   509,  1180,   343,   998,   108,   509,   511,   987,  1180,
     511,   987,  1040,   987,  1178,   509,   509,   491,   988,   988,
     205,  1016,   228,   192,   194,   217,   317,   322,   440,   450,
     508,   205,   421,  1041,   987,  1031,   987,   434,   812,   987,
     508,   908,   427,   429,   427,   429,  1048,   918,   918,   918,
     278,   508,   908,   945,   946,   947,   954,   957,   990,  1056,
    1178,   471,   958,  1017,  1017,  1018,   509,   335,  1002,    90,
     509,   511,   922,     8,    11,    12,    22,    23,    24,    26,
      27,    31,    32,    33,   173,   304,   349,   443,  1158,  1159,
    1161,  1151,  1152,   843,  1058,   985,   546,   987,   964,   873,
     882,   924,   328,  1011,  1014,   492,   493,   785,   987,   933,
     454,   930,   945,   471,   959,   462,   887,   888,  1178,   379,
     889,   901,   902,   511,   944,   495,  1040,   513,  1106,   512,
     511,   495,    30,  1167,   509,   509,   512,  1059,  1050,  1050,
     287,  1049,  1049,   326,  1049,   329,   326,   987,   610,  1052,
     508,   508,   508,   628,   251,   613,   698,   212,   565,   434,
    1059,  1050,   551,   714,   963,  1050,   477,   740,   740,   740,
     740,   811,   151,   189,   340,   428,  1050,   645,  1050,   237,
     460,   434,   434,   645,   662,   669,   372,   401,   562,  1050,
    1050,  1050,   259,   317,   741,   792,   796,   796,   503,   434,
     330,   667,   197,   376,   401,   564,   669,   825,   212,   565,
     212,   565,  1050,  1050,  1050,  1050,   672,   673,   672,   509,
     511,   674,  1198,   509,   511,   495,   510,  1059,   372,   401,
     562,  1050,  1050,  1050,   339,   372,   401,    95,   197,   339,
     372,   401,   963,   311,   963,  1059,  1050,   287,   344,   317,
    1198,   344,  1049,   453,   434,   434,   389,   434,   824,   389,
     434,   434,   295,   295,   295,   434,   434,   389,   434,   434,
     389,   434,   389,   434,   389,   434,   565,   963,   312,  1198,
     401,   825,   212,   565,   434,  1050,   434,   389,  1059,  1050,
     746,   963,   269,   746,   746,  1052,  1052,   746,   269,   269,
     746,   578,   508,   580,   581,   717,  1200,   328,   499,   500,
     641,   713,   796,  1014,  1064,  1198,   509,   506,   509,  1058,
     507,   508,  1058,  1178,  1198,  1209,   509,   712,   713,   326,
     287,   495,   851,   851,   851,   851,   851,   851,   851,   137,
     143,   153,   180,   182,   255,   312,   317,   353,   367,   449,
     603,   604,   605,   211,   470,   520,   551,  1050,   551,   667,
    1048,  1048,   509,   511,  1049,   236,   383,  1049,  1058,   443,
    1048,   612,   115,   539,   374,   424,   173,   613,  1048,   690,
     718,   719,  1198,   509,   511,  1050,   613,  1048,  1050,   907,
     508,   595,   509,   325,   568,   325,   326,   625,   568,   108,
     907,   569,   434,  1048,   509,   511,   180,   495,   801,  1198,
     551,   424,   795,   796,   474,   800,   802,   185,   261,   394,
     454,   833,   237,  1072,   907,  1086,   565,   963,  1050,   565,
     565,   456,   565,   456,   565,   565,   740,   740,  1050,   684,
     565,   223,   389,   389,   389,  1049,   765,   511,  1059,   474,
     511,   763,   329,   210,   210,   173,  1049,   760,   565,  1059,
     714,   788,   641,   740,   269,  1020,   509,   431,   987,   203,
     963,   509,   987,   987,   987,  1028,   963,   988,   192,   194,
     312,   322,   988,   988,   988,   988,   988,   988,   988,   988,
     988,   988,   987,   987,  1029,  1028,   984,   984,   963,   509,
     509,   509,  1016,   509,   511,   125,   989,   509,  1180,   995,
     350,   419,   997,   509,   511,   467,   991,   108,   509,   981,
    1198,   987,   105,   105,   987,   509,   987,   228,   508,  1019,
     987,   988,   988,   205,   205,   987,   509,   205,   987,   918,
     918,   918,   918,  1048,  1048,  1048,   908,   957,   908,   946,
     947,   108,   948,   949,  1178,   511,   161,   229,   257,   272,
     284,   307,   382,   951,   949,   108,   948,   950,  1178,   508,
    1039,   987,   236,   935,   511,   921,   922,   921,   509,  1002,
     508,  1003,  1178,   987,  1002,  1198,   464,  1018,   509,   511,
     495,   509,   507,  1167,   509,   508,   785,   509,   327,   163,
     987,   889,   509,   511,  1040,  1045,   509,   511,   898,   959,
    1042,  1058,   495,  1125,  1156,  1161,   851,   231,   396,   425,
     444,   774,   223,   774,   509,   508,   616,   617,   781,   990,
    1178,   613,   613,   698,  1054,   509,   182,   255,   310,   312,
     699,  1050,  1050,   108,  1050,   456,   456,   740,   740,   740,
     740,   741,  1059,  1050,   434,   824,   389,   434,   259,   503,
     443,  1050,   508,   602,   312,   568,   173,   312,   414,   417,
     568,   443,  1050,  1178,   671,   571,   713,  1180,   434,   824,
     389,   434,   434,   434,   389,   230,   328,   417,   723,   724,
     230,   328,   731,   732,   434,   434,   389,   509,   509,   509,
    1060,  1198,  1198,  1198,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,   223,   223,   374,   223,   243,  1059,  1050,  1050,
    1059,  1050,  1050,  1050,  1050,  1050,  1050,  1050,   143,   566,
     212,    97,   117,   443,  1178,  1050,   669,  1050,  1050,   509,
     746,   269,   269,   746,   746,   579,   587,   588,  1180,   121,
     162,   186,   201,   205,   224,   227,   239,   317,   325,   359,
     582,   698,  1058,   474,   475,   507,  1209,   499,   500,   501,
     502,   503,   507,   985,  1048,   851,   180,  1058,  1198,   180,
    1198,   180,  1198,   180,  1198,   180,  1050,   180,  1050,   180,
    1050,   508,   740,  1050,   988,   183,   245,   182,   317,   273,
    1048,   802,   357,   702,   703,  1178,   655,   508,   607,   398,
     598,  1049,  1049,   963,   508,   569,  1059,  1048,   477,   223,
     691,   509,   511,   962,   667,   509,   322,   508,   884,   630,
     597,   599,   601,   609,  1178,   624,   254,   623,   148,   426,
     626,   907,   630,   626,  1198,   779,   797,   987,   987,   511,
     508,   798,   710,   434,   645,    85,  1083,   509,   565,  1052,
    1052,   565,   565,   398,  1049,  1049,  1049,   641,   233,   762,
     769,   228,   269,   269,   269,   269,   317,   750,  1198,   987,
     509,   509,  1029,   228,   192,   194,   322,   508,   509,   480,
     993,  1016,   366,   125,   472,   472,   509,   987,   310,   987,
     511,   992,   965,   985,   988,   988,   987,  1019,   509,   105,
     105,   987,   987,   205,   987,   509,  1048,  1048,  1048,  1048,
     949,   950,   509,  1178,   508,   946,   272,   334,   952,   946,
     952,   272,   951,   952,   272,   508,  1178,   508,  1017,   125,
     238,   936,   509,   509,  1002,  1004,  1178,  1018,  1002,  1159,
     500,  1152,  1160,  1197,  1198,  1198,   812,   322,   907,   888,
    1211,   495,   901,   889,  1205,  1060,   434,   757,   228,   698,
     987,   509,   511,   474,   143,   782,   782,   509,   509,   802,
     183,   245,   253,   182,   458,   565,   963,  1052,  1052,  1050,
    1050,  1050,  1050,   443,   668,   672,   317,   317,  1060,  1178,
     963,   565,   565,   495,  1050,  1050,  1050,  1050,  1059,  1050,
    1050,  1058,  1058,   963,   511,  1058,  1058,   511,  1059,  1050,
    1050,   434,  1049,  1049,   740,  1049,   212,   740,  1198,  1198,
     963,   565,   565,   269,   746,   746,   456,   585,   586,   509,
     511,   501,   508,   548,   589,   641,   859,  1198,   859,   312,
     359,   859,   859,   507,   230,   258,   230,   509,  1209,  1209,
    1209,  1209,  1209,   228,   697,  1060,   987,   312,   604,   802,
     612,   456,   627,  1056,   105,   211,   248,   594,   209,   249,
    1050,   456,   613,   108,   539,   508,  1050,   198,   692,   470,
     694,  1198,   569,   740,   594,   630,   509,   511,   474,   625,
     508,   624,   185,   197,   350,  1050,   474,   846,   228,   508,
    1198,   794,   803,   804,  1179,   802,  1048,   256,   646,  1084,
    1178,   565,   565,   565,  1050,   329,   565,   761,   750,   750,
     750,   750,   988,   228,   508,  1019,   508,   509,   511,   509,
     989,   366,   509,   461,   411,   509,   509,   509,   988,   988,
     987,   948,   508,  1049,   946,   326,   456,   953,   946,   272,
     946,   961,   508,   961,  1178,   509,  1016,   987,   473,   999,
    1002,  1002,   342,  1005,   509,  1058,  1197,   985,   509,   904,
    1044,   761,   326,   761,   509,   802,   617,   328,   812,   740,
     456,   740,   783,   783,   367,   802,   627,   509,   434,   509,
     511,   566,   713,   434,   508,  1056,   812,   724,   508,   508,
     732,  1050,   474,   374,   474,   474,   223,   566,   746,   520,
     187,   588,   548,   590,   591,  1198,  1198,   317,   501,   613,
    1198,  1198,   765,   108,   817,   817,  1048,   698,   509,   627,
     296,   615,   251,   508,   703,   357,   508,   509,    99,   147,
     154,   181,   252,   417,   608,   608,   667,  1052,   509,   907,
     667,   385,   413,   693,   508,   211,   108,   595,   509,   599,
     330,   626,  1047,   625,   386,   386,   129,   137,   290,   740,
     780,   781,   796,   509,   511,   958,   645,   310,   460,   647,
     648,   495,  1085,   565,   988,  1019,   509,   994,  1016,   125,
     310,   490,  1049,   509,   987,   508,   946,   953,   509,   961,
     509,  1000,  1001,  1178,   125,   921,  1002,   763,   774,   565,
     782,   627,   508,   740,   784,   784,  1048,   627,   698,  1050,
     672,   456,   567,  1050,  1019,   788,   223,   727,   811,  1019,
    1019,   739,   740,   739,   740,  1049,   565,   580,  1198,   509,
     511,   613,   817,   111,   247,   223,   310,   611,   229,   341,
     406,   326,   619,   620,   621,   426,   509,  1056,    82,   704,
     398,   218,   726,   569,   846,   987,   357,   907,   624,   623,
     602,   509,   626,   137,   329,   137,   509,   511,   798,   803,
     193,   460,   645,  1058,  1192,  1200,    85,   509,   509,   509,
     366,   461,   509,  1049,   509,   511,   108,  1016,   360,   386,
    1006,   228,   783,   471,   618,   812,   785,   785,   612,   698,
     987,   509,   332,   391,   364,   728,   727,   509,   509,   474,
     591,   198,   253,   185,   454,   326,   621,   326,   620,  1050,
     508,   509,   511,  1050,   740,   108,   108,   509,  1056,   625,
     624,   329,   329,   569,   781,   802,   100,   262,   834,  1084,
     509,  1001,  1003,   119,   163,   445,   987,  1007,  1008,  1007,
     509,   761,   784,   508,   698,   509,   615,  1056,   125,   728,
     740,   385,   128,   310,   378,   401,   622,   622,   509,    82,
     667,   723,   907,   508,   626,   625,   626,   313,   508,   829,
     831,   836,   885,   890,   896,   907,  1008,   385,   222,   348,
     222,   348,   565,   785,   987,   619,   788,   740,   694,    94,
     180,   317,   695,   696,  1058,  1180,  1197,  1198,   626,   958,
     830,   831,   832,   908,   909,   105,   509,   698,   211,   509,
     511,   509,   512,  1008,   357,   696,   832,  1056,   508,   695,
     509
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;



/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{


    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1455 of yacc.c  */
#line 1480 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 1482 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 5:

/* Line 1455 of yacc.c  */
#line 1484 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 6:

/* Line 1455 of yacc.c  */
#line 1486 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 7:

/* Line 1455 of yacc.c  */
#line 1488 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 8:

/* Line 1455 of yacc.c  */
#line 1490 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 9:

/* Line 1455 of yacc.c  */
#line 1492 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 10:

/* Line 1455 of yacc.c  */
#line 1494 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 11:

/* Line 1455 of yacc.c  */
#line 1496 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 12:

/* Line 1455 of yacc.c  */
#line 1498 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 13:

/* Line 1455 of yacc.c  */
#line 1500 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 14:

/* Line 1455 of yacc.c  */
#line 1502 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 15:

/* Line 1455 of yacc.c  */
#line 1504 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 16:

/* Line 1455 of yacc.c  */
#line 1506 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 17:

/* Line 1455 of yacc.c  */
#line 1508 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 18:

/* Line 1455 of yacc.c  */
#line 1510 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 19:

/* Line 1455 of yacc.c  */
#line 1512 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 20:

/* Line 1455 of yacc.c  */
#line 1514 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 21:

/* Line 1455 of yacc.c  */
#line 1516 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 22:

/* Line 1455 of yacc.c  */
#line 1518 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 23:

/* Line 1455 of yacc.c  */
#line 1520 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 24:

/* Line 1455 of yacc.c  */
#line 1522 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 25:

/* Line 1455 of yacc.c  */
#line 1524 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 26:

/* Line 1455 of yacc.c  */
#line 1526 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 27:

/* Line 1455 of yacc.c  */
#line 1528 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 28:

/* Line 1455 of yacc.c  */
#line 1530 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 29:

/* Line 1455 of yacc.c  */
#line 1532 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 30:

/* Line 1455 of yacc.c  */
#line 1534 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	;}
    break;

  case 31:

/* Line 1455 of yacc.c  */
#line 1552 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 32:

/* Line 1455 of yacc.c  */
#line 1554 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 33:

/* Line 1455 of yacc.c  */
#line 1556 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 34:

/* Line 1455 of yacc.c  */
#line 1558 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 35:

/* Line 1455 of yacc.c  */
#line 1560 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 36:

/* Line 1455 of yacc.c  */
#line 1562 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 37:

/* Line 1455 of yacc.c  */
#line 1564 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 38:

/* Line 1455 of yacc.c  */
#line 1566 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 39:

/* Line 1455 of yacc.c  */
#line 1568 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 40:

/* Line 1455 of yacc.c  */
#line 1570 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 41:

/* Line 1455 of yacc.c  */
#line 1572 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 42:

/* Line 1455 of yacc.c  */
#line 1574 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 43:

/* Line 1455 of yacc.c  */
#line 1576 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 44:

/* Line 1455 of yacc.c  */
#line 1578 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 45:

/* Line 1455 of yacc.c  */
#line 1580 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 46:

/* Line 1455 of yacc.c  */
#line 1582 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 47:

/* Line 1455 of yacc.c  */
#line 1584 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 48:

/* Line 1455 of yacc.c  */
#line 1586 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 49:

/* Line 1455 of yacc.c  */
#line 1588 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 50:

/* Line 1455 of yacc.c  */
#line 1590 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 51:

/* Line 1455 of yacc.c  */
#line 1592 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 52:

/* Line 1455 of yacc.c  */
#line 1594 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 53:

/* Line 1455 of yacc.c  */
#line 1596 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 54:

/* Line 1455 of yacc.c  */
#line 1598 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 55:

/* Line 1455 of yacc.c  */
#line 1600 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 56:

/* Line 1455 of yacc.c  */
#line 1602 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 57:

/* Line 1455 of yacc.c  */
#line 1604 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 58:

/* Line 1455 of yacc.c  */
#line 1606 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 59:

/* Line 1455 of yacc.c  */
#line 1608 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 60:

/* Line 1455 of yacc.c  */
#line 1610 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 61:

/* Line 1455 of yacc.c  */
#line 1612 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 62:

/* Line 1455 of yacc.c  */
#line 1616 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); ;}
    break;

  case 63:

/* Line 1455 of yacc.c  */
#line 1618 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 64:

/* Line 1455 of yacc.c  */
#line 1620 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 65:

/* Line 1455 of yacc.c  */
#line 1622 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 66:

/* Line 1455 of yacc.c  */
#line 1624 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 67:

/* Line 1455 of yacc.c  */
#line 1626 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 68:

/* Line 1455 of yacc.c  */
#line 1628 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 69:

/* Line 1455 of yacc.c  */
#line 1630 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 70:

/* Line 1455 of yacc.c  */
#line 1632 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 71:

/* Line 1455 of yacc.c  */
#line 1634 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 72:

/* Line 1455 of yacc.c  */
#line 1636 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 73:

/* Line 1455 of yacc.c  */
#line 1638 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 74:

/* Line 1455 of yacc.c  */
#line 1640 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 75:

/* Line 1455 of yacc.c  */
#line 1642 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 76:

/* Line 1455 of yacc.c  */
#line 1644 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 77:

/* Line 1455 of yacc.c  */
#line 1646 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 78:

/* Line 1455 of yacc.c  */
#line 1648 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 79:

/* Line 1455 of yacc.c  */
#line 1650 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 80:

/* Line 1455 of yacc.c  */
#line 1652 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 81:

/* Line 1455 of yacc.c  */
#line 1654 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 82:

/* Line 1455 of yacc.c  */
#line 1656 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 83:

/* Line 1455 of yacc.c  */
#line 1658 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 84:

/* Line 1455 of yacc.c  */
#line 1660 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); ;}
    break;

  case 85:

/* Line 1455 of yacc.c  */
#line 1662 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 86:

/* Line 1455 of yacc.c  */
#line 1664 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 87:

/* Line 1455 of yacc.c  */
#line 1666 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 88:

/* Line 1455 of yacc.c  */
#line 1668 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 89:

/* Line 1455 of yacc.c  */
#line 1670 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 90:

/* Line 1455 of yacc.c  */
#line 1672 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 91:

/* Line 1455 of yacc.c  */
#line 1674 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 92:

/* Line 1455 of yacc.c  */
#line 1676 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 93:

/* Line 1455 of yacc.c  */
#line 1678 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 94:

/* Line 1455 of yacc.c  */
#line 1680 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 95:

/* Line 1455 of yacc.c  */
#line 1682 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 96:

/* Line 1455 of yacc.c  */
#line 1684 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, mm_strdup("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	;}
    break;

  case 97:

/* Line 1455 of yacc.c  */
#line 1691 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 98:

/* Line 1455 of yacc.c  */
#line 1693 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 99:

/* Line 1455 of yacc.c  */
#line 1695 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 100:

/* Line 1455 of yacc.c  */
#line 1697 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 101:

/* Line 1455 of yacc.c  */
#line 1699 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 102:

/* Line 1455 of yacc.c  */
#line 1701 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 103:

/* Line 1455 of yacc.c  */
#line 1703 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 104:

/* Line 1455 of yacc.c  */
#line 1705 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 105:

/* Line 1455 of yacc.c  */
#line 1707 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 106:

/* Line 1455 of yacc.c  */
#line 1709 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 107:

/* Line 1455 of yacc.c  */
#line 1711 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 108:

/* Line 1455 of yacc.c  */
#line 1713 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 109:

/* Line 1455 of yacc.c  */
#line 1719 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 110:

/* Line 1455 of yacc.c  */
#line 1721 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 111:

/* Line 1455 of yacc.c  */
#line 1723 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 112:

/* Line 1455 of yacc.c  */
#line 1725 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 113:

/* Line 1455 of yacc.c  */
#line 1727 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 114:

/* Line 1455 of yacc.c  */
#line 1729 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 1731 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 1733 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 1735 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 1741 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 1751 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 1755 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 1761 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 1765 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 1775 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 1784 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); ;}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 1786 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[(1) - (1)].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 1800 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 1807 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 1813 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	;}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 1824 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 1830 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 1839 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 1846 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 1852 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	;}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 1861 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 1868 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 1875 "preproc.y"
    { (yyval.str) = NULL; ;}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 1881 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 1889 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
;}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 1893 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 1900 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 1904 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 1911 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 1915 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 1922 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 1926 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password null");
;}
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 1930 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1934 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1938 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
;}
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1942 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1946 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1954 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1962 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1966 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1970 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1974 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1978 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1982 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1990 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 1998 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 161:

/* Line 1455 of yacc.c  */
#line 2006 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 162:

/* Line 1455 of yacc.c  */
#line 2009 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 163:

/* Line 1455 of yacc.c  */
#line 2017 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 164:

/* Line 1455 of yacc.c  */
#line 2021 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 165:

/* Line 1455 of yacc.c  */
#line 2029 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 166:

/* Line 1455 of yacc.c  */
#line 2037 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 167:

/* Line 1455 of yacc.c  */
#line 2045 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 168:

/* Line 1455 of yacc.c  */
#line 2049 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 169:

/* Line 1455 of yacc.c  */
#line 2057 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 170:

/* Line 1455 of yacc.c  */
#line 2061 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 171:

/* Line 1455 of yacc.c  */
#line 2069 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 172:

/* Line 1455 of yacc.c  */
#line 2077 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("user"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 173:

/* Line 1455 of yacc.c  */
#line 2085 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
;}
    break;

  case 174:

/* Line 1455 of yacc.c  */
#line 2089 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
;}
    break;

  case 175:

/* Line 1455 of yacc.c  */
#line 2097 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 2101 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 2109 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[(3) - (6)].str),mm_strdup("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 2113 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 179:

/* Line 1455 of yacc.c  */
#line 2117 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[(6) - (9)].str),mm_strdup("authorization"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 2122 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 2131 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 2135 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 2142 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 2146 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 2153 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 2157 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 2161 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 2165 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 2169 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 2173 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 191:

/* Line 1455 of yacc.c  */
#line 2181 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 2185 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 2189 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 2197 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 2201 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 2205 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 2213 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 198:

/* Line 1455 of yacc.c  */
#line 2217 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 199:

/* Line 1455 of yacc.c  */
#line 2221 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("to default"));
;}
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 2225 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("= default"));
;}
    break;

  case 201:

/* Line 1455 of yacc.c  */
#line 2229 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("from current"));
;}
    break;

  case 202:

/* Line 1455 of yacc.c  */
#line 2233 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 203:

/* Line 1455 of yacc.c  */
#line 2237 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 2242 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 2246 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 206:

/* Line 1455 of yacc.c  */
#line 2250 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 2254 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 2258 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization default");
;}
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 2262 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 2266 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 2274 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 2278 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 2286 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 2290 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 2298 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 2302 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 2316 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read uncommitted");
;}
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 2320 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read committed");
;}
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 2324 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable read");
;}
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 2328 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
;}
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 2336 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 2340 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 2344 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
;}
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 2348 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 2356 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 2360 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 227:

/* Line 1455 of yacc.c  */
#line 2364 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 2368 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 2372 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 230:

/* Line 1455 of yacc.c  */
#line 2376 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 2380 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
;}
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 2388 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 2392 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 234:

/* Line 1455 of yacc.c  */
#line 2396 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 235:

/* Line 1455 of yacc.c  */
#line 2403 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 2407 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 2415 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 2419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset time zone");
;}
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 2423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
;}
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 2427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset session authorization");
;}
    break;

  case 241:

/* Line 1455 of yacc.c  */
#line 2431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset all");
;}
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 2439 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 2443 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 244:

/* Line 1455 of yacc.c  */
#line 2451 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 2455 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 2463 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 2467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show time zone");
;}
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 2471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
;}
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 2475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show session authorization");
;}
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 2479 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	;}
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 2488 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 2496 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 2500 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 2508 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
;}
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 2512 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
;}
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 2520 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
;}
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 2528 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard all");
;}
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 2532 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temp");
;}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 2536 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temporary");
;}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 2540 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard plans");
;}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 2548 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 2552 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 2556 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 2560 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 2564 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 2568 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 2572 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 2576 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 2580 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 2584 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 2592 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 2596 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 2604 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 2608 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 2612 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 2616 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
;}
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 2620 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
;}
    break;

  case 278:

/* Line 1455 of yacc.c  */
#line 2624 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set statistics"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 279:

/* Line 1455 of yacc.c  */
#line 2628 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 2632 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 2636 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set storage"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 282:

/* Line 1455 of yacc.c  */
#line 2640 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 283:

/* Line 1455 of yacc.c  */
#line 2644 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 2648 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 285:

/* Line 1455 of yacc.c  */
#line 2652 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 2656 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 287:

/* Line 1455 of yacc.c  */
#line 2660 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 2664 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 289:

/* Line 1455 of yacc.c  */
#line 2668 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 2672 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set with oids");
;}
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 2676 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without oids");
;}
    break;

  case 292:

/* Line 1455 of yacc.c  */
#line 2680 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 2684 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without cluster");
;}
    break;

  case 294:

/* Line 1455 of yacc.c  */
#line 2688 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 295:

/* Line 1455 of yacc.c  */
#line 2692 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 296:

/* Line 1455 of yacc.c  */
#line 2696 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 297:

/* Line 1455 of yacc.c  */
#line 2700 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger all");
;}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2704 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger user");
;}
    break;

  case 299:

/* Line 1455 of yacc.c  */
#line 2708 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2712 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger all");
;}
    break;

  case 301:

/* Line 1455 of yacc.c  */
#line 2716 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger user");
;}
    break;

  case 302:

/* Line 1455 of yacc.c  */
#line 2720 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2724 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2728 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2732 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2736 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2740 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2744 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2748 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not of");
;}
    break;

  case 310:

/* Line 1455 of yacc.c  */
#line 2752 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2756 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2760 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 313:

/* Line 1455 of yacc.c  */
#line 2764 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 314:

/* Line 1455 of yacc.c  */
#line 2768 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2776 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2780 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop default");
;}
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2788 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2792 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2796 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2803 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2807 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2814 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2818 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2825 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2833 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2837 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2844 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2848 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2856 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2860 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2864 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("."),(yyvsp[(3) - (5)].str),mm_strdup("="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2868 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2876 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2884 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2888 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2896 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 337:

/* Line 1455 of yacc.c  */
#line 2900 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2904 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2908 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2916 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	;}
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2921 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close all");
;}
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2929 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (11)].str), "from") == 0 &&
			   (strcmp((yyvsp[(7) - (11)].str), "stdin") == 0 || strcmp((yyvsp[(7) - (11)].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[(2) - (11)].str),(yyvsp[(3) - (11)].str),(yyvsp[(4) - (11)].str),(yyvsp[(5) - (11)].str),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 343:

/* Line 1455 of yacc.c  */
#line 2937 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[(2) - (7)].str),mm_strdup("to"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2945 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2949 "preproc.y"
    { 
 (yyval.str) = mm_strdup("to");
;}
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2957 "preproc.y"
    { 
 (yyval.str) = mm_strdup("program");
;}
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2961 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2968 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2972 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
;}
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2976 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
;}
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2984 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2988 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2996 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 354:

/* Line 1455 of yacc.c  */
#line 3000 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 3007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 3011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
;}
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 3015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 3019 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 3023 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 3027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
;}
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 3031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
;}
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 3035 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 3039 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 364:

/* Line 1455 of yacc.c  */
#line 3043 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 365:

/* Line 1455 of yacc.c  */
#line 3047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force quote *");
;}
    break;

  case 366:

/* Line 1455 of yacc.c  */
#line 3051 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 367:

/* Line 1455 of yacc.c  */
#line 3055 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 3063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 3067 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 3074 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
;}
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 3078 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 3085 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("delimiters"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 3089 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 3096 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
;}
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 3100 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 376:

/* Line 1455 of yacc.c  */
#line 3107 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 377:

/* Line 1455 of yacc.c  */
#line 3111 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 378:

/* Line 1455 of yacc.c  */
#line 3119 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 379:

/* Line 1455 of yacc.c  */
#line 3127 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 380:

/* Line 1455 of yacc.c  */
#line 3131 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 3135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 382:

/* Line 1455 of yacc.c  */
#line 3139 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 383:

/* Line 1455 of yacc.c  */
#line 3143 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 3150 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 3154 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 3162 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 3170 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 3174 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
;}
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 3178 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("table"),(yyvsp[(4) - (10)].str),mm_strdup("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 3182 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("of"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 3190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
;}
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 3194 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
;}
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 3198 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temporary");
;}
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 3202 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temp");
;}
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 3206 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temporary");
;}
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 3210 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temp");
;}
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 3214 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
;}
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 3218 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 3225 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 3229 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 3236 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 3240 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 3247 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 3251 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 3259 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 3263 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 3271 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 3275 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 3279 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 3287 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 3291 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 3299 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 3307 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("with options"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 3315 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 3319 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 3326 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 3330 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 3334 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 3338 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 3346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not null");
;}
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 3350 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 3354 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 3358 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 3362 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 3366 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 3370 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 3378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 3382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 3386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
;}
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 3390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
;}
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 3398 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 3406 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("including"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 3410 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("excluding"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 3414 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 3421 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
;}
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 3425 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
;}
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 3429 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
;}
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 3433 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
;}
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 3437 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
;}
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 3441 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 3449 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 3453 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 3461 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 3465 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[(3) - (7)].str),mm_strdup(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 3469 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 3473 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[(4) - (8)].str),mm_strdup(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 3477 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 3481 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[(2) - (9)].str),mm_strdup("("),(yyvsp[(4) - (9)].str),mm_strdup(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 3485 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[(4) - (11)].str),mm_strdup(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 3493 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
;}
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 3497 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 3504 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 3508 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 3515 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 3519 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 3527 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 3535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match full");
;}
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 3539 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
;}
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 3544 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match simple");
;}
    break;

  case 460:

/* Line 1455 of yacc.c  */
#line 3548 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 461:

/* Line 1455 of yacc.c  */
#line 3555 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 3559 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 3567 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("with"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 3571 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("with operator ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 3579 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 3583 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 3590 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 3594 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 3598 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 3602 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 3606 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 3613 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 3621 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 3629 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no action");
;}
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 3633 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 3637 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 3641 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set null");
;}
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 3645 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set default");
;}
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 3653 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 3657 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 3664 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 3668 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
;}
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 3672 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without oids");
;}
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 3676 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 3683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit drop");
;}
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 3687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
;}
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 3691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
;}
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 3695 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 3702 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3706 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3713 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3717 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3724 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3732 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3740 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with data");
;}
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3744 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with no data");
;}
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3748 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3755 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("materialized view"),(yyvsp[(5) - (8)].str),mm_strdup("as"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3763 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
;}
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3775 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3782 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("refresh materialized view"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3790 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (5)].str),mm_strdup("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3798 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3802 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3810 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3814 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3821 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3825 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3833 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3837 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
;}
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3841 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no cycle");
;}
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3845 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3849 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3853 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3857 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no maxvalue");
;}
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3861 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no minvalue");
;}
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3865 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3869 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3873 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
;}
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3877 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3885 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
;}
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3889 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3896 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3900 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3904 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3912 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3916 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3924 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("language"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3928 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("language"),(yyvsp[(6) - (10)].str),mm_strdup("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3936 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
;}
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3940 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3947 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3951 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3959 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3963 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3970 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3974 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
;}
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3982 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 3986 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 541:

/* Line 1455 of yacc.c  */
#line 3993 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (5)].str),mm_strdup("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 3997 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (7)].str),mm_strdup("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 4005 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
;}
    break;

  case 544:

/* Line 1455 of yacc.c  */
#line 4009 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 4016 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("location"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 4024 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 4028 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 548:

/* Line 1455 of yacc.c  */
#line 4035 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 4039 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 4047 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 4051 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 4059 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 553:

/* Line 1455 of yacc.c  */
#line 4063 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 4070 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 4074 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 4078 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 4086 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (5)].str),mm_strdup("update"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 4094 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 4098 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 4105 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 4113 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("aggregate"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 4117 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("cast ("),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),mm_strdup(")"));
;}
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 4121 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("collation"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 4125 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("conversion"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 565:

/* Line 1455 of yacc.c  */
#line 4129 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("domain"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 4133 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("function"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 567:

/* Line 1455 of yacc.c  */
#line 4137 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("language"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 568:

/* Line 1455 of yacc.c  */
#line 4141 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("operator"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 569:

/* Line 1455 of yacc.c  */
#line 4145 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator class"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 570:

/* Line 1455 of yacc.c  */
#line 4149 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator family"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 4153 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 572:

/* Line 1455 of yacc.c  */
#line 4157 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("event trigger"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 4161 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("table"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 574:

/* Line 1455 of yacc.c  */
#line 4165 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search parser"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 4169 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search dictionary"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 4173 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search template"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 4177 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search configuration"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 4181 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("sequence"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 579:

/* Line 1455 of yacc.c  */
#line 4185 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("view"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 580:

/* Line 1455 of yacc.c  */
#line 4189 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("materialized view"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 4193 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("foreign table"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 4197 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("foreign data wrapper"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 4201 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("server"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 4205 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("type"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 4213 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 4221 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 4225 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no handler");
;}
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 4229 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 4233 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
;}
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 4241 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 4245 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 4253 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 4257 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 4264 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 4268 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 4276 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 4280 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 4288 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 4292 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 4299 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 4303 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 4311 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 4319 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 4323 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 4331 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 606:

/* Line 1455 of yacc.c  */
#line 4335 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 607:

/* Line 1455 of yacc.c  */
#line 4339 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 608:

/* Line 1455 of yacc.c  */
#line 4343 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 4351 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 4359 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 611:

/* Line 1455 of yacc.c  */
#line 4367 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 612:

/* Line 1455 of yacc.c  */
#line 4375 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),mm_strdup("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 4383 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 4387 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 4394 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 616:

/* Line 1455 of yacc.c  */
#line 4398 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version null");
;}
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 4406 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 4410 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 4417 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 4421 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 621:

/* Line 1455 of yacc.c  */
#line 4429 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 622:

/* Line 1455 of yacc.c  */
#line 4433 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 4437 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 4445 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table"),(yyvsp[(4) - (10)].str),mm_strdup("("),(yyvsp[(6) - (10)].str),mm_strdup(") server"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 4449 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("("),(yyvsp[(9) - (13)].str),mm_strdup(") server"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 4457 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 627:

/* Line 1455 of yacc.c  */
#line 4461 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 628:

/* Line 1455 of yacc.c  */
#line 4469 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 629:

/* Line 1455 of yacc.c  */
#line 4477 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 4481 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 631:

/* Line 1455 of yacc.c  */
#line 4485 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 632:

/* Line 1455 of yacc.c  */
#line 4493 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[(5) - (7)].str),mm_strdup("server"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4497 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),mm_strdup("server"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 634:

/* Line 1455 of yacc.c  */
#line 4505 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4513 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),mm_strdup("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),mm_strdup("execute procedure"),(yyvsp[(12) - (15)].str),mm_strdup("("),(yyvsp[(14) - (15)].str),mm_strdup(")"));
;}
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4517 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[(4) - (20)].str),mm_strdup("after"),(yyvsp[(6) - (20)].str),mm_strdup("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),mm_strdup("for each row"),(yyvsp[(14) - (20)].str),mm_strdup("execute procedure"),(yyvsp[(17) - (20)].str),mm_strdup("("),(yyvsp[(19) - (20)].str),mm_strdup(")"));
;}
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4525 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
;}
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4529 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
;}
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4533 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead of");
;}
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4541 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4545 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4553 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4557 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4561 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4565 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4569 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
;}
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4577 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4581 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4588 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
;}
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4592 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
;}
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4611 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4615 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4622 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4626 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4630 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4637 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4641 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4645 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4649 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4657 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4661 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4668 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4671 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 666:

/* Line 1455 of yacc.c  */
#line 4679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
;}
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
;}
    break;

  case 670:

/* Line 1455 of yacc.c  */
#line 4695 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not valid");
;}
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4699 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
;}
    break;

  case 672:

/* Line 1455 of yacc.c  */
#line 4707 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4711 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4719 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[(4) - (11)].str),mm_strdup("on"),(yyvsp[(6) - (11)].str),mm_strdup("execute procedure"),(yyvsp[(9) - (11)].str),mm_strdup("( )"));
;}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4723 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[(4) - (13)].str),mm_strdup("on"),(yyvsp[(6) - (13)].str),mm_strdup("when"),(yyvsp[(8) - (13)].str),mm_strdup("execute procedure"),(yyvsp[(11) - (13)].str),mm_strdup("( )"));
;}
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4731 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4735 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4743 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("in ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 679:

/* Line 1455 of yacc.c  */
#line 4751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sconst");
;}
    break;

  case 680:

/* Line 1455 of yacc.c  */
#line 4755 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup(", sconst"));
;}
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4763 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
;}
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable replica");
;}
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable always");
;}
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
;}
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4791 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[(3) - (8)].str),mm_strdup("check ("),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4800 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4809 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4813 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4817 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4821 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4825 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4829 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (7)].str),mm_strdup("as ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4833 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (8)].str),mm_strdup("as enum ("),(yyvsp[(7) - (8)].str),mm_strdup(")"));
;}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4837 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[(3) - (6)].str),mm_strdup("as range"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4841 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4845 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4849 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4853 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4857 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4861 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[(3) - (5)].str),mm_strdup("from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 702:

/* Line 1455 of yacc.c  */
#line 4869 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4877 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4881 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4889 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4893 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4901 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4905 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4909 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4913 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 711:

/* Line 1455 of yacc.c  */
#line 4917 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 712:

/* Line 1455 of yacc.c  */
#line 4925 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 713:

/* Line 1455 of yacc.c  */
#line 4929 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( * )");
;}
    break;

  case 714:

/* Line 1455 of yacc.c  */
#line 4937 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4945 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4949 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4957 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4965 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4969 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4976 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4980 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 4988 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[(3) - (7)].str),mm_strdup("add value"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 723:

/* Line 1455 of yacc.c  */
#line 4992 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("add value"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("before"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 4996 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("add value"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("after"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 5004 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if not exists");
;}
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 5008 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 5015 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),mm_strdup("for type"),(yyvsp[(8) - (13)].str),mm_strdup("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 728:

/* Line 1455 of yacc.c  */
#line 5023 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 5027 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 730:

/* Line 1455 of yacc.c  */
#line 5035 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 5039 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 5043 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 5047 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[(2) - (7)].str),mm_strdup("("),(yyvsp[(4) - (7)].str),mm_strdup(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 734:

/* Line 1455 of yacc.c  */
#line 5051 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 735:

/* Line 1455 of yacc.c  */
#line 5059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 5063 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 737:

/* Line 1455 of yacc.c  */
#line 5070 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 738:

/* Line 1455 of yacc.c  */
#line 5074 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 5081 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for search");
;}
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 5085 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 741:

/* Line 1455 of yacc.c  */
#line 5089 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 5096 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
;}
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 5101 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 5108 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[(4) - (6)].str),mm_strdup("using"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 5116 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("add"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 5120 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("drop"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 5128 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 748:

/* Line 1455 of yacc.c  */
#line 5132 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 749:

/* Line 1455 of yacc.c  */
#line 5140 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 5144 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 5152 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 5156 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 5164 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 5168 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 5176 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 5184 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[(4) - (6)].str),mm_strdup("to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 5192 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 5196 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 5200 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 5204 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 5212 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 5216 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 5220 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 5224 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
;}
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 5228 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 5232 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 5236 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
;}
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 5240 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 769:

/* Line 1455 of yacc.c  */
#line 5244 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 770:

/* Line 1455 of yacc.c  */
#line 5248 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 771:

/* Line 1455 of yacc.c  */
#line 5252 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 5256 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 5260 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 5264 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
;}
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 5268 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
;}
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 5272 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
;}
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 5276 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
;}
    break;

  case 778:

/* Line 1455 of yacc.c  */
#line 5284 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 779:

/* Line 1455 of yacc.c  */
#line 5288 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 5296 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 5300 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 5308 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 5312 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 5320 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 5328 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue identity");
;}
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 5332 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart identity");
;}
    break;

  case 787:

/* Line 1455 of yacc.c  */
#line 5336 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 788:

/* Line 1455 of yacc.c  */
#line 5343 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 5347 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5351 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5355 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5359 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5363 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5367 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5371 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5375 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5379 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5383 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5387 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[(5) - (10)].str),mm_strdup("as"),(yyvsp[(7) - (10)].str),mm_strdup(") is"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5391 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[(3) - (7)].str),mm_strdup("language"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
;}
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 812:

/* Line 1455 of yacc.c  */
#line 5443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 813:

/* Line 1455 of yacc.c  */
#line 5447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 814:

/* Line 1455 of yacc.c  */
#line 5451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 815:

/* Line 1455 of yacc.c  */
#line 5455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
;}
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
;}
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
;}
    break;

  case 820:

/* Line 1455 of yacc.c  */
#line 5475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
;}
    break;

  case 821:

/* Line 1455 of yacc.c  */
#line 5479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
;}
    break;

  case 822:

/* Line 1455 of yacc.c  */
#line 5483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
;}
    break;

  case 823:

/* Line 1455 of yacc.c  */
#line 5487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
;}
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5495 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 826:

/* Line 1455 of yacc.c  */
#line 5507 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5511 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on aggregate"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5515 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on function"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5519 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on large object"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5523 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5531 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5535 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5542 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5546 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5550 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
;}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5554 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5558 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5562 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5566 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5574 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5578 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5582 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5586 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5590 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
;}
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5598 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5602 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5610 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5614 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 850:

/* Line 1455 of yacc.c  */
#line 5618 "preproc.y"
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[(2) - (3)].str));
	;}
    break;

  case 851:

/* Line 1455 of yacc.c  */
#line 5622 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	;}
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5628 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	;}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5634 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	;}
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5640 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	;}
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5646 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	;}
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5652 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	;}
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5658 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	;}
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5664 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	;}
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5674 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5685 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5696 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5707 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5718 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5729 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5740 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5756 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5772 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5788 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5799 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5815 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5826 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5842 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5857 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5861 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5869 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5873 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5880 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5888 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5892 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5900 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5904 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5908 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all privileges");
;}
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5912 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5916 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5924 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5928 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5936 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5940 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5944 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5948 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5956 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5960 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5964 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5968 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5972 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5976 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5980 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 5984 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 5988 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 5992 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 5996 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 6000 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 6004 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 6008 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 6012 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 6016 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 6024 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 6028 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 909:

/* Line 1455 of yacc.c  */
#line 6036 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 6040 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 6048 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with grant option");
;}
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 6052 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 6059 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 6063 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 6071 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 6079 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 6087 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[(2) - (6)].str),mm_strdup("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 6091 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[(5) - (9)].str),mm_strdup("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 6099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with admin option");
;}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 6103 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 6110 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 6114 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 6121 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 6129 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 6133 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 926:

/* Line 1455 of yacc.c  */
#line 6140 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 927:

/* Line 1455 of yacc.c  */
#line 6144 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 928:

/* Line 1455 of yacc.c  */
#line 6148 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 6156 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 6160 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 6164 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 6172 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
;}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 6176 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
;}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 6180 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
;}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 6184 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
;}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 6192 "preproc.y"
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),mm_strdup("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),mm_strdup("("),(yyvsp[(10) - (14)].str),mm_strdup(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
;}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 6200 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
;}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 6204 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 6211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
;}
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 6215 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 6222 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 6226 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 6233 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 944:

/* Line 1455 of yacc.c  */
#line 6237 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 945:

/* Line 1455 of yacc.c  */
#line 6244 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 946:

/* Line 1455 of yacc.c  */
#line 6248 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 947:

/* Line 1455 of yacc.c  */
#line 6256 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 948:

/* Line 1455 of yacc.c  */
#line 6260 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 6264 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[(2) - (7)].str),mm_strdup(")"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 6272 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 6276 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 6283 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 6287 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 6291 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 6298 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
;}
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 6302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
;}
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 6306 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 6313 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls first");
;}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 6317 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls last");
;}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 6321 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 961:

/* Line 1455 of yacc.c  */
#line 6328 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),mm_strdup("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 6332 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),mm_strdup("returns table ("),(yyvsp[(9) - (12)].str),mm_strdup(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
;}
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 6336 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (7)].str),mm_strdup("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6344 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or replace");
;}
    break;

  case 965:

/* Line 1455 of yacc.c  */
#line 6348 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 966:

/* Line 1455 of yacc.c  */
#line 6355 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 967:

/* Line 1455 of yacc.c  */
#line 6359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6367 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6371 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6379 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6391 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6395 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6403 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6407 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6411 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6415 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6419 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
;}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
;}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in out");
;}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
;}
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6451 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6459 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6467 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6471 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),mm_strdup("% type"));
;}
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6475 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("% type"));
;}
    break;

  case 989:

/* Line 1455 of yacc.c  */
#line 6483 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6487 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6491 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6499 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6503 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called on null input");
;}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns null on null input");
;}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
;}
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
;}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
;}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
;}
    break;

  case 1000:

/* Line 1455 of yacc.c  */
#line 6535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security definer");
;}
    break;

  case 1001:

/* Line 1455 of yacc.c  */
#line 6539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security invoker");
;}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security definer");
;}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security invoker");
;}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
;}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not leakproof");
;}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6559 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6563 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6567 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6575 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6579 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
;}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6587 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6595 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6599 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6607 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6611 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6618 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6626 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6630 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6638 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6646 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6650 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6662 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6669 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6673 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6681 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6685 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6693 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6697 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6705 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6709 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6713 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6717 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(", none )"));
;}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6725 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6729 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6737 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6745 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6749 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6757 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6761 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6769 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[(4) - (11)].str),mm_strdup("as"),(yyvsp[(6) - (11)].str),mm_strdup(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6773 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") without function"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6777 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") with inout"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6785 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as implicit");
;}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6789 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as assignment");
;}
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6793 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6800 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[(3) - (9)].str),mm_strdup("("),(yyvsp[(5) - (9)].str),mm_strdup("as"),(yyvsp[(7) - (9)].str),mm_strdup(")"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 6808 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if exists");
;}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 6812 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 6819 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 6823 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 6827 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 6835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 1055:

/* Line 1455 of yacc.c  */
#line 6839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 1056:

/* Line 1455 of yacc.c  */
#line 6847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
;}
    break;

  case 1057:

/* Line 1455 of yacc.c  */
#line 6851 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1058:

/* Line 1455 of yacc.c  */
#line 6858 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1059:

/* Line 1455 of yacc.c  */
#line 6862 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1060:

/* Line 1455 of yacc.c  */
#line 6866 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 6870 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 6874 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 6878 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 6882 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 6886 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 6890 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 6894 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 6898 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 6902 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 6906 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 6910 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 6914 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1073:

/* Line 1455 of yacc.c  */
#line 6918 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1074:

/* Line 1455 of yacc.c  */
#line 6922 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1075:

/* Line 1455 of yacc.c  */
#line 6926 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1076:

/* Line 1455 of yacc.c  */
#line 6930 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1077:

/* Line 1455 of yacc.c  */
#line 6934 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1078:

/* Line 1455 of yacc.c  */
#line 6938 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1079:

/* Line 1455 of yacc.c  */
#line 6942 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1080:

/* Line 1455 of yacc.c  */
#line 6946 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1081:

/* Line 1455 of yacc.c  */
#line 6950 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 6954 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 6958 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 6962 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 6966 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[(5) - (10)].str),mm_strdup("rename"),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),mm_strdup("to"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 6970 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 6974 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 6978 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1089:

/* Line 1455 of yacc.c  */
#line 6982 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1090:

/* Line 1455 of yacc.c  */
#line 6986 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1091:

/* Line 1455 of yacc.c  */
#line 6990 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1092:

/* Line 1455 of yacc.c  */
#line 6994 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1093:

/* Line 1455 of yacc.c  */
#line 6998 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1094:

/* Line 1455 of yacc.c  */
#line 7002 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1095:

/* Line 1455 of yacc.c  */
#line 7006 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1096:

/* Line 1455 of yacc.c  */
#line 7010 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1097:

/* Line 1455 of yacc.c  */
#line 7014 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1098:

/* Line 1455 of yacc.c  */
#line 7018 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 7022 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 7026 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 7030 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 7034 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1103:

/* Line 1455 of yacc.c  */
#line 7038 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 7042 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("rename attribute"),(yyvsp[(6) - (9)].str),mm_strdup("to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 7050 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 7054 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 7061 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set data");
;}
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 7065 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 7072 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 7076 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1111:

/* Line 1455 of yacc.c  */
#line 7080 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 7084 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 7088 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 7092 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 7096 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 7100 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 7104 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 7108 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1119:

/* Line 1455 of yacc.c  */
#line 7112 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1120:

/* Line 1455 of yacc.c  */
#line 7116 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 7120 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1122:

/* Line 1455 of yacc.c  */
#line 7124 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 7128 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 7132 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 7136 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1126:

/* Line 1455 of yacc.c  */
#line 7140 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 7144 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 7148 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 7152 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 7156 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 7160 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1132:

/* Line 1455 of yacc.c  */
#line 7164 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1133:

/* Line 1455 of yacc.c  */
#line 7172 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1134:

/* Line 1455 of yacc.c  */
#line 7176 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1135:

/* Line 1455 of yacc.c  */
#line 7180 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1136:

/* Line 1455 of yacc.c  */
#line 7184 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1137:

/* Line 1455 of yacc.c  */
#line 7188 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1138:

/* Line 1455 of yacc.c  */
#line 7192 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1139:

/* Line 1455 of yacc.c  */
#line 7196 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1140:

/* Line 1455 of yacc.c  */
#line 7200 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1141:

/* Line 1455 of yacc.c  */
#line 7204 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1142:

/* Line 1455 of yacc.c  */
#line 7208 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1143:

/* Line 1455 of yacc.c  */
#line 7212 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1144:

/* Line 1455 of yacc.c  */
#line 7216 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1145:

/* Line 1455 of yacc.c  */
#line 7220 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1146:

/* Line 1455 of yacc.c  */
#line 7224 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1147:

/* Line 1455 of yacc.c  */
#line 7228 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1148:

/* Line 1455 of yacc.c  */
#line 7232 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1149:

/* Line 1455 of yacc.c  */
#line 7236 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1150:

/* Line 1455 of yacc.c  */
#line 7240 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1151:

/* Line 1455 of yacc.c  */
#line 7244 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1152:

/* Line 1455 of yacc.c  */
#line 7252 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("rule"),(yyvsp[(4) - (13)].str),mm_strdup("as on"),(yyvsp[(7) - (13)].str),mm_strdup("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),mm_strdup("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 1153:

/* Line 1455 of yacc.c  */
#line 7260 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
;}
    break;

  case 1154:

/* Line 1455 of yacc.c  */
#line 7264 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1155:

/* Line 1455 of yacc.c  */
#line 7268 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1156:

/* Line 1455 of yacc.c  */
#line 7276 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(";"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1157:

/* Line 1455 of yacc.c  */
#line 7280 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1158:

/* Line 1455 of yacc.c  */
#line 7288 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1159:

/* Line 1455 of yacc.c  */
#line 7292 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1160:

/* Line 1455 of yacc.c  */
#line 7296 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1161:

/* Line 1455 of yacc.c  */
#line 7300 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1162:

/* Line 1455 of yacc.c  */
#line 7304 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1163:

/* Line 1455 of yacc.c  */
#line 7312 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1164:

/* Line 1455 of yacc.c  */
#line 7316 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1165:

/* Line 1455 of yacc.c  */
#line 7323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
;}
    break;

  case 1166:

/* Line 1455 of yacc.c  */
#line 7327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 1167:

/* Line 1455 of yacc.c  */
#line 7331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 1168:

/* Line 1455 of yacc.c  */
#line 7335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 1169:

/* Line 1455 of yacc.c  */
#line 7343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
;}
    break;

  case 1170:

/* Line 1455 of yacc.c  */
#line 7347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
;}
    break;

  case 1171:

/* Line 1455 of yacc.c  */
#line 7351 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1172:

/* Line 1455 of yacc.c  */
#line 7358 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1173:

/* Line 1455 of yacc.c  */
#line 7362 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1174:

/* Line 1455 of yacc.c  */
#line 7370 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1175:

/* Line 1455 of yacc.c  */
#line 7378 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1176:

/* Line 1455 of yacc.c  */
#line 7382 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1177:

/* Line 1455 of yacc.c  */
#line 7389 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1178:

/* Line 1455 of yacc.c  */
#line 7397 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1179:

/* Line 1455 of yacc.c  */
#line 7401 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten *");
;}
    break;

  case 1180:

/* Line 1455 of yacc.c  */
#line 7409 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1181:

/* Line 1455 of yacc.c  */
#line 7413 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1182:

/* Line 1455 of yacc.c  */
#line 7417 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1183:

/* Line 1455 of yacc.c  */
#line 7421 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1184:

/* Line 1455 of yacc.c  */
#line 7425 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1185:

/* Line 1455 of yacc.c  */
#line 7429 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1186:

/* Line 1455 of yacc.c  */
#line 7433 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1187:

/* Line 1455 of yacc.c  */
#line 7437 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1188:

/* Line 1455 of yacc.c  */
#line 7441 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1189:

/* Line 1455 of yacc.c  */
#line 7445 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (5)].str),mm_strdup("to savepoint"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1190:

/* Line 1455 of yacc.c  */
#line 7449 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (4)].str),mm_strdup("to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1191:

/* Line 1455 of yacc.c  */
#line 7453 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1192:

/* Line 1455 of yacc.c  */
#line 7457 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1193:

/* Line 1455 of yacc.c  */
#line 7461 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1194:

/* Line 1455 of yacc.c  */
#line 7469 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
;}
    break;

  case 1195:

/* Line 1455 of yacc.c  */
#line 7473 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
;}
    break;

  case 1196:

/* Line 1455 of yacc.c  */
#line 7477 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1197:

/* Line 1455 of yacc.c  */
#line 7484 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1198:

/* Line 1455 of yacc.c  */
#line 7488 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read only");
;}
    break;

  case 1199:

/* Line 1455 of yacc.c  */
#line 7492 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read write");
;}
    break;

  case 1200:

/* Line 1455 of yacc.c  */
#line 7496 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 1201:

/* Line 1455 of yacc.c  */
#line 7500 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 1202:

/* Line 1455 of yacc.c  */
#line 7508 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1203:

/* Line 1455 of yacc.c  */
#line 7512 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1204:

/* Line 1455 of yacc.c  */
#line 7516 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1205:

/* Line 1455 of yacc.c  */
#line 7524 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1206:

/* Line 1455 of yacc.c  */
#line 7528 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1207:

/* Line 1455 of yacc.c  */
#line 7535 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("view"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),mm_strdup("as"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1208:

/* Line 1455 of yacc.c  */
#line 7539 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[(4) - (11)].str),mm_strdup("view"),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("as"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1209:

/* Line 1455 of yacc.c  */
#line 7543 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("recursive view"),(yyvsp[(5) - (11)].str),mm_strdup("("),(yyvsp[(7) - (11)].str),mm_strdup(")"),(yyvsp[(9) - (11)].str),mm_strdup("as"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1210:

/* Line 1455 of yacc.c  */
#line 7547 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create or replace"),(yyvsp[(4) - (13)].str),mm_strdup("recursive view"),(yyvsp[(7) - (13)].str),mm_strdup("("),(yyvsp[(9) - (13)].str),mm_strdup(")"),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 1211:

/* Line 1455 of yacc.c  */
#line 7555 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
;}
    break;

  case 1212:

/* Line 1455 of yacc.c  */
#line 7560 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
;}
    break;

  case 1213:

/* Line 1455 of yacc.c  */
#line 7565 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
;}
    break;

  case 1214:

/* Line 1455 of yacc.c  */
#line 7570 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1215:

/* Line 1455 of yacc.c  */
#line 7577 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1216:

/* Line 1455 of yacc.c  */
#line 7585 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1217:

/* Line 1455 of yacc.c  */
#line 7593 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1218:

/* Line 1455 of yacc.c  */
#line 7597 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1219:

/* Line 1455 of yacc.c  */
#line 7604 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1220:

/* Line 1455 of yacc.c  */
#line 7608 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1221:

/* Line 1455 of yacc.c  */
#line 7612 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1222:

/* Line 1455 of yacc.c  */
#line 7616 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1223:

/* Line 1455 of yacc.c  */
#line 7620 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1224:

/* Line 1455 of yacc.c  */
#line 7624 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1225:

/* Line 1455 of yacc.c  */
#line 7628 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1226:

/* Line 1455 of yacc.c  */
#line 7632 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1227:

/* Line 1455 of yacc.c  */
#line 7636 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1228:

/* Line 1455 of yacc.c  */
#line 7640 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1229:

/* Line 1455 of yacc.c  */
#line 7644 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1230:

/* Line 1455 of yacc.c  */
#line 7648 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1231:

/* Line 1455 of yacc.c  */
#line 7652 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1232:

/* Line 1455 of yacc.c  */
#line 7656 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1233:

/* Line 1455 of yacc.c  */
#line 7660 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1234:

/* Line 1455 of yacc.c  */
#line 7664 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1235:

/* Line 1455 of yacc.c  */
#line 7672 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
;}
    break;

  case 1236:

/* Line 1455 of yacc.c  */
#line 7676 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1237:

/* Line 1455 of yacc.c  */
#line 7683 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1238:

/* Line 1455 of yacc.c  */
#line 7687 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("set tablespace"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1239:

/* Line 1455 of yacc.c  */
#line 7695 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1240:

/* Line 1455 of yacc.c  */
#line 7703 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1241:

/* Line 1455 of yacc.c  */
#line 7707 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1242:

/* Line 1455 of yacc.c  */
#line 7714 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1243:

/* Line 1455 of yacc.c  */
#line 7722 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1244:

/* Line 1455 of yacc.c  */
#line 7726 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1245:

/* Line 1455 of yacc.c  */
#line 7734 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1246:

/* Line 1455 of yacc.c  */
#line 7742 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1247:

/* Line 1455 of yacc.c  */
#line 7746 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
;}
    break;

  case 1248:

/* Line 1455 of yacc.c  */
#line 7750 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
;}
    break;

  case 1249:

/* Line 1455 of yacc.c  */
#line 7754 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (5)].str),mm_strdup("add"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1250:

/* Line 1455 of yacc.c  */
#line 7758 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (7)].str),mm_strdup("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1251:

/* Line 1455 of yacc.c  */
#line 7762 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (9)].str),mm_strdup("drop constraint if exists"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1252:

/* Line 1455 of yacc.c  */
#line 7766 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("validate constraint"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1253:

/* Line 1455 of yacc.c  */
#line 7774 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
;}
    break;

  case 1254:

/* Line 1455 of yacc.c  */
#line 7778 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1255:

/* Line 1455 of yacc.c  */
#line 7785 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1256:

/* Line 1455 of yacc.c  */
#line 7793 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("add mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1257:

/* Line 1455 of yacc.c  */
#line 7797 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1258:

/* Line 1455 of yacc.c  */
#line 7801 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping replace"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1259:

/* Line 1455 of yacc.c  */
#line 7805 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[(5) - (13)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (13)].str),mm_strdup("replace"),(yyvsp[(11) - (13)].str),mm_strdup("with"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 1260:

/* Line 1455 of yacc.c  */
#line 7809 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (9)].str),mm_strdup("drop mapping for"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1261:

/* Line 1455 of yacc.c  */
#line 7813 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1262:

/* Line 1455 of yacc.c  */
#line 7821 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("conversion"),(yyvsp[(4) - (10)].str),mm_strdup("for"),(yyvsp[(6) - (10)].str),mm_strdup("to"),(yyvsp[(8) - (10)].str),mm_strdup("from"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1263:

/* Line 1455 of yacc.c  */
#line 7829 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1264:

/* Line 1455 of yacc.c  */
#line 7833 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1265:

/* Line 1455 of yacc.c  */
#line 7837 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("on"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1266:

/* Line 1455 of yacc.c  */
#line 7845 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1267:

/* Line 1455 of yacc.c  */
#line 7849 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1268:

/* Line 1455 of yacc.c  */
#line 7856 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1269:

/* Line 1455 of yacc.c  */
#line 7860 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1270:

/* Line 1455 of yacc.c  */
#line 7864 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1271:

/* Line 1455 of yacc.c  */
#line 7868 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1272:

/* Line 1455 of yacc.c  */
#line 7872 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1273:

/* Line 1455 of yacc.c  */
#line 7880 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1274:

/* Line 1455 of yacc.c  */
#line 7884 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1275:

/* Line 1455 of yacc.c  */
#line 7892 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1276:

/* Line 1455 of yacc.c  */
#line 7896 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1277:

/* Line 1455 of yacc.c  */
#line 7900 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 1278:

/* Line 1455 of yacc.c  */
#line 7904 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 1279:

/* Line 1455 of yacc.c  */
#line 7912 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1280:

/* Line 1455 of yacc.c  */
#line 7916 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1281:

/* Line 1455 of yacc.c  */
#line 7924 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
;}
    break;

  case 1282:

/* Line 1455 of yacc.c  */
#line 7928 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
;}
    break;

  case 1283:

/* Line 1455 of yacc.c  */
#line 7936 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1284:

/* Line 1455 of yacc.c  */
#line 7940 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1285:

/* Line 1455 of yacc.c  */
#line 7947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 1286:

/* Line 1455 of yacc.c  */
#line 7951 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1287:

/* Line 1455 of yacc.c  */
#line 7958 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 1288:

/* Line 1455 of yacc.c  */
#line 7962 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1289:

/* Line 1455 of yacc.c  */
#line 7969 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1290:

/* Line 1455 of yacc.c  */
#line 7973 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1291:

/* Line 1455 of yacc.c  */
#line 7980 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1292:

/* Line 1455 of yacc.c  */
#line 7984 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1293:

/* Line 1455 of yacc.c  */
#line 7988 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1294:

/* Line 1455 of yacc.c  */
#line 7992 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1295:

/* Line 1455 of yacc.c  */
#line 8000 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1296:

/* Line 1455 of yacc.c  */
#line 8004 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1297:

/* Line 1455 of yacc.c  */
#line 8008 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1298:

/* Line 1455 of yacc.c  */
#line 8012 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1299:

/* Line 1455 of yacc.c  */
#line 8016 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1300:

/* Line 1455 of yacc.c  */
#line 8020 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1301:

/* Line 1455 of yacc.c  */
#line 8024 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1302:

/* Line 1455 of yacc.c  */
#line 8028 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1303:

/* Line 1455 of yacc.c  */
#line 8032 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1304:

/* Line 1455 of yacc.c  */
#line 8040 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1305:

/* Line 1455 of yacc.c  */
#line 8044 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1306:

/* Line 1455 of yacc.c  */
#line 8052 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1307:

/* Line 1455 of yacc.c  */
#line 8060 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1308:

/* Line 1455 of yacc.c  */
#line 8064 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1309:

/* Line 1455 of yacc.c  */
#line 8068 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1310:

/* Line 1455 of yacc.c  */
#line 8076 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1311:

/* Line 1455 of yacc.c  */
#line 8080 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1312:

/* Line 1455 of yacc.c  */
#line 8084 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1313:

/* Line 1455 of yacc.c  */
#line 8091 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[(5) - (5)].str), mm_strdup("\""));
	;}
    break;

  case 1314:

/* Line 1455 of yacc.c  */
#line 8097 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	;}
    break;

  case 1315:

/* Line 1455 of yacc.c  */
#line 8107 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1316:

/* Line 1455 of yacc.c  */
#line 8111 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1317:

/* Line 1455 of yacc.c  */
#line 8118 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1318:

/* Line 1455 of yacc.c  */
#line 8122 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1319:

/* Line 1455 of yacc.c  */
#line 8126 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1320:

/* Line 1455 of yacc.c  */
#line 8130 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1321:

/* Line 1455 of yacc.c  */
#line 8138 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); ;}
    break;

  case 1322:

/* Line 1455 of yacc.c  */
#line 8140 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("table"),(yyvsp[(4) - (9)].str),mm_strdup("as execute"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1323:

/* Line 1455 of yacc.c  */
#line 8148 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1324:

/* Line 1455 of yacc.c  */
#line 8152 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1325:

/* Line 1455 of yacc.c  */
#line 8159 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("insert into"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1326:

/* Line 1455 of yacc.c  */
#line 8167 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1327:

/* Line 1455 of yacc.c  */
#line 8171 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1328:

/* Line 1455 of yacc.c  */
#line 8175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default values");
;}
    break;

  case 1329:

/* Line 1455 of yacc.c  */
#line 8183 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1330:

/* Line 1455 of yacc.c  */
#line 8187 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1331:

/* Line 1455 of yacc.c  */
#line 8195 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1332:

/* Line 1455 of yacc.c  */
#line 8203 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 1333:

/* Line 1455 of yacc.c  */
#line 8207 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1334:

/* Line 1455 of yacc.c  */
#line 8214 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("delete from"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1335:

/* Line 1455 of yacc.c  */
#line 8222 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1336:

/* Line 1455 of yacc.c  */
#line 8226 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1337:

/* Line 1455 of yacc.c  */
#line 8233 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1338:

/* Line 1455 of yacc.c  */
#line 8241 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[(2) - (3)].str),mm_strdup("mode"));
;}
    break;

  case 1339:

/* Line 1455 of yacc.c  */
#line 8245 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1340:

/* Line 1455 of yacc.c  */
#line 8252 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access share");
;}
    break;

  case 1341:

/* Line 1455 of yacc.c  */
#line 8256 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row share");
;}
    break;

  case 1342:

/* Line 1455 of yacc.c  */
#line 8260 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row exclusive");
;}
    break;

  case 1343:

/* Line 1455 of yacc.c  */
#line 8264 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share update exclusive");
;}
    break;

  case 1344:

/* Line 1455 of yacc.c  */
#line 8268 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
;}
    break;

  case 1345:

/* Line 1455 of yacc.c  */
#line 8272 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share row exclusive");
;}
    break;

  case 1346:

/* Line 1455 of yacc.c  */
#line 8276 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
;}
    break;

  case 1347:

/* Line 1455 of yacc.c  */
#line 8280 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access exclusive");
;}
    break;

  case 1348:

/* Line 1455 of yacc.c  */
#line 8288 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
;}
    break;

  case 1349:

/* Line 1455 of yacc.c  */
#line 8292 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1350:

/* Line 1455 of yacc.c  */
#line 8299 "preproc.y"
    { 
 (yyval.str) = cat_str(8,(yyvsp[(1) - (8)].str),mm_strdup("update"),(yyvsp[(3) - (8)].str),mm_strdup("set"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1351:

/* Line 1455 of yacc.c  */
#line 8307 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1352:

/* Line 1455 of yacc.c  */
#line 8311 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1353:

/* Line 1455 of yacc.c  */
#line 8319 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1354:

/* Line 1455 of yacc.c  */
#line 8323 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1355:

/* Line 1455 of yacc.c  */
#line 8331 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1356:

/* Line 1455 of yacc.c  */
#line 8339 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1357:

/* Line 1455 of yacc.c  */
#line 8347 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1358:

/* Line 1455 of yacc.c  */
#line 8355 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1359:

/* Line 1455 of yacc.c  */
#line 8359 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1360:

/* Line 1455 of yacc.c  */
#line 8367 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	;}
    break;

  case 1361:

/* Line 1455 of yacc.c  */
#line 8420 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1362:

/* Line 1455 of yacc.c  */
#line 8424 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 1363:

/* Line 1455 of yacc.c  */
#line 8436 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1364:

/* Line 1455 of yacc.c  */
#line 8439 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("no scroll"));
;}
    break;

  case 1365:

/* Line 1455 of yacc.c  */
#line 8443 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("scroll"));
;}
    break;

  case 1366:

/* Line 1455 of yacc.c  */
#line 8447 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("binary"));
;}
    break;

  case 1367:

/* Line 1455 of yacc.c  */
#line 8451 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("insensitive"));
;}
    break;

  case 1368:

/* Line 1455 of yacc.c  */
#line 8459 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	;}
    break;

  case 1369:

/* Line 1455 of yacc.c  */
#line 8466 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with hold");
;}
    break;

  case 1370:

/* Line 1455 of yacc.c  */
#line 8470 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without hold");
;}
    break;

  case 1371:

/* Line 1455 of yacc.c  */
#line 8478 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1372:

/* Line 1455 of yacc.c  */
#line 8482 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1373:

/* Line 1455 of yacc.c  */
#line 8490 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1374:

/* Line 1455 of yacc.c  */
#line 8494 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1375:

/* Line 1455 of yacc.c  */
#line 8502 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1376:

/* Line 1455 of yacc.c  */
#line 8506 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1377:

/* Line 1455 of yacc.c  */
#line 8510 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1378:

/* Line 1455 of yacc.c  */
#line 8514 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1379:

/* Line 1455 of yacc.c  */
#line 8518 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1380:

/* Line 1455 of yacc.c  */
#line 8522 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1381:

/* Line 1455 of yacc.c  */
#line 8526 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1382:

/* Line 1455 of yacc.c  */
#line 8530 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1383:

/* Line 1455 of yacc.c  */
#line 8538 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1384:

/* Line 1455 of yacc.c  */
#line 8542 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1385:

/* Line 1455 of yacc.c  */
#line 8550 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1386:

/* Line 1455 of yacc.c  */
#line 8554 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1387:

/* Line 1455 of yacc.c  */
#line 8558 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1388:

/* Line 1455 of yacc.c  */
#line 8562 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1389:

/* Line 1455 of yacc.c  */
#line 8566 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1390:

/* Line 1455 of yacc.c  */
#line 8570 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1391:

/* Line 1455 of yacc.c  */
#line 8578 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1392:

/* Line 1455 of yacc.c  */
#line 8582 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1393:

/* Line 1455 of yacc.c  */
#line 8590 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1394:

/* Line 1455 of yacc.c  */
#line 8594 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1395:

/* Line 1455 of yacc.c  */
#line 8602 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),mm_strdup("as ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1396:

/* Line 1455 of yacc.c  */
#line 8610 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1397:

/* Line 1455 of yacc.c  */
#line 8614 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1398:

/* Line 1455 of yacc.c  */
#line 8621 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[(2) - (2)].str));
					;}
    break;

  case 1399:

/* Line 1455 of yacc.c  */
#line 8625 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 1400:

/* Line 1455 of yacc.c  */
#line 8627 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1401:

/* Line 1455 of yacc.c  */
#line 8634 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1402:

/* Line 1455 of yacc.c  */
#line 8638 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1403:

/* Line 1455 of yacc.c  */
#line 8642 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1404:

/* Line 1455 of yacc.c  */
#line 8646 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1405:

/* Line 1455 of yacc.c  */
#line 8650 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1406:

/* Line 1455 of yacc.c  */
#line 8654 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1407:

/* Line 1455 of yacc.c  */
#line 8658 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1408:

/* Line 1455 of yacc.c  */
#line 8662 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1409:

/* Line 1455 of yacc.c  */
#line 8666 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1410:

/* Line 1455 of yacc.c  */
#line 8674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 1411:

/* Line 1455 of yacc.c  */
#line 8678 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1412:

/* Line 1455 of yacc.c  */
#line 8685 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1413:

/* Line 1455 of yacc.c  */
#line 8689 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 1414:

/* Line 1455 of yacc.c  */
#line 8693 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1415:

/* Line 1455 of yacc.c  */
#line 8700 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 1416:

/* Line 1455 of yacc.c  */
#line 8704 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1417:

/* Line 1455 of yacc.c  */
#line 8708 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1418:

/* Line 1455 of yacc.c  */
#line 8712 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1419:

/* Line 1455 of yacc.c  */
#line 8719 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1420:

/* Line 1455 of yacc.c  */
#line 8723 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1421:

/* Line 1455 of yacc.c  */
#line 8730 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1422:

/* Line 1455 of yacc.c  */
#line 8738 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1423:

/* Line 1455 of yacc.c  */
#line 8742 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1424:

/* Line 1455 of yacc.c  */
#line 8750 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1425:

/* Line 1455 of yacc.c  */
#line 8754 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1426:

/* Line 1455 of yacc.c  */
#line 8762 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1427:

/* Line 1455 of yacc.c  */
#line 8766 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1428:

/* Line 1455 of yacc.c  */
#line 8770 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1429:

/* Line 1455 of yacc.c  */
#line 8774 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1430:

/* Line 1455 of yacc.c  */
#line 8782 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1431:

/* Line 1455 of yacc.c  */
#line 8786 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1432:

/* Line 1455 of yacc.c  */
#line 8793 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1433:

/* Line 1455 of yacc.c  */
#line 8797 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[(2) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str));
	;}
    break;

  case 1434:

/* Line 1455 of yacc.c  */
#line 8802 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("only"));
;}
    break;

  case 1435:

/* Line 1455 of yacc.c  */
#line 8810 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1436:

/* Line 1455 of yacc.c  */
#line 8814 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1437:

/* Line 1455 of yacc.c  */
#line 8822 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1438:

/* Line 1455 of yacc.c  */
#line 8826 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1439:

/* Line 1455 of yacc.c  */
#line 8834 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1440:

/* Line 1455 of yacc.c  */
#line 8842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1441:

/* Line 1455 of yacc.c  */
#line 8846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1442:

/* Line 1455 of yacc.c  */
#line 8850 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1443:

/* Line 1455 of yacc.c  */
#line 8857 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1444:

/* Line 1455 of yacc.c  */
#line 8865 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 1445:

/* Line 1455 of yacc.c  */
#line 8869 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
;}
    break;

  case 1446:

/* Line 1455 of yacc.c  */
#line 8877 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
;}
    break;

  case 1447:

/* Line 1455 of yacc.c  */
#line 8881 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
;}
    break;

  case 1448:

/* Line 1455 of yacc.c  */
#line 8889 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1449:

/* Line 1455 of yacc.c  */
#line 8893 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1450:

/* Line 1455 of yacc.c  */
#line 8900 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1451:

/* Line 1455 of yacc.c  */
#line 8904 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1452:

/* Line 1455 of yacc.c  */
#line 8911 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1453:

/* Line 1455 of yacc.c  */
#line 8915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for read only");
;}
    break;

  case 1454:

/* Line 1455 of yacc.c  */
#line 8923 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1455:

/* Line 1455 of yacc.c  */
#line 8927 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1456:

/* Line 1455 of yacc.c  */
#line 8934 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1457:

/* Line 1455 of yacc.c  */
#line 8938 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1458:

/* Line 1455 of yacc.c  */
#line 8946 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1459:

/* Line 1455 of yacc.c  */
#line 8954 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for update");
;}
    break;

  case 1460:

/* Line 1455 of yacc.c  */
#line 8958 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for no key update");
;}
    break;

  case 1461:

/* Line 1455 of yacc.c  */
#line 8962 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for share");
;}
    break;

  case 1462:

/* Line 1455 of yacc.c  */
#line 8966 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for key share");
;}
    break;

  case 1463:

/* Line 1455 of yacc.c  */
#line 8974 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1464:

/* Line 1455 of yacc.c  */
#line 8978 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1465:

/* Line 1455 of yacc.c  */
#line 8985 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1466:

/* Line 1455 of yacc.c  */
#line 8989 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1467:

/* Line 1455 of yacc.c  */
#line 8997 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1468:

/* Line 1455 of yacc.c  */
#line 9001 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1469:

/* Line 1455 of yacc.c  */
#line 9008 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1470:

/* Line 1455 of yacc.c  */
#line 9012 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1471:

/* Line 1455 of yacc.c  */
#line 9020 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1472:

/* Line 1455 of yacc.c  */
#line 9024 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1473:

/* Line 1455 of yacc.c  */
#line 9028 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1474:

/* Line 1455 of yacc.c  */
#line 9032 "preproc.y"
    { 
	if ((yyvsp[(2) - (2)].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1475:

/* Line 1455 of yacc.c  */
#line 9039 "preproc.y"
    { 
	if ((yyvsp[(3) - (3)].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1476:

/* Line 1455 of yacc.c  */
#line 9046 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1477:

/* Line 1455 of yacc.c  */
#line 9050 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1478:

/* Line 1455 of yacc.c  */
#line 9058 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1479:

/* Line 1455 of yacc.c  */
#line 9062 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("cross join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1480:

/* Line 1455 of yacc.c  */
#line 9066 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1481:

/* Line 1455 of yacc.c  */
#line 9070 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1482:

/* Line 1455 of yacc.c  */
#line 9074 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("natural"),(yyvsp[(3) - (5)].str),mm_strdup("join"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1483:

/* Line 1455 of yacc.c  */
#line 9078 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("natural join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1484:

/* Line 1455 of yacc.c  */
#line 9086 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1485:

/* Line 1455 of yacc.c  */
#line 9090 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1486:

/* Line 1455 of yacc.c  */
#line 9094 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1487:

/* Line 1455 of yacc.c  */
#line 9098 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1488:

/* Line 1455 of yacc.c  */
#line 9106 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1489:

/* Line 1455 of yacc.c  */
#line 9110 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1490:

/* Line 1455 of yacc.c  */
#line 9117 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1491:

/* Line 1455 of yacc.c  */
#line 9121 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1492:

/* Line 1455 of yacc.c  */
#line 9125 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1493:

/* Line 1455 of yacc.c  */
#line 9129 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1494:

/* Line 1455 of yacc.c  */
#line 9133 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1495:

/* Line 1455 of yacc.c  */
#line 9140 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1496:

/* Line 1455 of yacc.c  */
#line 9144 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1497:

/* Line 1455 of yacc.c  */
#line 9148 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1498:

/* Line 1455 of yacc.c  */
#line 9152 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
;}
    break;

  case 1499:

/* Line 1455 of yacc.c  */
#line 9160 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
;}
    break;

  case 1500:

/* Line 1455 of yacc.c  */
#line 9164 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1501:

/* Line 1455 of yacc.c  */
#line 9171 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1502:

/* Line 1455 of yacc.c  */
#line 9175 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1503:

/* Line 1455 of yacc.c  */
#line 9183 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1504:

/* Line 1455 of yacc.c  */
#line 9187 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("*"));
;}
    break;

  case 1505:

/* Line 1455 of yacc.c  */
#line 9191 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1506:

/* Line 1455 of yacc.c  */
#line 9195 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1507:

/* Line 1455 of yacc.c  */
#line 9203 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1508:

/* Line 1455 of yacc.c  */
#line 9207 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1509:

/* Line 1455 of yacc.c  */
#line 9215 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1510:

/* Line 1455 of yacc.c  */
#line 9219 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1511:

/* Line 1455 of yacc.c  */
#line 9223 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1512:

/* Line 1455 of yacc.c  */
#line 9231 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1513:

/* Line 1455 of yacc.c  */
#line 9239 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1514:

/* Line 1455 of yacc.c  */
#line 9243 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1515:

/* Line 1455 of yacc.c  */
#line 9250 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1516:

/* Line 1455 of yacc.c  */
#line 9254 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	;}
    break;

  case 1517:

/* Line 1455 of yacc.c  */
#line 9259 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1518:

/* Line 1455 of yacc.c  */
#line 9266 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1519:

/* Line 1455 of yacc.c  */
#line 9270 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1520:

/* Line 1455 of yacc.c  */
#line 9277 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1521:

/* Line 1455 of yacc.c  */
#line 9281 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1522:

/* Line 1455 of yacc.c  */
#line 9289 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1523:

/* Line 1455 of yacc.c  */
#line 9297 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); ;}
    break;

  case 1524:

/* Line 1455 of yacc.c  */
#line 9299 "preproc.y"
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); ;}
    break;

  case 1525:

/* Line 1455 of yacc.c  */
#line 9301 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("array ["),(yyvsp[(4) - (5)].str),mm_strdup("]"));
;}
    break;

  case 1526:

/* Line 1455 of yacc.c  */
#line 9305 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[(2) - (6)].str),mm_strdup("array ["),(yyvsp[(5) - (6)].str),mm_strdup("]"));
;}
    break;

  case 1527:

/* Line 1455 of yacc.c  */
#line 9309 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("array"));
;}
    break;

  case 1528:

/* Line 1455 of yacc.c  */
#line 9313 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[(2) - (3)].str),mm_strdup("array"));
;}
    break;

  case 1529:

/* Line 1455 of yacc.c  */
#line 9321 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, mm_strdup("[]"));
	;}
    break;

  case 1530:

/* Line 1455 of yacc.c  */
#line 9331 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, mm_strdup("["), (yyvsp[(3) - (4)].str), mm_strdup("]"));
	;}
    break;

  case 1531:

/* Line 1455 of yacc.c  */
#line 9341 "preproc.y"
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	;}
    break;

  case 1532:

/* Line 1455 of yacc.c  */
#line 9351 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1533:

/* Line 1455 of yacc.c  */
#line 9355 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1534:

/* Line 1455 of yacc.c  */
#line 9359 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1535:

/* Line 1455 of yacc.c  */
#line 9363 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1536:

/* Line 1455 of yacc.c  */
#line 9367 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1537:

/* Line 1455 of yacc.c  */
#line 9371 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1538:

/* Line 1455 of yacc.c  */
#line 9375 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1539:

/* Line 1455 of yacc.c  */
#line 9383 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1540:

/* Line 1455 of yacc.c  */
#line 9387 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1541:

/* Line 1455 of yacc.c  */
#line 9391 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1542:

/* Line 1455 of yacc.c  */
#line 9395 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1543:

/* Line 1455 of yacc.c  */
#line 9403 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1544:

/* Line 1455 of yacc.c  */
#line 9407 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1545:

/* Line 1455 of yacc.c  */
#line 9415 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1546:

/* Line 1455 of yacc.c  */
#line 9419 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1547:

/* Line 1455 of yacc.c  */
#line 9426 "preproc.y"
    { 
 (yyval.str) = mm_strdup("int");
;}
    break;

  case 1548:

/* Line 1455 of yacc.c  */
#line 9430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
;}
    break;

  case 1549:

/* Line 1455 of yacc.c  */
#line 9434 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
;}
    break;

  case 1550:

/* Line 1455 of yacc.c  */
#line 9438 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
;}
    break;

  case 1551:

/* Line 1455 of yacc.c  */
#line 9442 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
;}
    break;

  case 1552:

/* Line 1455 of yacc.c  */
#line 9446 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1553:

/* Line 1455 of yacc.c  */
#line 9450 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double precision");
;}
    break;

  case 1554:

/* Line 1455 of yacc.c  */
#line 9454 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1555:

/* Line 1455 of yacc.c  */
#line 9458 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1556:

/* Line 1455 of yacc.c  */
#line 9462 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1557:

/* Line 1455 of yacc.c  */
#line 9466 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
;}
    break;

  case 1558:

/* Line 1455 of yacc.c  */
#line 9474 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1559:

/* Line 1455 of yacc.c  */
#line 9478 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1560:

/* Line 1455 of yacc.c  */
#line 9485 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1561:

/* Line 1455 of yacc.c  */
#line 9489 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1562:

/* Line 1455 of yacc.c  */
#line 9497 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1563:

/* Line 1455 of yacc.c  */
#line 9501 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1564:

/* Line 1455 of yacc.c  */
#line 9509 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1565:

/* Line 1455 of yacc.c  */
#line 9517 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1566:

/* Line 1455 of yacc.c  */
#line 9525 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1567:

/* Line 1455 of yacc.c  */
#line 9529 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1568:

/* Line 1455 of yacc.c  */
#line 9537 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1569:

/* Line 1455 of yacc.c  */
#line 9541 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1570:

/* Line 1455 of yacc.c  */
#line 9549 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1571:

/* Line 1455 of yacc.c  */
#line 9557 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1572:

/* Line 1455 of yacc.c  */
#line 9565 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1573:

/* Line 1455 of yacc.c  */
#line 9569 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1574:

/* Line 1455 of yacc.c  */
#line 9573 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
;}
    break;

  case 1575:

/* Line 1455 of yacc.c  */
#line 9577 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1576:

/* Line 1455 of yacc.c  */
#line 9581 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1577:

/* Line 1455 of yacc.c  */
#line 9585 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1578:

/* Line 1455 of yacc.c  */
#line 9593 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
;}
    break;

  case 1579:

/* Line 1455 of yacc.c  */
#line 9597 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1580:

/* Line 1455 of yacc.c  */
#line 9604 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1581:

/* Line 1455 of yacc.c  */
#line 9608 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1582:

/* Line 1455 of yacc.c  */
#line 9615 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1583:

/* Line 1455 of yacc.c  */
#line 9619 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1584:

/* Line 1455 of yacc.c  */
#line 9623 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1585:

/* Line 1455 of yacc.c  */
#line 9627 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1586:

/* Line 1455 of yacc.c  */
#line 9635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
;}
    break;

  case 1587:

/* Line 1455 of yacc.c  */
#line 9643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with time zone");
;}
    break;

  case 1588:

/* Line 1455 of yacc.c  */
#line 9647 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without time zone");
;}
    break;

  case 1589:

/* Line 1455 of yacc.c  */
#line 9651 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1590:

/* Line 1455 of yacc.c  */
#line 9658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
;}
    break;

  case 1591:

/* Line 1455 of yacc.c  */
#line 9662 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
;}
    break;

  case 1592:

/* Line 1455 of yacc.c  */
#line 9666 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
;}
    break;

  case 1593:

/* Line 1455 of yacc.c  */
#line 9670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
;}
    break;

  case 1594:

/* Line 1455 of yacc.c  */
#line 9674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
;}
    break;

  case 1595:

/* Line 1455 of yacc.c  */
#line 9678 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1596:

/* Line 1455 of yacc.c  */
#line 9682 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year to month");
;}
    break;

  case 1597:

/* Line 1455 of yacc.c  */
#line 9686 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to hour");
;}
    break;

  case 1598:

/* Line 1455 of yacc.c  */
#line 9690 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to minute");
;}
    break;

  case 1599:

/* Line 1455 of yacc.c  */
#line 9694 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1600:

/* Line 1455 of yacc.c  */
#line 9698 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour to minute");
;}
    break;

  case 1601:

/* Line 1455 of yacc.c  */
#line 9702 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1602:

/* Line 1455 of yacc.c  */
#line 9706 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1603:

/* Line 1455 of yacc.c  */
#line 9710 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1604:

/* Line 1455 of yacc.c  */
#line 9717 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
;}
    break;

  case 1605:

/* Line 1455 of yacc.c  */
#line 9721 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1606:

/* Line 1455 of yacc.c  */
#line 9729 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1607:

/* Line 1455 of yacc.c  */
#line 9733 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1608:

/* Line 1455 of yacc.c  */
#line 9737 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("collate"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1609:

/* Line 1455 of yacc.c  */
#line 9741 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("at time zone"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1610:

/* Line 1455 of yacc.c  */
#line 9745 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1611:

/* Line 1455 of yacc.c  */
#line 9749 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1612:

/* Line 1455 of yacc.c  */
#line 9753 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1613:

/* Line 1455 of yacc.c  */
#line 9757 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1614:

/* Line 1455 of yacc.c  */
#line 9761 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1615:

/* Line 1455 of yacc.c  */
#line 9765 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1616:

/* Line 1455 of yacc.c  */
#line 9769 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1617:

/* Line 1455 of yacc.c  */
#line 9773 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1618:

/* Line 1455 of yacc.c  */
#line 9777 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1619:

/* Line 1455 of yacc.c  */
#line 9781 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1620:

/* Line 1455 of yacc.c  */
#line 9785 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1621:

/* Line 1455 of yacc.c  */
#line 9789 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1622:

/* Line 1455 of yacc.c  */
#line 9793 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1623:

/* Line 1455 of yacc.c  */
#line 9797 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1624:

/* Line 1455 of yacc.c  */
#line 9801 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1625:

/* Line 1455 of yacc.c  */
#line 9805 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1626:

/* Line 1455 of yacc.c  */
#line 9809 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1627:

/* Line 1455 of yacc.c  */
#line 9813 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("like"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1628:

/* Line 1455 of yacc.c  */
#line 9817 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("like"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1629:

/* Line 1455 of yacc.c  */
#line 9821 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not like"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1630:

/* Line 1455 of yacc.c  */
#line 9825 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not like"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1631:

/* Line 1455 of yacc.c  */
#line 9829 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("ilike"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1632:

/* Line 1455 of yacc.c  */
#line 9833 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("ilike"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1633:

/* Line 1455 of yacc.c  */
#line 9837 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not ilike"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1634:

/* Line 1455 of yacc.c  */
#line 9841 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not ilike"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1635:

/* Line 1455 of yacc.c  */
#line 9845 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("similar to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1636:

/* Line 1455 of yacc.c  */
#line 9849 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("similar to"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1637:

/* Line 1455 of yacc.c  */
#line 9853 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("not similar to"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1638:

/* Line 1455 of yacc.c  */
#line 9857 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not similar to"),(yyvsp[(5) - (7)].str),mm_strdup("escape"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1639:

/* Line 1455 of yacc.c  */
#line 9861 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is null"));
;}
    break;

  case 1640:

/* Line 1455 of yacc.c  */
#line 9865 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("isnull"));
;}
    break;

  case 1641:

/* Line 1455 of yacc.c  */
#line 9869 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not null"));
;}
    break;

  case 1642:

/* Line 1455 of yacc.c  */
#line 9873 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("notnull"));
;}
    break;

  case 1643:

/* Line 1455 of yacc.c  */
#line 9877 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("overlaps"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1644:

/* Line 1455 of yacc.c  */
#line 9881 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is true"));
;}
    break;

  case 1645:

/* Line 1455 of yacc.c  */
#line 9885 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not true"));
;}
    break;

  case 1646:

/* Line 1455 of yacc.c  */
#line 9889 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is false"));
;}
    break;

  case 1647:

/* Line 1455 of yacc.c  */
#line 9893 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not false"));
;}
    break;

  case 1648:

/* Line 1455 of yacc.c  */
#line 9897 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is unknown"));
;}
    break;

  case 1649:

/* Line 1455 of yacc.c  */
#line 9901 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not unknown"));
;}
    break;

  case 1650:

/* Line 1455 of yacc.c  */
#line 9905 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1651:

/* Line 1455 of yacc.c  */
#line 9909 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1652:

/* Line 1455 of yacc.c  */
#line 9913 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1653:

/* Line 1455 of yacc.c  */
#line 9917 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1654:

/* Line 1455 of yacc.c  */
#line 9921 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1655:

/* Line 1455 of yacc.c  */
#line 9925 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1656:

/* Line 1455 of yacc.c  */
#line 9929 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("between symmetric"),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1657:

/* Line 1455 of yacc.c  */
#line 9933 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not between symmetric"),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1658:

/* Line 1455 of yacc.c  */
#line 9937 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1659:

/* Line 1455 of yacc.c  */
#line 9941 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not in"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1660:

/* Line 1455 of yacc.c  */
#line 9945 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1661:

/* Line 1455 of yacc.c  */
#line 9949 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1662:

/* Line 1455 of yacc.c  */
#line 9953 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1663:

/* Line 1455 of yacc.c  */
#line 9958 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
;}
    break;

  case 1664:

/* Line 1455 of yacc.c  */
#line 9962 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
;}
    break;

  case 1665:

/* Line 1455 of yacc.c  */
#line 9970 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1666:

/* Line 1455 of yacc.c  */
#line 9974 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1667:

/* Line 1455 of yacc.c  */
#line 9978 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1668:

/* Line 1455 of yacc.c  */
#line 9982 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1669:

/* Line 1455 of yacc.c  */
#line 9986 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1670:

/* Line 1455 of yacc.c  */
#line 9990 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1671:

/* Line 1455 of yacc.c  */
#line 9994 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1672:

/* Line 1455 of yacc.c  */
#line 9998 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1673:

/* Line 1455 of yacc.c  */
#line 10002 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1674:

/* Line 1455 of yacc.c  */
#line 10006 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1675:

/* Line 1455 of yacc.c  */
#line 10010 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1676:

/* Line 1455 of yacc.c  */
#line 10014 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1677:

/* Line 1455 of yacc.c  */
#line 10018 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1678:

/* Line 1455 of yacc.c  */
#line 10022 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1679:

/* Line 1455 of yacc.c  */
#line 10026 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1680:

/* Line 1455 of yacc.c  */
#line 10030 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1681:

/* Line 1455 of yacc.c  */
#line 10034 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1682:

/* Line 1455 of yacc.c  */
#line 10038 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1683:

/* Line 1455 of yacc.c  */
#line 10042 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1684:

/* Line 1455 of yacc.c  */
#line 10046 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1685:

/* Line 1455 of yacc.c  */
#line 10050 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
;}
    break;

  case 1686:

/* Line 1455 of yacc.c  */
#line 10054 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
;}
    break;

  case 1687:

/* Line 1455 of yacc.c  */
#line 10062 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1688:

/* Line 1455 of yacc.c  */
#line 10066 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1689:

/* Line 1455 of yacc.c  */
#line 10070 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1690:

/* Line 1455 of yacc.c  */
#line 10074 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1691:

/* Line 1455 of yacc.c  */
#line 10078 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1692:

/* Line 1455 of yacc.c  */
#line 10082 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1693:

/* Line 1455 of yacc.c  */
#line 10086 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1694:

/* Line 1455 of yacc.c  */
#line 10090 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1695:

/* Line 1455 of yacc.c  */
#line 10094 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1696:

/* Line 1455 of yacc.c  */
#line 10098 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1697:

/* Line 1455 of yacc.c  */
#line 10102 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1698:

/* Line 1455 of yacc.c  */
#line 10106 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1699:

/* Line 1455 of yacc.c  */
#line 10114 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("( )"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1700:

/* Line 1455 of yacc.c  */
#line 10118 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1701:

/* Line 1455 of yacc.c  */
#line 10122 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( variadic"),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1702:

/* Line 1455 of yacc.c  */
#line 10126 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),mm_strdup("("),(yyvsp[(3) - (8)].str),mm_strdup(", variadic"),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1703:

/* Line 1455 of yacc.c  */
#line 10130 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1704:

/* Line 1455 of yacc.c  */
#line 10134 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( all"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1705:

/* Line 1455 of yacc.c  */
#line 10138 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( distinct"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1706:

/* Line 1455 of yacc.c  */
#line 10142 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("( * )"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1707:

/* Line 1455 of yacc.c  */
#line 10146 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1708:

/* Line 1455 of yacc.c  */
#line 10150 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
;}
    break;

  case 1709:

/* Line 1455 of yacc.c  */
#line 10154 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
;}
    break;

  case 1710:

/* Line 1455 of yacc.c  */
#line 10158 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1711:

/* Line 1455 of yacc.c  */
#line 10162 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
;}
    break;

  case 1712:

/* Line 1455 of yacc.c  */
#line 10166 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1713:

/* Line 1455 of yacc.c  */
#line 10170 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
;}
    break;

  case 1714:

/* Line 1455 of yacc.c  */
#line 10174 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1715:

/* Line 1455 of yacc.c  */
#line 10178 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
;}
    break;

  case 1716:

/* Line 1455 of yacc.c  */
#line 10182 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1717:

/* Line 1455 of yacc.c  */
#line 10186 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
;}
    break;

  case 1718:

/* Line 1455 of yacc.c  */
#line 10190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 1719:

/* Line 1455 of yacc.c  */
#line 10194 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
;}
    break;

  case 1720:

/* Line 1455 of yacc.c  */
#line 10198 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 1721:

/* Line 1455 of yacc.c  */
#line 10202 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
;}
    break;

  case 1722:

/* Line 1455 of yacc.c  */
#line 10206 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
;}
    break;

  case 1723:

/* Line 1455 of yacc.c  */
#line 10210 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1724:

/* Line 1455 of yacc.c  */
#line 10214 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1725:

/* Line 1455 of yacc.c  */
#line 10218 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1726:

/* Line 1455 of yacc.c  */
#line 10222 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1727:

/* Line 1455 of yacc.c  */
#line 10226 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1728:

/* Line 1455 of yacc.c  */
#line 10230 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1729:

/* Line 1455 of yacc.c  */
#line 10234 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1730:

/* Line 1455 of yacc.c  */
#line 10238 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1731:

/* Line 1455 of yacc.c  */
#line 10242 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1732:

/* Line 1455 of yacc.c  */
#line 10246 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1733:

/* Line 1455 of yacc.c  */
#line 10250 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[(3) - (6)].str),mm_strdup(","),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1734:

/* Line 1455 of yacc.c  */
#line 10254 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1735:

/* Line 1455 of yacc.c  */
#line 10258 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1736:

/* Line 1455 of yacc.c  */
#line 10262 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1737:

/* Line 1455 of yacc.c  */
#line 10266 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1738:

/* Line 1455 of yacc.c  */
#line 10270 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1739:

/* Line 1455 of yacc.c  */
#line 10274 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1740:

/* Line 1455 of yacc.c  */
#line 10278 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1741:

/* Line 1455 of yacc.c  */
#line 10282 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (9)].str),mm_strdup(","),(yyvsp[(6) - (9)].str),mm_strdup(","),(yyvsp[(8) - (9)].str),mm_strdup(")"));
;}
    break;

  case 1742:

/* Line 1455 of yacc.c  */
#line 10286 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1743:

/* Line 1455 of yacc.c  */
#line 10290 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1744:

/* Line 1455 of yacc.c  */
#line 10294 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1745:

/* Line 1455 of yacc.c  */
#line 10298 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1746:

/* Line 1455 of yacc.c  */
#line 10302 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1747:

/* Line 1455 of yacc.c  */
#line 10306 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[(3) - (7)].str),mm_strdup(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1748:

/* Line 1455 of yacc.c  */
#line 10310 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("as"),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1749:

/* Line 1455 of yacc.c  */
#line 10318 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1750:

/* Line 1455 of yacc.c  */
#line 10322 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version no value");
;}
    break;

  case 1751:

/* Line 1455 of yacc.c  */
#line 10330 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone yes");
;}
    break;

  case 1752:

/* Line 1455 of yacc.c  */
#line 10334 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no");
;}
    break;

  case 1753:

/* Line 1455 of yacc.c  */
#line 10338 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no value");
;}
    break;

  case 1754:

/* Line 1455 of yacc.c  */
#line 10342 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1755:

/* Line 1455 of yacc.c  */
#line 10349 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1756:

/* Line 1455 of yacc.c  */
#line 10357 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1757:

/* Line 1455 of yacc.c  */
#line 10361 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1758:

/* Line 1455 of yacc.c  */
#line 10369 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1759:

/* Line 1455 of yacc.c  */
#line 10373 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1760:

/* Line 1455 of yacc.c  */
#line 10381 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
;}
    break;

  case 1761:

/* Line 1455 of yacc.c  */
#line 10385 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
;}
    break;

  case 1762:

/* Line 1455 of yacc.c  */
#line 10393 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
;}
    break;

  case 1763:

/* Line 1455 of yacc.c  */
#line 10397 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip whitespace");
;}
    break;

  case 1764:

/* Line 1455 of yacc.c  */
#line 10401 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1765:

/* Line 1455 of yacc.c  */
#line 10408 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1766:

/* Line 1455 of yacc.c  */
#line 10412 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[(2) - (4)].str),mm_strdup("by ref"));
;}
    break;

  case 1767:

/* Line 1455 of yacc.c  */
#line 10416 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1768:

/* Line 1455 of yacc.c  */
#line 10420 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[(4) - (6)].str),mm_strdup("by ref"));
;}
    break;

  case 1769:

/* Line 1455 of yacc.c  */
#line 10428 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1770:

/* Line 1455 of yacc.c  */
#line 10432 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1771:

/* Line 1455 of yacc.c  */
#line 10439 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1772:

/* Line 1455 of yacc.c  */
#line 10443 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1773:

/* Line 1455 of yacc.c  */
#line 10451 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1774:

/* Line 1455 of yacc.c  */
#line 10459 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1775:

/* Line 1455 of yacc.c  */
#line 10463 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1776:

/* Line 1455 of yacc.c  */
#line 10467 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1777:

/* Line 1455 of yacc.c  */
#line 10474 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1778:

/* Line 1455 of yacc.c  */
#line 10482 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1779:

/* Line 1455 of yacc.c  */
#line 10486 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1780:

/* Line 1455 of yacc.c  */
#line 10493 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1781:

/* Line 1455 of yacc.c  */
#line 10497 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1782:

/* Line 1455 of yacc.c  */
#line 10504 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1783:

/* Line 1455 of yacc.c  */
#line 10509 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1784:

/* Line 1455 of yacc.c  */
#line 10513 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1785:

/* Line 1455 of yacc.c  */
#line 10520 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1786:

/* Line 1455 of yacc.c  */
#line 10524 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[(2) - (4)].str),mm_strdup("and"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1787:

/* Line 1455 of yacc.c  */
#line 10532 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
;}
    break;

  case 1788:

/* Line 1455 of yacc.c  */
#line 10536 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded following");
;}
    break;

  case 1789:

/* Line 1455 of yacc.c  */
#line 10540 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current row");
;}
    break;

  case 1790:

/* Line 1455 of yacc.c  */
#line 10544 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("preceding"));
;}
    break;

  case 1791:

/* Line 1455 of yacc.c  */
#line 10548 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("following"));
;}
    break;

  case 1792:

/* Line 1455 of yacc.c  */
#line 10556 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1793:

/* Line 1455 of yacc.c  */
#line 10560 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
;}
    break;

  case 1794:

/* Line 1455 of yacc.c  */
#line 10564 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1795:

/* Line 1455 of yacc.c  */
#line 10572 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
;}
    break;

  case 1796:

/* Line 1455 of yacc.c  */
#line 10576 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
;}
    break;

  case 1797:

/* Line 1455 of yacc.c  */
#line 10580 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1798:

/* Line 1455 of yacc.c  */
#line 10588 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1799:

/* Line 1455 of yacc.c  */
#line 10592 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1800:

/* Line 1455 of yacc.c  */
#line 10600 "preproc.y"
    { 
 (yyval.str) = mm_strdup("+");
;}
    break;

  case 1801:

/* Line 1455 of yacc.c  */
#line 10604 "preproc.y"
    { 
 (yyval.str) = mm_strdup("-");
;}
    break;

  case 1802:

/* Line 1455 of yacc.c  */
#line 10608 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 1803:

/* Line 1455 of yacc.c  */
#line 10612 "preproc.y"
    { 
 (yyval.str) = mm_strdup("/");
;}
    break;

  case 1804:

/* Line 1455 of yacc.c  */
#line 10616 "preproc.y"
    { 
 (yyval.str) = mm_strdup("%");
;}
    break;

  case 1805:

/* Line 1455 of yacc.c  */
#line 10620 "preproc.y"
    { 
 (yyval.str) = mm_strdup("^");
;}
    break;

  case 1806:

/* Line 1455 of yacc.c  */
#line 10624 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<");
;}
    break;

  case 1807:

/* Line 1455 of yacc.c  */
#line 10628 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">");
;}
    break;

  case 1808:

/* Line 1455 of yacc.c  */
#line 10632 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
;}
    break;

  case 1809:

/* Line 1455 of yacc.c  */
#line 10640 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1810:

/* Line 1455 of yacc.c  */
#line 10644 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1811:

/* Line 1455 of yacc.c  */
#line 10652 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1812:

/* Line 1455 of yacc.c  */
#line 10656 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1813:

/* Line 1455 of yacc.c  */
#line 10664 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1814:

/* Line 1455 of yacc.c  */
#line 10668 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1815:

/* Line 1455 of yacc.c  */
#line 10672 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
;}
    break;

  case 1816:

/* Line 1455 of yacc.c  */
#line 10676 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not like");
;}
    break;

  case 1817:

/* Line 1455 of yacc.c  */
#line 10680 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
;}
    break;

  case 1818:

/* Line 1455 of yacc.c  */
#line 10684 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not ilike");
;}
    break;

  case 1819:

/* Line 1455 of yacc.c  */
#line 10692 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1820:

/* Line 1455 of yacc.c  */
#line 10696 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1821:

/* Line 1455 of yacc.c  */
#line 10704 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1822:

/* Line 1455 of yacc.c  */
#line 10708 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1823:

/* Line 1455 of yacc.c  */
#line 10716 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1824:

/* Line 1455 of yacc.c  */
#line 10720 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(":="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1825:

/* Line 1455 of yacc.c  */
#line 10728 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1826:

/* Line 1455 of yacc.c  */
#line 10732 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1827:

/* Line 1455 of yacc.c  */
#line 10740 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1828:

/* Line 1455 of yacc.c  */
#line 10744 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1829:

/* Line 1455 of yacc.c  */
#line 10748 "preproc.y"
    { 
 (yyval.str) = mm_strdup("[ ]");
;}
    break;

  case 1830:

/* Line 1455 of yacc.c  */
#line 10756 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1831:

/* Line 1455 of yacc.c  */
#line 10760 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1832:

/* Line 1455 of yacc.c  */
#line 10768 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1833:

/* Line 1455 of yacc.c  */
#line 10772 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1834:

/* Line 1455 of yacc.c  */
#line 10779 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1835:

/* Line 1455 of yacc.c  */
#line 10783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
;}
    break;

  case 1836:

/* Line 1455 of yacc.c  */
#line 10787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
;}
    break;

  case 1837:

/* Line 1455 of yacc.c  */
#line 10791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
;}
    break;

  case 1838:

/* Line 1455 of yacc.c  */
#line 10795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
;}
    break;

  case 1839:

/* Line 1455 of yacc.c  */
#line 10799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
;}
    break;

  case 1840:

/* Line 1455 of yacc.c  */
#line 10803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
;}
    break;

  case 1841:

/* Line 1455 of yacc.c  */
#line 10807 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1842:

/* Line 1455 of yacc.c  */
#line 10815 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1843:

/* Line 1455 of yacc.c  */
#line 10819 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1844:

/* Line 1455 of yacc.c  */
#line 10827 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1845:

/* Line 1455 of yacc.c  */
#line 10835 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1846:

/* Line 1455 of yacc.c  */
#line 10839 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1847:

/* Line 1455 of yacc.c  */
#line 10846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1848:

/* Line 1455 of yacc.c  */
#line 10850 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1849:

/* Line 1455 of yacc.c  */
#line 10854 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1850:

/* Line 1455 of yacc.c  */
#line 10858 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1851:

/* Line 1455 of yacc.c  */
#line 10862 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1852:

/* Line 1455 of yacc.c  */
#line 10866 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1853:

/* Line 1455 of yacc.c  */
#line 10873 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1854:

/* Line 1455 of yacc.c  */
#line 10881 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1855:

/* Line 1455 of yacc.c  */
#line 10889 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1856:

/* Line 1455 of yacc.c  */
#line 10893 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1857:

/* Line 1455 of yacc.c  */
#line 10897 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1858:

/* Line 1455 of yacc.c  */
#line 10905 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1859:

/* Line 1455 of yacc.c  */
#line 10909 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1860:

/* Line 1455 of yacc.c  */
#line 10917 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("end"));
;}
    break;

  case 1861:

/* Line 1455 of yacc.c  */
#line 10925 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1862:

/* Line 1455 of yacc.c  */
#line 10929 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1863:

/* Line 1455 of yacc.c  */
#line 10937 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[(2) - (4)].str),mm_strdup("then"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1864:

/* Line 1455 of yacc.c  */
#line 10945 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1865:

/* Line 1455 of yacc.c  */
#line 10949 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1866:

/* Line 1455 of yacc.c  */
#line 10956 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1867:

/* Line 1455 of yacc.c  */
#line 10960 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1868:

/* Line 1455 of yacc.c  */
#line 10967 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1869:

/* Line 1455 of yacc.c  */
#line 10971 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1870:

/* Line 1455 of yacc.c  */
#line 10979 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1871:

/* Line 1455 of yacc.c  */
#line 10983 "preproc.y"
    { 
 (yyval.str) = mm_strdup(". *");
;}
    break;

  case 1872:

/* Line 1455 of yacc.c  */
#line 10987 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1873:

/* Line 1455 of yacc.c  */
#line 10991 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[(2) - (5)].str),mm_strdup(":"),(yyvsp[(4) - (5)].str),mm_strdup("]"));
;}
    break;

  case 1874:

/* Line 1455 of yacc.c  */
#line 10999 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1875:

/* Line 1455 of yacc.c  */
#line 11003 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1876:

/* Line 1455 of yacc.c  */
#line 11011 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1877:

/* Line 1455 of yacc.c  */
#line 11014 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1878:

/* Line 1455 of yacc.c  */
#line 11022 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
;}
    break;

  case 1879:

/* Line 1455 of yacc.c  */
#line 11026 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1880:

/* Line 1455 of yacc.c  */
#line 11033 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1881:

/* Line 1455 of yacc.c  */
#line 11037 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 1882:

/* Line 1455 of yacc.c  */
#line 11045 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1883:

/* Line 1455 of yacc.c  */
#line 11049 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1884:

/* Line 1455 of yacc.c  */
#line 11057 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1885:

/* Line 1455 of yacc.c  */
#line 11065 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1886:

/* Line 1455 of yacc.c  */
#line 11069 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1887:

/* Line 1455 of yacc.c  */
#line 11077 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1888:

/* Line 1455 of yacc.c  */
#line 11081 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1889:

/* Line 1455 of yacc.c  */
#line 11085 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1890:

/* Line 1455 of yacc.c  */
#line 11089 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 1891:

/* Line 1455 of yacc.c  */
#line 11097 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1892:

/* Line 1455 of yacc.c  */
#line 11101 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1893:

/* Line 1455 of yacc.c  */
#line 11109 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1894:

/* Line 1455 of yacc.c  */
#line 11113 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1895:

/* Line 1455 of yacc.c  */
#line 11121 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1896:

/* Line 1455 of yacc.c  */
#line 11125 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1897:

/* Line 1455 of yacc.c  */
#line 11133 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1898:

/* Line 1455 of yacc.c  */
#line 11141 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1899:

/* Line 1455 of yacc.c  */
#line 11149 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1900:

/* Line 1455 of yacc.c  */
#line 11157 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1901:

/* Line 1455 of yacc.c  */
#line 11165 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1902:

/* Line 1455 of yacc.c  */
#line 11173 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1903:

/* Line 1455 of yacc.c  */
#line 11181 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1904:

/* Line 1455 of yacc.c  */
#line 11185 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1905:

/* Line 1455 of yacc.c  */
#line 11193 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1906:

/* Line 1455 of yacc.c  */
#line 11197 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1907:

/* Line 1455 of yacc.c  */
#line 11201 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1908:

/* Line 1455 of yacc.c  */
#line 11205 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1909:

/* Line 1455 of yacc.c  */
#line 11209 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xconst");
;}
    break;

  case 1910:

/* Line 1455 of yacc.c  */
#line 11213 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1911:

/* Line 1455 of yacc.c  */
#line 11217 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1912:

/* Line 1455 of yacc.c  */
#line 11221 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1913:

/* Line 1455 of yacc.c  */
#line 11225 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1914:

/* Line 1455 of yacc.c  */
#line 11229 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1915:

/* Line 1455 of yacc.c  */
#line 11233 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 1916:

/* Line 1455 of yacc.c  */
#line 11237 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 1917:

/* Line 1455 of yacc.c  */
#line 11241 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 1918:

/* Line 1455 of yacc.c  */
#line 11244 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1919:

/* Line 1455 of yacc.c  */
#line 11245 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1920:

/* Line 1455 of yacc.c  */
#line 11251 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 1921:

/* Line 1455 of yacc.c  */
#line 11257 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1922:

/* Line 1455 of yacc.c  */
#line 11265 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1923:

/* Line 1455 of yacc.c  */
#line 11268 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1924:

/* Line 1455 of yacc.c  */
#line 11270 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1925:

/* Line 1455 of yacc.c  */
#line 11274 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1926:

/* Line 1455 of yacc.c  */
#line 11282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("abort");
;}
    break;

  case 1927:

/* Line 1455 of yacc.c  */
#line 11286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("absolute");
;}
    break;

  case 1928:

/* Line 1455 of yacc.c  */
#line 11290 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access");
;}
    break;

  case 1929:

/* Line 1455 of yacc.c  */
#line 11294 "preproc.y"
    { 
 (yyval.str) = mm_strdup("action");
;}
    break;

  case 1930:

/* Line 1455 of yacc.c  */
#line 11298 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
;}
    break;

  case 1931:

/* Line 1455 of yacc.c  */
#line 11302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("admin");
;}
    break;

  case 1932:

/* Line 1455 of yacc.c  */
#line 11306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
;}
    break;

  case 1933:

/* Line 1455 of yacc.c  */
#line 11310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("aggregate");
;}
    break;

  case 1934:

/* Line 1455 of yacc.c  */
#line 11314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
;}
    break;

  case 1935:

/* Line 1455 of yacc.c  */
#line 11318 "preproc.y"
    { 
 (yyval.str) = mm_strdup("alter");
;}
    break;

  case 1936:

/* Line 1455 of yacc.c  */
#line 11322 "preproc.y"
    { 
 (yyval.str) = mm_strdup("always");
;}
    break;

  case 1937:

/* Line 1455 of yacc.c  */
#line 11326 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assertion");
;}
    break;

  case 1938:

/* Line 1455 of yacc.c  */
#line 11330 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assignment");
;}
    break;

  case 1939:

/* Line 1455 of yacc.c  */
#line 11334 "preproc.y"
    { 
 (yyval.str) = mm_strdup("at");
;}
    break;

  case 1940:

/* Line 1455 of yacc.c  */
#line 11338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("attribute");
;}
    break;

  case 1941:

/* Line 1455 of yacc.c  */
#line 11342 "preproc.y"
    { 
 (yyval.str) = mm_strdup("backward");
;}
    break;

  case 1942:

/* Line 1455 of yacc.c  */
#line 11346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
;}
    break;

  case 1943:

/* Line 1455 of yacc.c  */
#line 11350 "preproc.y"
    { 
 (yyval.str) = mm_strdup("begin");
;}
    break;

  case 1944:

/* Line 1455 of yacc.c  */
#line 11354 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
;}
    break;

  case 1945:

/* Line 1455 of yacc.c  */
#line 11358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cache");
;}
    break;

  case 1946:

/* Line 1455 of yacc.c  */
#line 11362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called");
;}
    break;

  case 1947:

/* Line 1455 of yacc.c  */
#line 11366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 1948:

/* Line 1455 of yacc.c  */
#line 11370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascaded");
;}
    break;

  case 1949:

/* Line 1455 of yacc.c  */
#line 11374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("catalog");
;}
    break;

  case 1950:

/* Line 1455 of yacc.c  */
#line 11378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("chain");
;}
    break;

  case 1951:

/* Line 1455 of yacc.c  */
#line 11382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("characteristics");
;}
    break;

  case 1952:

/* Line 1455 of yacc.c  */
#line 11386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
;}
    break;

  case 1953:

/* Line 1455 of yacc.c  */
#line 11390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("class");
;}
    break;

  case 1954:

/* Line 1455 of yacc.c  */
#line 11394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close");
;}
    break;

  case 1955:

/* Line 1455 of yacc.c  */
#line 11398 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cluster");
;}
    break;

  case 1956:

/* Line 1455 of yacc.c  */
#line 11402 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comment");
;}
    break;

  case 1957:

/* Line 1455 of yacc.c  */
#line 11406 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
;}
    break;

  case 1958:

/* Line 1455 of yacc.c  */
#line 11410 "preproc.y"
    { 
 (yyval.str) = mm_strdup("commit");
;}
    break;

  case 1959:

/* Line 1455 of yacc.c  */
#line 11414 "preproc.y"
    { 
 (yyval.str) = mm_strdup("committed");
;}
    break;

  case 1960:

/* Line 1455 of yacc.c  */
#line 11418 "preproc.y"
    { 
 (yyval.str) = mm_strdup("configuration");
;}
    break;

  case 1961:

/* Line 1455 of yacc.c  */
#line 11422 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
;}
    break;

  case 1962:

/* Line 1455 of yacc.c  */
#line 11426 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
;}
    break;

  case 1963:

/* Line 1455 of yacc.c  */
#line 11430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue");
;}
    break;

  case 1964:

/* Line 1455 of yacc.c  */
#line 11434 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 1965:

/* Line 1455 of yacc.c  */
#line 11438 "preproc.y"
    { 
 (yyval.str) = mm_strdup("copy");
;}
    break;

  case 1966:

/* Line 1455 of yacc.c  */
#line 11442 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cost");
;}
    break;

  case 1967:

/* Line 1455 of yacc.c  */
#line 11446 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
;}
    break;

  case 1968:

/* Line 1455 of yacc.c  */
#line 11450 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cursor");
;}
    break;

  case 1969:

/* Line 1455 of yacc.c  */
#line 11454 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
;}
    break;

  case 1970:

/* Line 1455 of yacc.c  */
#line 11458 "preproc.y"
    { 
 (yyval.str) = mm_strdup("data");
;}
    break;

  case 1971:

/* Line 1455 of yacc.c  */
#line 11462 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 1972:

/* Line 1455 of yacc.c  */
#line 11466 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deallocate");
;}
    break;

  case 1973:

/* Line 1455 of yacc.c  */
#line 11470 "preproc.y"
    { 
 (yyval.str) = mm_strdup("declare");
;}
    break;

  case 1974:

/* Line 1455 of yacc.c  */
#line 11474 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
;}
    break;

  case 1975:

/* Line 1455 of yacc.c  */
#line 11478 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
;}
    break;

  case 1976:

/* Line 1455 of yacc.c  */
#line 11482 "preproc.y"
    { 
 (yyval.str) = mm_strdup("definer");
;}
    break;

  case 1977:

/* Line 1455 of yacc.c  */
#line 11486 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 1978:

/* Line 1455 of yacc.c  */
#line 11490 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiter");
;}
    break;

  case 1979:

/* Line 1455 of yacc.c  */
#line 11494 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiters");
;}
    break;

  case 1980:

/* Line 1455 of yacc.c  */
#line 11498 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dictionary");
;}
    break;

  case 1981:

/* Line 1455 of yacc.c  */
#line 11502 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
;}
    break;

  case 1982:

/* Line 1455 of yacc.c  */
#line 11506 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard");
;}
    break;

  case 1983:

/* Line 1455 of yacc.c  */
#line 11510 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
;}
    break;

  case 1984:

/* Line 1455 of yacc.c  */
#line 11514 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 1985:

/* Line 1455 of yacc.c  */
#line 11518 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double");
;}
    break;

  case 1986:

/* Line 1455 of yacc.c  */
#line 11522 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
;}
    break;

  case 1987:

/* Line 1455 of yacc.c  */
#line 11526 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
;}
    break;

  case 1988:

/* Line 1455 of yacc.c  */
#line 11530 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
;}
    break;

  case 1989:

/* Line 1455 of yacc.c  */
#line 11534 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
;}
    break;

  case 1990:

/* Line 1455 of yacc.c  */
#line 11538 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encrypted");
;}
    break;

  case 1991:

/* Line 1455 of yacc.c  */
#line 11542 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enum");
;}
    break;

  case 1992:

/* Line 1455 of yacc.c  */
#line 11546 "preproc.y"
    { 
 (yyval.str) = mm_strdup("escape");
;}
    break;

  case 1993:

/* Line 1455 of yacc.c  */
#line 11550 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event");
;}
    break;

  case 1994:

/* Line 1455 of yacc.c  */
#line 11554 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclude");
;}
    break;

  case 1995:

/* Line 1455 of yacc.c  */
#line 11558 "preproc.y"
    { 
 (yyval.str) = mm_strdup("excluding");
;}
    break;

  case 1996:

/* Line 1455 of yacc.c  */
#line 11562 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
;}
    break;

  case 1997:

/* Line 1455 of yacc.c  */
#line 11566 "preproc.y"
    { 
 (yyval.str) = mm_strdup("execute");
;}
    break;

  case 1998:

/* Line 1455 of yacc.c  */
#line 11570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("explain");
;}
    break;

  case 1999:

/* Line 1455 of yacc.c  */
#line 11574 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 2000:

/* Line 1455 of yacc.c  */
#line 11578 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external");
;}
    break;

  case 2001:

/* Line 1455 of yacc.c  */
#line 11582 "preproc.y"
    { 
 (yyval.str) = mm_strdup("family");
;}
    break;

  case 2002:

/* Line 1455 of yacc.c  */
#line 11586 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
;}
    break;

  case 2003:

/* Line 1455 of yacc.c  */
#line 11590 "preproc.y"
    { 
 (yyval.str) = mm_strdup("following");
;}
    break;

  case 2004:

/* Line 1455 of yacc.c  */
#line 11594 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
;}
    break;

  case 2005:

/* Line 1455 of yacc.c  */
#line 11598 "preproc.y"
    { 
 (yyval.str) = mm_strdup("forward");
;}
    break;

  case 2006:

/* Line 1455 of yacc.c  */
#line 11602 "preproc.y"
    { 
 (yyval.str) = mm_strdup("function");
;}
    break;

  case 2007:

/* Line 1455 of yacc.c  */
#line 11606 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
;}
    break;

  case 2008:

/* Line 1455 of yacc.c  */
#line 11610 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global");
;}
    break;

  case 2009:

/* Line 1455 of yacc.c  */
#line 11614 "preproc.y"
    { 
 (yyval.str) = mm_strdup("granted");
;}
    break;

  case 2010:

/* Line 1455 of yacc.c  */
#line 11618 "preproc.y"
    { 
 (yyval.str) = mm_strdup("handler");
;}
    break;

  case 2011:

/* Line 1455 of yacc.c  */
#line 11622 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
;}
    break;

  case 2012:

/* Line 1455 of yacc.c  */
#line 11626 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hold");
;}
    break;

  case 2013:

/* Line 1455 of yacc.c  */
#line 11630 "preproc.y"
    { 
 (yyval.str) = mm_strdup("identity");
;}
    break;

  case 2014:

/* Line 1455 of yacc.c  */
#line 11634 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if");
;}
    break;

  case 2015:

/* Line 1455 of yacc.c  */
#line 11638 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
;}
    break;

  case 2016:

/* Line 1455 of yacc.c  */
#line 11642 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
;}
    break;

  case 2017:

/* Line 1455 of yacc.c  */
#line 11646 "preproc.y"
    { 
 (yyval.str) = mm_strdup("implicit");
;}
    break;

  case 2018:

/* Line 1455 of yacc.c  */
#line 11650 "preproc.y"
    { 
 (yyval.str) = mm_strdup("including");
;}
    break;

  case 2019:

/* Line 1455 of yacc.c  */
#line 11654 "preproc.y"
    { 
 (yyval.str) = mm_strdup("increment");
;}
    break;

  case 2020:

/* Line 1455 of yacc.c  */
#line 11658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 2021:

/* Line 1455 of yacc.c  */
#line 11662 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
;}
    break;

  case 2022:

/* Line 1455 of yacc.c  */
#line 11666 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
;}
    break;

  case 2023:

/* Line 1455 of yacc.c  */
#line 11670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherits");
;}
    break;

  case 2024:

/* Line 1455 of yacc.c  */
#line 11674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inline");
;}
    break;

  case 2025:

/* Line 1455 of yacc.c  */
#line 11678 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insensitive");
;}
    break;

  case 2026:

/* Line 1455 of yacc.c  */
#line 11682 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 2027:

/* Line 1455 of yacc.c  */
#line 11686 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
;}
    break;

  case 2028:

/* Line 1455 of yacc.c  */
#line 11690 "preproc.y"
    { 
 (yyval.str) = mm_strdup("invoker");
;}
    break;

  case 2029:

/* Line 1455 of yacc.c  */
#line 11694 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isolation");
;}
    break;

  case 2030:

/* Line 1455 of yacc.c  */
#line 11698 "preproc.y"
    { 
 (yyval.str) = mm_strdup("key");
;}
    break;

  case 2031:

/* Line 1455 of yacc.c  */
#line 11702 "preproc.y"
    { 
 (yyval.str) = mm_strdup("label");
;}
    break;

  case 2032:

/* Line 1455 of yacc.c  */
#line 11706 "preproc.y"
    { 
 (yyval.str) = mm_strdup("language");
;}
    break;

  case 2033:

/* Line 1455 of yacc.c  */
#line 11710 "preproc.y"
    { 
 (yyval.str) = mm_strdup("large");
;}
    break;

  case 2034:

/* Line 1455 of yacc.c  */
#line 11714 "preproc.y"
    { 
 (yyval.str) = mm_strdup("last");
;}
    break;

  case 2035:

/* Line 1455 of yacc.c  */
#line 11718 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_collate");
;}
    break;

  case 2036:

/* Line 1455 of yacc.c  */
#line 11722 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_ctype");
;}
    break;

  case 2037:

/* Line 1455 of yacc.c  */
#line 11726 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
;}
    break;

  case 2038:

/* Line 1455 of yacc.c  */
#line 11730 "preproc.y"
    { 
 (yyval.str) = mm_strdup("level");
;}
    break;

  case 2039:

/* Line 1455 of yacc.c  */
#line 11734 "preproc.y"
    { 
 (yyval.str) = mm_strdup("listen");
;}
    break;

  case 2040:

/* Line 1455 of yacc.c  */
#line 11738 "preproc.y"
    { 
 (yyval.str) = mm_strdup("load");
;}
    break;

  case 2041:

/* Line 1455 of yacc.c  */
#line 11742 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
;}
    break;

  case 2042:

/* Line 1455 of yacc.c  */
#line 11746 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
;}
    break;

  case 2043:

/* Line 1455 of yacc.c  */
#line 11750 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lock");
;}
    break;

  case 2044:

/* Line 1455 of yacc.c  */
#line 11754 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mapping");
;}
    break;

  case 2045:

/* Line 1455 of yacc.c  */
#line 11758 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match");
;}
    break;

  case 2046:

/* Line 1455 of yacc.c  */
#line 11762 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized");
;}
    break;

  case 2047:

/* Line 1455 of yacc.c  */
#line 11766 "preproc.y"
    { 
 (yyval.str) = mm_strdup("maxvalue");
;}
    break;

  case 2048:

/* Line 1455 of yacc.c  */
#line 11770 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minvalue");
;}
    break;

  case 2049:

/* Line 1455 of yacc.c  */
#line 11774 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mode");
;}
    break;

  case 2050:

/* Line 1455 of yacc.c  */
#line 11778 "preproc.y"
    { 
 (yyval.str) = mm_strdup("move");
;}
    break;

  case 2051:

/* Line 1455 of yacc.c  */
#line 11782 "preproc.y"
    { 
 (yyval.str) = mm_strdup("name");
;}
    break;

  case 2052:

/* Line 1455 of yacc.c  */
#line 11786 "preproc.y"
    { 
 (yyval.str) = mm_strdup("names");
;}
    break;

  case 2053:

/* Line 1455 of yacc.c  */
#line 11790 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
;}
    break;

  case 2054:

/* Line 1455 of yacc.c  */
#line 11794 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no");
;}
    break;

  case 2055:

/* Line 1455 of yacc.c  */
#line 11798 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
;}
    break;

  case 2056:

/* Line 1455 of yacc.c  */
#line 11802 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notify");
;}
    break;

  case 2057:

/* Line 1455 of yacc.c  */
#line 11806 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
;}
    break;

  case 2058:

/* Line 1455 of yacc.c  */
#line 11810 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls");
;}
    break;

  case 2059:

/* Line 1455 of yacc.c  */
#line 11814 "preproc.y"
    { 
 (yyval.str) = mm_strdup("object");
;}
    break;

  case 2060:

/* Line 1455 of yacc.c  */
#line 11818 "preproc.y"
    { 
 (yyval.str) = mm_strdup("of");
;}
    break;

  case 2061:

/* Line 1455 of yacc.c  */
#line 11822 "preproc.y"
    { 
 (yyval.str) = mm_strdup("off");
;}
    break;

  case 2062:

/* Line 1455 of yacc.c  */
#line 11826 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
;}
    break;

  case 2063:

/* Line 1455 of yacc.c  */
#line 11830 "preproc.y"
    { 
 (yyval.str) = mm_strdup("operator");
;}
    break;

  case 2064:

/* Line 1455 of yacc.c  */
#line 11834 "preproc.y"
    { 
 (yyval.str) = mm_strdup("option");
;}
    break;

  case 2065:

/* Line 1455 of yacc.c  */
#line 11838 "preproc.y"
    { 
 (yyval.str) = mm_strdup("options");
;}
    break;

  case 2066:

/* Line 1455 of yacc.c  */
#line 11842 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owned");
;}
    break;

  case 2067:

/* Line 1455 of yacc.c  */
#line 11846 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
;}
    break;

  case 2068:

/* Line 1455 of yacc.c  */
#line 11850 "preproc.y"
    { 
 (yyval.str) = mm_strdup("parser");
;}
    break;

  case 2069:

/* Line 1455 of yacc.c  */
#line 11854 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partial");
;}
    break;

  case 2070:

/* Line 1455 of yacc.c  */
#line 11858 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partition");
;}
    break;

  case 2071:

/* Line 1455 of yacc.c  */
#line 11862 "preproc.y"
    { 
 (yyval.str) = mm_strdup("passing");
;}
    break;

  case 2072:

/* Line 1455 of yacc.c  */
#line 11866 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password");
;}
    break;

  case 2073:

/* Line 1455 of yacc.c  */
#line 11870 "preproc.y"
    { 
 (yyval.str) = mm_strdup("plans");
;}
    break;

  case 2074:

/* Line 1455 of yacc.c  */
#line 11874 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preceding");
;}
    break;

  case 2075:

/* Line 1455 of yacc.c  */
#line 11878 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepare");
;}
    break;

  case 2076:

/* Line 1455 of yacc.c  */
#line 11882 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepared");
;}
    break;

  case 2077:

/* Line 1455 of yacc.c  */
#line 11886 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve");
;}
    break;

  case 2078:

/* Line 1455 of yacc.c  */
#line 11890 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prior");
;}
    break;

  case 2079:

/* Line 1455 of yacc.c  */
#line 11894 "preproc.y"
    { 
 (yyval.str) = mm_strdup("privileges");
;}
    break;

  case 2080:

/* Line 1455 of yacc.c  */
#line 11898 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
;}
    break;

  case 2081:

/* Line 1455 of yacc.c  */
#line 11902 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedure");
;}
    break;

  case 2082:

/* Line 1455 of yacc.c  */
#line 11906 "preproc.y"
    { 
 (yyval.str) = mm_strdup("program");
;}
    break;

  case 2083:

/* Line 1455 of yacc.c  */
#line 11910 "preproc.y"
    { 
 (yyval.str) = mm_strdup("quote");
;}
    break;

  case 2084:

/* Line 1455 of yacc.c  */
#line 11914 "preproc.y"
    { 
 (yyval.str) = mm_strdup("range");
;}
    break;

  case 2085:

/* Line 1455 of yacc.c  */
#line 11918 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read");
;}
    break;

  case 2086:

/* Line 1455 of yacc.c  */
#line 11922 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reassign");
;}
    break;

  case 2087:

/* Line 1455 of yacc.c  */
#line 11926 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recheck");
;}
    break;

  case 2088:

/* Line 1455 of yacc.c  */
#line 11930 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recursive");
;}
    break;

  case 2089:

/* Line 1455 of yacc.c  */
#line 11934 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ref");
;}
    break;

  case 2090:

/* Line 1455 of yacc.c  */
#line 11938 "preproc.y"
    { 
 (yyval.str) = mm_strdup("refresh");
;}
    break;

  case 2091:

/* Line 1455 of yacc.c  */
#line 11942 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reindex");
;}
    break;

  case 2092:

/* Line 1455 of yacc.c  */
#line 11946 "preproc.y"
    { 
 (yyval.str) = mm_strdup("relative");
;}
    break;

  case 2093:

/* Line 1455 of yacc.c  */
#line 11950 "preproc.y"
    { 
 (yyval.str) = mm_strdup("release");
;}
    break;

  case 2094:

/* Line 1455 of yacc.c  */
#line 11954 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rename");
;}
    break;

  case 2095:

/* Line 1455 of yacc.c  */
#line 11958 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable");
;}
    break;

  case 2096:

/* Line 1455 of yacc.c  */
#line 11962 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replace");
;}
    break;

  case 2097:

/* Line 1455 of yacc.c  */
#line 11966 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replica");
;}
    break;

  case 2098:

/* Line 1455 of yacc.c  */
#line 11970 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset");
;}
    break;

  case 2099:

/* Line 1455 of yacc.c  */
#line 11974 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
;}
    break;

  case 2100:

/* Line 1455 of yacc.c  */
#line 11978 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 2101:

/* Line 1455 of yacc.c  */
#line 11982 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns");
;}
    break;

  case 2102:

/* Line 1455 of yacc.c  */
#line 11986 "preproc.y"
    { 
 (yyval.str) = mm_strdup("revoke");
;}
    break;

  case 2103:

/* Line 1455 of yacc.c  */
#line 11990 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 2104:

/* Line 1455 of yacc.c  */
#line 11994 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollback");
;}
    break;

  case 2105:

/* Line 1455 of yacc.c  */
#line 11998 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
;}
    break;

  case 2106:

/* Line 1455 of yacc.c  */
#line 12002 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rule");
;}
    break;

  case 2107:

/* Line 1455 of yacc.c  */
#line 12006 "preproc.y"
    { 
 (yyval.str) = mm_strdup("savepoint");
;}
    break;

  case 2108:

/* Line 1455 of yacc.c  */
#line 12010 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 2109:

/* Line 1455 of yacc.c  */
#line 12014 "preproc.y"
    { 
 (yyval.str) = mm_strdup("scroll");
;}
    break;

  case 2110:

/* Line 1455 of yacc.c  */
#line 12018 "preproc.y"
    { 
 (yyval.str) = mm_strdup("search");
;}
    break;

  case 2111:

/* Line 1455 of yacc.c  */
#line 12022 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security");
;}
    break;

  case 2112:

/* Line 1455 of yacc.c  */
#line 12026 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 2113:

/* Line 1455 of yacc.c  */
#line 12030 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
;}
    break;

  case 2114:

/* Line 1455 of yacc.c  */
#line 12034 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
;}
    break;

  case 2115:

/* Line 1455 of yacc.c  */
#line 12038 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
;}
    break;

  case 2116:

/* Line 1455 of yacc.c  */
#line 12042 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session");
;}
    break;

  case 2117:

/* Line 1455 of yacc.c  */
#line 12046 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set");
;}
    break;

  case 2118:

/* Line 1455 of yacc.c  */
#line 12050 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
;}
    break;

  case 2119:

/* Line 1455 of yacc.c  */
#line 12054 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show");
;}
    break;

  case 2120:

/* Line 1455 of yacc.c  */
#line 12058 "preproc.y"
    { 
 (yyval.str) = mm_strdup("simple");
;}
    break;

  case 2121:

/* Line 1455 of yacc.c  */
#line 12062 "preproc.y"
    { 
 (yyval.str) = mm_strdup("snapshot");
;}
    break;

  case 2122:

/* Line 1455 of yacc.c  */
#line 12066 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
;}
    break;

  case 2123:

/* Line 1455 of yacc.c  */
#line 12070 "preproc.y"
    { 
 (yyval.str) = mm_strdup("standalone");
;}
    break;

  case 2124:

/* Line 1455 of yacc.c  */
#line 12074 "preproc.y"
    { 
 (yyval.str) = mm_strdup("start");
;}
    break;

  case 2125:

/* Line 1455 of yacc.c  */
#line 12078 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
;}
    break;

  case 2126:

/* Line 1455 of yacc.c  */
#line 12082 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statistics");
;}
    break;

  case 2127:

/* Line 1455 of yacc.c  */
#line 12086 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
;}
    break;

  case 2128:

/* Line 1455 of yacc.c  */
#line 12090 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
;}
    break;

  case 2129:

/* Line 1455 of yacc.c  */
#line 12094 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
;}
    break;

  case 2130:

/* Line 1455 of yacc.c  */
#line 12098 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
;}
    break;

  case 2131:

/* Line 1455 of yacc.c  */
#line 12102 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip");
;}
    break;

  case 2132:

/* Line 1455 of yacc.c  */
#line 12106 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sysid");
;}
    break;

  case 2133:

/* Line 1455 of yacc.c  */
#line 12110 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
;}
    break;

  case 2134:

/* Line 1455 of yacc.c  */
#line 12114 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
;}
    break;

  case 2135:

/* Line 1455 of yacc.c  */
#line 12118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 2136:

/* Line 1455 of yacc.c  */
#line 12122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
;}
    break;

  case 2137:

/* Line 1455 of yacc.c  */
#line 12126 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
;}
    break;

  case 2138:

/* Line 1455 of yacc.c  */
#line 12130 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
;}
    break;

  case 2139:

/* Line 1455 of yacc.c  */
#line 12134 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text");
;}
    break;

  case 2140:

/* Line 1455 of yacc.c  */
#line 12138 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
;}
    break;

  case 2141:

/* Line 1455 of yacc.c  */
#line 12142 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trigger");
;}
    break;

  case 2142:

/* Line 1455 of yacc.c  */
#line 12146 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
;}
    break;

  case 2143:

/* Line 1455 of yacc.c  */
#line 12150 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
;}
    break;

  case 2144:

/* Line 1455 of yacc.c  */
#line 12154 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 2145:

/* Line 1455 of yacc.c  */
#line 12158 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
;}
    break;

  case 2146:

/* Line 1455 of yacc.c  */
#line 12162 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded");
;}
    break;

  case 2147:

/* Line 1455 of yacc.c  */
#line 12166 "preproc.y"
    { 
 (yyval.str) = mm_strdup("uncommitted");
;}
    break;

  case 2148:

/* Line 1455 of yacc.c  */
#line 12170 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unencrypted");
;}
    break;

  case 2149:

/* Line 1455 of yacc.c  */
#line 12174 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unknown");
;}
    break;

  case 2150:

/* Line 1455 of yacc.c  */
#line 12178 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten");
;}
    break;

  case 2151:

/* Line 1455 of yacc.c  */
#line 12182 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
;}
    break;

  case 2152:

/* Line 1455 of yacc.c  */
#line 12186 "preproc.y"
    { 
 (yyval.str) = mm_strdup("until");
;}
    break;

  case 2153:

/* Line 1455 of yacc.c  */
#line 12190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 2154:

/* Line 1455 of yacc.c  */
#line 12194 "preproc.y"
    { 
 (yyval.str) = mm_strdup("vacuum");
;}
    break;

  case 2155:

/* Line 1455 of yacc.c  */
#line 12198 "preproc.y"
    { 
 (yyval.str) = mm_strdup("valid");
;}
    break;

  case 2156:

/* Line 1455 of yacc.c  */
#line 12202 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validate");
;}
    break;

  case 2157:

/* Line 1455 of yacc.c  */
#line 12206 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validator");
;}
    break;

  case 2158:

/* Line 1455 of yacc.c  */
#line 12210 "preproc.y"
    { 
 (yyval.str) = mm_strdup("value");
;}
    break;

  case 2159:

/* Line 1455 of yacc.c  */
#line 12214 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
;}
    break;

  case 2160:

/* Line 1455 of yacc.c  */
#line 12218 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version");
;}
    break;

  case 2161:

/* Line 1455 of yacc.c  */
#line 12222 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 2162:

/* Line 1455 of yacc.c  */
#line 12226 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
;}
    break;

  case 2163:

/* Line 1455 of yacc.c  */
#line 12230 "preproc.y"
    { 
 (yyval.str) = mm_strdup("whitespace");
;}
    break;

  case 2164:

/* Line 1455 of yacc.c  */
#line 12234 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without");
;}
    break;

  case 2165:

/* Line 1455 of yacc.c  */
#line 12238 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
;}
    break;

  case 2166:

/* Line 1455 of yacc.c  */
#line 12242 "preproc.y"
    { 
 (yyval.str) = mm_strdup("wrapper");
;}
    break;

  case 2167:

/* Line 1455 of yacc.c  */
#line 12246 "preproc.y"
    { 
 (yyval.str) = mm_strdup("write");
;}
    break;

  case 2168:

/* Line 1455 of yacc.c  */
#line 12250 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xml");
;}
    break;

  case 2169:

/* Line 1455 of yacc.c  */
#line 12254 "preproc.y"
    { 
 (yyval.str) = mm_strdup("yes");
;}
    break;

  case 2170:

/* Line 1455 of yacc.c  */
#line 12258 "preproc.y"
    { 
 (yyval.str) = mm_strdup("zone");
;}
    break;

  case 2171:

/* Line 1455 of yacc.c  */
#line 12266 "preproc.y"
    { 
 (yyval.str) = mm_strdup("between");
;}
    break;

  case 2172:

/* Line 1455 of yacc.c  */
#line 12270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
;}
    break;

  case 2173:

/* Line 1455 of yacc.c  */
#line 12274 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bit");
;}
    break;

  case 2174:

/* Line 1455 of yacc.c  */
#line 12278 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
;}
    break;

  case 2175:

/* Line 1455 of yacc.c  */
#line 12282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("character");
;}
    break;

  case 2176:

/* Line 1455 of yacc.c  */
#line 12286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coalesce");
;}
    break;

  case 2177:

/* Line 1455 of yacc.c  */
#line 12290 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dec");
;}
    break;

  case 2178:

/* Line 1455 of yacc.c  */
#line 12294 "preproc.y"
    { 
 (yyval.str) = mm_strdup("decimal");
;}
    break;

  case 2179:

/* Line 1455 of yacc.c  */
#line 12298 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exists");
;}
    break;

  case 2180:

/* Line 1455 of yacc.c  */
#line 12302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extract");
;}
    break;

  case 2181:

/* Line 1455 of yacc.c  */
#line 12306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("float");
;}
    break;

  case 2182:

/* Line 1455 of yacc.c  */
#line 12310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("greatest");
;}
    break;

  case 2183:

/* Line 1455 of yacc.c  */
#line 12314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
;}
    break;

  case 2184:

/* Line 1455 of yacc.c  */
#line 12318 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
;}
    break;

  case 2185:

/* Line 1455 of yacc.c  */
#line 12322 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
;}
    break;

  case 2186:

/* Line 1455 of yacc.c  */
#line 12326 "preproc.y"
    { 
 (yyval.str) = mm_strdup("least");
;}
    break;

  case 2187:

/* Line 1455 of yacc.c  */
#line 12330 "preproc.y"
    { 
 (yyval.str) = mm_strdup("national");
;}
    break;

  case 2188:

/* Line 1455 of yacc.c  */
#line 12334 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nchar");
;}
    break;

  case 2189:

/* Line 1455 of yacc.c  */
#line 12338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("none");
;}
    break;

  case 2190:

/* Line 1455 of yacc.c  */
#line 12342 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nullif");
;}
    break;

  case 2191:

/* Line 1455 of yacc.c  */
#line 12346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("numeric");
;}
    break;

  case 2192:

/* Line 1455 of yacc.c  */
#line 12350 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
;}
    break;

  case 2193:

/* Line 1455 of yacc.c  */
#line 12354 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlay");
;}
    break;

  case 2194:

/* Line 1455 of yacc.c  */
#line 12358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("position");
;}
    break;

  case 2195:

/* Line 1455 of yacc.c  */
#line 12362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("precision");
;}
    break;

  case 2196:

/* Line 1455 of yacc.c  */
#line 12366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
;}
    break;

  case 2197:

/* Line 1455 of yacc.c  */
#line 12370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 2198:

/* Line 1455 of yacc.c  */
#line 12374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("setof");
;}
    break;

  case 2199:

/* Line 1455 of yacc.c  */
#line 12378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
;}
    break;

  case 2200:

/* Line 1455 of yacc.c  */
#line 12382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("substring");
;}
    break;

  case 2201:

/* Line 1455 of yacc.c  */
#line 12386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time");
;}
    break;

  case 2202:

/* Line 1455 of yacc.c  */
#line 12390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("timestamp");
;}
    break;

  case 2203:

/* Line 1455 of yacc.c  */
#line 12394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("treat");
;}
    break;

  case 2204:

/* Line 1455 of yacc.c  */
#line 12398 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trim");
;}
    break;

  case 2205:

/* Line 1455 of yacc.c  */
#line 12402 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
;}
    break;

  case 2206:

/* Line 1455 of yacc.c  */
#line 12406 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlattributes");
;}
    break;

  case 2207:

/* Line 1455 of yacc.c  */
#line 12410 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlconcat");
;}
    break;

  case 2208:

/* Line 1455 of yacc.c  */
#line 12414 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlelement");
;}
    break;

  case 2209:

/* Line 1455 of yacc.c  */
#line 12418 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlexists");
;}
    break;

  case 2210:

/* Line 1455 of yacc.c  */
#line 12422 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlforest");
;}
    break;

  case 2211:

/* Line 1455 of yacc.c  */
#line 12426 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlparse");
;}
    break;

  case 2212:

/* Line 1455 of yacc.c  */
#line 12430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlpi");
;}
    break;

  case 2213:

/* Line 1455 of yacc.c  */
#line 12434 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlroot");
;}
    break;

  case 2214:

/* Line 1455 of yacc.c  */
#line 12438 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlserialize");
;}
    break;

  case 2215:

/* Line 1455 of yacc.c  */
#line 12446 "preproc.y"
    { 
 (yyval.str) = mm_strdup("authorization");
;}
    break;

  case 2216:

/* Line 1455 of yacc.c  */
#line 12450 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 2217:

/* Line 1455 of yacc.c  */
#line 12454 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 2218:

/* Line 1455 of yacc.c  */
#line 12458 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
;}
    break;

  case 2219:

/* Line 1455 of yacc.c  */
#line 12462 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cross");
;}
    break;

  case 2220:

/* Line 1455 of yacc.c  */
#line 12466 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
;}
    break;

  case 2221:

/* Line 1455 of yacc.c  */
#line 12470 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 2222:

/* Line 1455 of yacc.c  */
#line 12474 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 2223:

/* Line 1455 of yacc.c  */
#line 12478 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
;}
    break;

  case 2224:

/* Line 1455 of yacc.c  */
#line 12482 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
;}
    break;

  case 2225:

/* Line 1455 of yacc.c  */
#line 12486 "preproc.y"
    { 
 (yyval.str) = mm_strdup("is");
;}
    break;

  case 2226:

/* Line 1455 of yacc.c  */
#line 12490 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isnull");
;}
    break;

  case 2227:

/* Line 1455 of yacc.c  */
#line 12494 "preproc.y"
    { 
 (yyval.str) = mm_strdup("join");
;}
    break;

  case 2228:

/* Line 1455 of yacc.c  */
#line 12498 "preproc.y"
    { 
 (yyval.str) = mm_strdup("left");
;}
    break;

  case 2229:

/* Line 1455 of yacc.c  */
#line 12502 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
;}
    break;

  case 2230:

/* Line 1455 of yacc.c  */
#line 12506 "preproc.y"
    { 
 (yyval.str) = mm_strdup("natural");
;}
    break;

  case 2231:

/* Line 1455 of yacc.c  */
#line 12510 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notnull");
;}
    break;

  case 2232:

/* Line 1455 of yacc.c  */
#line 12514 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
;}
    break;

  case 2233:

/* Line 1455 of yacc.c  */
#line 12518 "preproc.y"
    { 
 (yyval.str) = mm_strdup("over");
;}
    break;

  case 2234:

/* Line 1455 of yacc.c  */
#line 12522 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlaps");
;}
    break;

  case 2235:

/* Line 1455 of yacc.c  */
#line 12526 "preproc.y"
    { 
 (yyval.str) = mm_strdup("right");
;}
    break;

  case 2236:

/* Line 1455 of yacc.c  */
#line 12530 "preproc.y"
    { 
 (yyval.str) = mm_strdup("similar");
;}
    break;

  case 2237:

/* Line 1455 of yacc.c  */
#line 12534 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 2238:

/* Line 1455 of yacc.c  */
#line 12542 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 2239:

/* Line 1455 of yacc.c  */
#line 12546 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
;}
    break;

  case 2240:

/* Line 1455 of yacc.c  */
#line 12550 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
;}
    break;

  case 2241:

/* Line 1455 of yacc.c  */
#line 12554 "preproc.y"
    { 
 (yyval.str) = mm_strdup("and");
;}
    break;

  case 2242:

/* Line 1455 of yacc.c  */
#line 12558 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
;}
    break;

  case 2243:

/* Line 1455 of yacc.c  */
#line 12562 "preproc.y"
    { 
 (yyval.str) = mm_strdup("array");
;}
    break;

  case 2244:

/* Line 1455 of yacc.c  */
#line 12566 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
;}
    break;

  case 2245:

/* Line 1455 of yacc.c  */
#line 12570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
;}
    break;

  case 2246:

/* Line 1455 of yacc.c  */
#line 12574 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
;}
    break;

  case 2247:

/* Line 1455 of yacc.c  */
#line 12578 "preproc.y"
    { 
 (yyval.str) = mm_strdup("both");
;}
    break;

  case 2248:

/* Line 1455 of yacc.c  */
#line 12582 "preproc.y"
    { 
 (yyval.str) = mm_strdup("case");
;}
    break;

  case 2249:

/* Line 1455 of yacc.c  */
#line 12586 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cast");
;}
    break;

  case 2250:

/* Line 1455 of yacc.c  */
#line 12590 "preproc.y"
    { 
 (yyval.str) = mm_strdup("check");
;}
    break;

  case 2251:

/* Line 1455 of yacc.c  */
#line 12594 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collate");
;}
    break;

  case 2252:

/* Line 1455 of yacc.c  */
#line 12598 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 2253:

/* Line 1455 of yacc.c  */
#line 12602 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraint");
;}
    break;

  case 2254:

/* Line 1455 of yacc.c  */
#line 12606 "preproc.y"
    { 
 (yyval.str) = mm_strdup("create");
;}
    break;

  case 2255:

/* Line 1455 of yacc.c  */
#line 12610 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
;}
    break;

  case 2256:

/* Line 1455 of yacc.c  */
#line 12614 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
;}
    break;

  case 2257:

/* Line 1455 of yacc.c  */
#line 12618 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
;}
    break;

  case 2258:

/* Line 1455 of yacc.c  */
#line 12622 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
;}
    break;

  case 2259:

/* Line 1455 of yacc.c  */
#line 12626 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
;}
    break;

  case 2260:

/* Line 1455 of yacc.c  */
#line 12630 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 2261:

/* Line 1455 of yacc.c  */
#line 12634 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 2262:

/* Line 1455 of yacc.c  */
#line 12638 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 2263:

/* Line 1455 of yacc.c  */
#line 12642 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
;}
    break;

  case 2264:

/* Line 1455 of yacc.c  */
#line 12646 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 2265:

/* Line 1455 of yacc.c  */
#line 12650 "preproc.y"
    { 
 (yyval.str) = mm_strdup("do");
;}
    break;

  case 2266:

/* Line 1455 of yacc.c  */
#line 12654 "preproc.y"
    { 
 (yyval.str) = mm_strdup("else");
;}
    break;

  case 2267:

/* Line 1455 of yacc.c  */
#line 12658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("end");
;}
    break;

  case 2268:

/* Line 1455 of yacc.c  */
#line 12662 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
;}
    break;

  case 2269:

/* Line 1455 of yacc.c  */
#line 12666 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 2270:

/* Line 1455 of yacc.c  */
#line 12670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("fetch");
;}
    break;

  case 2271:

/* Line 1455 of yacc.c  */
#line 12674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for");
;}
    break;

  case 2272:

/* Line 1455 of yacc.c  */
#line 12678 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign");
;}
    break;

  case 2273:

/* Line 1455 of yacc.c  */
#line 12682 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 2274:

/* Line 1455 of yacc.c  */
#line 12686 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grant");
;}
    break;

  case 2275:

/* Line 1455 of yacc.c  */
#line 12690 "preproc.y"
    { 
 (yyval.str) = mm_strdup("group");
;}
    break;

  case 2276:

/* Line 1455 of yacc.c  */
#line 12694 "preproc.y"
    { 
 (yyval.str) = mm_strdup("having");
;}
    break;

  case 2277:

/* Line 1455 of yacc.c  */
#line 12698 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 2278:

/* Line 1455 of yacc.c  */
#line 12702 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially");
;}
    break;

  case 2279:

/* Line 1455 of yacc.c  */
#line 12706 "preproc.y"
    { 
 (yyval.str) = mm_strdup("intersect");
;}
    break;

  case 2280:

/* Line 1455 of yacc.c  */
#line 12710 "preproc.y"
    { 
 (yyval.str) = mm_strdup("into");
;}
    break;

  case 2281:

/* Line 1455 of yacc.c  */
#line 12714 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lateral");
;}
    break;

  case 2282:

/* Line 1455 of yacc.c  */
#line 12718 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leading");
;}
    break;

  case 2283:

/* Line 1455 of yacc.c  */
#line 12722 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit");
;}
    break;

  case 2284:

/* Line 1455 of yacc.c  */
#line 12726 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
;}
    break;

  case 2285:

/* Line 1455 of yacc.c  */
#line 12730 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
;}
    break;

  case 2286:

/* Line 1455 of yacc.c  */
#line 12734 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not");
;}
    break;

  case 2287:

/* Line 1455 of yacc.c  */
#line 12738 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 2288:

/* Line 1455 of yacc.c  */
#line 12742 "preproc.y"
    { 
 (yyval.str) = mm_strdup("offset");
;}
    break;

  case 2289:

/* Line 1455 of yacc.c  */
#line 12746 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
;}
    break;

  case 2290:

/* Line 1455 of yacc.c  */
#line 12750 "preproc.y"
    { 
 (yyval.str) = mm_strdup("only");
;}
    break;

  case 2291:

/* Line 1455 of yacc.c  */
#line 12754 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or");
;}
    break;

  case 2292:

/* Line 1455 of yacc.c  */
#line 12758 "preproc.y"
    { 
 (yyval.str) = mm_strdup("order");
;}
    break;

  case 2293:

/* Line 1455 of yacc.c  */
#line 12762 "preproc.y"
    { 
 (yyval.str) = mm_strdup("placing");
;}
    break;

  case 2294:

/* Line 1455 of yacc.c  */
#line 12766 "preproc.y"
    { 
 (yyval.str) = mm_strdup("primary");
;}
    break;

  case 2295:

/* Line 1455 of yacc.c  */
#line 12770 "preproc.y"
    { 
 (yyval.str) = mm_strdup("references");
;}
    break;

  case 2296:

/* Line 1455 of yacc.c  */
#line 12774 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returning");
;}
    break;

  case 2297:

/* Line 1455 of yacc.c  */
#line 12778 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
;}
    break;

  case 2298:

/* Line 1455 of yacc.c  */
#line 12782 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
;}
    break;

  case 2299:

/* Line 1455 of yacc.c  */
#line 12786 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
;}
    break;

  case 2300:

/* Line 1455 of yacc.c  */
#line 12790 "preproc.y"
    { 
 (yyval.str) = mm_strdup("symmetric");
;}
    break;

  case 2301:

/* Line 1455 of yacc.c  */
#line 12794 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 2302:

/* Line 1455 of yacc.c  */
#line 12798 "preproc.y"
    { 
 (yyval.str) = mm_strdup("then");
;}
    break;

  case 2303:

/* Line 1455 of yacc.c  */
#line 12802 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trailing");
;}
    break;

  case 2304:

/* Line 1455 of yacc.c  */
#line 12806 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 2305:

/* Line 1455 of yacc.c  */
#line 12810 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
;}
    break;

  case 2306:

/* Line 1455 of yacc.c  */
#line 12814 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 2307:

/* Line 1455 of yacc.c  */
#line 12818 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
;}
    break;

  case 2308:

/* Line 1455 of yacc.c  */
#line 12822 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
;}
    break;

  case 2309:

/* Line 1455 of yacc.c  */
#line 12826 "preproc.y"
    { 
 (yyval.str) = mm_strdup("when");
;}
    break;

  case 2310:

/* Line 1455 of yacc.c  */
#line 12830 "preproc.y"
    { 
 (yyval.str) = mm_strdup("where");
;}
    break;

  case 2311:

/* Line 1455 of yacc.c  */
#line 12834 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
;}
    break;

  case 2312:

/* Line 1455 of yacc.c  */
#line 12838 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
;}
    break;

  case 2315:

/* Line 1455 of yacc.c  */
#line 12851 "preproc.y"
    { connection = NULL; ;}
    break;

  case 2317:

/* Line 1455 of yacc.c  */
#line 12854 "preproc.y"
    {
					fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
					free((yyvsp[(2) - (2)].str));
					output_line_number();
				;}
    break;

  case 2319:

/* Line 1455 of yacc.c  */
#line 12860 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 2320:

/* Line 1455 of yacc.c  */
#line 12861 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 2321:

/* Line 1455 of yacc.c  */
#line 12862 "preproc.y"
    { braces_open++; fputs("{", yyout); ;}
    break;

  case 2322:

/* Line 1455 of yacc.c  */
#line 12864 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		;}
    break;

  case 2323:

/* Line 1455 of yacc.c  */
#line 12876 "preproc.y"
    {FoundInto = 0;;}
    break;

  case 2324:

/* Line 1455 of yacc.c  */
#line 12877 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[(2) - (8)].str), mm_strdup("table"), (yyvsp[(4) - (8)].str), mm_strdup("as"), (yyvsp[(7) - (8)].str));
		;}
    break;

  case 2325:

/* Line 1455 of yacc.c  */
#line 12886 "preproc.y"
    {
			connection = (yyvsp[(2) - (2)].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		;}
    break;

  case 2326:

/* Line 1455 of yacc.c  */
#line 12901 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), mm_strdup(","), (yyvsp[(5) - (5)].str), mm_strdup(","), (yyvsp[(4) - (5)].str)); ;}
    break;

  case 2327:

/* Line 1455 of yacc.c  */
#line 12903 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); ;}
    break;

  case 2328:

/* Line 1455 of yacc.c  */
#line 12906 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[(2) - (2)].str), mm_strdup(", NULL")); ;}
    break;

  case 2329:

/* Line 1455 of yacc.c  */
#line 12908 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), mm_strdup(", NULL, NULL, NULL")); ;}
    break;

  case 2330:

/* Line 1455 of yacc.c  */
#line 12912 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));

			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), mm_strdup("\""));
		;}
    break;

  case 2331:

/* Line 1455 of yacc.c  */
#line 12924 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[(1) - (7)].str), mm_strdup(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), mm_strdup("/"), (yyvsp[(6) - (7)].str)),	(yyvsp[(7) - (7)].str), mm_strdup("\"")));
		;}
    break;

  case 2332:

/* Line 1455 of yacc.c  */
#line 12940 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2333:

/* Line 1455 of yacc.c  */
#line 12944 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2334:

/* Line 1455 of yacc.c  */
#line 12954 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2335:

/* Line 1455 of yacc.c  */
#line 12955 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2336:

/* Line 1455 of yacc.c  */
#line 12959 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), mm_strdup(":"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2337:

/* Line 1455 of yacc.c  */
#line 12971 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2338:

/* Line 1455 of yacc.c  */
#line 12979 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2339:

/* Line 1455 of yacc.c  */
#line 12980 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2340:

/* Line 1455 of yacc.c  */
#line 12983 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2341:

/* Line 1455 of yacc.c  */
#line 12984 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), mm_strdup("."), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2342:

/* Line 1455 of yacc.c  */
#line 12985 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2343:

/* Line 1455 of yacc.c  */
#line 12988 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2344:

/* Line 1455 of yacc.c  */
#line 12989 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2345:

/* Line 1455 of yacc.c  */
#line 12992 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2346:

/* Line 1455 of yacc.c  */
#line 12993 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); ;}
    break;

  case 2347:

/* Line 1455 of yacc.c  */
#line 12996 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2348:

/* Line 1455 of yacc.c  */
#line 12997 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL"); ;}
    break;

  case 2349:

/* Line 1455 of yacc.c  */
#line 13001 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), mm_strdup(", NULL")); ;}
    break;

  case 2350:

/* Line 1455 of yacc.c  */
#line 13003 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2351:

/* Line 1455 of yacc.c  */
#line 13005 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str)); ;}
    break;

  case 2352:

/* Line 1455 of yacc.c  */
#line 13007 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2353:

/* Line 1455 of yacc.c  */
#line 13011 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		;}
    break;

  case 2354:

/* Line 1455 of yacc.c  */
#line 13018 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		;}
    break;

  case 2355:

/* Line 1455 of yacc.c  */
#line 13025 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		;}
    break;

  case 2356:

/* Line 1455 of yacc.c  */
#line 13041 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		;}
    break;

  case 2357:

/* Line 1455 of yacc.c  */
#line 13075 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2358:

/* Line 1455 of yacc.c  */
#line 13084 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2359:

/* Line 1455 of yacc.c  */
#line 13088 "preproc.y"
    {
				(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
			;}
    break;

  case 2360:

/* Line 1455 of yacc.c  */
#line 13092 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			;}
    break;

  case 2361:

/* Line 1455 of yacc.c  */
#line 13104 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2362:

/* Line 1455 of yacc.c  */
#line 13106 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2363:

/* Line 1455 of yacc.c  */
#line 13108 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2364:

/* Line 1455 of yacc.c  */
#line 13110 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2365:

/* Line 1455 of yacc.c  */
#line 13114 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
					(yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
			}
		;}
    break;

  case 2366:

/* Line 1455 of yacc.c  */
#line 13127 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2367:

/* Line 1455 of yacc.c  */
#line 13135 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		;}
    break;

  case 2368:

/* Line 1455 of yacc.c  */
#line 13196 "preproc.y"
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			;}
    break;

  case 2370:

/* Line 1455 of yacc.c  */
#line 13206 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2371:

/* Line 1455 of yacc.c  */
#line 13207 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2372:

/* Line 1455 of yacc.c  */
#line 13210 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2373:

/* Line 1455 of yacc.c  */
#line 13212 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2374:

/* Line 1455 of yacc.c  */
#line 13213 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2375:

/* Line 1455 of yacc.c  */
#line 13216 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2376:

/* Line 1455 of yacc.c  */
#line 13217 "preproc.y"
    { (yyval.str) = mm_strdup("year to minute"); ;}
    break;

  case 2377:

/* Line 1455 of yacc.c  */
#line 13218 "preproc.y"
    { (yyval.str) = mm_strdup("year to second"); ;}
    break;

  case 2378:

/* Line 1455 of yacc.c  */
#line 13219 "preproc.y"
    { (yyval.str) = mm_strdup("day to day"); ;}
    break;

  case 2379:

/* Line 1455 of yacc.c  */
#line 13220 "preproc.y"
    { (yyval.str) = mm_strdup("month to month"); ;}
    break;

  case 2380:

/* Line 1455 of yacc.c  */
#line 13227 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); ;}
    break;

  case 2381:

/* Line 1455 of yacc.c  */
#line 13229 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		;}
    break;

  case 2382:

/* Line 1455 of yacc.c  */
#line 13236 "preproc.y"
    {;}
    break;

  case 2383:

/* Line 1455 of yacc.c  */
#line 13238 "preproc.y"
    {;}
    break;

  case 2384:

/* Line 1455 of yacc.c  */
#line 13240 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2385:

/* Line 1455 of yacc.c  */
#line 13241 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2386:

/* Line 1455 of yacc.c  */
#line 13244 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2387:

/* Line 1455 of yacc.c  */
#line 13245 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2388:

/* Line 1455 of yacc.c  */
#line 13246 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2389:

/* Line 1455 of yacc.c  */
#line 13247 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2390:

/* Line 1455 of yacc.c  */
#line 13250 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2391:

/* Line 1455 of yacc.c  */
#line 13251 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2392:

/* Line 1455 of yacc.c  */
#line 13255 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	;}
    break;

  case 2393:

/* Line 1455 of yacc.c  */
#line 13261 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	;}
    break;

  case 2394:

/* Line 1455 of yacc.c  */
#line 13271 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2395:

/* Line 1455 of yacc.c  */
#line 13281 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), mm_strdup(";\n"));
		;}
    break;

  case 2396:

/* Line 1455 of yacc.c  */
#line 13285 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2397:

/* Line 1455 of yacc.c  */
#line 13295 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), mm_strdup(";\n"));
		;}
    break;

  case 2398:

/* Line 1455 of yacc.c  */
#line 13299 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), mm_strdup(";"));
		;}
    break;

  case 2399:

/* Line 1455 of yacc.c  */
#line 13304 "preproc.y"
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2400:

/* Line 1455 of yacc.c  */
#line 13305 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2401:

/* Line 1455 of yacc.c  */
#line 13309 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2402:

/* Line 1455 of yacc.c  */
#line 13310 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2403:

/* Line 1455 of yacc.c  */
#line 13311 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2404:

/* Line 1455 of yacc.c  */
#line 13314 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2405:

/* Line 1455 of yacc.c  */
#line 13315 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2406:

/* Line 1455 of yacc.c  */
#line 13316 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2407:

/* Line 1455 of yacc.c  */
#line 13317 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2408:

/* Line 1455 of yacc.c  */
#line 13320 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2409:

/* Line 1455 of yacc.c  */
#line 13321 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2410:

/* Line 1455 of yacc.c  */
#line 13325 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2411:

/* Line 1455 of yacc.c  */
#line 13333 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		;}
    break;

  case 2412:

/* Line 1455 of yacc.c  */
#line 13350 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2413:

/* Line 1455 of yacc.c  */
#line 13358 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2414:

/* Line 1455 of yacc.c  */
#line 13381 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		;}
    break;

  case 2415:

/* Line 1455 of yacc.c  */
#line 13487 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		;}
    break;

  case 2416:

/* Line 1455 of yacc.c  */
#line 13521 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2417:

/* Line 1455 of yacc.c  */
#line 13523 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2418:

/* Line 1455 of yacc.c  */
#line 13525 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2419:

/* Line 1455 of yacc.c  */
#line 13529 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); ;}
    break;

  case 2420:

/* Line 1455 of yacc.c  */
#line 13532 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		;}
    break;

  case 2421:

/* Line 1455 of yacc.c  */
#line 13539 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		;}
    break;

  case 2422:

/* Line 1455 of yacc.c  */
#line 13582 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2423:

/* Line 1455 of yacc.c  */
#line 13584 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		;}
    break;

  case 2424:

/* Line 1455 of yacc.c  */
#line 13590 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		;}
    break;

  case 2425:

/* Line 1455 of yacc.c  */
#line 13599 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		;}
    break;

  case 2426:

/* Line 1455 of yacc.c  */
#line 13605 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		;}
    break;

  case 2427:

/* Line 1455 of yacc.c  */
#line 13612 "preproc.y"
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		;}
    break;

  case 2428:

/* Line 1455 of yacc.c  */
#line 13617 "preproc.y"
    {
			(yyval.str) = mm_strdup("union");
		;}
    break;

  case 2429:

/* Line 1455 of yacc.c  */
#line 13622 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); ;}
    break;

  case 2430:

/* Line 1455 of yacc.c  */
#line 13623 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); ;}
    break;

  case 2431:

/* Line 1455 of yacc.c  */
#line 13626 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2432:

/* Line 1455 of yacc.c  */
#line 13627 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2433:

/* Line 1455 of yacc.c  */
#line 13628 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2434:

/* Line 1455 of yacc.c  */
#line 13629 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2435:

/* Line 1455 of yacc.c  */
#line 13630 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2436:

/* Line 1455 of yacc.c  */
#line 13631 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2437:

/* Line 1455 of yacc.c  */
#line 13633 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2438:

/* Line 1455 of yacc.c  */
#line 13641 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2439:

/* Line 1455 of yacc.c  */
#line 13648 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; ;}
    break;

  case 2440:

/* Line 1455 of yacc.c  */
#line 13651 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2441:

/* Line 1455 of yacc.c  */
#line 13652 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2442:

/* Line 1455 of yacc.c  */
#line 13653 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; ;}
    break;

  case 2443:

/* Line 1455 of yacc.c  */
#line 13654 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2444:

/* Line 1455 of yacc.c  */
#line 13655 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2445:

/* Line 1455 of yacc.c  */
#line 13657 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2446:

/* Line 1455 of yacc.c  */
#line 13665 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2447:

/* Line 1455 of yacc.c  */
#line 13672 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; ;}
    break;

  case 2448:

/* Line 1455 of yacc.c  */
#line 13673 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; ;}
    break;

  case 2449:

/* Line 1455 of yacc.c  */
#line 13674 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; ;}
    break;

  case 2452:

/* Line 1455 of yacc.c  */
#line 13682 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2453:

/* Line 1455 of yacc.c  */
#line 13684 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2454:

/* Line 1455 of yacc.c  */
#line 13688 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1;	/* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		;}
    break;

  case 2455:

/* Line 1455 of yacc.c  */
#line 13775 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2456:

/* Line 1455 of yacc.c  */
#line 13777 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2457:

/* Line 1455 of yacc.c  */
#line 13783 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2458:

/* Line 1455 of yacc.c  */
#line 13784 "preproc.y"
    { (yyval.str) = mm_strdup("*"); ;}
    break;

  case 2459:

/* Line 1455 of yacc.c  */
#line 13785 "preproc.y"
    { (yyval.str) = mm_strdup("**"); ;}
    break;

  case 2460:

/* Line 1455 of yacc.c  */
#line 13792 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[(3) - (3)].str), mm_strdup("*/"));
		;}
    break;

  case 2461:

/* Line 1455 of yacc.c  */
#line 13800 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2462:

/* Line 1455 of yacc.c  */
#line 13803 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2463:

/* Line 1455 of yacc.c  */
#line 13804 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); ;}
    break;

  case 2464:

/* Line 1455 of yacc.c  */
#line 13805 "preproc.y"
    { (yyval.str) = mm_strdup("\"ALL\""); ;}
    break;

  case 2465:

/* Line 1455 of yacc.c  */
#line 13806 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); ;}
    break;

  case 2466:

/* Line 1455 of yacc.c  */
#line 13809 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2467:

/* Line 1455 of yacc.c  */
#line 13810 "preproc.y"
    { (yyval.str) = mm_strdup("\"DEFAULT\""); ;}
    break;

  case 2468:

/* Line 1455 of yacc.c  */
#line 13811 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2469:

/* Line 1455 of yacc.c  */
#line 13815 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2470:

/* Line 1455 of yacc.c  */
#line 13817 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2471:

/* Line 1455 of yacc.c  */
#line 13824 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2472:

/* Line 1455 of yacc.c  */
#line 13825 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2473:

/* Line 1455 of yacc.c  */
#line 13832 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		;}
    break;

  case 2474:

/* Line 1455 of yacc.c  */
#line 13839 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2475:

/* Line 1455 of yacc.c  */
#line 13840 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2476:

/* Line 1455 of yacc.c  */
#line 13843 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2477:

/* Line 1455 of yacc.c  */
#line 13844 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2478:

/* Line 1455 of yacc.c  */
#line 13848 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2479:

/* Line 1455 of yacc.c  */
#line 13853 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2480:

/* Line 1455 of yacc.c  */
#line 13860 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2481:

/* Line 1455 of yacc.c  */
#line 13865 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2482:

/* Line 1455 of yacc.c  */
#line 13872 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2485:

/* Line 1455 of yacc.c  */
#line 13881 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		;}
    break;

  case 2486:

/* Line 1455 of yacc.c  */
#line 13887 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2487:

/* Line 1455 of yacc.c  */
#line 13888 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2488:

/* Line 1455 of yacc.c  */
#line 13891 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2489:

/* Line 1455 of yacc.c  */
#line 13892 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2490:

/* Line 1455 of yacc.c  */
#line 13893 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2491:

/* Line 1455 of yacc.c  */
#line 13894 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2492:

/* Line 1455 of yacc.c  */
#line 13895 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2493:

/* Line 1455 of yacc.c  */
#line 13896 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2494:

/* Line 1455 of yacc.c  */
#line 13897 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2495:

/* Line 1455 of yacc.c  */
#line 13898 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2496:

/* Line 1455 of yacc.c  */
#line 13899 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2497:

/* Line 1455 of yacc.c  */
#line 13906 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2498:

/* Line 1455 of yacc.c  */
#line 13913 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2499:

/* Line 1455 of yacc.c  */
#line 13925 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2500:

/* Line 1455 of yacc.c  */
#line 13931 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2501:

/* Line 1455 of yacc.c  */
#line 13938 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2502:

/* Line 1455 of yacc.c  */
#line 13945 "preproc.y"
    { (yyval.str) = mm_strdup("output"); ;}
    break;

  case 2503:

/* Line 1455 of yacc.c  */
#line 13946 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2504:

/* Line 1455 of yacc.c  */
#line 13959 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2505:

/* Line 1455 of yacc.c  */
#line 13970 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2506:

/* Line 1455 of yacc.c  */
#line 13981 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2509:

/* Line 1455 of yacc.c  */
#line 13989 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2510:

/* Line 1455 of yacc.c  */
#line 13994 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2513:

/* Line 1455 of yacc.c  */
#line 14002 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2514:

/* Line 1455 of yacc.c  */
#line 14008 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2515:

/* Line 1455 of yacc.c  */
#line 14016 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2516:

/* Line 1455 of yacc.c  */
#line 14021 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; ;}
    break;

  case 2517:

/* Line 1455 of yacc.c  */
#line 14029 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2520:

/* Line 1455 of yacc.c  */
#line 14036 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2521:

/* Line 1455 of yacc.c  */
#line 14040 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2524:

/* Line 1455 of yacc.c  */
#line 14048 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2525:

/* Line 1455 of yacc.c  */
#line 14054 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2526:

/* Line 1455 of yacc.c  */
#line 14063 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2527:

/* Line 1455 of yacc.c  */
#line 14068 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		;}
    break;

  case 2528:

/* Line 1455 of yacc.c  */
#line 14078 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		;}
    break;

  case 2529:

/* Line 1455 of yacc.c  */
#line 14088 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[(1) - (1)].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		;}
    break;

  case 2530:

/* Line 1455 of yacc.c  */
#line 14099 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; ;}
    break;

  case 2531:

/* Line 1455 of yacc.c  */
#line 14100 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; ;}
    break;

  case 2532:

/* Line 1455 of yacc.c  */
#line 14101 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; ;}
    break;

  case 2533:

/* Line 1455 of yacc.c  */
#line 14102 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; ;}
    break;

  case 2534:

/* Line 1455 of yacc.c  */
#line 14103 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; ;}
    break;

  case 2535:

/* Line 1455 of yacc.c  */
#line 14104 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; ;}
    break;

  case 2536:

/* Line 1455 of yacc.c  */
#line 14105 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2537:

/* Line 1455 of yacc.c  */
#line 14106 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; ;}
    break;

  case 2538:

/* Line 1455 of yacc.c  */
#line 14107 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; ;}
    break;

  case 2539:

/* Line 1455 of yacc.c  */
#line 14108 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; ;}
    break;

  case 2540:

/* Line 1455 of yacc.c  */
#line 14109 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; ;}
    break;

  case 2541:

/* Line 1455 of yacc.c  */
#line 14110 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2542:

/* Line 1455 of yacc.c  */
#line 14111 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; ;}
    break;

  case 2543:

/* Line 1455 of yacc.c  */
#line 14112 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; ;}
    break;

  case 2544:

/* Line 1455 of yacc.c  */
#line 14113 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; ;}
    break;

  case 2545:

/* Line 1455 of yacc.c  */
#line 14120 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2546:

/* Line 1455 of yacc.c  */
#line 14121 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2547:

/* Line 1455 of yacc.c  */
#line 14124 "preproc.y"
    { (yyval.str) = mm_strdup("on"); ;}
    break;

  case 2548:

/* Line 1455 of yacc.c  */
#line 14125 "preproc.y"
    { (yyval.str) = mm_strdup("off"); ;}
    break;

  case 2549:

/* Line 1455 of yacc.c  */
#line 14132 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2550:

/* Line 1455 of yacc.c  */
#line 14133 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2551:

/* Line 1455 of yacc.c  */
#line 14134 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2552:

/* Line 1455 of yacc.c  */
#line 14141 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2553:

/* Line 1455 of yacc.c  */
#line 14147 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup(";"));
		;}
    break;

  case 2554:

/* Line 1455 of yacc.c  */
#line 14157 "preproc.y"
    { (yyval.str) = mm_strdup("reference"); ;}
    break;

  case 2555:

/* Line 1455 of yacc.c  */
#line 14158 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2556:

/* Line 1455 of yacc.c  */
#line 14165 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2557:

/* Line 1455 of yacc.c  */
#line 14171 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
		;}
    break;

  case 2558:

/* Line 1455 of yacc.c  */
#line 14235 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2559:

/* Line 1455 of yacc.c  */
#line 14241 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2560:

/* Line 1455 of yacc.c  */
#line 14247 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2561:

/* Line 1455 of yacc.c  */
#line 14255 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		;}
    break;

  case 2562:

/* Line 1455 of yacc.c  */
#line 14261 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		;}
    break;

  case 2563:

/* Line 1455 of yacc.c  */
#line 14267 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		;}
    break;

  case 2564:

/* Line 1455 of yacc.c  */
#line 14273 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2565:

/* Line 1455 of yacc.c  */
#line 14279 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(3) - (3)].str));
		;}
    break;

  case 2566:

/* Line 1455 of yacc.c  */
#line 14285 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2567:

/* Line 1455 of yacc.c  */
#line 14291 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		;}
    break;

  case 2568:

/* Line 1455 of yacc.c  */
#line 14297 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2569:

/* Line 1455 of yacc.c  */
#line 14303 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2570:

/* Line 1455 of yacc.c  */
#line 14313 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2571:

/* Line 1455 of yacc.c  */
#line 14314 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2572:

/* Line 1455 of yacc.c  */
#line 14317 "preproc.y"
    { (yyval.str) = mm_strdup("break"); ;}
    break;

  case 2573:

/* Line 1455 of yacc.c  */
#line 14318 "preproc.y"
    { (yyval.str) = mm_strdup("call"); ;}
    break;

  case 2574:

/* Line 1455 of yacc.c  */
#line 14319 "preproc.y"
    { (yyval.str) = mm_strdup("cardinality"); ;}
    break;

  case 2575:

/* Line 1455 of yacc.c  */
#line 14320 "preproc.y"
    { (yyval.str) = mm_strdup("count"); ;}
    break;

  case 2576:

/* Line 1455 of yacc.c  */
#line 14321 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_code"); ;}
    break;

  case 2577:

/* Line 1455 of yacc.c  */
#line 14322 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_precision"); ;}
    break;

  case 2578:

/* Line 1455 of yacc.c  */
#line 14323 "preproc.y"
    { (yyval.str) = mm_strdup("found"); ;}
    break;

  case 2579:

/* Line 1455 of yacc.c  */
#line 14324 "preproc.y"
    { (yyval.str) = mm_strdup("go"); ;}
    break;

  case 2580:

/* Line 1455 of yacc.c  */
#line 14325 "preproc.y"
    { (yyval.str) = mm_strdup("goto"); ;}
    break;

  case 2581:

/* Line 1455 of yacc.c  */
#line 14326 "preproc.y"
    { (yyval.str) = mm_strdup("identified"); ;}
    break;

  case 2582:

/* Line 1455 of yacc.c  */
#line 14327 "preproc.y"
    { (yyval.str) = mm_strdup("indicator"); ;}
    break;

  case 2583:

/* Line 1455 of yacc.c  */
#line 14328 "preproc.y"
    { (yyval.str) = mm_strdup("key_member"); ;}
    break;

  case 2584:

/* Line 1455 of yacc.c  */
#line 14329 "preproc.y"
    { (yyval.str) = mm_strdup("length"); ;}
    break;

  case 2585:

/* Line 1455 of yacc.c  */
#line 14330 "preproc.y"
    { (yyval.str) = mm_strdup("nullable"); ;}
    break;

  case 2586:

/* Line 1455 of yacc.c  */
#line 14331 "preproc.y"
    { (yyval.str) = mm_strdup("octet_length"); ;}
    break;

  case 2587:

/* Line 1455 of yacc.c  */
#line 14332 "preproc.y"
    { (yyval.str) = mm_strdup("returned_length"); ;}
    break;

  case 2588:

/* Line 1455 of yacc.c  */
#line 14333 "preproc.y"
    { (yyval.str) = mm_strdup("returned_octet_length"); ;}
    break;

  case 2589:

/* Line 1455 of yacc.c  */
#line 14334 "preproc.y"
    { (yyval.str) = mm_strdup("scale"); ;}
    break;

  case 2590:

/* Line 1455 of yacc.c  */
#line 14335 "preproc.y"
    { (yyval.str) = mm_strdup("section"); ;}
    break;

  case 2591:

/* Line 1455 of yacc.c  */
#line 14336 "preproc.y"
    { (yyval.str) = mm_strdup("sql"); ;}
    break;

  case 2592:

/* Line 1455 of yacc.c  */
#line 14337 "preproc.y"
    { (yyval.str) = mm_strdup("sqlerror"); ;}
    break;

  case 2593:

/* Line 1455 of yacc.c  */
#line 14338 "preproc.y"
    { (yyval.str) = mm_strdup("sqlprint"); ;}
    break;

  case 2594:

/* Line 1455 of yacc.c  */
#line 14339 "preproc.y"
    { (yyval.str) = mm_strdup("sqlwarning"); ;}
    break;

  case 2595:

/* Line 1455 of yacc.c  */
#line 14340 "preproc.y"
    { (yyval.str) = mm_strdup("stop"); ;}
    break;

  case 2596:

/* Line 1455 of yacc.c  */
#line 14343 "preproc.y"
    { (yyval.str) = mm_strdup("connect"); ;}
    break;

  case 2597:

/* Line 1455 of yacc.c  */
#line 14344 "preproc.y"
    { (yyval.str) = mm_strdup("describe"); ;}
    break;

  case 2598:

/* Line 1455 of yacc.c  */
#line 14345 "preproc.y"
    { (yyval.str) = mm_strdup("disconnect"); ;}
    break;

  case 2599:

/* Line 1455 of yacc.c  */
#line 14346 "preproc.y"
    { (yyval.str) = mm_strdup("open"); ;}
    break;

  case 2600:

/* Line 1455 of yacc.c  */
#line 14347 "preproc.y"
    { (yyval.str) = mm_strdup("var"); ;}
    break;

  case 2601:

/* Line 1455 of yacc.c  */
#line 14348 "preproc.y"
    { (yyval.str) = mm_strdup("whenever"); ;}
    break;

  case 2602:

/* Line 1455 of yacc.c  */
#line 14352 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); ;}
    break;

  case 2603:

/* Line 1455 of yacc.c  */
#line 14353 "preproc.y"
    { (yyval.str) = mm_strdup("long"); ;}
    break;

  case 2604:

/* Line 1455 of yacc.c  */
#line 14354 "preproc.y"
    { (yyval.str) = mm_strdup("output"); ;}
    break;

  case 2605:

/* Line 1455 of yacc.c  */
#line 14355 "preproc.y"
    { (yyval.str) = mm_strdup("short"); ;}
    break;

  case 2606:

/* Line 1455 of yacc.c  */
#line 14356 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); ;}
    break;

  case 2607:

/* Line 1455 of yacc.c  */
#line 14357 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); ;}
    break;

  case 2608:

/* Line 1455 of yacc.c  */
#line 14358 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); ;}
    break;

  case 2609:

/* Line 1455 of yacc.c  */
#line 14361 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2610:

/* Line 1455 of yacc.c  */
#line 14364 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2611:

/* Line 1455 of yacc.c  */
#line 14365 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2612:

/* Line 1455 of yacc.c  */
#line 14366 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2613:

/* Line 1455 of yacc.c  */
#line 14367 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2614:

/* Line 1455 of yacc.c  */
#line 14368 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2615:

/* Line 1455 of yacc.c  */
#line 14369 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2616:

/* Line 1455 of yacc.c  */
#line 14370 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2617:

/* Line 1455 of yacc.c  */
#line 14371 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2618:

/* Line 1455 of yacc.c  */
#line 14384 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2619:

/* Line 1455 of yacc.c  */
#line 14385 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2620:

/* Line 1455 of yacc.c  */
#line 14386 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2621:

/* Line 1455 of yacc.c  */
#line 14387 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2622:

/* Line 1455 of yacc.c  */
#line 14388 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2623:

/* Line 1455 of yacc.c  */
#line 14389 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2624:

/* Line 1455 of yacc.c  */
#line 14390 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2625:

/* Line 1455 of yacc.c  */
#line 14395 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2626:

/* Line 1455 of yacc.c  */
#line 14396 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2627:

/* Line 1455 of yacc.c  */
#line 14397 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2628:

/* Line 1455 of yacc.c  */
#line 14398 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2629:

/* Line 1455 of yacc.c  */
#line 14399 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2630:

/* Line 1455 of yacc.c  */
#line 14400 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2631:

/* Line 1455 of yacc.c  */
#line 14406 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2632:

/* Line 1455 of yacc.c  */
#line 14407 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2633:

/* Line 1455 of yacc.c  */
#line 14408 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2634:

/* Line 1455 of yacc.c  */
#line 14409 "preproc.y"
    { (yyval.str) = mm_strdup("current"); ;}
    break;

  case 2635:

/* Line 1455 of yacc.c  */
#line 14410 "preproc.y"
    { (yyval.str) = mm_strdup("input"); ;}
    break;

  case 2636:

/* Line 1455 of yacc.c  */
#line 14411 "preproc.y"
    { (yyval.str) = mm_strdup("int"); ;}
    break;

  case 2637:

/* Line 1455 of yacc.c  */
#line 14412 "preproc.y"
    { (yyval.str) = mm_strdup("to"); ;}
    break;

  case 2638:

/* Line 1455 of yacc.c  */
#line 14413 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2639:

/* Line 1455 of yacc.c  */
#line 14414 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2640:

/* Line 1455 of yacc.c  */
#line 14415 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2641:

/* Line 1455 of yacc.c  */
#line 14416 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2642:

/* Line 1455 of yacc.c  */
#line 14419 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2643:

/* Line 1455 of yacc.c  */
#line 14420 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2644:

/* Line 1455 of yacc.c  */
#line 14421 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2645:

/* Line 1455 of yacc.c  */
#line 14422 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2646:

/* Line 1455 of yacc.c  */
#line 14423 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); ;}
    break;

  case 2647:

/* Line 1455 of yacc.c  */
#line 14426 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2648:

/* Line 1455 of yacc.c  */
#line 14427 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2649:

/* Line 1455 of yacc.c  */
#line 14428 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2650:

/* Line 1455 of yacc.c  */
#line 14429 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2651:

/* Line 1455 of yacc.c  */
#line 14432 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2652:

/* Line 1455 of yacc.c  */
#line 14433 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2653:

/* Line 1455 of yacc.c  */
#line 14434 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2654:

/* Line 1455 of yacc.c  */
#line 14435 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2655:

/* Line 1455 of yacc.c  */
#line 14436 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2656:

/* Line 1455 of yacc.c  */
#line 14437 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); ;}
    break;

  case 2657:

/* Line 1455 of yacc.c  */
#line 14438 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2658:

/* Line 1455 of yacc.c  */
#line 14455 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2659:

/* Line 1455 of yacc.c  */
#line 14456 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2660:

/* Line 1455 of yacc.c  */
#line 14457 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); ;}
    break;

  case 2661:

/* Line 1455 of yacc.c  */
#line 14460 "preproc.y"
    { (yyval.str) = mm_strdup("day"); ;}
    break;

  case 2662:

/* Line 1455 of yacc.c  */
#line 14461 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); ;}
    break;

  case 2663:

/* Line 1455 of yacc.c  */
#line 14462 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); ;}
    break;

  case 2664:

/* Line 1455 of yacc.c  */
#line 14463 "preproc.y"
    { (yyval.str) = mm_strdup("month"); ;}
    break;

  case 2665:

/* Line 1455 of yacc.c  */
#line 14464 "preproc.y"
    { (yyval.str) = mm_strdup("second"); ;}
    break;

  case 2666:

/* Line 1455 of yacc.c  */
#line 14465 "preproc.y"
    { (yyval.str) = mm_strdup("year"); ;}
    break;

  case 2669:

/* Line 1455 of yacc.c  */
#line 14472 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			;}
    break;

  case 2670:

/* Line 1455 of yacc.c  */
#line 14478 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2671:

/* Line 1455 of yacc.c  */
#line 14479 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2672:

/* Line 1455 of yacc.c  */
#line 14483 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); ;}
    break;

  case 2673:

/* Line 1455 of yacc.c  */
#line 14485 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); ;}
    break;

  case 2674:

/* Line 1455 of yacc.c  */
#line 14490 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		;}
    break;

  case 2675:

/* Line 1455 of yacc.c  */
#line 14500 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2676:

/* Line 1455 of yacc.c  */
#line 14511 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		;}
    break;

  case 2677:

/* Line 1455 of yacc.c  */
#line 14517 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2678:

/* Line 1455 of yacc.c  */
#line 14518 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2679:

/* Line 1455 of yacc.c  */
#line 14519 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2680:

/* Line 1455 of yacc.c  */
#line 14523 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2681:

/* Line 1455 of yacc.c  */
#line 14555 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2682:

/* Line 1455 of yacc.c  */
#line 14557 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2683:

/* Line 1455 of yacc.c  */
#line 14559 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2684:

/* Line 1455 of yacc.c  */
#line 14563 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2685:

/* Line 1455 of yacc.c  */
#line 14573 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2686:

/* Line 1455 of yacc.c  */
#line 14583 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2687:

/* Line 1455 of yacc.c  */
#line 14592 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2688:

/* Line 1455 of yacc.c  */
#line 14593 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2689:

/* Line 1455 of yacc.c  */
#line 14596 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2690:

/* Line 1455 of yacc.c  */
#line 14598 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2691:

/* Line 1455 of yacc.c  */
#line 14599 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2692:

/* Line 1455 of yacc.c  */
#line 14600 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2693:

/* Line 1455 of yacc.c  */
#line 14604 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2694:

/* Line 1455 of yacc.c  */
#line 14606 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[(1) - (1)].str), mm_strdup(")")); ;}
    break;

  case 2695:

/* Line 1455 of yacc.c  */
#line 14613 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2696:

/* Line 1455 of yacc.c  */
#line 14614 "preproc.y"
    { (yyval.str) = mm_strdup("()"); ;}
    break;

  case 2697:

/* Line 1455 of yacc.c  */
#line 14616 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); ;}
    break;

  case 2698:

/* Line 1455 of yacc.c  */
#line 14619 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2699:

/* Line 1455 of yacc.c  */
#line 14621 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2700:

/* Line 1455 of yacc.c  */
#line 14624 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2701:

/* Line 1455 of yacc.c  */
#line 14625 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2702:

/* Line 1455 of yacc.c  */
#line 14628 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2703:

/* Line 1455 of yacc.c  */
#line 14629 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); ;}
    break;

  case 2704:

/* Line 1455 of yacc.c  */
#line 14632 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2705:

/* Line 1455 of yacc.c  */
#line 14633 "preproc.y"
    { (yyval.str) = mm_strdup("("); ;}
    break;

  case 2706:

/* Line 1455 of yacc.c  */
#line 14634 "preproc.y"
    { (yyval.str) = mm_strdup(")"); ;}
    break;

  case 2707:

/* Line 1455 of yacc.c  */
#line 14635 "preproc.y"
    { (yyval.str) = mm_strdup(","); ;}
    break;

  case 2708:

/* Line 1455 of yacc.c  */
#line 14636 "preproc.y"
    { (yyval.str) = mm_strdup(";"); ;}
    break;

  case 2709:

/* Line 1455 of yacc.c  */
#line 14639 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2710:

/* Line 1455 of yacc.c  */
#line 14640 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2711:

/* Line 1455 of yacc.c  */
#line 14641 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2712:

/* Line 1455 of yacc.c  */
#line 14642 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2713:

/* Line 1455 of yacc.c  */
#line 14643 "preproc.y"
    { (yyval.str) = mm_strdup("*"); ;}
    break;

  case 2714:

/* Line 1455 of yacc.c  */
#line 14644 "preproc.y"
    { (yyval.str) = mm_strdup("+"); ;}
    break;

  case 2715:

/* Line 1455 of yacc.c  */
#line 14645 "preproc.y"
    { (yyval.str) = mm_strdup("-"); ;}
    break;

  case 2716:

/* Line 1455 of yacc.c  */
#line 14646 "preproc.y"
    { (yyval.str) = mm_strdup("/"); ;}
    break;

  case 2717:

/* Line 1455 of yacc.c  */
#line 14647 "preproc.y"
    { (yyval.str) = mm_strdup("%"); ;}
    break;

  case 2718:

/* Line 1455 of yacc.c  */
#line 14648 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); ;}
    break;

  case 2719:

/* Line 1455 of yacc.c  */
#line 14649 "preproc.y"
    { (yyval.str) = mm_strdup("+="); ;}
    break;

  case 2720:

/* Line 1455 of yacc.c  */
#line 14650 "preproc.y"
    { (yyval.str) = mm_strdup("&&"); ;}
    break;

  case 2721:

/* Line 1455 of yacc.c  */
#line 14651 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2722:

/* Line 1455 of yacc.c  */
#line 14652 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2723:

/* Line 1455 of yacc.c  */
#line 14653 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2724:

/* Line 1455 of yacc.c  */
#line 14654 "preproc.y"
    { (yyval.str) = mm_strdup("--"); ;}
    break;

  case 2725:

/* Line 1455 of yacc.c  */
#line 14655 "preproc.y"
    { (yyval.str) = mm_strdup("/="); ;}
    break;

  case 2726:

/* Line 1455 of yacc.c  */
#line 14656 "preproc.y"
    { (yyval.str) = mm_strdup(".*"); ;}
    break;

  case 2727:

/* Line 1455 of yacc.c  */
#line 14657 "preproc.y"
    { (yyval.str) = mm_strdup("=="); ;}
    break;

  case 2728:

/* Line 1455 of yacc.c  */
#line 14658 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2729:

/* Line 1455 of yacc.c  */
#line 14659 "preproc.y"
    { (yyval.str) = mm_strdup("++"); ;}
    break;

  case 2730:

/* Line 1455 of yacc.c  */
#line 14660 "preproc.y"
    { (yyval.str) = mm_strdup("<<"); ;}
    break;

  case 2731:

/* Line 1455 of yacc.c  */
#line 14661 "preproc.y"
    { (yyval.str) = mm_strdup("->"); ;}
    break;

  case 2732:

/* Line 1455 of yacc.c  */
#line 14662 "preproc.y"
    { (yyval.str) = mm_strdup("->*"); ;}
    break;

  case 2733:

/* Line 1455 of yacc.c  */
#line 14663 "preproc.y"
    { (yyval.str) = mm_strdup("%="); ;}
    break;

  case 2734:

/* Line 1455 of yacc.c  */
#line 14664 "preproc.y"
    { (yyval.str) = mm_strdup("*="); ;}
    break;

  case 2735:

/* Line 1455 of yacc.c  */
#line 14665 "preproc.y"
    { (yyval.str) = mm_strdup("!="); ;}
    break;

  case 2736:

/* Line 1455 of yacc.c  */
#line 14666 "preproc.y"
    { (yyval.str) = mm_strdup("||"); ;}
    break;

  case 2737:

/* Line 1455 of yacc.c  */
#line 14667 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2738:

/* Line 1455 of yacc.c  */
#line 14668 "preproc.y"
    { (yyval.str) = mm_strdup(">>"); ;}
    break;

  case 2739:

/* Line 1455 of yacc.c  */
#line 14669 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2740:

/* Line 1455 of yacc.c  */
#line 14670 "preproc.y"
    { (yyval.str) = mm_strdup("-="); ;}
    break;

  case 2741:

/* Line 1455 of yacc.c  */
#line 14671 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); ;}
    break;

  case 2742:

/* Line 1455 of yacc.c  */
#line 14672 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2743:

/* Line 1455 of yacc.c  */
#line 14673 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); ;}
    break;

  case 2744:

/* Line 1455 of yacc.c  */
#line 14674 "preproc.y"
    { (yyval.str) = mm_strdup("enum"); ;}
    break;

  case 2745:

/* Line 1455 of yacc.c  */
#line 14675 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); ;}
    break;

  case 2746:

/* Line 1455 of yacc.c  */
#line 14676 "preproc.y"
    { (yyval.str) = mm_strdup("int"); ;}
    break;

  case 2747:

/* Line 1455 of yacc.c  */
#line 14677 "preproc.y"
    { (yyval.str) = mm_strdup("long"); ;}
    break;

  case 2748:

/* Line 1455 of yacc.c  */
#line 14678 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); ;}
    break;

  case 2749:

/* Line 1455 of yacc.c  */
#line 14679 "preproc.y"
    { (yyval.str) = mm_strdup("month"); ;}
    break;

  case 2750:

/* Line 1455 of yacc.c  */
#line 14680 "preproc.y"
    { (yyval.str) = mm_strdup("second"); ;}
    break;

  case 2751:

/* Line 1455 of yacc.c  */
#line 14681 "preproc.y"
    { (yyval.str) = mm_strdup("short"); ;}
    break;

  case 2752:

/* Line 1455 of yacc.c  */
#line 14682 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); ;}
    break;

  case 2753:

/* Line 1455 of yacc.c  */
#line 14683 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); ;}
    break;

  case 2754:

/* Line 1455 of yacc.c  */
#line 14684 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); ;}
    break;

  case 2755:

/* Line 1455 of yacc.c  */
#line 14685 "preproc.y"
    { (yyval.str) = mm_strdup("year"); ;}
    break;

  case 2756:

/* Line 1455 of yacc.c  */
#line 14686 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2757:

/* Line 1455 of yacc.c  */
#line 14687 "preproc.y"
    { (yyval.str) = mm_strdup("float"); ;}
    break;

  case 2758:

/* Line 1455 of yacc.c  */
#line 14688 "preproc.y"
    { (yyval.str) = mm_strdup("to"); ;}
    break;

  case 2759:

/* Line 1455 of yacc.c  */
#line 14689 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2760:

/* Line 1455 of yacc.c  */
#line 14690 "preproc.y"
    { (yyval.str) = mm_strdup("varchar"); ;}
    break;

  case 2761:

/* Line 1455 of yacc.c  */
#line 14691 "preproc.y"
    { (yyval.str) = mm_strdup("["); ;}
    break;

  case 2762:

/* Line 1455 of yacc.c  */
#line 14692 "preproc.y"
    { (yyval.str) = mm_strdup("]"); ;}
    break;

  case 2763:

/* Line 1455 of yacc.c  */
#line 14693 "preproc.y"
    { (yyval.str) = mm_strdup("="); ;}
    break;

  case 2764:

/* Line 1455 of yacc.c  */
#line 14694 "preproc.y"
    { (yyval.str) = mm_strdup(":"); ;}
    break;

  case 2765:

/* Line 1455 of yacc.c  */
#line 14697 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2766:

/* Line 1455 of yacc.c  */
#line 14698 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2767:

/* Line 1455 of yacc.c  */
#line 14699 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2768:

/* Line 1455 of yacc.c  */
#line 14700 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2769:

/* Line 1455 of yacc.c  */
#line 14703 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2770:

/* Line 1455 of yacc.c  */
#line 14704 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); ;}
    break;

  case 2771:

/* Line 1455 of yacc.c  */
#line 14705 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("+"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2772:

/* Line 1455 of yacc.c  */
#line 14706 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("-"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2773:

/* Line 1455 of yacc.c  */
#line 14707 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("*"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2774:

/* Line 1455 of yacc.c  */
#line 14708 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("/"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2775:

/* Line 1455 of yacc.c  */
#line 14709 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("%"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2776:

/* Line 1455 of yacc.c  */
#line 14710 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2777:

/* Line 1455 of yacc.c  */
#line 14711 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2778:

/* Line 1455 of yacc.c  */
#line 14714 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2779:

/* Line 1455 of yacc.c  */
#line 14715 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2780:

/* Line 1455 of yacc.c  */
#line 14716 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2781:

/* Line 1455 of yacc.c  */
#line 14717 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2782:

/* Line 1455 of yacc.c  */
#line 14718 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2783:

/* Line 1455 of yacc.c  */
#line 14721 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2784:

/* Line 1455 of yacc.c  */
#line 14722 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2785:

/* Line 1455 of yacc.c  */
#line 14725 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2786:

/* Line 1455 of yacc.c  */
#line 14727 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	;}
    break;

  case 2787:

/* Line 1455 of yacc.c  */
#line 14737 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2788:

/* Line 1455 of yacc.c  */
#line 14738 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;



/* Line 1455 of yacc.c  */
#line 52698 "preproc.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 14741 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

